package androidx.fragment.app;

import android.annotation.SuppressLint;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import androidx.fragment.app.i;
import androidx.lifecycle.e;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
@SuppressLint({"BanParcelableUsage"})
public final class BackStackState implements Parcelable {
    public static final Parcelable.Creator<BackStackState> CREATOR = new a();
    final int mBreadCrumbShortTitleRes;
    final CharSequence mBreadCrumbShortTitleText;
    final int mBreadCrumbTitleRes;
    final CharSequence mBreadCrumbTitleText;
    final int[] mCurrentMaxLifecycleStates;
    final ArrayList<String> mFragmentWhos;
    final int mIndex;
    final String mName;
    final int[] mOldMaxLifecycleStates;
    final int[] mOps;
    final boolean mReorderingAllowed;
    final ArrayList<String> mSharedElementSourceNames;
    final ArrayList<String> mSharedElementTargetNames;
    final int mTransition;
    final int mTransitionStyle;

    static class a implements Parcelable.Creator<BackStackState> {
        a() {
        }

        @Override // android.os.Parcelable.Creator
        public BackStackState createFromParcel(Parcel parcel) {
            return new BackStackState(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public BackStackState[] newArray(int i2) {
            return new BackStackState[i2];
        }
    }

    public BackStackState(a aVar) {
        int size = aVar.f1716a.size();
        this.mOps = new int[(size * 5)];
        if (aVar.f1723h) {
            this.mFragmentWhos = new ArrayList<>(size);
            this.mOldMaxLifecycleStates = new int[size];
            this.mCurrentMaxLifecycleStates = new int[size];
            int i2 = 0;
            int i3 = 0;
            while (i2 < size) {
                i.a aVar2 = aVar.f1716a.get(i2);
                int i4 = i3 + 1;
                this.mOps[i3] = aVar2.f1726a;
                ArrayList<String> arrayList = this.mFragmentWhos;
                Fragment fragment = aVar2.f1727b;
                arrayList.add(fragment != null ? fragment.mWho : null);
                int[] iArr = this.mOps;
                int i5 = i4 + 1;
                iArr[i4] = aVar2.f1728c;
                int i6 = i5 + 1;
                iArr[i5] = aVar2.f1729d;
                int i7 = i6 + 1;
                iArr[i6] = aVar2.f1730e;
                iArr[i7] = aVar2.f1731f;
                this.mOldMaxLifecycleStates[i2] = aVar2.f1732g.ordinal();
                this.mCurrentMaxLifecycleStates[i2] = aVar2.f1733h.ordinal();
                i2++;
                i3 = i7 + 1;
            }
            this.mTransition = aVar.f1721f;
            this.mTransitionStyle = aVar.f1722g;
            this.mName = aVar.f1725j;
            this.mIndex = aVar.u;
            this.mBreadCrumbTitleRes = aVar.k;
            this.mBreadCrumbTitleText = aVar.l;
            this.mBreadCrumbShortTitleRes = aVar.m;
            this.mBreadCrumbShortTitleText = aVar.n;
            this.mSharedElementSourceNames = aVar.o;
            this.mSharedElementTargetNames = aVar.p;
            this.mReorderingAllowed = aVar.q;
            return;
        }
        throw new IllegalStateException("Not on back stack");
    }

    public int describeContents() {
        return 0;
    }

    public a instantiate(FragmentManagerImpl fragmentManagerImpl) {
        a aVar = new a(fragmentManagerImpl);
        int i2 = 0;
        int i3 = 0;
        while (i2 < this.mOps.length) {
            i.a aVar2 = new i.a();
            int i4 = i2 + 1;
            aVar2.f1726a = this.mOps[i2];
            if (FragmentManagerImpl.DEBUG) {
                Log.v("FragmentManager", "Instantiate " + aVar + " op #" + i3 + " base fragment #" + this.mOps[i4]);
            }
            String str = this.mFragmentWhos.get(i3);
            if (str != null) {
                aVar2.f1727b = fragmentManagerImpl.mActive.get(str);
            } else {
                aVar2.f1727b = null;
            }
            aVar2.f1732g = e.b.values()[this.mOldMaxLifecycleStates[i3]];
            aVar2.f1733h = e.b.values()[this.mCurrentMaxLifecycleStates[i3]];
            int[] iArr = this.mOps;
            int i5 = i4 + 1;
            aVar2.f1728c = iArr[i4];
            int i6 = i5 + 1;
            aVar2.f1729d = iArr[i5];
            int i7 = i6 + 1;
            aVar2.f1730e = iArr[i6];
            aVar2.f1731f = iArr[i7];
            aVar.f1717b = aVar2.f1728c;
            aVar.f1718c = aVar2.f1729d;
            aVar.f1719d = aVar2.f1730e;
            aVar.f1720e = aVar2.f1731f;
            aVar.a(aVar2);
            i3++;
            i2 = i7 + 1;
        }
        aVar.f1721f = this.mTransition;
        aVar.f1722g = this.mTransitionStyle;
        aVar.f1725j = this.mName;
        aVar.u = this.mIndex;
        aVar.f1723h = true;
        aVar.k = this.mBreadCrumbTitleRes;
        aVar.l = this.mBreadCrumbTitleText;
        aVar.m = this.mBreadCrumbShortTitleRes;
        aVar.n = this.mBreadCrumbShortTitleText;
        aVar.o = this.mSharedElementSourceNames;
        aVar.p = this.mSharedElementTargetNames;
        aVar.q = this.mReorderingAllowed;
        aVar.b(1);
        return aVar;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeIntArray(this.mOps);
        parcel.writeStringList(this.mFragmentWhos);
        parcel.writeIntArray(this.mOldMaxLifecycleStates);
        parcel.writeIntArray(this.mCurrentMaxLifecycleStates);
        parcel.writeInt(this.mTransition);
        parcel.writeInt(this.mTransitionStyle);
        parcel.writeString(this.mName);
        parcel.writeInt(this.mIndex);
        parcel.writeInt(this.mBreadCrumbTitleRes);
        TextUtils.writeToParcel(this.mBreadCrumbTitleText, parcel, 0);
        parcel.writeInt(this.mBreadCrumbShortTitleRes);
        TextUtils.writeToParcel(this.mBreadCrumbShortTitleText, parcel, 0);
        parcel.writeStringList(this.mSharedElementSourceNames);
        parcel.writeStringList(this.mSharedElementTargetNames);
        parcel.writeInt(this.mReorderingAllowed ? 1 : 0);
    }

    public BackStackState(Parcel parcel) {
        this.mOps = parcel.createIntArray();
        this.mFragmentWhos = parcel.createStringArrayList();
        this.mOldMaxLifecycleStates = parcel.createIntArray();
        this.mCurrentMaxLifecycleStates = parcel.createIntArray();
        this.mTransition = parcel.readInt();
        this.mTransitionStyle = parcel.readInt();
        this.mName = parcel.readString();
        this.mIndex = parcel.readInt();
        this.mBreadCrumbTitleRes = parcel.readInt();
        this.mBreadCrumbTitleText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.mBreadCrumbShortTitleRes = parcel.readInt();
        this.mBreadCrumbShortTitleText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.mSharedElementSourceNames = parcel.createStringArrayList();
        this.mSharedElementTargetNames = parcel.createStringArrayList();
        this.mReorderingAllowed = parcel.readInt() != 0;
    }
}
