package androidx.fragment.app;

import a.g.k.b;
import android.util.Log;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManagerImpl;
import androidx.fragment.app.f;
import androidx.fragment.app.i;
import androidx.lifecycle.e;
import com.ecarx.sdk.vehicle.VehicleZone;
import java.io.PrintWriter;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
/* compiled from: BackStackRecord */
public final class a extends i implements f.a, FragmentManagerImpl.k {
    final FragmentManagerImpl s;
    boolean t;
    int u = -1;

    public a(FragmentManagerImpl fragmentManagerImpl) {
        this.s = fragmentManagerImpl;
    }

    public void a(String str, PrintWriter printWriter) {
        a(str, printWriter, true);
    }

    @Override // androidx.fragment.app.i
    public i b(Fragment fragment) {
        FragmentManagerImpl fragmentManagerImpl = fragment.mFragmentManager;
        if (fragmentManagerImpl == null || fragmentManagerImpl == this.s) {
            super.b(fragment);
            return this;
        }
        throw new IllegalStateException("Cannot detach Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    @Override // androidx.fragment.app.i
    public i c(Fragment fragment) {
        FragmentManagerImpl fragmentManagerImpl = fragment.mFragmentManager;
        if (fragmentManagerImpl == null || fragmentManagerImpl == this.s) {
            super.c(fragment);
            return this;
        }
        throw new IllegalStateException("Cannot hide Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    @Override // androidx.fragment.app.i
    public i d(Fragment fragment) {
        FragmentManagerImpl fragmentManagerImpl = fragment.mFragmentManager;
        if (fragmentManagerImpl == null || fragmentManagerImpl == this.s) {
            super.d(fragment);
            return this;
        }
        throw new IllegalStateException("Cannot remove Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    @Override // androidx.fragment.app.i
    public i e(Fragment fragment) {
        FragmentManagerImpl fragmentManagerImpl = fragment.mFragmentManager;
        if (fragmentManagerImpl == null || fragmentManagerImpl == this.s) {
            super.e(fragment);
            return this;
        }
        throw new IllegalStateException("Cannot show Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    @Override // androidx.fragment.app.i
    public boolean g() {
        return this.f1716a.isEmpty();
    }

    /* access modifiers changed from: package-private */
    public void h() {
        int size = this.f1716a.size();
        for (int i2 = 0; i2 < size; i2++) {
            i.a aVar = this.f1716a.get(i2);
            Fragment fragment = aVar.f1727b;
            if (fragment != null) {
                fragment.setNextTransition(this.f1721f, this.f1722g);
            }
            switch (aVar.f1726a) {
                case 1:
                    fragment.setNextAnim(aVar.f1728c);
                    this.s.addFragment(fragment, false);
                    break;
                case 2:
                default:
                    throw new IllegalArgumentException("Unknown cmd: " + aVar.f1726a);
                case 3:
                    fragment.setNextAnim(aVar.f1729d);
                    this.s.removeFragment(fragment);
                    break;
                case 4:
                    fragment.setNextAnim(aVar.f1729d);
                    this.s.hideFragment(fragment);
                    break;
                case 5:
                    fragment.setNextAnim(aVar.f1728c);
                    this.s.showFragment(fragment);
                    break;
                case 6:
                    fragment.setNextAnim(aVar.f1729d);
                    this.s.detachFragment(fragment);
                    break;
                case 7:
                    fragment.setNextAnim(aVar.f1728c);
                    this.s.attachFragment(fragment);
                    break;
                case 8:
                    this.s.setPrimaryNavigationFragment(fragment);
                    break;
                case 9:
                    this.s.setPrimaryNavigationFragment(null);
                    break;
                case 10:
                    this.s.setMaxLifecycle(fragment, aVar.f1733h);
                    break;
            }
            if (!(this.q || aVar.f1726a == 1 || fragment == null)) {
                this.s.moveFragmentToExpectedState(fragment);
            }
        }
        if (!this.q) {
            FragmentManagerImpl fragmentManagerImpl = this.s;
            fragmentManagerImpl.moveToState(fragmentManagerImpl.mCurState, true);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean i() {
        for (int i2 = 0; i2 < this.f1716a.size(); i2++) {
            if (b(this.f1716a.get(i2))) {
                return true;
            }
        }
        return false;
    }

    public void j() {
        if (this.r != null) {
            for (int i2 = 0; i2 < this.r.size(); i2++) {
                this.r.get(i2).run();
            }
            this.r = null;
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder((int) VehicleZone.ZONE_ROW_2_ALL);
        sb.append("BackStackEntry{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        if (this.u >= 0) {
            sb.append(" #");
            sb.append(this.u);
        }
        if (this.f1725j != null) {
            sb.append(" ");
            sb.append(this.f1725j);
        }
        sb.append("}");
        return sb.toString();
    }

    public void a(String str, PrintWriter printWriter, boolean z) {
        String str2;
        if (z) {
            printWriter.print(str);
            printWriter.print("mName=");
            printWriter.print(this.f1725j);
            printWriter.print(" mIndex=");
            printWriter.print(this.u);
            printWriter.print(" mCommitted=");
            printWriter.println(this.t);
            if (this.f1721f != 0) {
                printWriter.print(str);
                printWriter.print("mTransition=#");
                printWriter.print(Integer.toHexString(this.f1721f));
                printWriter.print(" mTransitionStyle=#");
                printWriter.println(Integer.toHexString(this.f1722g));
            }
            if (!(this.f1717b == 0 && this.f1718c == 0)) {
                printWriter.print(str);
                printWriter.print("mEnterAnim=#");
                printWriter.print(Integer.toHexString(this.f1717b));
                printWriter.print(" mExitAnim=#");
                printWriter.println(Integer.toHexString(this.f1718c));
            }
            if (!(this.f1719d == 0 && this.f1720e == 0)) {
                printWriter.print(str);
                printWriter.print("mPopEnterAnim=#");
                printWriter.print(Integer.toHexString(this.f1719d));
                printWriter.print(" mPopExitAnim=#");
                printWriter.println(Integer.toHexString(this.f1720e));
            }
            if (!(this.k == 0 && this.l == null)) {
                printWriter.print(str);
                printWriter.print("mBreadCrumbTitleRes=#");
                printWriter.print(Integer.toHexString(this.k));
                printWriter.print(" mBreadCrumbTitleText=");
                printWriter.println(this.l);
            }
            if (!(this.m == 0 && this.n == null)) {
                printWriter.print(str);
                printWriter.print("mBreadCrumbShortTitleRes=#");
                printWriter.print(Integer.toHexString(this.m));
                printWriter.print(" mBreadCrumbShortTitleText=");
                printWriter.println(this.n);
            }
        }
        if (!this.f1716a.isEmpty()) {
            printWriter.print(str);
            printWriter.println("Operations:");
            int size = this.f1716a.size();
            for (int i2 = 0; i2 < size; i2++) {
                i.a aVar = this.f1716a.get(i2);
                switch (aVar.f1726a) {
                    case 0:
                        str2 = "NULL";
                        break;
                    case 1:
                        str2 = "ADD";
                        break;
                    case 2:
                        str2 = "REPLACE";
                        break;
                    case 3:
                        str2 = "REMOVE";
                        break;
                    case 4:
                        str2 = "HIDE";
                        break;
                    case 5:
                        str2 = "SHOW";
                        break;
                    case 6:
                        str2 = "DETACH";
                        break;
                    case 7:
                        str2 = "ATTACH";
                        break;
                    case 8:
                        str2 = "SET_PRIMARY_NAV";
                        break;
                    case 9:
                        str2 = "UNSET_PRIMARY_NAV";
                        break;
                    case 10:
                        str2 = "OP_SET_MAX_LIFECYCLE";
                        break;
                    default:
                        str2 = "cmd=" + aVar.f1726a;
                        break;
                }
                printWriter.print(str);
                printWriter.print("  Op #");
                printWriter.print(i2);
                printWriter.print(": ");
                printWriter.print(str2);
                printWriter.print(" ");
                printWriter.println(aVar.f1727b);
                if (z) {
                    if (!(aVar.f1728c == 0 && aVar.f1729d == 0)) {
                        printWriter.print(str);
                        printWriter.print("enterAnim=#");
                        printWriter.print(Integer.toHexString(aVar.f1728c));
                        printWriter.print(" exitAnim=#");
                        printWriter.println(Integer.toHexString(aVar.f1729d));
                    }
                    if (aVar.f1730e != 0 || aVar.f1731f != 0) {
                        printWriter.print(str);
                        printWriter.print("popEnterAnim=#");
                        printWriter.print(Integer.toHexString(aVar.f1730e));
                        printWriter.print(" popExitAnim=#");
                        printWriter.println(Integer.toHexString(aVar.f1731f));
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void b(int i2) {
        if (this.f1723h) {
            if (FragmentManagerImpl.DEBUG) {
                Log.v("FragmentManager", "Bump nesting in " + this + " by " + i2);
            }
            int size = this.f1716a.size();
            for (int i3 = 0; i3 < size; i3++) {
                i.a aVar = this.f1716a.get(i3);
                Fragment fragment = aVar.f1727b;
                if (fragment != null) {
                    fragment.mBackStackNesting += i2;
                    if (FragmentManagerImpl.DEBUG) {
                        Log.v("FragmentManager", "Bump nesting of " + aVar.f1727b + " to " + aVar.f1727b.mBackStackNesting);
                    }
                }
            }
        }
    }

    @Override // androidx.fragment.app.i
    public int c() {
        return a(true);
    }

    @Override // androidx.fragment.app.i
    public void d() {
        f();
        this.s.execSingleAction(this, false);
    }

    @Override // androidx.fragment.app.i
    public void e() {
        f();
        this.s.execSingleAction(this, true);
    }

    /* access modifiers changed from: package-private */
    public boolean c(int i2) {
        int size = this.f1716a.size();
        for (int i3 = 0; i3 < size; i3++) {
            Fragment fragment = this.f1716a.get(i3).f1727b;
            int i4 = fragment != null ? fragment.mContainerId : 0;
            if (i4 != 0 && i4 == i2) {
                return true;
            }
        }
        return false;
    }

    @Override // androidx.fragment.app.i
    public int b() {
        return a(false);
    }

    /* access modifiers changed from: package-private */
    public void b(boolean z) {
        for (int size = this.f1716a.size() - 1; size >= 0; size--) {
            i.a aVar = this.f1716a.get(size);
            Fragment fragment = aVar.f1727b;
            if (fragment != null) {
                fragment.setNextTransition(FragmentManagerImpl.reverseTransit(this.f1721f), this.f1722g);
            }
            switch (aVar.f1726a) {
                case 1:
                    fragment.setNextAnim(aVar.f1731f);
                    this.s.removeFragment(fragment);
                    break;
                case 2:
                default:
                    throw new IllegalArgumentException("Unknown cmd: " + aVar.f1726a);
                case 3:
                    fragment.setNextAnim(aVar.f1730e);
                    this.s.addFragment(fragment, false);
                    break;
                case 4:
                    fragment.setNextAnim(aVar.f1730e);
                    this.s.showFragment(fragment);
                    break;
                case 5:
                    fragment.setNextAnim(aVar.f1731f);
                    this.s.hideFragment(fragment);
                    break;
                case 6:
                    fragment.setNextAnim(aVar.f1730e);
                    this.s.attachFragment(fragment);
                    break;
                case 7:
                    fragment.setNextAnim(aVar.f1731f);
                    this.s.detachFragment(fragment);
                    break;
                case 8:
                    this.s.setPrimaryNavigationFragment(null);
                    break;
                case 9:
                    this.s.setPrimaryNavigationFragment(fragment);
                    break;
                case 10:
                    this.s.setMaxLifecycle(fragment, aVar.f1732g);
                    break;
            }
            if (!(this.q || aVar.f1726a == 3 || fragment == null)) {
                this.s.moveFragmentToExpectedState(fragment);
            }
        }
        if (!this.q && z) {
            FragmentManagerImpl fragmentManagerImpl = this.s;
            fragmentManagerImpl.moveToState(fragmentManagerImpl.mCurState, true);
        }
    }

    /* access modifiers changed from: package-private */
    public Fragment b(ArrayList<Fragment> arrayList, Fragment fragment) {
        for (int size = this.f1716a.size() - 1; size >= 0; size--) {
            i.a aVar = this.f1716a.get(size);
            int i2 = aVar.f1726a;
            if (i2 != 1) {
                if (i2 != 3) {
                    switch (i2) {
                        case 8:
                            fragment = null;
                            break;
                        case 9:
                            fragment = aVar.f1727b;
                            break;
                        case 10:
                            aVar.f1733h = aVar.f1732g;
                            break;
                    }
                }
                arrayList.add(aVar.f1727b);
            }
            arrayList.remove(aVar.f1727b);
        }
        return fragment;
    }

    private static boolean b(i.a aVar) {
        Fragment fragment = aVar.f1727b;
        return fragment != null && fragment.mAdded && fragment.mView != null && !fragment.mDetached && !fragment.mHidden && fragment.isPostponed();
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.fragment.app.i
    public void a(int i2, Fragment fragment, String str, int i3) {
        super.a(i2, fragment, str, i3);
        fragment.mFragmentManager = this.s;
    }

    @Override // androidx.fragment.app.i
    public i a(Fragment fragment, e.b bVar) {
        if (fragment.mFragmentManager != this.s) {
            throw new IllegalArgumentException("Cannot setMaxLifecycle for Fragment not attached to FragmentManager " + this.s);
        } else if (bVar.a(e.b.CREATED)) {
            super.a(fragment, bVar);
            return this;
        } else {
            throw new IllegalArgumentException("Cannot set maximum Lifecycle below " + e.b.CREATED);
        }
    }

    /* access modifiers changed from: package-private */
    public int a(boolean z) {
        if (!this.t) {
            if (FragmentManagerImpl.DEBUG) {
                Log.v("FragmentManager", "Commit: " + this);
                PrintWriter printWriter = new PrintWriter(new b("FragmentManager"));
                a("  ", printWriter);
                printWriter.close();
            }
            this.t = true;
            if (this.f1723h) {
                this.u = this.s.allocBackStackIndex(this);
            } else {
                this.u = -1;
            }
            this.s.enqueueAction(this, z);
            return this.u;
        }
        throw new IllegalStateException("commit already called");
    }

    @Override // androidx.fragment.app.FragmentManagerImpl.k
    public boolean a(ArrayList<a> arrayList, ArrayList<Boolean> arrayList2) {
        if (FragmentManagerImpl.DEBUG) {
            Log.v("FragmentManager", "Run: " + this);
        }
        arrayList.add(this);
        arrayList2.add(false);
        if (!this.f1723h) {
            return true;
        }
        this.s.addBackStackState(this);
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean a(ArrayList<a> arrayList, int i2, int i3) {
        if (i3 == i2) {
            return false;
        }
        int size = this.f1716a.size();
        int i4 = -1;
        for (int i5 = 0; i5 < size; i5++) {
            Fragment fragment = this.f1716a.get(i5).f1727b;
            int i6 = fragment != null ? fragment.mContainerId : 0;
            if (!(i6 == 0 || i6 == i4)) {
                for (int i7 = i2; i7 < i3; i7++) {
                    a aVar = arrayList.get(i7);
                    int size2 = aVar.f1716a.size();
                    for (int i8 = 0; i8 < size2; i8++) {
                        Fragment fragment2 = aVar.f1716a.get(i8).f1727b;
                        if ((fragment2 != null ? fragment2.mContainerId : 0) == i6) {
                            return true;
                        }
                    }
                }
                i4 = i6;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public Fragment a(ArrayList<Fragment> arrayList, Fragment fragment) {
        Fragment fragment2 = fragment;
        int i2 = 0;
        while (i2 < this.f1716a.size()) {
            i.a aVar = this.f1716a.get(i2);
            int i3 = aVar.f1726a;
            if (i3 != 1) {
                if (i3 == 2) {
                    Fragment fragment3 = aVar.f1727b;
                    int i4 = fragment3.mContainerId;
                    Fragment fragment4 = fragment2;
                    int i5 = i2;
                    boolean z = false;
                    for (int size = arrayList.size() - 1; size >= 0; size--) {
                        Fragment fragment5 = arrayList.get(size);
                        if (fragment5.mContainerId == i4) {
                            if (fragment5 == fragment3) {
                                z = true;
                            } else {
                                if (fragment5 == fragment4) {
                                    this.f1716a.add(i5, new i.a(9, fragment5));
                                    i5++;
                                    fragment4 = null;
                                }
                                i.a aVar2 = new i.a(3, fragment5);
                                aVar2.f1728c = aVar.f1728c;
                                aVar2.f1730e = aVar.f1730e;
                                aVar2.f1729d = aVar.f1729d;
                                aVar2.f1731f = aVar.f1731f;
                                this.f1716a.add(i5, aVar2);
                                arrayList.remove(fragment5);
                                i5++;
                            }
                        }
                    }
                    if (z) {
                        this.f1716a.remove(i5);
                        i5--;
                    } else {
                        aVar.f1726a = 1;
                        arrayList.add(fragment3);
                    }
                    i2 = i5;
                    fragment2 = fragment4;
                } else if (i3 == 3 || i3 == 6) {
                    arrayList.remove(aVar.f1727b);
                    Fragment fragment6 = aVar.f1727b;
                    if (fragment6 == fragment2) {
                        this.f1716a.add(i2, new i.a(9, fragment6));
                        i2++;
                        fragment2 = null;
                    }
                } else if (i3 != 7) {
                    if (i3 == 8) {
                        this.f1716a.add(i2, new i.a(9, fragment2));
                        i2++;
                        fragment2 = aVar.f1727b;
                    }
                }
                i2++;
            }
            arrayList.add(aVar.f1727b);
            i2++;
        }
        return fragment2;
    }

    /* access modifiers changed from: package-private */
    public void a(Fragment.f fVar) {
        for (int i2 = 0; i2 < this.f1716a.size(); i2++) {
            i.a aVar = this.f1716a.get(i2);
            if (b(aVar)) {
                aVar.f1727b.setOnStartEnterTransitionListener(fVar);
            }
        }
    }

    @Override // androidx.fragment.app.f.a
    public String a() {
        return this.f1725j;
    }
}
