package androidx.recyclerview.widget;

import a.g.l.g0.d;
import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import java.util.Arrays;

public class GridLayoutManager extends LinearLayoutManager {
    boolean q = false;
    int r = -1;
    int[] s;
    View[] t;
    final SparseIntArray u = new SparseIntArray();
    final SparseIntArray v = new SparseIntArray();
    b w = new a();
    final Rect x = new Rect();
    private boolean y;

    public static final class a extends b {
        @Override // androidx.recyclerview.widget.GridLayoutManager.b
        public int getSpanIndex(int i2, int i3) {
            return i2 % i3;
        }

        @Override // androidx.recyclerview.widget.GridLayoutManager.b
        public int getSpanSize(int i2) {
            return 1;
        }
    }

    public static abstract class b {
        private boolean mCacheSpanGroupIndices = false;
        private boolean mCacheSpanIndices = false;
        final SparseIntArray mSpanGroupIndexCache = new SparseIntArray();
        final SparseIntArray mSpanIndexCache = new SparseIntArray();

        static int findFirstKeyLessThan(SparseIntArray sparseIntArray, int i2) {
            int size = sparseIntArray.size() - 1;
            int i3 = 0;
            while (i3 <= size) {
                int i4 = (i3 + size) >>> 1;
                if (sparseIntArray.keyAt(i4) < i2) {
                    i3 = i4 + 1;
                } else {
                    size = i4 - 1;
                }
            }
            int i5 = i3 - 1;
            if (i5 < 0 || i5 >= sparseIntArray.size()) {
                return -1;
            }
            return sparseIntArray.keyAt(i5);
        }

        /* access modifiers changed from: package-private */
        public int getCachedSpanGroupIndex(int i2, int i3) {
            if (!this.mCacheSpanGroupIndices) {
                return getSpanGroupIndex(i2, i3);
            }
            int i4 = this.mSpanGroupIndexCache.get(i2, -1);
            if (i4 != -1) {
                return i4;
            }
            int spanGroupIndex = getSpanGroupIndex(i2, i3);
            this.mSpanGroupIndexCache.put(i2, spanGroupIndex);
            return spanGroupIndex;
        }

        /* access modifiers changed from: package-private */
        public int getCachedSpanIndex(int i2, int i3) {
            if (!this.mCacheSpanIndices) {
                return getSpanIndex(i2, i3);
            }
            int i4 = this.mSpanIndexCache.get(i2, -1);
            if (i4 != -1) {
                return i4;
            }
            int spanIndex = getSpanIndex(i2, i3);
            this.mSpanIndexCache.put(i2, spanIndex);
            return spanIndex;
        }

        public int getSpanGroupIndex(int i2, int i3) {
            int i4;
            int i5;
            int i6;
            int findFirstKeyLessThan;
            if (!this.mCacheSpanGroupIndices || (findFirstKeyLessThan = findFirstKeyLessThan(this.mSpanGroupIndexCache, i2)) == -1) {
                i6 = 0;
                i5 = 0;
                i4 = 0;
            } else {
                i5 = this.mSpanGroupIndexCache.get(findFirstKeyLessThan);
                i4 = findFirstKeyLessThan + 1;
                i6 = getSpanSize(findFirstKeyLessThan) + getCachedSpanIndex(findFirstKeyLessThan, i3);
                if (i6 == i3) {
                    i5++;
                    i6 = 0;
                }
            }
            int spanSize = getSpanSize(i2);
            while (i4 < i2) {
                int spanSize2 = getSpanSize(i4);
                i6 += spanSize2;
                if (i6 == i3) {
                    i5++;
                    i6 = 0;
                } else if (i6 > i3) {
                    i5++;
                    i6 = spanSize2;
                }
                i4++;
            }
            return i6 + spanSize > i3 ? i5 + 1 : i5;
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x0024  */
        public int getSpanIndex(int i2, int i3) {
            int i4;
            int i5;
            int spanSize = getSpanSize(i2);
            if (spanSize == i3) {
                return 0;
            }
            if (!this.mCacheSpanIndices || (i5 = findFirstKeyLessThan(this.mSpanIndexCache, i2)) < 0) {
                i5 = 0;
                i4 = 0;
            } else {
                i4 = this.mSpanIndexCache.get(i5) + getSpanSize(i5);
                i5++;
            }
            if (i5 < i2) {
                int spanSize2 = getSpanSize(i5);
                i4 += spanSize2;
                if (i4 == i3) {
                    i4 = 0;
                } else if (i4 > i3) {
                    i4 = spanSize2;
                }
                i5++;
                if (i5 < i2) {
                }
            }
            if (spanSize + i4 <= i3) {
                return i4;
            }
            return 0;
        }

        public abstract int getSpanSize(int i2);

        public void invalidateSpanGroupIndexCache() {
            this.mSpanGroupIndexCache.clear();
        }

        public void invalidateSpanIndexCache() {
            this.mSpanIndexCache.clear();
        }

        public boolean isSpanGroupIndexCacheEnabled() {
            return this.mCacheSpanGroupIndices;
        }

        public boolean isSpanIndexCacheEnabled() {
            return this.mCacheSpanIndices;
        }

        public void setSpanGroupIndexCacheEnabled(boolean z) {
            if (!z) {
                this.mSpanGroupIndexCache.clear();
            }
            this.mCacheSpanGroupIndices = z;
        }

        public void setSpanIndexCacheEnabled(boolean z) {
            if (!z) {
                this.mSpanGroupIndexCache.clear();
            }
            this.mCacheSpanIndices = z;
        }
    }

    public GridLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        d(RecyclerView.o.getProperties(context, attributeSet, i2, i3).f2019b);
    }

    private int c(RecyclerView.u uVar, RecyclerView.y yVar, int i2) {
        if (!yVar.d()) {
            return this.w.getSpanSize(i2);
        }
        int i3 = this.u.get(i2, -1);
        if (i3 != -1) {
            return i3;
        }
        int a2 = uVar.a(i2);
        if (a2 != -1) {
            return this.w.getSpanSize(a2);
        }
        Log.w("GridLayoutManager", "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i2);
        return 1;
    }

    private void e(int i2) {
        this.s = a(this.s, this.r, i2);
    }

    private void j() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            LayoutParams layoutParams = (LayoutParams) getChildAt(i2).getLayoutParams();
            int viewLayoutPosition = layoutParams.getViewLayoutPosition();
            this.u.put(viewLayoutPosition, layoutParams.b());
            this.v.put(viewLayoutPosition, layoutParams.a());
        }
    }

    private void k() {
        this.u.clear();
        this.v.clear();
    }

    private void l() {
        View[] viewArr = this.t;
        if (viewArr == null || viewArr.length != this.r) {
            this.t = new View[this.r];
        }
    }

    private void m() {
        int i2;
        int i3;
        if (getOrientation() == 1) {
            i3 = getWidth() - getPaddingRight();
            i2 = getPaddingLeft();
        } else {
            i3 = getHeight() - getPaddingBottom();
            i2 = getPaddingTop();
        }
        e(i3 - i2);
    }

    public void a(b bVar) {
        this.w = bVar;
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void b(boolean z) {
        if (!z) {
            super.b(false);
            return;
        }
        throw new UnsupportedOperationException("GridLayoutManager does not support stack from end. Consider using reverse layout");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean checkLayoutParams(RecyclerView.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public int computeHorizontalScrollOffset(RecyclerView.y yVar) {
        if (this.y) {
            return a(yVar);
        }
        return super.computeHorizontalScrollOffset(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public int computeHorizontalScrollRange(RecyclerView.y yVar) {
        if (this.y) {
            return b(yVar);
        }
        return super.computeHorizontalScrollRange(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public int computeVerticalScrollOffset(RecyclerView.y yVar) {
        if (this.y) {
            return a(yVar);
        }
        return super.computeVerticalScrollOffset(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public int computeVerticalScrollRange(RecyclerView.y yVar) {
        if (this.y) {
            return b(yVar);
        }
        return super.computeVerticalScrollRange(yVar);
    }

    public void d(int i2) {
        if (i2 != this.r) {
            this.q = true;
            if (i2 >= 1) {
                this.r = i2;
                this.w.invalidateSpanIndexCache();
                requestLayout();
                return;
            }
            throw new IllegalArgumentException("Span count should be at least 1. Provided " + i2);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        if (this.f1966a == 0) {
            return new LayoutParams(-2, -1);
        }
        return new LayoutParams(-1, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public RecyclerView.LayoutParams generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new LayoutParams(context, attributeSet);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int getColumnCountForAccessibility(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f1966a == 1) {
            return this.r;
        }
        if (yVar.a() < 1) {
            return 0;
        }
        return a(uVar, yVar, yVar.a() - 1) + 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int getRowCountForAccessibility(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f1966a == 0) {
            return this.r;
        }
        if (yVar.a() < 1) {
            return 0;
        }
        return a(uVar, yVar, yVar.a() - 1) + 1;
    }

    public int i() {
        return this.r;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:55:0x00d7, code lost:
        if (r13 == (r2 > r8)) goto L_0x00cd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x00f7, code lost:
        if (r13 == r11) goto L_0x00b7;
     */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0105  */
    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public View onFocusSearchFailed(View view, int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        int i3;
        int i4;
        int i5;
        int i6;
        View view2;
        View view3;
        int i7;
        int i8;
        int i9;
        boolean z;
        RecyclerView.u uVar2 = uVar;
        RecyclerView.y yVar2 = yVar;
        View findContainingItemView = findContainingItemView(view);
        View view4 = null;
        if (findContainingItemView == null) {
            return null;
        }
        LayoutParams layoutParams = (LayoutParams) findContainingItemView.getLayoutParams();
        int i10 = layoutParams.f1964a;
        int i11 = layoutParams.f1965b + i10;
        if (super.onFocusSearchFailed(view, i2, uVar, yVar) == null) {
            return null;
        }
        if ((b(i2) == 1) != this.f1971f) {
            i5 = getChildCount() - 1;
            i4 = -1;
            i3 = -1;
        } else {
            i4 = getChildCount();
            i5 = 0;
            i3 = 1;
        }
        boolean z2 = this.f1966a == 1 && f();
        int a2 = a(uVar2, yVar2, i5);
        View view5 = null;
        int i12 = -1;
        int i13 = 0;
        int i14 = 0;
        int i15 = -1;
        while (i5 != i4) {
            int a3 = a(uVar2, yVar2, i5);
            View childAt = getChildAt(i5);
            if (childAt == findContainingItemView) {
                break;
            }
            if (!childAt.hasFocusable() || a3 == a2) {
                LayoutParams layoutParams2 = (LayoutParams) childAt.getLayoutParams();
                int i16 = layoutParams2.f1964a;
                view2 = findContainingItemView;
                int i17 = layoutParams2.f1965b + i16;
                if (childAt.hasFocusable() && i16 == i10 && i17 == i11) {
                    return childAt;
                }
                if ((!childAt.hasFocusable() || view4 != null) && (childAt.hasFocusable() || view5 != null)) {
                    view3 = view5;
                    int min = Math.min(i17, i11) - Math.max(i16, i10);
                    if (childAt.hasFocusable()) {
                        if (min <= i13) {
                            if (min == i13) {
                            }
                        }
                        i7 = i12;
                    } else if (view4 == null) {
                        i7 = i12;
                        i6 = i4;
                        z = true;
                        i9 = i14;
                        if (isViewPartiallyVisible(childAt, false, true)) {
                            if (min > i9) {
                                i8 = i15;
                                if (z) {
                                    if (childAt.hasFocusable()) {
                                        int i18 = layoutParams2.f1964a;
                                        i13 = Math.min(i17, i11) - Math.max(i16, i10);
                                        i14 = i9;
                                        i15 = i8;
                                        view5 = view3;
                                        i12 = i18;
                                        view4 = childAt;
                                    } else {
                                        int i19 = layoutParams2.f1964a;
                                        view5 = childAt;
                                        i14 = Math.min(i17, i11) - Math.max(i16, i10);
                                        i15 = i19;
                                        i12 = i7;
                                    }
                                    i5 += i3;
                                    uVar2 = uVar;
                                    yVar2 = yVar;
                                    findContainingItemView = view2;
                                    i4 = i6;
                                }
                            } else if (min == i9) {
                                i8 = i15;
                                if (i16 <= i8) {
                                    z = false;
                                }
                            }
                        }
                        i8 = i15;
                        z = false;
                        if (z) {
                        }
                    }
                    i7 = i12;
                    i6 = i4;
                    i9 = i14;
                    i8 = i15;
                    z = false;
                    if (z) {
                    }
                } else {
                    i7 = i12;
                    view3 = view5;
                }
                i6 = i4;
                i9 = i14;
                i8 = i15;
                z = true;
                if (z) {
                }
            } else if (view4 != null) {
                break;
            } else {
                view2 = findContainingItemView;
                i7 = i12;
                view3 = view5;
                i6 = i4;
                i9 = i14;
                i8 = i15;
            }
            i14 = i9;
            i15 = i8;
            i12 = i7;
            view5 = view3;
            i5 += i3;
            uVar2 = uVar;
            yVar2 = yVar;
            findContainingItemView = view2;
            i4 = i6;
        }
        return view4 != null ? view4 : view5;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onInitializeAccessibilityNodeInfoForItem(RecyclerView.u uVar, RecyclerView.y yVar, View view, d dVar) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof LayoutParams)) {
            super.onInitializeAccessibilityNodeInfoForItem(view, dVar);
            return;
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        int a2 = a(uVar, yVar, layoutParams2.getViewLayoutPosition());
        if (this.f1966a == 0) {
            dVar.b(d.c.a(layoutParams2.a(), layoutParams2.b(), a2, 1, false, false));
        } else {
            dVar.b(d.c.a(a2, 1, layoutParams2.a(), layoutParams2.b(), false, false));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsAdded(RecyclerView recyclerView, int i2, int i3) {
        this.w.invalidateSpanIndexCache();
        this.w.invalidateSpanGroupIndexCache();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsChanged(RecyclerView recyclerView) {
        this.w.invalidateSpanIndexCache();
        this.w.invalidateSpanGroupIndexCache();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsMoved(RecyclerView recyclerView, int i2, int i3, int i4) {
        this.w.invalidateSpanIndexCache();
        this.w.invalidateSpanGroupIndexCache();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsRemoved(RecyclerView recyclerView, int i2, int i3) {
        this.w.invalidateSpanIndexCache();
        this.w.invalidateSpanGroupIndexCache();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsUpdated(RecyclerView recyclerView, int i2, int i3, Object obj) {
        this.w.invalidateSpanIndexCache();
        this.w.invalidateSpanGroupIndexCache();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutChildren(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (yVar.d()) {
            j();
        }
        super.onLayoutChildren(uVar, yVar);
        k();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutCompleted(RecyclerView.y yVar) {
        super.onLayoutCompleted(yVar);
        this.q = false;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public int scrollHorizontallyBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        m();
        l();
        return super.scrollHorizontallyBy(i2, uVar, yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public int scrollVerticallyBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        m();
        l();
        return super.scrollVerticallyBy(i2, uVar, yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void setMeasuredDimension(Rect rect, int i2, int i3) {
        int i4;
        int i5;
        if (this.s == null) {
            super.setMeasuredDimension(rect, i2, i3);
        }
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        if (this.f1966a == 1) {
            i5 = RecyclerView.o.chooseSize(i3, rect.height() + paddingTop, getMinimumHeight());
            int[] iArr = this.s;
            i4 = RecyclerView.o.chooseSize(i2, iArr[iArr.length - 1] + paddingLeft, getMinimumWidth());
        } else {
            i4 = RecyclerView.o.chooseSize(i2, rect.width() + paddingLeft, getMinimumWidth());
            int[] iArr2 = this.s;
            i5 = RecyclerView.o.chooseSize(i3, iArr2[iArr2.length - 1] + paddingTop, getMinimumHeight());
        }
        setMeasuredDimension(i4, i5);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o, androidx.recyclerview.widget.LinearLayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return this.l == null && !this.q;
    }

    static int[] a(int[] iArr, int i2, int i3) {
        int i4;
        if (!(iArr != null && iArr.length == i2 + 1 && iArr[iArr.length - 1] == i3)) {
            iArr = new int[(i2 + 1)];
        }
        int i5 = 0;
        iArr[0] = 0;
        int i6 = i3 / i2;
        int i7 = i3 % i2;
        int i8 = 0;
        for (int i9 = 1; i9 <= i2; i9++) {
            i5 += i7;
            if (i5 <= 0 || i2 - i5 >= i7) {
                i4 = i6;
            } else {
                i4 = i6 + 1;
                i5 -= i2;
            }
            i8 += i4;
            iArr[i9] = i8;
        }
        return iArr;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public RecyclerView.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    public static class LayoutParams extends RecyclerView.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        int f1964a = -1;

        /* renamed from: b  reason: collision with root package name */
        int f1965b = 0;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public int a() {
            return this.f1964a;
        }

        public int b() {
            return this.f1965b;
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    /* access modifiers changed from: package-private */
    public int b(int i2, int i3) {
        if (this.f1966a != 1 || !f()) {
            int[] iArr = this.s;
            return iArr[i3 + i2] - iArr[i2];
        }
        int[] iArr2 = this.s;
        int i4 = this.r;
        return iArr2[i4 - i2] - iArr2[(i4 - i2) - i3];
    }

    private void b(RecyclerView.u uVar, RecyclerView.y yVar, LinearLayoutManager.a aVar, int i2) {
        boolean z = i2 == 1;
        int b2 = b(uVar, yVar, aVar.f1977b);
        if (z) {
            while (b2 > 0) {
                int i3 = aVar.f1977b;
                if (i3 > 0) {
                    aVar.f1977b = i3 - 1;
                    b2 = b(uVar, yVar, aVar.f1977b);
                } else {
                    return;
                }
            }
            return;
        }
        int a2 = yVar.a() - 1;
        int i4 = aVar.f1977b;
        while (i4 < a2) {
            int i5 = i4 + 1;
            int b3 = b(uVar, yVar, i5);
            if (b3 <= b2) {
                break;
            }
            i4 = i5;
            b2 = b3;
        }
        aVar.f1977b = i4;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void a(RecyclerView.u uVar, RecyclerView.y yVar, LinearLayoutManager.a aVar, int i2) {
        super.a(uVar, yVar, aVar, i2);
        m();
        if (yVar.a() > 0 && !yVar.d()) {
            b(uVar, yVar, aVar, i2);
        }
        l();
    }

    public GridLayoutManager(Context context, int i2) {
        super(context);
        d(i2);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public View a(RecyclerView.u uVar, RecyclerView.y yVar, int i2, int i3, int i4) {
        ensureLayoutState();
        int f2 = this.f1968c.f();
        int b2 = this.f1968c.b();
        int i5 = i3 > i2 ? 1 : -1;
        View view = null;
        View view2 = null;
        while (i2 != i3) {
            View childAt = getChildAt(i2);
            int position = getPosition(childAt);
            if (position >= 0 && position < i4 && b(uVar, yVar, position) == 0) {
                if (((RecyclerView.LayoutParams) childAt.getLayoutParams()).isItemRemoved()) {
                    if (view2 == null) {
                        view2 = childAt;
                    }
                } else if (this.f1968c.d(childAt) < b2 && this.f1968c.a(childAt) >= f2) {
                    return childAt;
                } else {
                    if (view == null) {
                        view = childAt;
                    }
                }
            }
            i2 += i5;
        }
        return view != null ? view : view2;
    }

    private int b(RecyclerView.u uVar, RecyclerView.y yVar, int i2) {
        if (!yVar.d()) {
            return this.w.getCachedSpanIndex(i2, this.r);
        }
        int i3 = this.v.get(i2, -1);
        if (i3 != -1) {
            return i3;
        }
        int a2 = uVar.a(i2);
        if (a2 != -1) {
            return this.w.getCachedSpanIndex(a2, this.r);
        }
        Log.w("GridLayoutManager", "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i2);
        return 0;
    }

    public GridLayoutManager(Context context, int i2, int i3, boolean z) {
        super(context, i3, z);
        d(i2);
    }

    private int b(RecyclerView.y yVar) {
        if (!(getChildCount() == 0 || yVar.a() == 0)) {
            ensureLayoutState();
            View b2 = b(!g(), true);
            View a2 = a(!g(), true);
            if (!(b2 == null || a2 == null)) {
                if (!g()) {
                    return this.w.getCachedSpanGroupIndex(yVar.a() - 1, this.r) + 1;
                }
                int a3 = this.f1968c.a(a2) - this.f1968c.d(b2);
                int cachedSpanGroupIndex = this.w.getCachedSpanGroupIndex(getPosition(b2), this.r);
                return (int) ((((float) a3) / ((float) ((this.w.getCachedSpanGroupIndex(getPosition(a2), this.r) - cachedSpanGroupIndex) + 1))) * ((float) (this.w.getCachedSpanGroupIndex(yVar.a() - 1, this.r) + 1)));
            }
        }
        return 0;
    }

    private int a(RecyclerView.u uVar, RecyclerView.y yVar, int i2) {
        if (!yVar.d()) {
            return this.w.getCachedSpanGroupIndex(i2, this.r);
        }
        int a2 = uVar.a(i2);
        if (a2 != -1) {
            return this.w.getCachedSpanGroupIndex(a2, this.r);
        }
        Log.w("GridLayoutManager", "Cannot find span size for pre layout position. " + i2);
        return 0;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void a(RecyclerView.y yVar, LinearLayoutManager.c cVar, RecyclerView.o.c cVar2) {
        int i2 = this.r;
        for (int i3 = 0; i3 < this.r && cVar.a(yVar) && i2 > 0; i3++) {
            int i4 = cVar.f1988d;
            cVar2.a(i4, Math.max(0, cVar.f1991g));
            i2 -= this.w.getSpanSize(i4);
            cVar.f1988d += cVar.f1989e;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r18v0, resolved type: androidx.recyclerview.widget.GridLayoutManager */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r5v0 */
    /* JADX WARN: Type inference failed for: r5v1, types: [int, boolean] */
    /* JADX WARN: Type inference failed for: r5v28 */
    /* access modifiers changed from: package-private */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void a(RecyclerView.u uVar, RecyclerView.y yVar, LinearLayoutManager.c cVar, LinearLayoutManager.b bVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        View a2;
        int e2 = this.f1968c.e();
        ?? r5 = 0;
        boolean z = e2 != 1073741824;
        int i12 = getChildCount() > 0 ? this.s[this.r] : 0;
        if (z) {
            m();
        }
        boolean z2 = cVar.f1989e == 1;
        int i13 = this.r;
        if (!z2) {
            i13 = b(uVar, yVar, cVar.f1988d) + c(uVar, yVar, cVar.f1988d);
        }
        int i14 = i13;
        int i15 = 0;
        while (i15 < this.r && cVar.a(yVar) && i14 > 0) {
            int i16 = cVar.f1988d;
            int c2 = c(uVar, yVar, i16);
            if (c2 <= this.r) {
                i14 -= c2;
                if (i14 < 0 || (a2 = cVar.a(uVar)) == null) {
                    break;
                }
                this.t[i15] = a2;
                i15++;
            } else {
                throw new IllegalArgumentException("Item at position " + i16 + " requires " + c2 + " spans but GridLayoutManager has only " + this.r + " spans.");
            }
        }
        if (i15 == 0) {
            bVar.f1982b = true;
            return;
        }
        float f2 = 0.0f;
        a(uVar, yVar, i15, z2);
        int i17 = 0;
        int i18 = 0;
        while (i17 < i15) {
            View view = this.t[i17];
            if (cVar.l == null) {
                if (z2) {
                    addView(view);
                } else {
                    addView(view, r5);
                }
            } else if (z2) {
                addDisappearingView(view);
            } else {
                int i19 = r5 == true ? 1 : 0;
                int i20 = r5 == true ? 1 : 0;
                int i21 = r5 == true ? 1 : 0;
                addDisappearingView(view, i19);
            }
            calculateItemDecorationsForChild(view, this.x);
            a(view, e2, (boolean) r5);
            int b2 = this.f1968c.b(view);
            if (b2 > i18) {
                i18 = b2;
            }
            float c3 = (((float) this.f1968c.c(view)) * 1.0f) / ((float) ((LayoutParams) view.getLayoutParams()).f1965b);
            if (c3 > f2) {
                f2 = c3;
            }
            i17++;
            r5 = 0;
        }
        if (z) {
            a(f2, i12);
            i18 = 0;
            for (int i22 = 0; i22 < i15; i22++) {
                View view2 = this.t[i22];
                a(view2, 1073741824, true);
                int b3 = this.f1968c.b(view2);
                if (b3 > i18) {
                    i18 = b3;
                }
            }
        }
        for (int i23 = 0; i23 < i15; i23++) {
            View view3 = this.t[i23];
            if (this.f1968c.b(view3) != i18) {
                LayoutParams layoutParams = (LayoutParams) view3.getLayoutParams();
                Rect rect = layoutParams.mDecorInsets;
                int i24 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                int i25 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
                int b4 = b(layoutParams.f1964a, layoutParams.f1965b);
                if (this.f1966a == 1) {
                    i11 = RecyclerView.o.getChildMeasureSpec(b4, 1073741824, i25, ((ViewGroup.MarginLayoutParams) layoutParams).width, false);
                    i10 = View.MeasureSpec.makeMeasureSpec(i18 - i24, 1073741824);
                } else {
                    int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i18 - i25, 1073741824);
                    i10 = RecyclerView.o.getChildMeasureSpec(b4, 1073741824, i24, ((ViewGroup.MarginLayoutParams) layoutParams).height, false);
                    i11 = makeMeasureSpec;
                }
                a(view3, i11, i10, true);
            }
        }
        int i26 = 0;
        bVar.f1981a = i18;
        if (this.f1966a == 1) {
            if (cVar.f1990f == -1) {
                int i27 = cVar.f1986b;
                i4 = i27 - i18;
                i3 = i27;
            } else {
                int i28 = cVar.f1986b;
                i3 = i28 + i18;
                i4 = i28;
            }
            i5 = 0;
            i2 = 0;
        } else if (cVar.f1990f == -1) {
            i2 = cVar.f1986b;
            i5 = i2 - i18;
            i4 = 0;
            i3 = 0;
        } else {
            int i29 = cVar.f1986b;
            int i30 = i29 + i18;
            i4 = 0;
            i3 = 0;
            i2 = i30;
            i5 = i29;
        }
        while (i26 < i15) {
            View view4 = this.t[i26];
            LayoutParams layoutParams2 = (LayoutParams) view4.getLayoutParams();
            if (this.f1966a != 1) {
                int paddingTop = getPaddingTop() + this.s[layoutParams2.f1964a];
                i9 = i5;
                i8 = paddingTop;
                i6 = this.f1968c.c(view4) + paddingTop;
                i7 = i2;
            } else if (f()) {
                int paddingLeft = getPaddingLeft() + this.s[this.r - layoutParams2.f1964a];
                i7 = paddingLeft;
                i8 = i4;
                i6 = i3;
                i9 = paddingLeft - this.f1968c.c(view4);
            } else {
                int paddingLeft2 = getPaddingLeft() + this.s[layoutParams2.f1964a];
                i9 = paddingLeft2;
                i8 = i4;
                i6 = i3;
                i7 = this.f1968c.c(view4) + paddingLeft2;
            }
            layoutDecoratedWithMargins(view4, i9, i8, i7, i6);
            if (layoutParams2.isItemRemoved() || layoutParams2.isItemChanged()) {
                bVar.f1983c = true;
            }
            bVar.f1984d |= view4.hasFocusable();
            i26++;
            i5 = i9;
            i4 = i8;
            i2 = i7;
            i3 = i6;
        }
        Arrays.fill(this.t, (Object) null);
    }

    private void a(View view, int i2, boolean z) {
        int i3;
        int i4;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        Rect rect = layoutParams.mDecorInsets;
        int i5 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
        int i6 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
        int b2 = b(layoutParams.f1964a, layoutParams.f1965b);
        if (this.f1966a == 1) {
            i3 = RecyclerView.o.getChildMeasureSpec(b2, i2, i6, ((ViewGroup.MarginLayoutParams) layoutParams).width, false);
            i4 = RecyclerView.o.getChildMeasureSpec(this.f1968c.g(), getHeightMode(), i5, ((ViewGroup.MarginLayoutParams) layoutParams).height, true);
        } else {
            int childMeasureSpec = RecyclerView.o.getChildMeasureSpec(b2, i2, i5, ((ViewGroup.MarginLayoutParams) layoutParams).height, false);
            int childMeasureSpec2 = RecyclerView.o.getChildMeasureSpec(this.f1968c.g(), getWidthMode(), i6, ((ViewGroup.MarginLayoutParams) layoutParams).width, true);
            i4 = childMeasureSpec;
            i3 = childMeasureSpec2;
        }
        a(view, i3, i4, z);
    }

    private void a(float f2, int i2) {
        e(Math.max(Math.round(f2 * ((float) this.r)), i2));
    }

    private void a(View view, int i2, int i3, boolean z) {
        boolean z2;
        RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view.getLayoutParams();
        if (z) {
            z2 = shouldReMeasureChild(view, i2, i3, layoutParams);
        } else {
            z2 = shouldMeasureChild(view, i2, i3, layoutParams);
        }
        if (z2) {
            view.measure(i2, i3);
        }
    }

    private void a(RecyclerView.u uVar, RecyclerView.y yVar, int i2, boolean z) {
        int i3;
        int i4;
        int i5 = 0;
        int i6 = -1;
        if (z) {
            i6 = i2;
            i4 = 0;
            i3 = 1;
        } else {
            i4 = i2 - 1;
            i3 = -1;
        }
        while (i4 != i6) {
            View view = this.t[i4];
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            layoutParams.f1965b = c(uVar, yVar, getPosition(view));
            layoutParams.f1964a = i5;
            i5 += layoutParams.f1965b;
            i4 += i3;
        }
    }

    private int a(RecyclerView.y yVar) {
        int i2;
        if (!(getChildCount() == 0 || yVar.a() == 0)) {
            ensureLayoutState();
            boolean g2 = g();
            View b2 = b(!g2, true);
            View a2 = a(!g2, true);
            if (!(b2 == null || a2 == null)) {
                int cachedSpanGroupIndex = this.w.getCachedSpanGroupIndex(getPosition(b2), this.r);
                int cachedSpanGroupIndex2 = this.w.getCachedSpanGroupIndex(getPosition(a2), this.r);
                int min = Math.min(cachedSpanGroupIndex, cachedSpanGroupIndex2);
                int max = Math.max(cachedSpanGroupIndex, cachedSpanGroupIndex2);
                int cachedSpanGroupIndex3 = this.w.getCachedSpanGroupIndex(yVar.a() - 1, this.r) + 1;
                if (this.f1971f) {
                    i2 = Math.max(0, (cachedSpanGroupIndex3 - max) - 1);
                } else {
                    i2 = Math.max(0, min);
                }
                if (!g2) {
                    return i2;
                }
                return Math.round((((float) i2) * (((float) Math.abs(this.f1968c.a(a2) - this.f1968c.d(b2))) / ((float) ((this.w.getCachedSpanGroupIndex(getPosition(a2), this.r) - this.w.getCachedSpanGroupIndex(getPosition(b2), this.r)) + 1)))) + ((float) (this.f1968c.f() - this.f1968c.d(b2))));
            }
        }
        return 0;
    }
}
