package androidx.transition;

import android.animation.Animator;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;

public class Explode extends Visibility {
    private static final TimeInterpolator N = new DecelerateInterpolator();
    private static final TimeInterpolator O = new AccelerateInterpolator();
    private int[] M;

    public Explode() {
        this.M = new int[2];
        a(new b());
    }

    private void d(w wVar) {
        View view = wVar.f2487b;
        view.getLocationOnScreen(this.M);
        int[] iArr = this.M;
        int i2 = iArr[0];
        int i3 = iArr[1];
        wVar.f2486a.put("android:explode:screenBounds", new Rect(i2, i3, view.getWidth() + i2, view.getHeight() + i3));
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void a(w wVar) {
        super.a(wVar);
        d(wVar);
    }

    @Override // androidx.transition.Visibility
    public Animator b(ViewGroup viewGroup, View view, w wVar, w wVar2) {
        float f2;
        float f3;
        if (wVar == null) {
            return null;
        }
        Rect rect = (Rect) wVar.f2486a.get("android:explode:screenBounds");
        int i2 = rect.left;
        int i3 = rect.top;
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        int[] iArr = (int[]) wVar.f2487b.getTag(n.transition_position);
        if (iArr != null) {
            f3 = ((float) (iArr[0] - rect.left)) + translationX;
            f2 = ((float) (iArr[1] - rect.top)) + translationY;
            rect.offsetTo(iArr[0], iArr[1]);
        } else {
            f3 = translationX;
            f2 = translationY;
        }
        a(viewGroup, rect, this.M);
        int[] iArr2 = this.M;
        return y.a(view, wVar, i2, i3, translationX, translationY, f3 + ((float) iArr2[0]), f2 + ((float) iArr2[1]), O);
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void c(w wVar) {
        super.c(wVar);
        d(wVar);
    }

    @Override // androidx.transition.Visibility
    public Animator a(ViewGroup viewGroup, View view, w wVar, w wVar2) {
        if (wVar2 == null) {
            return null;
        }
        Rect rect = (Rect) wVar2.f2486a.get("android:explode:screenBounds");
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        a(viewGroup, rect, this.M);
        int[] iArr = this.M;
        return y.a(view, wVar2, rect.left, rect.top, translationX + ((float) iArr[0]), translationY + ((float) iArr[1]), translationX, translationY, N);
    }

    public Explode(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.M = new int[2];
        a(new b());
    }

    private void a(View view, Rect rect, int[] iArr) {
        int i2;
        int i3;
        view.getLocationOnScreen(this.M);
        int[] iArr2 = this.M;
        int i4 = iArr2[0];
        int i5 = iArr2[1];
        Rect e2 = e();
        if (e2 == null) {
            i3 = (view.getWidth() / 2) + i4 + Math.round(view.getTranslationX());
            i2 = (view.getHeight() / 2) + i5 + Math.round(view.getTranslationY());
        } else {
            int centerX = e2.centerX();
            i2 = e2.centerY();
            i3 = centerX;
        }
        float centerX2 = (float) (rect.centerX() - i3);
        float centerY = (float) (rect.centerY() - i2);
        if (centerX2 == 0.0f && centerY == 0.0f) {
            centerX2 = ((float) (Math.random() * 2.0d)) - 1.0f;
            centerY = ((float) (Math.random() * 2.0d)) - 1.0f;
        }
        float a2 = a(centerX2, centerY);
        float a3 = a(view, i3 - i4, i2 - i5);
        iArr[0] = Math.round((centerX2 / a2) * a3);
        iArr[1] = Math.round(a3 * (centerY / a2));
    }

    private static float a(View view, int i2, int i3) {
        return a((float) Math.max(i2, view.getWidth() - i2), (float) Math.max(i3, view.getHeight() - i3));
    }

    private static float a(float f2, float f3) {
        return (float) Math.sqrt((double) ((f2 * f2) + (f3 * f3)));
    }
}
