package com.google.android.material.internal;

import a.g.l.g0.d;
import a.g.l.x;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.CheckedTextView;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.e0;
import androidx.appcompat.view.menu.w;
import androidx.appcompat.widget.LinearLayoutCompat;
import androidx.appcompat.widget.u0;
import androidx.core.widget.i;
import com.ecarx.sdk.vehicle.VehicleZone;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.model.Event;
import d.d.a.a.e;
import d.d.a.a.f;
import d.d.a.a.h;
import j.a.a.a;
import j.a.b.b.b;

public class NavigationMenuItemView extends ForegroundLinearLayout implements e0.a {
    private static final int[] G = {16842912};
    private static final /* synthetic */ a.AbstractC0243a H = null;
    private FrameLayout A;
    private w B;
    private ColorStateList C;
    private boolean D;
    private Drawable E;
    private final a.g.l.a F;
    private final int w;
    private boolean x;
    boolean y;
    private final CheckedTextView z;

    class a extends a.g.l.a {
        a() {
        }

        @Override // a.g.l.a
        public void a(View view, d dVar) {
            super.a(view, dVar);
            dVar.c(NavigationMenuItemView.this.y);
        }
    }

    static {
        f();
    }

    public NavigationMenuItemView(Context context) {
        this(context, null);
    }

    private void e() {
        if (h()) {
            this.z.setVisibility(8);
            FrameLayout frameLayout = this.A;
            if (frameLayout != null) {
                LinearLayoutCompat.LayoutParams layoutParams = (LinearLayoutCompat.LayoutParams) frameLayout.getLayoutParams();
                ((ViewGroup.MarginLayoutParams) layoutParams).width = -1;
                this.A.setLayoutParams(layoutParams);
                return;
            }
            return;
        }
        this.z.setVisibility(0);
        FrameLayout frameLayout2 = this.A;
        if (frameLayout2 != null) {
            LinearLayoutCompat.LayoutParams layoutParams2 = (LinearLayoutCompat.LayoutParams) frameLayout2.getLayoutParams();
            ((ViewGroup.MarginLayoutParams) layoutParams2).width = -2;
            this.A.setLayoutParams(layoutParams2);
        }
    }

    private static /* synthetic */ void f() {
        b bVar = new b("NavigationMenuItemView.java", NavigationMenuItemView.class);
        H = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 93);
    }

    private StateListDrawable g() {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(a.a.a.colorControlHighlight, typedValue, true)) {
            return null;
        }
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(G, new ColorDrawable(typedValue.data));
        stateListDrawable.addState(ViewGroup.EMPTY_STATE_SET, new ColorDrawable(0));
        return stateListDrawable;
    }

    private boolean h() {
        return this.B.getTitle() == null && this.B.getIcon() == null && this.B.getActionView() != null;
    }

    private void setActionView(View view) {
        if (view != null) {
            if (this.A == null) {
                this.A = (FrameLayout) ((ViewStub) findViewById(f.design_menu_item_action_area_stub)).inflate();
            }
            this.A.removeAllViews();
            this.A.addView(view);
        }
    }

    @Override // androidx.appcompat.view.menu.e0.a
    public boolean a() {
        return false;
    }

    public void d() {
        FrameLayout frameLayout = this.A;
        if (frameLayout != null) {
            frameLayout.removeAllViews();
        }
        this.z.setCompoundDrawables(null, null, null, null);
    }

    @Override // androidx.appcompat.view.menu.e0.a
    public w getItemData() {
        return this.B;
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 1);
        w wVar = this.B;
        if (wVar != null && wVar.isCheckable() && this.B.isChecked()) {
            ViewGroup.mergeDrawableStates(onCreateDrawableState, G);
        }
        return onCreateDrawableState;
    }

    public void setCheckable(boolean z2) {
        refreshDrawableState();
        if (this.y != z2) {
            this.y = z2;
            this.F.a(this.z, VehicleZone.ZONE_ROW_3_ALL);
        }
    }

    public void setChecked(boolean z2) {
        refreshDrawableState();
        this.z.setChecked(z2);
    }

    public void setHorizontalPadding(int i2) {
        setPadding(i2, 0, i2, 0);
    }

    public void setIcon(Drawable drawable) {
        if (drawable != null) {
            if (this.D) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = androidx.core.graphics.drawable.a.i(drawable).mutate();
                androidx.core.graphics.drawable.a.a(drawable, this.C);
            }
            int i2 = this.w;
            drawable.setBounds(0, 0, i2, i2);
        } else if (this.x) {
            if (this.E == null) {
                this.E = a.g.d.c.f.a(getResources(), e.navigation_empty_icon, getContext().getTheme());
                Drawable drawable2 = this.E;
                if (drawable2 != null) {
                    int i3 = this.w;
                    drawable2.setBounds(0, 0, i3, i3);
                }
            }
            drawable = this.E;
        }
        i.a(this.z, drawable, null, null, null);
    }

    public void setIconPadding(int i2) {
        this.z.setCompoundDrawablePadding(i2);
    }

    /* access modifiers changed from: package-private */
    public void setIconTintList(ColorStateList colorStateList) {
        this.C = colorStateList;
        this.D = this.C != null;
        w wVar = this.B;
        if (wVar != null) {
            setIcon(wVar.getIcon());
        }
    }

    public void setNeedsEmptyIcon(boolean z2) {
        this.x = z2;
    }

    public void setTextAppearance(int i2) {
        i.d(this.z, i2);
    }

    public void setTextColor(ColorStateList colorStateList) {
        this.z.setTextColor(colorStateList);
    }

    public void setTitle(CharSequence charSequence) {
        this.z.setText(charSequence);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // androidx.appcompat.view.menu.e0.a
    public void a(w wVar, int i2) {
        this.B = wVar;
        setVisibility(wVar.isVisible() ? 0 : 8);
        if (getBackground() == null) {
            x.a(this, g());
        }
        setCheckable(wVar.isCheckable());
        setChecked(wVar.isChecked());
        setEnabled(wVar.isEnabled());
        setTitle(wVar.getTitle());
        setIcon(wVar.getIcon());
        setActionView(wVar.getActionView());
        setContentDescription(wVar.getContentDescription());
        u0.a(this, wVar.getTooltipText());
        e();
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.F = new a();
        setOrientation(0);
        LayoutInflater from = LayoutInflater.from(context);
        int i3 = h.design_navigation_menu_item;
        j.a.a.a a2 = b.a(H, (Object) this, (Object) from, new Object[]{j.a.b.a.b.a(i3), this, j.a.b.a.b.a(true)});
        View view = (View) d.h.a.a.b().a(new g(new Object[]{this, from, j.a.b.a.b.a(i3), this, j.a.b.a.b.a(true), a2}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING));
        this.w = context.getResources().getDimensionPixelSize(d.d.a.a.d.design_navigation_icon_size);
        this.z = (CheckedTextView) findViewById(f.design_menu_item_text);
        this.z.setDuplicateParentStateEnabled(true);
        x.a(this.z, this.F);
    }
}
