package com.liulishuo.filedownloader.message;

import d.e.a.p.e;

public interface BlockCompleteMessage {

    public static class BlockCompleteMessageImpl extends MessageSnapshot implements BlockCompleteMessage {
        private final MessageSnapshot mCompletedSnapshot;

        public BlockCompleteMessageImpl(MessageSnapshot messageSnapshot) {
            super(messageSnapshot.getId());
            if (messageSnapshot.getStatus() == -3) {
                this.mCompletedSnapshot = messageSnapshot;
            } else {
                throw new IllegalArgumentException(e.a("can't create the block complete message for id[%d], status[%d]", Integer.valueOf(messageSnapshot.getId()), Byte.valueOf(messageSnapshot.getStatus())));
            }
        }

        @Override // com.liulishuo.filedownloader.message.b
        public byte getStatus() {
            return 4;
        }

        public MessageSnapshot transmitToCompleted() {
            return this.mCompletedSnapshot;
        }
    }
}
