package com.liulishuo.filedownloader.message;

import android.os.Parcel;
import android.os.Parcelable;
import com.liulishuo.filedownloader.message.LargeMessageSnapshot;
import com.liulishuo.filedownloader.message.SmallMessageSnapshot;
import d.e.a.p.e;

public abstract class MessageSnapshot implements b, Parcelable {
    public static final Parcelable.Creator<MessageSnapshot> CREATOR = new a();
    private final int id;
    protected boolean isLargeFile;

    public static class StartedMessageSnapshot extends MessageSnapshot {
        StartedMessageSnapshot(int i2) {
            super(i2);
        }

        @Override // com.liulishuo.filedownloader.message.b
        public byte getStatus() {
            return 6;
        }

        StartedMessageSnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    static class a implements Parcelable.Creator<MessageSnapshot> {
        a() {
        }

        @Override // android.os.Parcelable.Creator
        public MessageSnapshot createFromParcel(Parcel parcel) {
            MessageSnapshot messageSnapshot;
            boolean z = parcel.readByte() == 1;
            byte readByte = parcel.readByte();
            if (readByte != -4) {
                if (readByte != -3) {
                    if (readByte != -1) {
                        if (readByte != 1) {
                            if (readByte != 2) {
                                if (readByte != 3) {
                                    if (readByte != 5) {
                                        if (readByte != 6) {
                                            messageSnapshot = null;
                                        } else {
                                            messageSnapshot = new StartedMessageSnapshot(parcel);
                                        }
                                    } else if (z) {
                                        messageSnapshot = new LargeMessageSnapshot.RetryMessageSnapshot(parcel);
                                    } else {
                                        messageSnapshot = new SmallMessageSnapshot.RetryMessageSnapshot(parcel);
                                    }
                                } else if (z) {
                                    messageSnapshot = new LargeMessageSnapshot.ProgressMessageSnapshot(parcel);
                                } else {
                                    messageSnapshot = new SmallMessageSnapshot.ProgressMessageSnapshot(parcel);
                                }
                            } else if (z) {
                                messageSnapshot = new LargeMessageSnapshot.ConnectedMessageSnapshot(parcel);
                            } else {
                                messageSnapshot = new SmallMessageSnapshot.ConnectedMessageSnapshot(parcel);
                            }
                        } else if (z) {
                            messageSnapshot = new LargeMessageSnapshot.PendingMessageSnapshot(parcel);
                        } else {
                            messageSnapshot = new SmallMessageSnapshot.PendingMessageSnapshot(parcel);
                        }
                    } else if (z) {
                        messageSnapshot = new LargeMessageSnapshot.ErrorMessageSnapshot(parcel);
                    } else {
                        messageSnapshot = new SmallMessageSnapshot.ErrorMessageSnapshot(parcel);
                    }
                } else if (z) {
                    messageSnapshot = new LargeMessageSnapshot.CompletedSnapshot(parcel);
                } else {
                    messageSnapshot = new SmallMessageSnapshot.CompletedSnapshot(parcel);
                }
            } else if (z) {
                messageSnapshot = new LargeMessageSnapshot.WarnMessageSnapshot(parcel);
            } else {
                messageSnapshot = new SmallMessageSnapshot.WarnMessageSnapshot(parcel);
            }
            if (messageSnapshot != null) {
                messageSnapshot.isLargeFile = z;
                return messageSnapshot;
            }
            throw new IllegalStateException("Can't restore the snapshot because unknown status: " + ((int) readByte));
        }

        @Override // android.os.Parcelable.Creator
        public MessageSnapshot[] newArray(int i2) {
            return new MessageSnapshot[i2];
        }
    }

    public interface b {
    }

    public static class c extends IllegalStateException {
        c(String str, MessageSnapshot messageSnapshot) {
            super(e.a("There isn't a field for '%s' in this message %d %d %s", str, Integer.valueOf(messageSnapshot.getId()), Byte.valueOf(messageSnapshot.getStatus()), messageSnapshot.getClass().getName()));
        }
    }

    MessageSnapshot(int i2) {
        this.id = i2;
    }

    public int describeContents() {
        return 0;
    }

    public String getEtag() {
        throw new c("getEtag", this);
    }

    public String getFileName() {
        throw new c("getFileName", this);
    }

    public int getId() {
        return this.id;
    }

    public long getLargeSofarBytes() {
        throw new c("getLargeSofarBytes", this);
    }

    public long getLargeTotalBytes() {
        throw new c("getLargeTotalBytes", this);
    }

    public int getRetryingTimes() {
        throw new c("getRetryingTimes", this);
    }

    public int getSmallSofarBytes() {
        throw new c("getSmallSofarBytes", this);
    }

    public int getSmallTotalBytes() {
        throw new c("getSmallTotalBytes", this);
    }

    public Throwable getThrowable() {
        throw new c("getThrowable", this);
    }

    public boolean isLargeFile() {
        return this.isLargeFile;
    }

    public boolean isResuming() {
        throw new c("isResuming", this);
    }

    public boolean isReusedDownloadedFile() {
        throw new c("isReusedDownloadedFile", this);
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeByte(this.isLargeFile ? (byte) 1 : 0);
        parcel.writeByte(getStatus());
        parcel.writeInt(this.id);
    }

    MessageSnapshot(Parcel parcel) {
        this.id = parcel.readInt();
    }
}
