package com.liulishuo.filedownloader.message;

import com.liulishuo.filedownloader.message.LargeMessageSnapshot;
import com.liulishuo.filedownloader.message.MessageSnapshot;
import com.liulishuo.filedownloader.message.SmallMessageSnapshot;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import d.e.a.k.f;
import d.e.a.p.c;
import d.e.a.p.e;
import java.io.File;

/* compiled from: MessageSnapshotTaker */
public class d {
    public static MessageSnapshot a(int i2, File file, boolean z) {
        long length = file.length();
        if (length > 2147483647L) {
            if (z) {
                return new LargeMessageSnapshot.CompletedFlowDirectlySnapshot(i2, true, length);
            }
            return new LargeMessageSnapshot.CompletedSnapshot(i2, true, length);
        } else if (z) {
            return new SmallMessageSnapshot.CompletedFlowDirectlySnapshot(i2, true, (int) length);
        } else {
            return new SmallMessageSnapshot.CompletedSnapshot(i2, true, (int) length);
        }
    }

    public static MessageSnapshot a(int i2, long j2, long j3, boolean z) {
        if (j3 > 2147483647L) {
            if (z) {
                return new LargeMessageSnapshot.WarnFlowDirectlySnapshot(i2, j2, j3);
            }
            return new LargeMessageSnapshot.WarnMessageSnapshot(i2, j2, j3);
        } else if (z) {
            return new SmallMessageSnapshot.WarnFlowDirectlySnapshot(i2, (int) j2, (int) j3);
        } else {
            return new SmallMessageSnapshot.WarnMessageSnapshot(i2, (int) j2, (int) j3);
        }
    }

    public static MessageSnapshot a(int i2, long j2, Throwable th) {
        if (j2 > 2147483647L) {
            return new LargeMessageSnapshot.ErrorMessageSnapshot(i2, j2, th);
        }
        return new SmallMessageSnapshot.ErrorMessageSnapshot(i2, (int) j2, th);
    }

    public static MessageSnapshot a(byte b2, FileDownloadModel fileDownloadModel, f.a aVar) {
        MessageSnapshot messageSnapshot;
        IllegalStateException illegalStateException;
        int id = fileDownloadModel.getId();
        if (b2 == -4) {
            throw new IllegalStateException(e.a("please use #catchWarn instead %d", Integer.valueOf(id)));
        } else if (b2 != -3) {
            if (b2 != -1) {
                if (b2 != 1) {
                    if (b2 == 2) {
                        String filename = fileDownloadModel.isPathAsDirectory() ? fileDownloadModel.getFilename() : null;
                        if (fileDownloadModel.isLargeFile()) {
                            return new LargeMessageSnapshot.ConnectedMessageSnapshot(id, aVar.c(), fileDownloadModel.getTotal(), fileDownloadModel.getETag(), filename);
                        }
                        return new SmallMessageSnapshot.ConnectedMessageSnapshot(id, aVar.c(), (int) fileDownloadModel.getTotal(), fileDownloadModel.getETag(), filename);
                    } else if (b2 != 3) {
                        if (b2 != 5) {
                            if (b2 == 6) {
                                return new MessageSnapshot.StartedMessageSnapshot(id);
                            }
                            String a2 = e.a("it can't takes a snapshot for the task(%s) when its status is %d,", fileDownloadModel, Byte.valueOf(b2));
                            c.e(d.class, "it can't takes a snapshot for the task(%s) when its status is %d,", fileDownloadModel, Byte.valueOf(b2));
                            if (aVar.a() != null) {
                                illegalStateException = new IllegalStateException(a2, aVar.a());
                            } else {
                                illegalStateException = new IllegalStateException(a2);
                            }
                            if (fileDownloadModel.isLargeFile()) {
                                return new LargeMessageSnapshot.ErrorMessageSnapshot(id, fileDownloadModel.getSoFar(), illegalStateException);
                            }
                            return new SmallMessageSnapshot.ErrorMessageSnapshot(id, (int) fileDownloadModel.getSoFar(), illegalStateException);
                        } else if (fileDownloadModel.isLargeFile()) {
                            messageSnapshot = new LargeMessageSnapshot.RetryMessageSnapshot(id, fileDownloadModel.getSoFar(), aVar.a(), aVar.b());
                        } else {
                            messageSnapshot = new SmallMessageSnapshot.RetryMessageSnapshot(id, (int) fileDownloadModel.getSoFar(), aVar.a(), aVar.b());
                        }
                    } else if (fileDownloadModel.isLargeFile()) {
                        return new LargeMessageSnapshot.ProgressMessageSnapshot(id, fileDownloadModel.getSoFar());
                    } else {
                        return new SmallMessageSnapshot.ProgressMessageSnapshot(id, (int) fileDownloadModel.getSoFar());
                    }
                } else if (!fileDownloadModel.isLargeFile()) {
                    return new SmallMessageSnapshot.PendingMessageSnapshot(id, (int) fileDownloadModel.getSoFar(), (int) fileDownloadModel.getTotal());
                } else {
                    messageSnapshot = new LargeMessageSnapshot.PendingMessageSnapshot(id, fileDownloadModel.getSoFar(), fileDownloadModel.getTotal());
                }
            } else if (fileDownloadModel.isLargeFile()) {
                messageSnapshot = new LargeMessageSnapshot.ErrorMessageSnapshot(id, fileDownloadModel.getSoFar(), aVar.a());
            } else {
                messageSnapshot = new SmallMessageSnapshot.ErrorMessageSnapshot(id, (int) fileDownloadModel.getSoFar(), aVar.a());
            }
            return messageSnapshot;
        } else if (fileDownloadModel.isLargeFile()) {
            return new LargeMessageSnapshot.CompletedSnapshot(id, false, fileDownloadModel.getTotal());
        } else {
            return new SmallMessageSnapshot.CompletedSnapshot(id, false, (int) fileDownloadModel.getTotal());
        }
    }
}
