package com.ximalaya.ting.android.car.framework.base;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.Color;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.widget.RelativeLayout;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.model.Event;
import d.h.b.a.a.a.e.b.b;
import d.h.b.a.a.a.e.c.a;
import h.a.a.d;
import h.a.a.j;
import h.a.a.k;
import j.a.a.a;
import me.yokeyword.fragmentation.anim.FragmentAnimator;

public abstract class BaseFragment<P extends b> extends Fragment implements a, d {
    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_0 = null;
    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_1 = null;
    protected FragmentActivity _mActivity;
    private final j mDelegate = new j(this);
    protected RelativeLayout mPlaceholderLayout;
    private P mPresenter;

    static {
        ajc$preClinit();
    }

    private static /* synthetic */ void ajc$preClinit() {
        j.a.b.b.b bVar = new j.a.b.b.b("BaseFragment.java", BaseFragment.class);
        ajc$tjp_0 = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 387);
        ajc$tjp_1 = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 542);
    }

    private View getContainerView(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        int containerLayoutId = getContainerLayoutId();
        j.a.a.a a2 = j.a.b.b.b.a(ajc$tjp_0, (Object) this, (Object) layoutInflater, new Object[]{j.a.b.a.b.a(containerLayoutId), viewGroup, j.a.b.a.b.a(z)});
        return (View) d.h.a.a.b().a(new c(new Object[]{this, layoutInflater, j.a.b.a.b.a(containerLayoutId), viewGroup, j.a.b.a.b.a(z), a2}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING));
    }

    static final /* synthetic */ View inflate_aroundBody0(BaseFragment baseFragment, LayoutInflater layoutInflater, int i2, ViewGroup viewGroup, boolean z, j.a.a.a aVar) {
        return layoutInflater.inflate(i2, viewGroup, z);
    }

    @Override // d.h.b.a.a.a.e.c.a
    public boolean canUpdateUi() {
        return isAdded() && !isRemoving() && !isDetached() && getView() != null;
    }

    public void clerFocus() {
        View currentFocus;
        FragmentActivity cActivity = getCActivity();
        if (cActivity != null && (currentFocus = cActivity.getCurrentFocus()) != null) {
            currentFocus.clearFocus();
        }
    }

    /* access modifiers changed from: protected */
    public abstract P createPresenter();

    public void enqueueAction(Runnable runnable) {
        this.mDelegate.a(runnable);
    }

    public h.a.a.a extraTransaction() {
        return this.mDelegate.a();
    }

    public <T extends BaseFragment> T findChildFragment(Class<T> cls) {
        return (T) ((BaseFragment) k.a(getChildFragmentManager(), cls));
    }

    public <T extends View> T findViewById(int i2) {
        return (T) getView().findViewById(i2);
    }

    public FragmentActivity getCActivity() {
        return this._mActivity;
    }

    public abstract int getContainerLayoutId();

    @Override // androidx.fragment.app.Fragment, d.h.b.a.a.a.e.c.a
    public Context getContext() {
        return this._mActivity;
    }

    public FragmentAnimator getFragmentAnimator() {
        return this.mDelegate.e();
    }

    /* access modifiers changed from: protected */
    public abstract View getLoadingView();

    /* access modifiers changed from: protected */
    public abstract View getNetworkErrorView();

    /* access modifiers changed from: protected */
    public abstract View getNoContentView();

    public Drawable getPlaceViewBackgroundDrawable() {
        return null;
    }

    public ViewGroup getPlaceViewContainer() {
        return null;
    }

    /* access modifiers changed from: protected */
    public P getPresenter() {
        return this.mPresenter;
    }

    @Override // h.a.a.d
    public j getSupportDelegate() {
        return this.mDelegate;
    }

    public d getTopFragment() {
        return k.c(getFragmentManager());
    }

    public abstract void handleArgs(Bundle bundle);

    public void hidePlaceView() {
        RelativeLayout relativeLayout = this.mPlaceholderLayout;
        if (relativeLayout != null) {
            relativeLayout.removeAllViews();
            this.mPlaceholderLayout.setVisibility(8);
        }
    }

    /* access modifiers changed from: protected */
    public void hideSoftInput() {
        this.mDelegate.g();
        clerFocus();
    }

    /* access modifiers changed from: protected */
    public abstract void initUi(Bundle bundle);

    public abstract boolean initWhenRotate();

    /* access modifiers changed from: protected */
    public boolean isFinishing() {
        return getActivity() == null || getActivity().isFinishing();
    }

    @Override // h.a.a.d
    public final boolean isSupportVisible() {
        return this.mDelegate.h();
    }

    public void loadMultipleRootFragment(int i2, int i3, d... dVarArr) {
        this.mDelegate.a(i2, i3, dVarArr);
    }

    public void loadRootFragment(int i2, d dVar) {
        this.mDelegate.a(i2, dVar);
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        this.mDelegate.a(bundle);
        initUi(bundle);
        if (getPresenter() != null) {
            getPresenter().c();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(Context context) {
        super.onAttach(context);
        this.mDelegate.a((FragmentActivity) context);
        this._mActivity = this.mDelegate.b();
    }

    @Override // h.a.a.d
    public boolean onBackPressedSupport() {
        return this.mDelegate.i();
    }

    @Override // androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        if (initWhenRotate()) {
            ViewGroup viewGroup = (ViewGroup) getView();
            LayoutInflater from = LayoutInflater.from(getContext());
            int containerLayoutId = getContainerLayoutId();
            j.a.a.a a2 = j.a.b.b.b.a(ajc$tjp_1, (Object) this, (Object) from, new Object[]{j.a.b.a.b.a(containerLayoutId), viewGroup, j.a.b.a.b.a(false)});
            View view = (View) d.h.a.a.b().a(new d(new Object[]{this, from, j.a.b.a.b.a(containerLayoutId), viewGroup, j.a.b.a.b.a(false), a2}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING));
            if (viewGroup != null) {
                viewGroup.removeAllViews();
                viewGroup.addView(view);
            }
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.mDelegate.b(bundle);
        if (this.mPresenter == null) {
            this.mPresenter = createPresenter();
        }
        P p = this.mPresenter;
        if (p != null) {
            p.a(this);
            this.mPresenter.a(getArguments());
            this.mPresenter.b();
        }
        handleArgs(getArguments());
    }

    @Override // androidx.fragment.app.Fragment
    public Animation onCreateAnimation(int i2, boolean z, int i3) {
        return this.mDelegate.a(i2, z, i3);
    }

    @Override // h.a.a.d
    public FragmentAnimator onCreateFragmentAnimator() {
        return this.mDelegate.j();
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return getContainerView(layoutInflater, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroy() {
        this.mDelegate.k();
        P p = this.mPresenter;
        if (p != null) {
            p.a();
            this.mPresenter.a(!isFinishing());
        }
        super.onDestroy();
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        this.mDelegate.l();
        clerFocus();
        super.onDestroyView();
    }

    @Override // androidx.fragment.app.Fragment
    public void onDetach() {
        super.onDetach();
    }

    @Override // h.a.a.d
    public void onEnterAnimationEnd(Bundle bundle) {
        this.mDelegate.c(bundle);
    }

    @Override // h.a.a.d
    public void onFragmentResult(int i2, int i3, Bundle bundle) {
        this.mDelegate.a(i2, i3, bundle);
    }

    @Override // androidx.fragment.app.Fragment
    public void onHiddenChanged(boolean z) {
        super.onHiddenChanged(z);
        this.mDelegate.a(z);
    }

    @Override // h.a.a.d
    public void onLazyInitView(Bundle bundle) {
        this.mDelegate.d(bundle);
    }

    @Override // h.a.a.d
    public void onNewBundle(Bundle bundle) {
        this.mDelegate.e(bundle);
        if (getPresenter() != null) {
            getPresenter().a(bundle);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        this.mDelegate.m();
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        this.mDelegate.n();
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        this.mDelegate.f(bundle);
    }

    @Override // h.a.a.d
    public void onSupportInvisible() {
        this.mDelegate.o();
        P p = this.mPresenter;
        if (p != null) {
            p.onPause();
        }
    }

    @Override // h.a.a.d
    public void onSupportVisible() {
        this.mDelegate.p();
        P p = this.mPresenter;
        if (p != null) {
            p.onResume();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        getView().setTag(d.h.b.a.a.a.b.car_ui_fragment_rootview, true);
        getView().setClickable(true);
    }

    public void pop() {
        this.mDelegate.q();
    }

    public void popTo(Class<?> cls, boolean z) {
        this.mDelegate.a(cls, z);
    }

    public void post(Runnable runnable) {
        this.mDelegate.b(runnable);
    }

    public void putNewBundle(Bundle bundle) {
        this.mDelegate.g(bundle);
    }

    public abstract void reloadData();

    public void replaceFragment(d dVar, boolean z) {
        this.mDelegate.a(dVar, z);
    }

    public void setFragmentAnimator(FragmentAnimator fragmentAnimator) {
        this.mDelegate.a(fragmentAnimator);
    }

    public void setFragmentResult(int i2, Bundle bundle) {
        this.mDelegate.a(i2, bundle);
    }

    @Override // androidx.fragment.app.Fragment
    public void setUserVisibleHint(boolean z) {
        super.setUserVisibleHint(z);
        this.mDelegate.b(z);
    }

    public void showHideFragment(d dVar, d dVar2) {
        this.mDelegate.a(dVar, dVar2);
    }

    @Override // d.h.b.a.a.a.e.c.a
    public void showLoading() {
        showPlaceView(getLoadingView());
    }

    @Override // d.h.b.a.a.a.e.c.a
    public void showNetError() {
        showPlaceView(getNetworkErrorView());
    }

    @Override // d.h.b.a.a.a.e.c.a
    public void showNoContent() {
        showPlaceView(getNoContentView());
    }

    @Override // d.h.b.a.a.a.e.c.a
    public void showNormalContent() {
        hidePlaceView();
    }

    public void showPlaceView(View view) {
        if (this.mPlaceholderLayout == null) {
            this.mPlaceholderLayout = new RelativeLayout(getContext());
            this.mPlaceholderLayout.setId(d.h.b.a.a.a.b.car_ui_place_holder_view);
            ViewGroup placeViewContainer = getPlaceViewContainer();
            View view2 = getView();
            if (view2 instanceof ViewGroup) {
                if (placeViewContainer == null) {
                    placeViewContainer = (ViewGroup) view2;
                }
                this.mPlaceholderLayout.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
                if (Build.VERSION.SDK_INT >= 16) {
                    this.mPlaceholderLayout.setBackground(getPlaceViewBackgroundDrawable());
                } else {
                    this.mPlaceholderLayout.setBackgroundColor(Color.parseColor("#00000000"));
                }
                placeViewContainer.addView(this.mPlaceholderLayout);
            } else {
                return;
            }
        }
        this.mPlaceholderLayout.removeAllViews();
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams.addRule(13);
        this.mPlaceholderLayout.setVisibility(0);
        this.mPlaceholderLayout.addView(view, layoutParams);
    }

    /* access modifiers changed from: protected */
    public void showSoftInput(View view) {
        this.mDelegate.b(view);
    }

    public void start(d dVar) {
        this.mDelegate.a(dVar);
    }

    public void startForResult(d dVar, int i2) {
        this.mDelegate.b(dVar, i2);
    }

    public void startWithPop(d dVar) {
        this.mDelegate.b(dVar);
    }

    public void startWithPopTo(d dVar, Class<?> cls, boolean z) {
        this.mDelegate.a(dVar, cls, z);
    }

    public void loadRootFragment(int i2, d dVar, boolean z, boolean z2) {
        this.mDelegate.a(i2, dVar, z, z2);
    }

    public void start(d dVar, int i2) {
        this.mDelegate.a(dVar, i2);
    }
}
