package com.ximalaya.ting.android.car.opensdk.model.album;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.ximalaya.ting.android.car.opensdk.model.XimaIotDataResponse;
import com.ximalaya.ting.android.opensdk.model.album.Announcer;

public class IOTAnnouncer extends XimaIotDataResponse implements Parcelable {
    public static final Parcelable.Creator<IOTAnnouncer> CREATOR = new Parcelable.Creator<IOTAnnouncer>() {
        /* class com.ximalaya.ting.android.car.opensdk.model.album.IOTAnnouncer.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTAnnouncer createFromParcel(Parcel parcel) {
            return new IOTAnnouncer(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTAnnouncer[] newArray(int i2) {
            return new IOTAnnouncer[i2];
        }
    };
    @SerializedName("follower_count")
    private int followerCount;
    @SerializedName(alternate = {"uid"}, value = "id")
    private long id;
    @SerializedName("is_verified")
    private boolean isVerified;
    @SerializedName("nickname")
    private String nickname;
    @SerializedName("popularity")
    private int popularity;
    private String ptitle;
    @SerializedName(alternate = {"avatar_url"}, value = "small_pic")
    private String smallPic;
    @SerializedName("tags")
    private String tags;
    @SerializedName(FileDownloadModel.URL)
    private String url;
    @SerializedName("verify_type")
    private int verifyType;

    public IOTAnnouncer() {
    }

    public Announcer asAnouncer() {
        Announcer announcer = new Announcer();
        announcer.setAnnouncerId(getId());
        announcer.setAvatarUrl(getSmallPic());
        announcer.setNickname(getNickname());
        announcer.setVerified(isIsVerified());
        announcer.setVerifyType(getVerifyType());
        announcer.setFollowerCount((long) getFollowerCount());
        return announcer;
    }

    public int describeContents() {
        return 0;
    }

    public int getFollowerCount() {
        return this.followerCount;
    }

    public long getId() {
        return this.id;
    }

    public String getNickname() {
        return this.nickname;
    }

    public int getPopularity() {
        return this.popularity;
    }

    public String getPtitle() {
        return this.ptitle;
    }

    public String getSmallPic() {
        return this.smallPic;
    }

    public String getTags() {
        return this.tags;
    }

    public String getUrl() {
        return this.url;
    }

    public int getVerifyType() {
        return this.verifyType;
    }

    public boolean isIsVerified() {
        return this.isVerified;
    }

    public boolean isVerified() {
        return this.isVerified;
    }

    public void setFollowerCount(int i2) {
        this.followerCount = i2;
    }

    public void setId(long j2) {
        this.id = j2;
    }

    public void setIsVerified(boolean z) {
        this.isVerified = z;
    }

    public void setNickname(String str) {
        this.nickname = str;
    }

    public void setPopularity(int i2) {
        this.popularity = i2;
    }

    public void setPtitle(String str) {
        this.ptitle = str;
    }

    public void setSmallPic(String str) {
        this.smallPic = str;
    }

    public void setTags(String str) {
        this.tags = str;
    }

    public void setUrl(String str) {
        this.url = str;
    }

    public void setVerified(boolean z) {
        this.isVerified = z;
    }

    public void setVerifyType(int i2) {
        this.verifyType = i2;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeLong(this.id);
        parcel.writeString(this.nickname);
        parcel.writeString(this.smallPic);
        parcel.writeByte(this.isVerified ? (byte) 1 : 0);
        parcel.writeString(this.url);
        parcel.writeInt(this.popularity);
        parcel.writeString(this.tags);
        parcel.writeInt(this.verifyType);
        parcel.writeString(this.ptitle);
        parcel.writeInt(this.followerCount);
    }

    protected IOTAnnouncer(Parcel parcel) {
        this.id = parcel.readLong();
        this.nickname = parcel.readString();
        this.smallPic = parcel.readString();
        this.isVerified = parcel.readByte() != 0;
        this.url = parcel.readString();
        this.popularity = parcel.readInt();
        this.tags = parcel.readString();
        this.verifyType = parcel.readInt();
        this.ptitle = parcel.readString();
        this.followerCount = parcel.readInt();
    }
}
