package com.ximalaya.ting.android.carkids.business.module.home.h5;

import android.annotation.SuppressLint;
import android.content.res.Configuration;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.View;
import android.webkit.JavascriptInterface;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import android.webkit.WebView;
import android.widget.TextView;
import com.google.gson.Gson;
import com.ximalaya.ting.android.car.carbusiness.e.a;
import com.ximalaya.ting.android.car.carbusiness.module.user.f;
import com.ximalaya.ting.android.carkids.C0253R$id;
import com.ximalaya.ting.android.carkids.C0256R$layout;
import com.ximalaya.ting.android.carkids.base.CommonCarFragment;
import com.ximalaya.ting.android.carkids.view.IconTextView;
import com.ximalaya.ting.android.carkids.xmtrace.c;
import d.h.b.a.a.a.e.b.b;
import d.h.b.a.a.b.a.h;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.Map;

public class H5Fragment extends CommonCarFragment {
    public static final String TAG = H5Fragment.class.getSimpleName();
    private IconTextView mBackIcon;
    private TextView mTitle;
    private View mTopBack;
    private f mUser = ((f) a.a(f.class));
    private WebView mWebView;
    private String url;

    private class WebViewClient extends android.webkit.WebViewClient {
        private WebViewClient() {
        }

        public void onPageFinished(WebView webView, String str) {
            super.onPageFinished(webView, str);
            Log.i(H5Fragment.TAG, "WebViewClient,onPageFinished: ");
        }

        public void onReceivedError(WebView webView, WebResourceRequest webResourceRequest, WebResourceError webResourceError) {
            super.onReceivedError(webView, webResourceRequest, webResourceError);
            if (H5Fragment.this.canUpdateUi()) {
                H5Fragment.this.showNetError();
            }
        }

        public void onReceivedHttpError(WebView webView, WebResourceRequest webResourceRequest, WebResourceResponse webResourceResponse) {
            super.onReceivedHttpError(webView, webResourceRequest, webResourceResponse);
            Log.i(H5Fragment.TAG, "WebViewClient,onReceivedHttpError: ");
            if (H5Fragment.this.canUpdateUi()) {
                H5Fragment.this.showNetError();
            }
        }
    }

    private void loadUrl() {
        String str;
        showNormalContent();
        try {
            URI uri = new URI(this.url);
            String query = uri.getQuery();
            if (query == null) {
                str = "ts=" + System.currentTimeMillis();
            } else {
                str = query + "&ts=" + System.currentTimeMillis();
            }
            URI uri2 = new URI(uri.getScheme(), uri.getAuthority(), uri.getPath(), str, uri.getFragment());
            Log.i(TAG, "H5Fragment,loadUrl: new uri = " + uri2.toString());
            this.mWebView.loadUrl(uri2.toString(), null);
        } catch (URISyntaxException e2) {
            Log.i(TAG, "H5Fragment,loadUrl: exception = " + e2.getMessage());
            this.mWebView.loadUrl(this.url, null);
        }
    }

    public static H5Fragment newInstance(String str) {
        Bundle bundle = new Bundle();
        H5Fragment h5Fragment = new H5Fragment();
        bundle.putString("bundle_key_search_word", str);
        h5Fragment.setArguments(bundle);
        return h5Fragment;
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public b createPresenter() {
        return null;
    }

    @JavascriptInterface
    public void exit() {
        onBackPressed();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public int getContainerLayoutId() {
        return C0256R$layout.fra_h5;
    }

    @JavascriptInterface
    public String getParams() {
        Log.i(TAG, "H5Fragment,getParams: ");
        try {
            Map<String, String> a2 = h.h().a((Map<String, String>) null);
            a2.put("app_secret", h.h().c());
            DisplayMetrics displayMetrics = new DisplayMetrics();
            this._mActivity.getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            a2.put("screen_width", String.valueOf(displayMetrics.widthPixels));
            a2.put("screen_height", String.valueOf(displayMetrics.heightPixels));
            String str = TAG;
            Log.i(str, "H5Fragment,getParams: " + String.valueOf(displayMetrics.widthPixels) + "," + String.valueOf(displayMetrics.heightPixels));
            if (this.mUser.a()) {
                a2.put("user_id", String.valueOf(this.mUser.b()));
            }
            return new Gson().toJson(a2);
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            e2.printStackTrace();
            return "";
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.carkids.base.CommonCarFragment
    @SuppressLint({"SetJavaScriptEnabled", "AddJavascriptInterface"})
    public void initUi(Bundle bundle) {
        super.initUi(bundle);
        this.mWebView = (WebView) findViewById(C0253R$id.webview);
        this.mTitle = (TextView) findViewById(C0253R$id.tv_title);
        this.mTopBack = findViewById(C0253R$id.relative_top_title_bar);
        this.mBackIcon = (IconTextView) findViewById(C0253R$id.back_btn);
        this.url = getArguments().getString("bundle_key_search_word");
        this.mTopBack.setBackgroundColor(-1);
        this.mTitle.setTextColor(-16777216);
        if (TextUtils.isEmpty(this.url)) {
            showNetError();
            return;
        }
        this.mWebView.getSettings().setJavaScriptEnabled(true);
        this.mWebView.addJavascriptInterface(this, "android");
        this.mWebView.setWebViewClient(new WebViewClient());
        loadUrl();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.carkids.base.CommonCarFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        loadUrl();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.carkids.base.CommonCarFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        loadUrl();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.carkids.base.CommonCarFragment
    public void reloadData() {
        loadUrl();
    }

    @Override // com.ximalaya.ting.android.carkids.base.CommonCarFragment
    public String returnLogicPageTitle() {
        c cVar = new c();
        cVar.a("h5页面");
        return cVar.a();
    }

    @JavascriptInterface
    public void route(final String str) {
        String str2 = TAG;
        Log.i(str2, "H5Fragment,route: " + str);
        this._mActivity.runOnUiThread(new Runnable() {
            /* class com.ximalaya.ting.android.carkids.business.module.home.h5.H5Fragment.AnonymousClass1 */

            public void run() {
                com.ximalaya.ting.android.carkids.b.b.d.b.b(str);
            }
        });
    }

    @JavascriptInterface
    public void setTitle(final String str) {
        Log.i(TAG, "H5Fragment,setTitle: ");
        this._mActivity.runOnUiThread(new Runnable() {
            /* class com.ximalaya.ting.android.carkids.business.module.home.h5.H5Fragment.AnonymousClass2 */

            public void run() {
                if (H5Fragment.this.mTitle != null) {
                    H5Fragment.this.mTitle.setText(str);
                }
            }
        });
    }

    @JavascriptInterface
    public void setTopColor(final int i2) {
        String str = TAG;
        Log.i(str, "H5Fragment,setTopColor: " + i2);
        this._mActivity.runOnUiThread(new Runnable() {
            /* class com.ximalaya.ting.android.carkids.business.module.home.h5.H5Fragment.AnonymousClass3 */

            public void run() {
                if (H5Fragment.this.mTopBack != null) {
                    H5Fragment.this.mTopBack.setBackgroundColor(i2);
                }
            }
        });
    }

    @JavascriptInterface
    public void setTopTextColor(final int i2) {
        String str = TAG;
        Log.i(str, "H5Fragment,setTopTextColor: " + i2);
        this._mActivity.runOnUiThread(new Runnable() {
            /* class com.ximalaya.ting.android.carkids.business.module.home.h5.H5Fragment.AnonymousClass4 */

            public void run() {
                if (H5Fragment.this.mTitle != null) {
                    H5Fragment.this.mTitle.setTextColor(i2);
                }
                if (H5Fragment.this.mBackIcon != null) {
                    H5Fragment.this.mBackIcon.setTextColor(i2);
                }
            }
        });
    }
}
