package com.ximalaya.ting.android.carkids.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.widget.ConstraintLayout;
import com.ximalaya.ting.android.carkids.R$styleable;

public class FixedWidthHeightRatioConstraintLayout extends ConstraintLayout {
    private float r;

    public FixedWidthHeightRatioConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.FixedWidthHeightRatio);
        this.r = obtainStyledAttributes.getFloat(0, 0.0f);
        obtainStyledAttributes.recycle();
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onMeasure(int i2, int i3) {
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec((int) (((float) View.MeasureSpec.getSize(i3)) * this.r), View.MeasureSpec.getMode(i3));
        super.onMeasure(makeMeasureSpec, i3);
        setMeasuredDimension(makeMeasureSpec, i3);
    }

    public void setRatio(float f2) {
        this.r = f2;
        invalidate();
    }

    public FixedWidthHeightRatioConstraintLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
