package com.ximalaya.ting.android.opensdk.httputil;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.HashMap;
import java.util.Map;

public class Config implements Parcelable {
    public static final Parcelable.Creator<Config> CREATOR = new a();
    public static final String METHOD_GET = "GET";
    public static final String METHOD_HEAD = "HEAD";
    public static final String METHOD_POST = "POST";
    public String authorization;
    public int connectionTimeOut = 10000;
    public int httpsProxyPort;
    public String method = "GET";
    public Map<String, String> property = new HashMap();
    public String proxyHost;
    public int proxyPort;
    public int proxyType = -1;
    public int readTimeOut = 10000;
    public boolean useCache = true;
    public boolean useProxy = false;
    public int writeTimeOut = 10000;

    class a implements Parcelable.Creator<Config> {
        a() {
        }

        @Override // android.os.Parcelable.Creator
        public Config createFromParcel(Parcel parcel) {
            return new Config(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public Config[] newArray(int i2) {
            return new Config[i2];
        }
    }

    public Config() {
    }

    public static Config getDownloadConfig(Config config) {
        if (config == null) {
            config = new Config();
        }
        config.connectionTimeOut = 30000;
        config.readTimeOut = 30000;
        return config;
    }

    public int describeContents() {
        return 0;
    }

    public void readFromParcel(Parcel parcel) {
        boolean z = true;
        this.useProxy = parcel.readByte() != 0;
        if (parcel.readByte() == 0) {
            z = false;
        }
        this.useCache = z;
        this.proxyHost = parcel.readString();
        this.proxyPort = parcel.readInt();
        this.httpsProxyPort = parcel.readInt();
        this.authorization = parcel.readString();
        this.connectionTimeOut = parcel.readInt();
        this.readTimeOut = parcel.readInt();
        this.writeTimeOut = parcel.readInt();
        this.method = parcel.readString();
        int readInt = parcel.readInt();
        this.property = new HashMap(readInt);
        for (int i2 = 0; i2 < readInt; i2++) {
            this.property.put(parcel.readString(), parcel.readString());
        }
        this.proxyType = parcel.readInt();
    }

    public String toString() {
        return "Config{useProxy=" + this.useProxy + ", useCache=" + this.useCache + ", proxyHost='" + this.proxyHost + '\'' + ", proxyPort=" + this.proxyPort + ", httpsProxyPort=" + this.httpsProxyPort + ", authorization='" + this.authorization + '\'' + ", connectionTimeOut=" + this.connectionTimeOut + ", readTimeOut=" + this.readTimeOut + ", writeTimeOut=" + this.writeTimeOut + ", method='" + this.method + '\'' + ", property=" + this.property + '}';
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeByte(this.useProxy ? (byte) 1 : 0);
        parcel.writeByte(this.useCache ? (byte) 1 : 0);
        parcel.writeString(this.proxyHost);
        parcel.writeInt(this.proxyPort);
        parcel.writeInt(this.httpsProxyPort);
        parcel.writeString(this.authorization);
        parcel.writeInt(this.connectionTimeOut);
        parcel.writeInt(this.readTimeOut);
        parcel.writeInt(this.writeTimeOut);
        parcel.writeString(this.method);
        parcel.writeInt(this.property.size());
        for (Map.Entry<String, String> entry : this.property.entrySet()) {
            parcel.writeString(entry.getKey());
            parcel.writeString(entry.getValue());
        }
        parcel.writeInt(this.proxyType);
    }

    protected Config(Parcel parcel) {
        readFromParcel(parcel);
    }
}
