package com.ximalaya.ting.android.opensdk.model;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.opensdk.model.live.schedule.Schedule;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.util.n;

public class PlayableModel extends n implements Parcelable {
    public static final Parcelable.Creator<PlayableModel> CREATOR = new Parcelable.Creator<PlayableModel>() {
        /* class com.ximalaya.ting.android.opensdk.model.PlayableModel.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public PlayableModel createFromParcel(Parcel parcel) {
            return new PlayableModel(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public PlayableModel[] newArray(int i2) {
            return new PlayableModel[i2];
        }
    };
    public static final String KIND_LIVE_FLV = "live_flv";
    public static final String KIND_PAID_TRACK = "paid_track";
    public static final String KIND_RADIO = "radio";
    public static final String KIND_SCHEDULE = "schedule";
    public static final String KIND_TRACK = "track";
    public static final String KIND_TTS = "tts";
    @SerializedName(alternate = {"trackId"}, value = "id")
    private long dataId;
    public boolean isWeikeTrack;
    private String kind;
    private int lastPlayedMills = -1;
    public long weikeLessonId;
    public long weikeRoomId;
    public String weikeTrackId;

    public PlayableModel() {
    }

    public static boolean isTrackKind(String str) {
        return KIND_TRACK.equalsIgnoreCase(str) || KIND_PAID_TRACK.equalsIgnoreCase(str);
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        boolean z = (obj instanceof Track) && (this instanceof Track);
        boolean z2 = (obj instanceof Schedule) && (this instanceof Schedule);
        boolean z3 = getClass() == obj.getClass();
        if (!z && !z2 && !z3) {
            return false;
        }
        PlayableModel playableModel = (PlayableModel) obj;
        boolean z4 = this.isWeikeTrack;
        if (z4 != playableModel.isWeikeTrack) {
            return false;
        }
        if (z4) {
            return TextUtils.equals(this.weikeTrackId, playableModel.weikeTrackId);
        }
        if (this.dataId == playableModel.dataId) {
            return true;
        }
        return false;
    }

    public long getDataId() {
        return this.dataId;
    }

    public boolean getIsWeikeTrack() {
        return this.isWeikeTrack;
    }

    public String getKind() {
        return this.kind;
    }

    public int getLastPlayedMills() {
        return this.lastPlayedMills;
    }

    public long getWeikeLessonId() {
        return this.weikeLessonId;
    }

    public long getWeikeRoomId() {
        return this.weikeRoomId;
    }

    public String getWeikeTrackId() {
        return this.weikeTrackId;
    }

    public int hashCode() {
        long j2 = this.dataId;
        return 31 + ((int) (j2 ^ (j2 >>> 32)));
    }

    public void readFromParcel(Parcel parcel) {
        setDataId(parcel.readLong());
        setKind(parcel.readString());
        setLastPlayedMills(parcel.readInt());
        setIsWeikeTrack(parcel.readInt() != 0);
        setWeikeRoomId(parcel.readLong());
        setWeikeLessonId(parcel.readLong());
        setWeikeTrackId(parcel.readString());
    }

    public void setDataId(long j2) {
        this.dataId = j2;
    }

    public void setIsWeikeTrack(boolean z) {
        this.isWeikeTrack = z;
    }

    public void setKind(String str) {
        this.kind = str;
    }

    public void setLastPlayedMills(int i2) {
        this.lastPlayedMills = i2;
    }

    public void setWeikeLessonId(long j2) {
        this.weikeLessonId = j2;
    }

    public void setWeikeRoomId(long j2) {
        this.weikeRoomId = j2;
    }

    public void setWeikeTrackId(String str) {
        this.weikeTrackId = str;
    }

    public String toString() {
        return "PlayableModel{dataId=" + this.dataId + ", kind='" + this.kind + '\'' + ", lastPlayedMills=" + this.lastPlayedMills + '}';
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeLong(this.dataId);
        parcel.writeString(this.kind);
        parcel.writeInt(this.lastPlayedMills);
        parcel.writeByte(this.isWeikeTrack ? (byte) 1 : 0);
        parcel.writeLong(this.weikeRoomId);
        parcel.writeLong(this.weikeLessonId);
        parcel.writeString(this.weikeTrackId);
    }

    protected PlayableModel(Parcel parcel) {
        this.dataId = parcel.readLong();
        this.kind = parcel.readString();
        this.lastPlayedMills = parcel.readInt();
        this.isWeikeTrack = parcel.readByte() != 0;
        this.weikeRoomId = parcel.readLong();
        this.weikeLessonId = parcel.readLong();
        this.weikeTrackId = parcel.readString();
    }
}
