package com.ximalaya.ting.android.opensdk.model.history;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.track.Track;

public class HistoryModel implements Parcelable {
    public static final Parcelable.Creator<HistoryModel> CREATOR = new Parcelable.Creator<HistoryModel>() {
        /* class com.ximalaya.ting.android.opensdk.model.history.HistoryModel.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public HistoryModel createFromParcel(Parcel parcel) {
            return new HistoryModel(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public HistoryModel[] newArray(int i2) {
            return new HistoryModel[i2];
        }
    };
    private long albumId;
    private long deleteTime;
    @Deprecated
    private String deviceId;
    private String deviceName;
    private int deviceType;
    private int direction;
    private long endedAt;
    private boolean isDeleted;
    public boolean isRadio;
    private boolean isSubscribe;
    private boolean isSync;
    private long listenUid;
    private int platform;
    private long startedAt;
    private Track track;
    private int type;
    private long updateAt;

    public HistoryModel(Track track2, boolean z) {
        this.track = track2;
        this.updateAt = track2.getUpdatedAt();
        this.isRadio = false;
        this.isSync = z;
        if (TextUtils.isEmpty(track2.getKind())) {
            return;
        }
        if (PlayableModel.isTrackKind(track2.getKind())) {
            this.type = 1;
        } else if (track2.getKind().equals(PlayableModel.KIND_LIVE_FLV)) {
            this.type = 4;
        }
    }

    public int describeContents() {
        return 0;
    }

    public long getAlbumId() {
        if (!(getTrack() == null || getTrack().getAlbum() == null)) {
            this.albumId = getTrack().getAlbum().getAlbumId();
        }
        return this.albumId;
    }

    public String getAlbumTitle() {
        Track track2 = this.track;
        if (track2 == null) {
            return "";
        }
        if (track2.getAlbum() != null) {
            return this.track.getAlbum().getAlbumTitle();
        }
        return this.track.getTrackTitle();
    }

    public long getDeleteTime() {
        return this.deleteTime;
    }

    public String getDeviceId() {
        return this.deviceId;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public int getDeviceType() {
        return this.deviceType;
    }

    public int getDirection() {
        return this.direction;
    }

    public long getEndedAt() {
        return this.endedAt;
    }

    public long getListenUid() {
        return this.listenUid;
    }

    public int getPlatform() {
        return this.platform;
    }

    public long getStartedAt() {
        return this.startedAt;
    }

    public Track getTrack() {
        return this.track;
    }

    public int getType() {
        return this.type;
    }

    public long getUpdateAt() {
        return this.updateAt;
    }

    public boolean isDeleted() {
        return this.isDeleted;
    }

    public boolean isSubscribe() {
        return this.isSubscribe;
    }

    public boolean isSync() {
        return this.isSync;
    }

    public void setDeleteTime(long j2) {
        this.deleteTime = j2;
    }

    public void setDeleted(boolean z) {
        this.isDeleted = z;
    }

    public void setDeviceId(String str) {
        this.deviceId = str;
    }

    public void setDeviceInfo(String str, String str2, int i2) {
        this.deviceName = str;
        this.deviceId = str2;
        this.platform = i2;
    }

    public void setDeviceName(String str) {
        this.deviceName = str;
    }

    public void setDeviceType(int i2) {
        this.deviceType = i2;
    }

    public void setDirection(int i2) {
        this.direction = i2;
    }

    public void setEndedAt(long j2) {
        this.endedAt = j2;
    }

    public void setListenUid(long j2) {
        this.listenUid = j2;
    }

    public void setPlatform(int i2) {
        this.platform = i2;
    }

    public void setStartEndTime(long j2, long j3) {
        this.startedAt = j2;
        this.endedAt = j3;
    }

    public void setStartedAt(long j2) {
        this.startedAt = j2;
    }

    public void setSubscribe(boolean z) {
        this.isSubscribe = z;
    }

    public void setSync(boolean z) {
        this.isSync = z;
    }

    public void setTrack(Track track2) {
        this.track = track2;
    }

    public void setType(int i2) {
        this.type = i2;
    }

    public void setUpdateAt(long j2) {
        this.updateAt = j2;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeByte(this.isRadio ? (byte) 1 : 0);
        parcel.writeParcelable(this.track, i2);
        parcel.writeLong(this.updateAt);
        parcel.writeByte(this.isSync ? (byte) 1 : 0);
        parcel.writeByte(this.isDeleted ? (byte) 1 : 0);
        parcel.writeLong(this.deleteTime);
        parcel.writeInt(this.deviceType);
        parcel.writeString(this.deviceName);
        parcel.writeString(this.deviceId);
        parcel.writeInt(this.platform);
        parcel.writeLong(this.startedAt);
        parcel.writeLong(this.endedAt);
        parcel.writeInt(this.direction);
        parcel.writeInt(this.type);
        parcel.writeLong(this.albumId);
        parcel.writeLong(this.listenUid);
        parcel.writeByte(this.isSubscribe ? (byte) 1 : 0);
    }

    protected HistoryModel(Parcel parcel) {
        boolean z = true;
        this.isRadio = parcel.readByte() != 0;
        this.track = (Track) parcel.readParcelable(Track.class.getClassLoader());
        this.updateAt = parcel.readLong();
        this.isSync = parcel.readByte() != 0;
        this.isDeleted = parcel.readByte() != 0;
        this.deleteTime = parcel.readLong();
        this.deviceType = parcel.readInt();
        this.deviceName = parcel.readString();
        this.deviceId = parcel.readString();
        this.platform = parcel.readInt();
        this.startedAt = parcel.readLong();
        this.endedAt = parcel.readLong();
        this.direction = parcel.readInt();
        this.type = parcel.readInt();
        this.albumId = parcel.readLong();
        this.listenUid = parcel.readLong();
        this.isSubscribe = parcel.readByte() == 0 ? false : z;
    }
}
