package com.ximalaya.ting.android.opensdk.model.history;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;
import org.json.JSONObject;

public class PlayHistory {
    private int breakSecond;
    @SerializedName("content_type")
    private int contentType;
    private PlayHistoryAlbum mHistoryAlbum;
    private long playBeginAt;
    private long playEndAt;

    public PlayHistory(JSONObject jSONObject, Gson gson) {
        if (jSONObject != null) {
            this.contentType = jSONObject.optInt("content_type");
            if (this.contentType == 1) {
                this.mHistoryAlbum = (PlayHistoryAlbum) gson.fromJson(jSONObject.toString(), PlayHistoryAlbum.class);
            }
            this.breakSecond = jSONObject.optInt("break_second");
            this.playBeginAt = jSONObject.optLong("play_begin_at");
            this.playEndAt = jSONObject.optLong("play_end_at");
        }
    }

    public int getBreakSecond() {
        return this.breakSecond;
    }

    public int getContentType() {
        return this.contentType;
    }

    public PlayHistoryAlbum getHistoryAlbum() {
        return this.mHistoryAlbum;
    }

    public long getPlayBeginAt() {
        return this.playBeginAt;
    }

    public long getPlayEndAt() {
        return this.playEndAt;
    }

    public void setBreakSecond(int i2) {
        this.breakSecond = i2;
    }

    public void setContentType(int i2) {
        this.contentType = i2;
    }

    public void setHistoryAlbum(PlayHistoryAlbum playHistoryAlbum) {
        this.mHistoryAlbum = playHistoryAlbum;
    }

    public void setPlayBeginAt(long j2) {
        this.playBeginAt = j2;
    }

    public void setPlayEndAt(long j2) {
        this.playEndAt = j2;
    }
}
