package com.ximalaya.ting.android.opensdk.model.history;

import android.text.TextUtils;
import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.opensdk.datatrasfer.f;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class PlayHistoryList extends f {
    @SerializedName("play_histories")
    private List<PlayHistory> playHistory;
    @SerializedName("sync_at")
    private long syncAt;
    @SerializedName("uid")
    private int uid;

    public PlayHistoryList(String str) {
        if (!TextUtils.isEmpty(str)) {
            try {
                JSONObject jSONObject = new JSONObject(str);
                setSyncAt(jSONObject.optLong("sync_at"));
                setUid(jSONObject.optInt("uid"));
                JSONArray optJSONArray = jSONObject.optJSONArray("play_histories");
                if (optJSONArray != null) {
                    Gson gson = new Gson();
                    ArrayList arrayList = new ArrayList();
                    for (int i2 = 0; i2 < optJSONArray.length(); i2++) {
                        arrayList.add(new PlayHistory(optJSONArray.getJSONObject(i2), gson));
                    }
                    setPlayHistory(arrayList);
                }
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
        }
    }

    public List<PlayHistory> getPlayHistory() {
        return this.playHistory;
    }

    public long getSyncAt() {
        return this.syncAt;
    }

    public int getUid() {
        return this.uid;
    }

    public void setPlayHistory(List<PlayHistory> list) {
        this.playHistory = list;
    }

    public void setSyncAt(long j2) {
        this.syncAt = j2;
    }

    public void setUid(int i2) {
        this.uid = i2;
    }
}
