package com.ximalaya.ting.android.opensdk.model.track;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.album.Announcer;
import com.ximalaya.ting.android.opensdk.model.album.SubordinatedAlbum;

public class Track extends PlayableModel implements Parcelable {
    public static final Parcelable.Creator<Track> CREATOR = new Parcelable.Creator<Track>() {
        /* class com.ximalaya.ting.android.opensdk.model.track.Track.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public Track createFromParcel(Parcel parcel) {
            return new Track(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public Track[] newArray(int i2) {
            return new Track[i2];
        }
    };
    public static final int TYPE_AD = 3;
    public static final int TYPE_AUDIO_EXCHANGE = 1;
    public static final int TYPE_DUBSHOW = 4;
    public static final int TYPE_LIVE = 2;
    public static final int TYPE_LOCAL_SERVER = 2147483547;
    public static final int TYPE_UNKNOW = 0;
    @SerializedName(alternate = {"album"}, value = "subordinated_album")
    private SubordinatedAlbum album;
    private Announcer announcer;
    @SerializedName(alternate = {"is_bought"}, value = "authorized")
    private boolean authorized;
    private int blockIndex;
    private int blockNum;
    @SerializedName(alternate = {"canDownload"}, value = "can_download")
    private boolean canDownload;
    @SerializedName("can_refresh")
    private boolean canRefresh;
    @SerializedName(alternate = {"categoryId"}, value = "category_id")
    private int categoryId;
    private long channelId;
    private String channelName;
    private int chargeFileSize;
    @SerializedName(alternate = {"commentCount"}, value = "comment_count")
    private int commentCount;
    @SerializedName(alternate = {"cover_large_path", "coverUrlLarge"}, value = "cover_url_large")
    private String coverUrlLarge;
    @SerializedName(alternate = {"cover_middle_path", "coverUrlMiddle"}, value = "cover_url_middle")
    private String coverUrlMiddle;
    @SerializedName(alternate = {"cover_small_path", "coverSmall", "coverUrlSmall"}, value = "cover_url_small")
    private String coverUrlSmall;
    @SerializedName(alternate = {"createdAt"}, value = "created_at")
    private long createdAt;
    private double discountedPrice;
    @SerializedName(alternate = {"downloadCount"}, value = "download_count")
    private int downloadCount;
    private long downloadCreated;
    @SerializedName(alternate = {"downloadSize"}, value = "download_size")
    private long downloadSize;
    private int downloadStatus;
    private long downloadTime;
    @SerializedName(alternate = {"download_path", "downloadUrl"}, value = "download_url")
    private String downloadUrl;
    private String downloadedSaveFilePath;
    private long downloadedSize;
    private String downloadedVideoSaveFilePath;
    private int duration;
    private String endTime;
    public boolean extraa;
    @SerializedName(alternate = {"favoriteCount"}, value = "favorite_count")
    private int favoriteCount;
    @SerializedName(alternate = {"free"}, value = "is_free")
    private boolean free;
    private boolean hasCopyRight;
    @SerializedName(alternate = {"hasSample"}, value = "has_sample")
    private boolean hasSample;
    private int insertSequence;
    @SerializedName("is_authorized")
    private boolean isAuthorized;
    private boolean isAutoPaused;
    private boolean isChecked;
    private boolean isLike;
    @SerializedName(alternate = {"isPaid"}, value = "is_paid")
    private boolean isPaid;
    @SerializedName(alternate = {"isTrailer"}, value = "is_trailer")
    private boolean isTrailer;
    private boolean isVideo;
    @SerializedName("is_vip_free")
    private boolean isVipFree;
    @SerializedName("is_vip_only")
    private boolean isVipOnly;
    private long liveRoomId;
    @SerializedName(alternate = {"orderNum"}, value = "order_num")
    private int orderNum;
    private int orderPositionInAlbum;
    private int orderPositon;
    @SerializedName(alternate = {"playCount"}, value = "play_count")
    private int playCount;
    private String playPathHq;
    @SerializedName(alternate = {"playSize24M4a"}, value = "play_size_24_m4a")
    private String playSize24M4a;
    @SerializedName(alternate = {"playSize32"}, value = "play_size_32")
    private long playSize32;
    @SerializedName(alternate = {"playSize64"}, value = "play_size_64")
    private long playSize64;
    @SerializedName(alternate = {"playSize64m4a"}, value = "play_size_64_m4a")
    private String playSize64m4a;
    @SerializedName(alternate = {"playSizeAmr"}, value = "play_size_amr")
    private int playSizeAmr;
    @SerializedName(alternate = {"playSource"}, value = "play_source")
    private String playSource;
    @SerializedName(alternate = {"play_path_aac_v224", "playUrl24M4a"}, value = "play_url_24_m4a")
    private String playUrl24M4a;
    @SerializedName(alternate = {"play_path_32", "playPath32", "playUrl32"}, value = "play_url_32")
    private String playUrl32;
    @SerializedName(alternate = {"play_path_64", "playPath64"}, value = "play_url_64")
    private String playUrl64;
    @SerializedName(alternate = {"play_path_aac_v164", "playUrl64M4a"}, value = "play_url_64_m4a")
    private String playUrl64M4a;
    @SerializedName(alternate = {"playUrlAmr"}, value = "play_url_amr")
    private String playUrlAmr;
    private double price;
    private int priceTypeEnum;
    private int priceTypeId;
    private long programId;
    private int protocolVersion;
    private long radioId;
    private String radioName;
    private String radioRate24AacUrl;
    private String radioRate24TsUrl;
    private String radioRate64AacUrl;
    private String radioRate64TsUrl;
    private String recSrc;
    private String recTrack;
    @SerializedName(alternate = {"sampleDuration"}, value = "sample_duration")
    private int sampleDuration;
    private long scheduleId;
    private String sequenceId;
    private int source;
    private String startTime;
    public int templateId;
    public String templateName;
    public String templateUrl;
    private long timeline;
    private long trackActivityId;
    @SerializedName(alternate = {"trackIntro"}, value = "track_intro")
    private String trackIntro;
    private int trackStatus;
    @SerializedName(alternate = {"trackTags"}, value = "track_tags")
    private String trackTags;
    @SerializedName(alternate = {"title", "trackTitle"}, value = "track_title")
    private String trackTitle;
    @SerializedName("type")
    private int type;
    private long uid;
    private boolean updateStatus;
    @SerializedName(alternate = {"updatedAt"}, value = "updated_at")
    private long updatedAt;
    @SerializedName("vip_first_status")
    private int vip_first_status;

    public Track() {
        this.orderNum = -1;
        this.orderPositon = -1;
        this.orderPositionInAlbum = 0;
        this.trackStatus = -1;
        this.downloadStatus = -2;
        this.downloadCreated = 0;
        this.hasCopyRight = true;
    }

    public static Parcelable.Creator<Track> getCREATOR() {
        return CREATOR;
    }

    public static int getTypeAd() {
        return 3;
    }

    public static int getTypeAudioExchange() {
        return 1;
    }

    public static int getTypeDubshow() {
        return 4;
    }

    public static int getTypeLive() {
        return 2;
    }

    public static int getTypeLocalServer() {
        return TYPE_LOCAL_SERVER;
    }

    public static int getTypeUnknow() {
        return 0;
    }

    public boolean canPlayTrack() {
        return this.authorized || this.sampleDuration > 0 || this.free || !this.isPaid;
    }

    @Override // com.ximalaya.ting.android.opensdk.model.PlayableModel
    public int describeContents() {
        return 0;
    }

    public SubordinatedAlbum getAlbum() {
        return this.album;
    }

    public Announcer getAnnouncer() {
        return this.announcer;
    }

    public int getBlockIndex() {
        return this.blockIndex;
    }

    public int getBlockNum() {
        return this.blockNum;
    }

    public int getCategoryId() {
        return this.categoryId;
    }

    public long getChannelId() {
        return this.channelId;
    }

    public String getChannelName() {
        return this.channelName;
    }

    public int getChargeFileSize() {
        return this.chargeFileSize;
    }

    public int getCommentCount() {
        return this.commentCount;
    }

    public String getCoverUrlLarge() {
        return this.coverUrlLarge;
    }

    public String getCoverUrlMiddle() {
        return this.coverUrlMiddle;
    }

    public String getCoverUrlSmall() {
        return this.coverUrlSmall;
    }

    public long getCreatedAt() {
        return this.createdAt;
    }

    public double getDiscountedPrice() {
        return this.discountedPrice;
    }

    public int getDownloadCount() {
        return this.downloadCount;
    }

    public long getDownloadCreated() {
        return this.downloadCreated;
    }

    public long getDownloadSize() {
        return this.downloadSize;
    }

    public int getDownloadStatus() {
        return this.downloadStatus;
    }

    public long getDownloadTime() {
        return this.downloadTime;
    }

    public String getDownloadUrl() {
        return this.downloadUrl;
    }

    public String getDownloadedSaveFilePath() {
        return this.downloadedSaveFilePath;
    }

    public long getDownloadedSize() {
        return this.downloadedSize;
    }

    public String getDownloadedVideoSaveFilePath() {
        return this.downloadedVideoSaveFilePath;
    }

    public int getDuration() {
        return this.duration;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public int getFavoriteCount() {
        return this.favoriteCount;
    }

    public int getInsertSequence() {
        return this.insertSequence;
    }

    public long getLiveRoomId() {
        return this.liveRoomId;
    }

    public int getOrderNum() {
        return this.orderNum;
    }

    public int getOrderPositionInAlbum() {
        return this.orderPositionInAlbum;
    }

    public int getOrderPositon() {
        return this.orderPositon;
    }

    public int getPlayCount() {
        return this.playCount;
    }

    public String getPlayPathHq() {
        return this.playPathHq;
    }

    public String getPlaySize24M4a() {
        return this.playSize24M4a;
    }

    public long getPlaySize32() {
        return this.playSize32;
    }

    public long getPlaySize64() {
        return this.playSize64;
    }

    public String getPlaySize64m4a() {
        return this.playSize64m4a;
    }

    public int getPlaySizeAmr() {
        return this.playSizeAmr;
    }

    public String getPlaySource() {
        return this.playSource;
    }

    public String getPlayUrl24M4a() {
        return this.playUrl24M4a;
    }

    public String getPlayUrl32() {
        return this.playUrl32;
    }

    public String getPlayUrl64() {
        return this.playUrl64;
    }

    public String getPlayUrl64M4a() {
        return this.playUrl64M4a;
    }

    public String getPlayUrlAmr() {
        return this.playUrlAmr;
    }

    public double getPrice() {
        return this.price;
    }

    public int getPriceTypeEnum() {
        return this.priceTypeEnum;
    }

    public int getPriceTypeId() {
        return this.priceTypeId;
    }

    public long getProgramId() {
        return this.programId;
    }

    public int getProtocolVersion() {
        return this.protocolVersion;
    }

    public long getRadioId() {
        return this.radioId;
    }

    public String getRadioName() {
        return this.radioName;
    }

    public String getRadioRate24AacUrl() {
        return this.radioRate24AacUrl;
    }

    public String getRadioRate24TsUrl() {
        return this.radioRate24TsUrl;
    }

    public String getRadioRate64AacUrl() {
        return this.radioRate64AacUrl;
    }

    public String getRadioRate64TsUrl() {
        return this.radioRate64TsUrl;
    }

    public String getRecSrc() {
        return this.recSrc;
    }

    public String getRecTrack() {
        return this.recTrack;
    }

    public int getSampleDuration() {
        return this.sampleDuration;
    }

    public long getScheduleId() {
        return this.scheduleId;
    }

    public String getSequenceId() {
        return this.sequenceId;
    }

    public int getSource() {
        return this.source;
    }

    public String getStartTime() {
        return this.startTime;
    }

    public int getTemplateId() {
        return this.templateId;
    }

    public String getTemplateName() {
        return this.templateName;
    }

    public String getTemplateUrl() {
        return this.templateUrl;
    }

    public long getTimeline() {
        return this.timeline;
    }

    public long getTrackActivityId() {
        return this.trackActivityId;
    }

    public String getTrackIntro() {
        return this.trackIntro;
    }

    public int getTrackStatus() {
        return this.trackStatus;
    }

    public String getTrackTags() {
        return this.trackTags;
    }

    public String getTrackTitle() {
        return this.trackTitle;
    }

    public int getType() {
        return this.type;
    }

    public long getUid() {
        return this.uid;
    }

    public long getUpdatedAt() {
        return this.updatedAt;
    }

    public String getValidCover() {
        if (!TextUtils.isEmpty(this.coverUrlLarge)) {
            return this.coverUrlLarge;
        }
        if (!TextUtils.isEmpty(this.coverUrlMiddle)) {
            return this.coverUrlMiddle;
        }
        return !TextUtils.isEmpty(this.coverUrlSmall) ? this.coverUrlSmall : "";
    }

    public int getVip_first_status() {
        return this.vip_first_status;
    }

    public boolean isAudition() {
        return !this.authorized && isPayTrack();
    }

    public boolean isAuthorized() {
        return this.authorized;
    }

    public boolean isAutoPaused() {
        return this.isAutoPaused;
    }

    public boolean isCanDownload() {
        return this.canDownload;
    }

    public boolean isCanRefresh() {
        return this.canRefresh;
    }

    public boolean isChecked() {
        return this.isChecked;
    }

    public boolean isExtraa() {
        return this.extraa;
    }

    public boolean isFree() {
        return this.free;
    }

    public boolean isHasCopyRight() {
        return this.hasCopyRight;
    }

    public boolean isHasSample() {
        return this.hasSample;
    }

    public boolean isLike() {
        return this.isLike;
    }

    public boolean isPaid() {
        return this.isPaid;
    }

    public boolean isPayTrack() {
        return !this.free && this.isPaid;
    }

    public boolean isTrailer() {
        return this.isTrailer;
    }

    public boolean isUpdateStatus() {
        return this.updateStatus;
    }

    public boolean isVideo() {
        return this.isVideo;
    }

    public boolean isVipFree() {
        return this.isVipFree;
    }

    public boolean isVipOnly() {
        return this.isVipOnly;
    }

    public boolean needSaveHistory() {
        return this.type != 4;
    }

    public void setAlbum(SubordinatedAlbum subordinatedAlbum) {
        this.album = subordinatedAlbum;
    }

    public void setAnnouncer(Announcer announcer2) {
        this.announcer = announcer2;
    }

    public void setAuthorized(boolean z) {
        this.authorized = z;
    }

    public void setAutoPaused(boolean z) {
        this.isAutoPaused = z;
    }

    public void setBlockIndex(int i2) {
        this.blockIndex = i2;
    }

    public void setBlockNum(int i2) {
        this.blockNum = i2;
    }

    public void setCanDownload(boolean z) {
        this.canDownload = z;
    }

    public void setCanRefresh(boolean z) {
        this.canRefresh = z;
    }

    public void setCategoryId(int i2) {
        this.categoryId = i2;
    }

    public void setChannelId(long j2) {
        this.channelId = j2;
    }

    public void setChannelName(String str) {
        this.channelName = str;
    }

    public void setChargeFileSize(int i2) {
        this.chargeFileSize = i2;
    }

    public void setChecked(boolean z) {
        this.isChecked = z;
    }

    public void setCommentCount(int i2) {
        this.commentCount = i2;
    }

    public void setCoverUrlLarge(String str) {
        this.coverUrlLarge = str;
    }

    public void setCoverUrlMiddle(String str) {
        this.coverUrlMiddle = str;
    }

    public void setCoverUrlSmall(String str) {
        this.coverUrlSmall = str;
    }

    public void setCreatedAt(long j2) {
        this.createdAt = j2;
    }

    public void setDiscountedPrice(double d2) {
        this.discountedPrice = d2;
    }

    public void setDownloadCount(int i2) {
        this.downloadCount = i2;
    }

    public void setDownloadCreated(long j2) {
        this.downloadCreated = j2;
    }

    public void setDownloadSize(long j2) {
        if (j2 != 0) {
            this.downloadSize = j2;
        }
    }

    public void setDownloadStatus(int i2) {
        this.downloadStatus = i2;
    }

    public void setDownloadTime(long j2) {
        this.downloadTime = j2;
    }

    public void setDownloadUrl(String str) {
        this.downloadUrl = str;
    }

    public void setDownloadedSaveFilePath(String str) {
        this.downloadedSaveFilePath = str;
    }

    public void setDownloadedSize(long j2) {
        this.downloadedSize = j2;
    }

    public void setDownloadedVideoSaveFilePath(String str) {
        this.downloadedVideoSaveFilePath = str;
    }

    public void setDuration(int i2) {
        this.duration = i2;
    }

    public void setEndTime(String str) {
        this.endTime = str;
    }

    public void setExtraa(boolean z) {
        this.extraa = z;
    }

    public void setFavoriteCount(int i2) {
        this.favoriteCount = i2;
    }

    public void setFree(boolean z) {
        this.free = z;
    }

    public void setHasCopyRight(boolean z) {
        this.hasCopyRight = z;
    }

    public void setHasSample(boolean z) {
        this.hasSample = z;
    }

    public void setInsertSequence(int i2) {
        this.insertSequence = i2;
    }

    public void setLike(boolean z) {
        this.isLike = z;
    }

    public void setLiveRoomId(long j2) {
        this.liveRoomId = j2;
    }

    public void setOrderNum(int i2) {
        this.orderNum = i2;
    }

    public void setOrderPositionInAlbum(int i2) {
        this.orderPositionInAlbum = i2;
    }

    public void setOrderPositon(int i2) {
        this.orderPositon = i2;
    }

    public void setPaid(boolean z) {
        this.isPaid = z;
    }

    public void setPlayCount(int i2) {
        this.playCount = i2;
    }

    public void setPlayPathHq(String str) {
        this.playPathHq = str;
    }

    public void setPlaySize24M4a(String str) {
        this.playSize24M4a = str;
    }

    public void setPlaySize32(long j2) {
        this.playSize32 = j2;
    }

    public void setPlaySize64(long j2) {
        this.playSize64 = j2;
    }

    public void setPlaySize64m4a(String str) {
        this.playSize64m4a = str;
    }

    public void setPlaySizeAmr(int i2) {
        this.playSizeAmr = i2;
    }

    public void setPlaySource(String str) {
        this.playSource = str;
    }

    public void setPlayUrl24M4a(String str) {
        this.playUrl24M4a = str;
    }

    public void setPlayUrl32(String str) {
        this.playUrl32 = str;
    }

    public void setPlayUrl64(String str) {
        this.playUrl64 = str;
    }

    public void setPlayUrl64M4a(String str) {
        this.playUrl64M4a = str;
    }

    public void setPlayUrlAmr(String str) {
        this.playUrlAmr = str;
    }

    public void setPrice(double d2) {
        this.price = d2;
    }

    public void setPriceTypeEnum(int i2) {
        this.priceTypeEnum = i2;
    }

    public void setPriceTypeId(int i2) {
        this.priceTypeId = i2;
    }

    public void setProgramId(long j2) {
        this.programId = j2;
    }

    public void setProtocolVersion(int i2) {
        this.protocolVersion = i2;
    }

    public void setRadioId(long j2) {
        this.radioId = j2;
    }

    public void setRadioName(String str) {
        this.radioName = str;
    }

    public void setRadioRate24AacUrl(String str) {
        this.radioRate24AacUrl = str;
    }

    public void setRadioRate24TsUrl(String str) {
        this.radioRate24TsUrl = str;
    }

    public void setRadioRate64AacUrl(String str) {
        this.radioRate64AacUrl = str;
    }

    public void setRadioRate64TsUrl(String str) {
        this.radioRate64TsUrl = str;
    }

    public void setRecSrc(String str) {
        this.recSrc = str;
    }

    public void setRecTrack(String str) {
        this.recTrack = str;
    }

    public void setSampleDuration(int i2) {
        this.sampleDuration = i2;
    }

    public void setScheduleId(long j2) {
        this.scheduleId = j2;
    }

    public void setSequenceId(String str) {
        this.sequenceId = str;
    }

    public void setSource(int i2) {
        this.source = i2;
    }

    public void setStartTime(String str) {
        this.startTime = str;
    }

    public void setTemplateId(int i2) {
        this.templateId = i2;
    }

    public void setTemplateName(String str) {
        this.templateName = str;
    }

    public void setTemplateUrl(String str) {
        this.templateUrl = str;
    }

    public void setTimeline(long j2) {
        this.timeline = j2;
    }

    public void setTrackActivityId(long j2) {
        this.trackActivityId = j2;
    }

    public void setTrackIntro(String str) {
        this.trackIntro = str;
    }

    public void setTrackStatus(int i2) {
        this.trackStatus = i2;
    }

    public void setTrackTags(String str) {
        this.trackTags = str;
    }

    public void setTrackTitle(String str) {
        this.trackTitle = str;
    }

    public void setTrailer(boolean z) {
        this.isTrailer = z;
    }

    public void setType(int i2) {
        this.type = i2;
    }

    public void setUid(long j2) {
        this.uid = j2;
    }

    public void setUpdateStatus(boolean z) {
        this.updateStatus = z;
    }

    public void setUpdatedAt(long j2) {
        this.updatedAt = j2;
    }

    public void setVideo(boolean z) {
        this.isVideo = z;
    }

    public void setVipFree(boolean z) {
        this.isVipFree = z;
    }

    public void setVipOnly(boolean z) {
        this.isVipOnly = z;
    }

    public void setVip_first_status(int i2) {
        this.vip_first_status = i2;
    }

    @Override // com.ximalaya.ting.android.opensdk.model.PlayableModel
    public String toString() {
        return "Track{" + super.toString() + "trackTitle='" + this.trackTitle + '\'' + ", coverUrlMiddle='" + this.coverUrlMiddle + '\'' + ", duration=" + this.duration + ", playCount=" + this.playCount + ", favoriteCount=" + this.favoriteCount + ", commentCount=" + this.commentCount + ", downloadCount=" + this.downloadCount + ", playUrl32='" + this.playUrl32 + '\'' + ", playUrl64='" + this.playUrl64 + '\'' + ", playUrl24M4a='" + this.playUrl24M4a + '\'' + ", playUrl64M4a='" + this.playUrl64M4a + '\'' + ", album=" + this.album + ", createdAt=" + this.createdAt + ", playSource=" + this.playSource + ", trackStatus=" + this.trackStatus + ", downloadStatus=" + this.downloadStatus + ", sequenceId='" + this.sequenceId + '\'' + ", isAutoPaused=" + this.isAutoPaused + ", insertSequence=" + this.insertSequence + ", timeline=" + this.timeline + ", downloadCreated=" + this.downloadCreated + ", extra=" + this.extraa + ", startTime='" + this.startTime + '\'' + ", endTime='" + this.endTime + '\'' + ", scheduleId=" + this.scheduleId + ", programId=" + this.programId + ", radioId=" + this.radioId + ", price=" + this.price + ", discountedPrice=" + this.discountedPrice + ", free=" + this.free + ", authorized=" + this.authorized + ", isPaid=" + this.isPaid + ", uid=" + this.uid + ", priceTypeId=" + this.priceTypeId + ", blockIndex=" + this.blockIndex + ", blockNum=" + this.blockNum + ", chargeFileSize=" + this.chargeFileSize + ", sampleDuration=" + this.sampleDuration + ", canDownload=" + this.canDownload + '}';
    }

    @Override // com.ximalaya.ting.android.opensdk.model.PlayableModel
    public void writeToParcel(Parcel parcel, int i2) {
        super.writeToParcel(parcel, i2);
        parcel.writeByte(this.extraa ? (byte) 1 : 0);
        parcel.writeInt(this.templateId);
        parcel.writeString(this.templateName);
        parcel.writeString(this.templateUrl);
        parcel.writeString(this.trackTitle);
        parcel.writeString(this.trackTags);
        parcel.writeString(this.trackIntro);
        parcel.writeString(this.coverUrlSmall);
        parcel.writeString(this.coverUrlMiddle);
        parcel.writeString(this.coverUrlLarge);
        parcel.writeParcelable(this.announcer, i2);
        parcel.writeInt(this.duration);
        parcel.writeInt(this.playCount);
        parcel.writeInt(this.favoriteCount);
        parcel.writeInt(this.commentCount);
        parcel.writeInt(this.downloadCount);
        parcel.writeString(this.playUrl32);
        parcel.writeLong(this.playSize32);
        parcel.writeString(this.playUrl64);
        parcel.writeLong(this.playSize64);
        parcel.writeString(this.playUrl24M4a);
        parcel.writeString(this.playSize24M4a);
        parcel.writeString(this.playUrl64M4a);
        parcel.writeString(this.playSize64m4a);
        parcel.writeInt(this.orderNum);
        parcel.writeInt(this.type);
        parcel.writeInt(this.orderPositon);
        parcel.writeInt(this.orderPositionInAlbum);
        parcel.writeLong(this.downloadTime);
        parcel.writeString(this.downloadUrl);
        parcel.writeLong(this.downloadSize);
        parcel.writeInt(this.source);
        parcel.writeLong(this.updatedAt);
        parcel.writeParcelable(this.album, i2);
        parcel.writeLong(this.createdAt);
        parcel.writeString(this.downloadedSaveFilePath);
        parcel.writeString(this.downloadedVideoSaveFilePath);
        parcel.writeLong(this.downloadedSize);
        parcel.writeInt(this.trackStatus);
        parcel.writeInt(this.downloadStatus);
        parcel.writeString(this.sequenceId);
        parcel.writeByte(this.isAutoPaused ? (byte) 1 : 0);
        parcel.writeInt(this.insertSequence);
        parcel.writeLong(this.timeline);
        parcel.writeLong(this.downloadCreated);
        parcel.writeString(this.startTime);
        parcel.writeString(this.endTime);
        parcel.writeLong(this.scheduleId);
        parcel.writeLong(this.programId);
        parcel.writeLong(this.radioId);
        parcel.writeDouble(this.price);
        parcel.writeDouble(this.discountedPrice);
        parcel.writeByte(this.free ? (byte) 1 : 0);
        parcel.writeInt(this.vip_first_status);
        parcel.writeByte(this.authorized ? (byte) 1 : 0);
        parcel.writeByte(this.isPaid ? (byte) 1 : 0);
        parcel.writeByte(this.isAuthorized ? (byte) 1 : 0);
        parcel.writeByte(this.isVipFree ? (byte) 1 : 0);
        parcel.writeByte(this.isVipOnly ? (byte) 1 : 0);
        parcel.writeLong(this.uid);
        parcel.writeInt(this.priceTypeId);
        parcel.writeByte(this.hasSample ? (byte) 1 : 0);
        parcel.writeInt(this.blockIndex);
        parcel.writeInt(this.blockNum);
        parcel.writeInt(this.protocolVersion);
        parcel.writeInt(this.chargeFileSize);
        parcel.writeInt(this.sampleDuration);
        parcel.writeInt(this.priceTypeEnum);
        parcel.writeByte(this.isTrailer ? (byte) 1 : 0);
        parcel.writeByte(this.canDownload ? (byte) 1 : 0);
        parcel.writeLong(this.trackActivityId);
        parcel.writeString(this.playUrlAmr);
        parcel.writeInt(this.playSizeAmr);
        parcel.writeInt(this.categoryId);
        parcel.writeByte(this.isChecked ? (byte) 1 : 0);
        parcel.writeString(this.radioName);
        parcel.writeString(this.radioRate24AacUrl);
        parcel.writeString(this.radioRate24TsUrl);
        parcel.writeString(this.radioRate64AacUrl);
        parcel.writeString(this.radioRate64TsUrl);
        parcel.writeByte(this.isLike ? (byte) 1 : 0);
        parcel.writeString(this.playPathHq);
        parcel.writeLong(this.liveRoomId);
        parcel.writeByte(this.hasCopyRight ? (byte) 1 : 0);
        parcel.writeByte(this.updateStatus ? (byte) 1 : 0);
        parcel.writeLong(this.channelId);
        parcel.writeString(this.channelName);
        parcel.writeByte(this.isVideo ? (byte) 1 : 0);
        parcel.writeString(this.recSrc);
        parcel.writeString(this.recTrack);
        parcel.writeString(this.playSource);
        parcel.writeByte(this.canRefresh ? (byte) 1 : 0);
    }

    protected Track(Parcel parcel) {
        super(parcel);
        this.orderNum = -1;
        this.orderPositon = -1;
        this.orderPositionInAlbum = 0;
        this.trackStatus = -1;
        this.downloadStatus = -2;
        this.downloadCreated = 0;
        boolean z = true;
        this.hasCopyRight = true;
        this.extraa = parcel.readByte() != 0;
        this.templateId = parcel.readInt();
        this.templateName = parcel.readString();
        this.templateUrl = parcel.readString();
        this.trackTitle = parcel.readString();
        this.trackTags = parcel.readString();
        this.trackIntro = parcel.readString();
        this.coverUrlSmall = parcel.readString();
        this.coverUrlMiddle = parcel.readString();
        this.coverUrlLarge = parcel.readString();
        this.announcer = (Announcer) parcel.readParcelable(Announcer.class.getClassLoader());
        this.duration = parcel.readInt();
        this.playCount = parcel.readInt();
        this.favoriteCount = parcel.readInt();
        this.commentCount = parcel.readInt();
        this.downloadCount = parcel.readInt();
        this.playUrl32 = parcel.readString();
        this.playSize32 = parcel.readLong();
        this.playUrl64 = parcel.readString();
        this.playSize64 = parcel.readLong();
        this.playUrl24M4a = parcel.readString();
        this.playSize24M4a = parcel.readString();
        this.playUrl64M4a = parcel.readString();
        this.playSize64m4a = parcel.readString();
        this.orderNum = parcel.readInt();
        this.type = parcel.readInt();
        this.orderPositon = parcel.readInt();
        this.orderPositionInAlbum = parcel.readInt();
        this.downloadTime = parcel.readLong();
        this.downloadUrl = parcel.readString();
        this.downloadSize = parcel.readLong();
        this.source = parcel.readInt();
        this.updatedAt = parcel.readLong();
        this.album = (SubordinatedAlbum) parcel.readParcelable(SubordinatedAlbum.class.getClassLoader());
        this.createdAt = parcel.readLong();
        this.downloadedSaveFilePath = parcel.readString();
        this.downloadedVideoSaveFilePath = parcel.readString();
        this.downloadedSize = parcel.readLong();
        this.trackStatus = parcel.readInt();
        this.downloadStatus = parcel.readInt();
        this.sequenceId = parcel.readString();
        this.isAutoPaused = parcel.readByte() != 0;
        this.insertSequence = parcel.readInt();
        this.timeline = parcel.readLong();
        this.downloadCreated = parcel.readLong();
        this.startTime = parcel.readString();
        this.endTime = parcel.readString();
        this.scheduleId = parcel.readLong();
        this.programId = parcel.readLong();
        this.radioId = parcel.readLong();
        this.price = parcel.readDouble();
        this.discountedPrice = parcel.readDouble();
        this.free = parcel.readByte() != 0;
        this.vip_first_status = parcel.readInt();
        this.authorized = parcel.readByte() != 0;
        this.isPaid = parcel.readByte() != 0;
        this.isAuthorized = parcel.readByte() != 0;
        this.isVipFree = parcel.readByte() != 0;
        this.isVipOnly = parcel.readByte() != 0;
        this.uid = parcel.readLong();
        this.priceTypeId = parcel.readInt();
        this.hasSample = parcel.readByte() != 0;
        this.blockIndex = parcel.readInt();
        this.blockNum = parcel.readInt();
        this.protocolVersion = parcel.readInt();
        this.chargeFileSize = parcel.readInt();
        this.sampleDuration = parcel.readInt();
        this.priceTypeEnum = parcel.readInt();
        this.isTrailer = parcel.readByte() != 0;
        this.canDownload = parcel.readByte() != 0;
        this.trackActivityId = parcel.readLong();
        this.playUrlAmr = parcel.readString();
        this.playSizeAmr = parcel.readInt();
        this.categoryId = parcel.readInt();
        this.isChecked = parcel.readByte() != 0;
        this.radioName = parcel.readString();
        this.radioRate24AacUrl = parcel.readString();
        this.radioRate24TsUrl = parcel.readString();
        this.radioRate64AacUrl = parcel.readString();
        this.radioRate64TsUrl = parcel.readString();
        this.isLike = parcel.readByte() != 0;
        this.playPathHq = parcel.readString();
        this.liveRoomId = parcel.readLong();
        this.hasCopyRight = parcel.readByte() != 0;
        this.updateStatus = parcel.readByte() != 0;
        this.channelId = parcel.readLong();
        this.channelName = parcel.readString();
        this.isVideo = parcel.readByte() != 0;
        this.recSrc = parcel.readString();
        this.recTrack = parcel.readString();
        this.playSource = parcel.readString();
        this.canRefresh = parcel.readByte() == 0 ? false : z;
    }
}
