package com.ximalaya.ting.android.player;

public class MediadataCrytoUtil {
    public static int ENCRYPT_DATA_LENGTH = 1024;
    private static MediadataCrytoUtil mInstance;
    private long ctx = initLogistic();

    static {
        try {
            System.loadLibrary("mediadatacryto");
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private MediadataCrytoUtil() {
    }

    private native byte[] decryptData(long j2, byte[] bArr, int i2);

    private native void destroyEncryptCtx(long j2);

    private native byte[] encryptData(long j2, byte[] bArr, int i2);

    public static synchronized MediadataCrytoUtil getInstance() {
        MediadataCrytoUtil mediadataCrytoUtil;
        synchronized (MediadataCrytoUtil.class) {
            if (mInstance == null) {
                mInstance = new MediadataCrytoUtil();
            }
            mediadataCrytoUtil = mInstance;
        }
        return mediadataCrytoUtil;
    }

    private native long initLogistic();

    public static void release() {
        MediadataCrytoUtil mediadataCrytoUtil = mInstance;
        if (mediadataCrytoUtil != null) {
            mediadataCrytoUtil.destroyEncryptCtx(mediadataCrytoUtil.ctx);
            mInstance = null;
        }
    }

    public byte[] decryptData(byte[] bArr) {
        return decryptData(this.ctx, bArr, bArr.length);
    }

    public byte[] encryptData(byte[] bArr) {
        return encryptData(this.ctx, bArr, bArr.length);
    }
}
