package com.ximalaya.ting.android.player;

import android.content.Context;
import com.ximalaya.ting.android.player.XMediaPlayer;
import com.ximalaya.ting.android.player.XMediaplayerJNI;
import com.ximalaya.ting.android.player.model.HttpConfig;
import java.io.FileDescriptor;
import java.util.Map;

public interface XMediaplayerImpl {
    public static final int MEDIA_ERROR = 711;
    public static final int MEDIA_ERROR_ARCH_UNSUPPORTED = -1006;
    public static final int MEDIA_ERROR_IO = -1004;
    public static final int MEDIA_ERROR_MALFORMED = -1003;
    public static final int MEDIA_ERROR_NOT_VALID_FOR_PROGRESSIVE_PLAYBACK = -1002;
    public static final int MEDIA_ERROR_SERVER_DIED = -1001;
    public static final int MEDIA_ERROR_TIMED_OUT = -1007;
    public static final int MEDIA_ERROR_UNKNOWN = -1000;
    public static final int MEDIA_ERROR_UNSUPPORTED = -1005;
    public static final int MEDIA_INFO_BUFFERING_END = 702;
    public static final int MEDIA_INFO_BUFFERING_START = 701;
    public static final int MEDIA_INFO_BUFFER_PROGRESS = 706;
    public static final int MEDIA_INFO_DOWNLOAD_RATE_CHANGED = -1010;
    public static final int MEDIA_INFO_NOT_SEEKABLE = -1009;
    public static final int MEDIA_INFO_PLAY_COMPLETE = 708;
    public static final int MEDIA_INFO_PLAY_PAUSE = 709;
    public static final int MEDIA_INFO_PLAY_PROGRESS = 705;
    public static final int MEDIA_INFO_PLAY_START = 707;
    public static final int MEDIA_INFO_PLAY_STOP = 710;
    public static final int MEDIA_INFO_PREPARED = 703;
    public static final int MEDIA_INFO_RESET_ERROR = -1011;
    public static final int MEDIA_INFO_SEEK_COMPLETED = 704;
    public static final int MEDIA_INFO_VIDEO_TRACK_LAGGING = -1008;
    public static final int MP_ABNORMAL = 11;
    public static final int MP_BUFFERING = 12;
    public static final int MP_COMPLETED = 9;
    public static final int MP_ERROR = 15;
    public static final int MP_FINISH_DECODE = 7;
    public static final int MP_FINISH_DECODE_PAUSED = 8;
    public static final int MP_IDLE = 0;
    public static final int MP_INITED = 1;
    public static final int MP_NOT_ARCH_SUPPORT = 14;
    public static final int MP_PAUSED = 5;
    public static final int MP_PLAYING_ADS = 13;
    public static final int MP_PREPARED = 3;
    public static final int MP_PREPARING = 2;
    public static final int MP_STARTED = 4;
    public static final int MP_STOPPED = 6;
    public static final int MP_TERMINATED = 10;
    public static final int MSG_COMPLETE = 9;
    public static final int MSG_INIT = 10;
    public static final int MSG_PAUSE = 3;
    public static final int MSG_PREPARE = 1;
    public static final int MSG_RELEASE = 5;
    public static final int MSG_RESET = 7;
    public static final int MSG_SEEK_TO = 6;
    public static final int MSG_SET_DATA_SOURCE = 8;
    public static final int MSG_SET_PRE_BUFFER_URL = 11;
    public static final int MSG_START = 0;
    public static final int MSG_STOP = 4;

    XMediaplayerJNI.AudioType getAudioType();

    int getCurrentPosition();

    int getDuration();

    int getMainCtrlStatus();

    int getPlayState();

    boolean isPlaying();

    boolean isUseSystemPlayer();

    void pause();

    void prepareAsync();

    void release();

    void removeProxy();

    void reset();

    void seekTo(int i2);

    void setAudioStreamType(int i2);

    void setDataSource(FileDescriptor fileDescriptor, String str);

    void setDataSource(String str);

    void setDownloadBufferSize(long j2);

    void setHeadsOfReq(Map<String, String> map);

    void setJNIXmPlayerStatusListener(XMediaPlayer.JNIXmPlayerStatusListener jNIXmPlayerStatusListener);

    void setOnPlayDataOutputListener(XMediaPlayer.OnPlayDataOutputListener onPlayDataOutputListener);

    void setPlayState(int i2);

    void setPreBufferUrl(String str);

    void setProxy(HttpConfig httpConfig);

    void setSoundTouchAllParams(float f2, float f3, float f4);

    void setTempo(float f2);

    void setVolume(float f2, float f3);

    void setWakeMode(Context context, int i2);

    void start();

    void stop();
}
