package com.ximalaya.ting.android.player.soundtouch;

public final class SoundTouch {
    public static final int CHANNELS_DEFAULT = 2;
    public static boolean ENABLE_SOUND_TOUCH = true;
    public static final int PITCH_DEFAULT = 0;
    public static final int RATE_DEFAULT = 1;
    public static final int SAMPLE_RATE_DEFAULT = 44100;
    public static final int TEMPO_DEFAULT = 1;
    private static SoundTouch mSoundTouch;
    private long handle;

    static {
        try {
            System.loadLibrary("soundtouch");
        } catch (Exception unused) {
            ENABLE_SOUND_TOUCH = false;
        } catch (Throwable unused2) {
            ENABLE_SOUND_TOUCH = false;
        }
    }

    public SoundTouch(int i2, int i3) {
        this.handle = 0;
        this.handle = newInstance(i2, i3);
    }

    private final native void deleteInstance(long j2);

    public static final native String getErrorString();

    public static SoundTouch getInstance() {
        if (mSoundTouch == null) {
            synchronized (SoundTouch.class) {
                if (mSoundTouch == null) {
                    mSoundTouch = new SoundTouch();
                }
            }
        }
        return mSoundTouch;
    }

    public static final native String getVersionString();

    private static final native long newInstance(int i2, int i3);

    private final native int processBytes(long j2, SoundTouchDataModel soundTouchDataModel);

    private final native void setPitch(long j2, float f2);

    private final native void setPitchSemiTones(long j2, float f2);

    private final native void setRate(long j2, float f2);

    private final native void setTempo(long j2, float f2);

    public void close() {
        deleteInstance(this.handle);
        this.handle = 0;
    }

    public int processBytes(SoundTouchDataModel soundTouchDataModel) {
        return processBytes(this.handle, soundTouchDataModel);
    }

    public void setPitch(float f2) {
        setPitch(this.handle, f2);
    }

    public void setPitchSemiTones(float f2) {
        setPitchSemiTones(this.handle, f2);
    }

    public void setRate(float f2) {
        setRate(this.handle, f2);
    }

    public void setTempo(float f2) {
        setTempo(this.handle, f2);
    }

    private SoundTouch() {
        this.handle = 0;
        this.handle = newInstance(44100, 2);
        ENABLE_SOUND_TOUCH = true;
    }
}
