package com.ximalaya.ting.android.xmlog.manager;

import com.ximalaya.ting.android.xmlog.XmLogger;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;

public class FileUtil {

    /* access modifiers changed from: package-private */
    public static class FileLastModifiedSort implements Comparator<File> {
        FileLastModifiedSort() {
        }

        public int compare(File file, File file2) {
            if (file.lastModified() > file2.lastModified()) {
                return 1;
            }
            if (file.lastModified() != file2.lastModified() || file.length() > file2.length()) {
                return -1;
            }
            return 0;
        }
    }

    public static void cleanUnFormalFile(String str) {
        File[] listFiles = new File(str).listFiles();
        if (listFiles != null) {
            for (File file : listFiles) {
                if (file.isFile() && !file.getName().startsWith("xmlog")) {
                    file.delete();
                }
            }
        }
    }

    public static int filesSize(File[] fileArr) {
        int i2 = 0;
        for (File file : fileArr) {
            if (file.isFile()) {
                i2 = (int) (((long) i2) + file.length());
            }
        }
        return i2;
    }

    public static ArrayList<File> getAllFile(String str) {
        File[] listFiles = new File(str).listFiles();
        if (listFiles == null || listFiles.length <= 0) {
            return null;
        }
        ArrayList<File> arrayList = new ArrayList<>(listFiles.length);
        arrayList.addAll(Arrays.asList(listFiles));
        return arrayList;
    }

    public static ArrayList<File> getCanUploadFiles(String str) {
        File[] listFiles = new File(str).listFiles();
        if (listFiles == null || listFiles.length <= 1) {
            return null;
        }
        Arrays.sort(listFiles, new FileLastModifiedSort());
        ArrayList<File> arrayList = new ArrayList<>();
        arrayList.addAll(Arrays.asList(listFiles));
        arrayList.remove(arrayList.size() - 1);
        return arrayList;
    }

    public static void removeSpaceCache(String str) {
        File[] listFiles = new File(str).listFiles();
        if (listFiles != null && filesSize(listFiles) > 8388608) {
            int ceil = (int) Math.ceil(((double) listFiles.length) * 0.4d);
            Arrays.sort(listFiles, new FileLastModifiedSort());
            long j2 = 0;
            for (int i2 = 0; i2 < ceil; i2++) {
                File file = listFiles[i2];
                if (file.isFile()) {
                    j2 += file.length();
                    file.delete();
                }
            }
            XmLogger.Builder putInt = XmLogger.Builder.buildLog("ctrace", "xlog_localClean").putInt("trigger", 1);
            XmLogger.syncLog(putInt.putString("length", j2 + ""));
        }
    }

    public static ArrayList<File> getAllFile(File file) {
        File[] listFiles;
        if (file == null || !file.exists() || !file.isDirectory() || (listFiles = file.listFiles()) == null || listFiles.length <= 0) {
            return null;
        }
        ArrayList<File> arrayList = new ArrayList<>(listFiles.length);
        arrayList.addAll(Arrays.asList(listFiles));
        return arrayList;
    }
}
