package com.ximalaya.ting.android.xmlog.manager;

import android.text.TextUtils;
import com.ximalaya.ting.android.xmlog.action.ILogLibLoader;
import com.ximalaya.ting.android.xmlog.manager.Log;
import java.io.File;

public class Xlog implements Log.LogImp {
    public static final int AppednerModeAsync = 0;
    public static final int AppednerModeSync = 1;
    public static final int LEVEL_ALL = 0;
    public static final int LEVEL_DEBUG = 1;
    public static final int LEVEL_ERROR = 4;
    public static final int LEVEL_FATAL = 5;
    public static final int LEVEL_INFO = 2;
    public static final int LEVEL_NONE = 6;
    public static final int LEVEL_VERBOSE = 0;
    public static final int LEVEL_WARNING = 3;
    public static final int MAX_LOG_FILE_DIR_SIZE = 8388608;
    public static String logDirStr;

    static class XLoggerInfo {
        public String filename;
        public String funcname;
        public int level;
        public int line;
        public long maintid;
        public long pid;
        public String tag;
        public long tid;

        XLoggerInfo() {
        }
    }

    public static native void appenderOpen(int i2, int i3, String str, String str2, String str3, int i4, String str4);

    public static void checkLogDir() {
        if (!TextUtils.isEmpty(logDirStr)) {
            try {
                File file = new File(logDirStr);
                if (file.exists()) {
                    FileUtil.cleanUnFormalFile(file.getAbsolutePath());
                    FileUtil.removeSpaceCache(file.getAbsolutePath());
                    File file2 = new File(file.getParent() + File.separator + "tmp_" + file.getName());
                    if (file.exists()) {
                        FileUtil.cleanUnFormalFile(file2.getAbsolutePath());
                        FileUtil.removeSpaceCache(file2.getAbsolutePath());
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    private static String decryptTag(String str) {
        return str;
    }

    public static native void logWrite(XLoggerInfo xLoggerInfo, String str);

    public static native void logWrite2(int i2, String str, String str2, String str3, int i3, int i4, long j2, long j3, String str4);

    public static void open(boolean z, int i2, int i3, String str, String str2, String str3, String str4, ILogLibLoader iLogLibLoader) {
        if (z) {
            if (iLogLibLoader != null) {
                iLogLibLoader.loadLibrary("marsxlog");
            } else {
                System.loadLibrary("marsxlog");
            }
        }
        logDirStr = str2;
        appenderOpen(i2, i3, str, str2, str3, 0, str4);
    }

    public static native void setAppenderMode(int i2);

    public static native void setConsoleLogOpen(boolean z);

    public static native void setErrLogOpen(boolean z);

    public static native void setLogLevel(int i2);

    public static native void setMaxAliveTime(long j2);

    public static native void setMaxFileSize(long j2);

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public native void appenderClose();

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public native void appenderFlush(boolean z);

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public native int getLogLevel();

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public void logD(String str, String str2, String str3, int i2, int i3, long j2, long j3, String str4) {
        try {
            logWrite2(1, decryptTag(str), str2, str3, i2, i3, j2, j3, str4);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public void logE(String str, String str2, String str3, int i2, int i3, long j2, long j3, String str4) {
        try {
            logWrite2(4, decryptTag(str), str2, str3, i2, i3, j2, j3, str4);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public void logF(String str, String str2, String str3, int i2, int i3, long j2, long j3, String str4) {
        try {
            logWrite2(5, decryptTag(str), str2, str3, i2, i3, j2, j3, str4);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public void logI(String str, String str2, String str3, int i2, int i3, long j2, long j3, String str4) {
        try {
            logWrite2(2, decryptTag(str), str2, str3, i2, i3, j2, j3, str4);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public void logV(String str, String str2, String str3, int i2, int i3, long j2, long j3, String str4) {
        try {
            logWrite2(0, decryptTag(str), str2, str3, i2, i3, j2, j3, str4);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.ximalaya.ting.android.xmlog.manager.Log.LogImp
    public void logW(String str, String str2, String str3, int i2, int i3, long j2, long j3, String str4) {
        try {
            logWrite2(3, decryptTag(str), str2, str3, i2, i3, j2, j3, str4);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }
}
