package com.ximalaya.ting.android.xmtrace.model;

import android.text.TextUtils;
import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.xmtrace.model.ConfigModel;
import com.ximalaya.ting.android.xmtrace.n.b;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class ConfigDataModel extends BaseModel {
    public static Map<String, ConfigModel> pageConfigModels = new ConcurrentHashMap();
    public static b<ConfigModel.Scroll> pageScrollConfigs = new b<>();
    public static b<ConfigModel.ScrollDepths> scrollDepthConfigs = new b<>();
    public static b<ConfigModel.TrackEvent> trackEventConfigs = new b<>();
    public static Map<String, String> viewScrollConfigs = new ConcurrentHashMap();
    public String appVersion;
    @SerializedName("configs")
    public List<ConfigModel> configModels;
    public List<ConfigModel.DialogView> dialogs;
    public Map<String, String> pathMap;
    public String platform;
    public String version;

    public static boolean isCommonExposure(String str) {
        ConfigModel configModel;
        if (TextUtils.isEmpty(str) || (configModel = pageConfigModels.get(str)) == null || configModel.exposureEvent == null) {
            return false;
        }
        return true;
    }

    public static boolean isPublicExposure(String str) {
        ConfigModel configModel;
        if (!TextUtils.isEmpty(str) && (configModel = pageConfigModels.get(str)) != null && configModel.exposureEvent == null) {
            return true;
        }
        return false;
    }

    public ConfigDataModel initLogicPages() {
        List<ConfigModel> list = this.configModels;
        if (list != null && !list.isEmpty()) {
            trackEventConfigs.a();
            scrollDepthConfigs.a();
            pageScrollConfigs.a();
            pageConfigModels.clear();
            viewScrollConfigs.clear();
            for (ConfigModel configModel : this.configModels) {
                configModel.findLogicPages();
                trackEventConfigs.a(configModel.trackEvens, configModel.pageId);
                scrollDepthConfigs.a(configModel.scrollDepths, configModel.pageId);
                pageScrollConfigs.a(configModel.scrolls, configModel.pageId);
                if (!TextUtils.isEmpty(configModel.pageId)) {
                    pageConfigModels.put(configModel.pageId, configModel);
                }
                List<ConfigModel.Scroll> list2 = configModel.scrolls;
                if (list2 != null && !list2.isEmpty()) {
                    for (ConfigModel.Scroll scroll : configModel.scrolls) {
                        List<Integer> list3 = scroll.scrollPaths;
                        if (list3 != null) {
                            Iterator<Integer> it = list3.iterator();
                            while (it.hasNext()) {
                                Map<String, String> map = this.pathMap;
                                String str = map.get(it.next() + "");
                                if (!TextUtils.isEmpty(str)) {
                                    viewScrollConfigs.put(str, "");
                                }
                            }
                        }
                    }
                }
            }
        }
        return this;
    }
}
