package com.ximalaya.ting.android.xmtrace.model;

import com.google.gson.annotations.SerializedName;
import java.util.List;

public class ConfigInfo {
    public static int TYPE_NATIVE = 1;
    public static int TYPE_RN = 2;

    public static class VersionInfo {
        private String bundle;
        public String bundleVersion;
        public int cid;
        public int type;
        @SerializedName("value")
        public String versionValue;

        public VersionInfo() {
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof VersionInfo)) {
                return false;
            }
            VersionInfo versionInfo = (VersionInfo) obj;
            String str = this.versionValue;
            if (str != null) {
                return str.equals(versionInfo.versionValue);
            }
            if (versionInfo.versionValue != null) {
                return false;
            }
            return true;
        }

        public String getBundle() {
            return this.bundle;
        }

        public void setBundle(String str) {
            this.bundle = str;
        }

        public VersionInfo(String str, String str2) {
            this.bundle = str;
            this.bundleVersion = str2;
        }

        public VersionInfo(String str, String str2, int i2) {
            this.bundle = str;
            this.versionValue = str2;
            this.cid = i2;
        }

        public VersionInfo(String str, String str2, String str3, int i2) {
            this.versionValue = str;
            this.bundle = str2;
            this.versionValue = str3;
            this.cid = i2;
        }
    }

    public static class VersionInfos {
        public List<VersionInfo> data;
        public String msg;
        public int ret;
    }

    public static class OsInfo {
        public String bundle;
        public int type;
        public String version;

        public OsInfo(int i2, String str, String str2) {
            this.type = i2;
            this.version = str;
            this.bundle = str2;
        }

        public OsInfo(RNInfo rNInfo) {
            this.type = ConfigInfo.TYPE_RN;
            this.version = rNInfo.getRnVersion();
            this.bundle = rNInfo.getRnBundleName();
        }
    }
}
