package com.ximalaya.ting.android.xmtrace.model;

import android.os.Bundle;
import android.os.SystemClock;
import android.text.TextUtils;
import com.google.gson.annotations.Expose;
import com.ximalaya.ting.android.xmtrace.AutoTraceHelper;
import com.ximalaya.ting.android.xmtrace.m;
import com.ximalaya.ting.android.xmtrace.model.ConfigModel;
import com.ximalaya.ting.android.xmtrace.model.UploadEvent;
import com.ximalaya.ting.android.xmtrace.n.a;
import com.ximalaya.ting.android.xmtrace.n.b;
import com.ximalaya.ting.android.xmtrace.q.i;
import com.ximalaya.ting.android.xmtrace.q.j;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.lang.reflect.Array;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;

public class Event {
    public static final String DATA_PRE_PAGE = "append#data";
    public static final String DATA_TYPE_NORMAL = "datas";
    public static final String DATA_TYPE_PAGE = "pageData";
    public static final String DATA_TYPE_SPECIAL = "special";
    public static final int EVENT_TYPE_DIALOG_TRACE_EVENT = 3;
    public static final int EVENT_TYPE_DIALOG_VIEW_EVENT = 4;
    public static final int EVENT_TYPE_EXPOSURE_EVENT = 1;
    public static final int EVENT_TYPE_NO_TRACK_EVENT = 6;
    public static final int EVENT_TYPE_SCROLL_DEPTH_EVENT = 7;
    public static final int EVENT_TYPE_SCROLL_EVENT = 2;
    public static final int EVENT_TYPE_SCROLL_MULTI_EVENT = 5;
    public static final int EVENT_TYPE_TRACE_EVENT = 0;
    public static final String VALUE_TYPE_FINAL_ATTR_VALUE = "2";
    public static final String VALUE_TYPE_SOURCE_MODULE = "3";
    private static CachePageEvent currPageEvent;
    private static transient String externalCurrPage;
    private static String externalPrePageStr = null;
    private static Map<String, PageShowInfo> pageShowInfoMap = new ConcurrentHashMap();
    public static List<PageShowStack> pageShowStacks = new CopyOnWriteArrayList();
    private static String prePageStr = null;
    private static Map<String, Long> sPageStayTimeMap = new ConcurrentHashMap();
    private static Map<String, SrcModule> sSrcModuleMap = new ConcurrentHashMap();
    private static SrcModule srcModule = null;
    private transient String appendPageId;
    private transient List<ConfigModel.Attr> attrs = null;
    private int cid;
    @Expose
    private long clientTime;
    private transient long cpuTime;
    private transient String currPage;
    private transient Object data;
    @Expose
    public int dataId = 0;
    private transient WeakReference<AutoTraceHelper.IDataProvider> dataProviderWeakReference;
    private transient Object dialogData;
    @Expose
    public ConfigModel.DialogExposure dialogExposure;
    private transient String dialogId;
    private transient ErrorInfo error;
    private transient int eventType = -1;
    @Expose
    public ConfigModel.ExposureEvent exposureEvent;
    @Expose
    public List<ConfigModel.GRes> greses;
    public transient String heatMapIndex;
    private transient boolean invalid = false;
    private boolean isCommonPage = false;
    public transient Map<String, String> logTag;
    public transient int metaId;
    private transient Object pageAppendData;
    private transient Bundle pageDataObj;
    private transient String pageId;
    @Expose
    private String pageName;
    private transient String pageObjStringValue = null;
    private transient String pageTitle;
    private transient String prePage;
    @Expose
    private HashMap<String, String> properties;
    public List<UploadEvent.PropsM> propsM;
    private transient String scrollViewId;
    private long seq;
    @Expose
    private String serviceId;
    private transient SpecialProperty specialProperty;
    @Expose
    public ConfigModel.TrackEvent trackEvent;
    public String triggerPage = null;
    private transient String viewId;
    private transient String viewIndex;
    private transient String viewPath;
    private transient i.a wrapView;

    public static class CachePageEvent {
        private long leftTime;
        public Event pageEvent;

        public CachePageEvent(long j2, Event event) {
            this.leftTime = j2;
            this.pageEvent = event;
        }

        public Event getPageEvent() {
            return this.pageEvent;
        }
    }

    public static class PageShowInfo {
        private String prePage;
        private int showNum;

        public PageShowInfo(String str, int i2) {
            this.prePage = str;
            this.showNum = i2;
        }

        public void addShowNum() {
            this.showNum++;
        }

        public String getPrePage() {
            return this.prePage;
        }

        public int getShowNum() {
            return this.showNum;
        }

        public void letUp() {
            int i2 = this.showNum;
            if (i2 > 0) {
                this.showNum = i2 - 1;
            }
        }

        public void setPrePage(String str) {
            this.prePage = str;
        }

        public void setShowNum(int i2) {
            this.showNum = i2;
        }
    }

    public static class PageShowStack {
        private String pageClassName;
        private String pageName;
        private String pageObjStringValue;
        private int pageState;
        private long showTime;

        @Retention(RetentionPolicy.SOURCE)
        public @interface PageState {
            public static final int PAGE_HIDDEN = 4113;
            public static final int PAGE_SHOWING = 4112;
        }

        public PageShowStack(String str, String str2, String str3, int i2, long j2) {
            this.pageObjStringValue = str;
            this.pageName = str2;
            this.pageClassName = str3;
            this.pageState = i2;
            this.showTime = j2;
        }

        public String getPageClassName() {
            return this.pageClassName;
        }

        public String getPageName() {
            return this.pageName;
        }

        public String getPageObjStringValue() {
            return this.pageObjStringValue;
        }

        public int getPageState() {
            return this.pageState;
        }

        public long getShowTime() {
            return this.showTime;
        }

        public void setPageClassName(String str) {
            this.pageClassName = str;
        }

        public void setPageName(String str) {
            this.pageName = str;
        }

        public void setPageObjStringValue(String str) {
            this.pageObjStringValue = str;
        }

        public void setPageState(int i2) {
            this.pageState = i2;
        }

        public void setShowTime(long j2) {
            this.showTime = j2;
        }
    }

    public static class PageStayTime {
        public String pageId;
        public long startTime;

        public PageStayTime(String str, long j2) {
            this.pageId = str;
            this.startTime = j2;
        }
    }

    public static class SrcModule {
        public String moduleName;
        public String moduleValue;

        public SrcModule(String str, String str2) {
            this.moduleName = str;
            this.moduleValue = str2;
        }
    }

    private Event() {
    }

    private void checkAndHandleIfPageShowAheadOfLastPageExit(Event event) {
        Event event2;
        CachePageEvent cachePageEvent = currPageEvent;
        if (cachePageEvent != null && (event2 = cachePageEvent.pageEvent) != null && !event2.pageName.equals(event.pageName)) {
            event.clientTime = currPageEvent.pageEvent.clientTime - 1;
        }
    }

    private void checkCurrPageEvent() {
        Event event;
        String str = this.currPage;
        if (str != null) {
            this.specialProperty.currPage = str;
            return;
        }
        CachePageEvent cachePageEvent = currPageEvent;
        if (cachePageEvent == null || (event = cachePageEvent.pageEvent) == null) {
            String str2 = this.pageName;
            if (str2 != null) {
                this.specialProperty.currPage = str2;
                return;
            }
            String str3 = externalCurrPage;
            if (str3 != null) {
                this.specialProperty.currPage = str3;
                return;
            }
            return;
        }
        this.specialProperty.currPage = event.pageName;
    }

    private void checkPageShowNum() {
        PageShowInfo pageShowInfo;
        if (!TextUtils.isEmpty(this.pageObjStringValue) && (pageShowInfo = pageShowInfoMap.get(this.pageObjStringValue)) != null) {
            SpecialProperty specialProperty2 = this.specialProperty;
            specialProperty2.pageShowNum = pageShowInfo.getShowNum() + "";
        }
    }

    private long checkPageStayTime() {
        long computePageStayTime = computePageStayTime(this.pageObjStringValue, this.cpuTime);
        this.specialProperty.pageStayTime = String.valueOf(computePageStayTime);
        j.a("Event", "页面停留时间： " + this.pageObjStringValue + "  " + computePageStayTime);
        return computePageStayTime;
    }

    private void checkPrePageLeftEvent(PageShowStack pageShowStack) {
        String str = this.currPage;
        if (str != null) {
            this.specialProperty.currPage = str;
        } else {
            this.specialProperty.currPage = this.pageName;
        }
        PageShowInfo pageShowInfo = !TextUtils.isEmpty(this.pageObjStringValue) ? pageShowInfoMap.get(this.pageObjStringValue) : null;
        if (pageShowInfo == null) {
            pageShowInfo = new PageShowInfo(null, 0);
            if (!TextUtils.isEmpty(this.pageObjStringValue)) {
                pageShowInfoMap.put(this.pageObjStringValue, pageShowInfo);
            }
        }
        String str2 = this.prePage;
        if (str2 != null) {
            this.specialProperty.prePage = str2;
            prePageStr = str2;
        } else if (pageShowInfo.getPrePage() != null) {
            this.specialProperty.prePage = pageShowInfo.getPrePage();
        } else if (!TextUtils.isEmpty(externalPrePageStr)) {
            SpecialProperty specialProperty2 = this.specialProperty;
            String str3 = externalPrePageStr;
            specialProperty2.prePage = str3;
            prePageStr = str3;
            externalPrePageStr = null;
        } else if (pageShowStack != null) {
            this.specialProperty.prePage = pageShowStack.getPageName();
            pageShowInfo.setPrePage(this.specialProperty.prePage);
        }
        prePageStr = this.specialProperty.prePage;
    }

    private void checkSrcModule() {
        SrcModule srcModule2 = srcModule;
        if (srcModule2 == null || TextUtils.isEmpty(srcModule2.moduleValue)) {
            SrcModule srcModule3 = sSrcModuleMap.get(this.pageId);
            if (srcModule3 != null && !TextUtils.isEmpty(srcModule3.moduleValue)) {
                this.specialProperty.srcModule = srcModule3.moduleValue;
                return;
            }
            return;
        }
        SpecialProperty specialProperty2 = this.specialProperty;
        SrcModule srcModule4 = srcModule;
        specialProperty2.srcModule = srcModule4.moduleValue;
        sSrcModuleMap.put(this.pageId, srcModule4);
        srcModule = null;
    }

    private String checkValueType(Object obj, String str, ErrorInfo errorInfo) {
        if (obj != null) {
            return String.valueOf(obj);
        }
        try {
            setError(str, 0);
            return null;
        } catch (Exception unused) {
            setError(str, 1);
            return "errorValue";
        }
    }

    public static void clearSrcModule() {
    }

    public static Event createDialogExposureEvent(Object obj, String str, int i2, long j2) {
        Event event = new Event(0, null, null, null, null, null, null, null, null, null, null, i2, j2);
        event.dialogData = obj;
        event.dialogId = str;
        return event;
    }

    public static Event createDialogTraceEvent(String str, String str2, Object obj, SpecialProperty specialProperty2, int i2, long j2) {
        Event event = new Event(0, null, null, null, null, null, null, str2, null, obj, specialProperty2, i2, j2);
        event.dialogId = str;
        return event;
    }

    public static Event createEmptyEvent() {
        return new Event();
    }

    private void createExposureEvent(int i2) {
        if (i2 == 0) {
            this.exposureEvent = new ConfigModel.Exposure();
        } else {
            this.exposureEvent = new ConfigModel.Departure();
        }
        this.exposureEvent.eventType = i2;
    }

    public static Event createPageEvent(String str, Bundle bundle, String str2, String str3, String str4, SpecialProperty specialProperty2, int i2, long j2, int i3) {
        Event event = new Event(0, str, bundle, null, str2, str3, str4, null, null, null, specialProperty2, i2, j2);
        event.createExposureEvent(i3);
        return event;
    }

    public static Event createScrollEvent(String str, String str2, String str3, String str4, String str5, Object obj, SpecialProperty specialProperty2, int i2, long j2) {
        return new Event(0, null, null, null, str, str3, str4, str2, str5, obj, specialProperty2, i2, j2);
    }

    public static Event createViewEvent(long j2, String str, String str2, String str3, String str4, Object obj, SpecialProperty specialProperty2, int i2, long j3) {
        return new Event(j2, null, null, null, str, str3, str4, str2, null, obj, specialProperty2, i2, j3);
    }

    private ConfigModel.TrackEvent findDialogTrace(ConfigDataModel configDataModel) {
        List<ConfigModel.DialogView> list = configDataModel.dialogs;
        if (!(list == null || list.size() == 0)) {
            for (ConfigModel.DialogView dialogView : configDataModel.dialogs) {
                if (dialogView.path.equals(this.dialogId)) {
                    List<ConfigModel.TrackEvent> list2 = dialogView.trackEvens;
                    if (list2 == null) {
                        return null;
                    }
                    for (ConfigModel.TrackEvent trackEvent2 : list2) {
                        if (trackEvent2.viewId.equals(this.viewId)) {
                            return trackEvent2;
                        }
                    }
                    continue;
                }
            }
        }
        return null;
    }

    private Object getCurrPageAppendDataObj() {
        Event event;
        Object obj = this.pageAppendData;
        if (obj != null) {
            return obj;
        }
        CachePageEvent cachePageEvent = currPageEvent;
        if (cachePageEvent == null || (event = cachePageEvent.pageEvent) == null) {
            return null;
        }
        return event.pageAppendData;
    }

    private Bundle getCurrPageDataObj() {
        Event event;
        Bundle bundle = this.pageDataObj;
        if (bundle != null) {
            return bundle;
        }
        CachePageEvent cachePageEvent = currPageEvent;
        if (cachePageEvent == null || (event = cachePageEvent.pageEvent) == null) {
            return null;
        }
        return event.pageDataObj;
    }

    public static String getCurrPageStr() {
        Event event;
        CachePageEvent cachePageEvent = currPageEvent;
        if (cachePageEvent == null || (event = cachePageEvent.pageEvent) == null) {
            return null;
        }
        return event.pageName;
    }

    private void getFinalAttValue(ConfigModel.Attr attr, Map<String, String> map) throws Exception {
        map.put(attr.name, attr.express);
    }

    public static CachePageEvent getPrePageLeftEvent() {
        return null;
    }

    public static String getPrePageStr(String str, String str2) {
        Event event;
        String str3;
        CachePageEvent cachePageEvent = currPageEvent;
        if (!(cachePageEvent == null || (event = cachePageEvent.pageEvent) == null || (str3 = event.pageId) == null)) {
            if (str3.contains(":")) {
                if (TextUtils.isEmpty(str2)) {
                    return currPageEvent.pageEvent.pageName;
                }
                String str4 = currPageEvent.pageEvent.pageId;
                if (str4.equals(str + str2)) {
                    return prePageStr;
                }
            } else if (!currPageEvent.pageEvent.pageId.equals(str)) {
                return currPageEvent.pageEvent.pageName;
            }
        }
        return prePageStr;
    }

    private Field getPropertyFiled(Object obj, String str) {
        try {
            return obj.getClass().getDeclaredField(str);
        } catch (NoSuchFieldException unused) {
            for (Class<?> cls = obj.getClass(); cls.getSuperclass() != null; cls = cls.getSuperclass()) {
                try {
                    return cls.getSuperclass().getDeclaredField(str);
                } catch (Exception unused2) {
                }
            }
            return null;
        }
    }

    private Object getPropertyValue(Object obj, String str, ErrorInfo errorInfo) throws Exception {
        String str2;
        Object obj2;
        if (str.endsWith("]")) {
            str2 = str.substring(str.indexOf(91) + 1, str.indexOf(93));
            str = str.substring(0, str.indexOf(91));
        } else {
            str2 = null;
        }
        if (str2 != null && TextUtils.isDigitsOnly(str2)) {
            int intValue = Integer.valueOf(str2).intValue();
            Field propertyFiled = getPropertyFiled(obj, str);
            propertyFiled.setAccessible(true);
            Object obj3 = propertyFiled.get(obj);
            if (obj3 instanceof List) {
                List list = (List) obj3;
                if (intValue >= 0 && intValue < list.size()) {
                    return list.get(intValue);
                }
                if (list.size() > 0) {
                    return list.get(0);
                }
                return null;
            } else if (!obj3.getClass().isArray()) {
                return null;
            } else {
                if (intValue >= 0 && intValue < Array.getLength(obj3)) {
                    obj2 = Array.get(obj3, intValue);
                } else if (Array.getLength(obj3) <= 0) {
                    return null;
                } else {
                    obj2 = Array.get(obj3, 0);
                }
                return obj2;
            }
        } else if (obj instanceof Map) {
            return ((Map) obj).get(str);
        } else {
            Field propertyFiled2 = getPropertyFiled(obj, str);
            if (propertyFiled2 != null) {
                propertyFiled2.setAccessible(true);
                return propertyFiled2.get(obj);
            }
            j.b("event", "getPropertyValue field==null : " + str);
            return null;
        }
    }

    public static String getSrcModuleStr() {
        SrcModule srcModule2 = srcModule;
        if (srcModule2 == null) {
            return null;
        }
        String str = srcModule2.moduleValue;
        srcModule = null;
        return str;
    }

    public static PageShowStack getTopPage() {
        List<PageShowStack> list = pageShowStacks;
        if (list == null || list.size() <= 0) {
            return null;
        }
        List<PageShowStack> list2 = pageShowStacks;
        return list2.get(list2.size() - 1);
    }

    private void initPageData() {
        int i2 = this.eventType;
        if (i2 == 0 || i2 == 2) {
            this.currPage = getCurrPageStr();
            this.pageDataObj = getCurrPageDataObj();
            this.pageAppendData = getCurrPageAppendDataObj();
        }
    }

    private void letupPageShowNum() {
        PageShowInfo pageShowInfo;
        if (!TextUtils.isEmpty(this.pageObjStringValue) && (pageShowInfo = pageShowInfoMap.get(this.pageObjStringValue)) != null) {
            pageShowInfo.letUp();
        }
    }

    private void parseGSrc(boolean z, List<ConfigModel.GRes> list) {
        Map<String, String> map;
        if (!(list == null || list.isEmpty())) {
            if (this.greses == null) {
                this.greses = new ArrayList();
            }
            for (ConfigModel.GRes gRes : list) {
                String str = gRes.name;
                List<ConfigModel.Attr> list2 = gRes.attrs;
                if (list2 != null && list2.size() > 0) {
                    if (z) {
                        map = parseTraceProperties(gRes.attrs);
                    } else {
                        map = parsePageProperties(gRes.attrs);
                    }
                    ConfigModel.GRes gRes2 = new ConfigModel.GRes();
                    gRes2.name = str;
                    gRes2.props = map;
                    this.greses.add(gRes2);
                }
            }
            ConfigModel.GRes.greses = this.greses;
        }
    }

    private void parsePageData(Object obj, String str, String str2, Map<String, String> map, ErrorInfo errorInfo) throws Exception {
        Object obj2;
        boolean z;
        Object propertyValue;
        if (obj == null) {
            obj = getCurrPageDataObj();
        }
        if (this.pageAppendData == null) {
            this.pageAppendData = getCurrPageAppendDataObj();
        }
        if (str.startsWith(DATA_TYPE_PAGE)) {
            str = str.substring(9, str.length());
        }
        if (str.contains(".")) {
            if (str.startsWith(DATA_PRE_PAGE)) {
                str = str.substring(12);
                z = true;
            } else {
                z = false;
            }
            String[] split = str.split("\\.");
            if (z) {
                obj = this.pageAppendData;
            } else if (obj instanceof Bundle) {
                obj = ((Bundle) obj).get(split[0]);
                if (split.length == 1) {
                    map.put(str2, checkValueType(obj, split[0], errorInfo));
                    return;
                }
                split[0] = null;
            }
            if (obj != null) {
                for (int i2 = 0; i2 < split.length; i2++) {
                    if (split[i2] != null && ((propertyValue = getPropertyValue(obj, split[i2], errorInfo)) != null || !TextUtils.equals(split[i2], "data"))) {
                        if (i2 == split.length - 1 || propertyValue == null) {
                            map.put(str2, checkValueType(propertyValue, str2, errorInfo));
                            return;
                        }
                        obj = propertyValue;
                    }
                }
            }
        } else if (obj == null) {
            Object obj3 = this.pageAppendData;
            if (!(obj3 == null || !(obj3 instanceof Map) || (obj2 = ((Map) obj3).get(str)) == null)) {
                map.put(str2, String.valueOf(obj2));
            }
        } else if (obj instanceof Bundle) {
            Bundle bundle = (Bundle) obj;
            Object obj4 = bundle.get(str);
            String checkValueType = checkValueType(obj4, str2, errorInfo);
            if (obj4 == null && !bundle.keySet().contains(str)) {
                setError(str2, 2);
            }
            map.put(str2, checkValueType);
        } else {
            map.put(str2, checkValueType(getPropertyValue(obj, str, errorInfo), str2, errorInfo));
        }
    }

    private Map<String, String> parsePageProperties(List<ConfigModel.Attr> list) {
        HashMap hashMap = new HashMap();
        for (ConfigModel.Attr attr : list) {
            String str = attr.type;
            String str2 = attr.name;
            String str3 = attr.express;
            try {
                if ("2".equals(str)) {
                    getFinalAttValue(attr, hashMap);
                } else {
                    if (str3.contains(":")) {
                        String[] split = str3.split(":");
                        String str4 = split[0];
                        str3 = split[1];
                    }
                    if (str3.startsWith(DATA_TYPE_SPECIAL)) {
                        parseSpecialValue(str3, str2, hashMap, this.error);
                    } else if (this.pageDataObj == null && this.pageAppendData == null) {
                        return hashMap;
                    } else {
                        parsePageData(this.pageDataObj, str3, str2, hashMap, this.error);
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                if (e2 instanceof NoSuchFieldException) {
                    setError(str2, 2);
                } else {
                    setError(str2, 3);
                }
            }
        }
        return hashMap;
    }

    private void parseSpecialValue(String str, String str2, Map<String, String> map, ErrorInfo errorInfo) throws NoSuchFieldException, IllegalAccessException {
        String str3;
        String substring = str.substring(8, str.length());
        if (substring.contains(".")) {
            String[] split = substring.split("\\.");
            String str4 = split[0];
            str3 = split[1];
            substring = str4;
        } else {
            str3 = null;
        }
        Field declaredField = this.specialProperty.getClass().getDeclaredField(substring);
        declaredField.setAccessible(true);
        Object obj = declaredField.get(this.specialProperty);
        if (obj != null) {
            if ((obj instanceof Map) && str3 != null) {
                obj = ((Map) obj).get(str3);
            }
            map.put(str2, checkValueType(obj, str2, errorInfo));
            return;
        }
        checkValueType(obj, str2, errorInfo);
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:63:0x01a7 */
    /* JADX DEBUG: Multi-variable search result rejected for r31v0, resolved type: com.ximalaya.ting.android.xmtrace.model.Event */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v2, types: [com.ximalaya.ting.android.xmtrace.model.ConfigModel$Attr] */
    /* JADX WARN: Type inference failed for: r2v25 */
    /* JADX WARN: Type inference failed for: r2v26 */
    /* JADX WARN: Type inference failed for: r2v27 */
    /* JADX WARN: Type inference failed for: r2v33, types: [java.util.Map] */
    /* JADX WARNING: Code restructure failed: missing block: B:215:0x0404, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:216:0x0405, code lost:
        r27 = r9;
        r28 = r10;
        r29 = r11;
        r1 = r1;
        r3 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:231:0x0473, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:232:0x0474, code lost:
        r21 = r6;
        r27 = r9;
        r22 = r10;
        r29 = r11;
        r25 = r14;
        r26 = r15;
        r28 = r3;
        r17 = r2;
        r2 = r4;
        r14 = r5;
     */
    /* JADX WARNING: Removed duplicated region for block: B:117:0x0270 A[Catch:{ NoSuchFieldException -> 0x03af, IllegalAccessException -> 0x03a0, Exception -> 0x0393 }] */
    /* JADX WARNING: Removed duplicated region for block: B:160:0x030b A[Catch:{ NoSuchFieldException -> 0x0382, IllegalAccessException -> 0x0371, Exception -> 0x036f }] */
    /* JADX WARNING: Removed duplicated region for block: B:174:0x035d  */
    /* JADX WARNING: Removed duplicated region for block: B:215:0x0404 A[ExcHandler: Exception (e java.lang.Exception), Splitter:B:45:0x00f5] */
    /* JADX WARNING: Removed duplicated region for block: B:231:0x0473 A[ExcHandler: Exception (e java.lang.Exception), Splitter:B:10:0x0052] */
    /* JADX WARNING: Removed duplicated region for block: B:235:0x04bc  */
    /* JADX WARNING: Removed duplicated region for block: B:236:0x04c5  */
    /* JADX WARNING: Removed duplicated region for block: B:240:0x0517  */
    /* JADX WARNING: Removed duplicated region for block: B:241:0x0520  */
    /* JADX WARNING: Removed duplicated region for block: B:245:0x0566  */
    /* JADX WARNING: Removed duplicated region for block: B:246:0x056f  */
    /* JADX WARNING: Removed duplicated region for block: B:250:0x057f  */
    /* JADX WARNING: Removed duplicated region for block: B:259:0x0316 A[SYNTHETIC] */
    private Map<String, String> parseTraceProperties(List<ConfigModel.Attr> list) {
        String str;
        Object obj;
        String str2;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        HashMap<String, String> hashMap;
        ConfigModel.Attr attr;
        NoSuchFieldException e2;
        ConfigModel.Attr attr2;
        IllegalAccessException e3;
        String str10;
        String str11;
        String str12;
        ConfigModel.Attr attr3;
        Exception e4;
        String str13;
        String str14;
        String str15;
        String str16;
        HashMap<String, String> hashMap2;
        String str17;
        String[] strArr;
        Exception e5;
        HashMap<String, String> hashMap3;
        Object obj2;
        String str18 = "_";
        String str19 = ":";
        String str20 = ": ";
        String str21 = "oex";
        String str22 = "data is null";
        String str23 = "dataObj";
        String str24 = "type";
        String str25 = "viewId";
        String str26 = "metaId";
        HashMap<String, String> hashMap4 = this.properties;
        if (hashMap4 == null) {
            hashMap4 = new HashMap<>();
        }
        HashMap<String, String> hashMap5 = hashMap4;
        Object obj3 = this.data;
        if (obj3 instanceof AutoTraceHelper.DataWrap) {
            obj3 = ((AutoTraceHelper.DataWrap) obj3).getData();
        }
        Object obj4 = obj3;
        Iterator<ConfigModel.Attr> it = list.iterator();
        while (it.hasNext()) {
            ConfigModel.Attr next = it.next();
            String str27 = next.type;
            String str28 = next.name;
            String str29 = next.express;
            HashMap hashMap6 = new HashMap(3);
            try {
                if ("2".equals(str27)) {
                    getFinalAttValue(next, hashMap5);
                } else if (!"3".equals(str27)) {
                    if (str29.contains(str19)) {
                        String[] split = str29.split(str19);
                        String str30 = split[0];
                        str29 = split[1];
                    }
                    if (str29.startsWith(DATA_TYPE_SPECIAL)) {
                        parseSpecialValue(str29, str28, hashMap5, this.error);
                        hashMap = hashMap5;
                        str15 = str25;
                        str2 = str18;
                        str3 = str19;
                        str = str20;
                        str11 = str23;
                        str10 = str24;
                        obj = obj4;
                        str4 = str26;
                    } else if (str29.startsWith(DATA_TYPE_PAGE)) {
                        try {
                            if (this.dialogData == null || !(this.eventType == 3 || this.eventType == 4)) {
                                hashMap2 = hashMap5;
                                str3 = str19;
                                str11 = str23;
                                str10 = str24;
                                obj2 = obj4;
                                str4 = str26;
                                str16 = str25;
                                parsePageData(getPageDataObj(), str29, str28, hashMap2, this.error);
                            } else {
                                str3 = str19;
                                attr3 = next;
                                obj2 = obj4;
                                hashMap2 = hashMap5;
                                str11 = str23;
                                str4 = str26;
                                str10 = str24;
                                str16 = str25;
                                try {
                                    parsePageData(this.dialogData, str29, str28, hashMap2, this.error);
                                } catch (NoSuchFieldException e6) {
                                    e2 = e6;
                                    str2 = str18;
                                    obj = obj2;
                                    str8 = str20;
                                    str9 = str16;
                                    attr = attr3;
                                    str5 = str21;
                                    str28 = str28;
                                    str29 = str29;
                                    hashMap = hashMap2;
                                    str6 = str11;
                                    str7 = str10;
                                    e2.printStackTrace();
                                    setError(str28, 2);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    hashMap6.put(str9, this.viewId);
                                    hashMap6.put(str7, str29 + ": no such field ");
                                    hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                    hashMap6.put(str5, attr.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                } catch (IllegalAccessException e7) {
                                    e3 = e7;
                                    str2 = str18;
                                    obj = obj2;
                                    str8 = str20;
                                    str9 = str16;
                                    attr2 = attr3;
                                    str5 = str21;
                                    str28 = str28;
                                    str29 = str29;
                                    hashMap = hashMap2;
                                    str6 = str11;
                                    str7 = str10;
                                    e3.printStackTrace();
                                    setError(str28, 3);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    hashMap6.put(str9, this.viewId);
                                    hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                    hashMap6.put(str5, attr2.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                } catch (Exception e8) {
                                }
                            }
                            str2 = str18;
                            obj = obj2;
                            str = str20;
                            str15 = str16;
                            hashMap = hashMap2;
                        } catch (NoSuchFieldException e9) {
                            e2 = e9;
                            str3 = str19;
                            str13 = str23;
                            str4 = str26;
                            attr = next;
                            hashMap = hashMap5;
                            str9 = str25;
                            str2 = str18;
                            str8 = str20;
                            str7 = str24;
                            obj = obj4;
                            str5 = str21;
                            str6 = str13;
                            e2.printStackTrace();
                            setError(str28, 2);
                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                            hashMap6.put(str9, this.viewId);
                            hashMap6.put(str7, str29 + ": no such field ");
                            hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                            hashMap6.put(str5, attr.express);
                            if (hashMap6.size() > 0) {
                            }
                            str24 = str7;
                            str21 = str5;
                            str22 = str22;
                            str19 = str3;
                            obj4 = obj;
                            str25 = str9;
                            str20 = str8;
                            str26 = str4;
                            hashMap5 = hashMap;
                            str23 = str6;
                            str18 = str2;
                        } catch (IllegalAccessException e10) {
                            e3 = e10;
                            str3 = str19;
                            str14 = str23;
                            str4 = str26;
                            attr2 = next;
                            hashMap = hashMap5;
                            str9 = str25;
                            str2 = str18;
                            str8 = str20;
                            str7 = str24;
                            obj = obj4;
                            str5 = str21;
                            str6 = str14;
                            e3.printStackTrace();
                            setError(str28, 3);
                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                            hashMap6.put(str9, this.viewId);
                            hashMap6.put(str7, str29 + str8 + e3.getMessage());
                            hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                            hashMap6.put(str5, attr2.express);
                            if (hashMap6.size() > 0) {
                            }
                            str24 = str7;
                            str21 = str5;
                            str22 = str22;
                            str19 = str3;
                            obj4 = obj;
                            str25 = str9;
                            str20 = str8;
                            str26 = str4;
                            hashMap5 = hashMap;
                            str23 = str6;
                            str18 = str2;
                        } catch (Exception e11) {
                            e4 = e11;
                            str3 = str19;
                            str11 = str23;
                            str10 = str24;
                            attr3 = next;
                            str4 = str26;
                            hashMap = hashMap5;
                            str12 = str25;
                            str2 = str18;
                            obj = obj4;
                            str = str20;
                            e4.printStackTrace();
                            setError(str28, 3);
                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                            str9 = str12;
                            hashMap6.put(str9, this.viewId);
                            StringBuilder sb = new StringBuilder();
                            sb.append(str29);
                            str8 = str;
                            sb.append(str8);
                            sb.append(e4.getMessage());
                            str7 = str10;
                            hashMap6.put(str7, sb.toString());
                            str6 = str11;
                            hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                            str5 = str21;
                            hashMap6.put(str5, attr3.express);
                            if (hashMap6.size() > 0) {
                            }
                            str24 = str7;
                            str21 = str5;
                            str22 = str22;
                            str19 = str3;
                            obj4 = obj;
                            str25 = str9;
                            str20 = str8;
                            str26 = str4;
                            hashMap5 = hashMap;
                            str23 = str6;
                            str18 = str2;
                        }
                    } else {
                        hashMap2 = hashMap5;
                        str3 = str19;
                        str11 = str23;
                        str10 = str24;
                        Object obj5 = obj4;
                        attr3 = next;
                        str4 = str26;
                        str16 = str25;
                        try {
                            if (!str29.contains(".")) {
                                try {
                                    if (obj5 instanceof String) {
                                        str28 = str28;
                                        next = hashMap2;
                                        try {
                                            next.put(str28, String.valueOf(obj5));
                                            hashMap3 = next;
                                        } catch (NoSuchFieldException e12) {
                                            e2 = e12;
                                            hashMap = next;
                                            str2 = str18;
                                            obj = obj5;
                                            str8 = str20;
                                            str9 = str16;
                                            attr = attr3;
                                            str5 = str21;
                                            str6 = str11;
                                            str7 = str10;
                                            e2.printStackTrace();
                                            setError(str28, 2);
                                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                                            hashMap6.put(str9, this.viewId);
                                            hashMap6.put(str7, str29 + ": no such field ");
                                            hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                            hashMap6.put(str5, attr.express);
                                            if (hashMap6.size() > 0) {
                                            }
                                            str24 = str7;
                                            str21 = str5;
                                            str22 = str22;
                                            str19 = str3;
                                            obj4 = obj;
                                            str25 = str9;
                                            str20 = str8;
                                            str26 = str4;
                                            hashMap5 = hashMap;
                                            str23 = str6;
                                            str18 = str2;
                                        } catch (IllegalAccessException e13) {
                                            e3 = e13;
                                            hashMap = next;
                                            str2 = str18;
                                            obj = obj5;
                                            str8 = str20;
                                            str9 = str16;
                                            attr2 = attr3;
                                            str5 = str21;
                                            str6 = str11;
                                            str7 = str10;
                                            e3.printStackTrace();
                                            setError(str28, 3);
                                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                                            hashMap6.put(str9, this.viewId);
                                            hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                            hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                            hashMap6.put(str5, attr2.express);
                                            if (hashMap6.size() > 0) {
                                            }
                                            str24 = str7;
                                            str21 = str5;
                                            str22 = str22;
                                            str19 = str3;
                                            obj4 = obj;
                                            str25 = str9;
                                            str20 = str8;
                                            str26 = str4;
                                            hashMap5 = hashMap;
                                            str23 = str6;
                                            str18 = str2;
                                        } catch (Exception e14) {
                                            e4 = e14;
                                            hashMap = next;
                                            str2 = str18;
                                            obj = obj5;
                                            str = str20;
                                            str12 = str16;
                                            e4.printStackTrace();
                                            setError(str28, 3);
                                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                                            str9 = str12;
                                            hashMap6.put(str9, this.viewId);
                                            StringBuilder sb2 = new StringBuilder();
                                            sb2.append(str29);
                                            str8 = str;
                                            sb2.append(str8);
                                            sb2.append(e4.getMessage());
                                            str7 = str10;
                                            hashMap6.put(str7, sb2.toString());
                                            str6 = str11;
                                            hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                            str5 = str21;
                                            hashMap6.put(str5, attr3.express);
                                            if (hashMap6.size() > 0) {
                                            }
                                            str24 = str7;
                                            str21 = str5;
                                            str22 = str22;
                                            str19 = str3;
                                            obj4 = obj;
                                            str25 = str9;
                                            str20 = str8;
                                            str26 = str4;
                                            hashMap5 = hashMap;
                                            str23 = str6;
                                            str18 = str2;
                                        }
                                    } else {
                                        HashMap<String, String> hashMap7 = hashMap2;
                                        hashMap3 = hashMap7;
                                        if (obj5 instanceof Map) {
                                            Map map = (Map) obj5;
                                            hashMap3 = hashMap7;
                                            if (map != null) {
                                                hashMap3 = hashMap7;
                                                if (map.size() == 1) {
                                                    Object obj6 = map.get("property");
                                                    hashMap3 = hashMap7;
                                                    if (obj6 instanceof String) {
                                                        hashMap7.put(str28, String.valueOf(obj6));
                                                        hashMap3 = hashMap7;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    hashMap5 = hashMap3;
                                    obj4 = obj5;
                                    str26 = str4;
                                    str25 = str16;
                                    str22 = str22;
                                    str21 = str21;
                                    str19 = str3;
                                    str23 = str11;
                                    str24 = str10;
                                } catch (NoSuchFieldException e15) {
                                    e2 = e15;
                                    str28 = str28;
                                    hashMap = hashMap2;
                                    str2 = str18;
                                    obj = obj5;
                                    str8 = str20;
                                    str9 = str16;
                                    attr = attr3;
                                    str5 = str21;
                                    str6 = str11;
                                    str7 = str10;
                                    e2.printStackTrace();
                                    setError(str28, 2);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    hashMap6.put(str9, this.viewId);
                                    hashMap6.put(str7, str29 + ": no such field ");
                                    hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                    hashMap6.put(str5, attr.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                } catch (IllegalAccessException e16) {
                                    e3 = e16;
                                    str28 = str28;
                                    hashMap = hashMap2;
                                    str2 = str18;
                                    obj = obj5;
                                    str8 = str20;
                                    str9 = str16;
                                    attr2 = attr3;
                                    str5 = str21;
                                    str6 = str11;
                                    str7 = str10;
                                    e3.printStackTrace();
                                    setError(str28, 3);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    hashMap6.put(str9, this.viewId);
                                    hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                    hashMap6.put(str5, attr2.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                } catch (Exception e17) {
                                    e4 = e17;
                                    str28 = str28;
                                    hashMap = hashMap2;
                                    str2 = str18;
                                    obj = obj5;
                                    str = str20;
                                    str12 = str16;
                                    e4.printStackTrace();
                                    setError(str28, 3);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    str9 = str12;
                                    hashMap6.put(str9, this.viewId);
                                    StringBuilder sb22 = new StringBuilder();
                                    sb22.append(str29);
                                    str8 = str;
                                    sb22.append(str8);
                                    sb22.append(e4.getMessage());
                                    str7 = str10;
                                    hashMap6.put(str7, sb22.toString());
                                    str6 = str11;
                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                    str5 = str21;
                                    hashMap6.put(str5, attr3.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                }
                            } else {
                                str28 = str28;
                                hashMap = hashMap2;
                                str29 = str29.substring(6, str29.length());
                                try {
                                    String[] split2 = str29.split("\\.");
                                    Object obj7 = obj5;
                                    int i2 = 0;
                                    while (true) {
                                        if (i2 >= split2.length) {
                                            str2 = str18;
                                            obj = obj5;
                                            str = str20;
                                            str15 = str16;
                                            break;
                                        }
                                        String str31 = split2[i2];
                                        Object obj8 = null;
                                        if (obj7 instanceof Map) {
                                            obj8 = ((Map) obj7).get(str31);
                                            str17 = str29;
                                        } else if (obj7 instanceof List) {
                                            try {
                                                int parseInt = Integer.parseInt(str31);
                                                str17 = str29;
                                                try {
                                                    List list2 = (List) obj7;
                                                    if (list2 != null && !list2.isEmpty()) {
                                                        obj7 = list2.get(parseInt);
                                                        str2 = str18;
                                                        obj = obj5;
                                                        str = str20;
                                                        str15 = str16;
                                                        i2++;
                                                        str16 = str15;
                                                        str29 = str17;
                                                        str18 = str2;
                                                        obj5 = obj;
                                                        str20 = str;
                                                    }
                                                } catch (Exception e18) {
                                                    e5 = e18;
                                                    try {
                                                        e5.printStackTrace();
                                                        if (obj8 == null) {
                                                        }
                                                        str2 = str18;
                                                        obj = obj5;
                                                        str = str20;
                                                        str15 = str16;
                                                        if (obj8 == null) {
                                                        }
                                                        if (i2 != split2.length - 1) {
                                                        }
                                                    } catch (NoSuchFieldException e19) {
                                                        e2 = e19;
                                                        str2 = str18;
                                                        obj = obj5;
                                                        str8 = str20;
                                                        str9 = str16;
                                                        attr = attr3;
                                                        str5 = str21;
                                                        str29 = str17;
                                                        str6 = str11;
                                                        str7 = str10;
                                                        e2.printStackTrace();
                                                        setError(str28, 2);
                                                        hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                        hashMap6.put(str9, this.viewId);
                                                        hashMap6.put(str7, str29 + ": no such field ");
                                                        hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                                        hashMap6.put(str5, attr.express);
                                                        if (hashMap6.size() > 0) {
                                                        }
                                                        str24 = str7;
                                                        str21 = str5;
                                                        str22 = str22;
                                                        str19 = str3;
                                                        obj4 = obj;
                                                        str25 = str9;
                                                        str20 = str8;
                                                        str26 = str4;
                                                        hashMap5 = hashMap;
                                                        str23 = str6;
                                                        str18 = str2;
                                                    } catch (IllegalAccessException e20) {
                                                        e3 = e20;
                                                        str2 = str18;
                                                        obj = obj5;
                                                        str8 = str20;
                                                        str9 = str16;
                                                        attr2 = attr3;
                                                        str5 = str21;
                                                        str29 = str17;
                                                        str6 = str11;
                                                        str7 = str10;
                                                        e3.printStackTrace();
                                                        setError(str28, 3);
                                                        hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                        hashMap6.put(str9, this.viewId);
                                                        hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                                        hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                        hashMap6.put(str5, attr2.express);
                                                        if (hashMap6.size() > 0) {
                                                        }
                                                        str24 = str7;
                                                        str21 = str5;
                                                        str22 = str22;
                                                        str19 = str3;
                                                        obj4 = obj;
                                                        str25 = str9;
                                                        str20 = str8;
                                                        str26 = str4;
                                                        hashMap5 = hashMap;
                                                        str23 = str6;
                                                        str18 = str2;
                                                    } catch (Exception e21) {
                                                        e4 = e21;
                                                        str2 = str18;
                                                        obj = obj5;
                                                        str = str20;
                                                        str12 = str16;
                                                        str29 = str17;
                                                        e4.printStackTrace();
                                                        setError(str28, 3);
                                                        hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                        str9 = str12;
                                                        hashMap6.put(str9, this.viewId);
                                                        StringBuilder sb222 = new StringBuilder();
                                                        sb222.append(str29);
                                                        str8 = str;
                                                        sb222.append(str8);
                                                        sb222.append(e4.getMessage());
                                                        str7 = str10;
                                                        hashMap6.put(str7, sb222.toString());
                                                        str6 = str11;
                                                        hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                        str5 = str21;
                                                        hashMap6.put(str5, attr3.express);
                                                        if (hashMap6.size() > 0) {
                                                        }
                                                        str24 = str7;
                                                        str21 = str5;
                                                        str22 = str22;
                                                        str19 = str3;
                                                        obj4 = obj;
                                                        str25 = str9;
                                                        str20 = str8;
                                                        str26 = str4;
                                                        hashMap5 = hashMap;
                                                        str23 = str6;
                                                        str18 = str2;
                                                    }
                                                }
                                            } catch (Exception e22) {
                                                e5 = e22;
                                                str17 = str29;
                                                e5.printStackTrace();
                                                if (obj8 == null) {
                                                }
                                                str2 = str18;
                                                obj = obj5;
                                                str = str20;
                                                str15 = str16;
                                                if (obj8 == null) {
                                                }
                                                if (i2 != split2.length - 1) {
                                                }
                                            }
                                        } else {
                                            str17 = str29;
                                            obj8 = i.a(obj7, str31);
                                        }
                                        if (obj8 == null || !str31.contains(str18)) {
                                            str2 = str18;
                                            obj = obj5;
                                            str = str20;
                                            str15 = str16;
                                        } else {
                                            String[] split3 = str31.split(str18);
                                            str2 = str18;
                                            str12 = null;
                                            try {
                                                StringBuilder sb3 = new StringBuilder(split3[0]);
                                                obj = obj5;
                                                int i3 = 1;
                                                while (i3 < split3.length) {
                                                    try {
                                                        String str32 = split3[i3];
                                                        if (TextUtils.isEmpty(str32)) {
                                                            strArr = split3;
                                                            str = str20;
                                                        } else {
                                                            strArr = split3;
                                                            str = str20;
                                                            if (str32.length() == 1) {
                                                                try {
                                                                    sb3.append(str32.toUpperCase());
                                                                } catch (NoSuchFieldException e23) {
                                                                    e2 = e23;
                                                                    str9 = str16;
                                                                    attr = attr3;
                                                                    str5 = str21;
                                                                } catch (IllegalAccessException e24) {
                                                                    e3 = e24;
                                                                    str9 = str16;
                                                                    attr2 = attr3;
                                                                    str5 = str21;
                                                                    str29 = str17;
                                                                    str6 = str11;
                                                                    str7 = str10;
                                                                    str8 = str;
                                                                    e3.printStackTrace();
                                                                    setError(str28, 3);
                                                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                                    hashMap6.put(str9, this.viewId);
                                                                    hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                                    hashMap6.put(str5, attr2.express);
                                                                    if (hashMap6.size() > 0) {
                                                                    }
                                                                    str24 = str7;
                                                                    str21 = str5;
                                                                    str22 = str22;
                                                                    str19 = str3;
                                                                    obj4 = obj;
                                                                    str25 = str9;
                                                                    str20 = str8;
                                                                    str26 = str4;
                                                                    hashMap5 = hashMap;
                                                                    str23 = str6;
                                                                    str18 = str2;
                                                                } catch (Exception e25) {
                                                                    e4 = e25;
                                                                    str12 = str16;
                                                                    str29 = str17;
                                                                    e4.printStackTrace();
                                                                    setError(str28, 3);
                                                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                                    str9 = str12;
                                                                    hashMap6.put(str9, this.viewId);
                                                                    StringBuilder sb2222 = new StringBuilder();
                                                                    sb2222.append(str29);
                                                                    str8 = str;
                                                                    sb2222.append(str8);
                                                                    sb2222.append(e4.getMessage());
                                                                    str7 = str10;
                                                                    hashMap6.put(str7, sb2222.toString());
                                                                    str6 = str11;
                                                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                                    str5 = str21;
                                                                    hashMap6.put(str5, attr3.express);
                                                                    if (hashMap6.size() > 0) {
                                                                    }
                                                                    str24 = str7;
                                                                    str21 = str5;
                                                                    str22 = str22;
                                                                    str19 = str3;
                                                                    obj4 = obj;
                                                                    str25 = str9;
                                                                    str20 = str8;
                                                                    str26 = str4;
                                                                    hashMap5 = hashMap;
                                                                    str23 = str6;
                                                                    str18 = str2;
                                                                }
                                                            } else {
                                                                str12 = str16;
                                                                try {
                                                                    sb3.append(str32.substring(0, 1).toUpperCase());
                                                                    sb3.append(str32.substring(1));
                                                                    i3++;
                                                                    str16 = str12;
                                                                    split3 = strArr;
                                                                    str20 = str;
                                                                } catch (NoSuchFieldException e26) {
                                                                    e2 = e26;
                                                                    attr = attr3;
                                                                    str5 = str21;
                                                                    str9 = str12;
                                                                    str29 = str17;
                                                                    str6 = str11;
                                                                    str7 = str10;
                                                                    str8 = str;
                                                                    e2.printStackTrace();
                                                                    setError(str28, 2);
                                                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                                    hashMap6.put(str9, this.viewId);
                                                                    hashMap6.put(str7, str29 + ": no such field ");
                                                                    hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                                                    hashMap6.put(str5, attr.express);
                                                                    if (hashMap6.size() > 0) {
                                                                    }
                                                                    str24 = str7;
                                                                    str21 = str5;
                                                                    str22 = str22;
                                                                    str19 = str3;
                                                                    obj4 = obj;
                                                                    str25 = str9;
                                                                    str20 = str8;
                                                                    str26 = str4;
                                                                    hashMap5 = hashMap;
                                                                    str23 = str6;
                                                                    str18 = str2;
                                                                } catch (IllegalAccessException e27) {
                                                                    e3 = e27;
                                                                    attr2 = attr3;
                                                                    str5 = str21;
                                                                    str9 = str12;
                                                                    str29 = str17;
                                                                    str6 = str11;
                                                                    str7 = str10;
                                                                    str8 = str;
                                                                    e3.printStackTrace();
                                                                    setError(str28, 3);
                                                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                                    hashMap6.put(str9, this.viewId);
                                                                    hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                                    hashMap6.put(str5, attr2.express);
                                                                    if (hashMap6.size() > 0) {
                                                                    }
                                                                    str24 = str7;
                                                                    str21 = str5;
                                                                    str22 = str22;
                                                                    str19 = str3;
                                                                    obj4 = obj;
                                                                    str25 = str9;
                                                                    str20 = str8;
                                                                    str26 = str4;
                                                                    hashMap5 = hashMap;
                                                                    str23 = str6;
                                                                    str18 = str2;
                                                                } catch (Exception e28) {
                                                                    e4 = e28;
                                                                    str29 = str17;
                                                                    e4.printStackTrace();
                                                                    setError(str28, 3);
                                                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                                    str9 = str12;
                                                                    hashMap6.put(str9, this.viewId);
                                                                    StringBuilder sb22222 = new StringBuilder();
                                                                    sb22222.append(str29);
                                                                    str8 = str;
                                                                    sb22222.append(str8);
                                                                    sb22222.append(e4.getMessage());
                                                                    str7 = str10;
                                                                    hashMap6.put(str7, sb22222.toString());
                                                                    str6 = str11;
                                                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                                    str5 = str21;
                                                                    hashMap6.put(str5, attr3.express);
                                                                    if (hashMap6.size() > 0) {
                                                                    }
                                                                    str24 = str7;
                                                                    str21 = str5;
                                                                    str22 = str22;
                                                                    str19 = str3;
                                                                    obj4 = obj;
                                                                    str25 = str9;
                                                                    str20 = str8;
                                                                    str26 = str4;
                                                                    hashMap5 = hashMap;
                                                                    str23 = str6;
                                                                    str18 = str2;
                                                                }
                                                            }
                                                        }
                                                        str12 = str16;
                                                        i3++;
                                                        str16 = str12;
                                                        split3 = strArr;
                                                        str20 = str;
                                                    } catch (NoSuchFieldException e29) {
                                                        e2 = e29;
                                                        str8 = str20;
                                                        str9 = str16;
                                                        attr = attr3;
                                                        str5 = str21;
                                                        str29 = str17;
                                                        str6 = str11;
                                                        str7 = str10;
                                                        e2.printStackTrace();
                                                        setError(str28, 2);
                                                        hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                        hashMap6.put(str9, this.viewId);
                                                        hashMap6.put(str7, str29 + ": no such field ");
                                                        hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                                        hashMap6.put(str5, attr.express);
                                                        if (hashMap6.size() > 0) {
                                                        }
                                                        str24 = str7;
                                                        str21 = str5;
                                                        str22 = str22;
                                                        str19 = str3;
                                                        obj4 = obj;
                                                        str25 = str9;
                                                        str20 = str8;
                                                        str26 = str4;
                                                        hashMap5 = hashMap;
                                                        str23 = str6;
                                                        str18 = str2;
                                                    } catch (IllegalAccessException e30) {
                                                        e3 = e30;
                                                        str8 = str20;
                                                        str9 = str16;
                                                        attr2 = attr3;
                                                        str5 = str21;
                                                        str29 = str17;
                                                        str6 = str11;
                                                        str7 = str10;
                                                        e3.printStackTrace();
                                                        setError(str28, 3);
                                                        hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                        hashMap6.put(str9, this.viewId);
                                                        hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                                        hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                        hashMap6.put(str5, attr2.express);
                                                        if (hashMap6.size() > 0) {
                                                        }
                                                        str24 = str7;
                                                        str21 = str5;
                                                        str22 = str22;
                                                        str19 = str3;
                                                        obj4 = obj;
                                                        str25 = str9;
                                                        str20 = str8;
                                                        str26 = str4;
                                                        hashMap5 = hashMap;
                                                        str23 = str6;
                                                        str18 = str2;
                                                    } catch (Exception e31) {
                                                        e4 = e31;
                                                        str = str20;
                                                        str12 = str16;
                                                        str29 = str17;
                                                        e4.printStackTrace();
                                                        setError(str28, 3);
                                                        hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                        str9 = str12;
                                                        hashMap6.put(str9, this.viewId);
                                                        StringBuilder sb222222 = new StringBuilder();
                                                        sb222222.append(str29);
                                                        str8 = str;
                                                        sb222222.append(str8);
                                                        sb222222.append(e4.getMessage());
                                                        str7 = str10;
                                                        hashMap6.put(str7, sb222222.toString());
                                                        str6 = str11;
                                                        hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                        str5 = str21;
                                                        hashMap6.put(str5, attr3.express);
                                                        if (hashMap6.size() > 0) {
                                                        }
                                                        str24 = str7;
                                                        str21 = str5;
                                                        str22 = str22;
                                                        str19 = str3;
                                                        obj4 = obj;
                                                        str25 = str9;
                                                        str20 = str8;
                                                        str26 = str4;
                                                        hashMap5 = hashMap;
                                                        str23 = str6;
                                                        str18 = str2;
                                                    }
                                                }
                                                str = str20;
                                                str15 = str16;
                                                obj8 = i.a(obj7, sb3.toString());
                                            } catch (NoSuchFieldException e32) {
                                                e2 = e32;
                                                obj = obj5;
                                                str8 = str20;
                                                str9 = str16;
                                                attr = attr3;
                                                str5 = str21;
                                                str29 = str17;
                                                str6 = str11;
                                                str7 = str10;
                                                e2.printStackTrace();
                                                setError(str28, 2);
                                                hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                hashMap6.put(str9, this.viewId);
                                                hashMap6.put(str7, str29 + ": no such field ");
                                                hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                                hashMap6.put(str5, attr.express);
                                                if (hashMap6.size() > 0) {
                                                }
                                                str24 = str7;
                                                str21 = str5;
                                                str22 = str22;
                                                str19 = str3;
                                                obj4 = obj;
                                                str25 = str9;
                                                str20 = str8;
                                                str26 = str4;
                                                hashMap5 = hashMap;
                                                str23 = str6;
                                                str18 = str2;
                                            } catch (IllegalAccessException e33) {
                                                e3 = e33;
                                                obj = obj5;
                                                str8 = str20;
                                                str9 = str16;
                                                attr2 = attr3;
                                                str5 = str21;
                                                str29 = str17;
                                                str6 = str11;
                                                str7 = str10;
                                                e3.printStackTrace();
                                                setError(str28, 3);
                                                hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                hashMap6.put(str9, this.viewId);
                                                hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                                hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                hashMap6.put(str5, attr2.express);
                                                if (hashMap6.size() > 0) {
                                                }
                                                str24 = str7;
                                                str21 = str5;
                                                str22 = str22;
                                                str19 = str3;
                                                obj4 = obj;
                                                str25 = str9;
                                                str20 = str8;
                                                str26 = str4;
                                                hashMap5 = hashMap;
                                                str23 = str6;
                                                str18 = str2;
                                            } catch (Exception e34) {
                                                e4 = e34;
                                                obj = obj5;
                                                str = str20;
                                                str12 = str16;
                                                str29 = str17;
                                                e4.printStackTrace();
                                                setError(str28, 3);
                                                hashMap6.put(str4, Integer.valueOf(this.metaId));
                                                str9 = str12;
                                                hashMap6.put(str9, this.viewId);
                                                StringBuilder sb2222222 = new StringBuilder();
                                                sb2222222.append(str29);
                                                str8 = str;
                                                sb2222222.append(str8);
                                                sb2222222.append(e4.getMessage());
                                                str7 = str10;
                                                hashMap6.put(str7, sb2222222.toString());
                                                str6 = str11;
                                                hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                                str5 = str21;
                                                hashMap6.put(str5, attr3.express);
                                                if (hashMap6.size() > 0) {
                                                }
                                                str24 = str7;
                                                str21 = str5;
                                                str22 = str22;
                                                str19 = str3;
                                                obj4 = obj;
                                                str25 = str9;
                                                str20 = str8;
                                                str26 = str4;
                                                hashMap5 = hashMap;
                                                str23 = str6;
                                                str18 = str2;
                                            }
                                        }
                                        if (obj8 == null) {
                                            obj8 = i.b(obj7, str31);
                                        }
                                        if (i2 != split2.length - 1) {
                                            if (obj8 != null) {
                                                obj7 = obj8;
                                            }
                                            i2++;
                                            str16 = str15;
                                            str29 = str17;
                                            str18 = str2;
                                            obj5 = obj;
                                            str20 = str;
                                        } else if (!TextUtils.equals(str28, "position") || ((!TextUtils.equals(str31, "index") && !TextUtils.equals(str31, "position")) || (obj8 != null && !TextUtils.equals(String.valueOf(obj8), "0")))) {
                                            hashMap.put(str28, checkValueType(obj8, str28, this.error));
                                        } else {
                                            hashMap.put(str28, "" + this.specialProperty.index);
                                        }
                                    }
                                } catch (NoSuchFieldException e35) {
                                    e2 = e35;
                                    hashMap = hashMap;
                                    str2 = str18;
                                    obj = obj5;
                                    str8 = str20;
                                    str9 = str16;
                                    attr = attr3;
                                    str5 = str21;
                                    str6 = str11;
                                    str7 = str10;
                                    e2.printStackTrace();
                                    setError(str28, 2);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    hashMap6.put(str9, this.viewId);
                                    hashMap6.put(str7, str29 + ": no such field ");
                                    hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                                    hashMap6.put(str5, attr.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                } catch (IllegalAccessException e36) {
                                    e3 = e36;
                                    hashMap = hashMap;
                                    str2 = str18;
                                    obj = obj5;
                                    str8 = str20;
                                    str9 = str16;
                                    attr2 = attr3;
                                    str5 = str21;
                                    str6 = str11;
                                    str7 = str10;
                                    e3.printStackTrace();
                                    setError(str28, 3);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    hashMap6.put(str9, this.viewId);
                                    hashMap6.put(str7, str29 + str8 + e3.getMessage());
                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                    hashMap6.put(str5, attr2.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                } catch (Exception e37) {
                                    e4 = e37;
                                    hashMap = hashMap;
                                    str2 = str18;
                                    obj = obj5;
                                    str = str20;
                                    str12 = str16;
                                    e4.printStackTrace();
                                    setError(str28, 3);
                                    hashMap6.put(str4, Integer.valueOf(this.metaId));
                                    str9 = str12;
                                    hashMap6.put(str9, this.viewId);
                                    StringBuilder sb22222222 = new StringBuilder();
                                    sb22222222.append(str29);
                                    str8 = str;
                                    sb22222222.append(str8);
                                    sb22222222.append(e4.getMessage());
                                    str7 = str10;
                                    hashMap6.put(str7, sb22222222.toString());
                                    str6 = str11;
                                    hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                                    str5 = str21;
                                    hashMap6.put(str5, attr3.express);
                                    if (hashMap6.size() > 0) {
                                    }
                                    str24 = str7;
                                    str21 = str5;
                                    str22 = str22;
                                    str19 = str3;
                                    obj4 = obj;
                                    str25 = str9;
                                    str20 = str8;
                                    str26 = str4;
                                    hashMap5 = hashMap;
                                    str23 = str6;
                                    str18 = str2;
                                }
                            }
                        } catch (NoSuchFieldException e38) {
                            e2 = e38;
                            str2 = str18;
                            obj = obj5;
                            str28 = str28;
                            hashMap = hashMap2;
                            str8 = str20;
                            str9 = str16;
                            attr = attr3;
                            str5 = str21;
                            str6 = str11;
                            str7 = str10;
                            e2.printStackTrace();
                            setError(str28, 2);
                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                            hashMap6.put(str9, this.viewId);
                            hashMap6.put(str7, str29 + ": no such field ");
                            hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                            hashMap6.put(str5, attr.express);
                            if (hashMap6.size() > 0) {
                            }
                            str24 = str7;
                            str21 = str5;
                            str22 = str22;
                            str19 = str3;
                            obj4 = obj;
                            str25 = str9;
                            str20 = str8;
                            str26 = str4;
                            hashMap5 = hashMap;
                            str23 = str6;
                            str18 = str2;
                        } catch (IllegalAccessException e39) {
                            e3 = e39;
                            str2 = str18;
                            obj = obj5;
                            str28 = str28;
                            hashMap = hashMap2;
                            str8 = str20;
                            str9 = str16;
                            attr2 = attr3;
                            str5 = str21;
                            str6 = str11;
                            str7 = str10;
                            e3.printStackTrace();
                            setError(str28, 3);
                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                            hashMap6.put(str9, this.viewId);
                            hashMap6.put(str7, str29 + str8 + e3.getMessage());
                            hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                            hashMap6.put(str5, attr2.express);
                            if (hashMap6.size() > 0) {
                            }
                            str24 = str7;
                            str21 = str5;
                            str22 = str22;
                            str19 = str3;
                            obj4 = obj;
                            str25 = str9;
                            str20 = str8;
                            str26 = str4;
                            hashMap5 = hashMap;
                            str23 = str6;
                            str18 = str2;
                        } catch (Exception e40) {
                            e4 = e40;
                            str2 = str18;
                            obj = obj5;
                            str = str20;
                            str28 = str28;
                            hashMap = hashMap2;
                            str12 = str16;
                            e4.printStackTrace();
                            setError(str28, 3);
                            hashMap6.put(str4, Integer.valueOf(this.metaId));
                            str9 = str12;
                            hashMap6.put(str9, this.viewId);
                            StringBuilder sb222222222 = new StringBuilder();
                            sb222222222.append(str29);
                            str8 = str;
                            sb222222222.append(str8);
                            sb222222222.append(e4.getMessage());
                            str7 = str10;
                            hashMap6.put(str7, sb222222222.toString());
                            str6 = str11;
                            hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                            str5 = str21;
                            hashMap6.put(str5, attr3.express);
                            if (hashMap6.size() > 0) {
                            }
                            str24 = str7;
                            str21 = str5;
                            str22 = str22;
                            str19 = str3;
                            obj4 = obj;
                            str25 = str9;
                            str20 = str8;
                            str26 = str4;
                            hashMap5 = hashMap;
                            str23 = str6;
                            str18 = str2;
                        }
                    }
                    str5 = str21;
                    str9 = str15;
                    str6 = str11;
                    str7 = str10;
                    str8 = str;
                    if (hashMap6.size() > 0) {
                        m.v().a(hashMap6);
                    }
                    str24 = str7;
                    str21 = str5;
                    str22 = str22;
                    str19 = str3;
                    obj4 = obj;
                    str25 = str9;
                    str20 = str8;
                    str26 = str4;
                    hashMap5 = hashMap;
                    str23 = str6;
                    str18 = str2;
                } else if (next != 0 && !TextUtils.isEmpty(next.express)) {
                    if (this.eventType == 1 || this.eventType == 0 || this.eventType == 3) {
                        saveSrcModule(next);
                    }
                    hashMap5.put(next.name, next.express);
                }
                obj4 = obj4;
                str22 = str22;
                str21 = str21;
            } catch (NoSuchFieldException e41) {
                e2 = e41;
                str2 = str18;
                str3 = str19;
                str13 = str23;
                obj = obj4;
                hashMap = hashMap5;
                str4 = str26;
                str9 = str25;
                str8 = str20;
                str7 = str24;
                attr = next;
                str5 = str21;
                str6 = str13;
                e2.printStackTrace();
                setError(str28, 2);
                hashMap6.put(str4, Integer.valueOf(this.metaId));
                hashMap6.put(str9, this.viewId);
                hashMap6.put(str7, str29 + ": no such field ");
                hashMap6.put(str6, obj != null ? obj.getClass().getSimpleName() : str22);
                hashMap6.put(str5, attr.express);
                if (hashMap6.size() > 0) {
                }
                str24 = str7;
                str21 = str5;
                str22 = str22;
                str19 = str3;
                obj4 = obj;
                str25 = str9;
                str20 = str8;
                str26 = str4;
                hashMap5 = hashMap;
                str23 = str6;
                str18 = str2;
            } catch (IllegalAccessException e42) {
                e3 = e42;
                str2 = str18;
                str3 = str19;
                str14 = str23;
                obj = obj4;
                hashMap = hashMap5;
                str4 = str26;
                str9 = str25;
                str8 = str20;
                str7 = str24;
                attr2 = next;
                str5 = str21;
                str6 = str14;
                e3.printStackTrace();
                setError(str28, 3);
                hashMap6.put(str4, Integer.valueOf(this.metaId));
                hashMap6.put(str9, this.viewId);
                hashMap6.put(str7, str29 + str8 + e3.getMessage());
                hashMap6.put(str6, obj == null ? obj.getClass().getSimpleName() : str22);
                hashMap6.put(str5, attr2.express);
                if (hashMap6.size() > 0) {
                }
                str24 = str7;
                str21 = str5;
                str22 = str22;
                str19 = str3;
                obj4 = obj;
                str25 = str9;
                str20 = str8;
                str26 = str4;
                hashMap5 = hashMap;
                str23 = str6;
                str18 = str2;
            } catch (Exception e43) {
            }
        }
        return hashMap5;
    }

    private void partCloneExposureEvent(ConfigModel.ExposureEvent exposureEvent2, ConfigModel.ExposureEvent exposureEvent3) {
        exposureEvent3.name = exposureEvent2.name;
        exposureEvent3.eventType = exposureEvent2.eventType;
        exposureEvent3.desc = exposureEvent2.desc;
    }

    private void partCloneTraceEvent(ConfigModel.TrackEvent trackEvent2, ConfigModel.TrackEvent trackEvent3) {
        trackEvent3.desc = trackEvent2.desc;
        trackEvent3.name = trackEvent2.name;
        trackEvent3.type = trackEvent2.type;
        trackEvent3.viewId = trackEvent2.viewId;
        trackEvent3.dataId = trackEvent2.dataId;
        trackEvent3.metaId = trackEvent2.metaId;
    }

    public static PageShowStack popByPageObjString(String str) {
        List<PageShowStack> list;
        if (!TextUtils.isEmpty(str) && (list = pageShowStacks) != null && list.size() > 0) {
            for (int size = pageShowStacks.size() - 1; size >= 0; size--) {
                PageShowStack pageShowStack = pageShowStacks.get(size);
                if (TextUtils.equals(pageShowStack.pageObjStringValue, str)) {
                    return pageShowStack;
                }
            }
        }
        return null;
    }

    public static PageShowStack popPageShowStack() {
        List<PageShowStack> list = pageShowStacks;
        if (list == null || list.size() <= 0) {
            return null;
        }
        List<PageShowStack> list2 = pageShowStacks;
        return list2.remove(list2.size() - 1);
    }

    public static boolean prePageIsNull() {
        return false;
    }

    public static void putPageShow(PageShowStack pageShowStack) {
        List<PageShowStack> list = pageShowStacks;
        if (list != null) {
            list.add(pageShowStack);
        }
    }

    public static void removePageShowInfo(String str) {
        pageShowInfoMap.remove(str);
    }

    public static void removeSrcModule(String str) {
        sSrcModuleMap.remove(str);
    }

    public static void saveCurrModule(String str) {
        if (!TextUtils.isEmpty(str)) {
            srcModule = new SrcModule("currModule", str);
        }
    }

    private void savePageShowEventForStayTime() {
        if (!TextUtils.isEmpty(this.pageObjStringValue)) {
            sPageStayTimeMap.put(this.pageObjStringValue, Long.valueOf(this.cpuTime));
        }
    }

    private static void saveSrcModule(ConfigModel.Attr attr) {
        srcModule = new SrcModule(attr.name, attr.express);
    }

    private void setError(String str, int i2) {
        ErrorInfo errorInfo = this.error;
        if (errorInfo != null) {
            errorInfo.putError(str, i2);
        }
    }

    public static void setExternalCurrPage(String str) {
        externalCurrPage = str;
    }

    public static void setExternalPrePageStr(String str) {
        externalPrePageStr = str;
    }

    public static void setPrePageNameWhenFromBack(String str) {
        PageShowStack popPageShowStack = popPageShowStack();
        if (popPageShowStack != null) {
            PageShowInfo pageShowInfo = pageShowInfoMap.get(popPageShowStack.getPageObjStringValue());
            if (pageShowInfo != null) {
                pageShowInfo.setPrePage(str);
                return;
            }
            popPageShowStack.setPageName(str);
            putPageShow(popPageShowStack);
        }
    }

    public static void setSrcModuleStr(String str) {
        if (str == null) {
            srcModule = null;
        } else {
            srcModule = new SrcModule("srcModule", str);
        }
    }

    private void updatePageShowNum() {
        PageShowInfo pageShowInfo;
        if (!TextUtils.isEmpty(this.pageObjStringValue) && (pageShowInfo = pageShowInfoMap.get(this.pageObjStringValue)) != null && this.error == null) {
            pageShowInfo.addShowNum();
        }
    }

    public void addDefaultProps(String str, String str2) {
        HashMap<String, String> hashMap;
        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2) && (hashMap = this.properties) != null) {
            hashMap.put(str, str2);
        }
    }

    public void addHeatMapIndex(String str) {
        SpecialProperty specialProperty2 = this.specialProperty;
        if (specialProperty2 != null) {
            specialProperty2.heatMapIndex = str;
        }
        this.heatMapIndex = str;
    }

    public void addProperties(Map<String, String> map) {
        if (map != null && !map.isEmpty()) {
            if (this.propsM == null) {
                this.propsM = new ArrayList();
            }
            this.propsM.add(new UploadEvent.PropsM(map));
        }
    }

    public void addViewIndex(String str) {
        SpecialProperty specialProperty2 = this.specialProperty;
        if (specialProperty2 != null) {
            specialProperty2.index = str;
        }
    }

    public long computePageStayTime(String str, long j2) {
        Long remove;
        if (!TextUtils.isEmpty(str) && (remove = sPageStayTimeMap.remove(str)) != null) {
            long longValue = remove.longValue();
            if (longValue > 0) {
                return (long) Math.ceil(((double) (j2 - longValue)) / 1000.0d);
            }
        }
        return 0;
    }

    public void createErrorInfo() {
        if (this.error == null) {
            this.error = new ErrorInfo();
        }
    }

    public void findAndParseDialogTraceEvent(ConfigDataModel configDataModel) {
        ConfigModel.TrackEvent findDialogTrace = findDialogTrace(configDataModel);
        if (findDialogTrace != null) {
            parseViewTraceData(findDialogTrace);
        }
    }

    public void findAndParseDialogViewEvent(ConfigDataModel configDataModel) {
        List<ConfigModel.DialogView> list = configDataModel.dialogs;
        if (!(list == null || list.size() == 0)) {
            for (ConfigModel.DialogView dialogView : configDataModel.dialogs) {
                if (dialogView.path.equals(this.dialogId) && dialogView.dialogExposure != null) {
                    ConfigModel.DialogExposure dialogExposure2 = new ConfigModel.DialogExposure();
                    ConfigModel.DialogExposure dialogExposure3 = dialogView.dialogExposure;
                    dialogExposure2.dataId = dialogExposure3.dataId;
                    dialogExposure2.metaId = dialogExposure3.metaId;
                    dialogExposure2.name = dialogExposure3.name;
                    this.metaId = dialogExposure2.metaId;
                    this.dialogExposure = dialogExposure2;
                    List<ConfigModel.Attr> list2 = dialogExposure3.exposureAttrs;
                    if (list2 != null && list2.size() > 0) {
                        checkCurrPageEvent();
                        this.attrs = dialogView.dialogExposure.exposureAttrs;
                        this.properties = (HashMap) parseTraceProperties(this.attrs);
                        return;
                    }
                    return;
                }
            }
        }
    }

    public boolean findAndParseScrollDepthsEvent() {
        ConfigModel.ScrollDepths a2 = ConfigDataModel.scrollDepthConfigs.a(this.wrapView, this.specialProperty);
        if (a2 == null) {
            return false;
        }
        this.metaId = a2.metaId;
        this.dataId = a2.dataId;
        this.serviceId = a2.name;
        this.attrs = a2.attrs;
        this.properties = (HashMap) parseTraceProperties(this.attrs);
        return true;
    }

    public void findAndParseScrollEvent() throws Exception {
        ConfigModel.TrackEvent findScrollEventConfig = findScrollEventConfig();
        if (findScrollEventConfig != null) {
            parseViewTraceData(findScrollEventConfig);
        }
    }

    public ConfigModel.ExposureEvent findPageConfig(ConfigDataModel configDataModel) {
        ConfigModel configModel;
        ConfigModel.ExposureEvent exposureEvent2;
        String str;
        if (ConfigDataModel.pageConfigModels.isEmpty()) {
            return null;
        }
        SpecialProperty specialProperty2 = this.specialProperty;
        if (specialProperty2 != null) {
            specialProperty2.lastPage = a.b();
        }
        if (!TextUtils.isEmpty(this.pageTitle)) {
            String b2 = i.b(this.pageId, this.pageTitle);
            configModel = ConfigDataModel.pageConfigModels.get(b2);
            if (configModel != null) {
                this.pageId = b2;
            }
        } else {
            configModel = null;
        }
        boolean z = false;
        if (configModel == null) {
            if (!TextUtils.isEmpty(this.pageId) && this.pageId.contains(":")) {
                this.pageId = this.pageId.split(":")[0];
            }
            configModel = ConfigDataModel.pageConfigModels.get(this.pageId);
        }
        if (configModel == null) {
            return null;
        }
        if (this.exposureEvent.eventType == 0) {
            exposureEvent2 = configModel.exposureEvent;
        } else {
            exposureEvent2 = configModel.departureEvent;
        }
        if (configModel.isCommon == 1) {
            z = true;
        }
        this.isCommonPage = z;
        this.pageName = configModel.pageName;
        StringBuilder sb = new StringBuilder();
        sb.append("寻找页面：\n");
        if (exposureEvent2 == null) {
            str = "没有找到相关的配置项 pageId: " + this.pageId;
        } else {
            str = exposureEvent2.toString();
        }
        sb.append(str);
        j.a("FindConfig", sb.toString());
        return exposureEvent2;
    }

    public boolean findPageEventConfigAndParseValue(ConfigDataModel configDataModel) throws Exception {
        ConfigModel.ExposureEvent findPageConfig = findPageConfig(configDataModel);
        if (findPageConfig == null) {
            return false;
        }
        parsePageTraceData(findPageConfig);
        return true;
    }

    public ConfigModel.TrackEvent findScrollEventConfig() throws Exception {
        if (TextUtils.isEmpty(this.scrollViewId) || TextUtils.isEmpty(this.pageId)) {
            return null;
        }
        return ConfigDataModel.pageScrollConfigs.a(this.wrapView, this.specialProperty);
    }

    public ConfigModel.TrackEvent findViewTraceConfig(ConfigDataModel configDataModel) {
        String str;
        if (configDataModel == null) {
            return null;
        }
        b.a<ConfigModel.TrackEvent> aVar = new b.a<>();
        ConfigModel.TrackEvent a2 = ConfigDataModel.trackEventConfigs.a(this.wrapView, this.specialProperty, aVar);
        StringBuilder sb = new StringBuilder();
        sb.append("寻找配置项：\n");
        if (a2 == null) {
            str = "没有找到相关的配置项 viewid: " + this.viewId;
        } else {
            str = a2.toString();
        }
        sb.append(str);
        j.a("FindConfig", sb.toString());
        this.pageName = aVar.f6287a;
        this.pageId = aVar.f6289c;
        this.viewId = aVar.f6288b;
        if (!TextUtils.isEmpty(this.pageName)) {
            setTriggerPage(this.pageName);
        }
        return a2;
    }

    public void findViewTraceConfigAndPackData(ConfigDataModel configDataModel) throws Exception {
        clearSrcModule();
        ConfigModel.TrackEvent findViewTraceConfig = findViewTraceConfig(configDataModel);
        if (findViewTraceConfig != null) {
            parseViewTraceData(findViewTraceConfig);
        }
    }

    public int getCid() {
        return this.cid;
    }

    public long getClientTime() {
        return this.clientTime;
    }

    public String getCurrPage() {
        return this.currPage;
    }

    public Object getData() {
        return this.data;
    }

    public AutoTraceHelper.IDataProvider getDataProvider() {
        WeakReference<AutoTraceHelper.IDataProvider> weakReference = this.dataProviderWeakReference;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    public ErrorInfo getError() {
        return this.error;
    }

    public int getEventType() {
        return this.eventType;
    }

    public boolean getIsCommonPage() {
        return this.isCommonPage;
    }

    public Object getPageAppendData() {
        return this.pageAppendData;
    }

    public Bundle getPageDataObj() {
        return this.pageDataObj;
    }

    public String getPageId() {
        return this.pageId;
    }

    public String getPageName() {
        return this.pageName;
    }

    public String getPageObjStringValue() {
        return this.pageObjStringValue;
    }

    public String getPageTitle() {
        return this.pageTitle;
    }

    public HashMap<String, String> getProperties() {
        return this.properties;
    }

    public long getSeq() {
        return this.seq;
    }

    public String getServiceId() {
        return this.serviceId;
    }

    public String getTriggerPage() {
        return this.triggerPage;
    }

    public String getViewId() {
        return this.viewId;
    }

    public boolean isInvalid() {
        return this.invalid;
    }

    public void parsePageTraceData() {
        SpecialProperty specialProperty2;
        if (this.exposureEvent.eventType == 0) {
            savePageShowEventForStayTime();
            updatePageShowNum();
            checkPageShowNum();
            if (!(this.properties == null || (specialProperty2 = this.specialProperty) == null || TextUtils.isEmpty(specialProperty2.pageShowNum))) {
                this.properties.put("pageShowNum", this.specialProperty.pageShowNum);
            }
        } else {
            this.specialProperty.currPage = this.pageName;
            long checkPageStayTime = checkPageStayTime();
            HashMap<String, String> hashMap = this.properties;
            if (hashMap != null) {
                hashMap.put("durationTime", "" + checkPageStayTime);
            }
            popByPageObjString(this.pageObjStringValue);
            if (checkPageStayTime <= 0) {
                this.invalid = true;
                return;
            }
        }
        SpecialProperty specialProperty3 = this.specialProperty;
        if (specialProperty3.currPage == null) {
            specialProperty3.currPage = this.pageName;
        }
        List<ConfigModel.GRes> list = ConfigModel.GRes.greses;
        if (list != null) {
            this.greses = list;
        }
    }

    public void parseViewTraceData(ConfigModel.TrackEvent trackEvent2) {
        this.attrs = trackEvent2.attrs;
        this.trackEvent = new ConfigModel.TrackEvent();
        this.metaId = trackEvent2.metaId;
        partCloneTraceEvent(trackEvent2, this.trackEvent);
        checkCurrPageEvent();
        List<ConfigModel.Attr> list = this.attrs;
        if (list != null && list.size() > 0) {
            this.properties = (HashMap) parseTraceProperties(this.attrs);
        }
        List<ConfigModel.GRes> list2 = trackEvent2.greses;
        if (list2 != null) {
            parseGSrc(true, list2);
            return;
        }
        List<ConfigModel.GRes> list3 = ConfigModel.GRes.greses;
        if (list3 != null) {
            this.greses = list3;
        }
    }

    public void parseWaitingPageEvent(ConfigModel.ExposureEvent exposureEvent2) {
        if (exposureEvent2 != null) {
            this.attrs = exposureEvent2.attrs;
            ConfigModel.ExposureEvent exposureEvent3 = this.exposureEvent;
            exposureEvent3.name = exposureEvent2.name;
            exposureEvent3.dataId = exposureEvent2.dataId;
            exposureEvent3.desc = exposureEvent2.desc;
            exposureEvent3.metaId = exposureEvent2.metaId;
            this.metaId = exposureEvent2.metaId;
            List<ConfigModel.Attr> list = this.attrs;
            if (list != null && list.size() > 0) {
                SpecialProperty specialProperty2 = this.specialProperty;
                if (specialProperty2.currPage == null) {
                    specialProperty2.currPage = this.pageName;
                }
                AutoTraceHelper.IDataProvider dataProvider = getDataProvider();
                if (this.pageAppendData == null && dataProvider != null) {
                    this.pageAppendData = dataProvider.getData();
                }
                this.exposureEvent.setNeedWaiting(false);
                this.properties = (HashMap) parsePageProperties(this.attrs);
            }
            List<ConfigModel.GRes> list2 = exposureEvent2.greses;
            if (list2 != null) {
                parseGSrc(false, list2);
                return;
            }
            List<ConfigModel.GRes> list3 = ConfigModel.GRes.greses;
            if (list3 != null) {
                this.greses = list3;
            }
        }
    }

    public void setCid(int i2) {
        this.cid = i2;
    }

    public void setClientTime(long j2) {
        this.clientTime = j2;
    }

    public void setCurrPage(String str) {
        this.currPage = str;
    }

    public void setData(Object obj) {
        this.data = obj;
    }

    public void setDataId(int i2) {
        this.dataId = i2;
    }

    public void setDataProvider(AutoTraceHelper.IDataProvider iDataProvider) {
        if (iDataProvider != null) {
            this.dataProviderWeakReference = new WeakReference<>(iDataProvider);
        }
    }

    public void setDialogData(Object obj) {
        this.dialogData = obj;
    }

    public void setPageAppendData(Object obj) {
        this.pageAppendData = obj;
    }

    public void setPageDataObj(Bundle bundle) {
        this.pageDataObj = bundle;
    }

    public void setPageId(String str) {
        this.pageId = str;
    }

    public void setPageName(String str) {
        this.pageName = str;
    }

    public void setProperties(HashMap<String, String> hashMap) {
        this.properties = hashMap;
    }

    public void setSeq(long j2) {
        this.seq = j2;
    }

    public void setServiceId(String str) {
        this.serviceId = str;
    }

    public void setTriggerPage(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.triggerPage = "" + str;
            return;
        }
        this.triggerPage = null;
    }

    public void setViewId(String str) {
        this.viewId = str;
    }

    public void setViewPath(String str) {
        this.viewPath = str;
    }

    public void setWrapViewData(i.a aVar) {
        this.wrapView = aVar;
    }

    public String toString() {
        return "eventType: " + this.eventType + " viewId: " + this.viewId + " pageId: " + this.pageId + " pageTitle: " + this.pageTitle + " pageName: " + this.pageName + " seq: " + this.seq;
    }

    private Event(long j2, String str, Bundle bundle, String str2, String str3, String str4, String str5, String str6, String str7, Object obj, SpecialProperty specialProperty2, int i2, long j3) {
        this.pageObjStringValue = str;
        this.pageDataObj = bundle;
        this.pageName = str2;
        this.pageId = str3;
        this.pageTitle = str4;
        this.appendPageId = str5;
        this.viewId = str6;
        this.scrollViewId = str7;
        this.data = obj;
        this.eventType = i2;
        this.properties = new HashMap<>();
        this.clientTime = j2;
        if (j2 <= 0) {
            this.clientTime = d.h.b.a.d.a.c();
        }
        this.cpuTime = SystemClock.elapsedRealtime();
        this.attrs = null;
        this.seq = j3;
        if (specialProperty2 == null) {
            this.specialProperty = new SpecialProperty();
        } else {
            this.specialProperty = specialProperty2;
        }
        String str8 = this.specialProperty.exploreType;
        if (str8 != null && i2 == 2) {
            this.properties.put("exploreType", str8);
        }
        if (obj instanceof String) {
            HashMap hashMap = new HashMap();
            hashMap.put("property", (String) obj);
            this.data = hashMap;
        }
        initPageData();
    }

    public void parsePageTraceData(ConfigModel.ExposureEvent exposureEvent2) {
        Event event;
        PageShowStack topPage;
        if (exposureEvent2 != null) {
            this.attrs = exposureEvent2.attrs;
            ConfigModel.ExposureEvent exposureEvent3 = this.exposureEvent;
            exposureEvent3.name = exposureEvent2.name;
            exposureEvent3.dataId = exposureEvent2.dataId;
            exposureEvent3.desc = exposureEvent2.desc;
            exposureEvent3.metaId = exposureEvent2.metaId;
            this.metaId = exposureEvent2.metaId;
            if (exposureEvent3.eventType == 0) {
                currPageEvent = new CachePageEvent(this.clientTime, this);
                externalCurrPage = null;
                checkSrcModule();
                savePageShowEventForStayTime();
                checkPrePageLeftEvent(getTopPage());
                updatePageShowNum();
                checkPageShowNum();
                putPageShow(new PageShowStack(this.pageObjStringValue, this.pageName, this.pageId, PageShowStack.PageState.PAGE_SHOWING, this.clientTime));
                checkCurrPageEvent();
            } else {
                this.specialProperty.currPage = this.pageName;
                long checkPageStayTime = checkPageStayTime();
                popByPageObjString(this.pageObjStringValue);
                if (checkPageStayTime <= 0) {
                    this.invalid = true;
                    return;
                }
                CachePageEvent cachePageEvent = currPageEvent;
                if (!(cachePageEvent == null || (event = cachePageEvent.pageEvent) == null || !TextUtils.equals(event.pageObjStringValue, this.pageObjStringValue) || (topPage = getTopPage()) == null)) {
                    Event event2 = new Event();
                    event2.pageObjStringValue = topPage.pageObjStringValue;
                    event2.pageName = topPage.pageName;
                    event2.pageId = topPage.pageClassName;
                    currPageEvent = new CachePageEvent(topPage.showTime, event2);
                }
            }
            List<ConfigModel.Attr> list = this.attrs;
            if (list != null && list.size() > 0) {
                SpecialProperty specialProperty2 = this.specialProperty;
                if (specialProperty2.currPage == null) {
                    specialProperty2.currPage = this.pageName;
                }
                AutoTraceHelper.IDataProvider dataProvider = getDataProvider();
                if (this.pageAppendData != null || dataProvider == null) {
                    this.exposureEvent.setNeedWaiting(false);
                } else {
                    this.pageAppendData = dataProvider.getData();
                    if (this.pageAppendData == null) {
                        this.exposureEvent.setNeedWaiting(true);
                        return;
                    }
                    this.exposureEvent.setNeedWaiting(false);
                }
                this.properties = (HashMap) parsePageProperties(this.attrs);
            }
            List<ConfigModel.GRes> list2 = exposureEvent2.greses;
            if (list2 != null) {
                parseGSrc(false, list2);
                return;
            }
            List<ConfigModel.GRes> list3 = ConfigModel.GRes.greses;
            if (list3 != null) {
                this.greses = list3;
            }
        }
    }
}
