package org.lucasr.twowayview.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.util.AttributeSet;
import androidx.recyclerview.widget.RecyclerView;
import com.ximalaya.ting.android.carkids.R$styleable;

public class SpacingItemDecoration extends RecyclerView.n {
    private final ItemSpacingOffsets mItemSpacing;

    public SpacingItemDecoration(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.n
    public void getItemOffsets(Rect rect, int i2, RecyclerView recyclerView) {
        this.mItemSpacing.getItemOffsets(rect, i2, recyclerView);
    }

    public SpacingItemDecoration(Context context, AttributeSet attributeSet, int i2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.twowayview_SpacingItemDecoration, i2, 0);
        int max = Math.max(0, obtainStyledAttributes.getInt(1, 0));
        int max2 = Math.max(0, obtainStyledAttributes.getInt(0, 0));
        obtainStyledAttributes.recycle();
        this.mItemSpacing = new ItemSpacingOffsets(max, max2);
    }

    public SpacingItemDecoration(int i2, int i3) {
        this.mItemSpacing = new ItemSpacingOffsets(i2, i3);
    }
}
