package a.g.d.c;

import a.g.c;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.LinearGradient;
import android.graphics.RadialGradient;
import android.graphics.Shader;
import android.graphics.SweepGradient;
import android.util.AttributeSet;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: GradientColorInflaterCompat */
final class d {
    static Shader a(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws IOException, XmlPullParserException {
        String name = xmlPullParser.getName();
        if (name.equals("gradient")) {
            TypedArray a2 = g.a(resources, theme, attributeSet, c.GradientColor);
            float a3 = g.a(a2, xmlPullParser, "startX", c.GradientColor_android_startX, 0.0f);
            float a4 = g.a(a2, xmlPullParser, "startY", c.GradientColor_android_startY, 0.0f);
            float a5 = g.a(a2, xmlPullParser, "endX", c.GradientColor_android_endX, 0.0f);
            float a6 = g.a(a2, xmlPullParser, "endY", c.GradientColor_android_endY, 0.0f);
            float a7 = g.a(a2, xmlPullParser, "centerX", c.GradientColor_android_centerX, 0.0f);
            float a8 = g.a(a2, xmlPullParser, "centerY", c.GradientColor_android_centerY, 0.0f);
            int b2 = g.b(a2, xmlPullParser, "type", c.GradientColor_android_type, 0);
            int a9 = g.a(a2, xmlPullParser, "startColor", c.GradientColor_android_startColor, 0);
            boolean a10 = g.a(xmlPullParser, "centerColor");
            int a11 = g.a(a2, xmlPullParser, "centerColor", c.GradientColor_android_centerColor, 0);
            int a12 = g.a(a2, xmlPullParser, "endColor", c.GradientColor_android_endColor, 0);
            int b3 = g.b(a2, xmlPullParser, "tileMode", c.GradientColor_android_tileMode, 0);
            float a13 = g.a(a2, xmlPullParser, "gradientRadius", c.GradientColor_android_gradientRadius, 0.0f);
            a2.recycle();
            a a14 = a(b(resources, xmlPullParser, attributeSet, theme), a9, a12, a10, a11);
            if (b2 != 1) {
                if (b2 != 2) {
                    return new LinearGradient(a3, a4, a5, a6, a14.f320a, a14.f321b, a(b3));
                }
                return new SweepGradient(a7, a8, a14.f320a, a14.f321b);
            } else if (a13 > 0.0f) {
                return new RadialGradient(a7, a8, a13, a14.f320a, a14.f321b, a(b3));
            } else {
                throw new XmlPullParserException("<gradient> tag requires 'gradientRadius' attribute with radial type");
            }
        } else {
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid gradient color tag " + name);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0084, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(r9.getPositionDescription() + ": <item> tag requires a 'color' attribute and a 'offset' attribute!");
     */
    private static a b(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        int depth;
        int depth2 = xmlPullParser.getDepth() + 1;
        ArrayList arrayList = new ArrayList(20);
        ArrayList arrayList2 = new ArrayList(20);
        while (true) {
            int next = xmlPullParser.next();
            if (next != 1 && ((depth = xmlPullParser.getDepth()) >= depth2 || next != 3)) {
                if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                    TypedArray a2 = g.a(resources, theme, attributeSet, c.GradientColorItem);
                    boolean hasValue = a2.hasValue(c.GradientColorItem_android_color);
                    boolean hasValue2 = a2.hasValue(c.GradientColorItem_android_offset);
                    if (!hasValue || !hasValue2) {
                    } else {
                        int color = a2.getColor(c.GradientColorItem_android_color, 0);
                        float f2 = a2.getFloat(c.GradientColorItem_android_offset, 0.0f);
                        a2.recycle();
                        arrayList2.add(Integer.valueOf(color));
                        arrayList.add(Float.valueOf(f2));
                    }
                }
            }
        }
        if (arrayList2.size() > 0) {
            return new a(arrayList2, arrayList);
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: GradientColorInflaterCompat */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        final int[] f320a;

        /* renamed from: b  reason: collision with root package name */
        final float[] f321b;

        a(List<Integer> list, List<Float> list2) {
            int size = list.size();
            this.f320a = new int[size];
            this.f321b = new float[size];
            for (int i2 = 0; i2 < size; i2++) {
                this.f320a[i2] = list.get(i2).intValue();
                this.f321b[i2] = list2.get(i2).floatValue();
            }
        }

        a(int i2, int i3) {
            this.f320a = new int[]{i2, i3};
            this.f321b = new float[]{0.0f, 1.0f};
        }

        a(int i2, int i3, int i4) {
            this.f320a = new int[]{i2, i3, i4};
            this.f321b = new float[]{0.0f, 0.5f, 1.0f};
        }
    }

    private static a a(a aVar, int i2, int i3, boolean z, int i4) {
        if (aVar != null) {
            return aVar;
        }
        if (z) {
            return new a(i2, i4, i3);
        }
        return new a(i2, i3);
    }

    private static Shader.TileMode a(int i2) {
        if (i2 == 1) {
            return Shader.TileMode.REPEAT;
        }
        if (i2 != 2) {
            return Shader.TileMode.CLAMP;
        }
        return Shader.TileMode.MIRROR;
    }
}
