package androidx.appcompat.view.menu;

import a.a.g;
import a.g.l.x;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.os.Build;
import android.os.Handler;
import android.os.Parcelable;
import android.os.SystemClock;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.FrameLayout;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.view.menu.d0;
import androidx.appcompat.widget.MenuPopupWindow;
import androidx.appcompat.widget.b0;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.model.Event;
import j.a.a.a;
import java.util.ArrayList;
import java.util.List;

/* compiled from: CascadingMenuPopup */
final class h extends b0 implements d0, View.OnKeyListener, PopupWindow.OnDismissListener {
    private static final int D = g.abc_cascading_menu_item_layout;
    private static final /* synthetic */ a.AbstractC0243a E = null;
    ViewTreeObserver A;
    private PopupWindow.OnDismissListener B;
    boolean C;

    /* renamed from: c  reason: collision with root package name */
    private final Context f904c;

    /* renamed from: d  reason: collision with root package name */
    private final int f905d;

    /* renamed from: e  reason: collision with root package name */
    private final int f906e;

    /* renamed from: f  reason: collision with root package name */
    private final int f907f;

    /* renamed from: g  reason: collision with root package name */
    private final boolean f908g;

    /* renamed from: h  reason: collision with root package name */
    final Handler f909h;

    /* renamed from: i  reason: collision with root package name */
    private final List<t> f910i = new ArrayList();

    /* renamed from: j  reason: collision with root package name */
    final List<d> f911j = new ArrayList();
    final ViewTreeObserver.OnGlobalLayoutListener k = new a();
    private final View.OnAttachStateChangeListener l = new b();
    private final b0 m = new c();
    private int o = 0;
    private int p = 0;
    private View q;
    View r;
    private int s;
    private boolean t;
    private boolean u;
    private int v;
    private int w;
    private boolean x;
    private boolean y;
    private d0.a z;

    /* compiled from: CascadingMenuPopup */
    class a implements ViewTreeObserver.OnGlobalLayoutListener {
        a() {
        }

        public void onGlobalLayout() {
            if (h.this.f() && h.this.f911j.size() > 0 && !h.this.f911j.get(0).f919a.k()) {
                View view = h.this.r;
                if (view == null || !view.isShown()) {
                    h.this.dismiss();
                    return;
                }
                for (d dVar : h.this.f911j) {
                    dVar.f919a.d();
                }
            }
        }
    }

    /* compiled from: CascadingMenuPopup */
    class b implements View.OnAttachStateChangeListener {
        b() {
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            ViewTreeObserver viewTreeObserver = h.this.A;
            if (viewTreeObserver != null) {
                if (!viewTreeObserver.isAlive()) {
                    h.this.A = view.getViewTreeObserver();
                }
                h hVar = h.this;
                hVar.A.removeGlobalOnLayoutListener(hVar.k);
            }
            view.removeOnAttachStateChangeListener(this);
        }
    }

    /* compiled from: CascadingMenuPopup */
    class c implements b0 {

        /* compiled from: CascadingMenuPopup */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ d f915a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ MenuItem f916b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ t f917c;

            a(d dVar, MenuItem menuItem, t tVar) {
                this.f915a = dVar;
                this.f916b = menuItem;
                this.f917c = tVar;
            }

            public void run() {
                d dVar = this.f915a;
                if (dVar != null) {
                    h.this.C = true;
                    dVar.f920b.a(false);
                    h.this.C = false;
                }
                if (this.f916b.isEnabled() && this.f916b.hasSubMenu()) {
                    this.f917c.a(this.f916b, 4);
                }
            }
        }

        c() {
        }

        @Override // androidx.appcompat.widget.b0
        public void a(t tVar, MenuItem menuItem) {
            d dVar = null;
            h.this.f909h.removeCallbacksAndMessages(null);
            int size = h.this.f911j.size();
            int i2 = 0;
            while (true) {
                if (i2 >= size) {
                    i2 = -1;
                    break;
                } else if (tVar == h.this.f911j.get(i2).f920b) {
                    break;
                } else {
                    i2++;
                }
            }
            if (i2 != -1) {
                int i3 = i2 + 1;
                if (i3 < h.this.f911j.size()) {
                    dVar = h.this.f911j.get(i3);
                }
                h.this.f909h.postAtTime(new a(dVar, menuItem, tVar), tVar, SystemClock.uptimeMillis() + 200);
            }
        }

        @Override // androidx.appcompat.widget.b0
        public void b(t tVar, MenuItem menuItem) {
            h.this.f909h.removeCallbacksAndMessages(tVar);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: CascadingMenuPopup */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final MenuPopupWindow f919a;

        /* renamed from: b  reason: collision with root package name */
        public final t f920b;

        /* renamed from: c  reason: collision with root package name */
        public final int f921c;

        public d(MenuPopupWindow menuPopupWindow, t tVar, int i2) {
            this.f919a = menuPopupWindow;
            this.f920b = tVar;
            this.f921c = i2;
        }

        public ListView a() {
            return this.f919a.e();
        }
    }

    static {
        i();
    }

    public h(Context context, View view, int i2, int i3, boolean z2) {
        this.f904c = context;
        this.q = view;
        this.f906e = i2;
        this.f907f = i3;
        this.f908g = z2;
        this.x = false;
        this.s = k();
        Resources resources = context.getResources();
        this.f905d = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(a.a.d.abc_config_prefDialogWidth));
        this.f909h = new Handler();
    }

    private int c(t tVar) {
        int size = this.f911j.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (tVar == this.f911j.get(i2).f920b) {
                return i2;
            }
        }
        return -1;
    }

    private static /* synthetic */ void i() {
        j.a.b.b.b bVar = new j.a.b.b.b("CascadingMenuPopup.java", h.class);
        E = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 493);
    }

    private MenuPopupWindow j() {
        MenuPopupWindow menuPopupWindow = new MenuPopupWindow(this.f904c, null, this.f906e, this.f907f);
        menuPopupWindow.a(this.m);
        menuPopupWindow.a((AdapterView.OnItemClickListener) this);
        menuPopupWindow.a((PopupWindow.OnDismissListener) this);
        menuPopupWindow.a(this.q);
        menuPopupWindow.c(this.p);
        menuPopupWindow.a(true);
        menuPopupWindow.e(2);
        return menuPopupWindow;
    }

    private int k() {
        return x.o(this.q) == 1 ? 0 : 1;
    }

    @Override // androidx.appcompat.view.menu.d0
    public void a(Parcelable parcelable) {
    }

    @Override // androidx.appcompat.view.menu.b0
    public void a(t tVar) {
        tVar.a(this, this.f904c);
        if (f()) {
            d(tVar);
        } else {
            this.f910i.add(tVar);
        }
    }

    @Override // androidx.appcompat.view.menu.b0
    public void b(boolean z2) {
        this.x = z2;
    }

    @Override // androidx.appcompat.view.menu.d0
    public boolean b() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.d0
    public Parcelable c() {
        return null;
    }

    @Override // androidx.appcompat.view.menu.h0
    public void d() {
        if (!f()) {
            for (t tVar : this.f910i) {
                d(tVar);
            }
            this.f910i.clear();
            this.r = this.q;
            if (this.r != null) {
                boolean z2 = this.A == null;
                this.A = this.r.getViewTreeObserver();
                if (z2) {
                    this.A.addOnGlobalLayoutListener(this.k);
                }
                this.r.addOnAttachStateChangeListener(this.l);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.h0
    public void dismiss() {
        int size = this.f911j.size();
        if (size > 0) {
            d[] dVarArr = (d[]) this.f911j.toArray(new d[size]);
            for (int i2 = size - 1; i2 >= 0; i2--) {
                d dVar = dVarArr[i2];
                if (dVar.f919a.f()) {
                    dVar.f919a.dismiss();
                }
            }
        }
    }

    @Override // androidx.appcompat.view.menu.h0
    public ListView e() {
        if (this.f911j.isEmpty()) {
            return null;
        }
        List<d> list = this.f911j;
        return list.get(list.size() - 1).a();
    }

    @Override // androidx.appcompat.view.menu.h0
    public boolean f() {
        return this.f911j.size() > 0 && this.f911j.get(0).f919a.f();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.view.menu.b0
    public boolean g() {
        return false;
    }

    public void onDismiss() {
        d dVar;
        int size = this.f911j.size();
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                dVar = null;
                break;
            }
            dVar = this.f911j.get(i2);
            if (!dVar.f919a.f()) {
                break;
            }
            i2++;
        }
        if (dVar != null) {
            dVar.f920b.a(false);
        }
    }

    public boolean onKey(View view, int i2, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i2 != 82) {
            return false;
        }
        dismiss();
        return true;
    }

    @Override // androidx.appcompat.view.menu.b0
    public void b(int i2) {
        this.t = true;
        this.v = i2;
    }

    @Override // androidx.appcompat.view.menu.b0
    public void c(int i2) {
        this.u = true;
        this.w = i2;
    }

    private MenuItem a(t tVar, t tVar2) {
        int size = tVar.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = tVar.getItem(i2);
            if (item.hasSubMenu() && tVar2 == item.getSubMenu()) {
                return item;
            }
        }
        return null;
    }

    @Override // androidx.appcompat.view.menu.b0
    public void c(boolean z2) {
        this.y = z2;
    }

    private View a(d dVar, t tVar) {
        int i2;
        s sVar;
        int firstVisiblePosition;
        MenuItem a2 = a(dVar.f920b, tVar);
        if (a2 == null) {
            return null;
        }
        ListView a3 = dVar.a();
        ListAdapter adapter = a3.getAdapter();
        int i3 = 0;
        if (adapter instanceof HeaderViewListAdapter) {
            HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
            i2 = headerViewListAdapter.getHeadersCount();
            sVar = (s) headerViewListAdapter.getWrappedAdapter();
        } else {
            sVar = (s) adapter;
            i2 = 0;
        }
        int count = sVar.getCount();
        while (true) {
            if (i3 >= count) {
                i3 = -1;
                break;
            } else if (a2 == sVar.getItem(i3)) {
                break;
            } else {
                i3++;
            }
        }
        if (i3 != -1 && (firstVisiblePosition = (i3 + i2) - a3.getFirstVisiblePosition()) >= 0 && firstVisiblePosition < a3.getChildCount()) {
            return a3.getChildAt(firstVisiblePosition);
        }
        return null;
    }

    private int d(int i2) {
        List<d> list = this.f911j;
        ListView a2 = list.get(list.size() - 1).a();
        int[] iArr = new int[2];
        a2.getLocationOnScreen(iArr);
        Rect rect = new Rect();
        this.r.getWindowVisibleDisplayFrame(rect);
        if (this.s == 1) {
            if (iArr[0] + a2.getWidth() + i2 > rect.right) {
                return 0;
            }
            return 1;
        } else if (iArr[0] - i2 < 0) {
            return 1;
        } else {
            return 0;
        }
    }

    private void d(t tVar) {
        View view;
        d dVar;
        int i2;
        int i3;
        int i4;
        LayoutInflater from = LayoutInflater.from(this.f904c);
        s sVar = new s(tVar, from, this.f908g, D);
        if (!f() && this.x) {
            sVar.a(true);
        } else if (f()) {
            sVar.a(b0.b(tVar));
        }
        int a2 = b0.a(sVar, null, this.f904c, this.f905d);
        MenuPopupWindow j2 = j();
        j2.a((ListAdapter) sVar);
        j2.b(a2);
        j2.c(this.p);
        if (this.f911j.size() > 0) {
            List<d> list = this.f911j;
            dVar = list.get(list.size() - 1);
            view = a(dVar, tVar);
        } else {
            dVar = null;
            view = null;
        }
        if (view != null) {
            j2.c(false);
            j2.a((Object) null);
            int d2 = d(a2);
            boolean z2 = d2 == 1;
            this.s = d2;
            if (Build.VERSION.SDK_INT >= 26) {
                j2.a(view);
                i3 = 0;
                i2 = 0;
            } else {
                int[] iArr = new int[2];
                this.q.getLocationOnScreen(iArr);
                int[] iArr2 = new int[2];
                view.getLocationOnScreen(iArr2);
                if ((this.p & 7) == 5) {
                    iArr[0] = iArr[0] + this.q.getWidth();
                    iArr2[0] = iArr2[0] + view.getWidth();
                }
                i3 = iArr2[0] - iArr[0];
                i2 = iArr2[1] - iArr[1];
            }
            if ((this.p & 5) != 5) {
                if (z2) {
                    a2 = view.getWidth();
                }
                i4 = i3 - a2;
                j2.d(i4);
                j2.b(true);
                j2.h(i2);
            } else if (!z2) {
                a2 = view.getWidth();
                i4 = i3 - a2;
                j2.d(i4);
                j2.b(true);
                j2.h(i2);
            }
            i4 = i3 + a2;
            j2.d(i4);
            j2.b(true);
            j2.h(i2);
        } else {
            if (this.t) {
                j2.d(this.v);
            }
            if (this.u) {
                j2.h(this.w);
            }
            j2.a(h());
        }
        this.f911j.add(new d(j2, tVar, this.s));
        j2.d();
        ListView e2 = j2.e();
        e2.setOnKeyListener(this);
        if (dVar == null && this.y && tVar.h() != null) {
            int i5 = g.abc_popup_menu_header_item_layout;
            FrameLayout frameLayout = (FrameLayout) d.h.a.a.b().a(new i(new Object[]{this, from, j.a.b.a.b.a(i5), e2, j.a.b.a.b.a(false), j.a.b.b.b.a(E, (Object) this, (Object) from, new Object[]{j.a.b.a.b.a(i5), e2, j.a.b.a.b.a(false)})}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING));
            frameLayout.setEnabled(false);
            ((TextView) frameLayout.findViewById(16908310)).setText(tVar.h());
            e2.addHeaderView(frameLayout, null, false);
            j2.d();
        }
    }

    @Override // androidx.appcompat.view.menu.d0
    public void a(boolean z2) {
        for (d dVar : this.f911j) {
            b0.a(dVar.a().getAdapter()).notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.view.menu.d0
    public void a(d0.a aVar) {
        this.z = aVar;
    }

    @Override // androidx.appcompat.view.menu.d0
    public boolean a(k0 k0Var) {
        for (d dVar : this.f911j) {
            if (k0Var == dVar.f920b) {
                dVar.a().requestFocus();
                return true;
            }
        }
        if (!k0Var.hasVisibleItems()) {
            return false;
        }
        a((t) k0Var);
        d0.a aVar = this.z;
        if (aVar != null) {
            aVar.a(k0Var);
        }
        return true;
    }

    @Override // androidx.appcompat.view.menu.d0
    public void a(t tVar, boolean z2) {
        int c2 = c(tVar);
        if (c2 >= 0) {
            int i2 = c2 + 1;
            if (i2 < this.f911j.size()) {
                this.f911j.get(i2).f920b.a(false);
            }
            d remove = this.f911j.remove(c2);
            remove.f920b.b(this);
            if (this.C) {
                remove.f919a.b((Object) null);
                remove.f919a.a(0);
            }
            remove.f919a.dismiss();
            int size = this.f911j.size();
            if (size > 0) {
                this.s = this.f911j.get(size - 1).f921c;
            } else {
                this.s = k();
            }
            if (size == 0) {
                dismiss();
                d0.a aVar = this.z;
                if (aVar != null) {
                    aVar.a(tVar, true);
                }
                ViewTreeObserver viewTreeObserver = this.A;
                if (viewTreeObserver != null) {
                    if (viewTreeObserver.isAlive()) {
                        this.A.removeGlobalOnLayoutListener(this.k);
                    }
                    this.A = null;
                }
                this.r.removeOnAttachStateChangeListener(this.l);
                this.B.onDismiss();
            } else if (z2) {
                this.f911j.get(0).f920b.a(false);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.b0
    public void a(int i2) {
        if (this.o != i2) {
            this.o = i2;
            this.p = a.g.l.d.a(i2, x.o(this.q));
        }
    }

    @Override // androidx.appcompat.view.menu.b0
    public void a(View view) {
        if (this.q != view) {
            this.q = view;
            this.p = a.g.l.d.a(this.o, x.o(this.q));
        }
    }

    @Override // androidx.appcompat.view.menu.b0
    public void a(PopupWindow.OnDismissListener onDismissListener) {
        this.B = onDismissListener;
    }
}
