package androidx.appcompat.view.menu;

import a.g.l.y;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.ContextMenu;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

/* compiled from: MenuBuilder */
public class t implements a.g.f.a.a {
    private static final int[] A = {1, 4, 5, 3, 2, 0};

    /* renamed from: a  reason: collision with root package name */
    private final Context f952a;

    /* renamed from: b  reason: collision with root package name */
    private final Resources f953b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f954c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f955d;

    /* renamed from: e  reason: collision with root package name */
    private a f956e;

    /* renamed from: f  reason: collision with root package name */
    private ArrayList<w> f957f;

    /* renamed from: g  reason: collision with root package name */
    private ArrayList<w> f958g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f959h;

    /* renamed from: i  reason: collision with root package name */
    private ArrayList<w> f960i;

    /* renamed from: j  reason: collision with root package name */
    private ArrayList<w> f961j;
    private boolean k;
    private int l = 0;
    private ContextMenu.ContextMenuInfo m;
    CharSequence n;
    Drawable o;
    View p;
    private boolean q = false;
    private boolean r = false;
    private boolean s = false;
    private boolean t = false;
    private boolean u = false;
    private ArrayList<w> v = new ArrayList<>();
    private CopyOnWriteArrayList<WeakReference<d0>> w = new CopyOnWriteArrayList<>();
    private w x;
    private boolean y = false;
    private boolean z;

    /* compiled from: MenuBuilder */
    public interface a {
        void a(t tVar);

        boolean a(t tVar, MenuItem menuItem);
    }

    /* compiled from: MenuBuilder */
    public interface b {
        boolean a(w wVar);
    }

    public t(Context context) {
        this.f952a = context;
        this.f953b = context.getResources();
        this.f957f = new ArrayList<>();
        this.f958g = new ArrayList<>();
        this.f959h = true;
        this.f960i = new ArrayList<>();
        this.f961j = new ArrayList<>();
        this.k = true;
        e(true);
    }

    private void d(boolean z2) {
        if (!this.w.isEmpty()) {
            s();
            Iterator<WeakReference<d0>> it = this.w.iterator();
            while (it.hasNext()) {
                WeakReference<d0> next = it.next();
                d0 d0Var = next.get();
                if (d0Var == null) {
                    this.w.remove(next);
                } else {
                    d0Var.a(z2);
                }
            }
            r();
        }
    }

    private void e(Bundle bundle) {
        Parcelable parcelable;
        SparseArray sparseParcelableArray = bundle.getSparseParcelableArray("android:menu:presenters");
        if (sparseParcelableArray != null && !this.w.isEmpty()) {
            Iterator<WeakReference<d0>> it = this.w.iterator();
            while (it.hasNext()) {
                WeakReference<d0> next = it.next();
                d0 d0Var = next.get();
                if (d0Var == null) {
                    this.w.remove(next);
                } else {
                    int a2 = d0Var.a();
                    if (a2 > 0 && (parcelable = (Parcelable) sparseParcelableArray.get(a2)) != null) {
                        d0Var.a(parcelable);
                    }
                }
            }
        }
    }

    private void f(Bundle bundle) {
        Parcelable c2;
        if (!this.w.isEmpty()) {
            SparseArray<? extends Parcelable> sparseArray = new SparseArray<>();
            Iterator<WeakReference<d0>> it = this.w.iterator();
            while (it.hasNext()) {
                WeakReference<d0> next = it.next();
                d0 d0Var = next.get();
                if (d0Var == null) {
                    this.w.remove(next);
                } else {
                    int a2 = d0Var.a();
                    if (a2 > 0 && (c2 = d0Var.c()) != null) {
                        sparseArray.put(a2, c2);
                    }
                }
            }
            bundle.putSparseParcelableArray("android:menu:presenters", sparseArray);
        }
    }

    public void a(d0 d0Var) {
        a(d0Var, this.f952a);
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return a(0, 0, 0, charSequence);
    }

    public int addIntentOptions(int i2, int i3, int i4, ComponentName componentName, Intent[] intentArr, Intent intent, int i5, MenuItem[] menuItemArr) {
        int i6;
        PackageManager packageManager = this.f952a.getPackageManager();
        List<ResolveInfo> queryIntentActivityOptions = packageManager.queryIntentActivityOptions(componentName, intentArr, intent, 0);
        int size = queryIntentActivityOptions != null ? queryIntentActivityOptions.size() : 0;
        if ((i5 & 1) == 0) {
            removeGroup(i2);
        }
        for (int i7 = 0; i7 < size; i7++) {
            ResolveInfo resolveInfo = queryIntentActivityOptions.get(i7);
            int i8 = resolveInfo.specificIndex;
            Intent intent2 = new Intent(i8 < 0 ? intent : intentArr[i8]);
            intent2.setComponent(new ComponentName(resolveInfo.activityInfo.applicationInfo.packageName, resolveInfo.activityInfo.name));
            MenuItem intent3 = add(i2, i3, i4, resolveInfo.loadLabel(packageManager)).setIcon(resolveInfo.loadIcon(packageManager)).setIntent(intent2);
            if (menuItemArr != null && (i6 = resolveInfo.specificIndex) >= 0) {
                menuItemArr[i6] = intent3;
            }
        }
        return size;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return addSubMenu(0, 0, 0, charSequence);
    }

    public void b(d0 d0Var) {
        Iterator<WeakReference<d0>> it = this.w.iterator();
        while (it.hasNext()) {
            WeakReference<d0> next = it.next();
            d0 d0Var2 = next.get();
            if (d0Var2 == null || d0Var2 == d0Var) {
                this.w.remove(next);
            }
        }
    }

    public t c(int i2) {
        this.l = i2;
        return this;
    }

    public void clear() {
        w wVar = this.x;
        if (wVar != null) {
            a(wVar);
        }
        this.f957f.clear();
        b(true);
    }

    public void clearHeader() {
        this.o = null;
        this.n = null;
        this.p = null;
        b(false);
    }

    public void close() {
        a(true);
    }

    /* access modifiers changed from: protected */
    public String d() {
        return "android:menu:actionviewstates";
    }

    public MenuItem findItem(int i2) {
        MenuItem findItem;
        int size = size();
        for (int i3 = 0; i3 < size; i3++) {
            w wVar = this.f957f.get(i3);
            if (wVar.getItemId() == i2) {
                return wVar;
            }
            if (wVar.hasSubMenu() && (findItem = wVar.getSubMenu().findItem(i2)) != null) {
                return findItem;
            }
        }
        return null;
    }

    public Drawable g() {
        return this.o;
    }

    public MenuItem getItem(int i2) {
        return this.f957f.get(i2);
    }

    public CharSequence h() {
        return this.n;
    }

    public boolean hasVisibleItems() {
        if (this.z) {
            return true;
        }
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            if (this.f957f.get(i2).isVisible()) {
                return true;
            }
        }
        return false;
    }

    public View i() {
        return this.p;
    }

    public boolean isShortcutKey(int i2, KeyEvent keyEvent) {
        return a(i2, keyEvent) != null;
    }

    public ArrayList<w> j() {
        b();
        return this.f961j;
    }

    /* access modifiers changed from: package-private */
    public boolean k() {
        return this.t;
    }

    /* access modifiers changed from: package-private */
    public Resources l() {
        return this.f953b;
    }

    public t m() {
        return this;
    }

    public ArrayList<w> n() {
        if (!this.f959h) {
            return this.f958g;
        }
        this.f958g.clear();
        int size = this.f957f.size();
        for (int i2 = 0; i2 < size; i2++) {
            w wVar = this.f957f.get(i2);
            if (wVar.isVisible()) {
                this.f958g.add(wVar);
            }
        }
        this.f959h = false;
        this.k = true;
        return this.f958g;
    }

    public boolean o() {
        return this.y;
    }

    /* access modifiers changed from: package-private */
    public boolean p() {
        return this.f954c;
    }

    public boolean performIdentifierAction(int i2, int i3) {
        return a(findItem(i2), i3);
    }

    public boolean performShortcut(int i2, KeyEvent keyEvent, int i3) {
        w a2 = a(i2, keyEvent);
        boolean a3 = a2 != null ? a(a2, i3) : false;
        if ((i3 & 2) != 0) {
            a(true);
        }
        return a3;
    }

    public boolean q() {
        return this.f955d;
    }

    public void r() {
        this.q = false;
        if (this.r) {
            this.r = false;
            b(this.s);
        }
    }

    public void removeGroup(int i2) {
        int a2 = a(i2);
        if (a2 >= 0) {
            int size = this.f957f.size() - a2;
            int i3 = 0;
            while (true) {
                int i4 = i3 + 1;
                if (i3 >= size || this.f957f.get(a2).getGroupId() != i2) {
                    b(true);
                } else {
                    a(a2, false);
                    i3 = i4;
                }
            }
            b(true);
        }
    }

    public void removeItem(int i2) {
        a(b(i2), true);
    }

    public void s() {
        if (!this.q) {
            this.q = true;
            this.r = false;
            this.s = false;
        }
    }

    public void setGroupCheckable(int i2, boolean z2, boolean z3) {
        int size = this.f957f.size();
        for (int i3 = 0; i3 < size; i3++) {
            w wVar = this.f957f.get(i3);
            if (wVar.getGroupId() == i2) {
                wVar.c(z3);
                wVar.setCheckable(z2);
            }
        }
    }

    public void setGroupDividerEnabled(boolean z2) {
        this.y = z2;
    }

    public void setGroupEnabled(int i2, boolean z2) {
        int size = this.f957f.size();
        for (int i3 = 0; i3 < size; i3++) {
            w wVar = this.f957f.get(i3);
            if (wVar.getGroupId() == i2) {
                wVar.setEnabled(z2);
            }
        }
    }

    public void setGroupVisible(int i2, boolean z2) {
        int size = this.f957f.size();
        boolean z3 = false;
        for (int i3 = 0; i3 < size; i3++) {
            w wVar = this.f957f.get(i3);
            if (wVar.getGroupId() == i2 && wVar.e(z2)) {
                z3 = true;
            }
        }
        if (z3) {
            b(true);
        }
    }

    public void setQwertyMode(boolean z2) {
        this.f954c = z2;
        b(false);
    }

    public int size() {
        return this.f957f.size();
    }

    public void a(d0 d0Var, Context context) {
        this.w.add(new WeakReference<>(d0Var));
        d0Var.a(context, this);
        this.k = true;
    }

    @Override // android.view.Menu
    public MenuItem add(int i2) {
        return a(0, 0, 0, this.f953b.getString(i2));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2) {
        return addSubMenu(0, 0, 0, this.f953b.getString(i2));
    }

    public void c(Bundle bundle) {
        int size = size();
        SparseArray<? extends Parcelable> sparseArray = null;
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = getItem(i2);
            View actionView = item.getActionView();
            if (!(actionView == null || actionView.getId() == -1)) {
                if (sparseArray == null) {
                    sparseArray = new SparseArray<>();
                }
                actionView.saveHierarchyState(sparseArray);
                if (item.isActionViewExpanded()) {
                    bundle.putInt("android:menu:expandedactionview", item.getItemId());
                }
            }
            if (item.hasSubMenu()) {
                ((k0) item.getSubMenu()).c(bundle);
            }
        }
        if (sparseArray != null) {
            bundle.putSparseParcelableArray(d(), sparseArray);
        }
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, CharSequence charSequence) {
        return a(i2, i3, i4, charSequence);
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, CharSequence charSequence) {
        w wVar = (w) a(i2, i3, i4, charSequence);
        k0 k0Var = new k0(this.f952a, this, wVar);
        wVar.a(k0Var);
        return k0Var;
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, int i5) {
        return a(i2, i3, i4, this.f953b.getString(i5));
    }

    public void b(Bundle bundle) {
        e(bundle);
    }

    private boolean a(k0 k0Var, d0 d0Var) {
        boolean z2 = false;
        if (this.w.isEmpty()) {
            return false;
        }
        if (d0Var != null) {
            z2 = d0Var.a(k0Var);
        }
        Iterator<WeakReference<d0>> it = this.w.iterator();
        while (it.hasNext()) {
            WeakReference<d0> next = it.next();
            d0 d0Var2 = next.get();
            if (d0Var2 == null) {
                this.w.remove(next);
            } else if (!z2) {
                z2 = d0Var2.a(k0Var);
            }
        }
        return z2;
    }

    public int b(int i2) {
        int size = size();
        for (int i3 = 0; i3 < size; i3++) {
            if (this.f957f.get(i3).getItemId() == i2) {
                return i3;
            }
        }
        return -1;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, int i5) {
        return addSubMenu(i2, i3, i4, this.f953b.getString(i5));
    }

    public void b(boolean z2) {
        if (!this.q) {
            if (z2) {
                this.f959h = true;
                this.k = true;
            }
            d(z2);
            return;
        }
        this.r = true;
        if (z2) {
            this.s = true;
        }
    }

    public void d(Bundle bundle) {
        f(bundle);
    }

    private void e(boolean z2) {
        boolean z3 = true;
        if (!z2 || this.f953b.getConfiguration().keyboard == 1 || !y.d(ViewConfiguration.get(this.f952a), this.f952a)) {
            z3 = false;
        }
        this.f955d = z3;
    }

    /* access modifiers changed from: package-private */
    public void d(w wVar) {
        this.f959h = true;
        b(true);
    }

    private static int f(int i2) {
        int i3 = (-65536 & i2) >> 16;
        if (i3 >= 0) {
            int[] iArr = A;
            if (i3 < iArr.length) {
                return (i2 & 65535) | (iArr[i3] << 16);
            }
        }
        throw new IllegalArgumentException("order does not contain a valid category.");
    }

    public void a(Bundle bundle) {
        MenuItem findItem;
        if (bundle != null) {
            SparseArray<Parcelable> sparseParcelableArray = bundle.getSparseParcelableArray(d());
            int size = size();
            for (int i2 = 0; i2 < size; i2++) {
                MenuItem item = getItem(i2);
                View actionView = item.getActionView();
                if (!(actionView == null || actionView.getId() == -1)) {
                    actionView.restoreHierarchyState(sparseParcelableArray);
                }
                if (item.hasSubMenu()) {
                    ((k0) item.getSubMenu()).a(bundle);
                }
            }
            int i3 = bundle.getInt("android:menu:expandedactionview");
            if (i3 > 0 && (findItem = findItem(i3)) != null) {
                findItem.expandActionView();
            }
        }
    }

    /* access modifiers changed from: protected */
    public t d(int i2) {
        a(0, null, i2, null, null);
        return this;
    }

    public Context e() {
        return this.f952a;
    }

    public w f() {
        return this.x;
    }

    public void b() {
        ArrayList<w> n2 = n();
        if (this.k) {
            Iterator<WeakReference<d0>> it = this.w.iterator();
            boolean z2 = false;
            while (it.hasNext()) {
                WeakReference<d0> next = it.next();
                d0 d0Var = next.get();
                if (d0Var == null) {
                    this.w.remove(next);
                } else {
                    z2 |= d0Var.b();
                }
            }
            if (z2) {
                this.f960i.clear();
                this.f961j.clear();
                int size = n2.size();
                for (int i2 = 0; i2 < size; i2++) {
                    w wVar = n2.get(i2);
                    if (wVar.h()) {
                        this.f960i.add(wVar);
                    } else {
                        this.f961j.add(wVar);
                    }
                }
            } else {
                this.f960i.clear();
                this.f961j.clear();
                this.f961j.addAll(n());
            }
            this.k = false;
        }
    }

    /* access modifiers changed from: package-private */
    public void c(w wVar) {
        this.k = true;
        b(true);
    }

    /* access modifiers changed from: protected */
    public t e(int i2) {
        a(i2, null, 0, null, null);
        return this;
    }

    public ArrayList<w> c() {
        b();
        return this.f960i;
    }

    public void c(boolean z2) {
        this.z = z2;
    }

    public void a(a aVar) {
        this.f956e = aVar;
    }

    /* access modifiers changed from: protected */
    public MenuItem a(int i2, int i3, int i4, CharSequence charSequence) {
        int f2 = f(i4);
        w a2 = a(i2, i3, i4, f2, charSequence, this.l);
        ContextMenu.ContextMenuInfo contextMenuInfo = this.m;
        if (contextMenuInfo != null) {
            a2.a(contextMenuInfo);
        }
        ArrayList<w> arrayList = this.f957f;
        arrayList.add(a(arrayList, f2), a2);
        b(true);
        return a2;
    }

    private w a(int i2, int i3, int i4, int i5, CharSequence charSequence, int i6) {
        return new w(this, i2, i3, i4, i5, charSequence, i6);
    }

    public boolean b(w wVar) {
        boolean z2 = false;
        if (this.w.isEmpty()) {
            return false;
        }
        s();
        Iterator<WeakReference<d0>> it = this.w.iterator();
        while (it.hasNext()) {
            WeakReference<d0> next = it.next();
            d0 d0Var = next.get();
            if (d0Var == null) {
                this.w.remove(next);
            } else {
                z2 = d0Var.b(this, wVar);
                if (z2) {
                    break;
                }
            }
        }
        r();
        if (z2) {
            this.x = wVar;
        }
        return z2;
    }

    private void a(int i2, boolean z2) {
        if (i2 >= 0 && i2 < this.f957f.size()) {
            this.f957f.remove(i2);
            if (z2) {
                b(true);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(MenuItem menuItem) {
        int groupId = menuItem.getGroupId();
        int size = this.f957f.size();
        s();
        for (int i2 = 0; i2 < size; i2++) {
            w wVar = this.f957f.get(i2);
            if (wVar.getGroupId() == groupId && wVar.i() && wVar.isCheckable()) {
                wVar.b(wVar == menuItem);
            }
        }
        r();
    }

    public int a(int i2) {
        return a(i2, 0);
    }

    public int a(int i2, int i3) {
        int size = size();
        if (i3 < 0) {
            i3 = 0;
        }
        while (i3 < size) {
            if (this.f957f.get(i3).getGroupId() == i2) {
                return i3;
            }
            i3++;
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    public boolean a(t tVar, MenuItem menuItem) {
        a aVar = this.f956e;
        return aVar != null && aVar.a(tVar, menuItem);
    }

    public void a() {
        a aVar = this.f956e;
        if (aVar != null) {
            aVar.a(this);
        }
    }

    private static int a(ArrayList<w> arrayList, int i2) {
        for (int size = arrayList.size() - 1; size >= 0; size--) {
            if (arrayList.get(size).c() <= i2) {
                return size + 1;
            }
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public void a(List<w> list, int i2, KeyEvent keyEvent) {
        boolean p2 = p();
        int modifiers = keyEvent.getModifiers();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        if (keyEvent.getKeyData(keyData) || i2 == 67) {
            int size = this.f957f.size();
            for (int i3 = 0; i3 < size; i3++) {
                w wVar = this.f957f.get(i3);
                if (wVar.hasSubMenu()) {
                    ((t) wVar.getSubMenu()).a(list, i2, keyEvent);
                }
                char alphabeticShortcut = p2 ? wVar.getAlphabeticShortcut() : wVar.getNumericShortcut();
                if (((modifiers & 69647) == ((p2 ? wVar.getAlphabeticModifiers() : wVar.getNumericModifiers()) & 69647)) && alphabeticShortcut != 0) {
                    char[] cArr = keyData.meta;
                    if ((alphabeticShortcut == cArr[0] || alphabeticShortcut == cArr[2] || (p2 && alphabeticShortcut == '\b' && i2 == 67)) && wVar.isEnabled()) {
                        list.add(wVar);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public w a(int i2, KeyEvent keyEvent) {
        char c2;
        ArrayList<w> arrayList = this.v;
        arrayList.clear();
        a(arrayList, i2, keyEvent);
        if (arrayList.isEmpty()) {
            return null;
        }
        int metaState = keyEvent.getMetaState();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        keyEvent.getKeyData(keyData);
        int size = arrayList.size();
        if (size == 1) {
            return arrayList.get(0);
        }
        boolean p2 = p();
        for (int i3 = 0; i3 < size; i3++) {
            w wVar = arrayList.get(i3);
            if (p2) {
                c2 = wVar.getAlphabeticShortcut();
            } else {
                c2 = wVar.getNumericShortcut();
            }
            if ((c2 == keyData.meta[0] && (metaState & 2) == 0) || ((c2 == keyData.meta[2] && (metaState & 2) != 0) || (p2 && c2 == '\b' && i2 == 67))) {
                return wVar;
            }
        }
        return null;
    }

    public boolean a(MenuItem menuItem, int i2) {
        return a(menuItem, (d0) null, i2);
    }

    public boolean a(MenuItem menuItem, d0 d0Var, int i2) {
        w wVar = (w) menuItem;
        if (wVar == null || !wVar.isEnabled()) {
            return false;
        }
        boolean g2 = wVar.g();
        a.g.l.b a2 = wVar.a();
        boolean z2 = a2 != null && a2.a();
        if (wVar.f()) {
            g2 |= wVar.expandActionView();
            if (g2) {
                a(true);
            }
        } else if (wVar.hasSubMenu() || z2) {
            if ((i2 & 4) == 0) {
                a(false);
            }
            if (!wVar.hasSubMenu()) {
                wVar.a(new k0(e(), this, wVar));
            }
            k0 k0Var = (k0) wVar.getSubMenu();
            if (z2) {
                a2.a(k0Var);
            }
            g2 |= a(k0Var, d0Var);
            if (!g2) {
                a(true);
            }
        } else if ((i2 & 1) == 0) {
            a(true);
        }
        return g2;
    }

    public final void a(boolean z2) {
        if (!this.u) {
            this.u = true;
            Iterator<WeakReference<d0>> it = this.w.iterator();
            while (it.hasNext()) {
                WeakReference<d0> next = it.next();
                d0 d0Var = next.get();
                if (d0Var == null) {
                    this.w.remove(next);
                } else {
                    d0Var.a(this, z2);
                }
            }
            this.u = false;
        }
    }

    private void a(int i2, CharSequence charSequence, int i3, Drawable drawable, View view) {
        Resources l2 = l();
        if (view != null) {
            this.p = view;
            this.n = null;
            this.o = null;
        } else {
            if (i2 > 0) {
                this.n = l2.getText(i2);
            } else if (charSequence != null) {
                this.n = charSequence;
            }
            if (i3 > 0) {
                this.o = a.g.d.a.c(e(), i3);
            } else if (drawable != null) {
                this.o = drawable;
            }
            this.p = null;
        }
        b(false);
    }

    /* access modifiers changed from: protected */
    public t a(CharSequence charSequence) {
        a(0, charSequence, 0, null, null);
        return this;
    }

    /* access modifiers changed from: protected */
    public t a(Drawable drawable) {
        a(0, null, 0, drawable, null);
        return this;
    }

    /* access modifiers changed from: protected */
    public t a(View view) {
        a(0, null, 0, null, view);
        return this;
    }

    public boolean a(w wVar) {
        boolean z2 = false;
        if (!this.w.isEmpty() && this.x == wVar) {
            s();
            Iterator<WeakReference<d0>> it = this.w.iterator();
            while (it.hasNext()) {
                WeakReference<d0> next = it.next();
                d0 d0Var = next.get();
                if (d0Var == null) {
                    this.w.remove(next);
                } else {
                    z2 = d0Var.a(this, wVar);
                    if (z2) {
                        break;
                    }
                }
            }
            r();
            if (z2) {
                this.x = null;
            }
        }
        return z2;
    }
}
