package androidx.appcompat.view.menu;

import a.a.h;
import a.g.f.a.b;
import a.g.l.b;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.ActionProvider;
import android.view.ContextMenu;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewDebug;
import android.widget.LinearLayout;
import androidx.appcompat.view.menu.e0;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.player.XMediaPlayerConstants;
import com.ximalaya.ting.android.xmtrace.model.Event;
import j.a.a.a;

/* compiled from: MenuItemImpl */
public final class w implements b {
    private static final /* synthetic */ a.AbstractC0243a F = null;
    private View A;
    private a.g.l.b B;
    private MenuItem.OnActionExpandListener C;
    private boolean D = false;
    private ContextMenu.ContextMenuInfo E;

    /* renamed from: a  reason: collision with root package name */
    private final int f967a;

    /* renamed from: b  reason: collision with root package name */
    private final int f968b;

    /* renamed from: c  reason: collision with root package name */
    private final int f969c;

    /* renamed from: d  reason: collision with root package name */
    private final int f970d;

    /* renamed from: e  reason: collision with root package name */
    private CharSequence f971e;

    /* renamed from: f  reason: collision with root package name */
    private CharSequence f972f;

    /* renamed from: g  reason: collision with root package name */
    private Intent f973g;

    /* renamed from: h  reason: collision with root package name */
    private char f974h;

    /* renamed from: i  reason: collision with root package name */
    private int f975i = 4096;

    /* renamed from: j  reason: collision with root package name */
    private char f976j;
    private int k = 4096;
    private Drawable l;
    private int m = 0;
    t n;
    private k0 o;
    private Runnable p;
    private MenuItem.OnMenuItemClickListener q;
    private CharSequence r;
    private CharSequence s;
    private ColorStateList t = null;
    private PorterDuff.Mode u = null;
    private boolean v = false;
    private boolean w = false;
    private boolean x = false;
    private int y = 16;
    private int z = 0;

    /* compiled from: MenuItemImpl */
    class a implements b.AbstractC0016b {
        a() {
        }

        @Override // a.g.l.b.AbstractC0016b
        public void onActionProviderVisibilityChanged(boolean z) {
            w wVar = w.this;
            wVar.n.d(wVar);
        }
    }

    static {
        o();
    }

    w(t tVar, int i2, int i3, int i4, int i5, CharSequence charSequence, int i6) {
        this.n = tVar;
        this.f967a = i3;
        this.f968b = i2;
        this.f969c = i4;
        this.f970d = i5;
        this.f971e = charSequence;
        this.z = i6;
    }

    private static void a(StringBuilder sb, int i2, int i3, String str) {
        if ((i2 & i3) == i3) {
            sb.append(str);
        }
    }

    private static /* synthetic */ void o() {
        j.a.b.b.b bVar = new j.a.b.b.b("MenuItemImpl.java", w.class);
        F = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 758);
    }

    /* access modifiers changed from: package-private */
    public void b(boolean z2) {
        int i2 = this.y;
        this.y = (z2 ? 2 : 0) | (i2 & -3);
        if (i2 != this.y) {
            this.n.b(false);
        }
    }

    public int c() {
        return this.f970d;
    }

    @Override // a.g.f.a.b
    public boolean collapseActionView() {
        if ((this.z & 8) == 0) {
            return false;
        }
        if (this.A == null) {
            return true;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.C;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionCollapse(this)) {
            return this.n.a(this);
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public char d() {
        return this.n.p() ? this.f976j : this.f974h;
    }

    /* access modifiers changed from: package-private */
    public String e() {
        char d2 = d();
        if (d2 == 0) {
            return "";
        }
        Resources resources = this.n.e().getResources();
        StringBuilder sb = new StringBuilder();
        if (ViewConfiguration.get(this.n.e()).hasPermanentMenuKey()) {
            sb.append(resources.getString(h.abc_prepend_shortcut_label));
        }
        int i2 = this.n.p() ? this.k : this.f975i;
        a(sb, i2, XMediaPlayerConstants.DEFAULT_CHUNK_SIZE, resources.getString(h.abc_menu_meta_shortcut_label));
        a(sb, i2, 4096, resources.getString(h.abc_menu_ctrl_shortcut_label));
        a(sb, i2, 2, resources.getString(h.abc_menu_alt_shortcut_label));
        a(sb, i2, 1, resources.getString(h.abc_menu_shift_shortcut_label));
        a(sb, i2, 4, resources.getString(h.abc_menu_sym_shortcut_label));
        a(sb, i2, 8, resources.getString(h.abc_menu_function_shortcut_label));
        if (d2 == '\b') {
            sb.append(resources.getString(h.abc_menu_delete_shortcut_label));
        } else if (d2 == '\n') {
            sb.append(resources.getString(h.abc_menu_enter_shortcut_label));
        } else if (d2 != ' ') {
            sb.append(d2);
        } else {
            sb.append(resources.getString(h.abc_menu_space_shortcut_label));
        }
        return sb.toString();
    }

    @Override // a.g.f.a.b
    public boolean expandActionView() {
        if (!f()) {
            return false;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.C;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionExpand(this)) {
            return this.n.b(this);
        }
        return false;
    }

    public boolean f() {
        a.g.l.b bVar;
        if ((this.z & 8) == 0) {
            return false;
        }
        if (this.A == null && (bVar = this.B) != null) {
            this.A = bVar.a(this);
        }
        if (this.A != null) {
            return true;
        }
        return false;
    }

    public boolean g() {
        MenuItem.OnMenuItemClickListener onMenuItemClickListener = this.q;
        if (onMenuItemClickListener != null && onMenuItemClickListener.onMenuItemClick(this)) {
            return true;
        }
        t tVar = this.n;
        if (tVar.a(tVar, this)) {
            return true;
        }
        Runnable runnable = this.p;
        if (runnable != null) {
            runnable.run();
            return true;
        }
        if (this.f973g != null) {
            try {
                this.n.e().startActivity(this.f973g);
                return true;
            } catch (ActivityNotFoundException e2) {
                Log.e("MenuItemImpl", "Can't find activity to handle intent; ignoring", e2);
            }
        }
        a.g.l.b bVar = this.B;
        if (bVar == null || !bVar.d()) {
            return false;
        }
        return true;
    }

    public ActionProvider getActionProvider() {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.getActionProvider()");
    }

    @Override // a.g.f.a.b
    public View getActionView() {
        View view = this.A;
        if (view != null) {
            return view;
        }
        a.g.l.b bVar = this.B;
        if (bVar == null) {
            return null;
        }
        this.A = bVar.a(this);
        return this.A;
    }

    @Override // a.g.f.a.b
    public int getAlphabeticModifiers() {
        return this.k;
    }

    public char getAlphabeticShortcut() {
        return this.f976j;
    }

    @Override // a.g.f.a.b
    public CharSequence getContentDescription() {
        return this.r;
    }

    public int getGroupId() {
        return this.f968b;
    }

    public Drawable getIcon() {
        Drawable drawable = this.l;
        if (drawable != null) {
            return a(drawable);
        }
        if (this.m == 0) {
            return null;
        }
        Drawable c2 = a.a.k.a.a.c(this.n.e(), this.m);
        this.m = 0;
        this.l = c2;
        return a(c2);
    }

    @Override // a.g.f.a.b
    public ColorStateList getIconTintList() {
        return this.t;
    }

    @Override // a.g.f.a.b
    public PorterDuff.Mode getIconTintMode() {
        return this.u;
    }

    public Intent getIntent() {
        return this.f973g;
    }

    @ViewDebug.CapturedViewProperty
    public int getItemId() {
        return this.f967a;
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.E;
    }

    @Override // a.g.f.a.b
    public int getNumericModifiers() {
        return this.f975i;
    }

    public char getNumericShortcut() {
        return this.f974h;
    }

    public int getOrder() {
        return this.f969c;
    }

    public SubMenu getSubMenu() {
        return this.o;
    }

    @ViewDebug.CapturedViewProperty
    public CharSequence getTitle() {
        return this.f971e;
    }

    public CharSequence getTitleCondensed() {
        CharSequence charSequence = this.f972f;
        if (charSequence == null) {
            charSequence = this.f971e;
        }
        return (Build.VERSION.SDK_INT >= 18 || charSequence == null || (charSequence instanceof String)) ? charSequence : charSequence.toString();
    }

    @Override // a.g.f.a.b
    public CharSequence getTooltipText() {
        return this.s;
    }

    public boolean h() {
        return (this.y & 32) == 32;
    }

    public boolean hasSubMenu() {
        return this.o != null;
    }

    public boolean i() {
        return (this.y & 4) != 0;
    }

    @Override // a.g.f.a.b
    public boolean isActionViewExpanded() {
        return this.D;
    }

    public boolean isCheckable() {
        return (this.y & 1) == 1;
    }

    public boolean isChecked() {
        return (this.y & 2) == 2;
    }

    public boolean isEnabled() {
        return (this.y & 16) != 0;
    }

    public boolean isVisible() {
        a.g.l.b bVar = this.B;
        if (bVar == null || !bVar.e()) {
            if ((this.y & 8) == 0) {
                return true;
            }
            return false;
        } else if ((this.y & 8) != 0 || !this.B.b()) {
            return false;
        } else {
            return true;
        }
    }

    public boolean j() {
        return (this.z & 1) == 1;
    }

    public boolean k() {
        return (this.z & 2) == 2;
    }

    public boolean l() {
        return this.n.k();
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        return this.n.q() && d() != 0;
    }

    public boolean n() {
        return (this.z & 4) == 4;
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.setActionProvider()");
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        if (this.f976j == c2) {
            return this;
        }
        this.f976j = Character.toLowerCase(c2);
        this.n.b(false);
        return this;
    }

    public MenuItem setCheckable(boolean z2) {
        int i2 = this.y;
        this.y = (z2 ? 1 : 0) | (i2 & -2);
        if (i2 != this.y) {
            this.n.b(false);
        }
        return this;
    }

    public MenuItem setChecked(boolean z2) {
        if ((this.y & 4) != 0) {
            this.n.a((MenuItem) this);
        } else {
            b(z2);
        }
        return this;
    }

    public MenuItem setEnabled(boolean z2) {
        if (z2) {
            this.y |= 16;
        } else {
            this.y &= -17;
        }
        this.n.b(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.m = 0;
        this.l = drawable;
        this.x = true;
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b
    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.t = colorStateList;
        this.v = true;
        this.x = true;
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b
    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.u = mode;
        this.w = true;
        this.x = true;
        this.n.b(false);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f973g = intent;
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        if (this.f974h == c2) {
            return this;
        }
        this.f974h = c2;
        this.n.b(false);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.C = onActionExpandListener;
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.q = onMenuItemClickListener;
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.f974h = c2;
        this.f976j = Character.toLowerCase(c3);
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b
    public void setShowAsAction(int i2) {
        int i3 = i2 & 3;
        if (i3 == 0 || i3 == 1 || i3 == 2) {
            this.z = i2;
            this.n.c(this);
            return;
        }
        throw new IllegalArgumentException("SHOW_AS_ACTION_ALWAYS, SHOW_AS_ACTION_IF_ROOM, and SHOW_AS_ACTION_NEVER are mutually exclusive.");
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f971e = charSequence;
        this.n.b(false);
        k0 k0Var = this.o;
        if (k0Var != null) {
            k0Var.setHeaderTitle(charSequence);
        }
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f972f = charSequence;
        this.n.b(false);
        return this;
    }

    public MenuItem setVisible(boolean z2) {
        if (e(z2)) {
            this.n.d(this);
        }
        return this;
    }

    public String toString() {
        CharSequence charSequence = this.f971e;
        if (charSequence != null) {
            return charSequence.toString();
        }
        return null;
    }

    public void a(k0 k0Var) {
        this.o = k0Var;
        k0Var.setHeaderTitle(getTitle());
    }

    public void c(boolean z2) {
        this.y = (z2 ? 4 : 0) | (this.y & -5);
    }

    public void d(boolean z2) {
        if (z2) {
            this.y |= 32;
        } else {
            this.y &= -33;
        }
    }

    @Override // a.g.f.a.b
    public a.g.f.a.b setContentDescription(CharSequence charSequence) {
        this.r = charSequence;
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b
    public a.g.f.a.b setShowAsActionFlags(int i2) {
        setShowAsAction(i2);
        return this;
    }

    @Override // a.g.f.a.b
    public a.g.f.a.b setTooltipText(CharSequence charSequence) {
        this.s = charSequence;
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b, android.view.MenuItem
    public a.g.f.a.b setActionView(View view) {
        int i2;
        this.A = view;
        this.B = null;
        if (view != null && view.getId() == -1 && (i2 = this.f967a) > 0) {
            view.setId(i2);
        }
        this.n.c(this);
        return this;
    }

    /* access modifiers changed from: package-private */
    public CharSequence a(e0.a aVar) {
        if (aVar == null || !aVar.a()) {
            return getTitle();
        }
        return getTitleCondensed();
    }

    @Override // a.g.f.a.b
    public MenuItem setAlphabeticShortcut(char c2, int i2) {
        if (this.f976j == c2 && this.k == i2) {
            return this;
        }
        this.f976j = Character.toLowerCase(c2);
        this.k = KeyEvent.normalizeMetaState(i2);
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b
    public MenuItem setNumericShortcut(char c2, int i2) {
        if (this.f974h == c2 && this.f975i == i2) {
            return this;
        }
        this.f974h = c2;
        this.f975i = KeyEvent.normalizeMetaState(i2);
        this.n.b(false);
        return this;
    }

    @Override // a.g.f.a.b
    public MenuItem setShortcut(char c2, char c3, int i2, int i3) {
        this.f974h = c2;
        this.f975i = KeyEvent.normalizeMetaState(i2);
        this.f976j = Character.toLowerCase(c3);
        this.k = KeyEvent.normalizeMetaState(i3);
        this.n.b(false);
        return this;
    }

    public void b() {
        this.n.c(this);
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i2) {
        this.l = null;
        this.m = i2;
        this.x = true;
        this.n.b(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i2) {
        setTitle(this.n.e().getString(i2));
        return this;
    }

    private Drawable a(Drawable drawable) {
        if (drawable != null && this.x && (this.v || this.w)) {
            drawable = androidx.core.graphics.drawable.a.i(drawable).mutate();
            if (this.v) {
                androidx.core.graphics.drawable.a.a(drawable, this.t);
            }
            if (this.w) {
                androidx.core.graphics.drawable.a.a(drawable, this.u);
            }
            this.x = false;
        }
        return drawable;
    }

    @Override // a.g.f.a.b, android.view.MenuItem
    public a.g.f.a.b setActionView(int i2) {
        Context e2 = this.n.e();
        LayoutInflater from = LayoutInflater.from(e2);
        LinearLayout linearLayout = new LinearLayout(e2);
        j.a.a.a a2 = j.a.b.b.b.a(F, (Object) this, (Object) from, new Object[]{j.a.b.a.b.a(i2), linearLayout, j.a.b.a.b.a(false)});
        setActionView((View) d.h.a.a.b().a(new x(new Object[]{this, from, j.a.b.a.b.a(i2), linearLayout, j.a.b.a.b.a(false), a2}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING)));
        return this;
    }

    /* access modifiers changed from: package-private */
    public void a(ContextMenu.ContextMenuInfo contextMenuInfo) {
        this.E = contextMenuInfo;
    }

    @Override // a.g.f.a.b
    public a.g.l.b a() {
        return this.B;
    }

    @Override // a.g.f.a.b
    public a.g.f.a.b a(a.g.l.b bVar) {
        a.g.l.b bVar2 = this.B;
        if (bVar2 != null) {
            bVar2.f();
        }
        this.A = null;
        this.B = bVar;
        this.n.b(true);
        a.g.l.b bVar3 = this.B;
        if (bVar3 != null) {
            bVar3.a(new a());
        }
        return this;
    }

    public void a(boolean z2) {
        this.D = z2;
        this.n.b(false);
    }

    /* access modifiers changed from: package-private */
    public boolean e(boolean z2) {
        int i2 = this.y;
        this.y = (z2 ? 0 : 8) | (i2 & -9);
        if (i2 != this.y) {
            return true;
        }
        return false;
    }
}
