package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.ActionProvider;
import android.view.CollapsibleActionView;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.widget.FrameLayout;
import java.lang.reflect.Method;

/* compiled from: MenuItemWrapperICS */
public class y extends f<a.g.f.a.b> implements MenuItem {

    /* renamed from: e  reason: collision with root package name */
    private Method f978e;

    /* access modifiers changed from: package-private */
    /* compiled from: MenuItemWrapperICS */
    public class a extends a.g.l.b {

        /* renamed from: c  reason: collision with root package name */
        final ActionProvider f979c;

        public a(Context context, ActionProvider actionProvider) {
            super(context);
            this.f979c = actionProvider;
        }

        @Override // a.g.l.b
        public boolean a() {
            return this.f979c.hasSubMenu();
        }

        @Override // a.g.l.b
        public View c() {
            return this.f979c.onCreateActionView();
        }

        @Override // a.g.l.b
        public boolean d() {
            return this.f979c.onPerformDefaultAction();
        }

        @Override // a.g.l.b
        public void a(SubMenu subMenu) {
            this.f979c.onPrepareSubMenu(y.this.a(subMenu));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    static class b extends FrameLayout implements a.a.n.c {

        /* renamed from: a  reason: collision with root package name */
        final CollapsibleActionView f981a;

        b(View view) {
            super(view.getContext());
            this.f981a = (CollapsibleActionView) view;
            addView(view);
        }

        /* access modifiers changed from: package-private */
        public View a() {
            return (View) this.f981a;
        }

        @Override // a.a.n.c
        public void b() {
            this.f981a.onActionViewExpanded();
        }

        @Override // a.a.n.c
        public void c() {
            this.f981a.onActionViewCollapsed();
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class c extends g<MenuItem.OnActionExpandListener> implements MenuItem.OnActionExpandListener {
        c(MenuItem.OnActionExpandListener onActionExpandListener) {
            super(onActionExpandListener);
        }

        public boolean onMenuItemActionCollapse(MenuItem menuItem) {
            return this.f903a.onMenuItemActionCollapse(y.this.a(menuItem));
        }

        public boolean onMenuItemActionExpand(MenuItem menuItem) {
            return this.f903a.onMenuItemActionExpand(y.this.a(menuItem));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class d extends g<MenuItem.OnMenuItemClickListener> implements MenuItem.OnMenuItemClickListener {
        d(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
            super(onMenuItemClickListener);
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            return this.f903a.onMenuItemClick(y.this.a(menuItem));
        }
    }

    y(Context context, a.g.f.a.b bVar) {
        super(context, bVar);
    }

    public void a(boolean z) {
        try {
            if (this.f978e == null) {
                this.f978e = this.f903a.getClass().getDeclaredMethod("setExclusiveCheckable", Boolean.TYPE);
            }
            this.f978e.invoke(this.f903a, Boolean.valueOf(z));
        } catch (Exception e2) {
            Log.w("MenuItemWrapper", "Error while calling setExclusiveCheckable", e2);
        }
    }

    public boolean collapseActionView() {
        return this.f903a.collapseActionView();
    }

    public boolean expandActionView() {
        return this.f903a.expandActionView();
    }

    public ActionProvider getActionProvider() {
        a.g.l.b a2 = this.f903a.a();
        if (a2 instanceof a) {
            return ((a) a2).f979c;
        }
        return null;
    }

    public View getActionView() {
        View actionView = this.f903a.getActionView();
        return actionView instanceof b ? ((b) actionView).a() : actionView;
    }

    public int getAlphabeticModifiers() {
        return this.f903a.getAlphabeticModifiers();
    }

    public char getAlphabeticShortcut() {
        return this.f903a.getAlphabeticShortcut();
    }

    public CharSequence getContentDescription() {
        return this.f903a.getContentDescription();
    }

    public int getGroupId() {
        return this.f903a.getGroupId();
    }

    public Drawable getIcon() {
        return this.f903a.getIcon();
    }

    public ColorStateList getIconTintList() {
        return this.f903a.getIconTintList();
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f903a.getIconTintMode();
    }

    public Intent getIntent() {
        return this.f903a.getIntent();
    }

    public int getItemId() {
        return this.f903a.getItemId();
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f903a.getMenuInfo();
    }

    public int getNumericModifiers() {
        return this.f903a.getNumericModifiers();
    }

    public char getNumericShortcut() {
        return this.f903a.getNumericShortcut();
    }

    public int getOrder() {
        return this.f903a.getOrder();
    }

    public SubMenu getSubMenu() {
        return a(this.f903a.getSubMenu());
    }

    public CharSequence getTitle() {
        return this.f903a.getTitle();
    }

    public CharSequence getTitleCondensed() {
        return this.f903a.getTitleCondensed();
    }

    public CharSequence getTooltipText() {
        return this.f903a.getTooltipText();
    }

    public boolean hasSubMenu() {
        return this.f903a.hasSubMenu();
    }

    public boolean isActionViewExpanded() {
        return this.f903a.isActionViewExpanded();
    }

    public boolean isCheckable() {
        return this.f903a.isCheckable();
    }

    public boolean isChecked() {
        return this.f903a.isChecked();
    }

    public boolean isEnabled() {
        return this.f903a.isEnabled();
    }

    public boolean isVisible() {
        return this.f903a.isVisible();
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        this.f903a.a(actionProvider != null ? a(actionProvider) : null);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(View view) {
        if (view instanceof CollapsibleActionView) {
            view = new b(view);
        }
        this.f903a.setActionView(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        this.f903a.setAlphabeticShortcut(c2);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        this.f903a.setCheckable(z);
        return this;
    }

    public MenuItem setChecked(boolean z) {
        this.f903a.setChecked(z);
        return this;
    }

    public MenuItem setContentDescription(CharSequence charSequence) {
        this.f903a.setContentDescription(charSequence);
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        this.f903a.setEnabled(z);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f903a.setIcon(drawable);
        return this;
    }

    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f903a.setIconTintList(colorStateList);
        return this;
    }

    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f903a.setIconTintMode(mode);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f903a.setIntent(intent);
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        this.f903a.setNumericShortcut(c2);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.f903a.setOnActionExpandListener(onActionExpandListener != null ? new c(onActionExpandListener) : null);
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.f903a.setOnMenuItemClickListener(onMenuItemClickListener != null ? new d(onMenuItemClickListener) : null);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.f903a.setShortcut(c2, c3);
        return this;
    }

    public void setShowAsAction(int i2) {
        this.f903a.setShowAsAction(i2);
    }

    public MenuItem setShowAsActionFlags(int i2) {
        this.f903a.setShowAsActionFlags(i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f903a.setTitle(charSequence);
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f903a.setTitleCondensed(charSequence);
        return this;
    }

    public MenuItem setTooltipText(CharSequence charSequence) {
        this.f903a.setTooltipText(charSequence);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        return this.f903a.setVisible(z);
    }

    public MenuItem setAlphabeticShortcut(char c2, int i2) {
        this.f903a.setAlphabeticShortcut(c2, i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i2) {
        this.f903a.setIcon(i2);
        return this;
    }

    public MenuItem setNumericShortcut(char c2, int i2) {
        this.f903a.setNumericShortcut(c2, i2);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3, int i2, int i3) {
        this.f903a.setShortcut(c2, c3, i2, i3);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i2) {
        this.f903a.setTitle(i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(int i2) {
        this.f903a.setActionView(i2);
        View actionView = this.f903a.getActionView();
        if (actionView instanceof CollapsibleActionView) {
            this.f903a.setActionView(new b(actionView));
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public a a(ActionProvider actionProvider) {
        return new a(this.f900b, actionProvider);
    }
}
