package androidx.appcompat.widget;

import a.a.f;
import a.a.j;
import a.g.l.x;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;

public class ActionBarContainer extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private boolean f985a;

    /* renamed from: b  reason: collision with root package name */
    private View f986b;

    /* renamed from: c  reason: collision with root package name */
    private View f987c;

    /* renamed from: d  reason: collision with root package name */
    private View f988d;

    /* renamed from: e  reason: collision with root package name */
    Drawable f989e;

    /* renamed from: f  reason: collision with root package name */
    Drawable f990f;

    /* renamed from: g  reason: collision with root package name */
    Drawable f991g;

    /* renamed from: h  reason: collision with root package name */
    boolean f992h;

    /* renamed from: i  reason: collision with root package name */
    boolean f993i;

    /* renamed from: j  reason: collision with root package name */
    private int f994j;

    public ActionBarContainer(Context context) {
        this(context, null);
    }

    private int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    private boolean b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f989e;
        if (drawable != null && drawable.isStateful()) {
            this.f989e.setState(getDrawableState());
        }
        Drawable drawable2 = this.f990f;
        if (drawable2 != null && drawable2.isStateful()) {
            this.f990f.setState(getDrawableState());
        }
        Drawable drawable3 = this.f991g;
        if (drawable3 != null && drawable3.isStateful()) {
            this.f991g.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.f986b;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f989e;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f990f;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.f991g;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.f987c = findViewById(f.action_bar);
        this.f988d = findViewById(f.action_context_bar);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f985a || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        Drawable drawable;
        super.onLayout(z, i2, i3, i4, i5);
        View view = this.f986b;
        boolean z2 = true;
        boolean z3 = false;
        boolean z4 = (view == null || view.getVisibility() == 8) ? false : true;
        if (!(view == null || view.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
            view.layout(i2, (measuredHeight - view.getMeasuredHeight()) - layoutParams.bottomMargin, i4, measuredHeight - layoutParams.bottomMargin);
        }
        if (this.f992h) {
            Drawable drawable2 = this.f991g;
            if (drawable2 != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z2 = false;
            }
        } else {
            if (this.f989e != null) {
                if (this.f987c.getVisibility() == 0) {
                    this.f989e.setBounds(this.f987c.getLeft(), this.f987c.getTop(), this.f987c.getRight(), this.f987c.getBottom());
                } else {
                    View view2 = this.f988d;
                    if (view2 == null || view2.getVisibility() != 0) {
                        this.f989e.setBounds(0, 0, 0, 0);
                    } else {
                        this.f989e.setBounds(this.f988d.getLeft(), this.f988d.getTop(), this.f988d.getRight(), this.f988d.getBottom());
                    }
                }
                z3 = true;
            }
            this.f993i = z4;
            if (!z4 || (drawable = this.f990f) == null) {
                z2 = z3;
            } else {
                drawable.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        }
        if (z2) {
            invalidate();
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        if (this.f987c == null && View.MeasureSpec.getMode(i3) == Integer.MIN_VALUE && (i5 = this.f994j) >= 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(Math.min(i5, View.MeasureSpec.getSize(i3)), Integer.MIN_VALUE);
        }
        super.onMeasure(i2, i3);
        if (this.f987c != null) {
            int mode = View.MeasureSpec.getMode(i3);
            View view = this.f986b;
            if (view != null && view.getVisibility() != 8 && mode != 1073741824) {
                if (!b(this.f987c)) {
                    i4 = a(this.f987c);
                } else {
                    i4 = !b(this.f988d) ? a(this.f988d) : 0;
                }
                setMeasuredDimension(getMeasuredWidth(), Math.min(i4 + a(this.f986b), mode == Integer.MIN_VALUE ? View.MeasureSpec.getSize(i3) : Integer.MAX_VALUE));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.f989e;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.f989e);
        }
        this.f989e = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f987c;
            if (view != null) {
                this.f989e.setBounds(view.getLeft(), this.f987c.getTop(), this.f987c.getRight(), this.f987c.getBottom());
            }
        }
        boolean z = true;
        if (!this.f992h ? !(this.f989e == null && this.f990f == null) : this.f991g != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f991g;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.f991g);
        }
        this.f991g = drawable;
        boolean z = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f992h && (drawable2 = this.f991g) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.f992h ? this.f989e == null && this.f990f == null : this.f991g == null) {
            z = true;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f990f;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.f990f);
        }
        this.f990f = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f993i && (drawable2 = this.f990f) != null) {
                drawable2.setBounds(this.f986b.getLeft(), this.f986b.getTop(), this.f986b.getRight(), this.f986b.getBottom());
            }
        }
        boolean z = true;
        if (!this.f992h ? !(this.f989e == null && this.f990f == null) : this.f991g != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
    }

    public void setTabContainer(ScrollingTabContainerView scrollingTabContainerView) {
        View view = this.f986b;
        if (view != null) {
            removeView(view);
        }
        this.f986b = scrollingTabContainerView;
        if (scrollingTabContainerView != null) {
            addView(scrollingTabContainerView);
            ViewGroup.LayoutParams layoutParams = scrollingTabContainerView.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            scrollingTabContainerView.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z) {
        this.f985a = z;
        setDescendantFocusability(z ? 393216 : 262144);
    }

    public void setVisibility(int i2) {
        super.setVisibility(i2);
        boolean z = i2 == 0;
        Drawable drawable = this.f989e;
        if (drawable != null) {
            drawable.setVisible(z, false);
        }
        Drawable drawable2 = this.f990f;
        if (drawable2 != null) {
            drawable2.setVisible(z, false);
        }
        Drawable drawable3 = this.f991g;
        if (drawable3 != null) {
            drawable3.setVisible(z, false);
        }
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i2) {
        if (i2 != 0) {
            return super.startActionModeForChild(view, callback, i2);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f989e && !this.f992h) || (drawable == this.f990f && this.f993i) || ((drawable == this.f991g && this.f992h) || super.verifyDrawable(drawable));
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        x.a(this, new b(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ActionBar);
        this.f989e = obtainStyledAttributes.getDrawable(j.ActionBar_background);
        this.f990f = obtainStyledAttributes.getDrawable(j.ActionBar_backgroundStacked);
        this.f994j = obtainStyledAttributes.getDimensionPixelSize(j.ActionBar_height, -1);
        if (getId() == f.split_action_bar) {
            this.f992h = true;
            this.f991g = obtainStyledAttributes.getDrawable(j.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        boolean z = false;
        if (!this.f992h ? this.f989e == null && this.f990f == null : this.f991g == null) {
            z = true;
        }
        setWillNotDraw(z);
    }
}
