package androidx.appcompat.widget;

import a.a.j;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.model.Event;
import j.a.a.a;
import j.a.b.b.b;
import java.lang.ref.WeakReference;

public final class ViewStubCompat extends View {

    /* renamed from: f  reason: collision with root package name */
    private static final /* synthetic */ a.AbstractC0243a f1208f = null;

    /* renamed from: a  reason: collision with root package name */
    private int f1209a;

    /* renamed from: b  reason: collision with root package name */
    private int f1210b;

    /* renamed from: c  reason: collision with root package name */
    private WeakReference<View> f1211c;

    /* renamed from: d  reason: collision with root package name */
    private LayoutInflater f1212d;

    /* renamed from: e  reason: collision with root package name */
    private a f1213e;

    public interface a {
        void a(ViewStubCompat viewStubCompat, View view);
    }

    static {
        b();
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    private static /* synthetic */ void b() {
        b bVar = new b("ViewStubCompat.java", ViewStubCompat.class);
        f1208f = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 207);
    }

    public View a() {
        ViewParent parent = getParent();
        if (parent == null || !(parent instanceof ViewGroup)) {
            throw new IllegalStateException("ViewStub must have a non-null ViewGroup viewParent");
        } else if (this.f1209a != 0) {
            ViewGroup viewGroup = (ViewGroup) parent;
            LayoutInflater layoutInflater = this.f1212d;
            if (layoutInflater == null) {
                layoutInflater = LayoutInflater.from(getContext());
            }
            int i2 = this.f1209a;
            j.a.a.a a2 = b.a(f1208f, (Object) this, (Object) layoutInflater, new Object[]{j.a.b.a.b.a(i2), viewGroup, j.a.b.a.b.a(false)});
            View view = (View) d.h.a.a.b().a(new z0(new Object[]{this, layoutInflater, j.a.b.a.b.a(i2), viewGroup, j.a.b.a.b.a(false), a2}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING));
            int i3 = this.f1210b;
            if (i3 != -1) {
                view.setId(i3);
            }
            int indexOfChild = viewGroup.indexOfChild(this);
            viewGroup.removeViewInLayout(this);
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams != null) {
                viewGroup.addView(view, indexOfChild, layoutParams);
            } else {
                viewGroup.addView(view, indexOfChild);
            }
            this.f1211c = new WeakReference<>(view);
            a aVar = this.f1213e;
            if (aVar != null) {
                aVar.a(this, view);
            }
            return view;
        } else {
            throw new IllegalArgumentException("ViewStub must have a valid layoutResource");
        }
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
    }

    @SuppressLint({"MissingSuperCall"})
    public void draw(Canvas canvas) {
    }

    public int getInflatedId() {
        return this.f1210b;
    }

    public LayoutInflater getLayoutInflater() {
        return this.f1212d;
    }

    public int getLayoutResource() {
        return this.f1209a;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        setMeasuredDimension(0, 0);
    }

    public void setInflatedId(int i2) {
        this.f1210b = i2;
    }

    public void setLayoutInflater(LayoutInflater layoutInflater) {
        this.f1212d = layoutInflater;
    }

    public void setLayoutResource(int i2) {
        this.f1209a = i2;
    }

    public void setOnInflateListener(a aVar) {
        this.f1213e = aVar;
    }

    public void setVisibility(int i2) {
        WeakReference<View> weakReference = this.f1211c;
        if (weakReference != null) {
            View view = weakReference.get();
            if (view != null) {
                view.setVisibility(i2);
                return;
            }
            throw new IllegalStateException("setVisibility called on un-referenced view");
        }
        super.setVisibility(i2);
        if (i2 == 0 || i2 == 4) {
            a();
        }
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1209a = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ViewStubCompat, i2, 0);
        this.f1210b = obtainStyledAttributes.getResourceId(j.ViewStubCompat_android_inflatedId, -1);
        this.f1209a = obtainStyledAttributes.getResourceId(j.ViewStubCompat_android_layout, 0);
        setId(obtainStyledAttributes.getResourceId(j.ViewStubCompat_android_id, -1));
        obtainStyledAttributes.recycle();
        setVisibility(8);
        setWillNotDraw(true);
    }
}
