package androidx.appcompat.widget;

import a.d.h;
import a.n.a.a.i;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: AppCompatDrawableManager */
public final class n {

    /* renamed from: g  reason: collision with root package name */
    private static final PorterDuff.Mode f1292g = PorterDuff.Mode.SRC_IN;

    /* renamed from: h  reason: collision with root package name */
    private static n f1293h;

    /* renamed from: i  reason: collision with root package name */
    private static final c f1294i = new c(6);

    /* renamed from: j  reason: collision with root package name */
    private static final int[] f1295j = {a.a.e.abc_textfield_search_default_mtrl_alpha, a.a.e.abc_textfield_default_mtrl_alpha, a.a.e.abc_ab_share_pack_mtrl_alpha};
    private static final int[] k = {a.a.e.abc_ic_commit_search_api_mtrl_alpha, a.a.e.abc_seekbar_tick_mark_material, a.a.e.abc_ic_menu_share_mtrl_alpha, a.a.e.abc_ic_menu_copy_mtrl_am_alpha, a.a.e.abc_ic_menu_cut_mtrl_alpha, a.a.e.abc_ic_menu_selectall_mtrl_alpha, a.a.e.abc_ic_menu_paste_mtrl_am_alpha};
    private static final int[] l = {a.a.e.abc_textfield_activated_mtrl_alpha, a.a.e.abc_textfield_search_activated_mtrl_alpha, a.a.e.abc_cab_background_top_mtrl_alpha, a.a.e.abc_text_cursor_material, a.a.e.abc_text_select_handle_left_mtrl_dark, a.a.e.abc_text_select_handle_middle_mtrl_dark, a.a.e.abc_text_select_handle_right_mtrl_dark, a.a.e.abc_text_select_handle_left_mtrl_light, a.a.e.abc_text_select_handle_middle_mtrl_light, a.a.e.abc_text_select_handle_right_mtrl_light};
    private static final int[] m = {a.a.e.abc_popup_background_mtrl_mult, a.a.e.abc_cab_background_internal_bg, a.a.e.abc_menu_hardkey_panel_mtrl_mult};
    private static final int[] n = {a.a.e.abc_tab_indicator_material, a.a.e.abc_textfield_search_material};
    private static final int[] o = {a.a.e.abc_btn_check_material, a.a.e.abc_btn_radio_material};

    /* renamed from: a  reason: collision with root package name */
    private WeakHashMap<Context, h<ColorStateList>> f1296a;

    /* renamed from: b  reason: collision with root package name */
    private a.d.a<String, d> f1297b;

    /* renamed from: c  reason: collision with root package name */
    private h<String> f1298c;

    /* renamed from: d  reason: collision with root package name */
    private final WeakHashMap<Context, a.d.d<WeakReference<Drawable.ConstantState>>> f1299d = new WeakHashMap<>(0);

    /* renamed from: e  reason: collision with root package name */
    private TypedValue f1300e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f1301f;

    /* access modifiers changed from: package-private */
    /* compiled from: AppCompatDrawableManager */
    public static class a implements d {
        a() {
        }

        @Override // androidx.appcompat.widget.n.d
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return a.a.l.a.a.b(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public static class b implements d {
        b() {
        }

        @Override // androidx.appcompat.widget.n.d
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return a.n.a.a.c.a(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public static class c extends a.d.e<Integer, PorterDuffColorFilter> {
        public c(int i2) {
            super(i2);
        }

        private static int b(int i2, PorterDuff.Mode mode) {
            return ((i2 + 31) * 31) + mode.hashCode();
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter a(int i2, PorterDuff.Mode mode) {
            return (PorterDuffColorFilter) b(Integer.valueOf(b(i2, mode)));
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter a(int i2, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return (PorterDuffColorFilter) a(Integer.valueOf(b(i2, mode)), porterDuffColorFilter);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public interface d {
        Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public static class e implements d {
        e() {
        }

        @Override // androidx.appcompat.widget.n.d
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return i.createFromXmlInner(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e2);
                return null;
            }
        }
    }

    public static synchronized n a() {
        n nVar;
        synchronized (n.class) {
            if (f1293h == null) {
                f1293h = new n();
                a(f1293h);
            }
            nVar = f1293h;
        }
        return nVar;
    }

    private ColorStateList c(Context context) {
        return c(context, k0.b(context, a.a.a.colorAccent));
    }

    private Drawable d(Context context, int i2) {
        if (this.f1300e == null) {
            this.f1300e = new TypedValue();
        }
        TypedValue typedValue = this.f1300e;
        context.getResources().getValue(i2, typedValue, true);
        long a2 = a(typedValue);
        Drawable a3 = a(context, a2);
        if (a3 != null) {
            return a3;
        }
        if (i2 == a.a.e.abc_cab_background_top_material) {
            a3 = new LayerDrawable(new Drawable[]{a(context, a.a.e.abc_cab_background_internal_bg), a(context, a.a.e.abc_cab_background_top_mtrl_alpha)});
        }
        if (a3 != null) {
            a3.setChangingConfigurations(typedValue.changingConfigurations);
            a(context, a2, a3);
        }
        return a3;
    }

    private ColorStateList e(Context context, int i2) {
        h<ColorStateList> hVar;
        WeakHashMap<Context, h<ColorStateList>> weakHashMap = this.f1296a;
        if (weakHashMap == null || (hVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return hVar.a(i2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0073 A[Catch:{ Exception -> 0x00a2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x009a A[Catch:{ Exception -> 0x00a2 }] */
    private Drawable f(Context context, int i2) {
        int next;
        a.d.a<String, d> aVar = this.f1297b;
        if (aVar == null || aVar.isEmpty()) {
            return null;
        }
        h<String> hVar = this.f1298c;
        if (hVar != null) {
            String a2 = hVar.a(i2);
            if ("appcompat_skip_skip".equals(a2) || (a2 != null && this.f1297b.get(a2) == null)) {
                return null;
            }
        } else {
            this.f1298c = new h<>();
        }
        if (this.f1300e == null) {
            this.f1300e = new TypedValue();
        }
        TypedValue typedValue = this.f1300e;
        Resources resources = context.getResources();
        resources.getValue(i2, typedValue, true);
        long a3 = a(typedValue);
        Drawable a4 = a(context, a3);
        if (a4 != null) {
            return a4;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i2);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        if (next != 2) {
                            String name = xml.getName();
                            this.f1298c.a(i2, name);
                            d dVar = this.f1297b.get(name);
                            if (dVar != null) {
                                a4 = dVar.a(context, xml, asAttributeSet, context.getTheme());
                            }
                            if (a4 != null) {
                                a4.setChangingConfigurations(typedValue.changingConfigurations);
                                a(context, a3, a4);
                            }
                        } else {
                            throw new XmlPullParserException("No start tag found");
                        }
                    }
                }
                if (next != 2) {
                }
            } catch (Exception e2) {
                Log.e("AppCompatDrawableManag", "Exception while inflating drawable", e2);
            }
        }
        if (a4 == null) {
            this.f1298c.a(i2, "appcompat_skip_skip");
        }
        return a4;
    }

    /* access modifiers changed from: package-private */
    public synchronized ColorStateList b(Context context, int i2) {
        ColorStateList e2;
        e2 = e(context, i2);
        if (e2 == null) {
            if (i2 == a.a.e.abc_edit_text_material) {
                e2 = a.a.k.a.a.b(context, a.a.c.abc_tint_edittext);
            } else if (i2 == a.a.e.abc_switch_track_mtrl_alpha) {
                e2 = a.a.k.a.a.b(context, a.a.c.abc_tint_switch_track);
            } else if (i2 == a.a.e.abc_switch_thumb_material) {
                e2 = e(context);
            } else if (i2 == a.a.e.abc_btn_default_mtrl_shape) {
                e2 = d(context);
            } else if (i2 == a.a.e.abc_btn_borderless_material) {
                e2 = b(context);
            } else if (i2 == a.a.e.abc_btn_colored_material) {
                e2 = c(context);
            } else {
                if (i2 != a.a.e.abc_spinner_mtrl_am_alpha) {
                    if (i2 != a.a.e.abc_spinner_textfield_background_material) {
                        if (a(k, i2)) {
                            e2 = k0.c(context, a.a.a.colorControlNormal);
                        } else if (a(n, i2)) {
                            e2 = a.a.k.a.a.b(context, a.a.c.abc_tint_default);
                        } else if (a(o, i2)) {
                            e2 = a.a.k.a.a.b(context, a.a.c.abc_tint_btn_checkable);
                        } else if (i2 == a.a.e.abc_seekbar_thumb_material) {
                            e2 = a.a.k.a.a.b(context, a.a.c.abc_tint_seek_thumb);
                        }
                    }
                }
                e2 = a.a.k.a.a.b(context, a.a.c.abc_tint_spinner);
            }
            if (e2 != null) {
                a(context, i2, e2);
            }
        }
        return e2;
    }

    private ColorStateList c(Context context, int i2) {
        int b2 = k0.b(context, a.a.a.colorControlHighlight);
        int a2 = k0.a(context, a.a.a.colorButtonNormal);
        return new ColorStateList(new int[][]{k0.f1270b, k0.f1272d, k0.f1271c, k0.f1274f}, new int[]{a2, a.g.e.a.b(b2, i2), a.g.e.a.b(b2, i2), i2});
    }

    private ColorStateList e(Context context) {
        int[][] iArr = new int[3][];
        int[] iArr2 = new int[3];
        ColorStateList c2 = k0.c(context, a.a.a.colorSwitchThumbNormal);
        if (c2 == null || !c2.isStateful()) {
            iArr[0] = k0.f1270b;
            iArr2[0] = k0.a(context, a.a.a.colorSwitchThumbNormal);
            iArr[1] = k0.f1273e;
            iArr2[1] = k0.b(context, a.a.a.colorControlActivated);
            iArr[2] = k0.f1274f;
            iArr2[2] = k0.b(context, a.a.a.colorSwitchThumbNormal);
        } else {
            iArr[0] = k0.f1270b;
            iArr2[0] = c2.getColorForState(iArr[0], 0);
            iArr[1] = k0.f1273e;
            iArr2[1] = k0.b(context, a.a.a.colorControlActivated);
            iArr[2] = k0.f1274f;
            iArr2[2] = c2.getDefaultColor();
        }
        return new ColorStateList(iArr, iArr2);
    }

    private static void a(n nVar) {
        if (Build.VERSION.SDK_INT < 24) {
            nVar.a("vector", new e());
            nVar.a("animated-vector", new b());
            nVar.a("animated-selector", new a());
        }
    }

    public synchronized Drawable a(Context context, int i2) {
        return a(context, i2, false);
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable a(Context context, int i2, boolean z) {
        Drawable f2;
        a(context);
        f2 = f(context, i2);
        if (f2 == null) {
            f2 = d(context, i2);
        }
        if (f2 == null) {
            f2 = a.g.d.a.c(context, i2);
        }
        if (f2 != null) {
            f2 = a(context, i2, z, f2);
        }
        if (f2 != null) {
            x.b(f2);
        }
        return f2;
    }

    private ColorStateList d(Context context) {
        return c(context, k0.b(context, a.a.a.colorButtonNormal));
    }

    private static long a(TypedValue typedValue) {
        return (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
    }

    private Drawable a(Context context, int i2, boolean z, Drawable drawable) {
        ColorStateList b2 = b(context, i2);
        if (b2 != null) {
            if (x.a(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable i3 = androidx.core.graphics.drawable.a.i(drawable);
            androidx.core.graphics.drawable.a.a(i3, b2);
            PorterDuff.Mode a2 = a(i2);
            if (a2 == null) {
                return i3;
            }
            androidx.core.graphics.drawable.a.a(i3, a2);
            return i3;
        } else if (i2 == a.a.e.abc_seekbar_track_material) {
            LayerDrawable layerDrawable = (LayerDrawable) drawable;
            a(layerDrawable.findDrawableByLayerId(16908288), k0.b(context, a.a.a.colorControlNormal), f1292g);
            a(layerDrawable.findDrawableByLayerId(16908303), k0.b(context, a.a.a.colorControlNormal), f1292g);
            a(layerDrawable.findDrawableByLayerId(16908301), k0.b(context, a.a.a.colorControlActivated), f1292g);
            return drawable;
        } else if (i2 == a.a.e.abc_ratingbar_material || i2 == a.a.e.abc_ratingbar_indicator_material || i2 == a.a.e.abc_ratingbar_small_material) {
            LayerDrawable layerDrawable2 = (LayerDrawable) drawable;
            a(layerDrawable2.findDrawableByLayerId(16908288), k0.a(context, a.a.a.colorControlNormal), f1292g);
            a(layerDrawable2.findDrawableByLayerId(16908303), k0.b(context, a.a.a.colorControlActivated), f1292g);
            a(layerDrawable2.findDrawableByLayerId(16908301), k0.b(context, a.a.a.colorControlActivated), f1292g);
            return drawable;
        } else if (a(context, i2, drawable) || !z) {
            return drawable;
        } else {
            return null;
        }
    }

    private ColorStateList b(Context context) {
        return c(context, 0);
    }

    private synchronized Drawable a(Context context, long j2) {
        a.d.d<WeakReference<Drawable.ConstantState>> dVar = this.f1299d.get(context);
        if (dVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> c2 = dVar.c(j2);
        if (c2 != null) {
            Drawable.ConstantState constantState = c2.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            dVar.b(j2);
        }
        return null;
    }

    private synchronized boolean a(Context context, long j2, Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState == null) {
            return false;
        }
        a.d.d<WeakReference<Drawable.ConstantState>> dVar = this.f1299d.get(context);
        if (dVar == null) {
            dVar = new a.d.d<>();
            this.f1299d.put(context, dVar);
        }
        dVar.c(j2, new WeakReference<>(constantState));
        return true;
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable a(Context context, y0 y0Var, int i2) {
        Drawable f2 = f(context, i2);
        if (f2 == null) {
            f2 = y0Var.a(i2);
        }
        if (f2 == null) {
            return null;
        }
        return a(context, i2, false, f2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0046  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0061 A[RETURN] */
    static boolean a(Context context, int i2, Drawable drawable) {
        boolean z;
        int i3;
        PorterDuff.Mode mode = f1292g;
        int i4 = 16842801;
        if (a(f1295j, i2)) {
            i4 = a.a.a.colorControlNormal;
        } else if (a(l, i2)) {
            i4 = a.a.a.colorControlActivated;
        } else if (a(m, i2)) {
            mode = PorterDuff.Mode.MULTIPLY;
        } else {
            if (i2 == a.a.e.abc_list_divider_mtrl_alpha) {
                i4 = 16842800;
                i3 = Math.round(40.8f);
                z = true;
            } else if (i2 != a.a.e.abc_dialog_material_background) {
                z = false;
                i3 = -1;
                i4 = 0;
            }
            if (z) {
                return false;
            }
            if (x.a(drawable)) {
                drawable = drawable.mutate();
            }
            drawable.setColorFilter(a(k0.b(context, i4), mode));
            if (i3 != -1) {
                drawable.setAlpha(i3);
            }
            return true;
        }
        z = true;
        i3 = -1;
        if (z) {
        }
    }

    private void a(String str, d dVar) {
        if (this.f1297b == null) {
            this.f1297b = new a.d.a<>();
        }
        this.f1297b.put(str, dVar);
    }

    private static boolean a(int[] iArr, int i2) {
        for (int i3 : iArr) {
            if (i3 == i2) {
                return true;
            }
        }
        return false;
    }

    static PorterDuff.Mode a(int i2) {
        if (i2 == a.a.e.abc_switch_thumb_material) {
            return PorterDuff.Mode.MULTIPLY;
        }
        return null;
    }

    private void a(Context context, int i2, ColorStateList colorStateList) {
        if (this.f1296a == null) {
            this.f1296a = new WeakHashMap<>();
        }
        h<ColorStateList> hVar = this.f1296a.get(context);
        if (hVar == null) {
            hVar = new h<>();
            this.f1296a.put(context, hVar);
        }
        hVar.a(i2, colorStateList);
    }

    static void a(Drawable drawable, n0 n0Var, int[] iArr) {
        if (!x.a(drawable) || drawable.mutate() == drawable) {
            if (n0Var.f1305d || n0Var.f1304c) {
                drawable.setColorFilter(a(n0Var.f1305d ? n0Var.f1302a : null, n0Var.f1304c ? n0Var.f1303b : f1292g, iArr));
            } else {
                drawable.clearColorFilter();
            }
            if (Build.VERSION.SDK_INT <= 23) {
                drawable.invalidateSelf();
                return;
            }
            return;
        }
        Log.d("AppCompatDrawableManag", "Mutated drawable is not the same instance as the input.");
    }

    private static PorterDuffColorFilter a(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return a(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static synchronized PorterDuffColorFilter a(int i2, PorterDuff.Mode mode) {
        PorterDuffColorFilter a2;
        synchronized (n.class) {
            a2 = f1294i.a(i2, mode);
            if (a2 == null) {
                a2 = new PorterDuffColorFilter(i2, mode);
                f1294i.a(i2, mode, a2);
            }
        }
        return a2;
    }

    private static void a(Drawable drawable, int i2, PorterDuff.Mode mode) {
        if (x.a(drawable)) {
            drawable = drawable.mutate();
        }
        if (mode == null) {
            mode = f1292g;
        }
        drawable.setColorFilter(a(i2, mode));
    }

    private void a(Context context) {
        if (!this.f1301f) {
            this.f1301f = true;
            Drawable a2 = a(context, a.a.e.abc_vector_test);
            if (a2 == null || !a(a2)) {
                this.f1301f = false;
                throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
            }
        }
    }

    private static boolean a(Drawable drawable) {
        return (drawable instanceof i) || "android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName());
    }
}
