package androidx.appcompat.widget;

import a.a.j;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.widget.TextView;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;

/* access modifiers changed from: package-private */
/* compiled from: AppCompatTextViewAutoSizeHelper */
public class u {
    private static final RectF k = new RectF();
    private static ConcurrentHashMap<String, Method> l = new ConcurrentHashMap<>();

    /* renamed from: a  reason: collision with root package name */
    private int f1351a = 0;

    /* renamed from: b  reason: collision with root package name */
    private boolean f1352b = false;

    /* renamed from: c  reason: collision with root package name */
    private float f1353c = -1.0f;

    /* renamed from: d  reason: collision with root package name */
    private float f1354d = -1.0f;

    /* renamed from: e  reason: collision with root package name */
    private float f1355e = -1.0f;

    /* renamed from: f  reason: collision with root package name */
    private int[] f1356f = new int[0];

    /* renamed from: g  reason: collision with root package name */
    private boolean f1357g = false;

    /* renamed from: h  reason: collision with root package name */
    private TextPaint f1358h;

    /* renamed from: i  reason: collision with root package name */
    private final TextView f1359i;

    /* renamed from: j  reason: collision with root package name */
    private final Context f1360j;

    u(TextView textView) {
        this.f1359i = textView;
        this.f1360j = this.f1359i.getContext();
    }

    private void h() {
        this.f1351a = 0;
        this.f1354d = -1.0f;
        this.f1355e = -1.0f;
        this.f1353c = -1.0f;
        this.f1356f = new int[0];
        this.f1352b = false;
    }

    private boolean i() {
        if (!k() || this.f1351a != 1) {
            this.f1352b = false;
        } else {
            if (!this.f1357g || this.f1356f.length == 0) {
                float round = (float) Math.round(this.f1354d);
                int i2 = 1;
                while (Math.round(this.f1353c + round) <= Math.round(this.f1355e)) {
                    i2++;
                    round += this.f1353c;
                }
                int[] iArr = new int[i2];
                float f2 = this.f1354d;
                for (int i3 = 0; i3 < i2; i3++) {
                    iArr[i3] = Math.round(f2);
                    f2 += this.f1353c;
                }
                this.f1356f = a(iArr);
            }
            this.f1352b = true;
        }
        return this.f1352b;
    }

    private boolean j() {
        int length = this.f1356f.length;
        this.f1357g = length > 0;
        if (this.f1357g) {
            this.f1351a = 1;
            int[] iArr = this.f1356f;
            this.f1354d = (float) iArr[0];
            this.f1355e = (float) iArr[length - 1];
            this.f1353c = -1.0f;
        }
        return this.f1357g;
    }

    private boolean k() {
        return !(this.f1359i instanceof AppCompatEditText);
    }

    /* access modifiers changed from: package-private */
    public void a(AttributeSet attributeSet, int i2) {
        int resourceId;
        TypedArray obtainStyledAttributes = this.f1360j.obtainStyledAttributes(attributeSet, j.AppCompatTextView, i2, 0);
        if (obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeTextType)) {
            this.f1351a = obtainStyledAttributes.getInt(j.AppCompatTextView_autoSizeTextType, 0);
        }
        float dimension = obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeStepGranularity) ? obtainStyledAttributes.getDimension(j.AppCompatTextView_autoSizeStepGranularity, -1.0f) : -1.0f;
        float dimension2 = obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeMinTextSize) ? obtainStyledAttributes.getDimension(j.AppCompatTextView_autoSizeMinTextSize, -1.0f) : -1.0f;
        float dimension3 = obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizeMaxTextSize) ? obtainStyledAttributes.getDimension(j.AppCompatTextView_autoSizeMaxTextSize, -1.0f) : -1.0f;
        if (obtainStyledAttributes.hasValue(j.AppCompatTextView_autoSizePresetSizes) && (resourceId = obtainStyledAttributes.getResourceId(j.AppCompatTextView_autoSizePresetSizes, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            a(obtainTypedArray);
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (!k()) {
            this.f1351a = 0;
        } else if (this.f1351a == 1) {
            if (!this.f1357g) {
                DisplayMetrics displayMetrics = this.f1360j.getResources().getDisplayMetrics();
                if (dimension2 == -1.0f) {
                    dimension2 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                }
                if (dimension3 == -1.0f) {
                    dimension3 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                }
                if (dimension == -1.0f) {
                    dimension = 1.0f;
                }
                a(dimension2, dimension3, dimension);
            }
            i();
        }
    }

    /* access modifiers changed from: package-private */
    public int b() {
        return Math.round(this.f1355e);
    }

    /* access modifiers changed from: package-private */
    public int c() {
        return Math.round(this.f1354d);
    }

    /* access modifiers changed from: package-private */
    public int d() {
        return Math.round(this.f1353c);
    }

    /* access modifiers changed from: package-private */
    public int[] e() {
        return this.f1356f;
    }

    /* access modifiers changed from: package-private */
    public int f() {
        return this.f1351a;
    }

    /* access modifiers changed from: package-private */
    public boolean g() {
        return k() && this.f1351a != 0;
    }

    /* access modifiers changed from: package-private */
    public void a(int i2) {
        if (!k()) {
            return;
        }
        if (i2 == 0) {
            h();
        } else if (i2 == 1) {
            DisplayMetrics displayMetrics = this.f1360j.getResources().getDisplayMetrics();
            a(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
            if (i()) {
                a();
            }
        } else {
            throw new IllegalArgumentException("Unknown auto-size text type: " + i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, int i4, int i5) throws IllegalArgumentException {
        if (k()) {
            DisplayMetrics displayMetrics = this.f1360j.getResources().getDisplayMetrics();
            a(TypedValue.applyDimension(i5, (float) i2, displayMetrics), TypedValue.applyDimension(i5, (float) i3, displayMetrics), TypedValue.applyDimension(i5, (float) i4, displayMetrics));
            if (i()) {
                a();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int[] iArr, int i2) throws IllegalArgumentException {
        if (k()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i2 == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.f1360j.getResources().getDisplayMetrics();
                    for (int i3 = 0; i3 < length; i3++) {
                        iArr2[i3] = Math.round(TypedValue.applyDimension(i2, (float) iArr[i3], displayMetrics));
                    }
                }
                this.f1356f = a(iArr2);
                if (!j()) {
                    throw new IllegalArgumentException("None of the preset sizes is valid: " + Arrays.toString(iArr));
                }
            } else {
                this.f1357g = false;
            }
            if (i()) {
                a();
            }
        }
    }

    private void a(TypedArray typedArray) {
        int length = typedArray.length();
        int[] iArr = new int[length];
        if (length > 0) {
            for (int i2 = 0; i2 < length; i2++) {
                iArr[i2] = typedArray.getDimensionPixelSize(i2, -1);
            }
            this.f1356f = a(iArr);
            j();
        }
    }

    private int[] a(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i2 : iArr) {
            if (i2 > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i2)) < 0) {
                arrayList.add(Integer.valueOf(i2));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i3 = 0; i3 < size; i3++) {
            iArr2[i3] = ((Integer) arrayList.get(i3)).intValue();
        }
        return iArr2;
    }

    private void a(float f2, float f3, float f4) throws IllegalArgumentException {
        if (f2 <= 0.0f) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f2 + "px) is less or equal to (0px)");
        } else if (f3 <= f2) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f3 + "px) is less or equal to minimum auto-size " + "text size (" + f2 + "px)");
        } else if (f4 > 0.0f) {
            this.f1351a = 1;
            this.f1354d = f2;
            this.f1355e = f3;
            this.f1353c = f4;
            this.f1357g = false;
        } else {
            throw new IllegalArgumentException("The auto-size step granularity (" + f4 + "px) is less or equal to (0px)");
        }
    }

    /* access modifiers changed from: package-private */
    public void a() {
        int i2;
        if (g()) {
            if (this.f1352b) {
                if (this.f1359i.getMeasuredHeight() > 0 && this.f1359i.getMeasuredWidth() > 0) {
                    if (((Boolean) a((Object) this.f1359i, "getHorizontallyScrolling", (Object) false)).booleanValue()) {
                        i2 = 1048576;
                    } else {
                        i2 = (this.f1359i.getMeasuredWidth() - this.f1359i.getTotalPaddingLeft()) - this.f1359i.getTotalPaddingRight();
                    }
                    int height = (this.f1359i.getHeight() - this.f1359i.getCompoundPaddingBottom()) - this.f1359i.getCompoundPaddingTop();
                    if (i2 > 0 && height > 0) {
                        synchronized (k) {
                            k.setEmpty();
                            k.right = (float) i2;
                            k.bottom = (float) height;
                            float a2 = (float) a(k);
                            if (a2 != this.f1359i.getTextSize()) {
                                a(0, a2);
                            }
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            this.f1352b = true;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, float f2) {
        Resources resources;
        Context context = this.f1360j;
        if (context == null) {
            resources = Resources.getSystem();
        } else {
            resources = context.getResources();
        }
        a(TypedValue.applyDimension(i2, f2, resources.getDisplayMetrics()));
    }

    private void a(float f2) {
        if (f2 != this.f1359i.getPaint().getTextSize()) {
            this.f1359i.getPaint().setTextSize(f2);
            boolean isInLayout = Build.VERSION.SDK_INT >= 18 ? this.f1359i.isInLayout() : false;
            if (this.f1359i.getLayout() != null) {
                this.f1352b = false;
                try {
                    Method a2 = a("nullLayouts");
                    if (a2 != null) {
                        a2.invoke(this.f1359i, new Object[0]);
                    }
                } catch (Exception e2) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e2);
                }
                if (!isInLayout) {
                    this.f1359i.requestLayout();
                } else {
                    this.f1359i.forceLayout();
                }
                this.f1359i.invalidate();
            }
        }
    }

    private int a(RectF rectF) {
        int length = this.f1356f.length;
        if (length != 0) {
            int i2 = length - 1;
            int i3 = 1;
            int i4 = 0;
            while (i3 <= i2) {
                int i5 = (i3 + i2) / 2;
                if (a(this.f1356f[i5], rectF)) {
                    int i6 = i5 + 1;
                    i4 = i3;
                    i3 = i6;
                } else {
                    i4 = i5 - 1;
                    i2 = i4;
                }
            }
            return this.f1356f[i4];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    private boolean a(int i2, RectF rectF) {
        StaticLayout staticLayout;
        CharSequence transformation;
        CharSequence text = this.f1359i.getText();
        TransformationMethod transformationMethod = this.f1359i.getTransformationMethod();
        if (!(transformationMethod == null || (transformation = transformationMethod.getTransformation(text, this.f1359i)) == null)) {
            text = transformation;
        }
        int maxLines = Build.VERSION.SDK_INT >= 16 ? this.f1359i.getMaxLines() : -1;
        TextPaint textPaint = this.f1358h;
        if (textPaint == null) {
            this.f1358h = new TextPaint();
        } else {
            textPaint.reset();
        }
        this.f1358h.set(this.f1359i.getPaint());
        this.f1358h.setTextSize((float) i2);
        Layout.Alignment alignment = (Layout.Alignment) a(this.f1359i, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL);
        if (Build.VERSION.SDK_INT >= 23) {
            staticLayout = a(text, alignment, Math.round(rectF.right), maxLines);
        } else {
            staticLayout = a(text, alignment, Math.round(rectF.right));
        }
        return (maxLines == -1 || (staticLayout.getLineCount() <= maxLines && staticLayout.getLineEnd(staticLayout.getLineCount() - 1) == text.length())) && ((float) staticLayout.getHeight()) <= rectF.bottom;
    }

    private StaticLayout a(CharSequence charSequence, Layout.Alignment alignment, int i2, int i3) {
        TextDirectionHeuristic textDirectionHeuristic = (TextDirectionHeuristic) a(this.f1359i, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR);
        StaticLayout.Builder hyphenationFrequency = StaticLayout.Builder.obtain(charSequence, 0, charSequence.length(), this.f1358h, i2).setAlignment(alignment).setLineSpacing(this.f1359i.getLineSpacingExtra(), this.f1359i.getLineSpacingMultiplier()).setIncludePad(this.f1359i.getIncludeFontPadding()).setBreakStrategy(this.f1359i.getBreakStrategy()).setHyphenationFrequency(this.f1359i.getHyphenationFrequency());
        if (i3 == -1) {
            i3 = Integer.MAX_VALUE;
        }
        return hyphenationFrequency.setMaxLines(i3).setTextDirection(textDirectionHeuristic).build();
    }

    private StaticLayout a(CharSequence charSequence, Layout.Alignment alignment, int i2) {
        boolean z;
        float f2;
        float f3;
        if (Build.VERSION.SDK_INT >= 16) {
            f3 = this.f1359i.getLineSpacingMultiplier();
            f2 = this.f1359i.getLineSpacingExtra();
            z = this.f1359i.getIncludeFontPadding();
        } else {
            f3 = ((Float) a(this.f1359i, "getLineSpacingMultiplier", Float.valueOf(1.0f))).floatValue();
            f2 = ((Float) a(this.f1359i, "getLineSpacingExtra", Float.valueOf(0.0f))).floatValue();
            z = ((Boolean) a((Object) this.f1359i, "getIncludeFontPadding", (Object) true)).booleanValue();
        }
        return new StaticLayout(charSequence, this.f1358h, i2, alignment, f3, f2, z);
    }

    private <T> T a(Object obj, String str, T t) {
        try {
            return (T) a(str).invoke(obj, new Object[0]);
        } catch (Exception e2) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e2);
            return t;
        }
    }

    private Method a(String str) {
        try {
            Method method = l.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                l.put(str, method);
            }
            return method;
        } catch (Exception e2) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e2);
            return null;
        }
    }
}
