package androidx.cardview.widget;

import a.c.b;
import a.c.d;
import a.c.e;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;

public class CardView extends FrameLayout {

    /* renamed from: h  reason: collision with root package name */
    private static final int[] f1397h = {16842801};

    /* renamed from: i  reason: collision with root package name */
    private static final e f1398i;

    /* renamed from: a  reason: collision with root package name */
    private boolean f1399a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f1400b;

    /* renamed from: c  reason: collision with root package name */
    int f1401c;

    /* renamed from: d  reason: collision with root package name */
    int f1402d;

    /* renamed from: e  reason: collision with root package name */
    final Rect f1403e;

    /* renamed from: f  reason: collision with root package name */
    final Rect f1404f;

    /* renamed from: g  reason: collision with root package name */
    private final d f1405g;

    static {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 21) {
            f1398i = new b();
        } else if (i2 >= 17) {
            f1398i = new a();
        } else {
            f1398i = new c();
        }
        f1398i.a();
    }

    public CardView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.c.a.cardViewStyle);
    }

    public ColorStateList getCardBackgroundColor() {
        return f1398i.b(this.f1405g);
    }

    public float getCardElevation() {
        return f1398i.c(this.f1405g);
    }

    public int getContentPaddingBottom() {
        return this.f1403e.bottom;
    }

    public int getContentPaddingLeft() {
        return this.f1403e.left;
    }

    public int getContentPaddingRight() {
        return this.f1403e.right;
    }

    public int getContentPaddingTop() {
        return this.f1403e.top;
    }

    public float getMaxCardElevation() {
        return f1398i.a(this.f1405g);
    }

    public boolean getPreventCornerOverlap() {
        return this.f1400b;
    }

    public float getRadius() {
        return f1398i.e(this.f1405g);
    }

    public boolean getUseCompatPadding() {
        return this.f1399a;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        if (!(f1398i instanceof b)) {
            int mode = View.MeasureSpec.getMode(i2);
            if (mode == Integer.MIN_VALUE || mode == 1073741824) {
                i2 = View.MeasureSpec.makeMeasureSpec(Math.max((int) Math.ceil((double) f1398i.g(this.f1405g)), View.MeasureSpec.getSize(i2)), mode);
            }
            int mode2 = View.MeasureSpec.getMode(i3);
            if (mode2 == Integer.MIN_VALUE || mode2 == 1073741824) {
                i3 = View.MeasureSpec.makeMeasureSpec(Math.max((int) Math.ceil((double) f1398i.f(this.f1405g)), View.MeasureSpec.getSize(i3)), mode2);
            }
            super.onMeasure(i2, i3);
            return;
        }
        super.onMeasure(i2, i3);
    }

    public void setCardBackgroundColor(int i2) {
        f1398i.a(this.f1405g, ColorStateList.valueOf(i2));
    }

    public void setCardElevation(float f2) {
        f1398i.b(this.f1405g, f2);
    }

    public void setMaxCardElevation(float f2) {
        f1398i.c(this.f1405g, f2);
    }

    public void setMinimumHeight(int i2) {
        this.f1402d = i2;
        super.setMinimumHeight(i2);
    }

    public void setMinimumWidth(int i2) {
        this.f1401c = i2;
        super.setMinimumWidth(i2);
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
    }

    public void setPaddingRelative(int i2, int i3, int i4, int i5) {
    }

    public void setPreventCornerOverlap(boolean z) {
        if (z != this.f1400b) {
            this.f1400b = z;
            f1398i.i(this.f1405g);
        }
    }

    public void setRadius(float f2) {
        f1398i.a(this.f1405g, f2);
    }

    public void setUseCompatPadding(boolean z) {
        if (this.f1399a != z) {
            this.f1399a = z;
            f1398i.h(this.f1405g);
        }
    }

    class a implements d {

        /* renamed from: a  reason: collision with root package name */
        private Drawable f1406a;

        a() {
        }

        @Override // androidx.cardview.widget.d
        public void a(Drawable drawable) {
            this.f1406a = drawable;
            CardView.this.setBackgroundDrawable(drawable);
        }

        @Override // androidx.cardview.widget.d
        public boolean b() {
            return CardView.this.getPreventCornerOverlap();
        }

        @Override // androidx.cardview.widget.d
        public boolean c() {
            return CardView.this.getUseCompatPadding();
        }

        @Override // androidx.cardview.widget.d
        public Drawable d() {
            return this.f1406a;
        }

        @Override // androidx.cardview.widget.d
        public void a(int i2, int i3, int i4, int i5) {
            CardView.this.f1404f.set(i2, i3, i4, i5);
            CardView cardView = CardView.this;
            Rect rect = cardView.f1403e;
            CardView.super.setPadding(i2 + rect.left, i3 + rect.top, i4 + rect.right, i5 + rect.bottom);
        }

        @Override // androidx.cardview.widget.d
        public void a(int i2, int i3) {
            CardView cardView = CardView.this;
            if (i2 > cardView.f1401c) {
                CardView.super.setMinimumWidth(i2);
            }
            CardView cardView2 = CardView.this;
            if (i3 > cardView2.f1402d) {
                CardView.super.setMinimumHeight(i3);
            }
        }

        @Override // androidx.cardview.widget.d
        public View a() {
            return CardView.this;
        }
    }

    public CardView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        int i3;
        ColorStateList valueOf;
        this.f1403e = new Rect();
        this.f1404f = new Rect();
        this.f1405g = new a();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, e.CardView, i2, d.CardView);
        if (obtainStyledAttributes.hasValue(e.CardView_cardBackgroundColor)) {
            valueOf = obtainStyledAttributes.getColorStateList(e.CardView_cardBackgroundColor);
        } else {
            TypedArray obtainStyledAttributes2 = getContext().obtainStyledAttributes(f1397h);
            int color = obtainStyledAttributes2.getColor(0, 0);
            obtainStyledAttributes2.recycle();
            float[] fArr = new float[3];
            Color.colorToHSV(color, fArr);
            if (fArr[2] > 0.5f) {
                i3 = getResources().getColor(b.cardview_light_background);
            } else {
                i3 = getResources().getColor(b.cardview_dark_background);
            }
            valueOf = ColorStateList.valueOf(i3);
        }
        float dimension = obtainStyledAttributes.getDimension(e.CardView_cardCornerRadius, 0.0f);
        float dimension2 = obtainStyledAttributes.getDimension(e.CardView_cardElevation, 0.0f);
        float dimension3 = obtainStyledAttributes.getDimension(e.CardView_cardMaxElevation, 0.0f);
        this.f1399a = obtainStyledAttributes.getBoolean(e.CardView_cardUseCompatPadding, false);
        this.f1400b = obtainStyledAttributes.getBoolean(e.CardView_cardPreventCornerOverlap, true);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(e.CardView_contentPadding, 0);
        this.f1403e.left = obtainStyledAttributes.getDimensionPixelSize(e.CardView_contentPaddingLeft, dimensionPixelSize);
        this.f1403e.top = obtainStyledAttributes.getDimensionPixelSize(e.CardView_contentPaddingTop, dimensionPixelSize);
        this.f1403e.right = obtainStyledAttributes.getDimensionPixelSize(e.CardView_contentPaddingRight, dimensionPixelSize);
        this.f1403e.bottom = obtainStyledAttributes.getDimensionPixelSize(e.CardView_contentPaddingBottom, dimensionPixelSize);
        float f2 = dimension2 > dimension3 ? dimension2 : dimension3;
        this.f1401c = obtainStyledAttributes.getDimensionPixelSize(e.CardView_android_minWidth, 0);
        this.f1402d = obtainStyledAttributes.getDimensionPixelSize(e.CardView_android_minHeight, 0);
        obtainStyledAttributes.recycle();
        f1398i.a(this.f1405g, context, valueOf, dimension, dimension2, f2);
    }

    public void setCardBackgroundColor(ColorStateList colorStateList) {
        f1398i.a(this.f1405g, colorStateList);
    }

    public void a(int i2, int i3, int i4, int i5) {
        this.f1403e.set(i2, i3, i4, i5);
        f1398i.d(this.f1405g);
    }
}
