package androidx.cardview.widget;

import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;

/* access modifiers changed from: package-private */
/* compiled from: RoundRectDrawable */
public class f extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    private float f1410a;

    /* renamed from: b  reason: collision with root package name */
    private final Paint f1411b;

    /* renamed from: c  reason: collision with root package name */
    private final RectF f1412c;

    /* renamed from: d  reason: collision with root package name */
    private final Rect f1413d;

    /* renamed from: e  reason: collision with root package name */
    private float f1414e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f1415f = false;

    /* renamed from: g  reason: collision with root package name */
    private boolean f1416g = true;

    /* renamed from: h  reason: collision with root package name */
    private ColorStateList f1417h;

    /* renamed from: i  reason: collision with root package name */
    private PorterDuffColorFilter f1418i;

    /* renamed from: j  reason: collision with root package name */
    private ColorStateList f1419j;
    private PorterDuff.Mode k = PorterDuff.Mode.SRC_IN;

    f(ColorStateList colorStateList, float f2) {
        this.f1410a = f2;
        this.f1411b = new Paint(5);
        b(colorStateList);
        this.f1412c = new RectF();
        this.f1413d = new Rect();
    }

    private void b(ColorStateList colorStateList) {
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(0);
        }
        this.f1417h = colorStateList;
        this.f1411b.setColor(this.f1417h.getColorForState(getState(), this.f1417h.getDefaultColor()));
    }

    /* access modifiers changed from: package-private */
    public void a(float f2, boolean z, boolean z2) {
        if (f2 != this.f1414e || this.f1415f != z || this.f1416g != z2) {
            this.f1414e = f2;
            this.f1415f = z;
            this.f1416g = z2;
            a((Rect) null);
            invalidateSelf();
        }
    }

    public float c() {
        return this.f1410a;
    }

    public void draw(Canvas canvas) {
        boolean z;
        Paint paint = this.f1411b;
        if (this.f1418i == null || paint.getColorFilter() != null) {
            z = false;
        } else {
            paint.setColorFilter(this.f1418i);
            z = true;
        }
        RectF rectF = this.f1412c;
        float f2 = this.f1410a;
        canvas.drawRoundRect(rectF, f2, f2, paint);
        if (z) {
            paint.setColorFilter(null);
        }
    }

    public int getOpacity() {
        return -3;
    }

    public void getOutline(Outline outline) {
        outline.setRoundRect(this.f1413d, this.f1410a);
    }

    public boolean isStateful() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.f1419j;
        return (colorStateList2 != null && colorStateList2.isStateful()) || ((colorStateList = this.f1417h) != null && colorStateList.isStateful()) || super.isStateful();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        a(rect);
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        PorterDuff.Mode mode;
        ColorStateList colorStateList = this.f1417h;
        int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
        boolean z = colorForState != this.f1411b.getColor();
        if (z) {
            this.f1411b.setColor(colorForState);
        }
        ColorStateList colorStateList2 = this.f1419j;
        if (colorStateList2 == null || (mode = this.k) == null) {
            return z;
        }
        this.f1418i = a(colorStateList2, mode);
        return true;
    }

    public void setAlpha(int i2) {
        this.f1411b.setAlpha(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f1411b.setColorFilter(colorFilter);
    }

    public void setTintList(ColorStateList colorStateList) {
        this.f1419j = colorStateList;
        this.f1418i = a(this.f1419j, this.k);
        invalidateSelf();
    }

    public void setTintMode(PorterDuff.Mode mode) {
        this.k = mode;
        this.f1418i = a(this.f1419j, this.k);
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public float b() {
        return this.f1414e;
    }

    private void a(Rect rect) {
        if (rect == null) {
            rect = getBounds();
        }
        this.f1412c.set((float) rect.left, (float) rect.top, (float) rect.right, (float) rect.bottom);
        this.f1413d.set(rect);
        if (this.f1415f) {
            float b2 = g.b(this.f1414e, this.f1410a, this.f1416g);
            this.f1413d.inset((int) Math.ceil((double) g.a(this.f1414e, this.f1410a, this.f1416g)), (int) Math.ceil((double) b2));
            this.f1412c.set(this.f1413d);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(float f2) {
        if (f2 != this.f1410a) {
            this.f1410a = f2;
            a((Rect) null);
            invalidateSelf();
        }
    }

    public void a(ColorStateList colorStateList) {
        b(colorStateList);
        invalidateSelf();
    }

    public ColorStateList a() {
        return this.f1417h;
    }

    private PorterDuffColorFilter a(ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
    }
}
