package androidx.constraintlayout.widget;

import a.e.a.j.j;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import java.util.Arrays;

public abstract class ConstraintHelper extends View {

    /* renamed from: a  reason: collision with root package name */
    protected int[] f1433a;

    /* renamed from: b  reason: collision with root package name */
    protected int f1434b;

    /* renamed from: c  reason: collision with root package name */
    protected Context f1435c;

    /* renamed from: d  reason: collision with root package name */
    protected j f1436d;

    /* renamed from: e  reason: collision with root package name */
    protected boolean f1437e;

    /* renamed from: f  reason: collision with root package name */
    private String f1438f;

    public ConstraintHelper(Context context) {
        super(context);
        this.f1433a = new int[32];
        this.f1437e = false;
        this.f1435c = context;
        a((AttributeSet) null);
    }

    private void setIds(String str) {
        if (str != null) {
            int i2 = 0;
            while (true) {
                int indexOf = str.indexOf(44, i2);
                if (indexOf == -1) {
                    a(str.substring(i2));
                    return;
                } else {
                    a(str.substring(i2, indexOf));
                    i2 = indexOf + 1;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, d.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == d.ConstraintLayout_Layout_constraint_referenced_ids) {
                    this.f1438f = obtainStyledAttributes.getString(index);
                    setIds(this.f1438f);
                }
            }
        }
    }

    public void a(ConstraintLayout constraintLayout) {
    }

    public void b(ConstraintLayout constraintLayout) {
    }

    public void c(ConstraintLayout constraintLayout) {
        if (isInEditMode()) {
            setIds(this.f1438f);
        }
        j jVar = this.f1436d;
        if (jVar != null) {
            jVar.J();
            for (int i2 = 0; i2 < this.f1434b; i2++) {
                View a2 = constraintLayout.a(this.f1433a[i2]);
                if (a2 != null) {
                    this.f1436d.b(constraintLayout.a(a2));
                }
            }
        }
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f1433a, this.f1434b);
    }

    public void onDraw(Canvas canvas) {
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        if (this.f1437e) {
            super.onMeasure(i2, i3);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.f1434b = 0;
        for (int i2 : iArr) {
            setTag(i2, null);
        }
    }

    public void setTag(int i2, Object obj) {
        int i3 = this.f1434b + 1;
        int[] iArr = this.f1433a;
        if (i3 > iArr.length) {
            this.f1433a = Arrays.copyOf(iArr, iArr.length * 2);
        }
        int[] iArr2 = this.f1433a;
        int i4 = this.f1434b;
        iArr2[i4] = i2;
        this.f1434b = i4 + 1;
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1433a = new int[32];
        this.f1437e = false;
        this.f1435c = context;
        a(attributeSet);
    }

    public void a() {
        if (this.f1436d != null) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams instanceof ConstraintLayout.LayoutParams) {
                ((ConstraintLayout.LayoutParams) layoutParams).k0 = this.f1436d;
            }
        }
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1433a = new int[32];
        this.f1437e = false;
        this.f1435c = context;
        a(attributeSet);
    }

    private void a(String str) {
        int i2;
        Object a2;
        if (str != null && this.f1435c != null) {
            String trim = str.trim();
            try {
                i2 = c.class.getField(trim).getInt(null);
            } catch (Exception unused) {
                i2 = 0;
            }
            if (i2 == 0) {
                i2 = this.f1435c.getResources().getIdentifier(trim, "id", this.f1435c.getPackageName());
            }
            if (i2 == 0 && isInEditMode() && (getParent() instanceof ConstraintLayout) && (a2 = ((ConstraintLayout) getParent()).a(0, trim)) != null && (a2 instanceof Integer)) {
                i2 = ((Integer) a2).intValue();
            }
            if (i2 != 0) {
                setTag(i2, null);
                return;
            }
            Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
        }
    }
}
