package androidx.constraintlayout.widget;

import a.e.a.j.a;
import a.e.a.j.e;
import a.e.a.j.f;
import a.e.a.j.g;
import a.e.a.j.i;
import a.e.a.j.m;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import java.util.ArrayList;
import java.util.HashMap;

public class ConstraintLayout extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    SparseArray<View> f1439a = new SparseArray<>();

    /* renamed from: b  reason: collision with root package name */
    private ArrayList<ConstraintHelper> f1440b = new ArrayList<>(4);

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<f> f1441c = new ArrayList<>(100);

    /* renamed from: d  reason: collision with root package name */
    g f1442d = new g();

    /* renamed from: e  reason: collision with root package name */
    private int f1443e = 0;

    /* renamed from: f  reason: collision with root package name */
    private int f1444f = 0;

    /* renamed from: g  reason: collision with root package name */
    private int f1445g = Integer.MAX_VALUE;

    /* renamed from: h  reason: collision with root package name */
    private int f1446h = Integer.MAX_VALUE;

    /* renamed from: i  reason: collision with root package name */
    private boolean f1447i = true;

    /* renamed from: j  reason: collision with root package name */
    private int f1448j = 7;
    private a k = null;
    private int l = -1;
    private HashMap<String, Integer> m = new HashMap<>();
    private int o = -1;
    private int p = -1;
    private a.e.a.f q;

    public ConstraintLayout(Context context) {
        super(context);
        a((AttributeSet) null);
    }

    private void b() {
        int childCount = getChildCount();
        boolean z = false;
        int i2 = 0;
        while (true) {
            if (i2 >= childCount) {
                break;
            } else if (getChildAt(i2).isLayoutRequested()) {
                z = true;
                break;
            } else {
                i2++;
            }
        }
        if (z) {
            this.f1441c.clear();
            a();
        }
    }

    private void c() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt instanceof Placeholder) {
                ((Placeholder) childAt).a(this);
            }
        }
        int size = this.f1440b.size();
        if (size > 0) {
            for (int i3 = 0; i3 < size; i3++) {
                this.f1440b.get(i3).b(this);
            }
        }
    }

    public void a(int i2, Object obj, Object obj2) {
        if (i2 == 0 && (obj instanceof String) && (obj2 instanceof Integer)) {
            if (this.m == null) {
                this.m = new HashMap<>();
            }
            String str = (String) obj;
            int indexOf = str.indexOf("/");
            if (indexOf != -1) {
                str = str.substring(indexOf + 1);
            }
            this.m.put(str, Integer.valueOf(((Integer) obj2).intValue()));
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i2, layoutParams);
        if (Build.VERSION.SDK_INT < 14) {
            onViewAdded(view);
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    public void dispatchDraw(Canvas canvas) {
        Object tag;
        super.dispatchDraw(canvas);
        if (isInEditMode()) {
            int childCount = getChildCount();
            float width = (float) getWidth();
            float height = (float) getHeight();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = getChildAt(i2);
                if (!(childAt.getVisibility() == 8 || (tag = childAt.getTag()) == null || !(tag instanceof String))) {
                    String[] split = ((String) tag).split(",");
                    if (split.length == 4) {
                        int parseInt = Integer.parseInt(split[0]);
                        int parseInt2 = Integer.parseInt(split[1]);
                        int parseInt3 = Integer.parseInt(split[2]);
                        int i3 = (int) ((((float) parseInt) / 1080.0f) * width);
                        int i4 = (int) ((((float) parseInt2) / 1920.0f) * height);
                        Paint paint = new Paint();
                        paint.setColor(-65536);
                        float f2 = (float) i3;
                        float f3 = (float) i4;
                        float f4 = (float) (i3 + ((int) ((((float) parseInt3) / 1080.0f) * width)));
                        canvas.drawLine(f2, f3, f4, f3, paint);
                        float parseInt4 = (float) (i4 + ((int) ((((float) Integer.parseInt(split[3])) / 1920.0f) * height)));
                        canvas.drawLine(f4, f3, f4, parseInt4, paint);
                        canvas.drawLine(f4, parseInt4, f2, parseInt4, paint);
                        canvas.drawLine(f2, parseInt4, f2, f3, paint);
                        paint.setColor(-16711936);
                        canvas.drawLine(f2, f3, f4, parseInt4, paint);
                        canvas.drawLine(f2, parseInt4, f4, f3, paint);
                    }
                }
            }
        }
    }

    public int getMaxHeight() {
        return this.f1446h;
    }

    public int getMaxWidth() {
        return this.f1445g;
    }

    public int getMinHeight() {
        return this.f1444f;
    }

    public int getMinWidth() {
        return this.f1443e;
    }

    public int getOptimizationLevel() {
        return this.f1442d.M();
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        View content;
        int childCount = getChildCount();
        boolean isInEditMode = isInEditMode();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            f fVar = layoutParams.k0;
            if ((childAt.getVisibility() != 8 || layoutParams.X || layoutParams.Y || isInEditMode) && !layoutParams.Z) {
                int g2 = fVar.g();
                int h2 = fVar.h();
                int s = fVar.s() + g2;
                int i7 = fVar.i() + h2;
                childAt.layout(g2, h2, s, i7);
                if ((childAt instanceof Placeholder) && (content = ((Placeholder) childAt).getContent()) != null) {
                    content.setVisibility(0);
                    content.layout(g2, h2, s, i7);
                }
            }
        }
        int size = this.f1440b.size();
        if (size > 0) {
            for (int i8 = 0; i8 < size; i8++) {
                this.f1440b.get(i8).a(this);
            }
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:170:0x035b  */
    /* JADX WARNING: Removed duplicated region for block: B:173:0x0370  */
    /* JADX WARNING: Removed duplicated region for block: B:180:0x03a9  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0124  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x013b  */
    public void onMeasure(int i2, int i3) {
        boolean z;
        int size;
        int i4;
        boolean z2;
        boolean z3;
        boolean z4;
        int i5;
        int i6;
        int i7;
        int i8;
        int baseline;
        int i9 = i2;
        System.currentTimeMillis();
        int mode = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size3 = View.MeasureSpec.getSize(i3);
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        this.f1442d.r(paddingLeft);
        this.f1442d.s(paddingTop);
        this.f1442d.j(this.f1445g);
        this.f1442d.i(this.f1446h);
        if (Build.VERSION.SDK_INT >= 17) {
            this.f1442d.c(getLayoutDirection() == 1);
        }
        c(i2, i3);
        int s = this.f1442d.s();
        int i10 = this.f1442d.i();
        if (this.f1447i) {
            this.f1447i = false;
            b();
            z = true;
        } else {
            z = false;
        }
        boolean z5 = (this.f1448j & 8) == 8;
        if (z5) {
            this.f1442d.T();
            this.f1442d.f(s, i10);
            b(i2, i3);
        } else {
            a(i2, i3);
        }
        c();
        if (getChildCount() > 0 && z) {
            a.a(this.f1442d);
        }
        g gVar = this.f1442d;
        if (gVar.x0) {
            if (gVar.y0 && mode == Integer.MIN_VALUE) {
                int i11 = gVar.A0;
                if (i11 < size2) {
                    gVar.o(i11);
                }
                this.f1442d.a(f.b.FIXED);
            }
            g gVar2 = this.f1442d;
            if (gVar2.z0 && mode2 == Integer.MIN_VALUE) {
                int i12 = gVar2.B0;
                if (i12 < size3) {
                    gVar2.g(i12);
                }
                this.f1442d.b(f.b.FIXED);
            }
        }
        if ((this.f1448j & 32) == 32) {
            int s2 = this.f1442d.s();
            int i13 = this.f1442d.i();
            if (this.o != s2 && mode == 1073741824) {
                a.a(this.f1442d.w0, 0, s2);
            }
            if (this.p != i13 && mode2 == 1073741824) {
                a.a(this.f1442d.w0, 1, i13);
            }
            g gVar3 = this.f1442d;
            if (gVar3.y0 && gVar3.A0 > size2) {
                a.a(gVar3.w0, 0, size2);
            }
            g gVar4 = this.f1442d;
            if (gVar4.z0 && gVar4.B0 > size3) {
                a.a(gVar4.w0, 1, size3);
                if (getChildCount() > 0) {
                    a("First pass");
                }
                size = this.f1441c.size();
                int paddingBottom = paddingTop + getPaddingBottom();
                int paddingRight = paddingLeft + getPaddingRight();
                if (size <= 0) {
                    boolean z6 = this.f1442d.j() == f.b.WRAP_CONTENT;
                    boolean z7 = this.f1442d.q() == f.b.WRAP_CONTENT;
                    int max = Math.max(this.f1442d.s(), this.f1443e);
                    int max2 = Math.max(this.f1442d.i(), this.f1444f);
                    int i14 = 0;
                    boolean z8 = false;
                    int i15 = 0;
                    while (i14 < size) {
                        f fVar = this.f1441c.get(i14);
                        View view = (View) fVar.e();
                        if (view == null) {
                            i6 = s;
                            z4 = z8;
                            i5 = i10;
                        } else {
                            i5 = i10;
                            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
                            i6 = s;
                            if (layoutParams.Y || layoutParams.X) {
                                z4 = z8;
                            } else {
                                z4 = z8;
                                if (view.getVisibility() != 8 && (!z5 || !fVar.m().c() || !fVar.l().c())) {
                                    if (((ViewGroup.MarginLayoutParams) layoutParams).width != -2 || !layoutParams.U) {
                                        i7 = View.MeasureSpec.makeMeasureSpec(fVar.s(), 1073741824);
                                    } else {
                                        i7 = ViewGroup.getChildMeasureSpec(i9, paddingRight, ((ViewGroup.MarginLayoutParams) layoutParams).width);
                                    }
                                    if (((ViewGroup.MarginLayoutParams) layoutParams).height != -2 || !layoutParams.V) {
                                        i8 = View.MeasureSpec.makeMeasureSpec(fVar.i(), 1073741824);
                                    } else {
                                        i8 = ViewGroup.getChildMeasureSpec(i3, paddingBottom, ((ViewGroup.MarginLayoutParams) layoutParams).height);
                                    }
                                    view.measure(i7, i8);
                                    a.e.a.f fVar2 = this.q;
                                    if (fVar2 != null) {
                                        fVar2.f191b++;
                                    }
                                    int measuredWidth = view.getMeasuredWidth();
                                    int measuredHeight = view.getMeasuredHeight();
                                    if (measuredWidth != fVar.s()) {
                                        fVar.o(measuredWidth);
                                        if (z5) {
                                            fVar.m().a(measuredWidth);
                                        }
                                        if (z6 && fVar.n() > max) {
                                            max = Math.max(max, fVar.n() + fVar.a(e.d.RIGHT).b());
                                        }
                                        z4 = true;
                                    }
                                    if (measuredHeight != fVar.i()) {
                                        fVar.g(measuredHeight);
                                        if (z5) {
                                            fVar.l().a(measuredHeight);
                                        }
                                        if (z7 && fVar.d() > max2) {
                                            max2 = Math.max(max2, fVar.d() + fVar.a(e.d.BOTTOM).b());
                                        }
                                        z4 = true;
                                    }
                                    if (!(!layoutParams.W || (baseline = view.getBaseline()) == -1 || baseline == fVar.c())) {
                                        fVar.f(baseline);
                                        z4 = true;
                                    }
                                    if (Build.VERSION.SDK_INT >= 11) {
                                        i15 = ViewGroup.combineMeasuredStates(i15, view.getMeasuredState());
                                    }
                                    z8 = z4;
                                    i14++;
                                    i9 = i2;
                                    s = i6;
                                    size = size;
                                    i10 = i5;
                                }
                            }
                        }
                        i15 = i15;
                        z8 = z4;
                        i14++;
                        i9 = i2;
                        s = i6;
                        size = size;
                        i10 = i5;
                    }
                    i4 = i15;
                    if (z8) {
                        this.f1442d.o(s);
                        this.f1442d.g(i10);
                        if (z5) {
                            this.f1442d.U();
                        }
                        a("2nd pass");
                        if (this.f1442d.s() < max) {
                            this.f1442d.o(max);
                            z2 = true;
                        } else {
                            z2 = false;
                        }
                        if (this.f1442d.i() < max2) {
                            this.f1442d.g(max2);
                            z3 = true;
                        } else {
                            z3 = z2;
                        }
                        if (z3) {
                            a("3rd pass");
                        }
                    }
                    for (int i16 = 0; i16 < size; i16++) {
                        f fVar3 = this.f1441c.get(i16);
                        View view2 = (View) fVar3.e();
                        if (view2 != null && (view2.getMeasuredWidth() != fVar3.s() || view2.getMeasuredHeight() != fVar3.i())) {
                            if (fVar3.r() != 8) {
                                view2.measure(View.MeasureSpec.makeMeasureSpec(fVar3.s(), 1073741824), View.MeasureSpec.makeMeasureSpec(fVar3.i(), 1073741824));
                                a.e.a.f fVar4 = this.q;
                                if (fVar4 != null) {
                                    fVar4.f191b++;
                                }
                            }
                        }
                    }
                } else {
                    i4 = 0;
                }
                int s3 = this.f1442d.s() + paddingRight;
                int i17 = this.f1442d.i() + paddingBottom;
                if (Build.VERSION.SDK_INT < 11) {
                    int min = Math.min(this.f1445g, ViewGroup.resolveSizeAndState(s3, i2, i4) & 16777215);
                    int min2 = Math.min(this.f1446h, ViewGroup.resolveSizeAndState(i17, i3, i4 << 16) & 16777215);
                    if (this.f1442d.Q()) {
                        min |= 16777216;
                    }
                    if (this.f1442d.O()) {
                        min2 |= 16777216;
                    }
                    setMeasuredDimension(min, min2);
                    this.o = min;
                    this.p = min2;
                    return;
                }
                setMeasuredDimension(s3, i17);
                this.o = s3;
                this.p = i17;
                return;
            }
        }
        if (getChildCount() > 0) {
        }
        size = this.f1441c.size();
        int paddingBottom2 = paddingTop + getPaddingBottom();
        int paddingRight2 = paddingLeft + getPaddingRight();
        if (size <= 0) {
        }
        int s32 = this.f1442d.s() + paddingRight2;
        int i172 = this.f1442d.i() + paddingBottom2;
        if (Build.VERSION.SDK_INT < 11) {
        }
    }

    public void onViewAdded(View view) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onViewAdded(view);
        }
        f a2 = a(view);
        if ((view instanceof Guideline) && !(a2 instanceof i)) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            layoutParams.k0 = new i();
            layoutParams.X = true;
            ((i) layoutParams.k0).v(layoutParams.R);
        }
        if (view instanceof ConstraintHelper) {
            ConstraintHelper constraintHelper = (ConstraintHelper) view;
            constraintHelper.a();
            ((LayoutParams) view.getLayoutParams()).Y = true;
            if (!this.f1440b.contains(constraintHelper)) {
                this.f1440b.add(constraintHelper);
            }
        }
        this.f1439a.put(view.getId(), view);
        this.f1447i = true;
    }

    public void onViewRemoved(View view) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onViewRemoved(view);
        }
        this.f1439a.remove(view.getId());
        f a2 = a(view);
        this.f1442d.c(a2);
        this.f1440b.remove(view);
        this.f1441c.remove(a2);
        this.f1447i = true;
    }

    public void removeView(View view) {
        super.removeView(view);
        if (Build.VERSION.SDK_INT < 14) {
            onViewRemoved(view);
        }
    }

    public void requestLayout() {
        super.requestLayout();
        this.f1447i = true;
        this.o = -1;
        this.p = -1;
    }

    public void setConstraintSet(a aVar) {
        this.k = aVar;
    }

    public void setId(int i2) {
        this.f1439a.remove(getId());
        super.setId(i2);
        this.f1439a.put(getId(), this);
    }

    public void setMaxHeight(int i2) {
        if (i2 != this.f1446h) {
            this.f1446h = i2;
            requestLayout();
        }
    }

    public void setMaxWidth(int i2) {
        if (i2 != this.f1445g) {
            this.f1445g = i2;
            requestLayout();
        }
    }

    public void setMinHeight(int i2) {
        if (i2 != this.f1444f) {
            this.f1444f = i2;
            requestLayout();
        }
    }

    public void setMinWidth(int i2) {
        if (i2 != this.f1443e) {
            this.f1443e = i2;
            requestLayout();
        }
    }

    public void setOptimizationLevel(int i2) {
        this.f1442d.u(i2);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    /* access modifiers changed from: protected */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    @Override // android.view.ViewGroup
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    private final f b(int i2) {
        if (i2 == 0) {
            return this.f1442d;
        }
        View view = this.f1439a.get(i2);
        if (view == null && (view = findViewById(i2)) != null && view != this && view.getParent() == this) {
            onViewAdded(view);
        }
        if (view == this) {
            return this.f1442d;
        }
        if (view == null) {
            return null;
        }
        return ((LayoutParams) view.getLayoutParams()).k0;
    }

    private void c(int i2, int i3) {
        f.b bVar;
        int i4;
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        f.b bVar2 = f.b.FIXED;
        getLayoutParams();
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                bVar = f.b.WRAP_CONTENT;
            } else if (mode != 1073741824) {
                bVar = bVar2;
            } else {
                i4 = Math.min(this.f1445g, size) - paddingLeft;
                bVar = bVar2;
            }
            i4 = 0;
        } else {
            i4 = size;
            bVar = f.b.WRAP_CONTENT;
        }
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 == 0) {
                bVar2 = f.b.WRAP_CONTENT;
            } else if (mode2 == 1073741824) {
                size2 = Math.min(this.f1446h, size2) - paddingTop;
            }
            size2 = 0;
        } else {
            bVar2 = f.b.WRAP_CONTENT;
        }
        this.f1442d.l(0);
        this.f1442d.k(0);
        this.f1442d.a(bVar);
        this.f1442d.o(i4);
        this.f1442d.b(bVar2);
        this.f1442d.g(size2);
        this.f1442d.l((this.f1443e - getPaddingLeft()) - getPaddingRight());
        this.f1442d.k((this.f1444f - getPaddingTop()) - getPaddingBottom());
    }

    public Object a(int i2, Object obj) {
        if (i2 != 0 || !(obj instanceof String)) {
            return null;
        }
        String str = (String) obj;
        HashMap<String, Integer> hashMap = this.m;
        if (hashMap == null || !hashMap.containsKey(str)) {
            return null;
        }
        return this.m.get(str);
    }

    private void a(AttributeSet attributeSet) {
        this.f1442d.a(this);
        this.f1439a.put(getId(), this);
        this.k = null;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, d.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == d.ConstraintLayout_Layout_android_minWidth) {
                    this.f1443e = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1443e);
                } else if (index == d.ConstraintLayout_Layout_android_minHeight) {
                    this.f1444f = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1444f);
                } else if (index == d.ConstraintLayout_Layout_android_maxWidth) {
                    this.f1445g = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1445g);
                } else if (index == d.ConstraintLayout_Layout_android_maxHeight) {
                    this.f1446h = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1446h);
                } else if (index == d.ConstraintLayout_Layout_layout_optimizationLevel) {
                    this.f1448j = obtainStyledAttributes.getInt(index, this.f1448j);
                } else if (index == d.ConstraintLayout_Layout_constraintSet) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, 0);
                    try {
                        this.k = new a();
                        this.k.b(getContext(), resourceId);
                    } catch (Resources.NotFoundException unused) {
                        this.k = null;
                    }
                    this.l = resourceId;
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.f1442d.u(this.f1448j);
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x0204  */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x023e  */
    /* JADX WARNING: Removed duplicated region for block: B:128:0x0263  */
    /* JADX WARNING: Removed duplicated region for block: B:129:0x026c  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x0271  */
    /* JADX WARNING: Removed duplicated region for block: B:133:0x0273  */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0279  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x027b  */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x028f  */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x0294  */
    /* JADX WARNING: Removed duplicated region for block: B:144:0x0299  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x02a1  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x02aa  */
    /* JADX WARNING: Removed duplicated region for block: B:148:0x02b2  */
    /* JADX WARNING: Removed duplicated region for block: B:151:0x02bf  */
    /* JADX WARNING: Removed duplicated region for block: B:154:0x02ca  */
    private void b(int i2, int i3) {
        long j2;
        int i4;
        int i5;
        long j3;
        int i6;
        int i7;
        boolean z;
        boolean z2;
        boolean z3;
        int i8;
        a.e.a.f fVar;
        int i9;
        int baseline;
        ConstraintLayout constraintLayout = this;
        int i10 = i3;
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int childCount = getChildCount();
        int i11 = 0;
        while (true) {
            j2 = 1;
            i4 = 8;
            if (i11 >= childCount) {
                break;
            }
            View childAt = constraintLayout.getChildAt(i11);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                f fVar2 = layoutParams.k0;
                if (!layoutParams.X && !layoutParams.Y) {
                    fVar2.n(childAt.getVisibility());
                    int i12 = ((ViewGroup.MarginLayoutParams) layoutParams).width;
                    int i13 = ((ViewGroup.MarginLayoutParams) layoutParams).height;
                    if (i12 == 0 || i13 == 0) {
                        i9 = paddingTop;
                        fVar2.m().b();
                        fVar2.l().b();
                        i11++;
                        i10 = i3;
                        paddingTop = i9;
                    } else {
                        boolean z4 = i12 == -2;
                        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, paddingLeft, i12);
                        boolean z5 = i13 == -2;
                        childAt.measure(childMeasureSpec, ViewGroup.getChildMeasureSpec(i10, paddingTop, i13));
                        a.e.a.f fVar3 = constraintLayout.q;
                        i9 = paddingTop;
                        if (fVar3 != null) {
                            fVar3.f190a++;
                        }
                        fVar2.b(i12 == -2);
                        fVar2.a(i13 == -2);
                        int measuredWidth = childAt.getMeasuredWidth();
                        int measuredHeight = childAt.getMeasuredHeight();
                        fVar2.o(measuredWidth);
                        fVar2.g(measuredHeight);
                        if (z4) {
                            fVar2.q(measuredWidth);
                        }
                        if (z5) {
                            fVar2.p(measuredHeight);
                        }
                        if (layoutParams.W && (baseline = childAt.getBaseline()) != -1) {
                            fVar2.f(baseline);
                        }
                        if (layoutParams.U && layoutParams.V) {
                            fVar2.m().a(measuredWidth);
                            fVar2.l().a(measuredHeight);
                        }
                        i11++;
                        i10 = i3;
                        paddingTop = i9;
                    }
                }
            }
            i9 = paddingTop;
            i11++;
            i10 = i3;
            paddingTop = i9;
        }
        constraintLayout.f1442d.U();
        int i14 = 0;
        while (i14 < childCount) {
            View childAt2 = constraintLayout.getChildAt(i14);
            if (childAt2.getVisibility() != i4) {
                LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                f fVar4 = layoutParams2.k0;
                if (!layoutParams2.X && !layoutParams2.Y) {
                    fVar4.n(childAt2.getVisibility());
                    int i15 = ((ViewGroup.MarginLayoutParams) layoutParams2).width;
                    int i16 = ((ViewGroup.MarginLayoutParams) layoutParams2).height;
                    if (i15 == 0 || i16 == 0) {
                        m d2 = fVar4.a(e.d.LEFT).d();
                        m d3 = fVar4.a(e.d.RIGHT).d();
                        boolean z6 = (fVar4.a(e.d.LEFT).g() == null || fVar4.a(e.d.RIGHT).g() == null) ? false : true;
                        m d4 = fVar4.a(e.d.TOP).d();
                        m d5 = fVar4.a(e.d.BOTTOM).d();
                        i6 = childCount;
                        boolean z7 = (fVar4.a(e.d.TOP).g() == null || fVar4.a(e.d.BOTTOM).g() == null) ? false : true;
                        if (i15 != 0 || i16 != 0 || !z6 || !z7) {
                            i5 = i14;
                            boolean z8 = constraintLayout.f1442d.j() != f.b.WRAP_CONTENT;
                            boolean z9 = constraintLayout.f1442d.q() != f.b.WRAP_CONTENT;
                            if (!z8) {
                                fVar4.m().b();
                            }
                            if (!z9) {
                                fVar4.l().b();
                            }
                            if (i15 == 0) {
                                if (!z8 || !fVar4.C() || !z6 || !d2.c() || !d3.c()) {
                                    i7 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, -2);
                                    z = true;
                                    z8 = false;
                                    if (i16 == 0) {
                                        if (!z9 || !fVar4.B() || !z7 || !d4.c() || !d5.c()) {
                                            i8 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -2);
                                            z3 = true;
                                            z2 = false;
                                            childAt2.measure(i7, i8);
                                            constraintLayout = this;
                                            fVar = constraintLayout.q;
                                            if (fVar != null) {
                                                j3 = 1;
                                                fVar.f190a++;
                                            } else {
                                                j3 = 1;
                                            }
                                            fVar4.b(i15 == -2);
                                            fVar4.a(i16 == -2);
                                            int measuredWidth2 = childAt2.getMeasuredWidth();
                                            int measuredHeight2 = childAt2.getMeasuredHeight();
                                            fVar4.o(measuredWidth2);
                                            fVar4.g(measuredHeight2);
                                            if (z) {
                                                fVar4.q(measuredWidth2);
                                            }
                                            if (z3) {
                                                fVar4.p(measuredHeight2);
                                            }
                                            if (z8) {
                                                fVar4.m().a(measuredWidth2);
                                            } else {
                                                fVar4.m().f();
                                            }
                                            if (z2) {
                                                fVar4.l().a(measuredHeight2);
                                            } else {
                                                fVar4.l().f();
                                            }
                                            if (layoutParams2.W) {
                                                int baseline2 = childAt2.getBaseline();
                                                if (baseline2 != -1) {
                                                    fVar4.f(baseline2);
                                                }
                                            }
                                            i14 = i5 + 1;
                                            childCount = i6;
                                            j2 = j3;
                                            i4 = 8;
                                        } else {
                                            i16 = (int) (d5.f() - d4.f());
                                            fVar4.l().a(i16);
                                            z2 = z9;
                                            i8 = ViewGroup.getChildMeasureSpec(i3, paddingTop, i16);
                                        }
                                    } else if (i16 == -1) {
                                        z2 = z9;
                                        i8 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -1);
                                    } else {
                                        z3 = i16 == -2;
                                        z2 = z9;
                                        i8 = ViewGroup.getChildMeasureSpec(i3, paddingTop, i16);
                                        childAt2.measure(i7, i8);
                                        constraintLayout = this;
                                        fVar = constraintLayout.q;
                                        if (fVar != null) {
                                        }
                                        fVar4.b(i15 == -2);
                                        fVar4.a(i16 == -2);
                                        int measuredWidth22 = childAt2.getMeasuredWidth();
                                        int measuredHeight22 = childAt2.getMeasuredHeight();
                                        fVar4.o(measuredWidth22);
                                        fVar4.g(measuredHeight22);
                                        if (z) {
                                        }
                                        if (z3) {
                                        }
                                        if (z8) {
                                        }
                                        if (z2) {
                                        }
                                        if (layoutParams2.W) {
                                        }
                                        i14 = i5 + 1;
                                        childCount = i6;
                                        j2 = j3;
                                        i4 = 8;
                                    }
                                    z3 = false;
                                    childAt2.measure(i7, i8);
                                    constraintLayout = this;
                                    fVar = constraintLayout.q;
                                    if (fVar != null) {
                                    }
                                    fVar4.b(i15 == -2);
                                    fVar4.a(i16 == -2);
                                    int measuredWidth222 = childAt2.getMeasuredWidth();
                                    int measuredHeight222 = childAt2.getMeasuredHeight();
                                    fVar4.o(measuredWidth222);
                                    fVar4.g(measuredHeight222);
                                    if (z) {
                                    }
                                    if (z3) {
                                    }
                                    if (z8) {
                                    }
                                    if (z2) {
                                    }
                                    if (layoutParams2.W) {
                                    }
                                    i14 = i5 + 1;
                                    childCount = i6;
                                    j2 = j3;
                                    i4 = 8;
                                } else {
                                    i15 = (int) (d3.f() - d2.f());
                                    fVar4.m().a(i15);
                                    i7 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, i15);
                                }
                            } else if (i15 == -1) {
                                i7 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, -1);
                            } else {
                                z = i15 == -2;
                                i7 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, i15);
                                if (i16 == 0) {
                                }
                                z3 = false;
                                childAt2.measure(i7, i8);
                                constraintLayout = this;
                                fVar = constraintLayout.q;
                                if (fVar != null) {
                                }
                                fVar4.b(i15 == -2);
                                fVar4.a(i16 == -2);
                                int measuredWidth2222 = childAt2.getMeasuredWidth();
                                int measuredHeight2222 = childAt2.getMeasuredHeight();
                                fVar4.o(measuredWidth2222);
                                fVar4.g(measuredHeight2222);
                                if (z) {
                                }
                                if (z3) {
                                }
                                if (z8) {
                                }
                                if (z2) {
                                }
                                if (layoutParams2.W) {
                                }
                                i14 = i5 + 1;
                                childCount = i6;
                                j2 = j3;
                                i4 = 8;
                            }
                            z = false;
                            if (i16 == 0) {
                            }
                            z3 = false;
                            childAt2.measure(i7, i8);
                            constraintLayout = this;
                            fVar = constraintLayout.q;
                            if (fVar != null) {
                            }
                            fVar4.b(i15 == -2);
                            fVar4.a(i16 == -2);
                            int measuredWidth22222 = childAt2.getMeasuredWidth();
                            int measuredHeight22222 = childAt2.getMeasuredHeight();
                            fVar4.o(measuredWidth22222);
                            fVar4.g(measuredHeight22222);
                            if (z) {
                            }
                            if (z3) {
                            }
                            if (z8) {
                            }
                            if (z2) {
                            }
                            if (layoutParams2.W) {
                            }
                            i14 = i5 + 1;
                            childCount = i6;
                            j2 = j3;
                            i4 = 8;
                        } else {
                            i5 = i14;
                            j3 = 1;
                            i14 = i5 + 1;
                            childCount = i6;
                            j2 = j3;
                            i4 = 8;
                        }
                    }
                }
            }
            i5 = i14;
            i6 = childCount;
            j3 = j2;
            i14 = i5 + 1;
            childCount = i6;
            j2 = j3;
            i4 = 8;
        }
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(attributeSet);
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a(attributeSet);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:118:0x01d6, code lost:
        if (r11 != -1) goto L_0x01da;
     */
    /* JADX WARNING: Removed duplicated region for block: B:125:0x01e3  */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x01e7  */
    /* JADX WARNING: Removed duplicated region for block: B:134:0x0205  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x0214  */
    /* JADX WARNING: Removed duplicated region for block: B:201:0x0346  */
    /* JADX WARNING: Removed duplicated region for block: B:205:0x036e  */
    /* JADX WARNING: Removed duplicated region for block: B:208:0x037c  */
    /* JADX WARNING: Removed duplicated region for block: B:212:0x03a5  */
    /* JADX WARNING: Removed duplicated region for block: B:215:0x03b4  */
    private void a() {
        int i2;
        int i3;
        int i4;
        int i5;
        float f2;
        int i6;
        int i7;
        String str;
        float f3;
        f b2;
        f b3;
        f b4;
        f b5;
        boolean isInEditMode = isInEditMode();
        int childCount = getChildCount();
        boolean z = false;
        if (isInEditMode) {
            for (int i8 = 0; i8 < childCount; i8++) {
                View childAt = getChildAt(i8);
                try {
                    String resourceName = getResources().getResourceName(childAt.getId());
                    a(0, resourceName, Integer.valueOf(childAt.getId()));
                    int indexOf = resourceName.indexOf(47);
                    if (indexOf != -1) {
                        resourceName = resourceName.substring(indexOf + 1);
                    }
                    b(childAt.getId()).a(resourceName);
                } catch (Resources.NotFoundException unused) {
                }
            }
        }
        for (int i9 = 0; i9 < childCount; i9++) {
            f a2 = a(getChildAt(i9));
            if (a2 != null) {
                a2.D();
            }
        }
        if (this.l != -1) {
            for (int i10 = 0; i10 < childCount; i10++) {
                View childAt2 = getChildAt(i10);
                if (childAt2.getId() == this.l && (childAt2 instanceof Constraints)) {
                    this.k = ((Constraints) childAt2).getConstraintSet();
                }
            }
        }
        a aVar = this.k;
        if (aVar != null) {
            aVar.b(this);
        }
        this.f1442d.L();
        int size = this.f1440b.size();
        if (size > 0) {
            for (int i11 = 0; i11 < size; i11++) {
                this.f1440b.get(i11).c(this);
            }
        }
        for (int i12 = 0; i12 < childCount; i12++) {
            View childAt3 = getChildAt(i12);
            if (childAt3 instanceof Placeholder) {
                ((Placeholder) childAt3).b(this);
            }
        }
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt4 = getChildAt(i13);
            f a3 = a(childAt4);
            if (a3 != null) {
                LayoutParams layoutParams = (LayoutParams) childAt4.getLayoutParams();
                layoutParams.a();
                if (layoutParams.l0) {
                    layoutParams.l0 = z;
                } else if (isInEditMode) {
                    try {
                        String resourceName2 = getResources().getResourceName(childAt4.getId());
                        Object valueOf = Integer.valueOf(childAt4.getId());
                        int i14 = z ? 1 : 0;
                        int i15 = z ? 1 : 0;
                        int i16 = z ? 1 : 0;
                        int i17 = z ? 1 : 0;
                        int i18 = z ? 1 : 0;
                        int i19 = z ? 1 : 0;
                        int i20 = z ? 1 : 0;
                        a(i14, resourceName2, valueOf);
                        b(childAt4.getId()).a(resourceName2.substring(resourceName2.indexOf("id/") + 3));
                    } catch (Resources.NotFoundException unused2) {
                    }
                }
                a3.n(childAt4.getVisibility());
                if (layoutParams.Z) {
                    a3.n(8);
                }
                a3.a(childAt4);
                this.f1442d.b(a3);
                if (!layoutParams.V || !layoutParams.U) {
                    this.f1441c.add(a3);
                }
                if (layoutParams.X) {
                    i iVar = (i) a3;
                    int i21 = layoutParams.h0;
                    int i22 = layoutParams.i0;
                    float f4 = layoutParams.j0;
                    if (Build.VERSION.SDK_INT < 17) {
                        i21 = layoutParams.f1449a;
                        i22 = layoutParams.f1450b;
                        f4 = layoutParams.f1451c;
                    }
                    if (f4 != -1.0f) {
                        iVar.e(f4);
                    } else if (i21 != -1) {
                        iVar.t(i21);
                    } else if (i22 != -1) {
                        iVar.u(i22);
                    }
                } else if (layoutParams.f1452d != -1 || layoutParams.f1453e != -1 || layoutParams.f1454f != -1 || layoutParams.f1455g != -1 || layoutParams.q != -1 || layoutParams.p != -1 || layoutParams.r != -1 || layoutParams.s != -1 || layoutParams.f1456h != -1 || layoutParams.f1457i != -1 || layoutParams.f1458j != -1 || layoutParams.k != -1 || layoutParams.l != -1 || layoutParams.P != -1 || layoutParams.Q != -1 || layoutParams.m != -1 || ((ViewGroup.MarginLayoutParams) layoutParams).width == -1 || ((ViewGroup.MarginLayoutParams) layoutParams).height == -1) {
                    int i23 = layoutParams.a0;
                    int i24 = layoutParams.b0;
                    int i25 = layoutParams.c0;
                    int i26 = layoutParams.d0;
                    int i27 = layoutParams.e0;
                    int i28 = layoutParams.f0;
                    float f5 = layoutParams.g0;
                    if (Build.VERSION.SDK_INT < 17) {
                        int i29 = layoutParams.f1452d;
                        int i30 = layoutParams.f1453e;
                        int i31 = layoutParams.f1454f;
                        i26 = layoutParams.f1455g;
                        int i32 = layoutParams.t;
                        int i33 = layoutParams.v;
                        f5 = layoutParams.z;
                        if (i29 == -1 && i30 == -1) {
                            int i34 = layoutParams.q;
                            if (i34 != -1) {
                                i5 = i30;
                                i23 = i34;
                                if (i31 == -1 && i26 == -1) {
                                    i6 = layoutParams.r;
                                    if (i6 == -1) {
                                        i4 = i32;
                                        i2 = i33;
                                    } else {
                                        int i35 = layoutParams.s;
                                        if (i35 != -1) {
                                            i4 = i32;
                                            i2 = i33;
                                            f2 = f5;
                                            i3 = i35;
                                            i6 = i31;
                                            i7 = layoutParams.m;
                                            if (i7 == -1) {
                                                f b6 = b(i7);
                                                if (b6 != null) {
                                                    a3.a(b6, layoutParams.o, layoutParams.n);
                                                }
                                            } else {
                                                if (i23 != -1) {
                                                    f b7 = b(i23);
                                                    if (b7 != null) {
                                                        e.d dVar = e.d.LEFT;
                                                        f3 = f2;
                                                        a3.a(dVar, b7, dVar, ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, i4);
                                                    } else {
                                                        f3 = f2;
                                                    }
                                                } else {
                                                    f3 = f2;
                                                    if (!(i5 == -1 || (b5 = b(i5)) == null)) {
                                                        a3.a(e.d.LEFT, b5, e.d.RIGHT, ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, i4);
                                                    }
                                                }
                                                if (i6 != -1) {
                                                    f b8 = b(i6);
                                                    if (b8 != null) {
                                                        a3.a(e.d.RIGHT, b8, e.d.LEFT, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i2);
                                                    }
                                                } else if (!(i3 == -1 || (b4 = b(i3)) == null)) {
                                                    e.d dVar2 = e.d.RIGHT;
                                                    a3.a(dVar2, b4, dVar2, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i2);
                                                }
                                                int i36 = layoutParams.f1456h;
                                                if (i36 != -1) {
                                                    f b9 = b(i36);
                                                    if (b9 != null) {
                                                        e.d dVar3 = e.d.TOP;
                                                        a3.a(dVar3, b9, dVar3, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, layoutParams.u);
                                                    }
                                                } else {
                                                    int i37 = layoutParams.f1457i;
                                                    if (!(i37 == -1 || (b3 = b(i37)) == null)) {
                                                        a3.a(e.d.TOP, b3, e.d.BOTTOM, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, layoutParams.u);
                                                    }
                                                }
                                                int i38 = layoutParams.f1458j;
                                                if (i38 != -1) {
                                                    f b10 = b(i38);
                                                    if (b10 != null) {
                                                        a3.a(e.d.BOTTOM, b10, e.d.TOP, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, layoutParams.w);
                                                    }
                                                } else {
                                                    int i39 = layoutParams.k;
                                                    if (!(i39 == -1 || (b2 = b(i39)) == null)) {
                                                        e.d dVar4 = e.d.BOTTOM;
                                                        a3.a(dVar4, b2, dVar4, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, layoutParams.w);
                                                    }
                                                }
                                                int i40 = layoutParams.l;
                                                if (i40 != -1) {
                                                    View view = this.f1439a.get(i40);
                                                    f b11 = b(layoutParams.l);
                                                    if (!(b11 == null || view == null || !(view.getLayoutParams() instanceof LayoutParams))) {
                                                        layoutParams.W = true;
                                                        ((LayoutParams) view.getLayoutParams()).W = true;
                                                        a3.a(e.d.BASELINE).a(b11.a(e.d.BASELINE), 0, -1, e.c.STRONG, 0, true);
                                                        a3.a(e.d.TOP).j();
                                                        a3.a(e.d.BOTTOM).j();
                                                    }
                                                }
                                                if (f3 >= 0.0f && f3 != 0.5f) {
                                                    a3.a(f3);
                                                }
                                                float f6 = layoutParams.A;
                                                if (f6 >= 0.0f && f6 != 0.5f) {
                                                    a3.c(f6);
                                                }
                                            }
                                            if (isInEditMode && !(layoutParams.P == -1 && layoutParams.Q == -1)) {
                                                a3.c(layoutParams.P, layoutParams.Q);
                                            }
                                            if (!layoutParams.U) {
                                                a3.a(f.b.FIXED);
                                                a3.o(((ViewGroup.MarginLayoutParams) layoutParams).width);
                                            } else if (((ViewGroup.MarginLayoutParams) layoutParams).width == -1) {
                                                a3.a(f.b.MATCH_PARENT);
                                                a3.a(e.d.LEFT).f232e = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
                                                a3.a(e.d.RIGHT).f232e = ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
                                            } else {
                                                a3.a(f.b.MATCH_CONSTRAINT);
                                                a3.o(0);
                                            }
                                            if (!layoutParams.V) {
                                                z = false;
                                                a3.b(f.b.FIXED);
                                                a3.g(((ViewGroup.MarginLayoutParams) layoutParams).height);
                                            } else if (((ViewGroup.MarginLayoutParams) layoutParams).height == -1) {
                                                a3.b(f.b.MATCH_PARENT);
                                                a3.a(e.d.TOP).f232e = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
                                                a3.a(e.d.BOTTOM).f232e = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                                                z = false;
                                            } else {
                                                a3.b(f.b.MATCH_CONSTRAINT);
                                                z = false;
                                                a3.g(0);
                                            }
                                            str = layoutParams.B;
                                            if (str != null) {
                                                a3.b(str);
                                            }
                                            a3.b(layoutParams.D);
                                            a3.d(layoutParams.E);
                                            a3.h(layoutParams.F);
                                            a3.m(layoutParams.G);
                                            a3.a(layoutParams.H, layoutParams.J, layoutParams.L, layoutParams.N);
                                            a3.b(layoutParams.I, layoutParams.K, layoutParams.M, layoutParams.O);
                                        }
                                    }
                                }
                                i4 = i32;
                                i2 = i33;
                                i6 = i31;
                            } else {
                                i5 = layoutParams.p;
                            }
                        }
                        i5 = i30;
                        i23 = i29;
                        i6 = layoutParams.r;
                        if (i6 == -1) {
                        }
                    } else {
                        i6 = i25;
                        i2 = i28;
                        i4 = i27;
                        i5 = i24;
                    }
                    i3 = i26;
                    f2 = f5;
                    i7 = layoutParams.m;
                    if (i7 == -1) {
                    }
                    a3.c(layoutParams.P, layoutParams.Q);
                    if (!layoutParams.U) {
                    }
                    if (!layoutParams.V) {
                    }
                    str = layoutParams.B;
                    if (str != null) {
                    }
                    a3.b(layoutParams.D);
                    a3.d(layoutParams.E);
                    a3.h(layoutParams.F);
                    a3.m(layoutParams.G);
                    a3.a(layoutParams.H, layoutParams.J, layoutParams.L, layoutParams.N);
                    a3.b(layoutParams.I, layoutParams.K, layoutParams.M, layoutParams.O);
                }
            }
        }
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {
        public float A = 0.5f;
        public String B = null;
        int C = 1;
        public float D = -1.0f;
        public float E = -1.0f;
        public int F = 0;
        public int G = 0;
        public int H = 0;
        public int I = 0;
        public int J = 0;
        public int K = 0;
        public int L = 0;
        public int M = 0;
        public float N = 1.0f;
        public float O = 1.0f;
        public int P = -1;
        public int Q = -1;
        public int R = -1;
        public boolean S = false;
        public boolean T = false;
        boolean U = true;
        boolean V = true;
        boolean W = false;
        boolean X = false;
        boolean Y = false;
        boolean Z = false;

        /* renamed from: a  reason: collision with root package name */
        public int f1449a = -1;
        int a0 = -1;

        /* renamed from: b  reason: collision with root package name */
        public int f1450b = -1;
        int b0 = -1;

        /* renamed from: c  reason: collision with root package name */
        public float f1451c = -1.0f;
        int c0 = -1;

        /* renamed from: d  reason: collision with root package name */
        public int f1452d = -1;
        int d0 = -1;

        /* renamed from: e  reason: collision with root package name */
        public int f1453e = -1;
        int e0 = -1;

        /* renamed from: f  reason: collision with root package name */
        public int f1454f = -1;
        int f0 = -1;

        /* renamed from: g  reason: collision with root package name */
        public int f1455g = -1;
        float g0 = 0.5f;

        /* renamed from: h  reason: collision with root package name */
        public int f1456h = -1;
        int h0;

        /* renamed from: i  reason: collision with root package name */
        public int f1457i = -1;
        int i0;

        /* renamed from: j  reason: collision with root package name */
        public int f1458j = -1;
        float j0;
        public int k = -1;
        f k0 = new f();
        public int l = -1;
        public boolean l0 = false;
        public int m = -1;
        public int n = 0;
        public float o = 0.0f;
        public int p = -1;
        public int q = -1;
        public int r = -1;
        public int s = -1;
        public int t = -1;
        public int u = -1;
        public int v = -1;
        public int w = -1;
        public int x = -1;
        public int y = -1;
        public float z = 0.5f;

        private static class a {

            /* renamed from: a  reason: collision with root package name */
            public static final SparseIntArray f1459a = new SparseIntArray();

            static {
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintLeft_toLeftOf, 8);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintLeft_toRightOf, 9);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintRight_toLeftOf, 10);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintRight_toRightOf, 11);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintTop_toTopOf, 12);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintTop_toBottomOf, 13);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintBottom_toTopOf, 14);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintBottom_toBottomOf, 15);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintBaseline_toBaselineOf, 16);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintCircle, 2);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintCircleRadius, 3);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintCircleAngle, 4);
                f1459a.append(d.ConstraintLayout_Layout_layout_editor_absoluteX, 49);
                f1459a.append(d.ConstraintLayout_Layout_layout_editor_absoluteY, 50);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintGuide_begin, 5);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintGuide_end, 6);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintGuide_percent, 7);
                f1459a.append(d.ConstraintLayout_Layout_android_orientation, 1);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintStart_toEndOf, 17);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintStart_toStartOf, 18);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintEnd_toStartOf, 19);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintEnd_toEndOf, 20);
                f1459a.append(d.ConstraintLayout_Layout_layout_goneMarginLeft, 21);
                f1459a.append(d.ConstraintLayout_Layout_layout_goneMarginTop, 22);
                f1459a.append(d.ConstraintLayout_Layout_layout_goneMarginRight, 23);
                f1459a.append(d.ConstraintLayout_Layout_layout_goneMarginBottom, 24);
                f1459a.append(d.ConstraintLayout_Layout_layout_goneMarginStart, 25);
                f1459a.append(d.ConstraintLayout_Layout_layout_goneMarginEnd, 26);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHorizontal_bias, 29);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintVertical_bias, 30);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintDimensionRatio, 44);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHorizontal_weight, 45);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintVertical_weight, 46);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHorizontal_chainStyle, 47);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintVertical_chainStyle, 48);
                f1459a.append(d.ConstraintLayout_Layout_layout_constrainedWidth, 27);
                f1459a.append(d.ConstraintLayout_Layout_layout_constrainedHeight, 28);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintWidth_default, 31);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHeight_default, 32);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintWidth_min, 33);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintWidth_max, 34);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintWidth_percent, 35);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHeight_min, 36);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHeight_max, 37);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintHeight_percent, 38);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintLeft_creator, 39);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintTop_creator, 40);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintRight_creator, 41);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintBottom_creator, 42);
                f1459a.append(d.ConstraintLayout_Layout_layout_constraintBaseline_creator, 43);
            }
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            int i2;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, d.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i3 = 0; i3 < indexCount; i3++) {
                int index = obtainStyledAttributes.getIndex(i3);
                switch (a.f1459a.get(index)) {
                    case 1:
                        this.R = obtainStyledAttributes.getInt(index, this.R);
                        break;
                    case 2:
                        this.m = obtainStyledAttributes.getResourceId(index, this.m);
                        if (this.m == -1) {
                            this.m = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        this.n = obtainStyledAttributes.getDimensionPixelSize(index, this.n);
                        break;
                    case 4:
                        this.o = obtainStyledAttributes.getFloat(index, this.o) % 360.0f;
                        float f2 = this.o;
                        if (f2 < 0.0f) {
                            this.o = (360.0f - f2) % 360.0f;
                            break;
                        } else {
                            break;
                        }
                    case 5:
                        this.f1449a = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1449a);
                        break;
                    case 6:
                        this.f1450b = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1450b);
                        break;
                    case 7:
                        this.f1451c = obtainStyledAttributes.getFloat(index, this.f1451c);
                        break;
                    case 8:
                        this.f1452d = obtainStyledAttributes.getResourceId(index, this.f1452d);
                        if (this.f1452d == -1) {
                            this.f1452d = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 9:
                        this.f1453e = obtainStyledAttributes.getResourceId(index, this.f1453e);
                        if (this.f1453e == -1) {
                            this.f1453e = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 10:
                        this.f1454f = obtainStyledAttributes.getResourceId(index, this.f1454f);
                        if (this.f1454f == -1) {
                            this.f1454f = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 11:
                        this.f1455g = obtainStyledAttributes.getResourceId(index, this.f1455g);
                        if (this.f1455g == -1) {
                            this.f1455g = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 12:
                        this.f1456h = obtainStyledAttributes.getResourceId(index, this.f1456h);
                        if (this.f1456h == -1) {
                            this.f1456h = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 13:
                        this.f1457i = obtainStyledAttributes.getResourceId(index, this.f1457i);
                        if (this.f1457i == -1) {
                            this.f1457i = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 14:
                        this.f1458j = obtainStyledAttributes.getResourceId(index, this.f1458j);
                        if (this.f1458j == -1) {
                            this.f1458j = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 15:
                        this.k = obtainStyledAttributes.getResourceId(index, this.k);
                        if (this.k == -1) {
                            this.k = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 16:
                        this.l = obtainStyledAttributes.getResourceId(index, this.l);
                        if (this.l == -1) {
                            this.l = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 17:
                        this.p = obtainStyledAttributes.getResourceId(index, this.p);
                        if (this.p == -1) {
                            this.p = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        this.q = obtainStyledAttributes.getResourceId(index, this.q);
                        if (this.q == -1) {
                            this.q = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 19:
                        this.r = obtainStyledAttributes.getResourceId(index, this.r);
                        if (this.r == -1) {
                            this.r = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 20:
                        this.s = obtainStyledAttributes.getResourceId(index, this.s);
                        if (this.s == -1) {
                            this.s = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 21:
                        this.t = obtainStyledAttributes.getDimensionPixelSize(index, this.t);
                        break;
                    case 22:
                        this.u = obtainStyledAttributes.getDimensionPixelSize(index, this.u);
                        break;
                    case 23:
                        this.v = obtainStyledAttributes.getDimensionPixelSize(index, this.v);
                        break;
                    case 24:
                        this.w = obtainStyledAttributes.getDimensionPixelSize(index, this.w);
                        break;
                    case 25:
                        this.x = obtainStyledAttributes.getDimensionPixelSize(index, this.x);
                        break;
                    case 26:
                        this.y = obtainStyledAttributes.getDimensionPixelSize(index, this.y);
                        break;
                    case 27:
                        this.S = obtainStyledAttributes.getBoolean(index, this.S);
                        break;
                    case 28:
                        this.T = obtainStyledAttributes.getBoolean(index, this.T);
                        break;
                    case 29:
                        this.z = obtainStyledAttributes.getFloat(index, this.z);
                        break;
                    case 30:
                        this.A = obtainStyledAttributes.getFloat(index, this.A);
                        break;
                    case 31:
                        this.H = obtainStyledAttributes.getInt(index, 0);
                        if (this.H == 1) {
                            Log.e("ConstraintLayout", "layout_constraintWidth_default=\"wrap\" is deprecated.\nUse layout_width=\"WRAP_CONTENT\" and layout_constrainedWidth=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 32:
                        this.I = obtainStyledAttributes.getInt(index, 0);
                        if (this.I == 1) {
                            Log.e("ConstraintLayout", "layout_constraintHeight_default=\"wrap\" is deprecated.\nUse layout_height=\"WRAP_CONTENT\" and layout_constrainedHeight=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 33:
                        try {
                            this.J = obtainStyledAttributes.getDimensionPixelSize(index, this.J);
                            break;
                        } catch (Exception unused) {
                            if (obtainStyledAttributes.getInt(index, this.J) == -2) {
                                this.J = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 34:
                        try {
                            this.L = obtainStyledAttributes.getDimensionPixelSize(index, this.L);
                            break;
                        } catch (Exception unused2) {
                            if (obtainStyledAttributes.getInt(index, this.L) == -2) {
                                this.L = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 35:
                        this.N = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.N));
                        break;
                    case 36:
                        try {
                            this.K = obtainStyledAttributes.getDimensionPixelSize(index, this.K);
                            break;
                        } catch (Exception unused3) {
                            if (obtainStyledAttributes.getInt(index, this.K) == -2) {
                                this.K = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 37:
                        try {
                            this.M = obtainStyledAttributes.getDimensionPixelSize(index, this.M);
                            break;
                        } catch (Exception unused4) {
                            if (obtainStyledAttributes.getInt(index, this.M) == -2) {
                                this.M = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 38:
                        this.O = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.O));
                        break;
                    case 44:
                        this.B = obtainStyledAttributes.getString(index);
                        this.C = -1;
                        String str = this.B;
                        if (str != null) {
                            int length = str.length();
                            int indexOf = this.B.indexOf(44);
                            if (indexOf <= 0 || indexOf >= length - 1) {
                                i2 = 0;
                            } else {
                                String substring = this.B.substring(0, indexOf);
                                if (substring.equalsIgnoreCase("W")) {
                                    this.C = 0;
                                } else if (substring.equalsIgnoreCase("H")) {
                                    this.C = 1;
                                }
                                i2 = indexOf + 1;
                            }
                            int indexOf2 = this.B.indexOf(58);
                            if (indexOf2 < 0 || indexOf2 >= length - 1) {
                                String substring2 = this.B.substring(i2);
                                if (substring2.length() > 0) {
                                    Float.parseFloat(substring2);
                                    break;
                                } else {
                                    break;
                                }
                            } else {
                                String substring3 = this.B.substring(i2, indexOf2);
                                String substring4 = this.B.substring(indexOf2 + 1);
                                if (substring3.length() > 0 && substring4.length() > 0) {
                                    try {
                                        float parseFloat = Float.parseFloat(substring3);
                                        float parseFloat2 = Float.parseFloat(substring4);
                                        if (parseFloat > 0.0f && parseFloat2 > 0.0f) {
                                            if (this.C == 1) {
                                                Math.abs(parseFloat2 / parseFloat);
                                                break;
                                            } else {
                                                Math.abs(parseFloat / parseFloat2);
                                                break;
                                            }
                                        }
                                    } catch (NumberFormatException unused5) {
                                        break;
                                    }
                                }
                            }
                        } else {
                            break;
                        }
                        break;
                    case 45:
                        this.D = obtainStyledAttributes.getFloat(index, this.D);
                        break;
                    case 46:
                        this.E = obtainStyledAttributes.getFloat(index, this.E);
                        break;
                    case 47:
                        this.F = obtainStyledAttributes.getInt(index, 0);
                        break;
                    case 48:
                        this.G = obtainStyledAttributes.getInt(index, 0);
                        break;
                    case 49:
                        this.P = obtainStyledAttributes.getDimensionPixelOffset(index, this.P);
                        break;
                    case 50:
                        this.Q = obtainStyledAttributes.getDimensionPixelOffset(index, this.Q);
                        break;
                }
            }
            obtainStyledAttributes.recycle();
            a();
        }

        public void a() {
            this.X = false;
            this.U = true;
            this.V = true;
            if (((ViewGroup.MarginLayoutParams) this).width == -2 && this.S) {
                this.U = false;
                this.H = 1;
            }
            if (((ViewGroup.MarginLayoutParams) this).height == -2 && this.T) {
                this.V = false;
                this.I = 1;
            }
            if (((ViewGroup.MarginLayoutParams) this).width == 0 || ((ViewGroup.MarginLayoutParams) this).width == -1) {
                this.U = false;
                if (((ViewGroup.MarginLayoutParams) this).width == 0 && this.H == 1) {
                    ((ViewGroup.MarginLayoutParams) this).width = -2;
                    this.S = true;
                }
            }
            if (((ViewGroup.MarginLayoutParams) this).height == 0 || ((ViewGroup.MarginLayoutParams) this).height == -1) {
                this.V = false;
                if (((ViewGroup.MarginLayoutParams) this).height == 0 && this.I == 1) {
                    ((ViewGroup.MarginLayoutParams) this).height = -2;
                    this.T = true;
                }
            }
            if (this.f1451c != -1.0f || this.f1449a != -1 || this.f1450b != -1) {
                this.X = true;
                this.U = true;
                this.V = true;
                if (!(this.k0 instanceof i)) {
                    this.k0 = new i();
                }
                ((i) this.k0).v(this.R);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:0x004c  */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x0053  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x005a  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0060  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0066  */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x007c  */
        /* JADX WARNING: Removed duplicated region for block: B:34:0x0084  */
        @TargetApi(17)
        public void resolveLayoutDirection(int i2) {
            int i3;
            int i4;
            int i5;
            int i6;
            float f2;
            int i7 = ((ViewGroup.MarginLayoutParams) this).leftMargin;
            int i8 = ((ViewGroup.MarginLayoutParams) this).rightMargin;
            super.resolveLayoutDirection(i2);
            this.c0 = -1;
            this.d0 = -1;
            this.a0 = -1;
            this.b0 = -1;
            this.e0 = -1;
            this.f0 = -1;
            this.e0 = this.t;
            this.f0 = this.v;
            this.g0 = this.z;
            this.h0 = this.f1449a;
            this.i0 = this.f1450b;
            this.j0 = this.f1451c;
            boolean z2 = false;
            if (1 == getLayoutDirection()) {
                int i9 = this.p;
                if (i9 != -1) {
                    this.c0 = i9;
                } else {
                    int i10 = this.q;
                    if (i10 != -1) {
                        this.d0 = i10;
                    }
                    i3 = this.r;
                    if (i3 != -1) {
                        this.b0 = i3;
                        z2 = true;
                    }
                    i4 = this.s;
                    if (i4 != -1) {
                        this.a0 = i4;
                        z2 = true;
                    }
                    i5 = this.x;
                    if (i5 != -1) {
                        this.f0 = i5;
                    }
                    i6 = this.y;
                    if (i6 != -1) {
                        this.e0 = i6;
                    }
                    if (z2) {
                        this.g0 = 1.0f - this.z;
                    }
                    if (this.X && this.R == 1) {
                        f2 = this.f1451c;
                        if (f2 == -1.0f) {
                            this.j0 = 1.0f - f2;
                            this.h0 = -1;
                            this.i0 = -1;
                        } else {
                            int i11 = this.f1449a;
                            if (i11 != -1) {
                                this.i0 = i11;
                                this.h0 = -1;
                                this.j0 = -1.0f;
                            } else {
                                int i12 = this.f1450b;
                                if (i12 != -1) {
                                    this.h0 = i12;
                                    this.i0 = -1;
                                    this.j0 = -1.0f;
                                }
                            }
                        }
                    }
                }
                z2 = true;
                i3 = this.r;
                if (i3 != -1) {
                }
                i4 = this.s;
                if (i4 != -1) {
                }
                i5 = this.x;
                if (i5 != -1) {
                }
                i6 = this.y;
                if (i6 != -1) {
                }
                if (z2) {
                }
                f2 = this.f1451c;
                if (f2 == -1.0f) {
                }
            } else {
                int i13 = this.p;
                if (i13 != -1) {
                    this.b0 = i13;
                }
                int i14 = this.q;
                if (i14 != -1) {
                    this.a0 = i14;
                }
                int i15 = this.r;
                if (i15 != -1) {
                    this.c0 = i15;
                }
                int i16 = this.s;
                if (i16 != -1) {
                    this.d0 = i16;
                }
                int i17 = this.x;
                if (i17 != -1) {
                    this.e0 = i17;
                }
                int i18 = this.y;
                if (i18 != -1) {
                    this.f0 = i18;
                }
            }
            if (this.r == -1 && this.s == -1 && this.q == -1 && this.p == -1) {
                int i19 = this.f1454f;
                if (i19 != -1) {
                    this.c0 = i19;
                    if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                    }
                } else {
                    int i20 = this.f1455g;
                    if (i20 != -1) {
                        this.d0 = i20;
                        if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                            ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                        }
                    }
                }
                int i21 = this.f1452d;
                if (i21 != -1) {
                    this.a0 = i21;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                        return;
                    }
                    return;
                }
                int i22 = this.f1453e;
                if (i22 != -1) {
                    this.b0 = i22;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                    }
                }
            }
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public final f a(View view) {
        if (view == this) {
            return this.f1442d;
        }
        if (view == null) {
            return null;
        }
        return ((LayoutParams) view.getLayoutParams()).k0;
    }

    private void a(int i2, int i3) {
        boolean z;
        boolean z2;
        int baseline;
        int i4;
        int i5;
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                f fVar = layoutParams.k0;
                if (!layoutParams.X && !layoutParams.Y) {
                    fVar.n(childAt.getVisibility());
                    int i7 = ((ViewGroup.MarginLayoutParams) layoutParams).width;
                    int i8 = ((ViewGroup.MarginLayoutParams) layoutParams).height;
                    boolean z3 = layoutParams.U;
                    if (z3 || layoutParams.V || (!z3 && layoutParams.H == 1) || ((ViewGroup.MarginLayoutParams) layoutParams).width == -1 || (!layoutParams.V && (layoutParams.I == 1 || ((ViewGroup.MarginLayoutParams) layoutParams).height == -1))) {
                        if (i7 == 0) {
                            i4 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, -2);
                            z2 = true;
                        } else if (i7 == -1) {
                            i4 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, -1);
                            z2 = false;
                        } else {
                            z2 = i7 == -2;
                            i4 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, i7);
                        }
                        if (i8 == 0) {
                            i5 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -2);
                            z = true;
                        } else if (i8 == -1) {
                            i5 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -1);
                            z = false;
                        } else {
                            z = i8 == -2;
                            i5 = ViewGroup.getChildMeasureSpec(i3, paddingTop, i8);
                        }
                        childAt.measure(i4, i5);
                        a.e.a.f fVar2 = this.q;
                        if (fVar2 != null) {
                            fVar2.f190a++;
                        }
                        fVar.b(i7 == -2);
                        fVar.a(i8 == -2);
                        i7 = childAt.getMeasuredWidth();
                        i8 = childAt.getMeasuredHeight();
                    } else {
                        z2 = false;
                        z = false;
                    }
                    fVar.o(i7);
                    fVar.g(i8);
                    if (z2) {
                        fVar.q(i7);
                    }
                    if (z) {
                        fVar.p(i8);
                    }
                    if (layoutParams.W && (baseline = childAt.getBaseline()) != -1) {
                        fVar.f(baseline);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(String str) {
        this.f1442d.K();
        a.e.a.f fVar = this.q;
        if (fVar != null) {
            fVar.f192c++;
        }
    }

    public View a(int i2) {
        return this.f1439a.get(i2);
    }
}
