package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.widget.ConstraintLayout;

public class Placeholder extends View {

    /* renamed from: a  reason: collision with root package name */
    private int f1461a = -1;

    /* renamed from: b  reason: collision with root package name */
    private View f1462b = null;

    /* renamed from: c  reason: collision with root package name */
    private int f1463c = 4;

    public Placeholder(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(attributeSet);
    }

    private void a(AttributeSet attributeSet) {
        super.setVisibility(this.f1463c);
        this.f1461a = -1;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, d.ConstraintLayout_placeholder);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == d.ConstraintLayout_placeholder_content) {
                    this.f1461a = obtainStyledAttributes.getResourceId(index, this.f1461a);
                } else if (index == d.ConstraintLayout_placeholder_emptyVisibility) {
                    this.f1463c = obtainStyledAttributes.getInt(index, this.f1463c);
                }
            }
        }
    }

    public void b(ConstraintLayout constraintLayout) {
        if (this.f1461a == -1 && !isInEditMode()) {
            setVisibility(this.f1463c);
        }
        this.f1462b = constraintLayout.findViewById(this.f1461a);
        View view = this.f1462b;
        if (view != null) {
            ((ConstraintLayout.LayoutParams) view.getLayoutParams()).Z = true;
            this.f1462b.setVisibility(0);
            setVisibility(0);
        }
    }

    public View getContent() {
        return this.f1462b;
    }

    public int getEmptyVisibility() {
        return this.f1463c;
    }

    public void onDraw(Canvas canvas) {
        if (isInEditMode()) {
            canvas.drawRGB(223, 223, 223);
            Paint paint = new Paint();
            paint.setARGB(255, 210, 210, 210);
            paint.setTextAlign(Paint.Align.CENTER);
            paint.setTypeface(Typeface.create(Typeface.DEFAULT, 0));
            Rect rect = new Rect();
            canvas.getClipBounds(rect);
            paint.setTextSize((float) rect.height());
            int height = rect.height();
            int width = rect.width();
            paint.setTextAlign(Paint.Align.LEFT);
            paint.getTextBounds("?", 0, 1, rect);
            canvas.drawText("?", ((((float) width) / 2.0f) - (((float) rect.width()) / 2.0f)) - ((float) rect.left), ((((float) height) / 2.0f) + (((float) rect.height()) / 2.0f)) - ((float) rect.bottom), paint);
        }
    }

    public void setContentId(int i2) {
        View findViewById;
        if (this.f1461a != i2) {
            View view = this.f1462b;
            if (view != null) {
                view.setVisibility(0);
                ((ConstraintLayout.LayoutParams) this.f1462b.getLayoutParams()).Z = false;
                this.f1462b = null;
            }
            this.f1461a = i2;
            if (i2 != -1 && (findViewById = ((View) getParent()).findViewById(i2)) != null) {
                findViewById.setVisibility(8);
            }
        }
    }

    public void setEmptyVisibility(int i2) {
        this.f1463c = i2;
    }

    public Placeholder(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a(attributeSet);
    }

    public void a(ConstraintLayout constraintLayout) {
        if (this.f1462b != null) {
            ConstraintLayout.LayoutParams layoutParams = (ConstraintLayout.LayoutParams) getLayoutParams();
            ConstraintLayout.LayoutParams layoutParams2 = (ConstraintLayout.LayoutParams) this.f1462b.getLayoutParams();
            layoutParams2.k0.n(0);
            layoutParams.k0.o(layoutParams2.k0.s());
            layoutParams.k0.g(layoutParams2.k0.i());
            layoutParams2.k0.n(8);
        }
    }
}
