package androidx.core.app;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.util.Log;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

/* compiled from: BundleCompat */
public final class c {
    public static IBinder a(Bundle bundle, String str) {
        if (Build.VERSION.SDK_INT >= 18) {
            return bundle.getBinder(str);
        }
        return a.a(bundle, str);
    }

    public static void a(Bundle bundle, String str, IBinder iBinder) {
        if (Build.VERSION.SDK_INT >= 18) {
            bundle.putBinder(str, iBinder);
        } else {
            a.a(bundle, str, iBinder);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: BundleCompat */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private static Method f1519a;

        /* renamed from: b  reason: collision with root package name */
        private static boolean f1520b;

        /* renamed from: c  reason: collision with root package name */
        private static Method f1521c;

        /* renamed from: d  reason: collision with root package name */
        private static boolean f1522d;

        public static IBinder a(Bundle bundle, String str) {
            if (!f1520b) {
                try {
                    f1519a = Bundle.class.getMethod("getIBinder", String.class);
                    f1519a.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i("BundleCompatBaseImpl", "Failed to retrieve getIBinder method", e2);
                }
                f1520b = true;
            }
            Method method = f1519a;
            if (method != null) {
                try {
                    return (IBinder) method.invoke(bundle, str);
                } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e3) {
                    Log.i("BundleCompatBaseImpl", "Failed to invoke getIBinder via reflection", e3);
                    f1519a = null;
                }
            }
            return null;
        }

        public static void a(Bundle bundle, String str, IBinder iBinder) {
            if (!f1522d) {
                try {
                    f1521c = Bundle.class.getMethod("putIBinder", String.class, IBinder.class);
                    f1521c.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i("BundleCompatBaseImpl", "Failed to retrieve putIBinder method", e2);
                }
                f1522d = true;
            }
            Method method = f1521c;
            if (method != null) {
                try {
                    method.invoke(bundle, str, iBinder);
                } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e3) {
                    Log.i("BundleCompatBaseImpl", "Failed to invoke putIBinder via reflection", e3);
                    f1521c = null;
                }
            }
        }
    }
}
