package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.graphics.drawable.Icon;
import android.os.Build;
import android.os.Parcelable;
import android.util.Log;
import androidx.versionedparcelable.CustomVersionedParcelable;
import com.ecarx.sdk.policy.IAudioAttributes;
import java.io.ByteArrayOutputStream;
import java.lang.reflect.InvocationTargetException;
import java.nio.charset.Charset;

public class IconCompat extends CustomVersionedParcelable {

    /* renamed from: j  reason: collision with root package name */
    static final PorterDuff.Mode f1523j = PorterDuff.Mode.SRC_IN;

    /* renamed from: a  reason: collision with root package name */
    public int f1524a = -1;

    /* renamed from: b  reason: collision with root package name */
    Object f1525b;

    /* renamed from: c  reason: collision with root package name */
    public byte[] f1526c = null;

    /* renamed from: d  reason: collision with root package name */
    public Parcelable f1527d = null;

    /* renamed from: e  reason: collision with root package name */
    public int f1528e = 0;

    /* renamed from: f  reason: collision with root package name */
    public int f1529f = 0;

    /* renamed from: g  reason: collision with root package name */
    public ColorStateList f1530g = null;

    /* renamed from: h  reason: collision with root package name */
    PorterDuff.Mode f1531h = f1523j;

    /* renamed from: i  reason: collision with root package name */
    public String f1532i = null;

    private static String a(int i2) {
        return i2 != 1 ? i2 != 2 ? i2 != 3 ? i2 != 4 ? i2 != 5 ? IAudioAttributes.CONTENT_TYPE_MD_UNKNOWN : "BITMAP_MASKABLE" : "URI" : "DATA" : "RESOURCE" : "BITMAP";
    }

    public void a(boolean z) {
        this.f1532i = this.f1531h.name();
        int i2 = this.f1524a;
        if (i2 != -1) {
            if (i2 != 1) {
                if (i2 == 2) {
                    this.f1526c = ((String) this.f1525b).getBytes(Charset.forName("UTF-16"));
                    return;
                } else if (i2 == 3) {
                    this.f1526c = (byte[]) this.f1525b;
                    return;
                } else if (i2 == 4) {
                    this.f1526c = this.f1525b.toString().getBytes(Charset.forName("UTF-16"));
                    return;
                } else if (i2 != 5) {
                    return;
                }
            }
            if (z) {
                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                ((Bitmap) this.f1525b).compress(Bitmap.CompressFormat.PNG, 90, byteArrayOutputStream);
                this.f1526c = byteArrayOutputStream.toByteArray();
                return;
            }
            this.f1527d = (Parcelable) this.f1525b;
        } else if (!z) {
            this.f1527d = (Parcelable) this.f1525b;
        } else {
            throw new IllegalArgumentException("Can't serialize Icon created with IconCompat#createFromIcon");
        }
    }

    public int b() {
        if (this.f1524a == -1 && Build.VERSION.SDK_INT >= 23) {
            return a((Icon) this.f1525b);
        }
        if (this.f1524a == 2) {
            return this.f1528e;
        }
        throw new IllegalStateException("called getResId() on " + this);
    }

    public String c() {
        if (this.f1524a == -1 && Build.VERSION.SDK_INT >= 23) {
            return b((Icon) this.f1525b);
        }
        if (this.f1524a == 2) {
            return ((String) this.f1525b).split(":", -1)[0];
        }
        throw new IllegalStateException("called getResPackage() on " + this);
    }

    public void d() {
        this.f1531h = PorterDuff.Mode.valueOf(this.f1532i);
        int i2 = this.f1524a;
        if (i2 != -1) {
            if (i2 != 1) {
                if (i2 != 2) {
                    if (i2 == 3) {
                        this.f1525b = this.f1526c;
                        return;
                    } else if (i2 != 4) {
                        if (i2 != 5) {
                            return;
                        }
                    }
                }
                this.f1525b = new String(this.f1526c, Charset.forName("UTF-16"));
                return;
            }
            Parcelable parcelable = this.f1527d;
            if (parcelable != null) {
                this.f1525b = parcelable;
                return;
            }
            byte[] bArr = this.f1526c;
            this.f1525b = bArr;
            this.f1524a = 3;
            this.f1528e = 0;
            this.f1529f = bArr.length;
            return;
        }
        Parcelable parcelable2 = this.f1527d;
        if (parcelable2 != null) {
            this.f1525b = parcelable2;
            return;
        }
        throw new IllegalArgumentException("Invalid icon");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x002b, code lost:
        if (r1 != 5) goto L_0x009a;
     */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x009e  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x00ae  */
    public String toString() {
        if (this.f1524a == -1) {
            return String.valueOf(this.f1525b);
        }
        StringBuilder sb = new StringBuilder("Icon(typ=");
        sb.append(a(this.f1524a));
        int i2 = this.f1524a;
        if (i2 != 1) {
            if (i2 == 2) {
                sb.append(" pkg=");
                sb.append(c());
                sb.append(" id=");
                sb.append(String.format("0x%08x", Integer.valueOf(b())));
            } else if (i2 == 3) {
                sb.append(" len=");
                sb.append(this.f1528e);
                if (this.f1529f != 0) {
                    sb.append(" off=");
                    sb.append(this.f1529f);
                }
            } else if (i2 == 4) {
                sb.append(" uri=");
                sb.append(this.f1525b);
            }
            if (this.f1530g != null) {
                sb.append(" tint=");
                sb.append(this.f1530g);
            }
            if (this.f1531h != f1523j) {
                sb.append(" mode=");
                sb.append(this.f1531h);
            }
            sb.append(")");
            return sb.toString();
        }
        sb.append(" size=");
        sb.append(((Bitmap) this.f1525b).getWidth());
        sb.append("x");
        sb.append(((Bitmap) this.f1525b).getHeight());
        if (this.f1530g != null) {
        }
        if (this.f1531h != f1523j) {
        }
        sb.append(")");
        return sb.toString();
    }

    private static String b(Icon icon) {
        if (Build.VERSION.SDK_INT >= 28) {
            return icon.getResPackage();
        }
        try {
            return (String) icon.getClass().getMethod("getResPackage", new Class[0]).invoke(icon, new Object[0]);
        } catch (IllegalAccessException e2) {
            Log.e("IconCompat", "Unable to get icon package", e2);
            return null;
        } catch (InvocationTargetException e3) {
            Log.e("IconCompat", "Unable to get icon package", e3);
            return null;
        } catch (NoSuchMethodException e4) {
            Log.e("IconCompat", "Unable to get icon package", e4);
            return null;
        }
    }

    private static int a(Icon icon) {
        if (Build.VERSION.SDK_INT >= 28) {
            return icon.getResId();
        }
        try {
            return ((Integer) icon.getClass().getMethod("getResId", new Class[0]).invoke(icon, new Object[0])).intValue();
        } catch (IllegalAccessException e2) {
            Log.e("IconCompat", "Unable to get icon resource", e2);
            return 0;
        } catch (InvocationTargetException e3) {
            Log.e("IconCompat", "Unable to get icon resource", e3);
            return 0;
        } catch (NoSuchMethodException e4) {
            Log.e("IconCompat", "Unable to get icon resource", e4);
            return 0;
        }
    }
}
