package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;

/* access modifiers changed from: package-private */
/* compiled from: WrappedDrawableApi14 */
public class d extends Drawable implements Drawable.Callback, c, b {

    /* renamed from: g  reason: collision with root package name */
    static final PorterDuff.Mode f1537g = PorterDuff.Mode.SRC_IN;

    /* renamed from: a  reason: collision with root package name */
    private int f1538a;

    /* renamed from: b  reason: collision with root package name */
    private PorterDuff.Mode f1539b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f1540c;

    /* renamed from: d  reason: collision with root package name */
    f f1541d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f1542e;

    /* renamed from: f  reason: collision with root package name */
    Drawable f1543f;

    d(f fVar, Resources resources) {
        this.f1541d = fVar;
        a(resources);
    }

    private void a(Resources resources) {
        Drawable.ConstantState constantState;
        f fVar = this.f1541d;
        if (fVar != null && (constantState = fVar.f1546b) != null) {
            a(constantState.newDrawable(resources));
        }
    }

    private f c() {
        return new f(this.f1541d);
    }

    /* access modifiers changed from: protected */
    public boolean b() {
        return true;
    }

    public void draw(Canvas canvas) {
        this.f1543f.draw(canvas);
    }

    public int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        f fVar = this.f1541d;
        return changingConfigurations | (fVar != null ? fVar.getChangingConfigurations() : 0) | this.f1543f.getChangingConfigurations();
    }

    public Drawable.ConstantState getConstantState() {
        f fVar = this.f1541d;
        if (fVar == null || !fVar.a()) {
            return null;
        }
        this.f1541d.f1545a = getChangingConfigurations();
        return this.f1541d;
    }

    public Drawable getCurrent() {
        return this.f1543f.getCurrent();
    }

    public int getIntrinsicHeight() {
        return this.f1543f.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        return this.f1543f.getIntrinsicWidth();
    }

    public int getMinimumHeight() {
        return this.f1543f.getMinimumHeight();
    }

    public int getMinimumWidth() {
        return this.f1543f.getMinimumWidth();
    }

    public int getOpacity() {
        return this.f1543f.getOpacity();
    }

    public boolean getPadding(Rect rect) {
        return this.f1543f.getPadding(rect);
    }

    public int[] getState() {
        return this.f1543f.getState();
    }

    public Region getTransparentRegion() {
        return this.f1543f.getTransparentRegion();
    }

    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    public boolean isAutoMirrored() {
        return this.f1543f.isAutoMirrored();
    }

    public boolean isStateful() {
        f fVar;
        ColorStateList colorStateList = (!b() || (fVar = this.f1541d) == null) ? null : fVar.f1547c;
        return (colorStateList != null && colorStateList.isStateful()) || this.f1543f.isStateful();
    }

    public void jumpToCurrentState() {
        this.f1543f.jumpToCurrentState();
    }

    public Drawable mutate() {
        if (!this.f1542e && super.mutate() == this) {
            this.f1541d = c();
            Drawable drawable = this.f1543f;
            if (drawable != null) {
                drawable.mutate();
            }
            f fVar = this.f1541d;
            if (fVar != null) {
                Drawable drawable2 = this.f1543f;
                fVar.f1546b = drawable2 != null ? drawable2.getConstantState() : null;
            }
            this.f1542e = true;
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f1543f;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i2) {
        return this.f1543f.setLevel(i2);
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j2) {
        scheduleSelf(runnable, j2);
    }

    public void setAlpha(int i2) {
        this.f1543f.setAlpha(i2);
    }

    public void setAutoMirrored(boolean z) {
        this.f1543f.setAutoMirrored(z);
    }

    public void setChangingConfigurations(int i2) {
        this.f1543f.setChangingConfigurations(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f1543f.setColorFilter(colorFilter);
    }

    public void setDither(boolean z) {
        this.f1543f.setDither(z);
    }

    public void setFilterBitmap(boolean z) {
        this.f1543f.setFilterBitmap(z);
    }

    public boolean setState(int[] iArr) {
        return a(iArr) || this.f1543f.setState(iArr);
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTint(int i2) {
        setTintList(ColorStateList.valueOf(i2));
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTintList(ColorStateList colorStateList) {
        this.f1541d.f1547c = colorStateList;
        a(getState());
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTintMode(PorterDuff.Mode mode) {
        this.f1541d.f1548d = mode;
        a(getState());
    }

    public boolean setVisible(boolean z, boolean z2) {
        return super.setVisible(z, z2) || this.f1543f.setVisible(z, z2);
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    private boolean a(int[] iArr) {
        if (!b()) {
            return false;
        }
        f fVar = this.f1541d;
        ColorStateList colorStateList = fVar.f1547c;
        PorterDuff.Mode mode = fVar.f1548d;
        if (colorStateList == null || mode == null) {
            this.f1540c = false;
            clearColorFilter();
        } else {
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (!(this.f1540c && colorForState == this.f1538a && mode == this.f1539b)) {
                setColorFilter(colorForState, mode);
                this.f1538a = colorForState;
                this.f1539b = mode;
                this.f1540c = true;
                return true;
            }
        }
        return false;
    }

    d(Drawable drawable) {
        this.f1541d = c();
        a(drawable);
    }

    @Override // androidx.core.graphics.drawable.c
    public final Drawable a() {
        return this.f1543f;
    }

    @Override // androidx.core.graphics.drawable.c
    public final void a(Drawable drawable) {
        Drawable drawable2 = this.f1543f;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f1543f = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            f fVar = this.f1541d;
            if (fVar != null) {
                fVar.f1546b = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }
}
