package androidx.fragment.app;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.LayoutInflater;
import android.view.View;

public class DialogFragment extends Fragment implements DialogInterface.OnCancelListener, DialogInterface.OnDismissListener {

    /* renamed from: a  reason: collision with root package name */
    private Handler f1628a;

    /* renamed from: b  reason: collision with root package name */
    private Runnable f1629b = new a();

    /* renamed from: c  reason: collision with root package name */
    int f1630c = 0;

    /* renamed from: d  reason: collision with root package name */
    int f1631d = 0;

    /* renamed from: e  reason: collision with root package name */
    boolean f1632e = true;

    /* renamed from: f  reason: collision with root package name */
    boolean f1633f = true;

    /* renamed from: g  reason: collision with root package name */
    int f1634g = -1;

    /* renamed from: h  reason: collision with root package name */
    Dialog f1635h;

    /* renamed from: i  reason: collision with root package name */
    boolean f1636i;

    /* renamed from: j  reason: collision with root package name */
    boolean f1637j;
    boolean k;

    class a implements Runnable {
        a() {
        }

        public void run() {
            DialogFragment dialogFragment = DialogFragment.this;
            Dialog dialog = dialogFragment.f1635h;
            if (dialog != null) {
                dialogFragment.onDismiss(dialog);
            }
        }
    }

    public int W() {
        return this.f1631d;
    }

    /* access modifiers changed from: package-private */
    public void a(boolean z, boolean z2) {
        if (!this.f1637j) {
            this.f1637j = true;
            this.k = false;
            Dialog dialog = this.f1635h;
            if (dialog != null) {
                dialog.setOnDismissListener(null);
                this.f1635h.dismiss();
                if (!z2) {
                    if (Looper.myLooper() == this.f1628a.getLooper()) {
                        onDismiss(this.f1635h);
                    } else {
                        this.f1628a.post(this.f1629b);
                    }
                }
            }
            this.f1636i = true;
            if (this.f1634g >= 0) {
                requireFragmentManager().popBackStack(this.f1634g, 1);
                this.f1634g = -1;
                return;
            }
            i beginTransaction = requireFragmentManager().beginTransaction();
            beginTransaction.d(this);
            if (z) {
                beginTransaction.c();
            } else {
                beginTransaction.b();
            }
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        Bundle bundle2;
        super.onActivityCreated(bundle);
        if (this.f1633f) {
            View view = getView();
            if (view != null) {
                if (view.getParent() == null) {
                    this.f1635h.setContentView(view);
                } else {
                    throw new IllegalStateException("DialogFragment can not be attached to a container view");
                }
            }
            FragmentActivity activity = getActivity();
            if (activity != null) {
                this.f1635h.setOwnerActivity(activity);
            }
            this.f1635h.setCancelable(this.f1632e);
            this.f1635h.setOnCancelListener(this);
            this.f1635h.setOnDismissListener(this);
            if (bundle != null && (bundle2 = bundle.getBundle("android:savedDialogState")) != null) {
                this.f1635h.onRestoreInstanceState(bundle2);
            }
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(Context context) {
        super.onAttach(context);
        if (!this.k) {
            this.f1637j = false;
        }
    }

    public void onCancel(DialogInterface dialogInterface) {
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.f1628a = new Handler();
        this.f1633f = this.mContainerId == 0;
        if (bundle != null) {
            this.f1630c = bundle.getInt("android:style", 0);
            this.f1631d = bundle.getInt("android:theme", 0);
            this.f1632e = bundle.getBoolean("android:cancelable", true);
            this.f1633f = bundle.getBoolean("android:showsDialog", this.f1633f);
            this.f1634g = bundle.getInt("android:backStackId", -1);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
        Dialog dialog = this.f1635h;
        if (dialog != null) {
            this.f1636i = true;
            dialog.setOnDismissListener(null);
            this.f1635h.dismiss();
            if (!this.f1637j) {
                onDismiss(this.f1635h);
            }
            this.f1635h = null;
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onDetach() {
        super.onDetach();
        if (!this.k && !this.f1637j) {
            this.f1637j = true;
        }
    }

    public void onDismiss(DialogInterface dialogInterface) {
        if (!this.f1636i) {
            a(true, true);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public LayoutInflater onGetLayoutInflater(Bundle bundle) {
        if (!this.f1633f) {
            return super.onGetLayoutInflater(bundle);
        }
        this.f1635h = a(bundle);
        Dialog dialog = this.f1635h;
        if (dialog == null) {
            return (LayoutInflater) this.mHost.d().getSystemService("layout_inflater");
        }
        a(dialog, this.f1630c);
        return (LayoutInflater) this.f1635h.getContext().getSystemService("layout_inflater");
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(Bundle bundle) {
        Bundle onSaveInstanceState;
        super.onSaveInstanceState(bundle);
        Dialog dialog = this.f1635h;
        if (!(dialog == null || (onSaveInstanceState = dialog.onSaveInstanceState()) == null)) {
            bundle.putBundle("android:savedDialogState", onSaveInstanceState);
        }
        int i2 = this.f1630c;
        if (i2 != 0) {
            bundle.putInt("android:style", i2);
        }
        int i3 = this.f1631d;
        if (i3 != 0) {
            bundle.putInt("android:theme", i3);
        }
        boolean z = this.f1632e;
        if (!z) {
            bundle.putBoolean("android:cancelable", z);
        }
        boolean z2 = this.f1633f;
        if (!z2) {
            bundle.putBoolean("android:showsDialog", z2);
        }
        int i4 = this.f1634g;
        if (i4 != -1) {
            bundle.putInt("android:backStackId", i4);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onStart() {
        super.onStart();
        Dialog dialog = this.f1635h;
        if (dialog != null) {
            this.f1636i = false;
            dialog.show();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onStop() {
        super.onStop();
        Dialog dialog = this.f1635h;
        if (dialog != null) {
            dialog.hide();
        }
    }

    public void a(Dialog dialog, int i2) {
        if (!(i2 == 1 || i2 == 2)) {
            if (i2 == 3) {
                dialog.getWindow().addFlags(24);
            } else {
                return;
            }
        }
        dialog.requestWindowFeature(1);
    }

    public Dialog a(Bundle bundle) {
        return new Dialog(requireContext(), W());
    }
}
