package androidx.media;

import android.annotation.SuppressLint;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.media.browse.MediaBrowser;
import android.media.session.MediaSession;
import android.os.Binder;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.service.media.MediaBrowserService;
import android.support.v4.media.MediaBrowserCompat;
import android.support.v4.media.session.IMediaSession;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.os.ResultReceiver;
import android.text.TextUtils;
import android.util.Log;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* compiled from: MediaBrowserServiceCompat */
public abstract class c extends Service {

    /* renamed from: h  reason: collision with root package name */
    static final boolean f1865h = Log.isLoggable("MBServiceCompat", 3);

    /* renamed from: a  reason: collision with root package name */
    private g f1866a;

    /* renamed from: b  reason: collision with root package name */
    final f f1867b = new f("android.media.session.MediaController", -1, -1, null, null);

    /* renamed from: c  reason: collision with root package name */
    final ArrayList<f> f1868c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    final a.d.a<IBinder, f> f1869d = new a.d.a<>();

    /* renamed from: e  reason: collision with root package name */
    f f1870e;

    /* renamed from: f  reason: collision with root package name */
    final r f1871f = new r();

    /* renamed from: g  reason: collision with root package name */
    MediaSessionCompat.Token f1872g;

    /* access modifiers changed from: package-private */
    /* compiled from: MediaBrowserServiceCompat */
    public class a extends m<List<MediaBrowserCompat.MediaItem>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ f f1873f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ String f1874g;

        /* renamed from: h  reason: collision with root package name */
        final /* synthetic */ Bundle f1875h;

        /* renamed from: i  reason: collision with root package name */
        final /* synthetic */ Bundle f1876i;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(Object obj, f fVar, String str, Bundle bundle, Bundle bundle2) {
            super(obj);
            this.f1873f = fVar;
            this.f1874g = str;
            this.f1875h = bundle;
            this.f1876i = bundle2;
        }

        /* access modifiers changed from: package-private */
        public void a(List<MediaBrowserCompat.MediaItem> list) {
            if (c.this.f1869d.get(this.f1873f.f1886d.asBinder()) == this.f1873f) {
                if ((a() & 1) != 0) {
                    list = c.this.a(list, this.f1875h);
                }
                try {
                    this.f1873f.f1886d.a(this.f1874g, list, this.f1875h, this.f1876i);
                } catch (RemoteException unused) {
                    Log.w("MBServiceCompat", "Calling onLoadChildren() failed for id=" + this.f1874g + " package=" + this.f1873f.f1883a);
                }
            } else if (c.f1865h) {
                Log.d("MBServiceCompat", "Not sending onLoadChildren result for connection that has been disconnected. pkg=" + this.f1873f.f1883a + " id=" + this.f1874g);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MediaBrowserServiceCompat */
    public class b extends m<MediaBrowserCompat.MediaItem> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ ResultReceiver f1878f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(c cVar, Object obj, ResultReceiver resultReceiver) {
            super(obj);
            this.f1878f = resultReceiver;
        }

        /* access modifiers changed from: package-private */
        public void a(MediaBrowserCompat.MediaItem mediaItem) {
            if ((a() & 2) != 0) {
                this.f1878f.send(-1, null);
                return;
            }
            Bundle bundle = new Bundle();
            bundle.putParcelable("media_item", mediaItem);
            this.f1878f.send(0, bundle);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.media.c$c  reason: collision with other inner class name */
    /* compiled from: MediaBrowserServiceCompat */
    public class C0039c extends m<List<MediaBrowserCompat.MediaItem>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ ResultReceiver f1879f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        C0039c(c cVar, Object obj, ResultReceiver resultReceiver) {
            super(obj);
            this.f1879f = resultReceiver;
        }

        /* access modifiers changed from: package-private */
        public void a(List<MediaBrowserCompat.MediaItem> list) {
            if ((a() & 4) != 0 || list == null) {
                this.f1879f.send(-1, null);
                return;
            }
            Bundle bundle = new Bundle();
            bundle.putParcelableArray("search_results", (Parcelable[]) list.toArray(new MediaBrowserCompat.MediaItem[0]));
            this.f1879f.send(0, bundle);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MediaBrowserServiceCompat */
    public class d extends m<Bundle> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ ResultReceiver f1880f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(c cVar, Object obj, ResultReceiver resultReceiver) {
            super(obj);
            this.f1880f = resultReceiver;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: c */
        public void a(Bundle bundle) {
            this.f1880f.send(0, bundle);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.media.c.m
        public void a(Bundle bundle) {
            this.f1880f.send(-1, bundle);
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        private final String f1881a;

        /* renamed from: b  reason: collision with root package name */
        private final Bundle f1882b;

        public e(String str, Bundle bundle) {
            if (str != null) {
                this.f1881a = str;
                this.f1882b = bundle;
                return;
            }
            throw new IllegalArgumentException("The root id in BrowserRoot cannot be null. Use null for BrowserRoot instead");
        }

        public Bundle a() {
            return this.f1882b;
        }

        public String b() {
            return this.f1881a;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: MediaBrowserServiceCompat */
    public class f implements IBinder.DeathRecipient {

        /* renamed from: a  reason: collision with root package name */
        public final String f1883a;

        /* renamed from: b  reason: collision with root package name */
        public final int f1884b;

        /* renamed from: c  reason: collision with root package name */
        public final int f1885c;

        /* renamed from: d  reason: collision with root package name */
        public final p f1886d;

        /* renamed from: e  reason: collision with root package name */
        public final HashMap<String, List<a.g.k.d<IBinder, Bundle>>> f1887e = new HashMap<>();

        /* renamed from: f  reason: collision with root package name */
        public e f1888f;

        /* compiled from: MediaBrowserServiceCompat */
        class a implements Runnable {
            a() {
            }

            public void run() {
                f fVar = f.this;
                c.this.f1869d.remove(fVar.f1886d.asBinder());
            }
        }

        f(String str, int i2, int i3, Bundle bundle, p pVar) {
            this.f1883a = str;
            this.f1884b = i2;
            this.f1885c = i3;
            new d(str, i2, i3);
            this.f1886d = pVar;
        }

        public void binderDied() {
            c.this.f1871f.post(new a());
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    interface g {
        IBinder a(Intent intent);

        void a(MediaSessionCompat.Token token);

        void b();
    }

    /* compiled from: MediaBrowserServiceCompat */
    class h implements g {

        /* renamed from: a  reason: collision with root package name */
        final List<Bundle> f1891a = new ArrayList();

        /* renamed from: b  reason: collision with root package name */
        MediaBrowserService f1892b;

        /* renamed from: c  reason: collision with root package name */
        Messenger f1893c;

        /* compiled from: MediaBrowserServiceCompat */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionCompat.Token f1895a;

            a(MediaSessionCompat.Token token) {
                this.f1895a = token;
            }

            public void run() {
                if (!h.this.f1891a.isEmpty()) {
                    IMediaSession extraBinder = this.f1895a.getExtraBinder();
                    if (extraBinder != null) {
                        for (Bundle bundle : h.this.f1891a) {
                            androidx.core.app.c.a(bundle, "extra_session_binder", extraBinder.asBinder());
                        }
                    }
                    h.this.f1891a.clear();
                }
                h.this.f1892b.setSessionToken((MediaSession.Token) this.f1895a.getToken());
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class b extends m<List<MediaBrowserCompat.MediaItem>> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ n f1897f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(h hVar, Object obj, n nVar) {
                super(obj);
                this.f1897f = nVar;
            }

            /* access modifiers changed from: package-private */
            public void a(List<MediaBrowserCompat.MediaItem> list) {
                ArrayList arrayList;
                if (list != null) {
                    arrayList = new ArrayList();
                    for (MediaBrowserCompat.MediaItem mediaItem : list) {
                        Parcel obtain = Parcel.obtain();
                        mediaItem.writeToParcel(obtain, 0);
                        arrayList.add(obtain);
                    }
                } else {
                    arrayList = null;
                }
                this.f1897f.a((Object) arrayList);
            }
        }

        /* renamed from: androidx.media.c$h$c  reason: collision with other inner class name */
        /* compiled from: MediaBrowserServiceCompat */
        class C0040c extends MediaBrowserService {
            C0040c(Context context) {
                attachBaseContext(context);
            }

            @SuppressLint({"SyntheticAccessor"})
            public MediaBrowserService.BrowserRoot onGetRoot(String str, int i2, Bundle bundle) {
                MediaSessionCompat.ensureClassLoader(bundle);
                e a2 = h.this.a(str, i2, bundle == null ? null : new Bundle(bundle));
                if (a2 == null) {
                    return null;
                }
                return new MediaBrowserService.BrowserRoot(a2.f1881a, a2.f1882b);
            }

            @Override // android.service.media.MediaBrowserService
            public void onLoadChildren(String str, MediaBrowserService.Result<List<MediaBrowser.MediaItem>> result) {
                h.this.a(str, new n<>(result));
            }
        }

        h() {
        }

        @Override // androidx.media.c.g
        public IBinder a(Intent intent) {
            return this.f1892b.onBind(intent);
        }

        @Override // androidx.media.c.g
        public void b() {
            this.f1892b = new C0040c(c.this);
            this.f1892b.onCreate();
        }

        @Override // androidx.media.c.g
        public void a(MediaSessionCompat.Token token) {
            c.this.f1871f.a(new a(token));
        }

        public e a(String str, int i2, Bundle bundle) {
            int i3;
            Bundle bundle2;
            IBinder iBinder;
            if (bundle == null || bundle.getInt("extra_client_version", 0) == 0) {
                bundle2 = null;
                i3 = -1;
            } else {
                bundle.remove("extra_client_version");
                this.f1893c = new Messenger(c.this.f1871f);
                bundle2 = new Bundle();
                bundle2.putInt("extra_service_version", 2);
                androidx.core.app.c.a(bundle2, "extra_messenger", this.f1893c.getBinder());
                MediaSessionCompat.Token token = c.this.f1872g;
                if (token != null) {
                    IMediaSession extraBinder = token.getExtraBinder();
                    if (extraBinder == null) {
                        iBinder = null;
                    } else {
                        iBinder = extraBinder.asBinder();
                    }
                    androidx.core.app.c.a(bundle2, "extra_session_binder", iBinder);
                } else {
                    this.f1891a.add(bundle2);
                }
                int i4 = bundle.getInt("extra_calling_pid", -1);
                bundle.remove("extra_calling_pid");
                i3 = i4;
            }
            f fVar = new f(str, i3, i2, bundle, null);
            c cVar = c.this;
            cVar.f1870e = fVar;
            e a2 = cVar.a(str, i2, bundle);
            c cVar2 = c.this;
            cVar2.f1870e = null;
            if (a2 == null) {
                return null;
            }
            if (this.f1893c != null) {
                cVar2.f1868c.add(fVar);
            }
            if (bundle2 == null) {
                bundle2 = a2.a();
            } else if (a2.a() != null) {
                bundle2.putAll(a2.a());
            }
            return new e(a2.b(), bundle2);
        }

        public void a(String str, n<List<Parcel>> nVar) {
            b bVar = new b(this, str, nVar);
            c cVar = c.this;
            cVar.f1870e = cVar.f1867b;
            cVar.a(str, bVar);
            c.this.f1870e = null;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MediaBrowserServiceCompat */
    public class j extends i {

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class a extends m<List<MediaBrowserCompat.MediaItem>> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ n f1903f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Bundle f1904g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Object obj, n nVar, Bundle bundle) {
                super(obj);
                this.f1903f = nVar;
                this.f1904g = bundle;
            }

            /* access modifiers changed from: package-private */
            public void a(List<MediaBrowserCompat.MediaItem> list) {
                if (list == null) {
                    this.f1903f.a((Object) null);
                    return;
                }
                if ((a() & 1) != 0) {
                    list = c.this.a(list, this.f1904g);
                }
                ArrayList arrayList = new ArrayList();
                for (MediaBrowserCompat.MediaItem mediaItem : list) {
                    Parcel obtain = Parcel.obtain();
                    mediaItem.writeToParcel(obtain, 0);
                    arrayList.add(obtain);
                }
                this.f1903f.a((Object) arrayList);
            }
        }

        /* compiled from: MediaBrowserServiceCompat */
        class b extends i.b {
            b(Context context) {
                super(context);
            }

            @Override // android.service.media.MediaBrowserService
            public void onLoadChildren(String str, MediaBrowserService.Result<List<MediaBrowser.MediaItem>> result, Bundle bundle) {
                MediaSessionCompat.ensureClassLoader(bundle);
                j jVar = j.this;
                c cVar = c.this;
                cVar.f1870e = cVar.f1867b;
                jVar.a(str, new n<>(result), bundle);
                c.this.f1870e = null;
            }
        }

        j() {
            super();
        }

        public void a(String str, n<List<Parcel>> nVar, Bundle bundle) {
            a aVar = new a(str, nVar, bundle);
            c cVar = c.this;
            cVar.f1870e = cVar.f1867b;
            cVar.a(str, aVar, bundle);
            c.this.f1870e = null;
        }

        @Override // androidx.media.c.h, androidx.media.c.i, androidx.media.c.g
        public void b() {
            this.f1892b = new b(c.this);
            this.f1892b.onCreate();
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    class k extends j {
        k(c cVar) {
            super();
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    public static class m<T> {

        /* renamed from: a  reason: collision with root package name */
        private final Object f1911a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f1912b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f1913c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f1914d;

        /* renamed from: e  reason: collision with root package name */
        private int f1915e;

        m(Object obj) {
            this.f1911a = obj;
        }

        /* access modifiers changed from: package-private */
        public void a(int i2) {
            this.f1915e = i2;
        }

        /* access modifiers changed from: package-private */
        public void a(T t) {
            throw null;
        }

        public void b(T t) {
            if (this.f1913c || this.f1914d) {
                throw new IllegalStateException("sendResult() called when either sendResult() or sendError() had already been called for: " + this.f1911a);
            }
            this.f1913c = true;
            a((Object) t);
        }

        /* access modifiers changed from: package-private */
        public int a() {
            return this.f1915e;
        }

        /* access modifiers changed from: package-private */
        public void a(Bundle bundle) {
            throw new UnsupportedOperationException("It is not supported to send an error for " + this.f1911a);
        }

        public void b(Bundle bundle) {
            if (this.f1913c || this.f1914d) {
                throw new IllegalStateException("sendError() called when either sendResult() or sendError() had already been called for: " + this.f1911a);
            }
            this.f1914d = true;
            a(bundle);
        }

        /* access modifiers changed from: package-private */
        public boolean b() {
            return this.f1912b || this.f1913c || this.f1914d;
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    private class o {

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1918a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f1919b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ int f1920c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ int f1921d;

            /* renamed from: e  reason: collision with root package name */
            final /* synthetic */ Bundle f1922e;

            a(p pVar, String str, int i2, int i3, Bundle bundle) {
                this.f1918a = pVar;
                this.f1919b = str;
                this.f1920c = i2;
                this.f1921d = i3;
                this.f1922e = bundle;
            }

            public void run() {
                IBinder asBinder = this.f1918a.asBinder();
                c.this.f1869d.remove(asBinder);
                f fVar = new f(this.f1919b, this.f1920c, this.f1921d, this.f1922e, this.f1918a);
                c cVar = c.this;
                cVar.f1870e = fVar;
                fVar.f1888f = cVar.a(this.f1919b, this.f1921d, this.f1922e);
                c cVar2 = c.this;
                cVar2.f1870e = null;
                if (fVar.f1888f == null) {
                    Log.i("MBServiceCompat", "No root for client " + this.f1919b + " from service " + a.class.getName());
                    try {
                        this.f1918a.a();
                    } catch (RemoteException unused) {
                        Log.w("MBServiceCompat", "Calling onConnectFailed() failed. Ignoring. pkg=" + this.f1919b);
                    }
                } else {
                    try {
                        cVar2.f1869d.put(asBinder, fVar);
                        asBinder.linkToDeath(fVar, 0);
                        if (c.this.f1872g != null) {
                            this.f1918a.a(fVar.f1888f.b(), c.this.f1872g, fVar.f1888f.a());
                        }
                    } catch (RemoteException unused2) {
                        Log.w("MBServiceCompat", "Calling onConnect() failed. Dropping client. pkg=" + this.f1919b);
                        c.this.f1869d.remove(asBinder);
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1924a;

            b(p pVar) {
                this.f1924a = pVar;
            }

            public void run() {
                f remove = c.this.f1869d.remove(this.f1924a.asBinder());
                if (remove != null) {
                    remove.f1886d.asBinder().unlinkToDeath(remove, 0);
                }
            }
        }

        /* access modifiers changed from: package-private */
        /* renamed from: androidx.media.c$o$c  reason: collision with other inner class name */
        /* compiled from: MediaBrowserServiceCompat */
        public class RunnableC0041c implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1926a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f1927b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ IBinder f1928c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ Bundle f1929d;

            RunnableC0041c(p pVar, String str, IBinder iBinder, Bundle bundle) {
                this.f1926a = pVar;
                this.f1927b = str;
                this.f1928c = iBinder;
                this.f1929d = bundle;
            }

            public void run() {
                f fVar = c.this.f1869d.get(this.f1926a.asBinder());
                if (fVar == null) {
                    Log.w("MBServiceCompat", "addSubscription for callback that isn't registered id=" + this.f1927b);
                    return;
                }
                c.this.a(this.f1927b, fVar, this.f1928c, this.f1929d);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class d implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1931a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f1932b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ IBinder f1933c;

            d(p pVar, String str, IBinder iBinder) {
                this.f1931a = pVar;
                this.f1932b = str;
                this.f1933c = iBinder;
            }

            public void run() {
                f fVar = c.this.f1869d.get(this.f1931a.asBinder());
                if (fVar == null) {
                    Log.w("MBServiceCompat", "removeSubscription for callback that isn't registered id=" + this.f1932b);
                } else if (!c.this.a(this.f1932b, fVar, this.f1933c)) {
                    Log.w("MBServiceCompat", "removeSubscription called for " + this.f1932b + " which is not subscribed");
                }
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class e implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1935a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f1936b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ ResultReceiver f1937c;

            e(p pVar, String str, ResultReceiver resultReceiver) {
                this.f1935a = pVar;
                this.f1936b = str;
                this.f1937c = resultReceiver;
            }

            public void run() {
                f fVar = c.this.f1869d.get(this.f1935a.asBinder());
                if (fVar == null) {
                    Log.w("MBServiceCompat", "getMediaItem for callback that isn't registered id=" + this.f1936b);
                    return;
                }
                c.this.a(this.f1936b, fVar, this.f1937c);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class f implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1939a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ int f1940b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ String f1941c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ int f1942d;

            /* renamed from: e  reason: collision with root package name */
            final /* synthetic */ Bundle f1943e;

            f(p pVar, int i2, String str, int i3, Bundle bundle) {
                this.f1939a = pVar;
                this.f1940b = i2;
                this.f1941c = str;
                this.f1942d = i3;
                this.f1943e = bundle;
            }

            public void run() {
                IBinder asBinder = this.f1939a.asBinder();
                c.this.f1869d.remove(asBinder);
                Iterator<f> it = c.this.f1868c.iterator();
                f fVar = null;
                while (it.hasNext()) {
                    f next = it.next();
                    if (next.f1885c == this.f1940b) {
                        if (TextUtils.isEmpty(this.f1941c) || this.f1942d <= 0) {
                            fVar = new f(next.f1883a, next.f1884b, next.f1885c, this.f1943e, this.f1939a);
                        }
                        it.remove();
                    }
                }
                f fVar2 = fVar == null ? new f(this.f1941c, this.f1942d, this.f1940b, this.f1943e, this.f1939a) : fVar;
                c.this.f1869d.put(asBinder, fVar2);
                try {
                    asBinder.linkToDeath(fVar2, 0);
                } catch (RemoteException unused) {
                    Log.w("MBServiceCompat", "IBinder is already dead.");
                }
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class g implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1945a;

            g(p pVar) {
                this.f1945a = pVar;
            }

            public void run() {
                IBinder asBinder = this.f1945a.asBinder();
                f remove = c.this.f1869d.remove(asBinder);
                if (remove != null) {
                    asBinder.unlinkToDeath(remove, 0);
                }
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class h implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1947a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f1948b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ Bundle f1949c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ ResultReceiver f1950d;

            h(p pVar, String str, Bundle bundle, ResultReceiver resultReceiver) {
                this.f1947a = pVar;
                this.f1948b = str;
                this.f1949c = bundle;
                this.f1950d = resultReceiver;
            }

            public void run() {
                f fVar = c.this.f1869d.get(this.f1947a.asBinder());
                if (fVar == null) {
                    Log.w("MBServiceCompat", "search for callback that isn't registered query=" + this.f1948b);
                    return;
                }
                c.this.b(this.f1948b, this.f1949c, fVar, this.f1950d);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class i implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ p f1952a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f1953b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ Bundle f1954c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ ResultReceiver f1955d;

            i(p pVar, String str, Bundle bundle, ResultReceiver resultReceiver) {
                this.f1952a = pVar;
                this.f1953b = str;
                this.f1954c = bundle;
                this.f1955d = resultReceiver;
            }

            public void run() {
                f fVar = c.this.f1869d.get(this.f1952a.asBinder());
                if (fVar == null) {
                    Log.w("MBServiceCompat", "sendCustomAction for callback that isn't registered action=" + this.f1953b + ", extras=" + this.f1954c);
                    return;
                }
                c.this.a(this.f1953b, this.f1954c, fVar, this.f1955d);
            }
        }

        o() {
        }

        public void a(String str, int i2, int i3, Bundle bundle, p pVar) {
            if (c.this.a(str, i3)) {
                c.this.f1871f.a(new a(pVar, str, i2, i3, bundle));
                return;
            }
            throw new IllegalArgumentException("Package/uid mismatch: uid=" + i3 + " package=" + str);
        }

        public void b(p pVar) {
            c.this.f1871f.a(new g(pVar));
        }

        public void b(String str, Bundle bundle, ResultReceiver resultReceiver, p pVar) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                c.this.f1871f.a(new i(pVar, str, bundle, resultReceiver));
            }
        }

        public void a(p pVar) {
            c.this.f1871f.a(new b(pVar));
        }

        public void a(String str, IBinder iBinder, Bundle bundle, p pVar) {
            c.this.f1871f.a(new RunnableC0041c(pVar, str, iBinder, bundle));
        }

        public void a(String str, IBinder iBinder, p pVar) {
            c.this.f1871f.a(new d(pVar, str, iBinder));
        }

        public void a(String str, ResultReceiver resultReceiver, p pVar) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                c.this.f1871f.a(new e(pVar, str, resultReceiver));
            }
        }

        public void a(p pVar, String str, int i2, int i3, Bundle bundle) {
            c.this.f1871f.a(new f(pVar, i3, str, i2, bundle));
        }

        public void a(String str, Bundle bundle, ResultReceiver resultReceiver, p pVar) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                c.this.f1871f.a(new h(pVar, str, bundle, resultReceiver));
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: MediaBrowserServiceCompat */
    public interface p {
        void a() throws RemoteException;

        void a(String str, MediaSessionCompat.Token token, Bundle bundle) throws RemoteException;

        void a(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle, Bundle bundle2) throws RemoteException;

        IBinder asBinder();
    }

    /* access modifiers changed from: private */
    /* compiled from: MediaBrowserServiceCompat */
    public final class r extends Handler {

        /* renamed from: a  reason: collision with root package name */
        private final o f1958a = new o();

        r() {
        }

        public void a(Runnable runnable) {
            if (Thread.currentThread() == getLooper().getThread()) {
                runnable.run();
            } else {
                post(runnable);
            }
        }

        public void handleMessage(Message message) {
            Bundle data = message.getData();
            switch (message.what) {
                case 1:
                    Bundle bundle = data.getBundle("data_root_hints");
                    MediaSessionCompat.ensureClassLoader(bundle);
                    this.f1958a.a(data.getString("data_package_name"), data.getInt("data_calling_pid"), data.getInt("data_calling_uid"), bundle, new q(message.replyTo));
                    return;
                case 2:
                    this.f1958a.a(new q(message.replyTo));
                    return;
                case 3:
                    Bundle bundle2 = data.getBundle("data_options");
                    MediaSessionCompat.ensureClassLoader(bundle2);
                    this.f1958a.a(data.getString("data_media_item_id"), androidx.core.app.c.a(data, "data_callback_token"), bundle2, new q(message.replyTo));
                    return;
                case 4:
                    this.f1958a.a(data.getString("data_media_item_id"), androidx.core.app.c.a(data, "data_callback_token"), new q(message.replyTo));
                    return;
                case 5:
                    this.f1958a.a(data.getString("data_media_item_id"), (ResultReceiver) data.getParcelable("data_result_receiver"), new q(message.replyTo));
                    return;
                case 6:
                    Bundle bundle3 = data.getBundle("data_root_hints");
                    MediaSessionCompat.ensureClassLoader(bundle3);
                    this.f1958a.a(new q(message.replyTo), data.getString("data_package_name"), data.getInt("data_calling_pid"), data.getInt("data_calling_uid"), bundle3);
                    return;
                case 7:
                    this.f1958a.b(new q(message.replyTo));
                    return;
                case 8:
                    Bundle bundle4 = data.getBundle("data_search_extras");
                    MediaSessionCompat.ensureClassLoader(bundle4);
                    this.f1958a.a(data.getString("data_search_query"), bundle4, (ResultReceiver) data.getParcelable("data_result_receiver"), new q(message.replyTo));
                    return;
                case 9:
                    Bundle bundle5 = data.getBundle("data_custom_action_extras");
                    MediaSessionCompat.ensureClassLoader(bundle5);
                    this.f1958a.b(data.getString("data_custom_action"), bundle5, (ResultReceiver) data.getParcelable("data_result_receiver"), new q(message.replyTo));
                    return;
                default:
                    Log.w("MBServiceCompat", "Unhandled message: " + message + "\n  Service version: " + 2 + "\n  Client version: " + message.arg1);
                    return;
            }
        }

        public boolean sendMessageAtTime(Message message, long j2) {
            Bundle data = message.getData();
            data.setClassLoader(MediaBrowserCompat.class.getClassLoader());
            data.putInt("data_calling_uid", Binder.getCallingUid());
            int callingPid = Binder.getCallingPid();
            if (callingPid > 0) {
                data.putInt("data_calling_pid", callingPid);
            } else if (!data.containsKey("data_calling_pid")) {
                data.putInt("data_calling_pid", -1);
            }
            return super.sendMessageAtTime(message, j2);
        }
    }

    public abstract e a(String str, int i2, Bundle bundle);

    public void a(String str) {
    }

    public void a(String str, Bundle bundle) {
    }

    public abstract void a(String str, m<List<MediaBrowserCompat.MediaItem>> mVar);

    public void a(String str, m<List<MediaBrowserCompat.MediaItem>> mVar, Bundle bundle) {
        mVar.a(1);
        a(str, mVar);
    }

    public void b(String str, m<MediaBrowserCompat.MediaItem> mVar) {
        mVar.a(2);
        mVar.b((MediaBrowserCompat.MediaItem) null);
    }

    public void dump(FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
    }

    public IBinder onBind(Intent intent) {
        return this.f1866a.a(intent);
    }

    public void onCreate() {
        super.onCreate();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            this.f1866a = new k(this);
        } else if (i2 >= 26) {
            this.f1866a = new j();
        } else if (i2 >= 23) {
            this.f1866a = new i();
        } else if (i2 >= 21) {
            this.f1866a = new h();
        } else {
            this.f1866a = new l();
        }
        this.f1866a.b();
    }

    /* compiled from: MediaBrowserServiceCompat */
    class i extends h {

        /* access modifiers changed from: package-private */
        /* compiled from: MediaBrowserServiceCompat */
        public class a extends m<MediaBrowserCompat.MediaItem> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ n f1900f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(i iVar, Object obj, n nVar) {
                super(obj);
                this.f1900f = nVar;
            }

            /* access modifiers changed from: package-private */
            public void a(MediaBrowserCompat.MediaItem mediaItem) {
                if (mediaItem == null) {
                    this.f1900f.a((Object) null);
                    return;
                }
                Parcel obtain = Parcel.obtain();
                mediaItem.writeToParcel(obtain, 0);
                this.f1900f.a(obtain);
            }
        }

        /* compiled from: MediaBrowserServiceCompat */
        class b extends h.C0040c {
            b(Context context) {
                super(context);
            }

            @Override // android.service.media.MediaBrowserService
            public void onLoadItem(String str, MediaBrowserService.Result<MediaBrowser.MediaItem> result) {
                i.this.b(str, new n<>(result));
            }
        }

        i() {
            super();
        }

        @Override // androidx.media.c.h, androidx.media.c.g
        public void b() {
            this.f1892b = new b(c.this);
            this.f1892b.onCreate();
        }

        public void b(String str, n<Parcel> nVar) {
            a aVar = new a(this, str, nVar);
            c cVar = c.this;
            cVar.f1870e = cVar.f1867b;
            cVar.b(str, aVar);
            c.this.f1870e = null;
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    class l implements g {

        /* renamed from: a  reason: collision with root package name */
        private Messenger f1907a;

        /* compiled from: MediaBrowserServiceCompat */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionCompat.Token f1909a;

            a(MediaSessionCompat.Token token) {
                this.f1909a = token;
            }

            public void run() {
                Iterator<f> it = c.this.f1869d.values().iterator();
                while (it.hasNext()) {
                    f next = it.next();
                    try {
                        next.f1886d.a(next.f1888f.b(), this.f1909a, next.f1888f.a());
                    } catch (RemoteException unused) {
                        Log.w("MBServiceCompat", "Connection for " + next.f1883a + " is no longer valid.");
                        it.remove();
                    }
                }
            }
        }

        l() {
        }

        @Override // androidx.media.c.g
        public IBinder a(Intent intent) {
            if ("android.media.browse.MediaBrowserService".equals(intent.getAction())) {
                return this.f1907a.getBinder();
            }
            return null;
        }

        @Override // androidx.media.c.g
        public void b() {
            this.f1907a = new Messenger(c.this.f1871f);
        }

        @Override // androidx.media.c.g
        public void a(MediaSessionCompat.Token token) {
            c.this.f1871f.post(new a(token));
        }
    }

    public void a(String str, Bundle bundle, m<Bundle> mVar) {
        mVar.b((Bundle) null);
    }

    public void b(String str, Bundle bundle, m<List<MediaBrowserCompat.MediaItem>> mVar) {
        mVar.a(4);
        mVar.b((List<MediaBrowserCompat.MediaItem>) null);
    }

    public void a(MediaSessionCompat.Token token) {
        if (token == null) {
            throw new IllegalArgumentException("Session token may not be null");
        } else if (this.f1872g == null) {
            this.f1872g = token;
            this.f1866a.a(token);
        } else {
            throw new IllegalStateException("The session token has already been set");
        }
    }

    /* access modifiers changed from: package-private */
    public void b(String str, Bundle bundle, f fVar, ResultReceiver resultReceiver) {
        C0039c cVar = new C0039c(this, str, resultReceiver);
        b(str, bundle, cVar);
        if (!cVar.b()) {
            throw new IllegalStateException("onSearch must call detach() or sendResult() before returning for query=" + str);
        }
    }

    /* compiled from: MediaBrowserServiceCompat */
    private static class q implements p {

        /* renamed from: a  reason: collision with root package name */
        final Messenger f1957a;

        q(Messenger messenger) {
            this.f1957a = messenger;
        }

        @Override // androidx.media.c.p
        public void a(String str, MediaSessionCompat.Token token, Bundle bundle) throws RemoteException {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putInt("extra_service_version", 2);
            Bundle bundle2 = new Bundle();
            bundle2.putString("data_media_item_id", str);
            bundle2.putParcelable("data_media_session_token", token);
            bundle2.putBundle("data_root_hints", bundle);
            a(1, bundle2);
        }

        @Override // androidx.media.c.p
        public IBinder asBinder() {
            return this.f1957a.getBinder();
        }

        @Override // androidx.media.c.p
        public void a() throws RemoteException {
            a(2, null);
        }

        @Override // androidx.media.c.p
        public void a(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle, Bundle bundle2) throws RemoteException {
            Bundle bundle3 = new Bundle();
            bundle3.putString("data_media_item_id", str);
            bundle3.putBundle("data_options", bundle);
            bundle3.putBundle("data_notify_children_changed_options", bundle2);
            if (list != null) {
                bundle3.putParcelableArrayList("data_media_item_list", list instanceof ArrayList ? (ArrayList) list : new ArrayList<>(list));
            }
            a(3, bundle3);
        }

        private void a(int i2, Bundle bundle) throws RemoteException {
            Message obtain = Message.obtain();
            obtain.what = i2;
            obtain.arg1 = 2;
            obtain.setData(bundle);
            this.f1957a.send(obtain);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MediaBrowserServiceCompat */
    public static class n<T> {

        /* renamed from: a  reason: collision with root package name */
        MediaBrowserService.Result f1916a;

        n(MediaBrowserService.Result result) {
            this.f1916a = result;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v4, resolved type: android.service.media.MediaBrowserService$Result */
        /* JADX DEBUG: Multi-variable search result rejected for r0v5, resolved type: android.service.media.MediaBrowserService$Result */
        /* JADX WARN: Multi-variable type inference failed */
        public void a(T t) {
            if (t instanceof List) {
                this.f1916a.sendResult(a((List<Parcel>) t));
            } else if (t instanceof Parcel) {
                T t2 = t;
                t2.setDataPosition(0);
                this.f1916a.sendResult(MediaBrowser.MediaItem.CREATOR.createFromParcel(t2));
                t2.recycle();
            } else {
                this.f1916a.sendResult(null);
            }
        }

        /* access modifiers changed from: package-private */
        public List<MediaBrowser.MediaItem> a(List<Parcel> list) {
            if (list == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            for (Parcel parcel : list) {
                parcel.setDataPosition(0);
                arrayList.add(MediaBrowser.MediaItem.CREATOR.createFromParcel(parcel));
                parcel.recycle();
            }
            return arrayList;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean a(String str, int i2) {
        if (str == null) {
            return false;
        }
        for (String str2 : getPackageManager().getPackagesForUid(i2)) {
            if (str2.equals(str)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void a(String str, f fVar, IBinder iBinder, Bundle bundle) {
        List<a.g.k.d<IBinder, Bundle>> list = fVar.f1887e.get(str);
        if (list == null) {
            list = new ArrayList<>();
        }
        for (a.g.k.d<IBinder, Bundle> dVar : list) {
            if (iBinder == dVar.f436a && b.a(bundle, dVar.f437b)) {
                return;
            }
        }
        list.add(new a.g.k.d<>(iBinder, bundle));
        fVar.f1887e.put(str, list);
        a(str, fVar, bundle, (Bundle) null);
        a(str, bundle);
    }

    /* access modifiers changed from: package-private */
    public boolean a(String str, f fVar, IBinder iBinder) {
        boolean z = true;
        boolean z2 = false;
        if (iBinder == null) {
            try {
                if (fVar.f1887e.remove(str) == null) {
                    z = false;
                }
                return z;
            } finally {
                a(str);
            }
        } else {
            List<a.g.k.d<IBinder, Bundle>> list = fVar.f1887e.get(str);
            if (list != null) {
                Iterator<a.g.k.d<IBinder, Bundle>> it = list.iterator();
                while (it.hasNext()) {
                    if (iBinder == it.next().f436a) {
                        it.remove();
                        z2 = true;
                    }
                }
                if (list.size() == 0) {
                    fVar.f1887e.remove(str);
                }
            }
            a(str);
            return z2;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(String str, f fVar, Bundle bundle, Bundle bundle2) {
        a aVar = new a(str, fVar, str, bundle, bundle2);
        if (bundle == null) {
            a(str, aVar);
        } else {
            a(str, aVar, bundle);
        }
        if (!aVar.b()) {
            throw new IllegalStateException("onLoadChildren must call detach() or sendResult() before returning for package=" + fVar.f1883a + " id=" + str);
        }
    }

    /* access modifiers changed from: package-private */
    public List<MediaBrowserCompat.MediaItem> a(List<MediaBrowserCompat.MediaItem> list, Bundle bundle) {
        if (list == null) {
            return null;
        }
        int i2 = bundle.getInt(MediaBrowserCompat.EXTRA_PAGE, -1);
        int i3 = bundle.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1);
        if (i2 == -1 && i3 == -1) {
            return list;
        }
        int i4 = i3 * i2;
        int i5 = i4 + i3;
        if (i2 < 0 || i3 < 1 || i4 >= list.size()) {
            return Collections.emptyList();
        }
        if (i5 > list.size()) {
            i5 = list.size();
        }
        return list.subList(i4, i5);
    }

    /* access modifiers changed from: package-private */
    public void a(String str, f fVar, ResultReceiver resultReceiver) {
        b bVar = new b(this, str, resultReceiver);
        b(str, bVar);
        if (!bVar.b()) {
            throw new IllegalStateException("onLoadItem must call detach() or sendResult() before returning for id=" + str);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(String str, Bundle bundle, f fVar, ResultReceiver resultReceiver) {
        d dVar = new d(this, str, resultReceiver);
        a(str, bundle, dVar);
        if (!dVar.b()) {
            throw new IllegalStateException("onCustomAction must call detach() or sendResult() or sendError() before returning for action=" + str + " extras=" + bundle);
        }
    }
}
