package androidx.recyclerview.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.PointF;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.f;
import java.util.List;

public class LinearLayoutManager extends RecyclerView.o implements f.c, RecyclerView.x.b {

    /* renamed from: a  reason: collision with root package name */
    int f1966a;

    /* renamed from: b  reason: collision with root package name */
    private c f1967b;

    /* renamed from: c  reason: collision with root package name */
    l f1968c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f1969d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f1970e;

    /* renamed from: f  reason: collision with root package name */
    boolean f1971f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f1972g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f1973h;

    /* renamed from: i  reason: collision with root package name */
    int f1974i;

    /* renamed from: j  reason: collision with root package name */
    int f1975j;
    private boolean k;
    SavedState l;
    final a m;
    private final b n;
    private int o;
    private int[] p;

    @SuppressLint({"BanParcelableUsage"})
    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        boolean mAnchorLayoutFromEnd;
        int mAnchorOffset;
        int mAnchorPosition;

        static class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState() {
        }

        public int describeContents() {
            return 0;
        }

        /* access modifiers changed from: package-private */
        public boolean hasValidAnchor() {
            return this.mAnchorPosition >= 0;
        }

        /* access modifiers changed from: package-private */
        public void invalidateAnchor() {
            this.mAnchorPosition = -1;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeInt(this.mAnchorPosition);
            parcel.writeInt(this.mAnchorOffset);
            parcel.writeInt(this.mAnchorLayoutFromEnd ? 1 : 0);
        }

        SavedState(Parcel parcel) {
            this.mAnchorPosition = parcel.readInt();
            this.mAnchorOffset = parcel.readInt();
            this.mAnchorLayoutFromEnd = parcel.readInt() != 1 ? false : true;
        }

        public SavedState(SavedState savedState) {
            this.mAnchorPosition = savedState.mAnchorPosition;
            this.mAnchorOffset = savedState.mAnchorOffset;
            this.mAnchorLayoutFromEnd = savedState.mAnchorLayoutFromEnd;
        }
    }

    /* access modifiers changed from: protected */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public int f1981a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f1982b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1983c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1984d;

        protected b() {
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f1981a = 0;
            this.f1982b = false;
            this.f1983c = false;
            this.f1984d = false;
        }
    }

    /* access modifiers changed from: package-private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        boolean f1985a = true;

        /* renamed from: b  reason: collision with root package name */
        int f1986b;

        /* renamed from: c  reason: collision with root package name */
        int f1987c;

        /* renamed from: d  reason: collision with root package name */
        int f1988d;

        /* renamed from: e  reason: collision with root package name */
        int f1989e;

        /* renamed from: f  reason: collision with root package name */
        int f1990f;

        /* renamed from: g  reason: collision with root package name */
        int f1991g;

        /* renamed from: h  reason: collision with root package name */
        int f1992h = 0;

        /* renamed from: i  reason: collision with root package name */
        int f1993i = 0;

        /* renamed from: j  reason: collision with root package name */
        boolean f1994j;
        int k;
        List<RecyclerView.b0> l = null;
        boolean m;

        c() {
        }

        private View b() {
            int size = this.l.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = this.l.get(i2).itemView;
                RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view.getLayoutParams();
                if (!layoutParams.isItemRemoved() && this.f1988d == layoutParams.getViewLayoutPosition()) {
                    a(view);
                    return view;
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public boolean a(RecyclerView.y yVar) {
            int i2 = this.f1988d;
            return i2 >= 0 && i2 < yVar.a();
        }

        /* access modifiers changed from: package-private */
        public View a(RecyclerView.u uVar) {
            if (this.l != null) {
                return b();
            }
            View d2 = uVar.d(this.f1988d);
            this.f1988d += this.f1989e;
            return d2;
        }

        public void a() {
            a((View) null);
        }

        public void a(View view) {
            View b2 = b(view);
            if (b2 == null) {
                this.f1988d = -1;
            } else {
                this.f1988d = ((RecyclerView.LayoutParams) b2.getLayoutParams()).getViewLayoutPosition();
            }
        }

        public View b(View view) {
            int viewLayoutPosition;
            int size = this.l.size();
            View view2 = null;
            int i2 = Integer.MAX_VALUE;
            for (int i3 = 0; i3 < size; i3++) {
                View view3 = this.l.get(i3).itemView;
                RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view3.getLayoutParams();
                if (view3 != view && !layoutParams.isItemRemoved() && (viewLayoutPosition = (layoutParams.getViewLayoutPosition() - this.f1988d) * this.f1989e) >= 0 && viewLayoutPosition < i2) {
                    view2 = view3;
                    if (viewLayoutPosition == 0) {
                        break;
                    }
                    i2 = viewLayoutPosition;
                }
            }
            return view2;
        }
    }

    public LinearLayoutManager(Context context) {
        this(context, 1, false);
    }

    private View d(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f1971f) {
            return b(uVar, yVar);
        }
        return a(uVar, yVar);
    }

    private View i() {
        return a(0, getChildCount());
    }

    private View j() {
        return a(getChildCount() - 1, -1);
    }

    private View k() {
        if (this.f1971f) {
            return i();
        }
        return j();
    }

    private View l() {
        if (this.f1971f) {
            return j();
        }
        return i();
    }

    private View m() {
        return getChildAt(this.f1971f ? 0 : getChildCount() - 1);
    }

    private View n() {
        return getChildAt(this.f1971f ? getChildCount() - 1 : 0);
    }

    private void o() {
        if (this.f1966a == 1 || !f()) {
            this.f1971f = this.f1970e;
        } else {
            this.f1971f = !this.f1970e;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(RecyclerView.u uVar, RecyclerView.y yVar, a aVar, int i2) {
    }

    public void a(boolean z) {
        assertNotInLayoutOrScroll(null);
        if (z != this.f1970e) {
            this.f1970e = z;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void assertNotInLayoutOrScroll(String str) {
        if (this.l == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    public void b(boolean z) {
        assertNotInLayoutOrScroll(null);
        if (this.f1972g != z) {
            this.f1972g = z;
            requestLayout();
        }
    }

    public void c(int i2) {
        if (i2 == 0 || i2 == 1) {
            assertNotInLayoutOrScroll(null);
            if (i2 != this.f1966a || this.f1968c == null) {
                this.f1968c = l.a(this, i2);
                this.m.f1976a = this.f1968c;
                this.f1966a = i2;
                requestLayout();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("invalid orientation:" + i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean canScrollHorizontally() {
        return this.f1966a == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean canScrollVertically() {
        return this.f1966a == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void collectAdjacentPrefetchPositions(int i2, int i3, RecyclerView.y yVar, RecyclerView.o.c cVar) {
        if (this.f1966a != 0) {
            i2 = i3;
        }
        if (getChildCount() != 0 && i2 != 0) {
            ensureLayoutState();
            a(i2 > 0 ? 1 : -1, Math.abs(i2), true, yVar);
            a(yVar, this.f1967b, cVar);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void collectInitialPrefetchPositions(int i2, RecyclerView.o.c cVar) {
        boolean z;
        int i3;
        SavedState savedState = this.l;
        int i4 = -1;
        if (savedState == null || !savedState.hasValidAnchor()) {
            o();
            z = this.f1971f;
            i3 = this.f1974i;
            if (i3 == -1) {
                i3 = z ? i2 - 1 : 0;
            }
        } else {
            SavedState savedState2 = this.l;
            z = savedState2.mAnchorLayoutFromEnd;
            i3 = savedState2.mAnchorPosition;
        }
        if (!z) {
            i4 = 1;
        }
        int i5 = i3;
        for (int i6 = 0; i6 < this.o && i5 >= 0 && i5 < i2; i6++) {
            cVar.a(i5, 0);
            i5 += i4;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeHorizontalScrollExtent(RecyclerView.y yVar) {
        return a(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeHorizontalScrollOffset(RecyclerView.y yVar) {
        return b(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeHorizontalScrollRange(RecyclerView.y yVar) {
        return c(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeVerticalScrollExtent(RecyclerView.y yVar) {
        return a(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeVerticalScrollOffset(RecyclerView.y yVar) {
        return b(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeVerticalScrollRange(RecyclerView.y yVar) {
        return c(yVar);
    }

    public int e() {
        View a2 = a(getChildCount() - 1, -1, false, true);
        if (a2 == null) {
            return -1;
        }
        return getPosition(a2);
    }

    /* access modifiers changed from: package-private */
    public void ensureLayoutState() {
        if (this.f1967b == null) {
            this.f1967b = a();
        }
    }

    /* access modifiers changed from: protected */
    public boolean f() {
        return getLayoutDirection() == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public View findViewByPosition(int i2) {
        int childCount = getChildCount();
        if (childCount == 0) {
            return null;
        }
        int position = i2 - getPosition(getChildAt(0));
        if (position >= 0 && position < childCount) {
            View childAt = getChildAt(position);
            if (getPosition(childAt) == i2) {
                return childAt;
            }
        }
        return super.findViewByPosition(i2);
    }

    public boolean g() {
        return this.f1973h;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        return new RecyclerView.LayoutParams(-2, -2);
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public int getExtraLayoutSpace(RecyclerView.y yVar) {
        if (yVar.c()) {
            return this.f1968c.g();
        }
        return 0;
    }

    public int getOrientation() {
        return this.f1966a;
    }

    /* access modifiers changed from: package-private */
    public boolean h() {
        return this.f1968c.d() == 0 && this.f1968c.a() == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean isAutoMeasureEnabled() {
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.u uVar) {
        super.onDetachedFromWindow(recyclerView, uVar);
        if (this.k) {
            removeAndRecycleAllViews(uVar);
            uVar.a();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public View onFocusSearchFailed(View view, int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        int b2;
        View view2;
        View view3;
        o();
        if (getChildCount() == 0 || (b2 = b(i2)) == Integer.MIN_VALUE) {
            return null;
        }
        ensureLayoutState();
        a(b2, (int) (((float) this.f1968c.g()) * 0.33333334f), false, yVar);
        c cVar = this.f1967b;
        cVar.f1991g = Integer.MIN_VALUE;
        cVar.f1985a = false;
        a(uVar, cVar, yVar, true);
        if (b2 == -1) {
            view2 = l();
        } else {
            view2 = k();
        }
        if (b2 == -1) {
            view3 = n();
        } else {
            view3 = m();
        }
        if (!view3.hasFocusable()) {
            return view2;
        }
        if (view2 == null) {
            return null;
        }
        return view3;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (getChildCount() > 0) {
            accessibilityEvent.setFromIndex(c());
            accessibilityEvent.setToIndex(e());
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onLayoutChildren(RecyclerView.u uVar, RecyclerView.y yVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        View findViewByPosition;
        int i8;
        int i9;
        int i10 = -1;
        if (!(this.l == null && this.f1974i == -1) && yVar.a() == 0) {
            removeAndRecycleAllViews(uVar);
            return;
        }
        SavedState savedState = this.l;
        if (savedState != null && savedState.hasValidAnchor()) {
            this.f1974i = this.l.mAnchorPosition;
        }
        ensureLayoutState();
        this.f1967b.f1985a = false;
        o();
        View focusedChild = getFocusedChild();
        if (!this.m.f1980e || this.f1974i != -1 || this.l != null) {
            this.m.b();
            a aVar = this.m;
            aVar.f1979d = this.f1971f ^ this.f1972g;
            b(uVar, yVar, aVar);
            this.m.f1980e = true;
        } else if (focusedChild != null && (this.f1968c.d(focusedChild) >= this.f1968c.b() || this.f1968c.a(focusedChild) <= this.f1968c.f())) {
            this.m.b(focusedChild, getPosition(focusedChild));
        }
        c cVar = this.f1967b;
        cVar.f1990f = cVar.k >= 0 ? 1 : -1;
        int[] iArr = this.p;
        iArr[0] = 0;
        iArr[1] = 0;
        a(yVar, iArr);
        int max = Math.max(0, this.p[0]) + this.f1968c.f();
        int max2 = Math.max(0, this.p[1]) + this.f1968c.c();
        if (!(!yVar.d() || (i7 = this.f1974i) == -1 || this.f1975j == Integer.MIN_VALUE || (findViewByPosition = findViewByPosition(i7)) == null)) {
            if (this.f1971f) {
                i8 = this.f1968c.b() - this.f1968c.a(findViewByPosition);
                i9 = this.f1975j;
            } else {
                i9 = this.f1968c.d(findViewByPosition) - this.f1968c.f();
                i8 = this.f1975j;
            }
            int i11 = i8 - i9;
            if (i11 > 0) {
                max += i11;
            } else {
                max2 -= i11;
            }
        }
        if (!this.m.f1979d ? !this.f1971f : this.f1971f) {
            i10 = 1;
        }
        a(uVar, yVar, this.m, i10);
        detachAndScrapAttachedViews(uVar);
        this.f1967b.m = h();
        this.f1967b.f1994j = yVar.d();
        this.f1967b.f1993i = 0;
        a aVar2 = this.m;
        if (aVar2.f1979d) {
            b(aVar2);
            c cVar2 = this.f1967b;
            cVar2.f1992h = max;
            a(uVar, cVar2, yVar, false);
            c cVar3 = this.f1967b;
            i3 = cVar3.f1986b;
            int i12 = cVar3.f1988d;
            int i13 = cVar3.f1987c;
            if (i13 > 0) {
                max2 += i13;
            }
            a(this.m);
            c cVar4 = this.f1967b;
            cVar4.f1992h = max2;
            cVar4.f1988d += cVar4.f1989e;
            a(uVar, cVar4, yVar, false);
            c cVar5 = this.f1967b;
            i2 = cVar5.f1986b;
            int i14 = cVar5.f1987c;
            if (i14 > 0) {
                c(i12, i3);
                c cVar6 = this.f1967b;
                cVar6.f1992h = i14;
                a(uVar, cVar6, yVar, false);
                i3 = this.f1967b.f1986b;
            }
        } else {
            a(aVar2);
            c cVar7 = this.f1967b;
            cVar7.f1992h = max2;
            a(uVar, cVar7, yVar, false);
            c cVar8 = this.f1967b;
            i2 = cVar8.f1986b;
            int i15 = cVar8.f1988d;
            int i16 = cVar8.f1987c;
            if (i16 > 0) {
                max += i16;
            }
            b(this.m);
            c cVar9 = this.f1967b;
            cVar9.f1992h = max;
            cVar9.f1988d += cVar9.f1989e;
            a(uVar, cVar9, yVar, false);
            c cVar10 = this.f1967b;
            i3 = cVar10.f1986b;
            int i17 = cVar10.f1987c;
            if (i17 > 0) {
                b(i15, i2);
                c cVar11 = this.f1967b;
                cVar11.f1992h = i17;
                a(uVar, cVar11, yVar, false);
                i2 = this.f1967b.f1986b;
            }
        }
        if (getChildCount() > 0) {
            if (this.f1971f ^ this.f1972g) {
                int a2 = a(i2, uVar, yVar, true);
                i5 = i3 + a2;
                i4 = i2 + a2;
                i6 = b(i5, uVar, yVar, false);
            } else {
                int b2 = b(i3, uVar, yVar, true);
                i5 = i3 + b2;
                i4 = i2 + b2;
                i6 = a(i4, uVar, yVar, false);
            }
            i3 = i5 + i6;
            i2 = i4 + i6;
        }
        a(uVar, yVar, i3, i2);
        if (!yVar.d()) {
            this.f1968c.i();
        } else {
            this.m.b();
        }
        this.f1969d = this.f1972g;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onLayoutCompleted(RecyclerView.y yVar) {
        super.onLayoutCompleted(yVar);
        this.l = null;
        this.f1974i = -1;
        this.f1975j = Integer.MIN_VALUE;
        this.m.b();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            this.l = (SavedState) parcelable;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public Parcelable onSaveInstanceState() {
        SavedState savedState = this.l;
        if (savedState != null) {
            return new SavedState(savedState);
        }
        SavedState savedState2 = new SavedState();
        if (getChildCount() > 0) {
            ensureLayoutState();
            boolean z = this.f1969d ^ this.f1971f;
            savedState2.mAnchorLayoutFromEnd = z;
            if (z) {
                View m2 = m();
                savedState2.mAnchorOffset = this.f1968c.b() - this.f1968c.a(m2);
                savedState2.mAnchorPosition = getPosition(m2);
            } else {
                View n2 = n();
                savedState2.mAnchorPosition = getPosition(n2);
                savedState2.mAnchorOffset = this.f1968c.d(n2) - this.f1968c.f();
            }
        } else {
            savedState2.invalidateAnchor();
        }
        return savedState2;
    }

    /* access modifiers changed from: package-private */
    public int scrollBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        if (getChildCount() == 0 || i2 == 0) {
            return 0;
        }
        ensureLayoutState();
        this.f1967b.f1985a = true;
        int i3 = i2 > 0 ? 1 : -1;
        int abs = Math.abs(i2);
        a(i3, abs, true, yVar);
        c cVar = this.f1967b;
        int a2 = cVar.f1991g + a(uVar, cVar, yVar, false);
        if (a2 < 0) {
            return 0;
        }
        if (abs > a2) {
            i2 = i3 * a2;
        }
        this.f1968c.a(-i2);
        this.f1967b.k = i2;
        return i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int scrollHorizontallyBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f1966a == 1) {
            return 0;
        }
        return scrollBy(i2, uVar, yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void scrollToPosition(int i2) {
        this.f1974i = i2;
        this.f1975j = Integer.MIN_VALUE;
        SavedState savedState = this.l;
        if (savedState != null) {
            savedState.invalidateAnchor();
        }
        requestLayout();
    }

    public void scrollToPositionWithOffset(int i2, int i3) {
        this.f1974i = i2;
        this.f1975j = i3;
        SavedState savedState = this.l;
        if (savedState != null) {
            savedState.invalidateAnchor();
        }
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int scrollVerticallyBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f1966a == 0) {
            return 0;
        }
        return scrollBy(i2, uVar, yVar);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean shouldMeasureTwice() {
        return (getHeightMode() == 1073741824 || getWidthMode() == 1073741824 || !hasFlexibleChildInBothOrientations()) ? false : true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.y yVar, int i2) {
        j jVar = new j(recyclerView.getContext());
        jVar.setTargetPosition(i2);
        startSmoothScroll(jVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean supportsPredictiveItemAnimations() {
        return this.l == null && this.f1969d == this.f1972g;
    }

    public LinearLayoutManager(Context context, int i2, boolean z) {
        this.f1966a = 1;
        this.f1970e = false;
        this.f1971f = false;
        this.f1972g = false;
        this.f1973h = true;
        this.f1974i = -1;
        this.f1975j = Integer.MIN_VALUE;
        this.l = null;
        this.m = new a();
        this.n = new b();
        this.o = 2;
        this.p = new int[2];
        c(i2);
        a(z);
    }

    /* access modifiers changed from: package-private */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        l f1976a;

        /* renamed from: b  reason: collision with root package name */
        int f1977b;

        /* renamed from: c  reason: collision with root package name */
        int f1978c;

        /* renamed from: d  reason: collision with root package name */
        boolean f1979d;

        /* renamed from: e  reason: collision with root package name */
        boolean f1980e;

        a() {
            b();
        }

        /* access modifiers changed from: package-private */
        public void a() {
            int i2;
            if (this.f1979d) {
                i2 = this.f1976a.b();
            } else {
                i2 = this.f1976a.f();
            }
            this.f1978c = i2;
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f1977b = -1;
            this.f1978c = Integer.MIN_VALUE;
            this.f1979d = false;
            this.f1980e = false;
        }

        public String toString() {
            return "AnchorInfo{mPosition=" + this.f1977b + ", mCoordinate=" + this.f1978c + ", mLayoutFromEnd=" + this.f1979d + ", mValid=" + this.f1980e + '}';
        }

        /* access modifiers changed from: package-private */
        public boolean a(View view, RecyclerView.y yVar) {
            RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view.getLayoutParams();
            return !layoutParams.isItemRemoved() && layoutParams.getViewLayoutPosition() >= 0 && layoutParams.getViewLayoutPosition() < yVar.a();
        }

        public void b(View view, int i2) {
            int h2 = this.f1976a.h();
            if (h2 >= 0) {
                a(view, i2);
                return;
            }
            this.f1977b = i2;
            if (this.f1979d) {
                int b2 = (this.f1976a.b() - h2) - this.f1976a.a(view);
                this.f1978c = this.f1976a.b() - b2;
                if (b2 > 0) {
                    int b3 = this.f1978c - this.f1976a.b(view);
                    int f2 = this.f1976a.f();
                    int min = b3 - (f2 + Math.min(this.f1976a.d(view) - f2, 0));
                    if (min < 0) {
                        this.f1978c += Math.min(b2, -min);
                        return;
                    }
                    return;
                }
                return;
            }
            int d2 = this.f1976a.d(view);
            int f3 = d2 - this.f1976a.f();
            this.f1978c = d2;
            if (f3 > 0) {
                int b4 = (this.f1976a.b() - Math.min(0, (this.f1976a.b() - h2) - this.f1976a.a(view))) - (d2 + this.f1976a.b(view));
                if (b4 < 0) {
                    this.f1978c -= Math.min(f3, -b4);
                }
            }
        }

        public void a(View view, int i2) {
            if (this.f1979d) {
                this.f1978c = this.f1976a.a(view) + this.f1976a.h();
            } else {
                this.f1978c = this.f1976a.d(view);
            }
            this.f1977b = i2;
        }
    }

    public int d() {
        View a2 = a(getChildCount() - 1, -1, true, false);
        if (a2 == null) {
            return -1;
        }
        return getPosition(a2);
    }

    private void b(RecyclerView.u uVar, RecyclerView.y yVar, a aVar) {
        if (!a(yVar, aVar) && !a(uVar, yVar, aVar)) {
            aVar.a();
            aVar.f1977b = this.f1972g ? yVar.a() - 1 : 0;
        }
    }

    /* access modifiers changed from: protected */
    public void a(RecyclerView.y yVar, int[] iArr) {
        int i2;
        int extraLayoutSpace = getExtraLayoutSpace(yVar);
        if (this.f1967b.f1990f == -1) {
            i2 = 0;
        } else {
            i2 = extraLayoutSpace;
            extraLayoutSpace = 0;
        }
        iArr[0] = extraLayoutSpace;
        iArr[1] = i2;
    }

    private void c(int i2, int i3) {
        this.f1967b.f1987c = i3 - this.f1968c.f();
        c cVar = this.f1967b;
        cVar.f1988d = i2;
        cVar.f1989e = this.f1971f ? 1 : -1;
        c cVar2 = this.f1967b;
        cVar2.f1990f = -1;
        cVar2.f1986b = i3;
        cVar2.f1991g = Integer.MIN_VALUE;
    }

    private int b(int i2, RecyclerView.u uVar, RecyclerView.y yVar, boolean z) {
        int f2;
        int f3 = i2 - this.f1968c.f();
        if (f3 <= 0) {
            return 0;
        }
        int i3 = -scrollBy(f3, uVar, yVar);
        int i4 = i2 + i3;
        if (!z || (f2 = i4 - this.f1968c.f()) <= 0) {
            return i3;
        }
        this.f1968c.a(-f2);
        return i3 - f2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.x.b
    public PointF a(int i2) {
        if (getChildCount() == 0) {
            return null;
        }
        boolean z = false;
        int i3 = 1;
        if (i2 < getPosition(getChildAt(0))) {
            z = true;
        }
        if (z != this.f1971f) {
            i3 = -1;
        }
        if (this.f1966a == 0) {
            return new PointF((float) i3, 0.0f);
        }
        return new PointF(0.0f, (float) i3);
    }

    private void b(int i2, int i3) {
        this.f1967b.f1987c = this.f1968c.b() - i3;
        this.f1967b.f1989e = this.f1971f ? -1 : 1;
        c cVar = this.f1967b;
        cVar.f1988d = i2;
        cVar.f1990f = 1;
        cVar.f1986b = i3;
        cVar.f1991g = Integer.MIN_VALUE;
    }

    private int c(RecyclerView.y yVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return o.b(yVar, this.f1968c, b(!this.f1973h, true), a(!this.f1973h, true), this, this.f1973h);
    }

    private void a(RecyclerView.u uVar, RecyclerView.y yVar, int i2, int i3) {
        if (yVar.e() && getChildCount() != 0 && !yVar.d() && supportsPredictiveItemAnimations()) {
            List<RecyclerView.b0> f2 = uVar.f();
            int size = f2.size();
            int position = getPosition(getChildAt(0));
            int i4 = 0;
            int i5 = 0;
            for (int i6 = 0; i6 < size; i6++) {
                RecyclerView.b0 b0Var = f2.get(i6);
                if (!b0Var.isRemoved()) {
                    char c2 = 1;
                    if ((b0Var.getLayoutPosition() < position) != this.f1971f) {
                        c2 = 65535;
                    }
                    if (c2 == 65535) {
                        i4 += this.f1968c.b(b0Var.itemView);
                    } else {
                        i5 += this.f1968c.b(b0Var.itemView);
                    }
                }
            }
            this.f1967b.l = f2;
            if (i4 > 0) {
                c(getPosition(n()), i2);
                c cVar = this.f1967b;
                cVar.f1992h = i4;
                cVar.f1987c = 0;
                cVar.a();
                a(uVar, this.f1967b, yVar, false);
            }
            if (i5 > 0) {
                b(getPosition(m()), i3);
                c cVar2 = this.f1967b;
                cVar2.f1992h = i5;
                cVar2.f1987c = 0;
                cVar2.a();
                a(uVar, this.f1967b, yVar, false);
            }
            this.f1967b.l = null;
        }
    }

    public LinearLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        this.f1966a = 1;
        this.f1970e = false;
        this.f1971f = false;
        this.f1972g = false;
        this.f1973h = true;
        this.f1974i = -1;
        this.f1975j = Integer.MIN_VALUE;
        this.l = null;
        this.m = new a();
        this.n = new b();
        this.o = 2;
        this.p = new int[2];
        RecyclerView.o.d properties = RecyclerView.o.getProperties(context, attributeSet, i2, i3);
        c(properties.f2018a);
        a(properties.f2020c);
        b(properties.f2021d);
    }

    private void b(a aVar) {
        c(aVar.f1977b, aVar.f1978c);
    }

    private int b(RecyclerView.y yVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return o.a(yVar, this.f1968c, b(!this.f1973h, true), a(!this.f1973h, true), this, this.f1973h, this.f1971f);
    }

    private void c(RecyclerView.u uVar, int i2, int i3) {
        if (i2 >= 0) {
            int i4 = i2 - i3;
            int childCount = getChildCount();
            if (this.f1971f) {
                int i5 = childCount - 1;
                for (int i6 = i5; i6 >= 0; i6--) {
                    View childAt = getChildAt(i6);
                    if (this.f1968c.a(childAt) > i4 || this.f1968c.e(childAt) > i4) {
                        a(uVar, i5, i6);
                        return;
                    }
                }
                return;
            }
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt2 = getChildAt(i7);
                if (this.f1968c.a(childAt2) > i4 || this.f1968c.e(childAt2) > i4) {
                    a(uVar, 0, i7);
                    return;
                }
            }
        }
    }

    private void b(RecyclerView.u uVar, int i2, int i3) {
        int childCount = getChildCount();
        if (i2 >= 0) {
            int a2 = (this.f1968c.a() - i2) + i3;
            if (this.f1971f) {
                for (int i4 = 0; i4 < childCount; i4++) {
                    View childAt = getChildAt(i4);
                    if (this.f1968c.d(childAt) < a2 || this.f1968c.f(childAt) < a2) {
                        a(uVar, 0, i4);
                        return;
                    }
                }
                return;
            }
            int i5 = childCount - 1;
            for (int i6 = i5; i6 >= 0; i6--) {
                View childAt2 = getChildAt(i6);
                if (this.f1968c.d(childAt2) < a2 || this.f1968c.f(childAt2) < a2) {
                    a(uVar, i5, i6);
                    return;
                }
            }
        }
    }

    private View c(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f1971f) {
            return a(uVar, yVar);
        }
        return b(uVar, yVar);
    }

    public int c() {
        View a2 = a(0, getChildCount(), false, true);
        if (a2 == null) {
            return -1;
        }
        return getPosition(a2);
    }

    /* access modifiers changed from: package-private */
    public int b(int i2) {
        if (i2 == 1) {
            return (this.f1966a != 1 && f()) ? 1 : -1;
        }
        if (i2 == 2) {
            return (this.f1966a != 1 && f()) ? -1 : 1;
        }
        if (i2 != 17) {
            if (i2 != 33) {
                if (i2 != 66) {
                    return (i2 == 130 && this.f1966a == 1) ? 1 : Integer.MIN_VALUE;
                }
                if (this.f1966a == 0) {
                    return 1;
                }
                return Integer.MIN_VALUE;
            } else if (this.f1966a == 1) {
                return -1;
            } else {
                return Integer.MIN_VALUE;
            }
        } else if (this.f1966a == 0) {
            return -1;
        } else {
            return Integer.MIN_VALUE;
        }
    }

    private boolean a(RecyclerView.u uVar, RecyclerView.y yVar, a aVar) {
        View view;
        int i2;
        boolean z = false;
        if (getChildCount() == 0) {
            return false;
        }
        View focusedChild = getFocusedChild();
        if (focusedChild != null && aVar.a(focusedChild, yVar)) {
            aVar.b(focusedChild, getPosition(focusedChild));
            return true;
        } else if (this.f1969d != this.f1972g) {
            return false;
        } else {
            if (aVar.f1979d) {
                view = c(uVar, yVar);
            } else {
                view = d(uVar, yVar);
            }
            if (view == null) {
                return false;
            }
            aVar.a(view, getPosition(view));
            if (!yVar.d() && supportsPredictiveItemAnimations()) {
                if (this.f1968c.d(view) >= this.f1968c.b() || this.f1968c.a(view) < this.f1968c.f()) {
                    z = true;
                }
                if (z) {
                    if (aVar.f1979d) {
                        i2 = this.f1968c.b();
                    } else {
                        i2 = this.f1968c.f();
                    }
                    aVar.f1978c = i2;
                }
            }
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public View b(boolean z, boolean z2) {
        if (this.f1971f) {
            return a(getChildCount() - 1, -1, z, z2);
        }
        return a(0, getChildCount(), z, z2);
    }

    private View b(RecyclerView.u uVar, RecyclerView.y yVar) {
        return a(uVar, yVar, getChildCount() - 1, -1, yVar.a());
    }

    public int b() {
        View a2 = a(0, getChildCount(), true, false);
        if (a2 == null) {
            return -1;
        }
        return getPosition(a2);
    }

    private boolean a(RecyclerView.y yVar, a aVar) {
        int i2;
        int i3;
        boolean z = false;
        if (!yVar.d() && (i2 = this.f1974i) != -1) {
            if (i2 < 0 || i2 >= yVar.a()) {
                this.f1974i = -1;
                this.f1975j = Integer.MIN_VALUE;
            } else {
                aVar.f1977b = this.f1974i;
                SavedState savedState = this.l;
                if (savedState != null && savedState.hasValidAnchor()) {
                    aVar.f1979d = this.l.mAnchorLayoutFromEnd;
                    if (aVar.f1979d) {
                        aVar.f1978c = this.f1968c.b() - this.l.mAnchorOffset;
                    } else {
                        aVar.f1978c = this.f1968c.f() + this.l.mAnchorOffset;
                    }
                    return true;
                } else if (this.f1975j == Integer.MIN_VALUE) {
                    View findViewByPosition = findViewByPosition(this.f1974i);
                    if (findViewByPosition == null) {
                        if (getChildCount() > 0) {
                            if ((this.f1974i < getPosition(getChildAt(0))) == this.f1971f) {
                                z = true;
                            }
                            aVar.f1979d = z;
                        }
                        aVar.a();
                    } else if (this.f1968c.b(findViewByPosition) > this.f1968c.g()) {
                        aVar.a();
                        return true;
                    } else if (this.f1968c.d(findViewByPosition) - this.f1968c.f() < 0) {
                        aVar.f1978c = this.f1968c.f();
                        aVar.f1979d = false;
                        return true;
                    } else if (this.f1968c.b() - this.f1968c.a(findViewByPosition) < 0) {
                        aVar.f1978c = this.f1968c.b();
                        aVar.f1979d = true;
                        return true;
                    } else {
                        if (aVar.f1979d) {
                            i3 = this.f1968c.a(findViewByPosition) + this.f1968c.h();
                        } else {
                            i3 = this.f1968c.d(findViewByPosition);
                        }
                        aVar.f1978c = i3;
                    }
                    return true;
                } else {
                    boolean z2 = this.f1971f;
                    aVar.f1979d = z2;
                    if (z2) {
                        aVar.f1978c = this.f1968c.b() - this.f1975j;
                    } else {
                        aVar.f1978c = this.f1968c.f() + this.f1975j;
                    }
                    return true;
                }
            }
        }
        return false;
    }

    private int a(int i2, RecyclerView.u uVar, RecyclerView.y yVar, boolean z) {
        int b2;
        int b3 = this.f1968c.b() - i2;
        if (b3 <= 0) {
            return 0;
        }
        int i3 = -scrollBy(-b3, uVar, yVar);
        int i4 = i2 + i3;
        if (!z || (b2 = this.f1968c.b() - i4) <= 0) {
            return i3;
        }
        this.f1968c.a(b2);
        return b2 + i3;
    }

    private void a(a aVar) {
        b(aVar.f1977b, aVar.f1978c);
    }

    /* access modifiers changed from: package-private */
    public c a() {
        return new c();
    }

    private int a(RecyclerView.y yVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return o.a(yVar, this.f1968c, b(!this.f1973h, true), a(!this.f1973h, true), this, this.f1973h);
    }

    private void a(int i2, int i3, boolean z, RecyclerView.y yVar) {
        int i4;
        this.f1967b.m = h();
        this.f1967b.f1990f = i2;
        int[] iArr = this.p;
        boolean z2 = false;
        iArr[0] = 0;
        iArr[1] = 0;
        a(yVar, iArr);
        int max = Math.max(0, this.p[0]);
        int max2 = Math.max(0, this.p[1]);
        if (i2 == 1) {
            z2 = true;
        }
        this.f1967b.f1992h = z2 ? max2 : max;
        c cVar = this.f1967b;
        if (!z2) {
            max = max2;
        }
        cVar.f1993i = max;
        int i5 = -1;
        if (z2) {
            this.f1967b.f1992h += this.f1968c.c();
            View m2 = m();
            c cVar2 = this.f1967b;
            if (!this.f1971f) {
                i5 = 1;
            }
            cVar2.f1989e = i5;
            c cVar3 = this.f1967b;
            int position = getPosition(m2);
            c cVar4 = this.f1967b;
            cVar3.f1988d = position + cVar4.f1989e;
            cVar4.f1986b = this.f1968c.a(m2);
            i4 = this.f1968c.a(m2) - this.f1968c.b();
        } else {
            View n2 = n();
            this.f1967b.f1992h += this.f1968c.f();
            c cVar5 = this.f1967b;
            if (this.f1971f) {
                i5 = 1;
            }
            cVar5.f1989e = i5;
            c cVar6 = this.f1967b;
            int position2 = getPosition(n2);
            c cVar7 = this.f1967b;
            cVar6.f1988d = position2 + cVar7.f1989e;
            cVar7.f1986b = this.f1968c.d(n2);
            i4 = (-this.f1968c.d(n2)) + this.f1968c.f();
        }
        c cVar8 = this.f1967b;
        cVar8.f1987c = i3;
        if (z) {
            cVar8.f1987c -= i4;
        }
        this.f1967b.f1991g = i4;
    }

    /* access modifiers changed from: package-private */
    public void a(RecyclerView.y yVar, c cVar, RecyclerView.o.c cVar2) {
        int i2 = cVar.f1988d;
        if (i2 >= 0 && i2 < yVar.a()) {
            cVar2.a(i2, Math.max(0, cVar.f1991g));
        }
    }

    private void a(RecyclerView.u uVar, int i2, int i3) {
        if (i2 != i3) {
            if (i3 > i2) {
                for (int i4 = i3 - 1; i4 >= i2; i4--) {
                    removeAndRecycleViewAt(i4, uVar);
                }
                return;
            }
            while (i2 > i3) {
                removeAndRecycleViewAt(i2, uVar);
                i2--;
            }
        }
    }

    private void a(RecyclerView.u uVar, c cVar) {
        if (cVar.f1985a && !cVar.m) {
            int i2 = cVar.f1991g;
            int i3 = cVar.f1993i;
            if (cVar.f1990f == -1) {
                b(uVar, i2, i3);
            } else {
                c(uVar, i2, i3);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public int a(RecyclerView.u uVar, c cVar, RecyclerView.y yVar, boolean z) {
        int i2 = cVar.f1987c;
        int i3 = cVar.f1991g;
        if (i3 != Integer.MIN_VALUE) {
            if (i2 < 0) {
                cVar.f1991g = i3 + i2;
            }
            a(uVar, cVar);
        }
        int i4 = cVar.f1987c + cVar.f1992h;
        b bVar = this.n;
        while (true) {
            if ((!cVar.m && i4 <= 0) || !cVar.a(yVar)) {
                break;
            }
            bVar.a();
            a(uVar, yVar, cVar, bVar);
            if (!bVar.f1982b) {
                cVar.f1986b += bVar.f1981a * cVar.f1990f;
                if (!bVar.f1983c || cVar.l != null || !yVar.d()) {
                    int i5 = cVar.f1987c;
                    int i6 = bVar.f1981a;
                    cVar.f1987c = i5 - i6;
                    i4 -= i6;
                }
                int i7 = cVar.f1991g;
                if (i7 != Integer.MIN_VALUE) {
                    cVar.f1991g = i7 + bVar.f1981a;
                    int i8 = cVar.f1987c;
                    if (i8 < 0) {
                        cVar.f1991g += i8;
                    }
                    a(uVar, cVar);
                }
                if (z && bVar.f1984d) {
                    break;
                }
            } else {
                break;
            }
        }
        return i2 - cVar.f1987c;
    }

    /* access modifiers changed from: package-private */
    public void a(RecyclerView.u uVar, RecyclerView.y yVar, c cVar, b bVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        View a2 = cVar.a(uVar);
        if (a2 == null) {
            bVar.f1982b = true;
            return;
        }
        RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) a2.getLayoutParams();
        if (cVar.l == null) {
            if (this.f1971f == (cVar.f1990f == -1)) {
                addView(a2);
            } else {
                addView(a2, 0);
            }
        } else {
            if (this.f1971f == (cVar.f1990f == -1)) {
                addDisappearingView(a2);
            } else {
                addDisappearingView(a2, 0);
            }
        }
        measureChildWithMargins(a2, 0, 0);
        bVar.f1981a = this.f1968c.b(a2);
        if (this.f1966a == 1) {
            if (f()) {
                i6 = getWidth() - getPaddingRight();
                i5 = i6 - this.f1968c.c(a2);
            } else {
                i5 = getPaddingLeft();
                i6 = this.f1968c.c(a2) + i5;
            }
            if (cVar.f1990f == -1) {
                int i7 = cVar.f1986b;
                i2 = i7;
                i3 = i6;
                i4 = i7 - bVar.f1981a;
            } else {
                int i8 = cVar.f1986b;
                i4 = i8;
                i3 = i6;
                i2 = bVar.f1981a + i8;
            }
        } else {
            int paddingTop = getPaddingTop();
            int c2 = this.f1968c.c(a2) + paddingTop;
            if (cVar.f1990f == -1) {
                int i9 = cVar.f1986b;
                i3 = i9;
                i4 = paddingTop;
                i2 = c2;
                i5 = i9 - bVar.f1981a;
            } else {
                int i10 = cVar.f1986b;
                i4 = paddingTop;
                i3 = bVar.f1981a + i10;
                i2 = c2;
                i5 = i10;
            }
        }
        layoutDecoratedWithMargins(a2, i5, i4, i3, i2);
        if (layoutParams.isItemRemoved() || layoutParams.isItemChanged()) {
            bVar.f1983c = true;
        }
        bVar.f1984d = a2.hasFocusable();
    }

    /* access modifiers changed from: package-private */
    public View a(boolean z, boolean z2) {
        if (this.f1971f) {
            return a(0, getChildCount(), z, z2);
        }
        return a(getChildCount() - 1, -1, z, z2);
    }

    private View a(RecyclerView.u uVar, RecyclerView.y yVar) {
        return a(uVar, yVar, 0, getChildCount(), yVar.a());
    }

    /* access modifiers changed from: package-private */
    public View a(RecyclerView.u uVar, RecyclerView.y yVar, int i2, int i3, int i4) {
        ensureLayoutState();
        int f2 = this.f1968c.f();
        int b2 = this.f1968c.b();
        int i5 = i3 > i2 ? 1 : -1;
        View view = null;
        View view2 = null;
        while (i2 != i3) {
            View childAt = getChildAt(i2);
            int position = getPosition(childAt);
            if (position >= 0 && position < i4) {
                if (((RecyclerView.LayoutParams) childAt.getLayoutParams()).isItemRemoved()) {
                    if (view2 == null) {
                        view2 = childAt;
                    }
                } else if (this.f1968c.d(childAt) < b2 && this.f1968c.a(childAt) >= f2) {
                    return childAt;
                } else {
                    if (view == null) {
                        view = childAt;
                    }
                }
            }
            i2 += i5;
        }
        return view != null ? view : view2;
    }

    /* access modifiers changed from: package-private */
    public View a(int i2, int i3, boolean z, boolean z2) {
        ensureLayoutState();
        int i4 = 320;
        int i5 = z ? 24579 : 320;
        if (!z2) {
            i4 = 0;
        }
        if (this.f1966a == 0) {
            return this.mHorizontalBoundCheck.a(i2, i3, i5, i4);
        }
        return this.mVerticalBoundCheck.a(i2, i3, i5, i4);
    }

    /* access modifiers changed from: package-private */
    public View a(int i2, int i3) {
        int i4;
        int i5;
        ensureLayoutState();
        if ((i3 > i2 ? 1 : i3 < i2 ? (char) 65535 : 0) == 0) {
            return getChildAt(i2);
        }
        if (this.f1968c.d(getChildAt(i2)) < this.f1968c.f()) {
            i5 = 16644;
            i4 = 16388;
        } else {
            i5 = 4161;
            i4 = 4097;
        }
        if (this.f1966a == 0) {
            return this.mHorizontalBoundCheck.a(i2, i3, i5, i4);
        }
        return this.mVerticalBoundCheck.a(i2, i3, i5, i4);
    }

    @Override // androidx.recyclerview.widget.f.c
    public void a(View view, View view2, int i2, int i3) {
        assertNotInLayoutOrScroll("Cannot drop a view during a scroll or layout calculation");
        ensureLayoutState();
        o();
        int position = getPosition(view);
        int position2 = getPosition(view2);
        char c2 = position < position2 ? (char) 1 : 65535;
        if (this.f1971f) {
            if (c2 == 1) {
                scrollToPositionWithOffset(position2, this.f1968c.b() - (this.f1968c.d(view2) + this.f1968c.b(view)));
            } else {
                scrollToPositionWithOffset(position2, this.f1968c.b() - this.f1968c.a(view2));
            }
        } else if (c2 == 65535) {
            scrollToPositionWithOffset(position2, this.f1968c.d(view2));
        } else {
            scrollToPositionWithOffset(position2, this.f1968c.a(view2) - this.f1968c.b(view));
        }
    }
}
