package androidx.recyclerview.widget;

import a.g.l.g0.d;
import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.List;

public class StaggeredGridLayoutManager extends RecyclerView.o implements RecyclerView.x.b {

    /* renamed from: a  reason: collision with root package name */
    private int f2055a = -1;

    /* renamed from: b  reason: collision with root package name */
    c[] f2056b;

    /* renamed from: c  reason: collision with root package name */
    l f2057c;

    /* renamed from: d  reason: collision with root package name */
    l f2058d;

    /* renamed from: e  reason: collision with root package name */
    private int f2059e;

    /* renamed from: f  reason: collision with root package name */
    private int f2060f;

    /* renamed from: g  reason: collision with root package name */
    private final i f2061g;

    /* renamed from: h  reason: collision with root package name */
    boolean f2062h = false;

    /* renamed from: i  reason: collision with root package name */
    boolean f2063i = false;

    /* renamed from: j  reason: collision with root package name */
    private BitSet f2064j;
    int k = -1;
    int l = Integer.MIN_VALUE;
    LazySpanLookup m = new LazySpanLookup();
    private int n = 2;
    private boolean o;
    private boolean p;
    private SavedState q;
    private int r;
    private final Rect s = new Rect();
    private final b t = new b();
    private boolean u = false;
    private boolean v = true;
    private int[] w;
    private final Runnable x = new a();

    public static class LayoutParams extends RecyclerView.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        c f2065a;

        /* renamed from: b  reason: collision with root package name */
        boolean f2066b;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public void a(boolean z) {
            this.f2066b = z;
        }

        public boolean b() {
            return this.f2066b;
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
        }

        public final int a() {
            c cVar = this.f2065a;
            if (cVar == null) {
                return -1;
            }
            return cVar.f2081e;
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    @SuppressLint({"BanParcelableUsage"})
    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        boolean mAnchorLayoutFromEnd;
        int mAnchorPosition;
        List<LazySpanLookup.FullSpanItem> mFullSpanItems;
        boolean mLastLayoutRTL;
        boolean mReverseLayout;
        int[] mSpanLookup;
        int mSpanLookupSize;
        int[] mSpanOffsets;
        int mSpanOffsetsSize;
        int mVisibleAnchorPosition;

        static class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState() {
        }

        public int describeContents() {
            return 0;
        }

        /* access modifiers changed from: package-private */
        public void invalidateAnchorPositionInfo() {
            this.mSpanOffsets = null;
            this.mSpanOffsetsSize = 0;
            this.mAnchorPosition = -1;
            this.mVisibleAnchorPosition = -1;
        }

        /* access modifiers changed from: package-private */
        public void invalidateSpanInfo() {
            this.mSpanOffsets = null;
            this.mSpanOffsetsSize = 0;
            this.mSpanLookupSize = 0;
            this.mSpanLookup = null;
            this.mFullSpanItems = null;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeInt(this.mAnchorPosition);
            parcel.writeInt(this.mVisibleAnchorPosition);
            parcel.writeInt(this.mSpanOffsetsSize);
            if (this.mSpanOffsetsSize > 0) {
                parcel.writeIntArray(this.mSpanOffsets);
            }
            parcel.writeInt(this.mSpanLookupSize);
            if (this.mSpanLookupSize > 0) {
                parcel.writeIntArray(this.mSpanLookup);
            }
            parcel.writeInt(this.mReverseLayout ? 1 : 0);
            parcel.writeInt(this.mAnchorLayoutFromEnd ? 1 : 0);
            parcel.writeInt(this.mLastLayoutRTL ? 1 : 0);
            parcel.writeList(this.mFullSpanItems);
        }

        SavedState(Parcel parcel) {
            this.mAnchorPosition = parcel.readInt();
            this.mVisibleAnchorPosition = parcel.readInt();
            this.mSpanOffsetsSize = parcel.readInt();
            int i2 = this.mSpanOffsetsSize;
            if (i2 > 0) {
                this.mSpanOffsets = new int[i2];
                parcel.readIntArray(this.mSpanOffsets);
            }
            this.mSpanLookupSize = parcel.readInt();
            int i3 = this.mSpanLookupSize;
            if (i3 > 0) {
                this.mSpanLookup = new int[i3];
                parcel.readIntArray(this.mSpanLookup);
            }
            boolean z = false;
            this.mReverseLayout = parcel.readInt() == 1;
            this.mAnchorLayoutFromEnd = parcel.readInt() == 1;
            this.mLastLayoutRTL = parcel.readInt() == 1 ? true : z;
            this.mFullSpanItems = parcel.readArrayList(LazySpanLookup.FullSpanItem.class.getClassLoader());
        }

        public SavedState(SavedState savedState) {
            this.mSpanOffsetsSize = savedState.mSpanOffsetsSize;
            this.mAnchorPosition = savedState.mAnchorPosition;
            this.mVisibleAnchorPosition = savedState.mVisibleAnchorPosition;
            this.mSpanOffsets = savedState.mSpanOffsets;
            this.mSpanLookupSize = savedState.mSpanLookupSize;
            this.mSpanLookup = savedState.mSpanLookup;
            this.mReverseLayout = savedState.mReverseLayout;
            this.mAnchorLayoutFromEnd = savedState.mAnchorLayoutFromEnd;
            this.mLastLayoutRTL = savedState.mLastLayoutRTL;
            this.mFullSpanItems = savedState.mFullSpanItems;
        }
    }

    class a implements Runnable {
        a() {
        }

        public void run() {
            StaggeredGridLayoutManager.this.c();
        }
    }

    /* access modifiers changed from: package-private */
    public class c {

        /* renamed from: a  reason: collision with root package name */
        ArrayList<View> f2077a = new ArrayList<>();

        /* renamed from: b  reason: collision with root package name */
        int f2078b = Integer.MIN_VALUE;

        /* renamed from: c  reason: collision with root package name */
        int f2079c = Integer.MIN_VALUE;

        /* renamed from: d  reason: collision with root package name */
        int f2080d = 0;

        /* renamed from: e  reason: collision with root package name */
        final int f2081e;

        c(int i2) {
            this.f2081e = i2;
        }

        /* access modifiers changed from: package-private */
        public int a(int i2) {
            int i3 = this.f2079c;
            if (i3 != Integer.MIN_VALUE) {
                return i3;
            }
            if (this.f2077a.size() == 0) {
                return i2;
            }
            a();
            return this.f2079c;
        }

        /* access modifiers changed from: package-private */
        public int b(int i2) {
            int i3 = this.f2078b;
            if (i3 != Integer.MIN_VALUE) {
                return i3;
            }
            if (this.f2077a.size() == 0) {
                return i2;
            }
            b();
            return this.f2078b;
        }

        /* access modifiers changed from: package-private */
        public void c(View view) {
            LayoutParams b2 = b(view);
            b2.f2065a = this;
            this.f2077a.add(0, view);
            this.f2078b = Integer.MIN_VALUE;
            if (this.f2077a.size() == 1) {
                this.f2079c = Integer.MIN_VALUE;
            }
            if (b2.isItemRemoved() || b2.isItemChanged()) {
                this.f2080d += StaggeredGridLayoutManager.this.f2057c.b(view);
            }
        }

        /* access modifiers changed from: package-private */
        public void d(int i2) {
            this.f2078b = i2;
            this.f2079c = i2;
        }

        public int e() {
            if (StaggeredGridLayoutManager.this.f2062h) {
                return b(this.f2077a.size() - 1, -1, false);
            }
            return b(0, this.f2077a.size(), false);
        }

        public int f() {
            if (StaggeredGridLayoutManager.this.f2062h) {
                return b(0, this.f2077a.size(), true);
            }
            return b(this.f2077a.size() - 1, -1, true);
        }

        public int g() {
            if (StaggeredGridLayoutManager.this.f2062h) {
                return a(0, this.f2077a.size(), true);
            }
            return a(this.f2077a.size() - 1, -1, true);
        }

        public int h() {
            return this.f2080d;
        }

        /* access modifiers changed from: package-private */
        public int i() {
            int i2 = this.f2079c;
            if (i2 != Integer.MIN_VALUE) {
                return i2;
            }
            a();
            return this.f2079c;
        }

        /* access modifiers changed from: package-private */
        public int j() {
            int i2 = this.f2078b;
            if (i2 != Integer.MIN_VALUE) {
                return i2;
            }
            b();
            return this.f2078b;
        }

        /* access modifiers changed from: package-private */
        public void k() {
            this.f2078b = Integer.MIN_VALUE;
            this.f2079c = Integer.MIN_VALUE;
        }

        /* access modifiers changed from: package-private */
        public void l() {
            int size = this.f2077a.size();
            View remove = this.f2077a.remove(size - 1);
            LayoutParams b2 = b(remove);
            b2.f2065a = null;
            if (b2.isItemRemoved() || b2.isItemChanged()) {
                this.f2080d -= StaggeredGridLayoutManager.this.f2057c.b(remove);
            }
            if (size == 1) {
                this.f2078b = Integer.MIN_VALUE;
            }
            this.f2079c = Integer.MIN_VALUE;
        }

        /* access modifiers changed from: package-private */
        public void m() {
            View remove = this.f2077a.remove(0);
            LayoutParams b2 = b(remove);
            b2.f2065a = null;
            if (this.f2077a.size() == 0) {
                this.f2079c = Integer.MIN_VALUE;
            }
            if (b2.isItemRemoved() || b2.isItemChanged()) {
                this.f2080d -= StaggeredGridLayoutManager.this.f2057c.b(remove);
            }
            this.f2078b = Integer.MIN_VALUE;
        }

        public int d() {
            if (StaggeredGridLayoutManager.this.f2062h) {
                return a(this.f2077a.size() - 1, -1, true);
            }
            return a(0, this.f2077a.size(), true);
        }

        /* access modifiers changed from: package-private */
        public void a() {
            LazySpanLookup.FullSpanItem c2;
            ArrayList<View> arrayList = this.f2077a;
            View view = arrayList.get(arrayList.size() - 1);
            LayoutParams b2 = b(view);
            this.f2079c = StaggeredGridLayoutManager.this.f2057c.a(view);
            if (b2.f2066b && (c2 = StaggeredGridLayoutManager.this.m.c(b2.getViewLayoutPosition())) != null && c2.mGapDir == 1) {
                this.f2079c += c2.getGapForSpan(this.f2081e);
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            LazySpanLookup.FullSpanItem c2;
            View view = this.f2077a.get(0);
            LayoutParams b2 = b(view);
            this.f2078b = StaggeredGridLayoutManager.this.f2057c.d(view);
            if (b2.f2066b && (c2 = StaggeredGridLayoutManager.this.m.c(b2.getViewLayoutPosition())) != null && c2.mGapDir == -1) {
                this.f2078b -= c2.getGapForSpan(this.f2081e);
            }
        }

        /* access modifiers changed from: package-private */
        public void c() {
            this.f2077a.clear();
            k();
            this.f2080d = 0;
        }

        /* access modifiers changed from: package-private */
        public void c(int i2) {
            int i3 = this.f2078b;
            if (i3 != Integer.MIN_VALUE) {
                this.f2078b = i3 + i2;
            }
            int i4 = this.f2079c;
            if (i4 != Integer.MIN_VALUE) {
                this.f2079c = i4 + i2;
            }
        }

        /* access modifiers changed from: package-private */
        public void a(View view) {
            LayoutParams b2 = b(view);
            b2.f2065a = this;
            this.f2077a.add(view);
            this.f2079c = Integer.MIN_VALUE;
            if (this.f2077a.size() == 1) {
                this.f2078b = Integer.MIN_VALUE;
            }
            if (b2.isItemRemoved() || b2.isItemChanged()) {
                this.f2080d += StaggeredGridLayoutManager.this.f2057c.b(view);
            }
        }

        /* access modifiers changed from: package-private */
        public LayoutParams b(View view) {
            return (LayoutParams) view.getLayoutParams();
        }

        /* access modifiers changed from: package-private */
        public int b(int i2, int i3, boolean z) {
            return a(i2, i3, z, true, false);
        }

        /* access modifiers changed from: package-private */
        public void a(boolean z, int i2) {
            int i3;
            if (z) {
                i3 = a(Integer.MIN_VALUE);
            } else {
                i3 = b(Integer.MIN_VALUE);
            }
            c();
            if (i3 != Integer.MIN_VALUE) {
                if (z && i3 < StaggeredGridLayoutManager.this.f2057c.b()) {
                    return;
                }
                if (z || i3 <= StaggeredGridLayoutManager.this.f2057c.f()) {
                    if (i2 != Integer.MIN_VALUE) {
                        i3 += i2;
                    }
                    this.f2079c = i3;
                    this.f2078b = i3;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public int a(int i2, int i3, boolean z, boolean z2, boolean z3) {
            int f2 = StaggeredGridLayoutManager.this.f2057c.f();
            int b2 = StaggeredGridLayoutManager.this.f2057c.b();
            int i4 = i3 > i2 ? 1 : -1;
            while (i2 != i3) {
                View view = this.f2077a.get(i2);
                int d2 = StaggeredGridLayoutManager.this.f2057c.d(view);
                int a2 = StaggeredGridLayoutManager.this.f2057c.a(view);
                boolean z4 = false;
                boolean z5 = !z3 ? d2 < b2 : d2 <= b2;
                if (!z3 ? a2 > f2 : a2 >= f2) {
                    z4 = true;
                }
                if (z5 && z4) {
                    if (!z || !z2) {
                        if (z2) {
                            return StaggeredGridLayoutManager.this.getPosition(view);
                        }
                        if (d2 < f2 || a2 > b2) {
                            return StaggeredGridLayoutManager.this.getPosition(view);
                        }
                    } else if (d2 >= f2 && a2 <= b2) {
                        return StaggeredGridLayoutManager.this.getPosition(view);
                    }
                }
                i2 += i4;
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int a(int i2, int i3, boolean z) {
            return a(i2, i3, false, false, z);
        }

        public View a(int i2, int i3) {
            View view = null;
            if (i3 != -1) {
                int size = this.f2077a.size() - 1;
                while (size >= 0) {
                    View view2 = this.f2077a.get(size);
                    StaggeredGridLayoutManager staggeredGridLayoutManager = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager.f2062h && staggeredGridLayoutManager.getPosition(view2) >= i2) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager2 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager2.f2062h && staggeredGridLayoutManager2.getPosition(view2) <= i2) || !view2.hasFocusable()) {
                        break;
                    }
                    size--;
                    view = view2;
                }
            } else {
                int size2 = this.f2077a.size();
                int i4 = 0;
                while (i4 < size2) {
                    View view3 = this.f2077a.get(i4);
                    StaggeredGridLayoutManager staggeredGridLayoutManager3 = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager3.f2062h && staggeredGridLayoutManager3.getPosition(view3) <= i2) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager4 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager4.f2062h && staggeredGridLayoutManager4.getPosition(view3) >= i2) || !view3.hasFocusable()) {
                        break;
                    }
                    i4++;
                    view = view3;
                }
            }
            return view;
        }
    }

    public StaggeredGridLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        RecyclerView.o.d properties = RecyclerView.o.getProperties(context, attributeSet, i2, i3);
        b(properties.f2018a);
        c(properties.f2019b);
        c(properties.f2020c);
        this.f2061g = new i();
        k();
    }

    private boolean a(c cVar) {
        if (this.f2063i) {
            if (cVar.i() < this.f2057c.b()) {
                ArrayList<View> arrayList = cVar.f2077a;
                return !cVar.b(arrayList.get(arrayList.size() - 1)).f2066b;
            }
        } else if (cVar.j() > this.f2057c.f()) {
            return !cVar.b(cVar.f2077a.get(0)).f2066b;
        }
        return false;
    }

    private int e(int i2) {
        if (getChildCount() != 0) {
            if ((i2 < e()) != this.f2063i) {
                return -1;
            }
            return 1;
        } else if (this.f2063i) {
            return 1;
        } else {
            return -1;
        }
    }

    private void k() {
        this.f2057c = l.a(this, this.f2059e);
        this.f2058d = l.a(this, 1 - this.f2059e);
    }

    private void l() {
        if (this.f2058d.d() != 1073741824) {
            int childCount = getChildCount();
            float f2 = 0.0f;
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = getChildAt(i2);
                float b2 = (float) this.f2058d.b(childAt);
                if (b2 >= f2) {
                    if (((LayoutParams) childAt.getLayoutParams()).b()) {
                        b2 = (b2 * 1.0f) / ((float) this.f2055a);
                    }
                    f2 = Math.max(f2, b2);
                }
            }
            int i3 = this.f2060f;
            int round = Math.round(f2 * ((float) this.f2055a));
            if (this.f2058d.d() == Integer.MIN_VALUE) {
                round = Math.min(round, this.f2058d.g());
            }
            d(round);
            if (this.f2060f != i3) {
                for (int i4 = 0; i4 < childCount; i4++) {
                    View childAt2 = getChildAt(i4);
                    LayoutParams layoutParams = (LayoutParams) childAt2.getLayoutParams();
                    if (!layoutParams.f2066b) {
                        if (!j() || this.f2059e != 1) {
                            int i5 = layoutParams.f2065a.f2081e;
                            int i6 = this.f2060f * i5;
                            int i7 = i5 * i3;
                            if (this.f2059e == 1) {
                                childAt2.offsetLeftAndRight(i6 - i7);
                            } else {
                                childAt2.offsetTopAndBottom(i6 - i7);
                            }
                        } else {
                            int i8 = this.f2055a;
                            int i9 = layoutParams.f2065a.f2081e;
                            childAt2.offsetLeftAndRight(((-((i8 - 1) - i9)) * this.f2060f) - ((-((i8 - 1) - i9)) * i3));
                        }
                    }
                }
            }
        }
    }

    private void m() {
        if (this.f2059e == 1 || !j()) {
            this.f2063i = this.f2062h;
        } else {
            this.f2063i = !this.f2062h;
        }
    }

    private int n(int i2) {
        int b2 = this.f2056b[0].b(i2);
        for (int i3 = 1; i3 < this.f2055a; i3++) {
            int b3 = this.f2056b[i3].b(i2);
            if (b3 < b2) {
                b2 = b3;
            }
        }
        return b2;
    }

    private boolean o(int i2) {
        if (this.f2059e == 0) {
            if ((i2 == -1) != this.f2063i) {
                return true;
            }
            return false;
        }
        if (((i2 == -1) == this.f2063i) == j()) {
            return true;
        }
        return false;
    }

    private void p(int i2) {
        i iVar = this.f2061g;
        iVar.f2187e = i2;
        int i3 = 1;
        if (this.f2063i != (i2 == -1)) {
            i3 = -1;
        }
        iVar.f2186d = i3;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void assertNotInLayoutOrScroll(String str) {
        if (this.q == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    public void b(int i2) {
        if (i2 == 0 || i2 == 1) {
            assertNotInLayoutOrScroll(null);
            if (i2 != this.f2059e) {
                this.f2059e = i2;
                l lVar = this.f2057c;
                this.f2057c = this.f2058d;
                this.f2058d = lVar;
                requestLayout();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("invalid orientation.");
    }

    /* access modifiers changed from: package-private */
    public boolean c() {
        int i2;
        int i3;
        if (getChildCount() == 0 || this.n == 0 || !isAttachedToWindow()) {
            return false;
        }
        if (this.f2063i) {
            i3 = f();
            i2 = e();
        } else {
            i3 = e();
            i2 = f();
        }
        if (i3 == 0 && h() != null) {
            this.m.a();
            requestSimpleAnimationsInNextLayout();
            requestLayout();
            return true;
        } else if (!this.u) {
            return false;
        } else {
            int i4 = this.f2063i ? -1 : 1;
            int i5 = i2 + 1;
            LazySpanLookup.FullSpanItem a2 = this.m.a(i3, i5, i4, true);
            if (a2 == null) {
                this.u = false;
                this.m.b(i5);
                return false;
            }
            LazySpanLookup.FullSpanItem a3 = this.m.a(i3, a2.mPosition, i4 * -1, true);
            if (a3 == null) {
                this.m.b(a2.mPosition);
            } else {
                this.m.b(a3.mPosition + 1);
            }
            requestSimpleAnimationsInNextLayout();
            requestLayout();
            return true;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean canScrollHorizontally() {
        return this.f2059e == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean canScrollVertically() {
        return this.f2059e == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean checkLayoutParams(RecyclerView.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void collectAdjacentPrefetchPositions(int i2, int i3, RecyclerView.y yVar, RecyclerView.o.c cVar) {
        int i4;
        int i5;
        if (this.f2059e != 0) {
            i2 = i3;
        }
        if (!(getChildCount() == 0 || i2 == 0)) {
            a(i2, yVar);
            int[] iArr = this.w;
            if (iArr == null || iArr.length < this.f2055a) {
                this.w = new int[this.f2055a];
            }
            int i6 = 0;
            for (int i7 = 0; i7 < this.f2055a; i7++) {
                i iVar = this.f2061g;
                if (iVar.f2186d == -1) {
                    i5 = iVar.f2188f;
                    i4 = this.f2056b[i7].b(i5);
                } else {
                    i5 = this.f2056b[i7].a(iVar.f2189g);
                    i4 = this.f2061g.f2189g;
                }
                int i8 = i5 - i4;
                if (i8 >= 0) {
                    this.w[i6] = i8;
                    i6++;
                }
            }
            Arrays.sort(this.w, 0, i6);
            for (int i9 = 0; i9 < i6 && this.f2061g.a(yVar); i9++) {
                cVar.a(this.f2061g.f2185c, this.w[i9]);
                i iVar2 = this.f2061g;
                iVar2.f2185c += iVar2.f2186d;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeHorizontalScrollExtent(RecyclerView.y yVar) {
        return a(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeHorizontalScrollOffset(RecyclerView.y yVar) {
        return b(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeHorizontalScrollRange(RecyclerView.y yVar) {
        return c(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeVerticalScrollExtent(RecyclerView.y yVar) {
        return a(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeVerticalScrollOffset(RecyclerView.y yVar) {
        return b(yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int computeVerticalScrollRange(RecyclerView.y yVar) {
        return c(yVar);
    }

    /* access modifiers changed from: package-private */
    public void d(int i2) {
        this.f2060f = i2 / this.f2055a;
        this.r = View.MeasureSpec.makeMeasureSpec(i2, this.f2058d.d());
    }

    /* access modifiers changed from: package-private */
    public int f() {
        int childCount = getChildCount();
        if (childCount == 0) {
            return 0;
        }
        return getPosition(getChildAt(childCount - 1));
    }

    public int g() {
        return this.f2055a;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        if (this.f2059e == 0) {
            return new LayoutParams(-2, -1);
        }
        return new LayoutParams(-1, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public RecyclerView.LayoutParams generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new LayoutParams(context, attributeSet);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int getColumnCountForAccessibility(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f2059e == 1) {
            return this.f2055a;
        }
        return super.getColumnCountForAccessibility(uVar, yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int getRowCountForAccessibility(RecyclerView.u uVar, RecyclerView.y yVar) {
        if (this.f2059e == 0) {
            return this.f2055a;
        }
        return super.getRowCountForAccessibility(uVar, yVar);
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0074, code lost:
        if (r10 == r11) goto L_0x0088;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0086, code lost:
        if (r10 == r11) goto L_0x0088;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x008a, code lost:
        r10 = false;
     */
    public View h() {
        int i2;
        int i3;
        int childCount = getChildCount() - 1;
        BitSet bitSet = new BitSet(this.f2055a);
        bitSet.set(0, this.f2055a, true);
        int i4 = -1;
        char c2 = (this.f2059e != 1 || !j()) ? (char) 65535 : 1;
        if (this.f2063i) {
            i2 = -1;
        } else {
            i2 = childCount + 1;
            childCount = 0;
        }
        if (childCount < i2) {
            i4 = 1;
        }
        while (childCount != i2) {
            View childAt = getChildAt(childCount);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            if (bitSet.get(layoutParams.f2065a.f2081e)) {
                if (a(layoutParams.f2065a)) {
                    return childAt;
                }
                bitSet.clear(layoutParams.f2065a.f2081e);
            }
            if (!layoutParams.f2066b && (i3 = childCount + i4) != i2) {
                View childAt2 = getChildAt(i3);
                if (this.f2063i) {
                    int a2 = this.f2057c.a(childAt);
                    int a3 = this.f2057c.a(childAt2);
                    if (a2 < a3) {
                        return childAt;
                    }
                } else {
                    int d2 = this.f2057c.d(childAt);
                    int d3 = this.f2057c.d(childAt2);
                    if (d2 > d3) {
                        return childAt;
                    }
                }
                boolean z = true;
                if (!z) {
                    continue;
                } else {
                    if ((layoutParams.f2065a.f2081e - ((LayoutParams) childAt2.getLayoutParams()).f2065a.f2081e < 0) != (c2 < 0)) {
                        return childAt;
                    }
                }
            }
            childCount += i4;
        }
        return null;
    }

    public void i() {
        this.m.a();
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean isAutoMeasureEnabled() {
        return this.n != 0;
    }

    /* access modifiers changed from: package-private */
    public boolean j() {
        return getLayoutDirection() == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void offsetChildrenHorizontal(int i2) {
        super.offsetChildrenHorizontal(i2);
        for (int i3 = 0; i3 < this.f2055a; i3++) {
            this.f2056b[i3].c(i2);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void offsetChildrenVertical(int i2) {
        super.offsetChildrenVertical(i2);
        for (int i3 = 0; i3 < this.f2055a; i3++) {
            this.f2056b[i3].c(i2);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.u uVar) {
        super.onDetachedFromWindow(recyclerView, uVar);
        removeCallbacks(this.x);
        for (int i2 = 0; i2 < this.f2055a; i2++) {
            this.f2056b[i2].c();
        }
        recyclerView.requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public View onFocusSearchFailed(View view, int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        View findContainingItemView;
        int i3;
        int i4;
        int i5;
        int i6;
        View a2;
        if (getChildCount() == 0 || (findContainingItemView = findContainingItemView(view)) == null) {
            return null;
        }
        m();
        int f2 = f(i2);
        if (f2 == Integer.MIN_VALUE) {
            return null;
        }
        LayoutParams layoutParams = (LayoutParams) findContainingItemView.getLayoutParams();
        boolean z = layoutParams.f2066b;
        c cVar = layoutParams.f2065a;
        if (f2 == 1) {
            i3 = f();
        } else {
            i3 = e();
        }
        b(i3, yVar);
        p(f2);
        i iVar = this.f2061g;
        iVar.f2185c = iVar.f2186d + i3;
        iVar.f2184b = (int) (((float) this.f2057c.g()) * 0.33333334f);
        i iVar2 = this.f2061g;
        iVar2.f2190h = true;
        iVar2.f2183a = false;
        a(uVar, iVar2, yVar);
        this.o = this.f2063i;
        if (!(z || (a2 = cVar.a(i3, f2)) == null || a2 == findContainingItemView)) {
            return a2;
        }
        if (o(f2)) {
            for (int i7 = this.f2055a - 1; i7 >= 0; i7--) {
                View a3 = this.f2056b[i7].a(i3, f2);
                if (!(a3 == null || a3 == findContainingItemView)) {
                    return a3;
                }
            }
        } else {
            for (int i8 = 0; i8 < this.f2055a; i8++) {
                View a4 = this.f2056b[i8].a(i3, f2);
                if (!(a4 == null || a4 == findContainingItemView)) {
                    return a4;
                }
            }
        }
        boolean z2 = (this.f2062h ^ true) == (f2 == -1);
        if (!z) {
            if (z2) {
                i6 = cVar.d();
            } else {
                i6 = cVar.g();
            }
            View findViewByPosition = findViewByPosition(i6);
            if (!(findViewByPosition == null || findViewByPosition == findContainingItemView)) {
                return findViewByPosition;
            }
        }
        if (o(f2)) {
            for (int i9 = this.f2055a - 1; i9 >= 0; i9--) {
                if (i9 != cVar.f2081e) {
                    if (z2) {
                        i5 = this.f2056b[i9].d();
                    } else {
                        i5 = this.f2056b[i9].g();
                    }
                    View findViewByPosition2 = findViewByPosition(i5);
                    if (!(findViewByPosition2 == null || findViewByPosition2 == findContainingItemView)) {
                        return findViewByPosition2;
                    }
                }
            }
        } else {
            for (int i10 = 0; i10 < this.f2055a; i10++) {
                if (z2) {
                    i4 = this.f2056b[i10].d();
                } else {
                    i4 = this.f2056b[i10].g();
                }
                View findViewByPosition3 = findViewByPosition(i4);
                if (!(findViewByPosition3 == null || findViewByPosition3 == findContainingItemView)) {
                    return findViewByPosition3;
                }
            }
        }
        return null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (getChildCount() > 0) {
            View b2 = b(false);
            View a2 = a(false);
            if (b2 != null && a2 != null) {
                int position = getPosition(b2);
                int position2 = getPosition(a2);
                if (position < position2) {
                    accessibilityEvent.setFromIndex(position);
                    accessibilityEvent.setToIndex(position2);
                    return;
                }
                accessibilityEvent.setFromIndex(position2);
                accessibilityEvent.setToIndex(position);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onInitializeAccessibilityNodeInfoForItem(RecyclerView.u uVar, RecyclerView.y yVar, View view, d dVar) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof LayoutParams)) {
            super.onInitializeAccessibilityNodeInfoForItem(view, dVar);
            return;
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        if (this.f2059e == 0) {
            dVar.b(d.c.a(layoutParams2.a(), layoutParams2.f2066b ? this.f2055a : 1, -1, -1, false, false));
        } else {
            dVar.b(d.c.a(-1, -1, layoutParams2.a(), layoutParams2.f2066b ? this.f2055a : 1, false, false));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsAdded(RecyclerView recyclerView, int i2, int i3) {
        a(i2, i3, 1);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsChanged(RecyclerView recyclerView) {
        this.m.a();
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsMoved(RecyclerView recyclerView, int i2, int i3, int i4) {
        a(i2, i3, 8);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsRemoved(RecyclerView recyclerView, int i2, int i3) {
        a(i2, i3, 2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onItemsUpdated(RecyclerView recyclerView, int i2, int i3, Object obj) {
        a(i2, i3, 4);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onLayoutChildren(RecyclerView.u uVar, RecyclerView.y yVar) {
        c(uVar, yVar, true);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onLayoutCompleted(RecyclerView.y yVar) {
        super.onLayoutCompleted(yVar);
        this.k = -1;
        this.l = Integer.MIN_VALUE;
        this.q = null;
        this.t.b();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            this.q = (SavedState) parcelable;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public Parcelable onSaveInstanceState() {
        int i2;
        int i3;
        int i4;
        int[] iArr;
        SavedState savedState = this.q;
        if (savedState != null) {
            return new SavedState(savedState);
        }
        SavedState savedState2 = new SavedState();
        savedState2.mReverseLayout = this.f2062h;
        savedState2.mAnchorLayoutFromEnd = this.o;
        savedState2.mLastLayoutRTL = this.p;
        LazySpanLookup lazySpanLookup = this.m;
        if (lazySpanLookup == null || (iArr = lazySpanLookup.f2067a) == null) {
            savedState2.mSpanLookupSize = 0;
        } else {
            savedState2.mSpanLookup = iArr;
            savedState2.mSpanLookupSize = savedState2.mSpanLookup.length;
            savedState2.mFullSpanItems = lazySpanLookup.f2068b;
        }
        if (getChildCount() > 0) {
            if (this.o) {
                i2 = f();
            } else {
                i2 = e();
            }
            savedState2.mAnchorPosition = i2;
            savedState2.mVisibleAnchorPosition = d();
            int i5 = this.f2055a;
            savedState2.mSpanOffsetsSize = i5;
            savedState2.mSpanOffsets = new int[i5];
            for (int i6 = 0; i6 < this.f2055a; i6++) {
                if (this.o) {
                    i3 = this.f2056b[i6].a(Integer.MIN_VALUE);
                    if (i3 != Integer.MIN_VALUE) {
                        i4 = this.f2057c.b();
                    } else {
                        savedState2.mSpanOffsets[i6] = i3;
                    }
                } else {
                    i3 = this.f2056b[i6].b(Integer.MIN_VALUE);
                    if (i3 != Integer.MIN_VALUE) {
                        i4 = this.f2057c.f();
                    } else {
                        savedState2.mSpanOffsets[i6] = i3;
                    }
                }
                i3 -= i4;
                savedState2.mSpanOffsets[i6] = i3;
            }
        } else {
            savedState2.mAnchorPosition = -1;
            savedState2.mVisibleAnchorPosition = -1;
            savedState2.mSpanOffsetsSize = 0;
        }
        return savedState2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void onScrollStateChanged(int i2) {
        if (i2 == 0) {
            c();
        }
    }

    /* access modifiers changed from: package-private */
    public int scrollBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        if (getChildCount() == 0 || i2 == 0) {
            return 0;
        }
        a(i2, yVar);
        int a2 = a(uVar, this.f2061g, yVar);
        if (this.f2061g.f2184b >= a2) {
            i2 = i2 < 0 ? -a2 : a2;
        }
        this.f2057c.a(-i2);
        this.o = this.f2063i;
        i iVar = this.f2061g;
        iVar.f2184b = 0;
        a(uVar, iVar);
        return i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int scrollHorizontallyBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        return scrollBy(i2, uVar, yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void scrollToPosition(int i2) {
        SavedState savedState = this.q;
        if (!(savedState == null || savedState.mAnchorPosition == i2)) {
            savedState.invalidateAnchorPositionInfo();
        }
        this.k = i2;
        this.l = Integer.MIN_VALUE;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public int scrollVerticallyBy(int i2, RecyclerView.u uVar, RecyclerView.y yVar) {
        return scrollBy(i2, uVar, yVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void setMeasuredDimension(Rect rect, int i2, int i3) {
        int i4;
        int i5;
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        if (this.f2059e == 1) {
            i5 = RecyclerView.o.chooseSize(i3, rect.height() + paddingTop, getMinimumHeight());
            i4 = RecyclerView.o.chooseSize(i2, (this.f2060f * this.f2055a) + paddingLeft, getMinimumWidth());
        } else {
            i4 = RecyclerView.o.chooseSize(i2, rect.width() + paddingLeft, getMinimumWidth());
            i5 = RecyclerView.o.chooseSize(i3, (this.f2060f * this.f2055a) + paddingTop, getMinimumHeight());
        }
        setMeasuredDimension(i4, i5);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.y yVar, int i2) {
        j jVar = new j(recyclerView.getContext());
        jVar.setTargetPosition(i2);
        startSmoothScroll(jVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public boolean supportsPredictiveItemAnimations() {
        return this.q == null;
    }

    /* access modifiers changed from: package-private */
    public static class LazySpanLookup {

        /* renamed from: a  reason: collision with root package name */
        int[] f2067a;

        /* renamed from: b  reason: collision with root package name */
        List<FullSpanItem> f2068b;

        LazySpanLookup() {
        }

        private void c(int i2, int i3) {
            List<FullSpanItem> list = this.f2068b;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    FullSpanItem fullSpanItem = this.f2068b.get(size);
                    int i4 = fullSpanItem.mPosition;
                    if (i4 >= i2) {
                        fullSpanItem.mPosition = i4 + i3;
                    }
                }
            }
        }

        private int g(int i2) {
            if (this.f2068b == null) {
                return -1;
            }
            FullSpanItem c2 = c(i2);
            if (c2 != null) {
                this.f2068b.remove(c2);
            }
            int size = this.f2068b.size();
            int i3 = 0;
            while (true) {
                if (i3 >= size) {
                    i3 = -1;
                    break;
                } else if (this.f2068b.get(i3).mPosition >= i2) {
                    break;
                } else {
                    i3++;
                }
            }
            if (i3 == -1) {
                return -1;
            }
            this.f2068b.remove(i3);
            return this.f2068b.get(i3).mPosition;
        }

        /* access modifiers changed from: package-private */
        public void a(int i2, c cVar) {
            a(i2);
            this.f2067a[i2] = cVar.f2081e;
        }

        /* access modifiers changed from: package-private */
        public int b(int i2) {
            List<FullSpanItem> list = this.f2068b;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    if (this.f2068b.get(size).mPosition >= i2) {
                        this.f2068b.remove(size);
                    }
                }
            }
            return e(i2);
        }

        /* access modifiers changed from: package-private */
        public int d(int i2) {
            int[] iArr = this.f2067a;
            if (iArr == null || i2 >= iArr.length) {
                return -1;
            }
            return iArr[i2];
        }

        /* access modifiers changed from: package-private */
        public int e(int i2) {
            int[] iArr = this.f2067a;
            if (iArr == null || i2 >= iArr.length) {
                return -1;
            }
            int g2 = g(i2);
            if (g2 == -1) {
                int[] iArr2 = this.f2067a;
                Arrays.fill(iArr2, i2, iArr2.length, -1);
                return this.f2067a.length;
            }
            int i3 = g2 + 1;
            Arrays.fill(this.f2067a, i2, i3, -1);
            return i3;
        }

        /* access modifiers changed from: package-private */
        public int f(int i2) {
            int length = this.f2067a.length;
            while (length <= i2) {
                length *= 2;
            }
            return length;
        }

        private void d(int i2, int i3) {
            List<FullSpanItem> list = this.f2068b;
            if (list != null) {
                int i4 = i2 + i3;
                for (int size = list.size() - 1; size >= 0; size--) {
                    FullSpanItem fullSpanItem = this.f2068b.get(size);
                    int i5 = fullSpanItem.mPosition;
                    if (i5 >= i2) {
                        if (i5 < i4) {
                            this.f2068b.remove(size);
                        } else {
                            fullSpanItem.mPosition = i5 - i3;
                        }
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(int i2) {
            int[] iArr = this.f2067a;
            if (iArr == null) {
                this.f2067a = new int[(Math.max(i2, 10) + 1)];
                Arrays.fill(this.f2067a, -1);
            } else if (i2 >= iArr.length) {
                this.f2067a = new int[f(i2)];
                System.arraycopy(iArr, 0, this.f2067a, 0, iArr.length);
                int[] iArr2 = this.f2067a;
                Arrays.fill(iArr2, iArr.length, iArr2.length, -1);
            }
        }

        public FullSpanItem c(int i2) {
            List<FullSpanItem> list = this.f2068b;
            if (list == null) {
                return null;
            }
            for (int size = list.size() - 1; size >= 0; size--) {
                FullSpanItem fullSpanItem = this.f2068b.get(size);
                if (fullSpanItem.mPosition == i2) {
                    return fullSpanItem;
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        @SuppressLint({"BanParcelableUsage"})
        public static class FullSpanItem implements Parcelable {
            public static final Parcelable.Creator<FullSpanItem> CREATOR = new a();
            int mGapDir;
            int[] mGapPerSpan;
            boolean mHasUnwantedGapAfter;
            int mPosition;

            static class a implements Parcelable.Creator<FullSpanItem> {
                a() {
                }

                @Override // android.os.Parcelable.Creator
                public FullSpanItem createFromParcel(Parcel parcel) {
                    return new FullSpanItem(parcel);
                }

                @Override // android.os.Parcelable.Creator
                public FullSpanItem[] newArray(int i2) {
                    return new FullSpanItem[i2];
                }
            }

            FullSpanItem(Parcel parcel) {
                this.mPosition = parcel.readInt();
                this.mGapDir = parcel.readInt();
                this.mHasUnwantedGapAfter = parcel.readInt() != 1 ? false : true;
                int readInt = parcel.readInt();
                if (readInt > 0) {
                    this.mGapPerSpan = new int[readInt];
                    parcel.readIntArray(this.mGapPerSpan);
                }
            }

            public int describeContents() {
                return 0;
            }

            /* access modifiers changed from: package-private */
            public int getGapForSpan(int i2) {
                int[] iArr = this.mGapPerSpan;
                if (iArr == null) {
                    return 0;
                }
                return iArr[i2];
            }

            public String toString() {
                return "FullSpanItem{mPosition=" + this.mPosition + ", mGapDir=" + this.mGapDir + ", mHasUnwantedGapAfter=" + this.mHasUnwantedGapAfter + ", mGapPerSpan=" + Arrays.toString(this.mGapPerSpan) + '}';
            }

            public void writeToParcel(Parcel parcel, int i2) {
                parcel.writeInt(this.mPosition);
                parcel.writeInt(this.mGapDir);
                parcel.writeInt(this.mHasUnwantedGapAfter ? 1 : 0);
                int[] iArr = this.mGapPerSpan;
                if (iArr == null || iArr.length <= 0) {
                    parcel.writeInt(0);
                    return;
                }
                parcel.writeInt(iArr.length);
                parcel.writeIntArray(this.mGapPerSpan);
            }

            FullSpanItem() {
            }
        }

        /* access modifiers changed from: package-private */
        public void b(int i2, int i3) {
            int[] iArr = this.f2067a;
            if (iArr != null && i2 < iArr.length) {
                int i4 = i2 + i3;
                a(i4);
                int[] iArr2 = this.f2067a;
                System.arraycopy(iArr2, i4, iArr2, i2, (iArr2.length - i2) - i3);
                int[] iArr3 = this.f2067a;
                Arrays.fill(iArr3, iArr3.length - i3, iArr3.length, -1);
                d(i2, i3);
            }
        }

        /* access modifiers changed from: package-private */
        public void a() {
            int[] iArr = this.f2067a;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
            this.f2068b = null;
        }

        /* access modifiers changed from: package-private */
        public void a(int i2, int i3) {
            int[] iArr = this.f2067a;
            if (iArr != null && i2 < iArr.length) {
                int i4 = i2 + i3;
                a(i4);
                int[] iArr2 = this.f2067a;
                System.arraycopy(iArr2, i2, iArr2, i4, (iArr2.length - i2) - i3);
                Arrays.fill(this.f2067a, i2, i4, -1);
                c(i2, i3);
            }
        }

        public void a(FullSpanItem fullSpanItem) {
            if (this.f2068b == null) {
                this.f2068b = new ArrayList();
            }
            int size = this.f2068b.size();
            for (int i2 = 0; i2 < size; i2++) {
                FullSpanItem fullSpanItem2 = this.f2068b.get(i2);
                if (fullSpanItem2.mPosition == fullSpanItem.mPosition) {
                    this.f2068b.remove(i2);
                }
                if (fullSpanItem2.mPosition >= fullSpanItem.mPosition) {
                    this.f2068b.add(i2, fullSpanItem);
                    return;
                }
            }
            this.f2068b.add(fullSpanItem);
        }

        public FullSpanItem a(int i2, int i3, int i4, boolean z) {
            List<FullSpanItem> list = this.f2068b;
            if (list == null) {
                return null;
            }
            int size = list.size();
            for (int i5 = 0; i5 < size; i5++) {
                FullSpanItem fullSpanItem = this.f2068b.get(i5);
                int i6 = fullSpanItem.mPosition;
                if (i6 >= i3) {
                    return null;
                }
                if (i6 >= i2 && (i4 == 0 || fullSpanItem.mGapDir == i4 || (z && fullSpanItem.mHasUnwantedGapAfter))) {
                    return fullSpanItem;
                }
            }
            return null;
        }
    }

    private LazySpanLookup.FullSpanItem g(int i2) {
        LazySpanLookup.FullSpanItem fullSpanItem = new LazySpanLookup.FullSpanItem();
        fullSpanItem.mGapPerSpan = new int[this.f2055a];
        for (int i3 = 0; i3 < this.f2055a; i3++) {
            fullSpanItem.mGapPerSpan[i3] = i2 - this.f2056b[i3].a(i2);
        }
        return fullSpanItem;
    }

    private int j(int i2) {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            int position = getPosition(getChildAt(childCount));
            if (position >= 0 && position < i2) {
                return position;
            }
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.o
    public RecyclerView.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    private int f(int i2) {
        if (i2 == 1) {
            return (this.f2059e != 1 && j()) ? 1 : -1;
        }
        if (i2 == 2) {
            return (this.f2059e != 1 && j()) ? -1 : 1;
        }
        if (i2 != 17) {
            if (i2 != 33) {
                if (i2 != 66) {
                    return (i2 == 130 && this.f2059e == 1) ? 1 : Integer.MIN_VALUE;
                }
                if (this.f2059e == 0) {
                    return 1;
                }
                return Integer.MIN_VALUE;
            } else if (this.f2059e == 1) {
                return -1;
            } else {
                return Integer.MIN_VALUE;
            }
        } else if (this.f2059e == 0) {
            return -1;
        } else {
            return Integer.MIN_VALUE;
        }
    }

    private int i(int i2) {
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            int position = getPosition(getChildAt(i3));
            if (position >= 0 && position < i2) {
                return position;
            }
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public class b {

        /* renamed from: a  reason: collision with root package name */
        int f2070a;

        /* renamed from: b  reason: collision with root package name */
        int f2071b;

        /* renamed from: c  reason: collision with root package name */
        boolean f2072c;

        /* renamed from: d  reason: collision with root package name */
        boolean f2073d;

        /* renamed from: e  reason: collision with root package name */
        boolean f2074e;

        /* renamed from: f  reason: collision with root package name */
        int[] f2075f;

        b() {
            b();
        }

        /* access modifiers changed from: package-private */
        public void a(c[] cVarArr) {
            int length = cVarArr.length;
            int[] iArr = this.f2075f;
            if (iArr == null || iArr.length < length) {
                this.f2075f = new int[StaggeredGridLayoutManager.this.f2056b.length];
            }
            for (int i2 = 0; i2 < length; i2++) {
                this.f2075f[i2] = cVarArr[i2].b(Integer.MIN_VALUE);
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f2070a = -1;
            this.f2071b = Integer.MIN_VALUE;
            this.f2072c = false;
            this.f2073d = false;
            this.f2074e = false;
            int[] iArr = this.f2075f;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
        }

        /* access modifiers changed from: package-private */
        public void a() {
            int i2;
            if (this.f2072c) {
                i2 = StaggeredGridLayoutManager.this.f2057c.b();
            } else {
                i2 = StaggeredGridLayoutManager.this.f2057c.f();
            }
            this.f2071b = i2;
        }

        /* access modifiers changed from: package-private */
        public void a(int i2) {
            if (this.f2072c) {
                this.f2071b = StaggeredGridLayoutManager.this.f2057c.b() - i2;
            } else {
                this.f2071b = StaggeredGridLayoutManager.this.f2057c.f() + i2;
            }
        }
    }

    private int k(int i2) {
        int a2 = this.f2056b[0].a(i2);
        for (int i3 = 1; i3 < this.f2055a; i3++) {
            int a3 = this.f2056b[i3].a(i2);
            if (a3 > a2) {
                a2 = a3;
            }
        }
        return a2;
    }

    private int m(int i2) {
        int a2 = this.f2056b[0].a(i2);
        for (int i3 = 1; i3 < this.f2055a; i3++) {
            int a3 = this.f2056b[i3].a(i2);
            if (a3 < a2) {
                a2 = a3;
            }
        }
        return a2;
    }

    /* access modifiers changed from: package-private */
    public int d() {
        View view;
        if (this.f2063i) {
            view = a(true);
        } else {
            view = b(true);
        }
        if (view == null) {
            return -1;
        }
        return getPosition(view);
    }

    /* access modifiers changed from: package-private */
    public int e() {
        if (getChildCount() == 0) {
            return 0;
        }
        return getPosition(getChildAt(0));
    }

    /* access modifiers changed from: package-private */
    public void b(RecyclerView.y yVar, b bVar) {
        if (!a(yVar, bVar) && !c(yVar, bVar)) {
            bVar.a();
            bVar.f2070a = 0;
        }
    }

    private void a(b bVar) {
        int i2;
        SavedState savedState = this.q;
        int i3 = savedState.mSpanOffsetsSize;
        if (i3 > 0) {
            if (i3 == this.f2055a) {
                for (int i4 = 0; i4 < this.f2055a; i4++) {
                    this.f2056b[i4].c();
                    SavedState savedState2 = this.q;
                    int i5 = savedState2.mSpanOffsets[i4];
                    if (i5 != Integer.MIN_VALUE) {
                        if (savedState2.mAnchorLayoutFromEnd) {
                            i2 = this.f2057c.b();
                        } else {
                            i2 = this.f2057c.f();
                        }
                        i5 += i2;
                    }
                    this.f2056b[i4].d(i5);
                }
            } else {
                savedState.invalidateSpanInfo();
                SavedState savedState3 = this.q;
                savedState3.mAnchorPosition = savedState3.mVisibleAnchorPosition;
            }
        }
        SavedState savedState4 = this.q;
        this.p = savedState4.mLastLayoutRTL;
        c(savedState4.mReverseLayout);
        m();
        SavedState savedState5 = this.q;
        int i6 = savedState5.mAnchorPosition;
        if (i6 != -1) {
            this.k = i6;
            bVar.f2072c = savedState5.mAnchorLayoutFromEnd;
        } else {
            bVar.f2072c = this.f2063i;
        }
        SavedState savedState6 = this.q;
        if (savedState6.mSpanLookupSize > 1) {
            LazySpanLookup lazySpanLookup = this.m;
            lazySpanLookup.f2067a = savedState6.mSpanLookup;
            lazySpanLookup.f2068b = savedState6.mFullSpanItems;
        }
    }

    public int[] b(int[] iArr) {
        if (iArr == null) {
            iArr = new int[this.f2055a];
        } else if (iArr.length < this.f2055a) {
            throw new IllegalArgumentException("Provided int[]'s size must be more than or equal to span count. Expected:" + this.f2055a + ", array size:" + iArr.length);
        }
        for (int i2 = 0; i2 < this.f2055a; i2++) {
            iArr[i2] = this.f2056b[i2].f();
        }
        return iArr;
    }

    private int b(RecyclerView.y yVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        return o.a(yVar, this.f2057c, b(!this.v), a(!this.v), this, this.v, this.f2063i);
    }

    public StaggeredGridLayoutManager(int i2, int i3) {
        this.f2059e = i3;
        c(i2);
        this.f2061g = new i();
        k();
    }

    private LazySpanLookup.FullSpanItem h(int i2) {
        LazySpanLookup.FullSpanItem fullSpanItem = new LazySpanLookup.FullSpanItem();
        fullSpanItem.mGapPerSpan = new int[this.f2055a];
        for (int i3 = 0; i3 < this.f2055a; i3++) {
            fullSpanItem.mGapPerSpan[i3] = this.f2056b[i3].b(i2) - i2;
        }
        return fullSpanItem;
    }

    private int b(int i2, int i3, int i4) {
        if (i3 == 0 && i4 == 0) {
            return i2;
        }
        int mode = View.MeasureSpec.getMode(i2);
        if (mode == Integer.MIN_VALUE || mode == 1073741824) {
            return View.MeasureSpec.makeMeasureSpec(Math.max(0, (View.MeasureSpec.getSize(i2) - i3) - i4), mode);
        }
        return i2;
    }

    public void c(int i2) {
        assertNotInLayoutOrScroll(null);
        if (i2 != this.f2055a) {
            i();
            this.f2055a = i2;
            this.f2064j = new BitSet(this.f2055a);
            this.f2056b = new c[this.f2055a];
            for (int i3 = 0; i3 < this.f2055a; i3++) {
                this.f2056b[i3] = new c(i3);
            }
            requestLayout();
        }
    }

    private int l(int i2) {
        int b2 = this.f2056b[0].b(i2);
        for (int i3 = 1; i3 < this.f2055a; i3++) {
            int b3 = this.f2056b[i3].b(i2);
            if (b3 > b2) {
                b2 = b3;
            }
        }
        return b2;
    }

    /* access modifiers changed from: package-private */
    public View b(boolean z) {
        int f2 = this.f2057c.f();
        int b2 = this.f2057c.b();
        int childCount = getChildCount();
        View view = null;
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            int d2 = this.f2057c.d(childAt);
            if (this.f2057c.a(childAt) > f2 && d2 < b2) {
                if (d2 >= f2 || !z) {
                    return childAt;
                }
                if (view == null) {
                    view = childAt;
                }
            }
        }
        return view;
    }

    /* access modifiers changed from: package-private */
    public boolean a(RecyclerView.y yVar, b bVar) {
        int i2;
        int i3;
        int i4;
        boolean z = false;
        if (!yVar.d() && (i2 = this.k) != -1) {
            if (i2 < 0 || i2 >= yVar.a()) {
                this.k = -1;
                this.l = Integer.MIN_VALUE;
            } else {
                SavedState savedState = this.q;
                if (savedState == null || savedState.mAnchorPosition == -1 || savedState.mSpanOffsetsSize < 1) {
                    View findViewByPosition = findViewByPosition(this.k);
                    if (findViewByPosition != null) {
                        if (this.f2063i) {
                            i3 = f();
                        } else {
                            i3 = e();
                        }
                        bVar.f2070a = i3;
                        if (this.l != Integer.MIN_VALUE) {
                            if (bVar.f2072c) {
                                bVar.f2071b = (this.f2057c.b() - this.l) - this.f2057c.a(findViewByPosition);
                            } else {
                                bVar.f2071b = (this.f2057c.f() + this.l) - this.f2057c.d(findViewByPosition);
                            }
                            return true;
                        } else if (this.f2057c.b(findViewByPosition) > this.f2057c.g()) {
                            if (bVar.f2072c) {
                                i4 = this.f2057c.b();
                            } else {
                                i4 = this.f2057c.f();
                            }
                            bVar.f2071b = i4;
                            return true;
                        } else {
                            int d2 = this.f2057c.d(findViewByPosition) - this.f2057c.f();
                            if (d2 < 0) {
                                bVar.f2071b = -d2;
                                return true;
                            }
                            int b2 = this.f2057c.b() - this.f2057c.a(findViewByPosition);
                            if (b2 < 0) {
                                bVar.f2071b = b2;
                                return true;
                            }
                            bVar.f2071b = Integer.MIN_VALUE;
                        }
                    } else {
                        bVar.f2070a = this.k;
                        int i5 = this.l;
                        if (i5 == Integer.MIN_VALUE) {
                            if (e(bVar.f2070a) == 1) {
                                z = true;
                            }
                            bVar.f2072c = z;
                            bVar.a();
                        } else {
                            bVar.a(i5);
                        }
                        bVar.f2073d = true;
                    }
                } else {
                    bVar.f2071b = Integer.MIN_VALUE;
                    bVar.f2070a = this.k;
                }
                return true;
            }
        }
        return false;
    }

    private void b(RecyclerView.u uVar, RecyclerView.y yVar, boolean z) {
        int f2;
        int n2 = n(Integer.MAX_VALUE);
        if (n2 != Integer.MAX_VALUE && (f2 = n2 - this.f2057c.f()) > 0) {
            int scrollBy = f2 - scrollBy(f2, uVar, yVar);
            if (z && scrollBy > 0) {
                this.f2057c.a(-scrollBy);
            }
        }
    }

    public void c(boolean z) {
        assertNotInLayoutOrScroll(null);
        SavedState savedState = this.q;
        if (!(savedState == null || savedState.mReverseLayout == z)) {
            savedState.mReverseLayout = z;
        }
        this.f2062h = z;
        requestLayout();
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0036  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x004d  */
    private void b(int i2, RecyclerView.y yVar) {
        int i3;
        int i4;
        int b2;
        i iVar = this.f2061g;
        boolean z = false;
        iVar.f2184b = 0;
        iVar.f2185c = i2;
        if (!isSmoothScrolling() || (b2 = yVar.b()) == -1) {
            i4 = 0;
        } else {
            if (this.f2063i == (b2 < i2)) {
                i4 = this.f2057c.g();
            } else {
                i3 = this.f2057c.g();
                i4 = 0;
                if (!getClipToPadding()) {
                    this.f2061g.f2188f = this.f2057c.f() - i3;
                    this.f2061g.f2189g = this.f2057c.b() + i4;
                } else {
                    this.f2061g.f2189g = this.f2057c.a() + i4;
                    this.f2061g.f2188f = -i3;
                }
                i iVar2 = this.f2061g;
                iVar2.f2190h = false;
                iVar2.f2183a = true;
                if (this.f2057c.d() == 0 && this.f2057c.a() == 0) {
                    z = true;
                }
                iVar2.f2191i = z;
            }
        }
        i3 = 0;
        if (!getClipToPadding()) {
        }
        i iVar22 = this.f2061g;
        iVar22.f2190h = false;
        iVar22.f2183a = true;
        z = true;
        iVar22.f2191i = z;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:83:0x0157, code lost:
        if (c() != false) goto L_0x015b;
     */
    private void c(RecyclerView.u uVar, RecyclerView.y yVar, boolean z) {
        SavedState savedState;
        b bVar = this.t;
        if (!(this.q == null && this.k == -1) && yVar.a() == 0) {
            removeAndRecycleAllViews(uVar);
            bVar.b();
            return;
        }
        boolean z2 = true;
        boolean z3 = (bVar.f2074e && this.k == -1 && this.q == null) ? false : true;
        if (z3) {
            bVar.b();
            if (this.q != null) {
                a(bVar);
            } else {
                m();
                bVar.f2072c = this.f2063i;
            }
            b(yVar, bVar);
            bVar.f2074e = true;
        }
        if (this.q == null && this.k == -1 && !(bVar.f2072c == this.o && j() == this.p)) {
            this.m.a();
            bVar.f2073d = true;
        }
        if (getChildCount() > 0 && ((savedState = this.q) == null || savedState.mSpanOffsetsSize < 1)) {
            if (bVar.f2073d) {
                for (int i2 = 0; i2 < this.f2055a; i2++) {
                    this.f2056b[i2].c();
                    int i3 = bVar.f2071b;
                    if (i3 != Integer.MIN_VALUE) {
                        this.f2056b[i2].d(i3);
                    }
                }
            } else if (z3 || this.t.f2075f == null) {
                for (int i4 = 0; i4 < this.f2055a; i4++) {
                    this.f2056b[i4].a(this.f2063i, bVar.f2071b);
                }
                this.t.a(this.f2056b);
            } else {
                for (int i5 = 0; i5 < this.f2055a; i5++) {
                    c cVar = this.f2056b[i5];
                    cVar.c();
                    cVar.d(this.t.f2075f[i5]);
                }
            }
        }
        detachAndScrapAttachedViews(uVar);
        this.f2061g.f2183a = false;
        this.u = false;
        d(this.f2058d.g());
        b(bVar.f2070a, yVar);
        if (bVar.f2072c) {
            p(-1);
            a(uVar, this.f2061g, yVar);
            p(1);
            i iVar = this.f2061g;
            iVar.f2185c = bVar.f2070a + iVar.f2186d;
            a(uVar, iVar, yVar);
        } else {
            p(1);
            a(uVar, this.f2061g, yVar);
            p(-1);
            i iVar2 = this.f2061g;
            iVar2.f2185c = bVar.f2070a + iVar2.f2186d;
            a(uVar, iVar2, yVar);
        }
        l();
        if (getChildCount() > 0) {
            if (this.f2063i) {
                a(uVar, yVar, true);
                b(uVar, yVar, false);
            } else {
                b(uVar, yVar, true);
                a(uVar, yVar, false);
            }
        }
        if (z && !yVar.d()) {
            if (this.n != 0 && getChildCount() > 0 && (this.u || h() != null)) {
                removeCallbacks(this.x);
            }
        }
        z2 = false;
        if (yVar.d()) {
            this.t.b();
        }
        this.o = bVar.f2072c;
        this.p = j();
        if (z2) {
            this.t.b();
            c(uVar, yVar, false);
        }
    }

    private void b(View view) {
        for (int i2 = this.f2055a - 1; i2 >= 0; i2--) {
            this.f2056b[i2].c(view);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b() {
        int b2 = this.f2056b[0].b(Integer.MIN_VALUE);
        for (int i2 = 1; i2 < this.f2055a; i2++) {
            if (this.f2056b[i2].b(Integer.MIN_VALUE) != b2) {
                return false;
            }
        }
        return true;
    }

    private void b(RecyclerView.u uVar, int i2) {
        while (getChildCount() > 0) {
            View childAt = getChildAt(0);
            if (this.f2057c.a(childAt) <= i2 && this.f2057c.e(childAt) <= i2) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f2066b) {
                    for (int i3 = 0; i3 < this.f2055a; i3++) {
                        if (this.f2056b[i3].f2077a.size() == 1) {
                            return;
                        }
                    }
                    for (int i4 = 0; i4 < this.f2055a; i4++) {
                        this.f2056b[i4].m();
                    }
                } else if (layoutParams.f2065a.f2077a.size() != 1) {
                    layoutParams.f2065a.m();
                } else {
                    return;
                }
                removeAndRecycleView(childAt, uVar);
            } else {
                return;
            }
        }
    }

    public int[] a(int[] iArr) {
        if (iArr == null) {
            iArr = new int[this.f2055a];
        } else if (iArr.length < this.f2055a) {
            throw new IllegalArgumentException("Provided int[]'s size must be more than or equal to span count. Expected:" + this.f2055a + ", array size:" + iArr.length);
        }
        for (int i2 = 0; i2 < this.f2055a; i2++) {
            iArr[i2] = this.f2056b[i2].e();
        }
        return iArr;
    }

    private int a(RecyclerView.y yVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        return o.a(yVar, this.f2057c, b(!this.v), a(!this.v), this, this.v);
    }

    private void a(View view, LayoutParams layoutParams, boolean z) {
        if (layoutParams.f2066b) {
            if (this.f2059e == 1) {
                a(view, this.r, RecyclerView.o.getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingTop() + getPaddingBottom(), ((ViewGroup.MarginLayoutParams) layoutParams).height, true), z);
            } else {
                a(view, RecyclerView.o.getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingLeft() + getPaddingRight(), ((ViewGroup.MarginLayoutParams) layoutParams).width, true), this.r, z);
            }
        } else if (this.f2059e == 1) {
            a(view, RecyclerView.o.getChildMeasureSpec(this.f2060f, getWidthMode(), 0, ((ViewGroup.MarginLayoutParams) layoutParams).width, false), RecyclerView.o.getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingTop() + getPaddingBottom(), ((ViewGroup.MarginLayoutParams) layoutParams).height, true), z);
        } else {
            a(view, RecyclerView.o.getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingLeft() + getPaddingRight(), ((ViewGroup.MarginLayoutParams) layoutParams).width, true), RecyclerView.o.getChildMeasureSpec(this.f2060f, getHeightMode(), 0, ((ViewGroup.MarginLayoutParams) layoutParams).height, false), z);
        }
    }

    private boolean c(RecyclerView.y yVar, b bVar) {
        int i2;
        if (this.o) {
            i2 = j(yVar.a());
        } else {
            i2 = i(yVar.a());
        }
        bVar.f2070a = i2;
        bVar.f2071b = Integer.MIN_VALUE;
        return true;
    }

    private void a(View view, int i2, int i3, boolean z) {
        boolean z2;
        calculateItemDecorationsForChild(view, this.s);
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
        Rect rect = this.s;
        int b2 = b(i2, i4 + rect.left, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin + rect.right);
        int i5 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
        Rect rect2 = this.s;
        int b3 = b(i3, i5 + rect2.top, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin + rect2.bottom);
        if (z) {
            z2 = shouldReMeasureChild(view, b2, b3, layoutParams);
        } else {
            z2 = shouldMeasureChild(view, b2, b3, layoutParams);
        }
        if (z2) {
            view.measure(b2, b3);
        }
    }

    private int c(RecyclerView.y yVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        return o.b(yVar, this.f2057c, b(!this.v), a(!this.v), this, this.v);
    }

    /* access modifiers changed from: package-private */
    public View a(boolean z) {
        int f2 = this.f2057c.f();
        int b2 = this.f2057c.b();
        View view = null;
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            int d2 = this.f2057c.d(childAt);
            int a2 = this.f2057c.a(childAt);
            if (a2 > f2 && d2 < b2) {
                if (a2 <= b2 || !z) {
                    return childAt;
                }
                if (view == null) {
                    view = childAt;
                }
            }
        }
        return view;
    }

    private void a(RecyclerView.u uVar, RecyclerView.y yVar, boolean z) {
        int b2;
        int k2 = k(Integer.MIN_VALUE);
        if (k2 != Integer.MIN_VALUE && (b2 = this.f2057c.b() - k2) > 0) {
            int i2 = b2 - (-scrollBy(-b2, uVar, yVar));
            if (z && i2 > 0) {
                this.f2057c.a(i2);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0027  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x003e  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0045 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0046  */
    private void a(int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int f2 = this.f2063i ? f() : e();
        if (i4 != 8) {
            i7 = i2 + i3;
        } else if (i2 < i3) {
            i7 = i3 + 1;
        } else {
            i5 = i2 + 1;
            i6 = i3;
            this.m.e(i6);
            if (i4 != 1) {
                this.m.a(i2, i3);
            } else if (i4 == 2) {
                this.m.b(i2, i3);
            } else if (i4 == 8) {
                this.m.b(i2, 1);
                this.m.a(i3, 1);
            }
            if (i5 <= f2) {
                if (i6 <= (this.f2063i ? e() : f())) {
                    requestLayout();
                    return;
                }
                return;
            }
            return;
        }
        i5 = i7;
        i6 = i2;
        this.m.e(i6);
        if (i4 != 1) {
        }
        if (i5 <= f2) {
        }
    }

    private int a(RecyclerView.u uVar, i iVar, RecyclerView.y yVar) {
        int i2;
        int i3;
        int i4;
        c cVar;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        boolean z;
        int i11;
        int i12;
        int i13;
        boolean z2 = false;
        this.f2064j.set(0, this.f2055a, true);
        if (this.f2061g.f2191i) {
            i2 = iVar.f2187e == 1 ? Integer.MAX_VALUE : Integer.MIN_VALUE;
        } else {
            if (iVar.f2187e == 1) {
                i13 = iVar.f2189g + iVar.f2184b;
            } else {
                i13 = iVar.f2188f - iVar.f2184b;
            }
            i2 = i13;
        }
        a(iVar.f2187e, i2);
        if (this.f2063i) {
            i3 = this.f2057c.b();
        } else {
            i3 = this.f2057c.f();
        }
        boolean z3 = false;
        while (iVar.a(yVar) && (this.f2061g.f2191i || !this.f2064j.isEmpty())) {
            View a2 = iVar.a(uVar);
            LayoutParams layoutParams = (LayoutParams) a2.getLayoutParams();
            int viewLayoutPosition = layoutParams.getViewLayoutPosition();
            int d2 = this.m.d(viewLayoutPosition);
            boolean z4 = d2 == -1;
            if (z4) {
                if (layoutParams.f2066b) {
                    c[] cVarArr = this.f2056b;
                    char c2 = z2 ? 1 : 0;
                    char c3 = z2 ? 1 : 0;
                    char c4 = z2 ? 1 : 0;
                    cVar = cVarArr[c2];
                } else {
                    cVar = a(iVar);
                }
                this.m.a(viewLayoutPosition, cVar);
            } else {
                cVar = this.f2056b[d2];
            }
            layoutParams.f2065a = cVar;
            if (iVar.f2187e == 1) {
                addView(a2);
            } else {
                int i14 = z2 ? 1 : 0;
                int i15 = z2 ? 1 : 0;
                int i16 = z2 ? 1 : 0;
                addView(a2, i14);
            }
            a(a2, layoutParams, z2);
            if (iVar.f2187e == 1) {
                if (layoutParams.f2066b) {
                    i12 = k(i3);
                } else {
                    i12 = cVar.a(i3);
                }
                int b2 = this.f2057c.b(a2) + i12;
                if (z4 && layoutParams.f2066b) {
                    LazySpanLookup.FullSpanItem g2 = g(i12);
                    g2.mGapDir = -1;
                    g2.mPosition = viewLayoutPosition;
                    this.m.a(g2);
                }
                i5 = b2;
                i6 = i12;
            } else {
                if (layoutParams.f2066b) {
                    i11 = n(i3);
                } else {
                    i11 = cVar.b(i3);
                }
                i6 = i11 - this.f2057c.b(a2);
                if (z4 && layoutParams.f2066b) {
                    LazySpanLookup.FullSpanItem h2 = h(i11);
                    h2.mGapDir = 1;
                    h2.mPosition = viewLayoutPosition;
                    this.m.a(h2);
                }
                i5 = i11;
            }
            if (layoutParams.f2066b && iVar.f2186d == -1) {
                if (z4) {
                    this.u = true;
                } else {
                    if (iVar.f2187e == 1) {
                        z = a();
                    } else {
                        z = b();
                    }
                    if (!z) {
                        LazySpanLookup.FullSpanItem c5 = this.m.c(viewLayoutPosition);
                        if (c5 != null) {
                            c5.mHasUnwantedGapAfter = true;
                        }
                        this.u = true;
                    }
                }
            }
            a(a2, layoutParams, iVar);
            if (!j() || this.f2059e != 1) {
                if (layoutParams.f2066b) {
                    i9 = this.f2058d.f();
                } else {
                    i9 = (cVar.f2081e * this.f2060f) + this.f2058d.f();
                }
                i8 = i9;
                i7 = this.f2058d.b(a2) + i9;
            } else {
                if (layoutParams.f2066b) {
                    i10 = this.f2058d.b();
                } else {
                    i10 = this.f2058d.b() - (((this.f2055a - 1) - cVar.f2081e) * this.f2060f);
                }
                i7 = i10;
                i8 = i10 - this.f2058d.b(a2);
            }
            if (this.f2059e == 1) {
                layoutDecoratedWithMargins(a2, i8, i6, i7, i5);
            } else {
                layoutDecoratedWithMargins(a2, i6, i8, i5, i7);
            }
            if (layoutParams.f2066b) {
                a(this.f2061g.f2187e, i2);
            } else {
                a(cVar, this.f2061g.f2187e, i2);
            }
            a(uVar, this.f2061g);
            if (this.f2061g.f2190h && a2.hasFocusable()) {
                if (layoutParams.f2066b) {
                    this.f2064j.clear();
                } else {
                    this.f2064j.set(cVar.f2081e, false);
                    z3 = true;
                    z2 = false;
                }
            }
            z3 = true;
            z2 = false;
        }
        if (!z3) {
            a(uVar, this.f2061g);
        }
        if (this.f2061g.f2187e == -1) {
            i4 = this.f2057c.f() - n(this.f2057c.f());
        } else {
            i4 = k(this.f2057c.b()) - this.f2057c.b();
        }
        if (i4 > 0) {
            return Math.min(iVar.f2184b, i4);
        }
        return 0;
    }

    private void a(View view, LayoutParams layoutParams, i iVar) {
        if (iVar.f2187e == 1) {
            if (layoutParams.f2066b) {
                a(view);
            } else {
                layoutParams.f2065a.a(view);
            }
        } else if (layoutParams.f2066b) {
            b(view);
        } else {
            layoutParams.f2065a.c(view);
        }
    }

    private void a(RecyclerView.u uVar, i iVar) {
        int i2;
        int i3;
        if (iVar.f2183a && !iVar.f2191i) {
            if (iVar.f2184b == 0) {
                if (iVar.f2187e == -1) {
                    a(uVar, iVar.f2189g);
                } else {
                    b(uVar, iVar.f2188f);
                }
            } else if (iVar.f2187e == -1) {
                int i4 = iVar.f2188f;
                int l2 = i4 - l(i4);
                if (l2 < 0) {
                    i3 = iVar.f2189g;
                } else {
                    i3 = iVar.f2189g - Math.min(l2, iVar.f2184b);
                }
                a(uVar, i3);
            } else {
                int m2 = m(iVar.f2189g) - iVar.f2189g;
                if (m2 < 0) {
                    i2 = iVar.f2188f;
                } else {
                    i2 = Math.min(m2, iVar.f2184b) + iVar.f2188f;
                }
                b(uVar, i2);
            }
        }
    }

    private void a(View view) {
        for (int i2 = this.f2055a - 1; i2 >= 0; i2--) {
            this.f2056b[i2].a(view);
        }
    }

    private void a(int i2, int i3) {
        for (int i4 = 0; i4 < this.f2055a; i4++) {
            if (!this.f2056b[i4].f2077a.isEmpty()) {
                a(this.f2056b[i4], i2, i3);
            }
        }
    }

    private void a(c cVar, int i2, int i3) {
        int h2 = cVar.h();
        if (i2 == -1) {
            if (cVar.j() + h2 <= i3) {
                this.f2064j.set(cVar.f2081e, false);
            }
        } else if (cVar.i() - h2 >= i3) {
            this.f2064j.set(cVar.f2081e, false);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean a() {
        int a2 = this.f2056b[0].a(Integer.MIN_VALUE);
        for (int i2 = 1; i2 < this.f2055a; i2++) {
            if (this.f2056b[i2].a(Integer.MIN_VALUE) != a2) {
                return false;
            }
        }
        return true;
    }

    private void a(RecyclerView.u uVar, int i2) {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (this.f2057c.d(childAt) >= i2 && this.f2057c.f(childAt) >= i2) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f2066b) {
                    for (int i3 = 0; i3 < this.f2055a; i3++) {
                        if (this.f2056b[i3].f2077a.size() == 1) {
                            return;
                        }
                    }
                    for (int i4 = 0; i4 < this.f2055a; i4++) {
                        this.f2056b[i4].l();
                    }
                } else if (layoutParams.f2065a.f2077a.size() != 1) {
                    layoutParams.f2065a.l();
                } else {
                    return;
                }
                removeAndRecycleView(childAt, uVar);
            } else {
                return;
            }
        }
    }

    private c a(i iVar) {
        int i2;
        int i3;
        int i4 = -1;
        if (o(iVar.f2187e)) {
            i3 = this.f2055a - 1;
            i2 = -1;
        } else {
            i3 = 0;
            i4 = this.f2055a;
            i2 = 1;
        }
        c cVar = null;
        if (iVar.f2187e == 1) {
            int i5 = Integer.MAX_VALUE;
            int f2 = this.f2057c.f();
            while (i3 != i4) {
                c cVar2 = this.f2056b[i3];
                int a2 = cVar2.a(f2);
                if (a2 < i5) {
                    cVar = cVar2;
                    i5 = a2;
                }
                i3 += i2;
            }
            return cVar;
        }
        int i6 = Integer.MIN_VALUE;
        int b2 = this.f2057c.b();
        while (i3 != i4) {
            c cVar3 = this.f2056b[i3];
            int b3 = cVar3.b(b2);
            if (b3 > i6) {
                cVar = cVar3;
                i6 = b3;
            }
            i3 += i2;
        }
        return cVar;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.x.b
    public PointF a(int i2) {
        int e2 = e(i2);
        PointF pointF = new PointF();
        if (e2 == 0) {
            return null;
        }
        if (this.f2059e == 0) {
            pointF.x = (float) e2;
            pointF.y = 0.0f;
        } else {
            pointF.x = 0.0f;
            pointF.y = (float) e2;
        }
        return pointF;
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, RecyclerView.y yVar) {
        int i3;
        int i4;
        if (i2 > 0) {
            i4 = f();
            i3 = 1;
        } else {
            i4 = e();
            i3 = -1;
        }
        this.f2061g.f2183a = true;
        b(i4, yVar);
        p(i3);
        i iVar = this.f2061g;
        iVar.f2185c = i4 + iVar.f2186d;
        iVar.f2184b = Math.abs(i2);
    }
}
