package androidx.recyclerview.widget;

import android.content.Context;
import android.graphics.PointF;
import android.util.DisplayMetrics;
import android.view.View;
import androidx.recyclerview.widget.RecyclerView;

/* compiled from: PagerSnapHelper */
public class m extends q {

    /* renamed from: c  reason: collision with root package name */
    private l f2196c;

    /* renamed from: d  reason: collision with root package name */
    private l f2197d;

    /* compiled from: PagerSnapHelper */
    class a extends j {
        a(Context context) {
            super(context);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.recyclerview.widget.j
        public float calculateSpeedPerPixel(DisplayMetrics displayMetrics) {
            return 100.0f / ((float) displayMetrics.densityDpi);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.recyclerview.widget.j
        public int calculateTimeForScrolling(int i2) {
            return Math.min(100, super.calculateTimeForScrolling(i2));
        }

        /* access modifiers changed from: protected */
        @Override // androidx.recyclerview.widget.j, androidx.recyclerview.widget.RecyclerView.x
        public void onTargetFound(View view, RecyclerView.y yVar, RecyclerView.x.a aVar) {
            m mVar = m.this;
            int[] a2 = mVar.a(mVar.f2204a.getLayoutManager(), view);
            int i2 = a2[0];
            int i3 = a2[1];
            int calculateTimeForDeceleration = calculateTimeForDeceleration(Math.max(Math.abs(i2), Math.abs(i3)));
            if (calculateTimeForDeceleration > 0) {
                aVar.a(i2, i3, calculateTimeForDeceleration, this.mDecelerateInterpolator);
            }
        }
    }

    private boolean b(RecyclerView.o oVar, int i2, int i3) {
        return oVar.canScrollHorizontally() ? i2 > 0 : i3 > 0;
    }

    private l d(RecyclerView.o oVar) {
        l lVar = this.f2197d;
        if (lVar == null || lVar.f2193a != oVar) {
            this.f2197d = l.a(oVar);
        }
        return this.f2197d;
    }

    private l e(RecyclerView.o oVar) {
        if (oVar.canScrollVertically()) {
            return f(oVar);
        }
        if (oVar.canScrollHorizontally()) {
            return d(oVar);
        }
        return null;
    }

    private l f(RecyclerView.o oVar) {
        l lVar = this.f2196c;
        if (lVar == null || lVar.f2193a != oVar) {
            this.f2196c = l.b(oVar);
        }
        return this.f2196c;
    }

    private boolean g(RecyclerView.o oVar) {
        PointF a2;
        int itemCount = oVar.getItemCount();
        if (!(oVar instanceof RecyclerView.x.b) || (a2 = ((RecyclerView.x.b) oVar).a(itemCount - 1)) == null) {
            return false;
        }
        if (a2.x < 0.0f || a2.y < 0.0f) {
            return true;
        }
        return false;
    }

    @Override // androidx.recyclerview.widget.q
    public int[] a(RecyclerView.o oVar, View view) {
        int[] iArr = new int[2];
        if (oVar.canScrollHorizontally()) {
            iArr[0] = a(oVar, view, d(oVar));
        } else {
            iArr[0] = 0;
        }
        if (oVar.canScrollVertically()) {
            iArr[1] = a(oVar, view, f(oVar));
        } else {
            iArr[1] = 0;
        }
        return iArr;
    }

    @Override // androidx.recyclerview.widget.q
    public View c(RecyclerView.o oVar) {
        if (oVar.canScrollVertically()) {
            return a(oVar, f(oVar));
        }
        if (oVar.canScrollHorizontally()) {
            return a(oVar, d(oVar));
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.recyclerview.widget.q
    public j b(RecyclerView.o oVar) {
        if (!(oVar instanceof RecyclerView.x.b)) {
            return null;
        }
        return new a(this.f2204a.getContext());
    }

    @Override // androidx.recyclerview.widget.q
    public int a(RecyclerView.o oVar, int i2, int i3) {
        l e2;
        int itemCount = oVar.getItemCount();
        if (itemCount == 0 || (e2 = e(oVar)) == null) {
            return -1;
        }
        int childCount = oVar.getChildCount();
        View view = null;
        View view2 = null;
        int i4 = Integer.MIN_VALUE;
        int i5 = Integer.MAX_VALUE;
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = oVar.getChildAt(i6);
            if (childAt != null) {
                int a2 = a(oVar, childAt, e2);
                if (a2 <= 0 && a2 > i4) {
                    view2 = childAt;
                    i4 = a2;
                }
                if (a2 >= 0 && a2 < i5) {
                    view = childAt;
                    i5 = a2;
                }
            }
        }
        boolean b2 = b(oVar, i2, i3);
        if (b2 && view != null) {
            return oVar.getPosition(view);
        }
        if (!(b2 || view2 == null)) {
            return oVar.getPosition(view2);
        }
        if (!b2) {
            view2 = view;
        }
        if (view2 == null) {
            return -1;
        }
        int position = oVar.getPosition(view2) + (g(oVar) == b2 ? -1 : 1);
        if (position < 0 || position >= itemCount) {
            return -1;
        }
        return position;
    }

    private int a(RecyclerView.o oVar, View view, l lVar) {
        return (lVar.d(view) + (lVar.b(view) / 2)) - (lVar.f() + (lVar.g() / 2));
    }

    private View a(RecyclerView.o oVar, l lVar) {
        int childCount = oVar.getChildCount();
        View view = null;
        if (childCount == 0) {
            return null;
        }
        int f2 = lVar.f() + (lVar.g() / 2);
        int i2 = Integer.MAX_VALUE;
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = oVar.getChildAt(i3);
            int abs = Math.abs((lVar.d(childAt) + (lVar.b(childAt) / 2)) - f2);
            if (abs < i2) {
                view = childAt;
                i2 = abs;
            }
        }
        return view;
    }
}
