package androidx.transition;

import a.g.d.c.g;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.util.AttributeSet;
import org.xmlpull.v1.XmlPullParser;

public class ArcMotion extends PathMotion {

    /* renamed from: d  reason: collision with root package name */
    private static final float f2297d = ((float) Math.tan(Math.toRadians(35.0d)));

    /* renamed from: a  reason: collision with root package name */
    private float f2298a = 0.0f;

    /* renamed from: b  reason: collision with root package name */
    private float f2299b = 0.0f;

    /* renamed from: c  reason: collision with root package name */
    private float f2300c = f2297d;

    public ArcMotion() {
    }

    private static float d(float f2) {
        if (f2 >= 0.0f && f2 <= 90.0f) {
            return (float) Math.tan(Math.toRadians((double) (f2 / 2.0f)));
        }
        throw new IllegalArgumentException("Arc must be between 0 and 90 degrees");
    }

    public void a(float f2) {
        this.f2300c = d(f2);
    }

    public void b(float f2) {
        this.f2298a = d(f2);
    }

    public void c(float f2) {
        this.f2299b = d(f2);
    }

    @Override // androidx.transition.PathMotion
    public Path a(float f2, float f3, float f4, float f5) {
        float f6;
        float f7;
        float f8;
        Path path = new Path();
        path.moveTo(f2, f3);
        float f9 = f4 - f2;
        float f10 = f5 - f3;
        float f11 = (f9 * f9) + (f10 * f10);
        float f12 = (f2 + f4) / 2.0f;
        float f13 = (f3 + f5) / 2.0f;
        float f14 = 0.25f * f11;
        boolean z = f3 > f5;
        if (Math.abs(f9) < Math.abs(f10)) {
            float abs = Math.abs(f11 / (f10 * 2.0f));
            if (z) {
                f7 = abs + f5;
                f8 = f4;
            } else {
                f7 = abs + f3;
                f8 = f2;
            }
            f6 = this.f2299b;
        } else {
            float f15 = f11 / (f9 * 2.0f);
            if (z) {
                f7 = f3;
                f8 = f15 + f2;
            } else {
                f8 = f4 - f15;
                f7 = f5;
            }
            f6 = this.f2298a;
        }
        float f16 = f14 * f6 * f6;
        float f17 = f12 - f8;
        float f18 = f13 - f7;
        float f19 = (f17 * f17) + (f18 * f18);
        float f20 = this.f2300c;
        float f21 = f14 * f20 * f20;
        if (f19 < f16) {
            f21 = f16;
        } else if (f19 <= f21) {
            f21 = 0.0f;
        }
        if (f21 != 0.0f) {
            float sqrt = (float) Math.sqrt((double) (f21 / f19));
            f8 = ((f8 - f12) * sqrt) + f12;
            f7 = f13 + (sqrt * (f7 - f13));
        }
        path.cubicTo((f2 + f8) / 2.0f, (f3 + f7) / 2.0f, (f8 + f4) / 2.0f, (f7 + f5) / 2.0f, f4, f5);
        return path;
    }

    public ArcMotion(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, r.f2471h);
        XmlPullParser xmlPullParser = (XmlPullParser) attributeSet;
        c(g.a(obtainStyledAttributes, xmlPullParser, "minimumVerticalAngle", 1, 0.0f));
        b(g.a(obtainStyledAttributes, xmlPullParser, "minimumHorizontalAngle", 0, 0.0f));
        a(g.a(obtainStyledAttributes, xmlPullParser, "maximumAngle", 2, 70.0f));
        obtainStyledAttributes.recycle();
    }
}
