package androidx.transition;

import a.g.l.x;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import java.util.Map;
import org.xmlpull.v1.XmlPullParser;

public class ChangeBounds extends Transition {
    private static final String[] N = {"android:changeBounds:bounds", "android:changeBounds:clip", "android:changeBounds:parent", "android:changeBounds:windowX", "android:changeBounds:windowY"};
    private static final Property<Drawable, PointF> O = new b(PointF.class, "boundsOrigin");
    private static final Property<k, PointF> P = new c(PointF.class, "topLeft");
    private static final Property<k, PointF> Q = new d(PointF.class, "bottomRight");
    private static final Property<View, PointF> R = new e(PointF.class, "bottomRight");
    private static final Property<View, PointF> S = new f(PointF.class, "topLeft");
    private static final Property<View, PointF> T = new g(PointF.class, "position");
    private static o U = new o();
    private int[] K;
    private boolean L;
    private boolean M;

    class a extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ViewGroup f2301a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ BitmapDrawable f2302b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ View f2303c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ float f2304d;

        a(ChangeBounds changeBounds, ViewGroup viewGroup, BitmapDrawable bitmapDrawable, View view, float f2) {
            this.f2301a = viewGroup;
            this.f2302b = bitmapDrawable;
            this.f2303c = view;
            this.f2304d = f2;
        }

        public void onAnimationEnd(Animator animator) {
            i0.b(this.f2301a).b(this.f2302b);
            i0.a(this.f2303c, this.f2304d);
        }
    }

    static class c extends Property<k, PointF> {
        c(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(k kVar) {
            return null;
        }

        /* renamed from: a */
        public void set(k kVar, PointF pointF) {
            kVar.b(pointF);
        }
    }

    static class d extends Property<k, PointF> {
        d(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(k kVar) {
            return null;
        }

        /* renamed from: a */
        public void set(k kVar, PointF pointF) {
            kVar.a(pointF);
        }
    }

    static class e extends Property<View, PointF> {
        e(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(View view) {
            return null;
        }

        /* renamed from: a */
        public void set(View view, PointF pointF) {
            i0.a(view, view.getLeft(), view.getTop(), Math.round(pointF.x), Math.round(pointF.y));
        }
    }

    static class f extends Property<View, PointF> {
        f(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(View view) {
            return null;
        }

        /* renamed from: a */
        public void set(View view, PointF pointF) {
            i0.a(view, Math.round(pointF.x), Math.round(pointF.y), view.getRight(), view.getBottom());
        }
    }

    static class g extends Property<View, PointF> {
        g(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(View view) {
            return null;
        }

        /* renamed from: a */
        public void set(View view, PointF pointF) {
            int round = Math.round(pointF.x);
            int round2 = Math.round(pointF.y);
            i0.a(view, round, round2, view.getWidth() + round, view.getHeight() + round2);
        }
    }

    class h extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f2306a;
        private k mViewBounds = this.f2306a;

        h(ChangeBounds changeBounds, k kVar) {
            this.f2306a = kVar;
        }
    }

    class i extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        private boolean f2307a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f2308b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Rect f2309c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ int f2310d;

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ int f2311e;

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f2312f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f2313g;

        i(ChangeBounds changeBounds, View view, Rect rect, int i2, int i3, int i4, int i5) {
            this.f2308b = view;
            this.f2309c = rect;
            this.f2310d = i2;
            this.f2311e = i3;
            this.f2312f = i4;
            this.f2313g = i5;
        }

        public void onAnimationCancel(Animator animator) {
            this.f2307a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f2307a) {
                x.a(this.f2308b, this.f2309c);
                i0.a(this.f2308b, this.f2310d, this.f2311e, this.f2312f, this.f2313g);
            }
        }
    }

    class j extends s {

        /* renamed from: a  reason: collision with root package name */
        boolean f2314a = false;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ ViewGroup f2315b;

        j(ChangeBounds changeBounds, ViewGroup viewGroup) {
            this.f2315b = viewGroup;
        }

        @Override // androidx.transition.s, androidx.transition.Transition.f
        public void b(Transition transition) {
            c0.a(this.f2315b, false);
        }

        @Override // androidx.transition.s, androidx.transition.Transition.f
        public void c(Transition transition) {
            c0.a(this.f2315b, true);
        }

        @Override // androidx.transition.Transition.f
        public void d(Transition transition) {
            if (!this.f2314a) {
                c0.a(this.f2315b, false);
            }
            transition.b(this);
        }
    }

    public ChangeBounds() {
        this.K = new int[2];
        this.L = false;
        this.M = false;
    }

    private void d(w wVar) {
        View view = wVar.f2487b;
        if (x.F(view) || view.getWidth() != 0 || view.getHeight() != 0) {
            wVar.f2486a.put("android:changeBounds:bounds", new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
            wVar.f2486a.put("android:changeBounds:parent", wVar.f2487b.getParent());
            if (this.M) {
                wVar.f2487b.getLocationInWindow(this.K);
                wVar.f2486a.put("android:changeBounds:windowX", Integer.valueOf(this.K[0]));
                wVar.f2486a.put("android:changeBounds:windowY", Integer.valueOf(this.K[1]));
            }
            if (this.L) {
                wVar.f2486a.put("android:changeBounds:clip", x.i(view));
            }
        }
    }

    @Override // androidx.transition.Transition
    public void a(w wVar) {
        d(wVar);
    }

    public void b(boolean z) {
        this.L = z;
    }

    @Override // androidx.transition.Transition
    public void c(w wVar) {
        d(wVar);
    }

    @Override // androidx.transition.Transition
    public String[] p() {
        return N;
    }

    private boolean a(View view, View view2) {
        if (!this.M) {
            return true;
        }
        w a2 = a(view, true);
        if (a2 == null) {
            if (view == view2) {
                return true;
            }
        } else if (view2 == a2.f2487b) {
            return true;
        }
        return false;
    }

    static class b extends Property<Drawable, PointF> {

        /* renamed from: a  reason: collision with root package name */
        private Rect f2305a = new Rect();

        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public void set(Drawable drawable, PointF pointF) {
            drawable.copyBounds(this.f2305a);
            this.f2305a.offsetTo(Math.round(pointF.x), Math.round(pointF.y));
            drawable.setBounds(this.f2305a);
        }

        /* renamed from: a */
        public PointF get(Drawable drawable) {
            drawable.copyBounds(this.f2305a);
            Rect rect = this.f2305a;
            return new PointF((float) rect.left, (float) rect.top);
        }
    }

    /* access modifiers changed from: private */
    public static class k {

        /* renamed from: a  reason: collision with root package name */
        private int f2316a;

        /* renamed from: b  reason: collision with root package name */
        private int f2317b;

        /* renamed from: c  reason: collision with root package name */
        private int f2318c;

        /* renamed from: d  reason: collision with root package name */
        private int f2319d;

        /* renamed from: e  reason: collision with root package name */
        private View f2320e;

        /* renamed from: f  reason: collision with root package name */
        private int f2321f;

        /* renamed from: g  reason: collision with root package name */
        private int f2322g;

        k(View view) {
            this.f2320e = view;
        }

        /* access modifiers changed from: package-private */
        public void a(PointF pointF) {
            this.f2318c = Math.round(pointF.x);
            this.f2319d = Math.round(pointF.y);
            this.f2322g++;
            if (this.f2321f == this.f2322g) {
                a();
            }
        }

        /* access modifiers changed from: package-private */
        public void b(PointF pointF) {
            this.f2316a = Math.round(pointF.x);
            this.f2317b = Math.round(pointF.y);
            this.f2321f++;
            if (this.f2321f == this.f2322g) {
                a();
            }
        }

        private void a() {
            i0.a(this.f2320e, this.f2316a, this.f2317b, this.f2318c, this.f2319d);
            this.f2321f = 0;
            this.f2322g = 0;
        }
    }

    public ChangeBounds(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.K = new int[2];
        this.L = false;
        this.M = false;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, r.f2465b);
        boolean a2 = a.g.d.c.g.a(obtainStyledAttributes, (XmlPullParser) ((XmlResourceParser) attributeSet), "resizeClip", 0, false);
        obtainStyledAttributes.recycle();
        b(a2);
    }

    @Override // androidx.transition.Transition
    public Animator a(ViewGroup viewGroup, w wVar, w wVar2) {
        int i2;
        View view;
        Animator animator;
        ObjectAnimator objectAnimator;
        int i3;
        Rect rect;
        ObjectAnimator objectAnimator2;
        if (wVar == null || wVar2 == null) {
            return null;
        }
        Map<String, Object> map = wVar.f2486a;
        Map<String, Object> map2 = wVar2.f2486a;
        ViewGroup viewGroup2 = (ViewGroup) map.get("android:changeBounds:parent");
        ViewGroup viewGroup3 = (ViewGroup) map2.get("android:changeBounds:parent");
        if (viewGroup2 == null || viewGroup3 == null) {
            return null;
        }
        View view2 = wVar2.f2487b;
        if (a(viewGroup2, viewGroup3)) {
            Rect rect2 = (Rect) wVar.f2486a.get("android:changeBounds:bounds");
            Rect rect3 = (Rect) wVar2.f2486a.get("android:changeBounds:bounds");
            int i4 = rect2.left;
            int i5 = rect3.left;
            int i6 = rect2.top;
            int i7 = rect3.top;
            int i8 = rect2.right;
            int i9 = rect3.right;
            int i10 = rect2.bottom;
            int i11 = rect3.bottom;
            int i12 = i8 - i4;
            int i13 = i10 - i6;
            int i14 = i9 - i5;
            int i15 = i11 - i7;
            Rect rect4 = (Rect) wVar.f2486a.get("android:changeBounds:clip");
            Rect rect5 = (Rect) wVar2.f2486a.get("android:changeBounds:clip");
            if ((i12 == 0 || i13 == 0) && (i14 == 0 || i15 == 0)) {
                i2 = 0;
            } else {
                i2 = (i4 == i5 && i6 == i7) ? 0 : 1;
                if (!(i8 == i9 && i10 == i11)) {
                    i2++;
                }
            }
            if ((rect4 != null && !rect4.equals(rect5)) || (rect4 == null && rect5 != null)) {
                i2++;
            }
            if (i2 <= 0) {
                return null;
            }
            if (!this.L) {
                view = view2;
                i0.a(view, i4, i6, i8, i10);
                if (i2 == 2) {
                    if (i12 == i14 && i13 == i15) {
                        animator = k.a(view, T, i().a((float) i4, (float) i6, (float) i5, (float) i7));
                    } else {
                        k kVar = new k(view);
                        ObjectAnimator a2 = k.a(kVar, P, i().a((float) i4, (float) i6, (float) i5, (float) i7));
                        ObjectAnimator a3 = k.a(kVar, Q, i().a((float) i8, (float) i10, (float) i9, (float) i11));
                        AnimatorSet animatorSet = new AnimatorSet();
                        animatorSet.playTogether(a2, a3);
                        animatorSet.addListener(new h(this, kVar));
                        animator = animatorSet;
                    }
                } else if (i4 == i5 && i6 == i7) {
                    animator = k.a(view, R, i().a((float) i8, (float) i10, (float) i9, (float) i11));
                } else {
                    animator = k.a(view, S, i().a((float) i4, (float) i6, (float) i5, (float) i7));
                }
            } else {
                view = view2;
                i0.a(view, i4, i6, Math.max(i12, i14) + i4, Math.max(i13, i15) + i6);
                if (i4 == i5 && i6 == i7) {
                    objectAnimator = null;
                } else {
                    objectAnimator = k.a(view, T, i().a((float) i4, (float) i6, (float) i5, (float) i7));
                }
                if (rect4 == null) {
                    i3 = 0;
                    rect = new Rect(0, 0, i12, i13);
                } else {
                    i3 = 0;
                    rect = rect4;
                }
                Rect rect6 = rect5 == null ? new Rect(i3, i3, i14, i15) : rect5;
                if (!rect.equals(rect6)) {
                    x.a(view, rect);
                    o oVar = U;
                    Object[] objArr = new Object[2];
                    objArr[i3] = rect;
                    objArr[1] = rect6;
                    objectAnimator2 = ObjectAnimator.ofObject(view, "clipBounds", oVar, objArr);
                    objectAnimator2.addListener(new i(this, view, rect5, i5, i7, i9, i11));
                } else {
                    objectAnimator2 = null;
                }
                animator = v.a(objectAnimator, objectAnimator2);
            }
            if (view.getParent() instanceof ViewGroup) {
                ViewGroup viewGroup4 = (ViewGroup) view.getParent();
                c0.a(viewGroup4, true);
                a(new j(this, viewGroup4));
            }
            return animator;
        }
        int intValue = ((Integer) wVar.f2486a.get("android:changeBounds:windowX")).intValue();
        int intValue2 = ((Integer) wVar.f2486a.get("android:changeBounds:windowY")).intValue();
        int intValue3 = ((Integer) wVar2.f2486a.get("android:changeBounds:windowX")).intValue();
        int intValue4 = ((Integer) wVar2.f2486a.get("android:changeBounds:windowY")).intValue();
        if (intValue == intValue3 && intValue2 == intValue4) {
            return null;
        }
        viewGroup.getLocationInWindow(this.K);
        Bitmap createBitmap = Bitmap.createBitmap(view2.getWidth(), view2.getHeight(), Bitmap.Config.ARGB_8888);
        view2.draw(new Canvas(createBitmap));
        BitmapDrawable bitmapDrawable = new BitmapDrawable(createBitmap);
        float c2 = i0.c(view2);
        i0.a(view2, 0.0f);
        i0.b(viewGroup).a(bitmapDrawable);
        PathMotion i16 = i();
        int[] iArr = this.K;
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(bitmapDrawable, m.a(O, i16.a((float) (intValue - iArr[0]), (float) (intValue2 - iArr[1]), (float) (intValue3 - iArr[0]), (float) (intValue4 - iArr[1]))));
        ofPropertyValuesHolder.addListener(new a(this, viewGroup, bitmapDrawable, view2, c2));
        return ofPropertyValuesHolder;
    }
}
