package androidx.transition;

import a.g.d.c.g;
import a.g.e.b;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Matrix;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import org.xmlpull.v1.XmlPullParser;

public class PatternPathMotion extends PathMotion {

    /* renamed from: a  reason: collision with root package name */
    private final Path f2351a = new Path();

    /* renamed from: b  reason: collision with root package name */
    private final Matrix f2352b = new Matrix();

    public PatternPathMotion() {
        this.f2351a.lineTo(1.0f, 0.0f);
    }

    public void a(Path path) {
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float[] fArr = new float[2];
        pathMeasure.getPosTan(pathMeasure.getLength(), fArr, null);
        float f2 = fArr[0];
        float f3 = fArr[1];
        pathMeasure.getPosTan(0.0f, fArr, null);
        float f4 = fArr[0];
        float f5 = fArr[1];
        if (f4 == f2 && f5 == f3) {
            throw new IllegalArgumentException("pattern must not end at the starting point");
        }
        this.f2352b.setTranslate(-f4, -f5);
        float f6 = f2 - f4;
        float f7 = f3 - f5;
        float a2 = 1.0f / a(f6, f7);
        this.f2352b.postScale(a2, a2);
        this.f2352b.postRotate((float) Math.toDegrees(-Math.atan2((double) f7, (double) f6)));
        path.transform(this.f2352b, this.f2351a);
    }

    public PatternPathMotion(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, r.f2472i);
        try {
            String a2 = g.a(obtainStyledAttributes, (XmlPullParser) attributeSet, "patternPathData", 0);
            if (a2 != null) {
                a(b.b(a2));
                return;
            }
            throw new RuntimeException("pathData must be supplied for patternPathMotion");
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    @Override // androidx.transition.PathMotion
    public Path a(float f2, float f3, float f4, float f5) {
        float f6 = f4 - f2;
        float f7 = f5 - f3;
        float a2 = a(f6, f7);
        double atan2 = Math.atan2((double) f7, (double) f6);
        this.f2352b.setScale(a2, a2);
        this.f2352b.postRotate((float) Math.toDegrees(atan2));
        this.f2352b.postTranslate(f2, f3);
        Path path = new Path();
        this.f2351a.transform(this.f2352b, path);
        return path;
    }

    private static float a(float f2, float f3) {
        return (float) Math.sqrt((double) ((f2 * f2) + (f3 * f3)));
    }
}
