package androidx.viewpager.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.text.method.SingleLineTransformationMethod;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.TextView;
import androidx.core.widget.i;
import androidx.viewpager.widget.ViewPager;
import java.lang.ref.WeakReference;
import java.util.Locale;

@ViewPager.e
public class PagerTitleStrip extends ViewGroup {
    private static final int[] p = {16842804, 16842901, 16842904, 16842927};
    private static final int[] q = {16843660};

    /* renamed from: a  reason: collision with root package name */
    ViewPager f2516a;

    /* renamed from: b  reason: collision with root package name */
    TextView f2517b;

    /* renamed from: c  reason: collision with root package name */
    TextView f2518c;

    /* renamed from: d  reason: collision with root package name */
    TextView f2519d;

    /* renamed from: e  reason: collision with root package name */
    private int f2520e = -1;

    /* renamed from: f  reason: collision with root package name */
    float f2521f = -1.0f;

    /* renamed from: g  reason: collision with root package name */
    private int f2522g;

    /* renamed from: h  reason: collision with root package name */
    private int f2523h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f2524i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f2525j;
    private final a k = new a();
    private WeakReference<a> l;
    private int m;
    int o;

    /* access modifiers changed from: private */
    public class a extends DataSetObserver implements ViewPager.i, ViewPager.h {

        /* renamed from: a  reason: collision with root package name */
        private int f2526a;

        a() {
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onAdapterChanged(ViewPager viewPager, a aVar, a aVar2) {
            PagerTitleStrip.this.a(aVar, aVar2);
        }

        public void onChanged() {
            PagerTitleStrip pagerTitleStrip = PagerTitleStrip.this;
            pagerTitleStrip.a(pagerTitleStrip.f2516a.getCurrentItem(), PagerTitleStrip.this.f2516a.getAdapter());
            float f2 = PagerTitleStrip.this.f2521f;
            if (f2 < 0.0f) {
                f2 = 0.0f;
            }
            PagerTitleStrip pagerTitleStrip2 = PagerTitleStrip.this;
            pagerTitleStrip2.a(pagerTitleStrip2.f2516a.getCurrentItem(), f2, true);
        }

        @Override // androidx.viewpager.widget.ViewPager.i
        public void onPageScrollStateChanged(int i2) {
            this.f2526a = i2;
        }

        @Override // androidx.viewpager.widget.ViewPager.i
        public void onPageScrolled(int i2, float f2, int i3) {
            if (f2 > 0.5f) {
                i2++;
            }
            PagerTitleStrip.this.a(i2, f2, false);
        }

        @Override // androidx.viewpager.widget.ViewPager.i
        public void onPageSelected(int i2) {
            if (this.f2526a == 0) {
                PagerTitleStrip pagerTitleStrip = PagerTitleStrip.this;
                pagerTitleStrip.a(pagerTitleStrip.f2516a.getCurrentItem(), PagerTitleStrip.this.f2516a.getAdapter());
                float f2 = PagerTitleStrip.this.f2521f;
                if (f2 < 0.0f) {
                    f2 = 0.0f;
                }
                PagerTitleStrip pagerTitleStrip2 = PagerTitleStrip.this;
                pagerTitleStrip2.a(pagerTitleStrip2.f2516a.getCurrentItem(), f2, true);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b extends SingleLineTransformationMethod {

        /* renamed from: a  reason: collision with root package name */
        private Locale f2528a;

        b(Context context) {
            this.f2528a = context.getResources().getConfiguration().locale;
        }

        public CharSequence getTransformation(CharSequence charSequence, View view) {
            CharSequence transformation = super.getTransformation(charSequence, view);
            if (transformation != null) {
                return transformation.toString().toUpperCase(this.f2528a);
            }
            return null;
        }
    }

    public PagerTitleStrip(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TextView textView = new TextView(context);
        this.f2517b = textView;
        addView(textView);
        TextView textView2 = new TextView(context);
        this.f2518c = textView2;
        addView(textView2);
        TextView textView3 = new TextView(context);
        this.f2519d = textView3;
        addView(textView3);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, p);
        boolean z = false;
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        if (resourceId != 0) {
            i.d(this.f2517b, resourceId);
            i.d(this.f2518c, resourceId);
            i.d(this.f2519d, resourceId);
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(1, 0);
        if (dimensionPixelSize != 0) {
            a(0, (float) dimensionPixelSize);
        }
        if (obtainStyledAttributes.hasValue(2)) {
            int color = obtainStyledAttributes.getColor(2, 0);
            this.f2517b.setTextColor(color);
            this.f2518c.setTextColor(color);
            this.f2519d.setTextColor(color);
        }
        this.f2523h = obtainStyledAttributes.getInteger(3, 80);
        obtainStyledAttributes.recycle();
        this.o = this.f2518c.getTextColors().getDefaultColor();
        setNonPrimaryAlpha(0.6f);
        this.f2517b.setEllipsize(TextUtils.TruncateAt.END);
        this.f2518c.setEllipsize(TextUtils.TruncateAt.END);
        this.f2519d.setEllipsize(TextUtils.TruncateAt.END);
        if (resourceId != 0) {
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(resourceId, q);
            z = obtainStyledAttributes2.getBoolean(0, false);
            obtainStyledAttributes2.recycle();
        }
        if (z) {
            setSingleLineAllCaps(this.f2517b);
            setSingleLineAllCaps(this.f2518c);
            setSingleLineAllCaps(this.f2519d);
        } else {
            this.f2517b.setSingleLine();
            this.f2518c.setSingleLine();
            this.f2519d.setSingleLine();
        }
        this.f2522g = (int) (context.getResources().getDisplayMetrics().density * 16.0f);
    }

    private static void setSingleLineAllCaps(TextView textView) {
        textView.setTransformationMethod(new b(textView.getContext()));
    }

    public void a(int i2, float f2) {
        this.f2517b.setTextSize(i2, f2);
        this.f2518c.setTextSize(i2, f2);
        this.f2519d.setTextSize(i2, f2);
    }

    /* access modifiers changed from: package-private */
    public int getMinHeight() {
        Drawable background = getBackground();
        if (background != null) {
            return background.getIntrinsicHeight();
        }
        return 0;
    }

    public int getTextSpacing() {
        return this.f2522g;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof ViewPager) {
            ViewPager viewPager = (ViewPager) parent;
            a adapter = viewPager.getAdapter();
            viewPager.c(this.k);
            viewPager.a((ViewPager.h) this.k);
            this.f2516a = viewPager;
            WeakReference<a> weakReference = this.l;
            a(weakReference != null ? weakReference.get() : null, adapter);
            return;
        }
        throw new IllegalStateException("PagerTitleStrip must be a direct child of a ViewPager.");
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ViewPager viewPager = this.f2516a;
        if (viewPager != null) {
            a(viewPager.getAdapter(), (a) null);
            this.f2516a.c((ViewPager.i) null);
            this.f2516a.b((ViewPager.h) this.k);
            this.f2516a = null;
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        if (this.f2516a != null) {
            float f2 = this.f2521f;
            if (f2 < 0.0f) {
                f2 = 0.0f;
            }
            a(this.f2520e, f2, true);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int i4;
        if (View.MeasureSpec.getMode(i2) == 1073741824) {
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int childMeasureSpec = ViewGroup.getChildMeasureSpec(i3, paddingTop, -2);
            int size = View.MeasureSpec.getSize(i2);
            int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, (int) (((float) size) * 0.2f), -2);
            this.f2517b.measure(childMeasureSpec2, childMeasureSpec);
            this.f2518c.measure(childMeasureSpec2, childMeasureSpec);
            this.f2519d.measure(childMeasureSpec2, childMeasureSpec);
            if (View.MeasureSpec.getMode(i3) == 1073741824) {
                i4 = View.MeasureSpec.getSize(i3);
            } else {
                i4 = Math.max(getMinHeight(), this.f2518c.getMeasuredHeight() + paddingTop);
            }
            setMeasuredDimension(size, View.resolveSizeAndState(i4, i3, this.f2518c.getMeasuredState() << 16));
            return;
        }
        throw new IllegalStateException("Must measure with an exact width");
    }

    public void requestLayout() {
        if (!this.f2524i) {
            super.requestLayout();
        }
    }

    public void setGravity(int i2) {
        this.f2523h = i2;
        requestLayout();
    }

    public void setNonPrimaryAlpha(float f2) {
        this.m = ((int) (f2 * 255.0f)) & 255;
        int i2 = (this.m << 24) | (this.o & 16777215);
        this.f2517b.setTextColor(i2);
        this.f2519d.setTextColor(i2);
    }

    public void setTextColor(int i2) {
        this.o = i2;
        this.f2518c.setTextColor(i2);
        int i3 = (this.m << 24) | (this.o & 16777215);
        this.f2517b.setTextColor(i3);
        this.f2519d.setTextColor(i3);
    }

    public void setTextSpacing(int i2) {
        this.f2522g = i2;
        requestLayout();
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, a aVar) {
        int a2 = aVar != null ? aVar.a() : 0;
        this.f2524i = true;
        CharSequence charSequence = null;
        this.f2517b.setText((i2 < 1 || aVar == null) ? null : aVar.a(i2 - 1));
        this.f2518c.setText((aVar == null || i2 >= a2) ? null : aVar.a(i2));
        int i3 = i2 + 1;
        if (i3 < a2 && aVar != null) {
            charSequence = aVar.a(i3);
        }
        this.f2519d.setText(charSequence);
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(0, (int) (((float) ((getWidth() - getPaddingLeft()) - getPaddingRight())) * 0.8f)), Integer.MIN_VALUE);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(Math.max(0, (getHeight() - getPaddingTop()) - getPaddingBottom()), Integer.MIN_VALUE);
        this.f2517b.measure(makeMeasureSpec, makeMeasureSpec2);
        this.f2518c.measure(makeMeasureSpec, makeMeasureSpec2);
        this.f2519d.measure(makeMeasureSpec, makeMeasureSpec2);
        this.f2520e = i2;
        if (!this.f2525j) {
            a(i2, this.f2521f, false);
        }
        this.f2524i = false;
    }

    /* access modifiers changed from: package-private */
    public void a(a aVar, a aVar2) {
        if (aVar != null) {
            aVar.c(this.k);
            this.l = null;
        }
        if (aVar2 != null) {
            aVar2.a((DataSetObserver) this.k);
            this.l = new WeakReference<>(aVar2);
        }
        ViewPager viewPager = this.f2516a;
        if (viewPager != null) {
            this.f2520e = -1;
            this.f2521f = -1.0f;
            a(viewPager.getCurrentItem(), aVar2);
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, float f2, boolean z) {
        int i3;
        int i4;
        int i5;
        int i6;
        if (i2 != this.f2520e) {
            a(i2, this.f2516a.getAdapter());
        } else if (!z && f2 == this.f2521f) {
            return;
        }
        this.f2525j = true;
        int measuredWidth = this.f2517b.getMeasuredWidth();
        int measuredWidth2 = this.f2518c.getMeasuredWidth();
        int measuredWidth3 = this.f2519d.getMeasuredWidth();
        int i7 = measuredWidth2 / 2;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i8 = paddingRight + i7;
        int i9 = (width - (paddingLeft + i7)) - i8;
        float f3 = 0.5f + f2;
        if (f3 > 1.0f) {
            f3 -= 1.0f;
        }
        int i10 = ((width - i8) - ((int) (((float) i9) * f3))) - i7;
        int i11 = measuredWidth2 + i10;
        int baseline = this.f2517b.getBaseline();
        int baseline2 = this.f2518c.getBaseline();
        int baseline3 = this.f2519d.getBaseline();
        int max = Math.max(Math.max(baseline, baseline2), baseline3);
        int i12 = max - baseline;
        int i13 = max - baseline2;
        int i14 = max - baseline3;
        int max2 = Math.max(Math.max(this.f2517b.getMeasuredHeight() + i12, this.f2518c.getMeasuredHeight() + i13), this.f2519d.getMeasuredHeight() + i14);
        int i15 = this.f2523h & 112;
        if (i15 == 16) {
            i6 = (((height - paddingTop) - paddingBottom) - max2) / 2;
        } else if (i15 != 80) {
            i5 = i12 + paddingTop;
            i3 = i13 + paddingTop;
            i4 = paddingTop + i14;
            TextView textView = this.f2518c;
            textView.layout(i10, i3, i11, textView.getMeasuredHeight() + i3);
            int min = Math.min(paddingLeft, (i10 - this.f2522g) - measuredWidth);
            TextView textView2 = this.f2517b;
            textView2.layout(min, i5, measuredWidth + min, textView2.getMeasuredHeight() + i5);
            int max3 = Math.max((width - paddingRight) - measuredWidth3, i11 + this.f2522g);
            TextView textView3 = this.f2519d;
            textView3.layout(max3, i4, max3 + measuredWidth3, textView3.getMeasuredHeight() + i4);
            this.f2521f = f2;
            this.f2525j = false;
        } else {
            i6 = (height - paddingBottom) - max2;
        }
        i5 = i12 + i6;
        i3 = i13 + i6;
        i4 = i6 + i14;
        TextView textView4 = this.f2518c;
        textView4.layout(i10, i3, i11, textView4.getMeasuredHeight() + i3);
        int min2 = Math.min(paddingLeft, (i10 - this.f2522g) - measuredWidth);
        TextView textView22 = this.f2517b;
        textView22.layout(min2, i5, measuredWidth + min2, textView22.getMeasuredHeight() + i5);
        int max32 = Math.max((width - paddingRight) - measuredWidth3, i11 + this.f2522g);
        TextView textView32 = this.f2519d;
        textView32.layout(max32, i4, max32 + measuredWidth3, textView32.getMeasuredHeight() + i4);
        this.f2521f = f2;
        this.f2525j = false;
    }
}
