package androidx.viewpager.widget;

import a.g.l.f0;
import a.g.l.r;
import a.g.l.x;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.EdgeEffect;
import android.widget.Scroller;
import androidx.customview.view.AbsSavedState;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class ViewPager extends ViewGroup {
    static final int[] g0 = {16842931};
    private static final Comparator<f> h0 = new a();
    private static final Interpolator i0 = new b();
    private static final l j0 = new l();
    private int A;
    private int B;
    private int C;
    private float D;
    private float E;
    private float F;
    private float G;
    private int H = -1;
    private VelocityTracker I;
    private int J;
    private int K;
    private int L;
    private int M;
    private boolean N;
    private EdgeEffect O;
    private EdgeEffect P;
    private boolean Q = true;
    private boolean R;
    private int S;
    private List<i> T;
    private i U;
    private i V;
    private List<h> W;

    /* renamed from: a  reason: collision with root package name */
    private int f2529a;
    private j a0;

    /* renamed from: b  reason: collision with root package name */
    private final ArrayList<f> f2530b = new ArrayList<>();
    private int b0;

    /* renamed from: c  reason: collision with root package name */
    private final f f2531c = new f();
    private int c0;

    /* renamed from: d  reason: collision with root package name */
    private final Rect f2532d = new Rect();
    private ArrayList<View> d0;

    /* renamed from: e  reason: collision with root package name */
    a f2533e;
    private final Runnable e0 = new c();

    /* renamed from: f  reason: collision with root package name */
    int f2534f;
    private int f0 = 0;

    /* renamed from: g  reason: collision with root package name */
    private int f2535g = -1;

    /* renamed from: h  reason: collision with root package name */
    private Parcelable f2536h = null;

    /* renamed from: i  reason: collision with root package name */
    private ClassLoader f2537i = null;

    /* renamed from: j  reason: collision with root package name */
    private Scroller f2538j;
    private boolean k;
    private k l;
    private int m;
    private Drawable o;
    private int p;
    private int q;
    private float r = -3.4028235E38f;
    private float s = Float.MAX_VALUE;
    private int t;
    private boolean u;
    private boolean v;
    private boolean w;
    private int x = 1;
    private boolean y;
    private boolean z;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        Parcelable adapterState;
        ClassLoader loader;
        int position;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.position + "}";
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.position);
            parcel.writeParcelable(this.adapterState, i2);
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            classLoader = classLoader == null ? SavedState.class.getClassLoader() : classLoader;
            this.position = parcel.readInt();
            this.adapterState = parcel.readParcelable(classLoader);
            this.loader = classLoader;
        }
    }

    static class a implements Comparator<f> {
        a() {
        }

        /* renamed from: a */
        public int compare(f fVar, f fVar2) {
            return fVar.f2549b - fVar2.f2549b;
        }
    }

    static class b implements Interpolator {
        b() {
        }

        public float getInterpolation(float f2) {
            float f3 = f2 - 1.0f;
            return (f3 * f3 * f3 * f3 * f3) + 1.0f;
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            ViewPager.this.setScrollState(0);
            ViewPager.this.e();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements r {

        /* renamed from: a  reason: collision with root package name */
        private final Rect f2546a = new Rect();

        d() {
        }

        @Override // a.g.l.r
        public f0 a(View view, f0 f0Var) {
            f0 b2 = x.b(view, f0Var);
            if (b2.g()) {
                return b2;
            }
            Rect rect = this.f2546a;
            rect.left = b2.c();
            rect.top = b2.e();
            rect.right = b2.d();
            rect.bottom = b2.b();
            int childCount = ViewPager.this.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                f0 a2 = x.a(ViewPager.this.getChildAt(i2), b2);
                rect.left = Math.min(a2.c(), rect.left);
                rect.top = Math.min(a2.e(), rect.top);
                rect.right = Math.min(a2.d(), rect.right);
                rect.bottom = Math.min(a2.b(), rect.bottom);
            }
            return b2.a(rect.left, rect.top, rect.right, rect.bottom);
        }
    }

    @Target({ElementType.TYPE})
    @Inherited
    @Retention(RetentionPolicy.RUNTIME)
    public @interface e {
    }

    /* access modifiers changed from: package-private */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        Object f2548a;

        /* renamed from: b  reason: collision with root package name */
        int f2549b;

        /* renamed from: c  reason: collision with root package name */
        boolean f2550c;

        /* renamed from: d  reason: collision with root package name */
        float f2551d;

        /* renamed from: e  reason: collision with root package name */
        float f2552e;

        f() {
        }
    }

    public interface h {
        void onAdapterChanged(ViewPager viewPager, a aVar, a aVar2);
    }

    public interface i {
        void onPageScrollStateChanged(int i2);

        void onPageScrolled(int i2, float f2, int i3);

        void onPageSelected(int i2);
    }

    public interface j {
        void a(View view, float f2);
    }

    private class k extends DataSetObserver {
        k() {
        }

        public void onChanged() {
            ViewPager.this.a();
        }

        public void onInvalidated() {
            ViewPager.this.a();
        }
    }

    /* access modifiers changed from: package-private */
    public static class l implements Comparator<View> {
        l() {
        }

        /* renamed from: a */
        public int compare(View view, View view2) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            LayoutParams layoutParams2 = (LayoutParams) view2.getLayoutParams();
            boolean z = layoutParams.f2539a;
            if (z != layoutParams2.f2539a) {
                return z ? 1 : -1;
            }
            return layoutParams.f2543e - layoutParams2.f2543e;
        }
    }

    public ViewPager(Context context) {
        super(context);
        b();
    }

    private void d(int i2) {
        i iVar = this.U;
        if (iVar != null) {
            iVar.onPageSelected(i2);
        }
        List<i> list = this.T;
        if (list != null) {
            int size = list.size();
            for (int i3 = 0; i3 < size; i3++) {
                i iVar2 = this.T.get(i3);
                if (iVar2 != null) {
                    iVar2.onPageSelected(i2);
                }
            }
        }
        i iVar3 = this.V;
        if (iVar3 != null) {
            iVar3.onPageSelected(i2);
        }
    }

    private boolean f(int i2) {
        if (this.f2530b.size() != 0) {
            f g2 = g();
            int clientWidth = getClientWidth();
            int i3 = this.m;
            int i4 = clientWidth + i3;
            float f2 = (float) clientWidth;
            int i5 = g2.f2549b;
            float f3 = ((((float) i2) / f2) - g2.f2552e) / (g2.f2551d + (((float) i3) / f2));
            this.R = false;
            a(i5, f3, (int) (((float) i4) * f3));
            if (this.R) {
                return true;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        } else if (this.Q) {
            return false;
        } else {
            this.R = false;
            a(0, 0.0f, 0);
            if (this.R) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
    }

    private f g() {
        int i2;
        int clientWidth = getClientWidth();
        float scrollX = clientWidth > 0 ? ((float) getScrollX()) / ((float) clientWidth) : 0.0f;
        float f2 = clientWidth > 0 ? ((float) this.m) / ((float) clientWidth) : 0.0f;
        f fVar = null;
        int i3 = 0;
        boolean z2 = true;
        int i4 = -1;
        float f3 = 0.0f;
        float f4 = 0.0f;
        while (i3 < this.f2530b.size()) {
            f fVar2 = this.f2530b.get(i3);
            if (!z2 && fVar2.f2549b != (i2 = i4 + 1)) {
                fVar2 = this.f2531c;
                fVar2.f2552e = f3 + f4 + f2;
                fVar2.f2549b = i2;
                fVar2.f2551d = this.f2533e.b(fVar2.f2549b);
                i3--;
            }
            f3 = fVar2.f2552e;
            float f5 = fVar2.f2551d + f3 + f2;
            if (!z2 && scrollX < f3) {
                return fVar;
            }
            if (scrollX < f5 || i3 == this.f2530b.size() - 1) {
                return fVar2;
            }
            i4 = fVar2.f2549b;
            f4 = fVar2.f2551d;
            i3++;
            fVar = fVar2;
            z2 = false;
        }
        return fVar;
    }

    private int getClientWidth() {
        return (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
    }

    private void h() {
        int i2 = 0;
        while (i2 < getChildCount()) {
            if (!((LayoutParams) getChildAt(i2).getLayoutParams()).f2539a) {
                removeViewAt(i2);
                i2--;
            }
            i2++;
        }
    }

    private boolean i() {
        this.H = -1;
        f();
        this.O.onRelease();
        this.P.onRelease();
        return this.O.isFinished() || this.P.isFinished();
    }

    private void j() {
        if (this.c0 != 0) {
            ArrayList<View> arrayList = this.d0;
            if (arrayList == null) {
                this.d0 = new ArrayList<>();
            } else {
                arrayList.clear();
            }
            int childCount = getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                this.d0.add(getChildAt(i2));
            }
            Collections.sort(this.d0, j0);
        }
    }

    private void setScrollingCacheEnabled(boolean z2) {
        if (this.v != z2) {
            this.v = z2;
        }
    }

    public void a(h hVar) {
        if (this.W == null) {
            this.W = new ArrayList();
        }
        this.W.add(hVar);
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i2, int i3) {
        f b2;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i4 = 0; i4 < getChildCount(); i4++) {
                View childAt = getChildAt(i4);
                if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f2549b == this.f2534f) {
                    childAt.addFocusables(arrayList, i2, i3);
                }
            }
        }
        if ((descendantFocusability == 262144 && size != arrayList.size()) || !isFocusable()) {
            return;
        }
        if (((i3 & 1) != 1 || !isInTouchMode() || isFocusableInTouchMode()) && arrayList != null) {
            arrayList.add(this);
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addTouchables(ArrayList<View> arrayList) {
        f b2;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f2549b == this.f2534f) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (!checkLayoutParams(layoutParams)) {
            layoutParams = generateLayoutParams(layoutParams);
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        layoutParams2.f2539a |= c(view);
        if (!this.u) {
            super.addView(view, i2, layoutParams);
        } else if (layoutParams2 == null || !layoutParams2.f2539a) {
            layoutParams2.f2542d = true;
            addViewInLayout(view, i2, layoutParams);
        } else {
            throw new IllegalStateException("Cannot add pager decor view during layout");
        }
    }

    /* access modifiers changed from: package-private */
    public void b() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.f2538j = new Scroller(context, i0);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        float f2 = context.getResources().getDisplayMetrics().density;
        this.C = viewConfiguration.getScaledPagingTouchSlop();
        this.J = (int) (400.0f * f2);
        this.K = viewConfiguration.getScaledMaximumFlingVelocity();
        this.O = new EdgeEffect(context);
        this.P = new EdgeEffect(context);
        this.L = (int) (25.0f * f2);
        this.M = (int) (2.0f * f2);
        this.A = (int) (f2 * 16.0f);
        x.a(this, new g());
        if (x.m(this) == 0) {
            x.i(this, 1);
        }
        x.a(this, new d());
    }

    /* access modifiers changed from: package-private */
    public i c(i iVar) {
        i iVar2 = this.V;
        this.V = iVar;
        return iVar2;
    }

    public boolean canScrollHorizontally(int i2) {
        if (this.f2533e == null) {
            return false;
        }
        int clientWidth = getClientWidth();
        int scrollX = getScrollX();
        if (i2 < 0) {
            if (scrollX > ((int) (((float) clientWidth) * this.r))) {
                return true;
            }
            return false;
        } else if (i2 <= 0 || scrollX >= ((int) (((float) clientWidth) * this.s))) {
            return false;
        } else {
            return true;
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof LayoutParams) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        this.k = true;
        if (this.f2538j.isFinished() || !this.f2538j.computeScrollOffset()) {
            a(true);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int currX = this.f2538j.getCurrX();
        int currY = this.f2538j.getCurrY();
        if (!(scrollX == currX && scrollY == currY)) {
            scrollTo(currX, currY);
            if (!f(currX)) {
                this.f2538j.abortAnimation();
                scrollTo(0, currY);
            }
        }
        x.J(this);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || a(keyEvent);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        f b2;
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f2549b == this.f2534f && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    public void draw(Canvas canvas) {
        a aVar;
        super.draw(canvas);
        int overScrollMode = getOverScrollMode();
        boolean z2 = false;
        if (overScrollMode == 0 || (overScrollMode == 1 && (aVar = this.f2533e) != null && aVar.a() > 1)) {
            if (!this.O.isFinished()) {
                int save = canvas.save();
                int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                int width = getWidth();
                canvas.rotate(270.0f);
                canvas.translate((float) ((-height) + getPaddingTop()), this.r * ((float) width));
                this.O.setSize(height, width);
                z2 = false | this.O.draw(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.P.isFinished()) {
                int save2 = canvas.save();
                int width2 = getWidth();
                int height2 = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(90.0f);
                canvas.translate((float) (-getPaddingTop()), (-(this.s + 1.0f)) * ((float) width2));
                this.P.setSize(height2, width2);
                z2 |= this.P.draw(canvas);
                canvas.restoreToCount(save2);
            }
        } else {
            this.O.finish();
            this.P.finish();
        }
        if (z2) {
            x.J(this);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.o;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    /* access modifiers changed from: package-private */
    public void e() {
        c(this.f2534f);
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams();
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    public a getAdapter() {
        return this.f2533e;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i2, int i3) {
        if (this.c0 == 2) {
            i3 = (i2 - 1) - i3;
        }
        return ((LayoutParams) this.d0.get(i3).getLayoutParams()).f2544f;
    }

    public int getCurrentItem() {
        return this.f2534f;
    }

    public int getOffscreenPageLimit() {
        return this.x;
    }

    public int getPageMargin() {
        return this.m;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.Q = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.e0);
        Scroller scroller = this.f2538j;
        if (scroller != null && !scroller.isFinished()) {
            this.f2538j.abortAnimation();
        }
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        float f2;
        float f3;
        super.onDraw(canvas);
        if (this.m > 0 && this.o != null && this.f2530b.size() > 0 && this.f2533e != null) {
            int scrollX = getScrollX();
            int width = getWidth();
            float f4 = (float) width;
            float f5 = ((float) this.m) / f4;
            int i2 = 0;
            f fVar = this.f2530b.get(0);
            float f6 = fVar.f2552e;
            int size = this.f2530b.size();
            int i3 = fVar.f2549b;
            int i4 = this.f2530b.get(size - 1).f2549b;
            while (i3 < i4) {
                while (i3 > fVar.f2549b && i2 < size) {
                    i2++;
                    fVar = this.f2530b.get(i2);
                }
                if (i3 == fVar.f2549b) {
                    float f7 = fVar.f2552e;
                    float f8 = fVar.f2551d;
                    f2 = (f7 + f8) * f4;
                    f6 = f7 + f8 + f5;
                } else {
                    float b2 = this.f2533e.b(i3);
                    f2 = (f6 + b2) * f4;
                    f6 += b2 + f5;
                }
                if (((float) this.m) + f2 > ((float) scrollX)) {
                    f3 = f5;
                    this.o.setBounds(Math.round(f2), this.p, Math.round(((float) this.m) + f2), this.q);
                    this.o.draw(canvas);
                } else {
                    f3 = f5;
                }
                if (f2 <= ((float) (scrollX + width))) {
                    i3++;
                    f5 = f3;
                } else {
                    return;
                }
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action == 3 || action == 1) {
            i();
            return false;
        }
        if (action != 0) {
            if (this.y) {
                return true;
            }
            if (this.z) {
                return false;
            }
        }
        if (action == 0) {
            float x2 = motionEvent.getX();
            this.F = x2;
            this.D = x2;
            float y2 = motionEvent.getY();
            this.G = y2;
            this.E = y2;
            this.H = motionEvent.getPointerId(0);
            this.z = false;
            this.k = true;
            this.f2538j.computeScrollOffset();
            if (this.f0 != 2 || Math.abs(this.f2538j.getFinalX() - this.f2538j.getCurrX()) <= this.M) {
                a(false);
                this.y = false;
            } else {
                this.f2538j.abortAnimation();
                this.w = false;
                e();
                this.y = true;
                c(true);
                setScrollState(1);
            }
        } else if (action == 2) {
            int i2 = this.H;
            if (i2 != -1) {
                int findPointerIndex = motionEvent.findPointerIndex(i2);
                float x3 = motionEvent.getX(findPointerIndex);
                float f2 = x3 - this.D;
                float abs = Math.abs(f2);
                float y3 = motionEvent.getY(findPointerIndex);
                float abs2 = Math.abs(y3 - this.G);
                int i3 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
                if (i3 == 0 || a(this.D, f2) || !a(this, false, (int) f2, (int) x3, (int) y3)) {
                    if (abs > ((float) this.C) && abs * 0.5f > abs2) {
                        this.y = true;
                        c(true);
                        setScrollState(1);
                        float f3 = this.F;
                        float f4 = (float) this.C;
                        this.D = i3 > 0 ? f3 + f4 : f3 - f4;
                        this.E = y3;
                        setScrollingCacheEnabled(true);
                    } else if (abs2 > ((float) this.C)) {
                        this.z = true;
                    }
                    if (this.y && b(x3)) {
                        x.J(this);
                    }
                } else {
                    this.D = x3;
                    this.E = y3;
                    this.z = true;
                    return false;
                }
            }
        } else if (action == 6) {
            a(motionEvent);
        }
        if (this.I == null) {
            this.I = VelocityTracker.obtain();
        }
        this.I.addMovement(motionEvent);
        return this.y;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        boolean z3;
        f b2;
        int i6;
        int i7;
        int childCount = getChildCount();
        int i8 = i4 - i2;
        int i9 = i5 - i3;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollX = getScrollX();
        int i10 = paddingBottom;
        int i11 = 0;
        int i12 = paddingTop;
        int i13 = paddingLeft;
        for (int i14 = 0; i14 < childCount; i14++) {
            View childAt = getChildAt(i14);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f2539a) {
                    int i15 = layoutParams.f2540b;
                    int i16 = i15 & 7;
                    int i17 = i15 & 112;
                    if (i16 == 1) {
                        i6 = Math.max((i8 - childAt.getMeasuredWidth()) / 2, i13);
                    } else if (i16 == 3) {
                        i6 = i13;
                        i13 = childAt.getMeasuredWidth() + i13;
                    } else if (i16 != 5) {
                        i6 = i13;
                    } else {
                        i6 = (i8 - paddingRight) - childAt.getMeasuredWidth();
                        paddingRight += childAt.getMeasuredWidth();
                    }
                    if (i17 == 16) {
                        i7 = Math.max((i9 - childAt.getMeasuredHeight()) / 2, i12);
                    } else if (i17 == 48) {
                        i7 = i12;
                        i12 = childAt.getMeasuredHeight() + i12;
                    } else if (i17 != 80) {
                        i7 = i12;
                    } else {
                        i7 = (i9 - i10) - childAt.getMeasuredHeight();
                        i10 += childAt.getMeasuredHeight();
                    }
                    int i18 = i6 + scrollX;
                    childAt.layout(i18, i7, childAt.getMeasuredWidth() + i18, i7 + childAt.getMeasuredHeight());
                    i11++;
                }
            }
        }
        int i19 = (i8 - i13) - paddingRight;
        for (int i20 = 0; i20 < childCount; i20++) {
            View childAt2 = getChildAt(i20);
            if (childAt2.getVisibility() != 8) {
                LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                if (!layoutParams2.f2539a && (b2 = b(childAt2)) != null) {
                    float f2 = (float) i19;
                    int i21 = ((int) (b2.f2552e * f2)) + i13;
                    if (layoutParams2.f2542d) {
                        layoutParams2.f2542d = false;
                        childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (f2 * layoutParams2.f2541c), 1073741824), View.MeasureSpec.makeMeasureSpec((i9 - i12) - i10, 1073741824));
                    }
                    childAt2.layout(i21, i12, childAt2.getMeasuredWidth() + i21, childAt2.getMeasuredHeight() + i12);
                }
            }
        }
        this.p = i12;
        this.q = i9 - i10;
        this.S = i11;
        if (this.Q) {
            z3 = false;
            a(this.f2534f, false, 0, false);
        } else {
            z3 = false;
        }
        this.Q = z3;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0084  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008b  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0090  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0095  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00a4  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00aa  */
    public void onMeasure(int i2, int i3) {
        LayoutParams layoutParams;
        LayoutParams layoutParams2;
        int i4;
        int i5;
        int i6;
        setMeasuredDimension(ViewGroup.getDefaultSize(0, i2), ViewGroup.getDefaultSize(0, i3));
        int measuredWidth = getMeasuredWidth();
        this.B = Math.min(measuredWidth / 10, this.A);
        int paddingLeft = (measuredWidth - getPaddingLeft()) - getPaddingRight();
        int measuredHeight = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        int i7 = measuredHeight;
        int i8 = paddingLeft;
        int i9 = 0;
        while (true) {
            boolean z2 = true;
            int i10 = 1073741824;
            if (i9 >= childCount) {
                break;
            }
            View childAt = getChildAt(i9);
            if (!(childAt.getVisibility() == 8 || (layoutParams2 = (LayoutParams) childAt.getLayoutParams()) == null || !layoutParams2.f2539a)) {
                int i11 = layoutParams2.f2540b;
                int i12 = i11 & 7;
                int i13 = i11 & 112;
                boolean z3 = i13 == 48 || i13 == 80;
                if (!(i12 == 3 || i12 == 5)) {
                    z2 = false;
                }
                int i14 = Integer.MIN_VALUE;
                if (z3) {
                    i14 = 1073741824;
                } else if (z2) {
                    i4 = 1073741824;
                    i5 = ((ViewGroup.LayoutParams) layoutParams2).width;
                    if (i5 == -2) {
                        if (i5 == -1) {
                            i5 = i8;
                        }
                        i14 = 1073741824;
                    } else {
                        i5 = i8;
                    }
                    i6 = ((ViewGroup.LayoutParams) layoutParams2).height;
                    if (i6 != -2) {
                        i6 = i7;
                        i10 = i4;
                    } else if (i6 == -1) {
                        i6 = i7;
                    }
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(i5, i14), View.MeasureSpec.makeMeasureSpec(i6, i10));
                    if (!z3) {
                        i7 -= childAt.getMeasuredHeight();
                    } else if (z2) {
                        i8 -= childAt.getMeasuredWidth();
                    }
                }
                i4 = Integer.MIN_VALUE;
                i5 = ((ViewGroup.LayoutParams) layoutParams2).width;
                if (i5 == -2) {
                }
                i6 = ((ViewGroup.LayoutParams) layoutParams2).height;
                if (i6 != -2) {
                }
                childAt.measure(View.MeasureSpec.makeMeasureSpec(i5, i14), View.MeasureSpec.makeMeasureSpec(i6, i10));
                if (!z3) {
                }
            }
            i9++;
        }
        View.MeasureSpec.makeMeasureSpec(i8, 1073741824);
        this.t = View.MeasureSpec.makeMeasureSpec(i7, 1073741824);
        this.u = true;
        e();
        this.u = false;
        int childCount2 = getChildCount();
        for (int i15 = 0; i15 < childCount2; i15++) {
            View childAt2 = getChildAt(i15);
            if (childAt2.getVisibility() != 8 && ((layoutParams = (LayoutParams) childAt2.getLayoutParams()) == null || !layoutParams.f2539a)) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (((float) i8) * layoutParams.f2541c), 1073741824), this.t);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i2, Rect rect) {
        int i3;
        int i4;
        f b2;
        int childCount = getChildCount();
        int i5 = -1;
        if ((i2 & 2) != 0) {
            i5 = childCount;
            i4 = 0;
            i3 = 1;
        } else {
            i4 = childCount - 1;
            i3 = -1;
        }
        while (i4 != i5) {
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() == 0 && (b2 = b(childAt)) != null && b2.f2549b == this.f2534f && childAt.requestFocus(i2, rect)) {
                return true;
            }
            i4 += i3;
        }
        return false;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        a aVar = this.f2533e;
        if (aVar != null) {
            aVar.a(savedState.adapterState, savedState.loader);
            a(savedState.position, false, true);
            return;
        }
        this.f2535g = savedState.position;
        this.f2536h = savedState.adapterState;
        this.f2537i = savedState.loader;
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.position = this.f2534f;
        a aVar = this.f2533e;
        if (aVar != null) {
            savedState.adapterState = aVar.c();
        }
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i2 != i4) {
            int i6 = this.m;
            a(i2, i4, i6, i6);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        a aVar;
        if (this.N) {
            return true;
        }
        boolean z2 = false;
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || (aVar = this.f2533e) == null || aVar.a() == 0) {
            return false;
        }
        if (this.I == null) {
            this.I = VelocityTracker.obtain();
        }
        this.I.addMovement(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            this.f2538j.abortAnimation();
            this.w = false;
            e();
            float x2 = motionEvent.getX();
            this.F = x2;
            this.D = x2;
            float y2 = motionEvent.getY();
            this.G = y2;
            this.E = y2;
            this.H = motionEvent.getPointerId(0);
        } else if (action != 1) {
            if (action == 2) {
                if (!this.y) {
                    int findPointerIndex = motionEvent.findPointerIndex(this.H);
                    if (findPointerIndex == -1) {
                        z2 = i();
                    } else {
                        float x3 = motionEvent.getX(findPointerIndex);
                        float abs = Math.abs(x3 - this.D);
                        float y3 = motionEvent.getY(findPointerIndex);
                        float abs2 = Math.abs(y3 - this.E);
                        if (abs > ((float) this.C) && abs > abs2) {
                            this.y = true;
                            c(true);
                            float f2 = this.F;
                            this.D = x3 - f2 > 0.0f ? f2 + ((float) this.C) : f2 - ((float) this.C);
                            this.E = y3;
                            setScrollState(1);
                            setScrollingCacheEnabled(true);
                            ViewParent parent = getParent();
                            if (parent != null) {
                                parent.requestDisallowInterceptTouchEvent(true);
                            }
                        }
                    }
                }
                if (this.y) {
                    z2 = false | b(motionEvent.getX(motionEvent.findPointerIndex(this.H)));
                }
            } else if (action != 3) {
                if (action == 5) {
                    int actionIndex = motionEvent.getActionIndex();
                    this.D = motionEvent.getX(actionIndex);
                    this.H = motionEvent.getPointerId(actionIndex);
                } else if (action == 6) {
                    a(motionEvent);
                    this.D = motionEvent.getX(motionEvent.findPointerIndex(this.H));
                }
            } else if (this.y) {
                a(this.f2534f, true, 0, false);
                z2 = i();
            }
        } else if (this.y) {
            VelocityTracker velocityTracker = this.I;
            velocityTracker.computeCurrentVelocity(1000, (float) this.K);
            int xVelocity = (int) velocityTracker.getXVelocity(this.H);
            this.w = true;
            int clientWidth = getClientWidth();
            int scrollX = getScrollX();
            f g2 = g();
            float f3 = (float) clientWidth;
            a(a(g2.f2549b, ((((float) scrollX) / f3) - g2.f2552e) / (g2.f2551d + (((float) this.m) / f3)), xVelocity, (int) (motionEvent.getX(motionEvent.findPointerIndex(this.H)) - this.F)), true, true, xVelocity);
            z2 = i();
        }
        if (z2) {
            x.J(this);
        }
        return true;
    }

    public void removeView(View view) {
        if (this.u) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public void setAdapter(a aVar) {
        a aVar2 = this.f2533e;
        if (aVar2 != null) {
            aVar2.b((DataSetObserver) null);
            this.f2533e.b((ViewGroup) this);
            for (int i2 = 0; i2 < this.f2530b.size(); i2++) {
                f fVar = this.f2530b.get(i2);
                this.f2533e.a((ViewGroup) this, fVar.f2549b, fVar.f2548a);
            }
            this.f2533e.a((ViewGroup) this);
            this.f2530b.clear();
            h();
            this.f2534f = 0;
            scrollTo(0, 0);
        }
        a aVar3 = this.f2533e;
        this.f2533e = aVar;
        this.f2529a = 0;
        if (this.f2533e != null) {
            if (this.l == null) {
                this.l = new k();
            }
            this.f2533e.b(this.l);
            this.w = false;
            boolean z2 = this.Q;
            this.Q = true;
            this.f2529a = this.f2533e.a();
            if (this.f2535g >= 0) {
                this.f2533e.a(this.f2536h, this.f2537i);
                a(this.f2535g, false, true);
                this.f2535g = -1;
                this.f2536h = null;
                this.f2537i = null;
            } else if (!z2) {
                e();
            } else {
                requestLayout();
            }
        }
        List<h> list = this.W;
        if (!(list == null || list.isEmpty())) {
            int size = this.W.size();
            for (int i3 = 0; i3 < size; i3++) {
                this.W.get(i3).onAdapterChanged(this, aVar3, aVar);
            }
        }
    }

    public void setCurrentItem(int i2) {
        this.w = false;
        a(i2, !this.Q, false);
    }

    public void setOffscreenPageLimit(int i2) {
        if (i2 < 1) {
            Log.w("ViewPager", "Requested offscreen page limit " + i2 + " too small; defaulting to " + 1);
            i2 = 1;
        }
        if (i2 != this.x) {
            this.x = i2;
            e();
        }
    }

    @Deprecated
    public void setOnPageChangeListener(i iVar) {
        this.U = iVar;
    }

    public void setPageMargin(int i2) {
        int i3 = this.m;
        this.m = i2;
        int width = getWidth();
        a(width, width, i2, i3);
        requestLayout();
    }

    public void setPageMarginDrawable(Drawable drawable) {
        this.o = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void setScrollState(int i2) {
        if (this.f0 != i2) {
            this.f0 = i2;
            if (this.a0 != null) {
                b(i2 != 0);
            }
            e(i2);
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.o;
    }

    public static class LayoutParams extends ViewGroup.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public boolean f2539a;

        /* renamed from: b  reason: collision with root package name */
        public int f2540b;

        /* renamed from: c  reason: collision with root package name */
        float f2541c = 0.0f;

        /* renamed from: d  reason: collision with root package name */
        boolean f2542d;

        /* renamed from: e  reason: collision with root package name */
        int f2543e;

        /* renamed from: f  reason: collision with root package name */
        int f2544f;

        public LayoutParams() {
            super(-1, -1);
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, ViewPager.g0);
            this.f2540b = obtainStyledAttributes.getInteger(0, 48);
            obtainStyledAttributes.recycle();
        }
    }

    private void e(int i2) {
        i iVar = this.U;
        if (iVar != null) {
            iVar.onPageScrollStateChanged(i2);
        }
        List<i> list = this.T;
        if (list != null) {
            int size = list.size();
            for (int i3 = 0; i3 < size; i3++) {
                i iVar2 = this.T.get(i3);
                if (iVar2 != null) {
                    iVar2.onPageScrollStateChanged(i2);
                }
            }
        }
        i iVar3 = this.V;
        if (iVar3 != null) {
            iVar3.onPageScrollStateChanged(i2);
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0060, code lost:
        if (r9 == r10) goto L_0x0067;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0066, code lost:
        r8 = null;
     */
    public void c(int i2) {
        f fVar;
        String str;
        f fVar2;
        f b2;
        float f2;
        float f3;
        f fVar3;
        int i3 = this.f2534f;
        if (i3 != i2) {
            fVar = b(i3);
            this.f2534f = i2;
        } else {
            fVar = null;
        }
        if (this.f2533e == null) {
            j();
        } else if (this.w) {
            j();
        } else if (getWindowToken() != null) {
            this.f2533e.b((ViewGroup) this);
            int i4 = this.x;
            int max = Math.max(0, this.f2534f - i4);
            int a2 = this.f2533e.a();
            int min = Math.min(a2 - 1, this.f2534f + i4);
            if (a2 == this.f2529a) {
                int i5 = 0;
                while (true) {
                    if (i5 >= this.f2530b.size()) {
                        break;
                    }
                    fVar2 = this.f2530b.get(i5);
                    int i6 = fVar2.f2549b;
                    int i7 = this.f2534f;
                    if (i6 < i7) {
                        i5++;
                    }
                }
                if (fVar2 == null && a2 > 0) {
                    fVar2 = a(this.f2534f, i5);
                }
                if (fVar2 != null) {
                    int i8 = i5 - 1;
                    f fVar4 = i8 >= 0 ? this.f2530b.get(i8) : null;
                    int clientWidth = getClientWidth();
                    if (clientWidth <= 0) {
                        f2 = 0.0f;
                    } else {
                        f2 = (2.0f - fVar2.f2551d) + (((float) getPaddingLeft()) / ((float) clientWidth));
                    }
                    int i9 = i8;
                    int i10 = i5;
                    float f4 = 0.0f;
                    for (int i11 = this.f2534f - 1; i11 >= 0; i11--) {
                        if (f4 < f2 || i11 >= max) {
                            if (fVar4 == null || i11 != fVar4.f2549b) {
                                f4 += a(i11, i9 + 1).f2551d;
                                i10++;
                                if (i9 >= 0) {
                                    fVar3 = this.f2530b.get(i9);
                                    fVar4 = fVar3;
                                }
                            } else {
                                f4 += fVar4.f2551d;
                                i9--;
                                if (i9 >= 0) {
                                    fVar3 = this.f2530b.get(i9);
                                    fVar4 = fVar3;
                                }
                            }
                        } else if (fVar4 == null) {
                            break;
                        } else {
                            if (i11 == fVar4.f2549b && !fVar4.f2550c) {
                                this.f2530b.remove(i9);
                                this.f2533e.a((ViewGroup) this, i11, fVar4.f2548a);
                                i9--;
                                i10--;
                                if (i9 >= 0) {
                                    fVar3 = this.f2530b.get(i9);
                                    fVar4 = fVar3;
                                }
                            }
                        }
                        fVar3 = null;
                        fVar4 = fVar3;
                    }
                    float f5 = fVar2.f2551d;
                    int i12 = i10 + 1;
                    if (f5 < 2.0f) {
                        f fVar5 = i12 < this.f2530b.size() ? this.f2530b.get(i12) : null;
                        if (clientWidth <= 0) {
                            f3 = 0.0f;
                        } else {
                            f3 = (((float) getPaddingRight()) / ((float) clientWidth)) + 2.0f;
                        }
                        int i13 = this.f2534f;
                        while (true) {
                            i13++;
                            if (i13 >= a2) {
                                break;
                            }
                            if (f5 < f3 || i13 <= min) {
                                if (fVar5 == null || i13 != fVar5.f2549b) {
                                    f a3 = a(i13, i12);
                                    i12++;
                                    f5 += a3.f2551d;
                                    if (i12 < this.f2530b.size()) {
                                        fVar5 = this.f2530b.get(i12);
                                    }
                                } else {
                                    f5 += fVar5.f2551d;
                                    i12++;
                                    if (i12 < this.f2530b.size()) {
                                        fVar5 = this.f2530b.get(i12);
                                    }
                                }
                            } else if (fVar5 == null) {
                                break;
                            } else if (i13 == fVar5.f2549b && !fVar5.f2550c) {
                                this.f2530b.remove(i12);
                                this.f2533e.a((ViewGroup) this, i13, fVar5.f2548a);
                                if (i12 < this.f2530b.size()) {
                                    fVar5 = this.f2530b.get(i12);
                                }
                            }
                            fVar5 = null;
                        }
                    }
                    a(fVar2, i10, fVar);
                    this.f2533e.b((ViewGroup) this, this.f2534f, fVar2.f2548a);
                }
                this.f2533e.a((ViewGroup) this);
                int childCount = getChildCount();
                for (int i14 = 0; i14 < childCount; i14++) {
                    View childAt = getChildAt(i14);
                    LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                    layoutParams.f2544f = i14;
                    if (!layoutParams.f2539a && layoutParams.f2541c == 0.0f && (b2 = b(childAt)) != null) {
                        layoutParams.f2541c = b2.f2551d;
                        layoutParams.f2543e = b2.f2549b;
                    }
                }
                j();
                if (hasFocus()) {
                    View findFocus = findFocus();
                    f a4 = findFocus != null ? a(findFocus) : null;
                    if (a4 == null || a4.f2549b != this.f2534f) {
                        for (int i15 = 0; i15 < getChildCount(); i15++) {
                            View childAt2 = getChildAt(i15);
                            f b3 = b(childAt2);
                            if (b3 != null && b3.f2549b == this.f2534f && childAt2.requestFocus(2)) {
                                return;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            try {
                str = getResources().getResourceName(getId());
            } catch (Resources.NotFoundException unused) {
                str = Integer.toHexString(getId());
            }
            throw new IllegalStateException("The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.f2529a + ", found: " + a2 + " Pager id: " + str + " Pager class: " + getClass() + " Problematic adapter: " + this.f2533e.getClass());
        }
    }

    public void a(int i2, boolean z2) {
        this.w = false;
        a(i2, z2, false);
    }

    public void setPageMarginDrawable(int i2) {
        setPageMarginDrawable(a.g.d.a.c(getContext(), i2));
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, boolean z2, boolean z3) {
        a(i2, z2, z3, 0);
    }

    /* access modifiers changed from: package-private */
    public class g extends a.g.l.a {
        g() {
        }

        @Override // a.g.l.a
        public void a(View view, a.g.l.g0.d dVar) {
            super.a(view, dVar);
            dVar.a((CharSequence) ViewPager.class.getName());
            dVar.m(b());
            if (ViewPager.this.canScrollHorizontally(1)) {
                dVar.a(4096);
            }
            if (ViewPager.this.canScrollHorizontally(-1)) {
                dVar.a(8192);
            }
        }

        @Override // a.g.l.a
        public void b(View view, AccessibilityEvent accessibilityEvent) {
            a aVar;
            super.b(view, accessibilityEvent);
            accessibilityEvent.setClassName(ViewPager.class.getName());
            accessibilityEvent.setScrollable(b());
            if (accessibilityEvent.getEventType() == 4096 && (aVar = ViewPager.this.f2533e) != null) {
                accessibilityEvent.setItemCount(aVar.a());
                accessibilityEvent.setFromIndex(ViewPager.this.f2534f);
                accessibilityEvent.setToIndex(ViewPager.this.f2534f);
            }
        }

        private boolean b() {
            a aVar = ViewPager.this.f2533e;
            return aVar != null && aVar.a() > 1;
        }

        @Override // a.g.l.a
        public boolean a(View view, int i2, Bundle bundle) {
            if (super.a(view, i2, bundle)) {
                return true;
            }
            if (i2 != 4096) {
                if (i2 != 8192 || !ViewPager.this.canScrollHorizontally(-1)) {
                    return false;
                }
                ViewPager viewPager = ViewPager.this;
                viewPager.setCurrentItem(viewPager.f2534f - 1);
                return true;
            } else if (!ViewPager.this.canScrollHorizontally(1)) {
                return false;
            } else {
                ViewPager viewPager2 = ViewPager.this;
                viewPager2.setCurrentItem(viewPager2.f2534f + 1);
                return true;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, boolean z2, boolean z3, int i3) {
        a aVar = this.f2533e;
        if (aVar == null || aVar.a() <= 0) {
            setScrollingCacheEnabled(false);
        } else if (z3 || this.f2534f != i2 || this.f2530b.size() == 0) {
            boolean z4 = true;
            if (i2 < 0) {
                i2 = 0;
            } else if (i2 >= this.f2533e.a()) {
                i2 = this.f2533e.a() - 1;
            }
            int i4 = this.x;
            int i5 = this.f2534f;
            if (i2 > i5 + i4 || i2 < i5 - i4) {
                for (int i6 = 0; i6 < this.f2530b.size(); i6++) {
                    this.f2530b.get(i6).f2550c = true;
                }
            }
            if (this.f2534f == i2) {
                z4 = false;
            }
            if (this.Q) {
                this.f2534f = i2;
                if (z4) {
                    d(i2);
                }
                requestLayout();
                return;
            }
            c(i2);
            a(i2, z2, i3, z4);
        } else {
            setScrollingCacheEnabled(false);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean d() {
        a aVar = this.f2533e;
        if (aVar == null || this.f2534f >= aVar.a() - 1) {
            return false;
        }
        a(this.f2534f + 1, true);
        return true;
    }

    public ViewPager(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        b();
    }

    private void f() {
        this.y = false;
        this.z = false;
        VelocityTracker velocityTracker = this.I;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.I = null;
        }
    }

    public void b(h hVar) {
        List<h> list = this.W;
        if (list != null) {
            list.remove(hVar);
        }
    }

    public void b(i iVar) {
        List<i> list = this.T;
        if (list != null) {
            list.remove(iVar);
        }
    }

    private void a(int i2, boolean z2, int i3, boolean z3) {
        f b2 = b(i2);
        int clientWidth = b2 != null ? (int) (((float) getClientWidth()) * Math.max(this.r, Math.min(b2.f2552e, this.s))) : 0;
        if (z2) {
            a(clientWidth, 0, i3);
            if (z3) {
                d(i2);
                return;
            }
            return;
        }
        if (z3) {
            d(i2);
        }
        a(false);
        scrollTo(clientWidth, 0);
        f(clientWidth);
    }

    /* access modifiers changed from: package-private */
    public f b(View view) {
        for (int i2 = 0; i2 < this.f2530b.size(); i2++) {
            f fVar = this.f2530b.get(i2);
            if (this.f2533e.a(view, fVar.f2548a)) {
                return fVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public f b(int i2) {
        for (int i3 = 0; i3 < this.f2530b.size(); i3++) {
            f fVar = this.f2530b.get(i3);
            if (fVar.f2549b == i2) {
                return fVar;
            }
        }
        return null;
    }

    private void b(int i2, float f2, int i3) {
        i iVar = this.U;
        if (iVar != null) {
            iVar.onPageScrolled(i2, f2, i3);
        }
        List<i> list = this.T;
        if (list != null) {
            int size = list.size();
            for (int i4 = 0; i4 < size; i4++) {
                i iVar2 = this.T.get(i4);
                if (iVar2 != null) {
                    iVar2.onPageScrolled(i2, f2, i3);
                }
            }
        }
        i iVar3 = this.V;
        if (iVar3 != null) {
            iVar3.onPageScrolled(i2, f2, i3);
        }
    }

    public void a(i iVar) {
        if (this.T == null) {
            this.T = new ArrayList();
        }
        this.T.add(iVar);
    }

    private void b(boolean z2) {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            getChildAt(i2).setLayerType(z2 ? this.b0 : 0, null);
        }
    }

    /* access modifiers changed from: package-private */
    public float a(float f2) {
        return (float) Math.sin((double) ((f2 - 0.5f) * 0.47123894f));
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, int i4) {
        int i5;
        int i6;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        Scroller scroller = this.f2538j;
        if (scroller != null && !scroller.isFinished()) {
            i5 = this.k ? this.f2538j.getCurrX() : this.f2538j.getStartX();
            this.f2538j.abortAnimation();
            setScrollingCacheEnabled(false);
        } else {
            i5 = getScrollX();
        }
        int scrollY = getScrollY();
        int i7 = i2 - i5;
        int i8 = i3 - scrollY;
        if (i7 == 0 && i8 == 0) {
            a(false);
            e();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientWidth = getClientWidth();
        int i9 = clientWidth / 2;
        float f2 = (float) clientWidth;
        float f3 = (float) i9;
        float a2 = f3 + (a(Math.min(1.0f, (((float) Math.abs(i7)) * 1.0f) / f2)) * f3);
        int abs = Math.abs(i4);
        if (abs > 0) {
            i6 = Math.round(Math.abs(a2 / ((float) abs)) * 1000.0f) * 4;
        } else {
            i6 = (int) (((((float) Math.abs(i7)) / ((f2 * this.f2533e.b(this.f2534f)) + ((float) this.m))) + 1.0f) * 100.0f);
        }
        int min = Math.min(i6, 600);
        this.k = false;
        this.f2538j.startScroll(i5, scrollY, i7, i8, min);
        x.J(this);
    }

    private boolean b(float f2) {
        boolean z2;
        boolean z3;
        float f3 = this.D - f2;
        this.D = f2;
        float scrollX = ((float) getScrollX()) + f3;
        float clientWidth = (float) getClientWidth();
        float f4 = this.r * clientWidth;
        float f5 = this.s * clientWidth;
        boolean z4 = false;
        f fVar = this.f2530b.get(0);
        ArrayList<f> arrayList = this.f2530b;
        f fVar2 = arrayList.get(arrayList.size() - 1);
        if (fVar.f2549b != 0) {
            f4 = fVar.f2552e * clientWidth;
            z2 = false;
        } else {
            z2 = true;
        }
        if (fVar2.f2549b != this.f2533e.a() - 1) {
            f5 = fVar2.f2552e * clientWidth;
            z3 = false;
        } else {
            z3 = true;
        }
        if (scrollX < f4) {
            if (z2) {
                this.O.onPull(Math.abs(f4 - scrollX) / clientWidth);
                z4 = true;
            }
            scrollX = f4;
        } else if (scrollX > f5) {
            if (z3) {
                this.P.onPull(Math.abs(scrollX - f5) / clientWidth);
                z4 = true;
            }
            scrollX = f5;
        }
        int i2 = (int) scrollX;
        this.D += scrollX - ((float) i2);
        scrollTo(i2, getScrollY());
        f(i2);
        return z4;
    }

    /* access modifiers changed from: package-private */
    public f a(int i2, int i3) {
        f fVar = new f();
        fVar.f2549b = i2;
        fVar.f2548a = this.f2533e.a((ViewGroup) this, i2);
        fVar.f2551d = this.f2533e.b(i2);
        if (i3 < 0 || i3 >= this.f2530b.size()) {
            this.f2530b.add(fVar);
        } else {
            this.f2530b.add(i3, fVar);
        }
        return fVar;
    }

    /* access modifiers changed from: package-private */
    public void a() {
        int a2 = this.f2533e.a();
        this.f2529a = a2;
        boolean z2 = this.f2530b.size() < (this.x * 2) + 1 && this.f2530b.size() < a2;
        int i2 = this.f2534f;
        int i3 = 0;
        boolean z3 = false;
        while (i3 < this.f2530b.size()) {
            f fVar = this.f2530b.get(i3);
            int a3 = this.f2533e.a(fVar.f2548a);
            if (a3 != -1) {
                if (a3 == -2) {
                    this.f2530b.remove(i3);
                    i3--;
                    if (!z3) {
                        this.f2533e.b((ViewGroup) this);
                        z3 = true;
                    }
                    this.f2533e.a((ViewGroup) this, fVar.f2549b, fVar.f2548a);
                    int i4 = this.f2534f;
                    if (i4 == fVar.f2549b) {
                        i2 = Math.max(0, Math.min(i4, a2 - 1));
                    }
                } else {
                    int i5 = fVar.f2549b;
                    if (i5 != a3) {
                        if (i5 == this.f2534f) {
                            i2 = a3;
                        }
                        fVar.f2549b = a3;
                    }
                }
                z2 = true;
            }
            i3++;
        }
        if (z3) {
            this.f2533e.a((ViewGroup) this);
        }
        Collections.sort(this.f2530b, h0);
        if (z2) {
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                LayoutParams layoutParams = (LayoutParams) getChildAt(i6).getLayoutParams();
                if (!layoutParams.f2539a) {
                    layoutParams.f2541c = 0.0f;
                }
            }
            a(i2, false, true);
            requestLayout();
        }
    }

    private static boolean c(View view) {
        return view.getClass().getAnnotation(e.class) != null;
    }

    private void c(boolean z2) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z2);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean c() {
        int i2 = this.f2534f;
        if (i2 <= 0) {
            return false;
        }
        a(i2 - 1, true);
        return true;
    }

    private void a(f fVar, int i2, f fVar2) {
        int i3;
        int i4;
        f fVar3;
        f fVar4;
        int a2 = this.f2533e.a();
        int clientWidth = getClientWidth();
        float f2 = clientWidth > 0 ? ((float) this.m) / ((float) clientWidth) : 0.0f;
        if (fVar2 != null) {
            int i5 = fVar2.f2549b;
            int i6 = fVar.f2549b;
            if (i5 < i6) {
                int i7 = 0;
                float f3 = fVar2.f2552e + fVar2.f2551d + f2;
                while (true) {
                    i5++;
                    if (i5 > fVar.f2549b || i7 >= this.f2530b.size()) {
                        break;
                    }
                    f fVar5 = this.f2530b.get(i7);
                    while (true) {
                        fVar4 = fVar5;
                        if (i5 > fVar4.f2549b && i7 < this.f2530b.size() - 1) {
                            i7++;
                            fVar5 = this.f2530b.get(i7);
                        }
                    }
                    while (i5 < fVar4.f2549b) {
                        f3 += this.f2533e.b(i5) + f2;
                        i5++;
                    }
                    fVar4.f2552e = f3;
                    f3 += fVar4.f2551d + f2;
                }
            } else if (i5 > i6) {
                int size = this.f2530b.size() - 1;
                float f4 = fVar2.f2552e;
                while (true) {
                    i5--;
                    if (i5 < fVar.f2549b || size < 0) {
                        break;
                    }
                    f fVar6 = this.f2530b.get(size);
                    while (true) {
                        fVar3 = fVar6;
                        if (i5 < fVar3.f2549b && size > 0) {
                            size--;
                            fVar6 = this.f2530b.get(size);
                        }
                    }
                    while (i5 > fVar3.f2549b) {
                        f4 -= this.f2533e.b(i5) + f2;
                        i5--;
                    }
                    f4 -= fVar3.f2551d + f2;
                    fVar3.f2552e = f4;
                }
            }
        }
        int size2 = this.f2530b.size();
        float f5 = fVar.f2552e;
        int i8 = fVar.f2549b;
        int i9 = i8 - 1;
        this.r = i8 == 0 ? f5 : -3.4028235E38f;
        int i10 = a2 - 1;
        this.s = fVar.f2549b == i10 ? (fVar.f2552e + fVar.f2551d) - 1.0f : Float.MAX_VALUE;
        int i11 = i2 - 1;
        while (i11 >= 0) {
            f fVar7 = this.f2530b.get(i11);
            while (true) {
                i4 = fVar7.f2549b;
                if (i9 <= i4) {
                    break;
                }
                f5 -= this.f2533e.b(i9) + f2;
                i9--;
            }
            f5 -= fVar7.f2551d + f2;
            fVar7.f2552e = f5;
            if (i4 == 0) {
                this.r = f5;
            }
            i11--;
            i9--;
        }
        float f6 = fVar.f2552e + fVar.f2551d + f2;
        int i12 = fVar.f2549b + 1;
        int i13 = i2 + 1;
        while (i13 < size2) {
            f fVar8 = this.f2530b.get(i13);
            while (true) {
                i3 = fVar8.f2549b;
                if (i12 >= i3) {
                    break;
                }
                f6 += this.f2533e.b(i12) + f2;
                i12++;
            }
            if (i3 == i10) {
                this.s = (fVar8.f2551d + f6) - 1.0f;
            }
            fVar8.f2552e = f6;
            f6 += fVar8.f2551d + f2;
            i13++;
            i12++;
        }
    }

    /* access modifiers changed from: package-private */
    public f a(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent == this) {
                return b(view);
            }
            if (parent == null || !(parent instanceof View)) {
                return null;
            }
            view = (View) parent;
        }
    }

    private void a(int i2, int i3, int i4, int i5) {
        if (i3 <= 0 || this.f2530b.isEmpty()) {
            f b2 = b(this.f2534f);
            int min = (int) ((b2 != null ? Math.min(b2.f2552e, this.s) : 0.0f) * ((float) ((i2 - getPaddingLeft()) - getPaddingRight())));
            if (min != getScrollX()) {
                a(false);
                scrollTo(min, getScrollY());
            }
        } else if (!this.f2538j.isFinished()) {
            this.f2538j.setFinalX(getCurrentItem() * getClientWidth());
        } else {
            scrollTo((int) ((((float) getScrollX()) / ((float) (((i3 - getPaddingLeft()) - getPaddingRight()) + i5))) * ((float) (((i2 - getPaddingLeft()) - getPaddingRight()) + i4))), getScrollY());
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0066  */
    public void a(int i2, float f2, int i3) {
        int i4;
        int left;
        int i5;
        if (this.S > 0) {
            int scrollX = getScrollX();
            int paddingLeft = getPaddingLeft();
            int paddingRight = getPaddingRight();
            int width = getWidth();
            int childCount = getChildCount();
            int i6 = paddingRight;
            int i7 = paddingLeft;
            for (int i8 = 0; i8 < childCount; i8++) {
                View childAt = getChildAt(i8);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f2539a) {
                    int i9 = layoutParams.f2540b & 7;
                    if (i9 != 1) {
                        if (i9 == 3) {
                            i4 = childAt.getWidth() + i7;
                        } else if (i9 != 5) {
                            i4 = i7;
                        } else {
                            i5 = (width - i6) - childAt.getMeasuredWidth();
                            i6 += childAt.getMeasuredWidth();
                        }
                        left = (i7 + scrollX) - childAt.getLeft();
                        if (left != 0) {
                            childAt.offsetLeftAndRight(left);
                        }
                        i7 = i4;
                    } else {
                        i5 = Math.max((width - childAt.getMeasuredWidth()) / 2, i7);
                    }
                    i4 = i7;
                    i7 = i5;
                    left = (i7 + scrollX) - childAt.getLeft();
                    if (left != 0) {
                    }
                    i7 = i4;
                }
            }
        }
        b(i2, f2, i3);
        if (this.a0 != null) {
            int scrollX2 = getScrollX();
            int childCount2 = getChildCount();
            for (int i10 = 0; i10 < childCount2; i10++) {
                View childAt2 = getChildAt(i10);
                if (!((LayoutParams) childAt2.getLayoutParams()).f2539a) {
                    this.a0.a(childAt2, ((float) (childAt2.getLeft() - scrollX2)) / ((float) getClientWidth()));
                }
            }
        }
        this.R = true;
    }

    private void a(boolean z2) {
        boolean z3 = this.f0 == 2;
        if (z3) {
            setScrollingCacheEnabled(false);
            if (!this.f2538j.isFinished()) {
                this.f2538j.abortAnimation();
                int scrollX = getScrollX();
                int scrollY = getScrollY();
                int currX = this.f2538j.getCurrX();
                int currY = this.f2538j.getCurrY();
                if (!(scrollX == currX && scrollY == currY)) {
                    scrollTo(currX, currY);
                    if (currX != scrollX) {
                        f(currX);
                    }
                }
            }
        }
        this.w = false;
        boolean z4 = z3;
        for (int i2 = 0; i2 < this.f2530b.size(); i2++) {
            f fVar = this.f2530b.get(i2);
            if (fVar.f2550c) {
                fVar.f2550c = false;
                z4 = true;
            }
        }
        if (!z4) {
            return;
        }
        if (z2) {
            x.a(this, this.e0);
        } else {
            this.e0.run();
        }
    }

    private boolean a(float f2, float f3) {
        return (f2 < ((float) this.B) && f3 > 0.0f) || (f2 > ((float) (getWidth() - this.B)) && f3 < 0.0f);
    }

    private int a(int i2, float f2, int i3, int i4) {
        if (Math.abs(i4) <= this.L || Math.abs(i3) <= this.J) {
            i2 += (int) (f2 + (i2 >= this.f2534f ? 0.4f : 0.6f));
        } else if (i3 <= 0) {
            i2++;
        }
        if (this.f2530b.size() <= 0) {
            return i2;
        }
        ArrayList<f> arrayList = this.f2530b;
        return Math.max(this.f2530b.get(0).f2549b, Math.min(i2, arrayList.get(arrayList.size() - 1).f2549b));
    }

    private void a(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.H) {
            int i2 = actionIndex == 0 ? 1 : 0;
            this.D = motionEvent.getX(i2);
            this.H = motionEvent.getPointerId(i2);
            VelocityTracker velocityTracker = this.I;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean a(View view, boolean z2, int i2, int i3, int i4) {
        int i5;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                int i6 = i3 + scrollX;
                if (i6 >= childAt.getLeft() && i6 < childAt.getRight() && (i5 = i4 + scrollY) >= childAt.getTop() && i5 < childAt.getBottom() && a(childAt, true, i2, i6 - childAt.getLeft(), i5 - childAt.getTop())) {
                    return true;
                }
            }
        }
        if (!z2 || !view.canScrollHorizontally(-i2)) {
            return false;
        }
        return true;
    }

    public boolean a(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 21) {
                if (keyCode != 22) {
                    if (keyCode == 61) {
                        if (keyEvent.hasNoModifiers()) {
                            return a(2);
                        }
                        if (keyEvent.hasModifiers(1)) {
                            return a(1);
                        }
                    }
                } else if (keyEvent.hasModifiers(2)) {
                    return d();
                } else {
                    return a(66);
                }
            } else if (keyEvent.hasModifiers(2)) {
                return c();
            } else {
                return a(17);
            }
        }
        return false;
    }

    public boolean a(int i2) {
        boolean requestFocus;
        boolean z2;
        View findFocus = findFocus();
        boolean z3 = false;
        View view = null;
        if (findFocus != this) {
            if (findFocus != null) {
                ViewParent parent = findFocus.getParent();
                while (true) {
                    if (!(parent instanceof ViewGroup)) {
                        z2 = false;
                        break;
                    } else if (parent == this) {
                        z2 = true;
                        break;
                    } else {
                        parent = parent.getParent();
                    }
                }
                if (!z2) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        sb.append(" => ");
                        sb.append(parent2.getClass().getSimpleName());
                    }
                    Log.e("ViewPager", "arrowScroll tried to find focus based on non-child current focused view " + sb.toString());
                }
            }
            view = findFocus;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, view, i2);
        if (findNextFocus != null && findNextFocus != view) {
            if (i2 == 17) {
                int i3 = a(this.f2532d, findNextFocus).left;
                int i4 = a(this.f2532d, view).left;
                if (view == null || i3 < i4) {
                    requestFocus = findNextFocus.requestFocus();
                } else {
                    requestFocus = c();
                }
            } else if (i2 == 66) {
                int i5 = a(this.f2532d, findNextFocus).left;
                int i6 = a(this.f2532d, view).left;
                if (view == null || i5 > i6) {
                    requestFocus = findNextFocus.requestFocus();
                } else {
                    requestFocus = d();
                }
            }
            z3 = requestFocus;
        } else if (i2 == 17 || i2 == 1) {
            z3 = c();
        } else if (i2 == 66 || i2 == 2) {
            z3 = d();
        }
        if (z3) {
            playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i2));
        }
        return z3;
    }

    private Rect a(Rect rect, View view) {
        if (rect == null) {
            rect = new Rect();
        }
        if (view == null) {
            rect.set(0, 0, 0, 0);
            return rect;
        }
        rect.left = view.getLeft();
        rect.right = view.getRight();
        rect.top = view.getTop();
        rect.bottom = view.getBottom();
        ViewParent parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = (ViewGroup) parent;
            rect.left += viewGroup.getLeft();
            rect.right += viewGroup.getRight();
            rect.top += viewGroup.getTop();
            rect.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect;
    }
}
