package androidx.viewpager2.adapter;

import a.g.l.x;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcelable;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.FrameLayout;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.f;
import androidx.fragment.app.i;
import androidx.lifecycle.e;
import androidx.lifecycle.h;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager2.widget.ViewPager2;

public abstract class FragmentStateAdapter extends RecyclerView.g<a> implements b {

    /* renamed from: a  reason: collision with root package name */
    final e f2557a;

    /* renamed from: b  reason: collision with root package name */
    final f f2558b;

    /* renamed from: c  reason: collision with root package name */
    final a.d.d<Fragment> f2559c;

    /* renamed from: d  reason: collision with root package name */
    private final a.d.d<Fragment.SavedState> f2560d;

    /* renamed from: e  reason: collision with root package name */
    private final a.d.d<Integer> f2561e;

    /* renamed from: f  reason: collision with root package name */
    private FragmentMaxLifecycleEnforcer f2562f;

    /* renamed from: g  reason: collision with root package name */
    boolean f2563g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f2564h;

    /* access modifiers changed from: package-private */
    public class a implements View.OnLayoutChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FrameLayout f2578a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ a f2579b;

        a(FrameLayout frameLayout, a aVar) {
            this.f2578a = frameLayout;
            this.f2579b = aVar;
        }

        public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            if (this.f2578a.getParent() != null) {
                this.f2578a.removeOnLayoutChangeListener(this);
                FragmentStateAdapter.this.d(this.f2579b);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends f.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Fragment f2581a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ FrameLayout f2582b;

        b(Fragment fragment, FrameLayout frameLayout) {
            this.f2581a = fragment;
            this.f2582b = frameLayout;
        }

        @Override // androidx.fragment.app.f.b
        public void a(f fVar, Fragment fragment, View view, Bundle bundle) {
            if (fragment == this.f2581a) {
                fVar.unregisterFragmentLifecycleCallbacks(this);
                FragmentStateAdapter.this.a(view, this.f2582b);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements Runnable {
        c() {
        }

        public void run() {
            FragmentStateAdapter fragmentStateAdapter = FragmentStateAdapter.this;
            fragmentStateAdapter.f2563g = false;
            fragmentStateAdapter.b();
        }
    }

    private static abstract class d extends RecyclerView.i {
        private d() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.i
        public final void a(int i2, int i3) {
            a();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.i
        public final void b(int i2, int i3) {
            a();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.i
        public final void c(int i2, int i3) {
            a();
        }

        /* synthetic */ d(a aVar) {
            this();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.i
        public final void a(int i2, int i3, Object obj) {
            a();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.i
        public final void a(int i2, int i3, int i4) {
            a();
        }
    }

    public FragmentStateAdapter(Fragment fragment) {
        this(fragment.getChildFragmentManager(), fragment.getLifecycle());
    }

    private Long c(int i2) {
        Long l = null;
        for (int i3 = 0; i3 < this.f2561e.e(); i3++) {
            if (this.f2561e.c(i3).intValue() == i2) {
                if (l == null) {
                    l = Long.valueOf(this.f2561e.a(i3));
                } else {
                    throw new IllegalStateException("Design assumption violated: a ViewHolder can only be bound to one item at a time.");
                }
            }
        }
        return l;
    }

    public abstract Fragment a(int i2);

    /* renamed from: a */
    public final void onBindViewHolder(a aVar, int i2) {
        long itemId = aVar.getItemId();
        int id = aVar.a().getId();
        Long c2 = c(id);
        if (!(c2 == null || c2.longValue() == itemId)) {
            c(c2.longValue());
            this.f2561e.e(c2.longValue());
        }
        this.f2561e.c(itemId, Integer.valueOf(id));
        b(i2);
        FrameLayout a2 = aVar.a();
        if (x.E(a2)) {
            if (a2.getParent() == null) {
                a2.addOnLayoutChangeListener(new a(a2, aVar));
            } else {
                throw new IllegalStateException("Design assumption violated.");
            }
        }
        b();
    }

    /* renamed from: a */
    public final boolean onFailedToRecycleView(a aVar) {
        return true;
    }

    /* access modifiers changed from: package-private */
    public void b() {
        if (this.f2564h && !c()) {
            a.d.b<Long> bVar = new a.d.b();
            for (int i2 = 0; i2 < this.f2559c.e(); i2++) {
                long a2 = this.f2559c.a(i2);
                if (!a(a2)) {
                    bVar.add(Long.valueOf(a2));
                    this.f2561e.e(a2);
                }
            }
            if (!this.f2563g) {
                this.f2564h = false;
                for (int i3 = 0; i3 < this.f2559c.e(); i3++) {
                    long a3 = this.f2559c.a(i3);
                    if (!b(a3)) {
                        bVar.add(Long.valueOf(a3));
                    }
                }
            }
            for (Long l : bVar) {
                c(l.longValue());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void d(final a aVar) {
        Fragment c2 = this.f2559c.c(aVar.getItemId());
        if (c2 != null) {
            FrameLayout a2 = aVar.a();
            View view = c2.getView();
            if (!c2.isAdded() && view != null) {
                throw new IllegalStateException("Design assumption violated.");
            } else if (c2.isAdded() && view == null) {
                a(c2, a2);
            } else if (!c2.isAdded() || view.getParent() == null) {
                if (c2.isAdded()) {
                    a(view, a2);
                } else if (!c()) {
                    a(c2, a2);
                    i beginTransaction = this.f2558b.beginTransaction();
                    beginTransaction.a(c2, "f" + aVar.getItemId());
                    beginTransaction.a(c2, e.b.STARTED);
                    beginTransaction.d();
                    this.f2562f.a(false);
                } else if (!this.f2558b.isDestroyed()) {
                    this.f2557a.a(new androidx.lifecycle.f() {
                        /* class androidx.viewpager2.adapter.FragmentStateAdapter.AnonymousClass2 */

                        @Override // androidx.lifecycle.f
                        public void a(h hVar, e.a aVar) {
                            if (!FragmentStateAdapter.this.c()) {
                                hVar.getLifecycle().b(this);
                                if (x.E(aVar.a())) {
                                    FragmentStateAdapter.this.d(aVar);
                                }
                            }
                        }
                    });
                }
            } else if (view.getParent() != a2) {
                a(view, a2);
            }
        } else {
            throw new IllegalStateException("Design assumption violated.");
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.g
    public long getItemId(int i2) {
        return (long) i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.g
    public void onAttachedToRecyclerView(RecyclerView recyclerView) {
        a.g.k.h.a(this.f2562f == null);
        this.f2562f = new FragmentMaxLifecycleEnforcer();
        this.f2562f.a(recyclerView);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.g
    public void onDetachedFromRecyclerView(RecyclerView recyclerView) {
        this.f2562f.b(recyclerView);
        this.f2562f = null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.g
    public final void setHasStableIds(boolean z) {
        throw new UnsupportedOperationException("Stable Ids are required for the adapter to function properly, and the adapter takes care of setting the flag.");
    }

    public FragmentStateAdapter(f fVar, e eVar) {
        this.f2559c = new a.d.d<>();
        this.f2560d = new a.d.d<>();
        this.f2561e = new a.d.d<>();
        this.f2563g = false;
        this.f2564h = false;
        this.f2558b = fVar;
        this.f2557a = eVar;
        super.setHasStableIds(true);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.g
    public final a onCreateViewHolder(ViewGroup viewGroup, int i2) {
        return a.a(viewGroup);
    }

    /* renamed from: c */
    public final void onViewRecycled(a aVar) {
        Long c2 = c(aVar.a().getId());
        if (c2 != null) {
            c(c2.longValue());
            this.f2561e.e(c2.longValue());
        }
    }

    /* access modifiers changed from: package-private */
    public class FragmentMaxLifecycleEnforcer {

        /* renamed from: a  reason: collision with root package name */
        private ViewPager2.i f2569a;

        /* renamed from: b  reason: collision with root package name */
        private RecyclerView.i f2570b;

        /* renamed from: c  reason: collision with root package name */
        private androidx.lifecycle.f f2571c;

        /* renamed from: d  reason: collision with root package name */
        private ViewPager2 f2572d;

        /* renamed from: e  reason: collision with root package name */
        private long f2573e = -1;

        /* access modifiers changed from: package-private */
        public class a extends ViewPager2.i {
            a() {
            }

            @Override // androidx.viewpager2.widget.ViewPager2.i
            public void a(int i2) {
                FragmentMaxLifecycleEnforcer.this.a(false);
            }

            @Override // androidx.viewpager2.widget.ViewPager2.i
            public void b(int i2) {
                FragmentMaxLifecycleEnforcer.this.a(false);
            }
        }

        /* access modifiers changed from: package-private */
        public class b extends d {
            b() {
                super(null);
            }

            @Override // androidx.recyclerview.widget.RecyclerView.i
            public void a() {
                FragmentMaxLifecycleEnforcer.this.a(true);
            }
        }

        FragmentMaxLifecycleEnforcer() {
        }

        private ViewPager2 c(RecyclerView recyclerView) {
            ViewParent parent = recyclerView.getParent();
            if (parent instanceof ViewPager2) {
                return (ViewPager2) parent;
            }
            throw new IllegalStateException("Expected ViewPager2 instance. Got: " + parent);
        }

        /* access modifiers changed from: package-private */
        public void a(RecyclerView recyclerView) {
            this.f2572d = c(recyclerView);
            this.f2569a = new a();
            this.f2572d.a(this.f2569a);
            this.f2570b = new b();
            FragmentStateAdapter.this.registerAdapterDataObserver(this.f2570b);
            this.f2571c = new androidx.lifecycle.f() {
                /* class androidx.viewpager2.adapter.FragmentStateAdapter.FragmentMaxLifecycleEnforcer.AnonymousClass3 */

                @Override // androidx.lifecycle.f
                public void a(h hVar, e.a aVar) {
                    FragmentMaxLifecycleEnforcer.this.a(false);
                }
            };
            FragmentStateAdapter.this.f2557a.a(this.f2571c);
        }

        /* access modifiers changed from: package-private */
        public void b(RecyclerView recyclerView) {
            c(recyclerView).b(this.f2569a);
            FragmentStateAdapter.this.unregisterAdapterDataObserver(this.f2570b);
            FragmentStateAdapter.this.f2557a.b(this.f2571c);
            this.f2572d = null;
        }

        /* access modifiers changed from: package-private */
        public void a(boolean z) {
            int currentItem;
            Fragment c2;
            if (!FragmentStateAdapter.this.c() && this.f2572d.getScrollState() == 0 && !FragmentStateAdapter.this.f2559c.d() && FragmentStateAdapter.this.getItemCount() != 0 && (currentItem = this.f2572d.getCurrentItem()) < FragmentStateAdapter.this.getItemCount()) {
                long itemId = FragmentStateAdapter.this.getItemId(currentItem);
                if ((itemId != this.f2573e || z) && (c2 = FragmentStateAdapter.this.f2559c.c(itemId)) != null && c2.isAdded()) {
                    this.f2573e = itemId;
                    i beginTransaction = FragmentStateAdapter.this.f2558b.beginTransaction();
                    Fragment fragment = null;
                    for (int i2 = 0; i2 < FragmentStateAdapter.this.f2559c.e(); i2++) {
                        long a2 = FragmentStateAdapter.this.f2559c.a(i2);
                        Fragment c3 = FragmentStateAdapter.this.f2559c.c(i2);
                        if (c3.isAdded()) {
                            if (a2 != this.f2573e) {
                                beginTransaction.a(c3, e.b.STARTED);
                            } else {
                                fragment = c3;
                            }
                            c3.setMenuVisibility(a2 == this.f2573e);
                        }
                    }
                    if (fragment != null) {
                        beginTransaction.a(fragment, e.b.RESUMED);
                    }
                    if (!beginTransaction.g()) {
                        beginTransaction.d();
                    }
                }
            }
        }
    }

    private void c(long j2) {
        ViewParent parent;
        Fragment c2 = this.f2559c.c(j2);
        if (c2 != null) {
            if (!(c2.getView() == null || (parent = c2.getView().getParent()) == null)) {
                ((FrameLayout) parent).removeAllViews();
            }
            if (!a(j2)) {
                this.f2560d.e(j2);
            }
            if (!c2.isAdded()) {
                this.f2559c.e(j2);
            } else if (c()) {
                this.f2564h = true;
            } else {
                if (c2.isAdded() && a(j2)) {
                    this.f2560d.c(j2, this.f2558b.saveFragmentInstanceState(c2));
                }
                i beginTransaction = this.f2558b.beginTransaction();
                beginTransaction.d(c2);
                beginTransaction.d();
                this.f2559c.e(j2);
            }
        }
    }

    private void a(Fragment fragment, FrameLayout frameLayout) {
        this.f2558b.registerFragmentLifecycleCallbacks(new b(fragment, frameLayout), false);
    }

    private boolean b(long j2) {
        View view;
        if (this.f2561e.a(j2)) {
            return true;
        }
        Fragment c2 = this.f2559c.c(j2);
        if (c2 == null || (view = c2.getView()) == null || view.getParent() == null) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public void a(View view, FrameLayout frameLayout) {
        if (frameLayout.getChildCount() > 1) {
            throw new IllegalStateException("Design assumption violated.");
        } else if (view.getParent() != frameLayout) {
            if (frameLayout.getChildCount() > 0) {
                frameLayout.removeAllViews();
            }
            if (view.getParent() != null) {
                ((ViewGroup) view.getParent()).removeView(view);
            }
            frameLayout.addView(view);
        }
    }

    private void b(int i2) {
        long itemId = getItemId(i2);
        if (!this.f2559c.a(itemId)) {
            Fragment a2 = a(i2);
            a2.setInitialSavedState(this.f2560d.c(itemId));
            this.f2559c.c(itemId, a2);
        }
    }

    private void d() {
        final Handler handler = new Handler(Looper.getMainLooper());
        final c cVar = new c();
        this.f2557a.a(new androidx.lifecycle.f(this) {
            /* class androidx.viewpager2.adapter.FragmentStateAdapter.AnonymousClass5 */

            @Override // androidx.lifecycle.f
            public void a(h hVar, e.a aVar) {
                if (aVar == e.a.ON_DESTROY) {
                    handler.removeCallbacks(cVar);
                    hVar.getLifecycle().b(this);
                }
            }
        });
        handler.postDelayed(cVar, 10000);
    }

    /* access modifiers changed from: package-private */
    public boolean c() {
        return this.f2558b.isStateSaved();
    }

    public boolean a(long j2) {
        return j2 >= 0 && j2 < ((long) getItemCount());
    }

    @Override // androidx.viewpager2.adapter.b
    public final Parcelable a() {
        Bundle bundle = new Bundle(this.f2559c.e() + this.f2560d.e());
        for (int i2 = 0; i2 < this.f2559c.e(); i2++) {
            long a2 = this.f2559c.a(i2);
            Fragment c2 = this.f2559c.c(a2);
            if (c2 != null && c2.isAdded()) {
                this.f2558b.putFragment(bundle, a("f#", a2), c2);
            }
        }
        for (int i3 = 0; i3 < this.f2560d.e(); i3++) {
            long a3 = this.f2560d.a(i3);
            if (a(a3)) {
                bundle.putParcelable(a("s#", a3), this.f2560d.c(a3));
            }
        }
        return bundle;
    }

    /* renamed from: b */
    public final void onViewAttachedToWindow(a aVar) {
        d(aVar);
        b();
    }

    private static long b(String str, String str2) {
        return Long.parseLong(str.substring(str2.length()));
    }

    @Override // androidx.viewpager2.adapter.b
    public final void a(Parcelable parcelable) {
        if (!this.f2560d.d() || !this.f2559c.d()) {
            throw new IllegalStateException("Expected the adapter to be 'fresh' while restoring state.");
        }
        Bundle bundle = (Bundle) parcelable;
        if (bundle.getClassLoader() == null) {
            bundle.setClassLoader(getClass().getClassLoader());
        }
        for (String str : bundle.keySet()) {
            if (a(str, "f#")) {
                this.f2559c.c(b(str, "f#"), this.f2558b.getFragment(bundle, str));
            } else if (a(str, "s#")) {
                long b2 = b(str, "s#");
                Fragment.SavedState savedState = (Fragment.SavedState) bundle.getParcelable(str);
                if (a(b2)) {
                    this.f2560d.c(b2, savedState);
                }
            } else {
                throw new IllegalArgumentException("Unexpected key in savedState: " + str);
            }
        }
        if (!this.f2559c.d()) {
            this.f2564h = true;
            this.f2563g = true;
            b();
            d();
        }
    }

    private static String a(String str, long j2) {
        return str + j2;
    }

    private static boolean a(String str, String str2) {
        return str.startsWith(str2) && str.length() > str2.length();
    }
}
