package androidx.viewpager2.widget;

import android.animation.LayoutTransition;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.LinearLayoutManager;
import java.lang.reflect.Array;
import java.util.Arrays;
import java.util.Comparator;

/* compiled from: AnimateLayoutChangeDetector */
final class a {

    /* renamed from: b  reason: collision with root package name */
    private static final ViewGroup.MarginLayoutParams f2610b = new ViewGroup.MarginLayoutParams(-1, -1);

    /* renamed from: a  reason: collision with root package name */
    private LinearLayoutManager f2611a;

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.viewpager2.widget.a$a  reason: collision with other inner class name */
    /* compiled from: AnimateLayoutChangeDetector */
    public class C0052a implements Comparator<int[]> {
        C0052a(a aVar) {
        }

        /* renamed from: a */
        public int compare(int[] iArr, int[] iArr2) {
            return iArr[0] - iArr2[0];
        }
    }

    static {
        f2610b.setMargins(0, 0, 0, 0);
    }

    a(LinearLayoutManager linearLayoutManager) {
        this.f2611a = linearLayoutManager;
    }

    private boolean b() {
        ViewGroup.MarginLayoutParams marginLayoutParams;
        int i2;
        int i3;
        int i4;
        int i5;
        int childCount = this.f2611a.getChildCount();
        if (childCount == 0) {
            return true;
        }
        boolean z = this.f2611a.getOrientation() == 0;
        int[][] iArr = (int[][]) Array.newInstance(int.class, childCount, 2);
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = this.f2611a.getChildAt(i6);
            if (childAt != null) {
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                    marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                } else {
                    marginLayoutParams = f2610b;
                }
                int[] iArr2 = iArr[i6];
                if (z) {
                    i3 = childAt.getLeft();
                    i2 = marginLayoutParams.leftMargin;
                } else {
                    i3 = childAt.getTop();
                    i2 = marginLayoutParams.topMargin;
                }
                iArr2[0] = i3 - i2;
                int[] iArr3 = iArr[i6];
                if (z) {
                    i5 = childAt.getRight();
                    i4 = marginLayoutParams.rightMargin;
                } else {
                    i5 = childAt.getBottom();
                    i4 = marginLayoutParams.bottomMargin;
                }
                iArr3[1] = i5 + i4;
            } else {
                throw new IllegalStateException("null view contained in the view hierarchy");
            }
        }
        Arrays.sort(iArr, new C0052a(this));
        for (int i7 = 1; i7 < childCount; i7++) {
            if (iArr[i7 - 1][1] != iArr[i7][0]) {
                return false;
            }
        }
        int i8 = iArr[0][1] - iArr[0][0];
        if (iArr[0][0] > 0 || iArr[childCount - 1][1] < i8) {
            return false;
        }
        return true;
    }

    private boolean c() {
        int childCount = this.f2611a.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            if (a(this.f2611a.getChildAt(i2))) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public boolean a() {
        if ((!b() || this.f2611a.getChildCount() <= 1) && c()) {
            return true;
        }
        return false;
    }

    private static boolean a(View view) {
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            LayoutTransition layoutTransition = viewGroup.getLayoutTransition();
            if (layoutTransition != null && layoutTransition.isChangingLayout()) {
                return true;
            }
            int childCount = viewGroup.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                if (a(viewGroup.getChildAt(i2))) {
                    return true;
                }
            }
        }
        return false;
    }
}
