package com.bumptech.glide.load.n;

import android.text.TextUtils;
import android.util.Log;
import com.bumptech.glide.load.n.d;
import com.bumptech.glide.load.p.g;
import d.a.a.u.c;
import d.a.a.u.e;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Map;

/* compiled from: HttpUrlFetcher */
public class j implements d<InputStream> {

    /* renamed from: g  reason: collision with root package name */
    static final b f2722g = new a();

    /* renamed from: a  reason: collision with root package name */
    private final g f2723a;

    /* renamed from: b  reason: collision with root package name */
    private final int f2724b;

    /* renamed from: c  reason: collision with root package name */
    private final b f2725c;

    /* renamed from: d  reason: collision with root package name */
    private HttpURLConnection f2726d;

    /* renamed from: e  reason: collision with root package name */
    private InputStream f2727e;

    /* renamed from: f  reason: collision with root package name */
    private volatile boolean f2728f;

    /* compiled from: HttpUrlFetcher */
    private static class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.load.n.j.b
        public HttpURLConnection a(URL url) throws IOException {
            return (HttpURLConnection) url.openConnection();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: HttpUrlFetcher */
    public interface b {
        HttpURLConnection a(URL url) throws IOException;
    }

    public j(g gVar, int i2) {
        this(gVar, i2, f2722g);
    }

    private static boolean b(int i2) {
        return i2 / 100 == 3;
    }

    @Override // com.bumptech.glide.load.n.d
    public void a(d.a.a.j jVar, d.a<? super InputStream> aVar) {
        StringBuilder sb;
        long a2 = e.a();
        try {
            aVar.a(a(this.f2723a.c(), 0, null, this.f2723a.b()));
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                sb = new StringBuilder();
                sb.append("Finished http url fetcher fetch in ");
                sb.append(e.a(a2));
                Log.v("HttpUrlFetcher", sb.toString());
            }
        } catch (IOException e2) {
            if (Log.isLoggable("HttpUrlFetcher", 3)) {
                Log.d("HttpUrlFetcher", "Failed to load data for url", e2);
            }
            aVar.a((Exception) e2);
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                sb = new StringBuilder();
            }
        } catch (Throwable th) {
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                Log.v("HttpUrlFetcher", "Finished http url fetcher fetch in " + e.a(a2));
            }
            throw th;
        }
    }

    @Override // com.bumptech.glide.load.n.d
    public com.bumptech.glide.load.a c() {
        return com.bumptech.glide.load.a.REMOTE;
    }

    @Override // com.bumptech.glide.load.n.d
    public void cancel() {
        this.f2728f = true;
    }

    j(g gVar, int i2, b bVar) {
        this.f2723a = gVar;
        this.f2724b = i2;
        this.f2725c = bVar;
    }

    @Override // com.bumptech.glide.load.n.d
    public void b() {
        InputStream inputStream = this.f2727e;
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException unused) {
            }
        }
        HttpURLConnection httpURLConnection = this.f2726d;
        if (httpURLConnection != null) {
            httpURLConnection.disconnect();
        }
        this.f2726d = null;
    }

    private InputStream a(URL url, int i2, URL url2, Map<String, String> map) throws IOException {
        if (i2 < 5) {
            if (url2 != null) {
                try {
                    if (url.toURI().equals(url2.toURI())) {
                        throw new com.bumptech.glide.load.e("In re-direct loop");
                    }
                } catch (URISyntaxException unused) {
                }
            }
            this.f2726d = this.f2725c.a(url);
            for (Map.Entry<String, String> entry : map.entrySet()) {
                this.f2726d.addRequestProperty(entry.getKey(), entry.getValue());
            }
            this.f2726d.setConnectTimeout(this.f2724b);
            this.f2726d.setReadTimeout(this.f2724b);
            this.f2726d.setUseCaches(false);
            this.f2726d.setDoInput(true);
            this.f2726d.setInstanceFollowRedirects(false);
            this.f2726d.connect();
            this.f2727e = this.f2726d.getInputStream();
            if (this.f2728f) {
                return null;
            }
            int responseCode = this.f2726d.getResponseCode();
            if (a(responseCode)) {
                return a(this.f2726d);
            }
            if (b(responseCode)) {
                String headerField = this.f2726d.getHeaderField("Location");
                if (!TextUtils.isEmpty(headerField)) {
                    URL url3 = new URL(url, headerField);
                    b();
                    return a(url3, i2 + 1, url, map);
                }
                throw new com.bumptech.glide.load.e("Received empty or null redirect url");
            } else if (responseCode == -1) {
                throw new com.bumptech.glide.load.e(responseCode);
            } else {
                throw new com.bumptech.glide.load.e(this.f2726d.getResponseMessage(), responseCode);
            }
        } else {
            throw new com.bumptech.glide.load.e("Too many (> 5) redirects!");
        }
    }

    private static boolean a(int i2) {
        return i2 / 100 == 2;
    }

    private InputStream a(HttpURLConnection httpURLConnection) throws IOException {
        if (TextUtils.isEmpty(httpURLConnection.getContentEncoding())) {
            this.f2727e = c.a(httpURLConnection.getInputStream(), (long) httpURLConnection.getContentLength());
        } else {
            if (Log.isLoggable("HttpUrlFetcher", 3)) {
                Log.d("HttpUrlFetcher", "Got non empty content encoding: " + httpURLConnection.getContentEncoding());
            }
            this.f2727e = httpURLConnection.getInputStream();
        }
        return this.f2727e;
    }

    @Override // com.bumptech.glide.load.n.d
    public Class<InputStream> a() {
        return InputStream.class;
    }
}
