package com.bumptech.glide.load.n.o;

import android.content.ContentResolver;
import android.database.Cursor;
import android.net.Uri;
import android.text.TextUtils;
import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.f;
import com.bumptech.glide.load.o.z.b;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

/* compiled from: ThumbnailStreamOpener */
class e {

    /* renamed from: f  reason: collision with root package name */
    private static final a f2742f = new a();

    /* renamed from: a  reason: collision with root package name */
    private final a f2743a;

    /* renamed from: b  reason: collision with root package name */
    private final d f2744b;

    /* renamed from: c  reason: collision with root package name */
    private final b f2745c;

    /* renamed from: d  reason: collision with root package name */
    private final ContentResolver f2746d;

    /* renamed from: e  reason: collision with root package name */
    private final List<ImageHeaderParser> f2747e;

    e(List<ImageHeaderParser> list, d dVar, b bVar, ContentResolver contentResolver) {
        this(list, f2742f, dVar, bVar, contentResolver);
    }

    private String c(Uri uri) {
        Cursor a2 = this.f2744b.a(uri);
        if (a2 != null) {
            try {
                if (a2.moveToFirst()) {
                    return a2.getString(0);
                }
            } finally {
                if (a2 != null) {
                    a2.close();
                }
            }
        }
        if (a2 != null) {
            a2.close();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public int a(Uri uri) {
        InputStream inputStream = null;
        try {
            inputStream = this.f2746d.openInputStream(uri);
            int a2 = f.a(this.f2747e, inputStream, this.f2745c);
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException unused) {
                }
            }
            return a2;
        } catch (IOException | NullPointerException e2) {
            if (Log.isLoggable("ThumbStreamOpener", 3)) {
                Log.d("ThumbStreamOpener", "Failed to open uri: " + uri, e2);
            }
            if (inputStream == null) {
                return -1;
            }
            try {
                inputStream.close();
                return -1;
            } catch (IOException unused2) {
                return -1;
            }
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException unused3) {
                }
            }
            throw th;
        }
    }

    public InputStream b(Uri uri) throws FileNotFoundException {
        String c2 = c(uri);
        if (TextUtils.isEmpty(c2)) {
            return null;
        }
        File a2 = this.f2743a.a(c2);
        if (!a(a2)) {
            return null;
        }
        Uri fromFile = Uri.fromFile(a2);
        try {
            return this.f2746d.openInputStream(fromFile);
        } catch (NullPointerException e2) {
            throw ((FileNotFoundException) new FileNotFoundException("NPE opening uri: " + uri + " -> " + fromFile).initCause(e2));
        }
    }

    e(List<ImageHeaderParser> list, a aVar, d dVar, b bVar, ContentResolver contentResolver) {
        this.f2743a = aVar;
        this.f2744b = dVar;
        this.f2745c = bVar;
        this.f2746d = contentResolver;
        this.f2747e = list;
    }

    private boolean a(File file) {
        return this.f2743a.a(file) && 0 < this.f2743a.b(file);
    }
}
