package com.bumptech.glide.load.o.b0;

import android.os.Process;
import android.os.StrictMode;
import android.util.Log;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.PriorityBlockingQueue;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

/* compiled from: GlideExecutor */
public final class a implements ExecutorService {

    /* renamed from: b  reason: collision with root package name */
    private static final long f2804b = TimeUnit.SECONDS.toMillis(10);

    /* renamed from: c  reason: collision with root package name */
    private static volatile int f2805c;

    /* renamed from: a  reason: collision with root package name */
    private final ExecutorService f2806a;

    /* access modifiers changed from: private */
    /* renamed from: com.bumptech.glide.load.o.b0.a$a  reason: collision with other inner class name */
    /* compiled from: GlideExecutor */
    public static final class ThreadFactoryC0056a implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private final String f2807a;

        /* renamed from: b  reason: collision with root package name */
        final b f2808b;

        /* renamed from: c  reason: collision with root package name */
        final boolean f2809c;

        /* renamed from: d  reason: collision with root package name */
        private int f2810d;

        /* renamed from: com.bumptech.glide.load.o.b0.a$a$a  reason: collision with other inner class name */
        /* compiled from: GlideExecutor */
        class C0057a extends Thread {
            C0057a(Runnable runnable, String str) {
                super(runnable, str);
            }

            public void run() {
                Process.setThreadPriority(9);
                if (ThreadFactoryC0056a.this.f2809c) {
                    StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().detectNetwork().penaltyDeath().build());
                }
                try {
                    super.run();
                } catch (Throwable th) {
                    ThreadFactoryC0056a.this.f2808b.a(th);
                }
            }
        }

        ThreadFactoryC0056a(String str, b bVar, boolean z) {
            this.f2807a = str;
            this.f2808b = bVar;
            this.f2809c = z;
        }

        public synchronized Thread newThread(Runnable runnable) {
            C0057a aVar;
            aVar = new C0057a(runnable, "glide-" + this.f2807a + "-thread-" + this.f2810d);
            this.f2810d = this.f2810d + 1;
            return aVar;
        }
    }

    /* compiled from: GlideExecutor */
    public interface b {

        /* renamed from: a  reason: collision with root package name */
        public static final b f2812a = new C0059b();

        /* renamed from: b  reason: collision with root package name */
        public static final b f2813b = f2812a;

        /* renamed from: com.bumptech.glide.load.o.b0.a$b$a  reason: collision with other inner class name */
        /* compiled from: GlideExecutor */
        class C0058a implements b {
            C0058a() {
            }

            @Override // com.bumptech.glide.load.o.b0.a.b
            public void a(Throwable th) {
            }
        }

        /* renamed from: com.bumptech.glide.load.o.b0.a$b$b  reason: collision with other inner class name */
        /* compiled from: GlideExecutor */
        class C0059b implements b {
            C0059b() {
            }

            @Override // com.bumptech.glide.load.o.b0.a.b
            public void a(Throwable th) {
                if (th != null && Log.isLoggable("GlideExecutor", 6)) {
                    Log.e("GlideExecutor", "Request threw uncaught throwable", th);
                }
            }
        }

        /* compiled from: GlideExecutor */
        class c implements b {
            c() {
            }

            @Override // com.bumptech.glide.load.o.b0.a.b
            public void a(Throwable th) {
                if (th != null) {
                    throw new RuntimeException("Request threw uncaught throwable", th);
                }
            }
        }

        static {
            new C0058a();
            new c();
        }

        void a(Throwable th);
    }

    a(ExecutorService executorService) {
        this.f2806a = executorService;
    }

    public static a a(int i2, String str, b bVar) {
        return new a(new ThreadPoolExecutor(i2, i2, 0, TimeUnit.MILLISECONDS, new PriorityBlockingQueue(), new ThreadFactoryC0056a(str, bVar, true)));
    }

    public static a b(int i2, String str, b bVar) {
        return new a(new ThreadPoolExecutor(i2, i2, 0, TimeUnit.MILLISECONDS, new PriorityBlockingQueue(), new ThreadFactoryC0056a(str, bVar, false)));
    }

    public static a c() {
        return a(1, "disk-cache", b.f2813b);
    }

    public static a d() {
        return b(a(), "source", b.f2813b);
    }

    public static a e() {
        return new a(new ThreadPoolExecutor(0, Integer.MAX_VALUE, f2804b, TimeUnit.MILLISECONDS, new SynchronousQueue(), new ThreadFactoryC0056a("source-unlimited", b.f2813b, false)));
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean awaitTermination(long j2, TimeUnit timeUnit) throws InterruptedException {
        return this.f2806a.awaitTermination(j2, timeUnit);
    }

    public void execute(Runnable runnable) {
        this.f2806a.execute(runnable);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection) throws InterruptedException {
        return this.f2806a.invokeAll(collection);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> T invokeAny(Collection<? extends Callable<T>> collection) throws InterruptedException, ExecutionException {
        return (T) this.f2806a.invokeAny(collection);
    }

    public boolean isShutdown() {
        return this.f2806a.isShutdown();
    }

    public boolean isTerminated() {
        return this.f2806a.isTerminated();
    }

    public void shutdown() {
        this.f2806a.shutdown();
    }

    @Override // java.util.concurrent.ExecutorService
    public List<Runnable> shutdownNow() {
        return this.f2806a.shutdownNow();
    }

    @Override // java.util.concurrent.ExecutorService
    public Future<?> submit(Runnable runnable) {
        return this.f2806a.submit(runnable);
    }

    public String toString() {
        return this.f2806a.toString();
    }

    public static a a(int i2, b bVar) {
        return new a(new ThreadPoolExecutor(0, i2, f2804b, TimeUnit.MILLISECONDS, new PriorityBlockingQueue(), new ThreadFactoryC0056a("animation", bVar, true)));
    }

    public static a b() {
        return a(a() >= 4 ? 2 : 1, b.f2813b);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection, long j2, TimeUnit timeUnit) throws InterruptedException {
        return this.f2806a.invokeAll(collection, j2, timeUnit);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> T invokeAny(Collection<? extends Callable<T>> collection, long j2, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        return (T) this.f2806a.invokeAny(collection, j2, timeUnit);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> Future<T> submit(Runnable runnable, T t) {
        return this.f2806a.submit(runnable, t);
    }

    public static int a() {
        if (f2805c == 0) {
            f2805c = Math.min(4, b.a());
        }
        return f2805c;
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> Future<T> submit(Callable<T> callable) {
        return this.f2806a.submit(callable);
    }
}
