package com.bumptech.glide.load.o.z;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

/* compiled from: LruBitmapPool */
public class l implements e {

    /* renamed from: j  reason: collision with root package name */
    private static final Bitmap.Config f2997j = Bitmap.Config.ARGB_8888;

    /* renamed from: a  reason: collision with root package name */
    private final n f2998a;

    /* renamed from: b  reason: collision with root package name */
    private final Set<Bitmap.Config> f2999b;

    /* renamed from: c  reason: collision with root package name */
    private final a f3000c;

    /* renamed from: d  reason: collision with root package name */
    private long f3001d;

    /* renamed from: e  reason: collision with root package name */
    private long f3002e;

    /* renamed from: f  reason: collision with root package name */
    private int f3003f;

    /* renamed from: g  reason: collision with root package name */
    private int f3004g;

    /* renamed from: h  reason: collision with root package name */
    private int f3005h;

    /* renamed from: i  reason: collision with root package name */
    private int f3006i;

    /* access modifiers changed from: private */
    /* compiled from: LruBitmapPool */
    public interface a {
        void a(Bitmap bitmap);

        void b(Bitmap bitmap);
    }

    /* compiled from: LruBitmapPool */
    private static final class b implements a {
        b() {
        }

        @Override // com.bumptech.glide.load.o.z.l.a
        public void a(Bitmap bitmap) {
        }

        @Override // com.bumptech.glide.load.o.z.l.a
        public void b(Bitmap bitmap) {
        }
    }

    l(long j2, n nVar, Set<Bitmap.Config> set) {
        this.f3001d = j2;
        this.f2998a = nVar;
        this.f2999b = set;
        this.f3000c = new b();
    }

    private static Bitmap c(int i2, int i3, Bitmap.Config config) {
        if (config == null) {
            config = f2997j;
        }
        return Bitmap.createBitmap(i2, i3, config);
    }

    private synchronized Bitmap d(int i2, int i3, Bitmap.Config config) {
        Bitmap a2;
        a(config);
        a2 = this.f2998a.a(i2, i3, config != null ? config : f2997j);
        if (a2 == null) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Missing bitmap=" + this.f2998a.b(i2, i3, config));
            }
            this.f3004g++;
        } else {
            this.f3003f++;
            this.f3002e -= (long) this.f2998a.b(a2);
            this.f3000c.a(a2);
            c(a2);
        }
        if (Log.isLoggable("LruBitmapPool", 2)) {
            Log.v("LruBitmapPool", "Get bitmap=" + this.f2998a.b(i2, i3, config));
        }
        c();
        return a2;
    }

    private void e() {
        a(this.f3001d);
    }

    @TargetApi(26)
    private static Set<Bitmap.Config> f() {
        HashSet hashSet = new HashSet(Arrays.asList(Bitmap.Config.values()));
        if (Build.VERSION.SDK_INT >= 19) {
            hashSet.add(null);
        }
        if (Build.VERSION.SDK_INT >= 26) {
            hashSet.remove(Bitmap.Config.HARDWARE);
        }
        return Collections.unmodifiableSet(hashSet);
    }

    private static n g() {
        if (Build.VERSION.SDK_INT >= 19) {
            return new p();
        }
        return new c();
    }

    @Override // com.bumptech.glide.load.o.z.e
    public synchronized void a(Bitmap bitmap) {
        if (bitmap == null) {
            throw new NullPointerException("Bitmap must not be null");
        } else if (!bitmap.isRecycled()) {
            if (bitmap.isMutable() && ((long) this.f2998a.b(bitmap)) <= this.f3001d) {
                if (this.f2999b.contains(bitmap.getConfig())) {
                    int b2 = this.f2998a.b(bitmap);
                    this.f2998a.a(bitmap);
                    this.f3000c.b(bitmap);
                    this.f3005h++;
                    this.f3002e += (long) b2;
                    if (Log.isLoggable("LruBitmapPool", 2)) {
                        Log.v("LruBitmapPool", "Put bitmap in pool=" + this.f2998a.c(bitmap));
                    }
                    c();
                    e();
                    return;
                }
            }
            if (Log.isLoggable("LruBitmapPool", 2)) {
                Log.v("LruBitmapPool", "Reject bitmap from pool, bitmap: " + this.f2998a.c(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f2999b.contains(bitmap.getConfig()));
            }
            bitmap.recycle();
        } else {
            throw new IllegalStateException("Cannot pool recycled bitmap");
        }
    }

    public long b() {
        return this.f3001d;
    }

    private static void c(Bitmap bitmap) {
        bitmap.setHasAlpha(true);
        b(bitmap);
    }

    @Override // com.bumptech.glide.load.o.z.e
    public Bitmap b(int i2, int i3, Bitmap.Config config) {
        Bitmap d2 = d(i2, i3, config);
        return d2 == null ? c(i2, i3, config) : d2;
    }

    @TargetApi(19)
    private static void b(Bitmap bitmap) {
        if (Build.VERSION.SDK_INT >= 19) {
            bitmap.setPremultiplied(true);
        }
    }

    private void c() {
        if (Log.isLoggable("LruBitmapPool", 2)) {
            d();
        }
    }

    public l(long j2) {
        this(j2, g(), f());
    }

    private void d() {
        Log.v("LruBitmapPool", "Hits=" + this.f3003f + ", misses=" + this.f3004g + ", puts=" + this.f3005h + ", evictions=" + this.f3006i + ", currentSize=" + this.f3002e + ", maxSize=" + this.f3001d + "\nStrategy=" + this.f2998a);
    }

    @Override // com.bumptech.glide.load.o.z.e
    public Bitmap a(int i2, int i3, Bitmap.Config config) {
        Bitmap d2 = d(i2, i3, config);
        if (d2 == null) {
            return c(i2, i3, config);
        }
        d2.eraseColor(0);
        return d2;
    }

    @TargetApi(26)
    private static void a(Bitmap.Config config) {
        if (Build.VERSION.SDK_INT >= 26 && config == Bitmap.Config.HARDWARE) {
            throw new IllegalArgumentException("Cannot create a mutable Bitmap with config: " + config + ". Consider setting Downsampler#ALLOW_HARDWARE_CONFIG to false in your RequestOptions and/or in GlideBuilder.setDefaultRequestOptions");
        }
    }

    @Override // com.bumptech.glide.load.o.z.e
    public void a() {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "clearMemory");
        }
        a(0L);
    }

    @Override // com.bumptech.glide.load.o.z.e
    @SuppressLint({"InlinedApi"})
    public void a(int i2) {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "trimMemory, level=" + i2);
        }
        if (i2 >= 40) {
            a();
        } else if (i2 >= 20 || i2 == 15) {
            a(b() / 2);
        }
    }

    private synchronized void a(long j2) {
        while (this.f3002e > j2) {
            Bitmap removeLast = this.f2998a.removeLast();
            if (removeLast == null) {
                if (Log.isLoggable("LruBitmapPool", 5)) {
                    Log.w("LruBitmapPool", "Size mismatch, resetting");
                    d();
                }
                this.f3002e = 0;
                return;
            }
            this.f3000c.a(removeLast);
            this.f3002e -= (long) this.f2998a.b(removeLast);
            this.f3006i++;
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Evicting bitmap=" + this.f2998a.c(removeLast));
            }
            c();
            removeLast.recycle();
        }
    }
}
