package com.bumptech.glide.load.o.z;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

/* compiled from: LruBitmapPool2 */
public class m implements e {

    /* renamed from: j  reason: collision with root package name */
    private static final Bitmap.Config f3007j = Bitmap.Config.ARGB_4444;
    private static final boolean k = Log.isLoggable("LruBitmapPool2", 2);

    /* renamed from: a  reason: collision with root package name */
    private final n f3008a;

    /* renamed from: b  reason: collision with root package name */
    private final Set<Bitmap.Config> f3009b;

    /* renamed from: c  reason: collision with root package name */
    private final b f3010c;

    /* renamed from: d  reason: collision with root package name */
    private long f3011d;

    /* renamed from: e  reason: collision with root package name */
    private long f3012e;

    /* renamed from: f  reason: collision with root package name */
    private int f3013f;

    /* renamed from: g  reason: collision with root package name */
    private int f3014g;

    /* renamed from: h  reason: collision with root package name */
    private int f3015h;

    /* renamed from: i  reason: collision with root package name */
    private int f3016i;

    /* access modifiers changed from: private */
    /* compiled from: LruBitmapPool2 */
    public interface b {
        void a(Bitmap bitmap);

        void b(Bitmap bitmap);
    }

    /* compiled from: LruBitmapPool2 */
    private class c implements b {

        /* renamed from: a  reason: collision with root package name */
        private final Set<Bitmap> f3017a;

        private c() {
            this.f3017a = Collections.synchronizedSet(new HashSet());
        }

        @Override // com.bumptech.glide.load.o.z.m.b
        public void a(Bitmap bitmap) {
            if (this.f3017a.contains(bitmap)) {
                String simpleName = c.class.getSimpleName();
                Log.d(simpleName, "remove bitmap : w: " + bitmap.getWidth() + "   h: " + bitmap.getHeight() + "  " + m.this.f3008a.c(bitmap));
                this.f3017a.remove(bitmap);
                return;
            }
            throw new IllegalStateException("Cannot remove bitmap not in tracker");
        }

        @Override // com.bumptech.glide.load.o.z.m.b
        public void b(Bitmap bitmap) {
            if (!this.f3017a.contains(bitmap)) {
                this.f3017a.add(bitmap);
                String simpleName = c.class.getSimpleName();
                Log.d(simpleName, "add bitmap : w: " + bitmap.getWidth() + "   h: " + bitmap.getHeight() + "  " + m.this.f3008a.c(bitmap));
                return;
            }
            throw new IllegalStateException("Can't add already added bitmap: " + bitmap + " [" + bitmap.getWidth() + "x" + bitmap.getHeight() + "]");
        }
    }

    m(long j2, n nVar, Set<Bitmap.Config> set) {
        this.f3011d = j2;
        this.f3008a = nVar;
        this.f3009b = set;
        this.f3010c = new c();
    }

    private static Bitmap c(int i2, int i3, Bitmap.Config config) {
        if (config == null) {
            config = f3007j;
        }
        return Bitmap.createBitmap(i2, i3, config);
    }

    private synchronized Bitmap d(int i2, int i3, Bitmap.Config config) {
        Bitmap a2;
        a(config);
        a2 = this.f3008a.a(i2, i3, config != null ? config : f3007j);
        if (a2 == null) {
            if (k) {
                Log.d("LruBitmapPool2", "Missing bitmap=" + this.f3008a.b(i2, i3, config));
            }
            this.f3014g++;
        } else {
            this.f3013f++;
            this.f3012e -= (long) this.f3008a.b(a2);
            this.f3010c.a(a2);
            c(a2);
        }
        if (k) {
            Log.v("LruBitmapPool2", "Get bitmap=" + this.f3008a.b(i2, i3, config));
        }
        c();
        return a2;
    }

    private void e() {
        a(this.f3011d);
    }

    @TargetApi(26)
    private static Set<Bitmap.Config> f() {
        HashSet hashSet = new HashSet(Arrays.asList(Bitmap.Config.values()));
        if (Build.VERSION.SDK_INT >= 19) {
            hashSet.add(null);
        }
        if (Build.VERSION.SDK_INT >= 26) {
            hashSet.remove(Bitmap.Config.HARDWARE);
        }
        return Collections.unmodifiableSet(hashSet);
    }

    private static n g() {
        if (Build.VERSION.SDK_INT >= 19) {
            return new p();
        }
        return new c();
    }

    public long b() {
        return this.f3011d;
    }

    private static void c(Bitmap bitmap) {
        bitmap.setHasAlpha(true);
        b(bitmap);
    }

    @Override // com.bumptech.glide.load.o.z.e
    public synchronized void a(Bitmap bitmap) {
        if (bitmap == null) {
            throw new NullPointerException("Bitmap must not be null");
        } else if (!bitmap.isRecycled()) {
            if (bitmap.isMutable() && ((long) this.f3008a.b(bitmap)) <= this.f3011d) {
                if (this.f3009b.contains(bitmap.getConfig())) {
                    int b2 = this.f3008a.b(bitmap);
                    this.f3008a.a(bitmap);
                    this.f3010c.b(bitmap);
                    this.f3015h++;
                    this.f3012e += (long) b2;
                    if (k) {
                        Log.v("LruBitmapPool2", "Put bitmap in pool=" + this.f3008a.c(bitmap));
                    }
                    c();
                    e();
                    return;
                }
            }
            if (k) {
                Log.v("LruBitmapPool2", "Reject bitmap from pool, bitmap: " + this.f3008a.c(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f3009b.contains(bitmap.getConfig()));
            }
            bitmap.recycle();
        } else {
            throw new IllegalStateException("Cannot pool recycled bitmap");
        }
    }

    @Override // com.bumptech.glide.load.o.z.e
    public Bitmap b(int i2, int i3, Bitmap.Config config) {
        Bitmap d2 = d(i2, i3, config);
        return d2 == null ? c(i2, i3, config) : d2;
    }

    @TargetApi(19)
    private static void b(Bitmap bitmap) {
        if (Build.VERSION.SDK_INT >= 19) {
            bitmap.setPremultiplied(true);
        }
    }

    private void c() {
        if (k) {
            d();
        }
    }

    public m(long j2) {
        this(j2, g(), f());
    }

    private void d() {
        Log.v("LruBitmapPool2", "Hits=" + this.f3013f + ", misses=" + this.f3014g + ", puts=" + this.f3015h + ", evictions=" + this.f3016i + ", currentSize=" + this.f3012e + ", maxSize=" + this.f3011d + "\nStrategy=" + this.f3008a);
    }

    @Override // com.bumptech.glide.load.o.z.e
    public Bitmap a(int i2, int i3, Bitmap.Config config) {
        Bitmap d2 = d(i2, i3, config);
        if (d2 == null) {
            return c(i2, i3, config);
        }
        d2.eraseColor(0);
        return d2;
    }

    @TargetApi(26)
    private static void a(Bitmap.Config config) {
        if (Build.VERSION.SDK_INT >= 26 && config == Bitmap.Config.HARDWARE) {
            throw new IllegalArgumentException("Cannot create a mutable Bitmap with config: " + config + ". Consider setting Downsampler#ALLOW_HARDWARE_CONFIG to false in your RequestOptions and/or in GlideBuilder.setDefaultRequestOptions");
        }
    }

    @Override // com.bumptech.glide.load.o.z.e
    public void a() {
        if (k) {
            Log.d("LruBitmapPool2", "clearMemory");
        }
        a(0L);
    }

    @Override // com.bumptech.glide.load.o.z.e
    @SuppressLint({"InlinedApi"})
    public void a(int i2) {
        if (k) {
            Log.d("LruBitmapPool2", "trimMemory, level=" + i2);
        }
        if (i2 >= 40) {
            a();
        } else if (i2 >= 20) {
            a(b() / 4);
        } else if (i2 == 15) {
            a(b() / 2);
        }
    }

    private synchronized void a(long j2) {
        while (this.f3012e > j2) {
            Bitmap removeLast = this.f3008a.removeLast();
            if (removeLast == null) {
                if (k) {
                    Log.w("LruBitmapPool2", "Size mismatch, resetting");
                    d();
                }
                this.f3012e = 0;
                return;
            }
            this.f3010c.a(removeLast);
            this.f3012e -= (long) this.f3008a.b(removeLast);
            this.f3016i++;
            if (k) {
                Log.d("LruBitmapPool2", "Evicting bitmap=" + this.f3008a.c(removeLast));
            }
            c();
            removeLast.recycle();
        }
    }
}
