package com.bumptech.glide.load.q.c;

import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;

/* compiled from: DefaultImageHeaderParser */
public final class i implements ImageHeaderParser {

    /* renamed from: a  reason: collision with root package name */
    static final byte[] f3140a = "Exif\u0000\u0000".getBytes(Charset.forName("UTF-8"));

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f3141b = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8};

    /* compiled from: DefaultImageHeaderParser */
    private static final class a implements c {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f3142a;

        a(ByteBuffer byteBuffer) {
            this.f3142a = byteBuffer;
            byteBuffer.order(ByteOrder.BIG_ENDIAN);
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public short a() {
            return (short) (c() & 255);
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public int b() {
            return ((c() << 8) & 65280) | (c() & 255);
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public int c() {
            if (this.f3142a.remaining() < 1) {
                return -1;
            }
            return this.f3142a.get();
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public long skip(long j2) {
            int min = (int) Math.min((long) this.f3142a.remaining(), j2);
            ByteBuffer byteBuffer = this.f3142a;
            byteBuffer.position(byteBuffer.position() + min);
            return (long) min;
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public int a(byte[] bArr, int i2) {
            int min = Math.min(i2, this.f3142a.remaining());
            if (min == 0) {
                return -1;
            }
            this.f3142a.get(bArr, 0, min);
            return min;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DefaultImageHeaderParser */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f3143a;

        b(byte[] bArr, int i2) {
            this.f3143a = (ByteBuffer) ByteBuffer.wrap(bArr).order(ByteOrder.BIG_ENDIAN).limit(i2);
        }

        /* access modifiers changed from: package-private */
        public void a(ByteOrder byteOrder) {
            this.f3143a.order(byteOrder);
        }

        /* access modifiers changed from: package-private */
        public int b(int i2) {
            if (a(i2, 4)) {
                return this.f3143a.getInt(i2);
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int a() {
            return this.f3143a.remaining();
        }

        /* access modifiers changed from: package-private */
        public short a(int i2) {
            if (a(i2, 2)) {
                return this.f3143a.getShort(i2);
            }
            return -1;
        }

        private boolean a(int i2, int i3) {
            return this.f3143a.remaining() - i2 >= i3;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DefaultImageHeaderParser */
    public interface c {
        int a(byte[] bArr, int i2) throws IOException;

        short a() throws IOException;

        int b() throws IOException;

        int c() throws IOException;

        long skip(long j2) throws IOException;
    }

    /* compiled from: DefaultImageHeaderParser */
    private static final class d implements c {

        /* renamed from: a  reason: collision with root package name */
        private final InputStream f3144a;

        d(InputStream inputStream) {
            this.f3144a = inputStream;
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public short a() throws IOException {
            return (short) (this.f3144a.read() & 255);
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public int b() throws IOException {
            return ((this.f3144a.read() << 8) & 65280) | (this.f3144a.read() & 255);
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public int c() throws IOException {
            return this.f3144a.read();
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public long skip(long j2) throws IOException {
            if (j2 < 0) {
                return 0;
            }
            long j3 = j2;
            while (j3 > 0) {
                long skip = this.f3144a.skip(j3);
                if (skip <= 0) {
                    if (this.f3144a.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j3 -= skip;
            }
            return j2 - j3;
        }

        @Override // com.bumptech.glide.load.q.c.i.c
        public int a(byte[] bArr, int i2) throws IOException {
            int i3 = i2;
            while (i3 > 0) {
                int read = this.f3144a.read(bArr, i2 - i3, i3);
                if (read == -1) {
                    break;
                }
                i3 -= read;
            }
            return i2 - i3;
        }
    }

    private static int a(int i2, int i3) {
        return i2 + 2 + (i3 * 12);
    }

    private static boolean a(int i2) {
        return (i2 & 65496) == 65496 || i2 == 19789 || i2 == 18761;
    }

    private int b(c cVar) throws IOException {
        short a2;
        int b2;
        long j2;
        long skip;
        do {
            short a3 = cVar.a();
            if (a3 != 255) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Unknown segmentId=" + ((int) a3));
                }
                return -1;
            }
            a2 = cVar.a();
            if (a2 == 218) {
                return -1;
            }
            if (a2 == 217) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Found MARKER_EOI in exif segment");
                }
                return -1;
            }
            b2 = cVar.b() - 2;
            if (a2 == 225) {
                return b2;
            }
            j2 = (long) b2;
            skip = cVar.skip(j2);
        } while (skip == j2);
        if (Log.isLoggable("DfltImageHeaderParser", 3)) {
            Log.d("DfltImageHeaderParser", "Unable to skip enough data, type: " + ((int) a2) + ", wanted to skip: " + b2 + ", but actually skipped: " + skip);
        }
        return -1;
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public ImageHeaderParser.ImageType a(InputStream inputStream) throws IOException {
        d.a.a.u.i.a(inputStream);
        return a(new d(inputStream));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public ImageHeaderParser.ImageType a(ByteBuffer byteBuffer) throws IOException {
        d.a.a.u.i.a(byteBuffer);
        return a(new a(byteBuffer));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public int a(InputStream inputStream, com.bumptech.glide.load.o.z.b bVar) throws IOException {
        d.a.a.u.i.a(inputStream);
        d dVar = new d(inputStream);
        d.a.a.u.i.a(bVar);
        return a(dVar, bVar);
    }

    private ImageHeaderParser.ImageType a(c cVar) throws IOException {
        int b2 = cVar.b();
        if (b2 == 65496) {
            return ImageHeaderParser.ImageType.JPEG;
        }
        int b3 = ((b2 << 16) & -65536) | (cVar.b() & 65535);
        if (b3 == -1991225785) {
            cVar.skip(21);
            return cVar.c() >= 3 ? ImageHeaderParser.ImageType.PNG_A : ImageHeaderParser.ImageType.PNG;
        } else if ((b3 >> 8) == 4671814) {
            return ImageHeaderParser.ImageType.GIF;
        } else {
            if (b3 != 1380533830) {
                return ImageHeaderParser.ImageType.UNKNOWN;
            }
            cVar.skip(4);
            if ((((cVar.b() << 16) & -65536) | (cVar.b() & 65535)) != 1464156752) {
                return ImageHeaderParser.ImageType.UNKNOWN;
            }
            int b4 = ((cVar.b() << 16) & -65536) | (cVar.b() & 65535);
            if ((b4 & -256) != 1448097792) {
                return ImageHeaderParser.ImageType.UNKNOWN;
            }
            int i2 = b4 & 255;
            if (i2 == 88) {
                cVar.skip(4);
                return (cVar.c() & 16) != 0 ? ImageHeaderParser.ImageType.WEBP_A : ImageHeaderParser.ImageType.WEBP;
            } else if (i2 != 76) {
                return ImageHeaderParser.ImageType.WEBP;
            } else {
                cVar.skip(4);
                return (cVar.c() & 8) != 0 ? ImageHeaderParser.ImageType.WEBP_A : ImageHeaderParser.ImageType.WEBP;
            }
        }
    }

    private int a(c cVar, com.bumptech.glide.load.o.z.b bVar) throws IOException {
        int b2 = cVar.b();
        if (!a(b2)) {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Parser doesn't handle magic number: " + b2);
            }
            return -1;
        }
        int b3 = b(cVar);
        if (b3 == -1) {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Failed to parse exif segment length, or exif segment not found");
            }
            return -1;
        }
        byte[] bArr = (byte[]) bVar.b(b3, byte[].class);
        try {
            return a(cVar, bArr, b3);
        } finally {
            bVar.a(bArr);
        }
    }

    private int a(c cVar, byte[] bArr, int i2) throws IOException {
        int a2 = cVar.a(bArr, i2);
        if (a2 != i2) {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Unable to read exif segment data, length: " + i2 + ", actually read: " + a2);
            }
            return -1;
        } else if (a(bArr, i2)) {
            return a(new b(bArr, i2));
        } else {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Missing jpeg exif preamble");
            }
            return -1;
        }
    }

    private boolean a(byte[] bArr, int i2) {
        boolean z = bArr != null && i2 > f3140a.length;
        if (!z) {
            return z;
        }
        int i3 = 0;
        while (true) {
            byte[] bArr2 = f3140a;
            if (i3 >= bArr2.length) {
                return z;
            }
            if (bArr[i3] != bArr2[i3]) {
                return false;
            }
            i3++;
        }
    }

    private static int a(b bVar) {
        ByteOrder byteOrder;
        short a2 = bVar.a(6);
        if (a2 == 18761) {
            byteOrder = ByteOrder.LITTLE_ENDIAN;
        } else if (a2 != 19789) {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Unknown endianness = " + ((int) a2));
            }
            byteOrder = ByteOrder.BIG_ENDIAN;
        } else {
            byteOrder = ByteOrder.BIG_ENDIAN;
        }
        bVar.a(byteOrder);
        int b2 = bVar.b(10) + 6;
        short a3 = bVar.a(b2);
        for (int i2 = 0; i2 < a3; i2++) {
            int a4 = a(b2, i2);
            short a5 = bVar.a(a4);
            if (a5 == 274) {
                short a6 = bVar.a(a4 + 2);
                if (a6 >= 1 && a6 <= 12) {
                    int b3 = bVar.b(a4 + 4);
                    if (b3 >= 0) {
                        if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                            Log.d("DfltImageHeaderParser", "Got tagIndex=" + i2 + " tagType=" + ((int) a5) + " formatCode=" + ((int) a6) + " componentCount=" + b3);
                        }
                        int i3 = b3 + f3141b[a6];
                        if (i3 <= 4) {
                            int i4 = a4 + 8;
                            if (i4 < 0 || i4 > bVar.a()) {
                                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                    Log.d("DfltImageHeaderParser", "Illegal tagValueOffset=" + i4 + " tagType=" + ((int) a5));
                                }
                            } else if (i3 >= 0 && i3 + i4 <= bVar.a()) {
                                return bVar.a(i4);
                            } else {
                                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                    Log.d("DfltImageHeaderParser", "Illegal number of bytes for TI tag data tagType=" + ((int) a5));
                                }
                            }
                        } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                            Log.d("DfltImageHeaderParser", "Got byte count > 4, not orientation, continuing, formatCode=" + ((int) a6));
                        }
                    } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                        Log.d("DfltImageHeaderParser", "Negative tiff component count");
                    }
                } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Got invalid format code = " + ((int) a6));
                }
            }
        }
        return -1;
    }
}
