package com.bumptech.glide.load.q.c;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Build;
import android.util.DisplayMetrics;
import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.f;
import com.bumptech.glide.load.i;
import com.bumptech.glide.load.o.u;
import com.bumptech.glide.load.o.z.e;
import com.bumptech.glide.load.q.c.j;
import com.ximalaya.ting.android.player.XMediaPlayerConstants;
import d.a.a.u.j;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.Collections;
import java.util.EnumSet;
import java.util.HashSet;
import java.util.List;
import java.util.Queue;
import java.util.Set;

/* compiled from: Downsampler */
public final class k {

    /* renamed from: f  reason: collision with root package name */
    public static final i<com.bumptech.glide.load.b> f3154f = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.DecodeFormat", com.bumptech.glide.load.b.f2693c);

    /* renamed from: g  reason: collision with root package name */
    public static final i<Boolean> f3155g = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.FixBitmapSize", (Object) false);

    /* renamed from: h  reason: collision with root package name */
    public static final i<Boolean> f3156h = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.AllowHardwareDecode", (Object) false);

    /* renamed from: i  reason: collision with root package name */
    private static final Set<String> f3157i = Collections.unmodifiableSet(new HashSet(Arrays.asList("image/vnd.wap.wbmp", "image/x-ico")));

    /* renamed from: j  reason: collision with root package name */
    private static final b f3158j = new a();
    private static final Set<ImageHeaderParser.ImageType> k = Collections.unmodifiableSet(EnumSet.of(ImageHeaderParser.ImageType.JPEG, ImageHeaderParser.ImageType.PNG_A, ImageHeaderParser.ImageType.PNG));
    private static final Queue<BitmapFactory.Options> l = j.a(0);

    /* renamed from: a  reason: collision with root package name */
    private final e f3159a;

    /* renamed from: b  reason: collision with root package name */
    private final DisplayMetrics f3160b;

    /* renamed from: c  reason: collision with root package name */
    private final com.bumptech.glide.load.o.z.b f3161c;

    /* renamed from: d  reason: collision with root package name */
    private final List<ImageHeaderParser> f3162d;

    /* renamed from: e  reason: collision with root package name */
    private final p f3163e = p.a();

    /* compiled from: Downsampler */
    class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.load.q.c.k.b
        public void a() {
        }

        @Override // com.bumptech.glide.load.q.c.k.b
        public void a(e eVar, Bitmap bitmap) {
        }
    }

    /* compiled from: Downsampler */
    public interface b {
        void a();

        void a(e eVar, Bitmap bitmap) throws IOException;
    }

    static {
        i<j> iVar = j.f3150f;
    }

    public k(List<ImageHeaderParser> list, DisplayMetrics displayMetrics, e eVar, com.bumptech.glide.load.o.z.b bVar) {
        this.f3162d = list;
        d.a.a.u.i.a(displayMetrics);
        this.f3160b = displayMetrics;
        d.a.a.u.i.a(eVar);
        this.f3159a = eVar;
        d.a.a.u.i.a(bVar);
        this.f3161c = bVar;
    }

    private static int b(double d2) {
        if (d2 > 1.0d) {
            d2 = 1.0d / d2;
        }
        return (int) Math.round(d2 * 2.147483647E9d);
    }

    private static int c(double d2) {
        return (int) (d2 + 0.5d);
    }

    private static void c(BitmapFactory.Options options) {
        d(options);
        synchronized (l) {
            l.offer(options);
        }
    }

    private static void d(BitmapFactory.Options options) {
        options.inTempStorage = null;
        options.inDither = false;
        options.inScaled = false;
        options.inSampleSize = 1;
        options.inPreferredConfig = null;
        options.inJustDecodeBounds = false;
        options.inDensity = 0;
        options.inTargetDensity = 0;
        options.outWidth = 0;
        options.outHeight = 0;
        options.outMimeType = null;
        options.inBitmap = null;
        options.inMutable = true;
    }

    public u<Bitmap> a(InputStream inputStream, int i2, int i3, com.bumptech.glide.load.j jVar) throws IOException {
        return a(inputStream, i2, i3, jVar, f3158j);
    }

    public boolean a(InputStream inputStream) {
        return true;
    }

    public boolean a(ByteBuffer byteBuffer) {
        return true;
    }

    private static int[] b(InputStream inputStream, BitmapFactory.Options options, b bVar, e eVar) throws IOException {
        options.inJustDecodeBounds = true;
        a(inputStream, options, bVar, eVar);
        options.inJustDecodeBounds = false;
        return new int[]{options.outWidth, options.outHeight};
    }

    public u<Bitmap> a(InputStream inputStream, int i2, int i3, com.bumptech.glide.load.j jVar, b bVar) throws IOException {
        d.a.a.u.i.a(inputStream.markSupported(), "You must provide an InputStream that supports mark()");
        byte[] bArr = (byte[]) this.f3161c.b(XMediaPlayerConstants.DEFAULT_CHUNK_SIZE, byte[].class);
        BitmapFactory.Options a2 = a();
        a2.inTempStorage = bArr;
        com.bumptech.glide.load.b bVar2 = (com.bumptech.glide.load.b) jVar.a(f3154f);
        try {
            return d.a(a(inputStream, a2, (j) jVar.a(j.f3150f), bVar2, jVar.a(f3156h) != null && ((Boolean) jVar.a(f3156h)).booleanValue(), i2, i3, ((Boolean) jVar.a(f3155g)).booleanValue(), bVar), this.f3159a);
        } finally {
            c(a2);
            this.f3161c.a(bArr);
        }
    }

    private static boolean b(BitmapFactory.Options options) {
        int i2;
        int i3 = options.inTargetDensity;
        return i3 > 0 && (i2 = options.inDensity) > 0 && i3 != i2;
    }

    private Bitmap a(InputStream inputStream, BitmapFactory.Options options, j jVar, com.bumptech.glide.load.b bVar, boolean z, int i2, int i3, boolean z2, b bVar2) throws IOException {
        k kVar;
        int i4;
        int i5;
        int i6;
        long a2 = d.a.a.u.e.a();
        int[] b2 = b(inputStream, options, bVar2, this.f3159a);
        boolean z3 = false;
        int i7 = b2[0];
        int i8 = b2[1];
        String str = options.outMimeType;
        boolean z4 = (i7 == -1 || i8 == -1) ? false : z;
        int a3 = f.a(this.f3162d, inputStream, this.f3161c);
        int a4 = u.a(a3);
        boolean b3 = u.b(a3);
        int i9 = i2 == Integer.MIN_VALUE ? i7 : i2;
        int i10 = i3 == Integer.MIN_VALUE ? i8 : i3;
        ImageHeaderParser.ImageType b4 = f.b(this.f3162d, inputStream, this.f3161c);
        a(b4, inputStream, bVar2, this.f3159a, jVar, a4, i7, i8, i9, i10, options);
        a(inputStream, bVar, z4, b3, options, i9, i10);
        if (Build.VERSION.SDK_INT >= 19) {
            z3 = true;
        }
        if (options.inSampleSize == 1 || z3) {
            kVar = this;
            if (kVar.a(b4)) {
                if (i7 < 0 || i8 < 0 || !z2 || !z3) {
                    float f2 = b(options) ? ((float) options.inTargetDensity) / ((float) options.inDensity) : 1.0f;
                    int i11 = options.inSampleSize;
                    float f3 = (float) i11;
                    i6 = Math.round(((float) ((int) Math.ceil((double) (((float) i7) / f3)))) * f2);
                    i5 = Math.round(((float) ((int) Math.ceil((double) (((float) i8) / f3)))) * f2);
                    if (Log.isLoggable("Downsampler", 2)) {
                        Log.v("Downsampler", "Calculated target [" + i6 + "x" + i5 + "] for source [" + i7 + "x" + i8 + "], sampleSize: " + i11 + ", targetDensity: " + options.inTargetDensity + ", density: " + options.inDensity + ", density multiplier: " + f2);
                    }
                } else {
                    i6 = i9;
                    i5 = i10;
                }
                if (i6 > 0 && i5 > 0) {
                    a(options, kVar.f3159a, i6, i5);
                }
            }
        } else {
            kVar = this;
        }
        Bitmap a5 = a(inputStream, options, bVar2, kVar.f3159a);
        bVar2.a(kVar.f3159a, a5);
        if (Log.isLoggable("Downsampler", 2)) {
            i4 = a3;
            a(i7, i8, str, options, a5, i2, i3, a2);
        } else {
            i4 = a3;
        }
        Bitmap bitmap = null;
        if (a5 != null) {
            a5.setDensity(kVar.f3160b.densityDpi);
            bitmap = u.a(kVar.f3159a, a5, i4);
            if (!a5.equals(bitmap)) {
                kVar.f3159a.a(a5);
            }
        }
        return bitmap;
    }

    private static void a(ImageHeaderParser.ImageType imageType, InputStream inputStream, b bVar, e eVar, j jVar, int i2, int i3, int i4, int i5, int i6, BitmapFactory.Options options) throws IOException {
        float f2;
        int i7;
        int i8;
        int i9;
        int i10;
        double d2;
        if (i3 > 0 && i4 > 0) {
            if (i2 == 90 || i2 == 270) {
                f2 = jVar.b(i4, i3, i5, i6);
            } else {
                f2 = jVar.b(i3, i4, i5, i6);
            }
            if (f2 > 0.0f) {
                j.g a2 = jVar.a(i3, i4, i5, i6);
                if (a2 != null) {
                    float f3 = (float) i3;
                    float f4 = (float) i4;
                    int c2 = i3 / c((double) (f2 * f3));
                    int c3 = i4 / c((double) (f2 * f4));
                    if (a2 == j.g.MEMORY) {
                        i7 = Math.max(c2, c3);
                    } else {
                        i7 = Math.min(c2, c3);
                    }
                    if (Build.VERSION.SDK_INT > 23 || !f3157i.contains(options.outMimeType)) {
                        int max = Math.max(1, Integer.highestOneBit(i7));
                        i8 = (a2 != j.g.MEMORY || ((float) max) >= 1.0f / f2) ? max : max << 1;
                    } else {
                        i8 = 1;
                    }
                    options.inSampleSize = i8;
                    if (imageType == ImageHeaderParser.ImageType.JPEG) {
                        float min = (float) Math.min(i8, 8);
                        i9 = (int) Math.ceil((double) (f3 / min));
                        i10 = (int) Math.ceil((double) (f4 / min));
                        int i11 = i8 / 8;
                        if (i11 > 0) {
                            i9 /= i11;
                            i10 /= i11;
                        }
                    } else {
                        if (imageType == ImageHeaderParser.ImageType.PNG || imageType == ImageHeaderParser.ImageType.PNG_A) {
                            float f5 = (float) i8;
                            i9 = (int) Math.floor((double) (f3 / f5));
                            d2 = Math.floor((double) (f4 / f5));
                        } else if (imageType == ImageHeaderParser.ImageType.WEBP || imageType == ImageHeaderParser.ImageType.WEBP_A) {
                            if (Build.VERSION.SDK_INT >= 24) {
                                float f6 = (float) i8;
                                i9 = Math.round(f3 / f6);
                                i10 = Math.round(f4 / f6);
                            } else {
                                float f7 = (float) i8;
                                i9 = (int) Math.floor((double) (f3 / f7));
                                d2 = Math.floor((double) (f4 / f7));
                            }
                        } else if (i3 % i8 == 0 && i4 % i8 == 0) {
                            i9 = i3 / i8;
                            i10 = i4 / i8;
                        } else {
                            int[] b2 = b(inputStream, options, bVar, eVar);
                            int i12 = b2[0];
                            i10 = b2[1];
                            i9 = i12;
                        }
                        i10 = (int) d2;
                    }
                    double b3 = (double) jVar.b(i9, i10, i5, i6);
                    if (Build.VERSION.SDK_INT >= 19) {
                        options.inTargetDensity = a(b3);
                        options.inDensity = b(b3);
                    }
                    if (b(options)) {
                        options.inScaled = true;
                    } else {
                        options.inTargetDensity = 0;
                        options.inDensity = 0;
                    }
                    if (Log.isLoggable("Downsampler", 2)) {
                        Log.v("Downsampler", "Calculate scaling, source: [" + i3 + "x" + i4 + "], target: [" + i5 + "x" + i6 + "], power of two scaled: [" + i9 + "x" + i10 + "], exact scale factor: " + f2 + ", power of 2 sample size: " + i8 + ", adjusted scale factor: " + b3 + ", target density: " + options.inTargetDensity + ", density: " + options.inDensity);
                        return;
                    }
                    return;
                }
                throw new IllegalArgumentException("Cannot round with null rounding");
            }
            throw new IllegalArgumentException("Cannot scale with factor: " + f2 + " from: " + jVar + ", source: [" + i3 + "x" + i4 + "], target: [" + i5 + "x" + i6 + "]");
        } else if (Log.isLoggable("Downsampler", 3)) {
            Log.d("Downsampler", "Unable to determine dimensions for: " + imageType + " with target [" + i5 + "x" + i6 + "]");
        }
    }

    private static int a(double d2) {
        int b2 = b(d2);
        int c2 = c(((double) b2) * d2);
        return c((d2 / ((double) (((float) c2) / ((float) b2)))) * ((double) c2));
    }

    private boolean a(ImageHeaderParser.ImageType imageType) {
        if (Build.VERSION.SDK_INT >= 19) {
            return true;
        }
        return k.contains(imageType);
    }

    private void a(InputStream inputStream, com.bumptech.glide.load.b bVar, boolean z, boolean z2, BitmapFactory.Options options, int i2, int i3) {
        if (!this.f3163e.a(i2, i3, options, bVar, z, z2)) {
            if (bVar == com.bumptech.glide.load.b.PREFER_ARGB_8888 || Build.VERSION.SDK_INT == 16) {
                options.inPreferredConfig = Bitmap.Config.ARGB_8888;
                return;
            }
            boolean z3 = false;
            try {
                z3 = f.b(this.f3162d, inputStream, this.f3161c).hasAlpha();
            } catch (IOException e2) {
                if (Log.isLoggable("Downsampler", 3)) {
                    Log.d("Downsampler", "Cannot determine whether the image has alpha or not from header, format " + bVar, e2);
                }
            }
            options.inPreferredConfig = z3 ? Bitmap.Config.ARGB_8888 : Bitmap.Config.RGB_565;
            if (options.inPreferredConfig == Bitmap.Config.RGB_565) {
                options.inDither = true;
            }
        }
    }

    private static Bitmap a(InputStream inputStream, BitmapFactory.Options options, b bVar, e eVar) throws IOException {
        if (options.inJustDecodeBounds) {
            inputStream.mark(10485760);
        } else {
            bVar.a();
        }
        int i2 = options.outWidth;
        int i3 = options.outHeight;
        String str = options.outMimeType;
        u.a().lock();
        try {
            Bitmap decodeStream = BitmapFactory.decodeStream(inputStream, null, options);
            u.a().unlock();
            if (options.inJustDecodeBounds) {
                inputStream.reset();
            }
            return decodeStream;
        } catch (IllegalArgumentException e2) {
            IOException a2 = a(e2, i2, i3, str, options);
            if (Log.isLoggable("Downsampler", 3)) {
                Log.d("Downsampler", "Failed to decode with inBitmap, trying again without Bitmap re-use", a2);
            }
            if (options.inBitmap != null) {
                try {
                    inputStream.reset();
                    eVar.a(options.inBitmap);
                    options.inBitmap = null;
                    Bitmap a3 = a(inputStream, options, bVar, eVar);
                    u.a().unlock();
                    return a3;
                } catch (IOException unused) {
                    throw a2;
                }
            } else {
                throw a2;
            }
        } catch (Throwable th) {
            u.a().unlock();
            throw th;
        }
    }

    private static void a(int i2, int i3, String str, BitmapFactory.Options options, Bitmap bitmap, int i4, int i5, long j2) {
        Log.v("Downsampler", "Decoded " + a(bitmap) + " from [" + i2 + "x" + i3 + "] " + str + " with inBitmap " + a(options) + " for [" + i4 + "x" + i5 + "], sample size: " + options.inSampleSize + ", density: " + options.inDensity + ", target density: " + options.inTargetDensity + ", thread: " + Thread.currentThread().getName() + ", duration: " + d.a.a.u.e.a(j2));
    }

    private static String a(BitmapFactory.Options options) {
        return a(options.inBitmap);
    }

    @TargetApi(19)
    private static String a(Bitmap bitmap) {
        String str;
        if (bitmap == null) {
            return null;
        }
        if (Build.VERSION.SDK_INT >= 19) {
            str = " (" + bitmap.getAllocationByteCount() + ")";
        } else {
            str = "";
        }
        return "[" + bitmap.getWidth() + "x" + bitmap.getHeight() + "] " + bitmap.getConfig() + str;
    }

    private static IOException a(IllegalArgumentException illegalArgumentException, int i2, int i3, String str, BitmapFactory.Options options) {
        return new IOException("Exception decoding bitmap, outWidth: " + i2 + ", outHeight: " + i3 + ", outMimeType: " + str + ", inBitmap: " + a(options), illegalArgumentException);
    }

    @TargetApi(26)
    private static void a(BitmapFactory.Options options, e eVar, int i2, int i3) {
        Bitmap.Config config;
        if (Build.VERSION.SDK_INT < 26) {
            config = null;
        } else if (options.inPreferredConfig != Bitmap.Config.HARDWARE) {
            config = options.outConfig;
        } else {
            return;
        }
        if (config == null) {
            config = options.inPreferredConfig;
        }
        options.inBitmap = eVar.b(i2, i3, config);
    }

    private static synchronized BitmapFactory.Options a() {
        BitmapFactory.Options poll;
        synchronized (k.class) {
            synchronized (l) {
                poll = l.poll();
            }
            if (poll == null) {
                poll = new BitmapFactory.Options();
                d(poll);
            }
        }
        return poll;
    }
}
