package com.bumptech.glide.load.q.c;

import android.annotation.TargetApi;
import android.content.res.AssetFileDescriptor;
import android.graphics.Bitmap;
import android.media.MediaMetadataRetriever;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import com.bumptech.glide.load.i;
import com.bumptech.glide.load.j;
import com.bumptech.glide.load.k;
import com.bumptech.glide.load.o.u;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.security.MessageDigest;

/* compiled from: VideoDecoder */
public class w<T> implements k<T, Bitmap> {

    /* renamed from: d  reason: collision with root package name */
    public static final i<Long> f3192d = i.a("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.TargetFrame", -1L, new a());

    /* renamed from: e  reason: collision with root package name */
    public static final i<Integer> f3193e = i.a("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.FrameOption", 2, new b());

    /* renamed from: f  reason: collision with root package name */
    private static final d f3194f = new d();

    /* renamed from: a  reason: collision with root package name */
    private final e<T> f3195a;

    /* renamed from: b  reason: collision with root package name */
    private final com.bumptech.glide.load.o.z.e f3196b;

    /* renamed from: c  reason: collision with root package name */
    private final d f3197c;

    /* access modifiers changed from: package-private */
    /* compiled from: VideoDecoder */
    public class a implements i.b<Long> {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f3198a = ByteBuffer.allocate(8);

        a() {
        }

        public void a(byte[] bArr, Long l, MessageDigest messageDigest) {
            messageDigest.update(bArr);
            synchronized (this.f3198a) {
                this.f3198a.position(0);
                messageDigest.update(this.f3198a.putLong(l.longValue()).array());
            }
        }
    }

    /* compiled from: VideoDecoder */
    class b implements i.b<Integer> {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f3199a = ByteBuffer.allocate(4);

        b() {
        }

        public void a(byte[] bArr, Integer num, MessageDigest messageDigest) {
            if (num != null) {
                messageDigest.update(bArr);
                synchronized (this.f3199a) {
                    this.f3199a.position(0);
                    messageDigest.update(this.f3199a.putInt(num.intValue()).array());
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VideoDecoder */
    public static final class c implements e<AssetFileDescriptor> {
        private c() {
        }

        /* synthetic */ c(a aVar) {
            this();
        }

        public void a(MediaMetadataRetriever mediaMetadataRetriever, AssetFileDescriptor assetFileDescriptor) {
            mediaMetadataRetriever.setDataSource(assetFileDescriptor.getFileDescriptor(), assetFileDescriptor.getStartOffset(), assetFileDescriptor.getLength());
        }
    }

    /* compiled from: VideoDecoder */
    static class d {
        d() {
        }

        public MediaMetadataRetriever a() {
            return new MediaMetadataRetriever();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: VideoDecoder */
    public interface e<T> {
        void a(MediaMetadataRetriever mediaMetadataRetriever, T t);
    }

    /* access modifiers changed from: package-private */
    /* compiled from: VideoDecoder */
    public static final class f implements e<ParcelFileDescriptor> {
        f() {
        }

        public void a(MediaMetadataRetriever mediaMetadataRetriever, ParcelFileDescriptor parcelFileDescriptor) {
            mediaMetadataRetriever.setDataSource(parcelFileDescriptor.getFileDescriptor());
        }
    }

    w(com.bumptech.glide.load.o.z.e eVar, e<T> eVar2) {
        this(eVar, eVar2, f3194f);
    }

    public static k<AssetFileDescriptor, Bitmap> a(com.bumptech.glide.load.o.z.e eVar) {
        return new w(eVar, new c(null));
    }

    public static k<ParcelFileDescriptor, Bitmap> b(com.bumptech.glide.load.o.z.e eVar) {
        return new w(eVar, new f());
    }

    @Override // com.bumptech.glide.load.k
    public boolean a(T t, j jVar) {
        return true;
    }

    w(com.bumptech.glide.load.o.z.e eVar, e<T> eVar2, d dVar) {
        this.f3196b = eVar;
        this.f3195a = eVar2;
        this.f3197c = dVar;
    }

    @TargetApi(27)
    private static Bitmap b(MediaMetadataRetriever mediaMetadataRetriever, long j2, int i2, int i3, int i4, j jVar) {
        try {
            int parseInt = Integer.parseInt(mediaMetadataRetriever.extractMetadata(18));
            int parseInt2 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(19));
            int parseInt3 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(24));
            if (parseInt3 == 90 || parseInt3 == 270) {
                parseInt2 = parseInt;
                parseInt = parseInt2;
            }
            float b2 = jVar.b(parseInt, parseInt2, i3, i4);
            return mediaMetadataRetriever.getScaledFrameAtTime(j2, i2, Math.round(((float) parseInt) * b2), Math.round(b2 * ((float) parseInt2)));
        } catch (Throwable th) {
            if (!Log.isLoggable("VideoDecoder", 3)) {
                return null;
            }
            Log.d("VideoDecoder", "Exception trying to decode frame on oreo+", th);
            return null;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r12v0, resolved type: com.bumptech.glide.load.j */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.bumptech.glide.load.k
    public u<Bitmap> a(T t, int i2, int i3, j jVar) throws IOException {
        long longValue = ((Long) jVar.a(f3192d)).longValue();
        if (longValue >= 0 || longValue == -1) {
            Integer num = (Integer) jVar.a(f3193e);
            if (num == null) {
                num = 2;
            }
            j jVar2 = (j) jVar.a(j.f3150f);
            if (jVar2 == null) {
                jVar2 = j.f3149e;
            }
            MediaMetadataRetriever a2 = this.f3197c.a();
            try {
                this.f3195a.a(a2, t);
                Bitmap a3 = a(a2, longValue, num.intValue(), i2, i3, jVar2);
                a2.release();
                return d.a(a3, this.f3196b);
            } catch (RuntimeException e2) {
                throw new IOException(e2);
            } catch (Throwable th) {
                a2.release();
                throw th;
            }
        } else {
            throw new IllegalArgumentException("Requested frame must be non-negative, or DEFAULT_FRAME, given: " + longValue);
        }
    }

    private static Bitmap a(MediaMetadataRetriever mediaMetadataRetriever, long j2, int i2, int i3, int i4, j jVar) {
        Bitmap b2 = (Build.VERSION.SDK_INT < 27 || i3 == Integer.MIN_VALUE || i4 == Integer.MIN_VALUE || jVar == j.f3148d) ? null : b(mediaMetadataRetriever, j2, i2, i3, i4, jVar);
        return b2 == null ? a(mediaMetadataRetriever, j2, i2) : b2;
    }

    private static Bitmap a(MediaMetadataRetriever mediaMetadataRetriever, long j2, int i2) {
        return mediaMetadataRetriever.getFrameAtTime(j2, i2);
    }
}
