package com.bumptech.glide.manager;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.Application;
import android.app.FragmentManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.view.View;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.f;
import d.a.a.e;
import d.a.a.m;
import d.a.a.u.i;
import d.a.a.u.j;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

/* compiled from: RequestManagerRetriever */
public class k implements Handler.Callback {

    /* renamed from: i  reason: collision with root package name */
    private static final b f3282i = new a();

    /* renamed from: a  reason: collision with root package name */
    private volatile m f3283a;

    /* renamed from: b  reason: collision with root package name */
    final Map<FragmentManager, RequestManagerFragment> f3284b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    final Map<f, SupportRequestManagerFragment> f3285c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    private final Handler f3286d;

    /* renamed from: e  reason: collision with root package name */
    private final b f3287e;

    /* renamed from: f  reason: collision with root package name */
    private final a.d.a<View, Fragment> f3288f = new a.d.a<>();

    /* renamed from: g  reason: collision with root package name */
    private final a.d.a<View, android.app.Fragment> f3289g = new a.d.a<>();

    /* renamed from: h  reason: collision with root package name */
    private final Bundle f3290h = new Bundle();

    /* compiled from: RequestManagerRetriever */
    class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.manager.k.b
        public m a(e eVar, h hVar, l lVar, Context context) {
            return new m(eVar, hVar, lVar, context);
        }
    }

    /* compiled from: RequestManagerRetriever */
    public interface b {
        m a(e eVar, h hVar, l lVar, Context context);
    }

    public k(b bVar) {
        this.f3287e = bVar == null ? f3282i : bVar;
        this.f3286d = new Handler(Looper.getMainLooper(), this);
    }

    @Deprecated
    private void b(FragmentManager fragmentManager, a.d.a<View, android.app.Fragment> aVar) {
        int i2 = 0;
        while (true) {
            int i3 = i2 + 1;
            this.f3290h.putInt("key", i2);
            android.app.Fragment fragment = null;
            try {
                fragment = fragmentManager.getFragment(this.f3290h, "key");
            } catch (Exception unused) {
            }
            if (fragment != null) {
                if (fragment.getView() != null) {
                    aVar.put(fragment.getView(), fragment);
                    if (Build.VERSION.SDK_INT >= 17) {
                        a(fragment.getChildFragmentManager(), aVar);
                    }
                }
                i2 = i3;
            } else {
                return;
            }
        }
    }

    private m c(Context context) {
        if (this.f3283a == null) {
            synchronized (this) {
                if (this.f3283a == null) {
                    this.f3283a = this.f3287e.a(e.b(context.getApplicationContext()), new b(), new g(), context.getApplicationContext());
                }
            }
        }
        return this.f3283a;
    }

    private static boolean d(Activity activity) {
        return !activity.isFinishing();
    }

    public m a(Context context) {
        if (context != null) {
            if (j.c() && !(context instanceof Application)) {
                if (context instanceof FragmentActivity) {
                    return a((FragmentActivity) context);
                }
                if (context instanceof Activity) {
                    return a((Activity) context);
                }
                if (context instanceof ContextWrapper) {
                    return a(((ContextWrapper) context).getBaseContext());
                }
            }
            return c(context);
        }
        throw new IllegalArgumentException("You cannot start a load on a null Context");
    }

    public boolean handleMessage(Message message) {
        Object obj;
        int i2 = message.what;
        Object obj2 = null;
        boolean z = true;
        if (i2 == 1) {
            obj2 = (FragmentManager) message.obj;
            obj = this.f3284b.remove(obj2);
        } else if (i2 != 2) {
            z = false;
            obj = null;
        } else {
            obj2 = (f) message.obj;
            obj = this.f3285c.remove(obj2);
        }
        if (z && obj == null && Log.isLoggable("RMRetriever", 5)) {
            Log.w("RMRetriever", "Failed to remove expected request manager fragment, manager: " + obj2);
        }
        return z;
    }

    private Activity b(Context context) {
        if (context instanceof Activity) {
            return (Activity) context;
        }
        if (context instanceof ContextWrapper) {
            return b(((ContextWrapper) context).getBaseContext());
        }
        return null;
    }

    @TargetApi(17)
    private static void c(Activity activity) {
        if (Build.VERSION.SDK_INT >= 17 && activity.isDestroyed()) {
            throw new IllegalArgumentException("You cannot start a load for a destroyed activity");
        }
    }

    public m a(FragmentActivity fragmentActivity) {
        if (j.b()) {
            return a(fragmentActivity.getApplicationContext());
        }
        c((Activity) fragmentActivity);
        return a(fragmentActivity, fragmentActivity.d(), (Fragment) null, d(fragmentActivity));
    }

    /* access modifiers changed from: package-private */
    @Deprecated
    public RequestManagerFragment b(Activity activity) {
        return a(activity.getFragmentManager(), (android.app.Fragment) null, d(activity));
    }

    /* access modifiers changed from: package-private */
    public SupportRequestManagerFragment b(FragmentActivity fragmentActivity) {
        return a(fragmentActivity.d(), (Fragment) null, d(fragmentActivity));
    }

    public m a(Fragment fragment) {
        i.a(fragment.getActivity(), "You cannot start a load on a fragment before it is attached or after it is destroyed");
        if (j.b()) {
            return a(fragment.getActivity().getApplicationContext());
        }
        return a(fragment.getActivity(), fragment.getChildFragmentManager(), fragment, fragment.isVisible());
    }

    public m a(Activity activity) {
        if (j.b()) {
            return a(activity.getApplicationContext());
        }
        c(activity);
        return a(activity, activity.getFragmentManager(), (android.app.Fragment) null, d(activity));
    }

    public m a(View view) {
        if (j.b()) {
            return a(view.getContext().getApplicationContext());
        }
        i.a(view);
        i.a(view.getContext(), "Unable to obtain a request manager for a view without a Context");
        Activity b2 = b(view.getContext());
        if (b2 == null) {
            return a(view.getContext().getApplicationContext());
        }
        if (b2 instanceof FragmentActivity) {
            Fragment a2 = a(view, (FragmentActivity) b2);
            return a2 != null ? a(a2) : a(b2);
        }
        android.app.Fragment a3 = a(view, b2);
        if (a3 == null) {
            return a(b2);
        }
        return a(a3);
    }

    private static void a(Collection<Fragment> collection, Map<View, Fragment> map) {
        if (collection != null) {
            for (Fragment fragment : collection) {
                if (!(fragment == null || fragment.getView() == null)) {
                    map.put(fragment.getView(), fragment);
                    a(fragment.getChildFragmentManager().getFragments(), map);
                }
            }
        }
    }

    private Fragment a(View view, FragmentActivity fragmentActivity) {
        this.f3288f.clear();
        a(fragmentActivity.d().getFragments(), this.f3288f);
        View findViewById = fragmentActivity.findViewById(16908290);
        Fragment fragment = null;
        while (!view.equals(findViewById) && (fragment = this.f3288f.get(view)) == null && (view.getParent() instanceof View)) {
            view = (View) view.getParent();
        }
        this.f3288f.clear();
        return fragment;
    }

    @Deprecated
    private android.app.Fragment a(View view, Activity activity) {
        this.f3289g.clear();
        a(activity.getFragmentManager(), this.f3289g);
        View findViewById = activity.findViewById(16908290);
        android.app.Fragment fragment = null;
        while (!view.equals(findViewById) && (fragment = this.f3289g.get(view)) == null && (view.getParent() instanceof View)) {
            view = (View) view.getParent();
        }
        this.f3289g.clear();
        return fragment;
    }

    @TargetApi(26)
    @Deprecated
    private void a(FragmentManager fragmentManager, a.d.a<View, android.app.Fragment> aVar) {
        if (Build.VERSION.SDK_INT >= 26) {
            for (android.app.Fragment fragment : fragmentManager.getFragments()) {
                if (fragment.getView() != null) {
                    aVar.put(fragment.getView(), fragment);
                    a(fragment.getChildFragmentManager(), aVar);
                }
            }
            return;
        }
        b(fragmentManager, aVar);
    }

    @TargetApi(17)
    @Deprecated
    public m a(android.app.Fragment fragment) {
        if (fragment.getActivity() == null) {
            throw new IllegalArgumentException("You cannot start a load on a fragment before it is attached");
        } else if (j.b() || Build.VERSION.SDK_INT < 17) {
            return a(fragment.getActivity().getApplicationContext());
        } else {
            return a(fragment.getActivity(), fragment.getChildFragmentManager(), fragment, fragment.isVisible());
        }
    }

    private RequestManagerFragment a(FragmentManager fragmentManager, android.app.Fragment fragment, boolean z) {
        RequestManagerFragment requestManagerFragment = (RequestManagerFragment) fragmentManager.findFragmentByTag("com.bumptech.glide.manager");
        if (requestManagerFragment == null && (requestManagerFragment = this.f3284b.get(fragmentManager)) == null) {
            requestManagerFragment = new RequestManagerFragment();
            requestManagerFragment.a(fragment);
            if (z) {
                requestManagerFragment.a().b();
            }
            this.f3284b.put(fragmentManager, requestManagerFragment);
            fragmentManager.beginTransaction().add(requestManagerFragment, "com.bumptech.glide.manager").commitAllowingStateLoss();
            this.f3286d.obtainMessage(1, fragmentManager).sendToTarget();
        }
        return requestManagerFragment;
    }

    @Deprecated
    private m a(Context context, FragmentManager fragmentManager, android.app.Fragment fragment, boolean z) {
        RequestManagerFragment a2 = a(fragmentManager, fragment, z);
        m b2 = a2.b();
        if (b2 != null) {
            return b2;
        }
        m a3 = this.f3287e.a(e.b(context), a2.a(), a2.c(), context);
        a2.a(a3);
        return a3;
    }

    private SupportRequestManagerFragment a(f fVar, Fragment fragment, boolean z) {
        SupportRequestManagerFragment supportRequestManagerFragment = (SupportRequestManagerFragment) fVar.findFragmentByTag("com.bumptech.glide.manager");
        if (supportRequestManagerFragment == null && (supportRequestManagerFragment = this.f3285c.get(fVar)) == null) {
            supportRequestManagerFragment = new SupportRequestManagerFragment();
            supportRequestManagerFragment.a(fragment);
            if (z) {
                supportRequestManagerFragment.W().b();
            }
            this.f3285c.put(fVar, supportRequestManagerFragment);
            androidx.fragment.app.i beginTransaction = fVar.beginTransaction();
            beginTransaction.a(supportRequestManagerFragment, "com.bumptech.glide.manager");
            beginTransaction.c();
            this.f3286d.obtainMessage(2, fVar).sendToTarget();
        }
        return supportRequestManagerFragment;
    }

    private m a(Context context, f fVar, Fragment fragment, boolean z) {
        SupportRequestManagerFragment a2 = a(fVar, fragment, z);
        m X = a2.X();
        if (X != null) {
            return X;
        }
        m a3 = this.f3287e.a(e.b(context), a2.W(), a2.Y(), context);
        a2.a(a3);
        return a3;
    }
}
