package com.chad.library.adapter.base;

import android.util.SparseArray;
import android.view.View;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.chad.library.adapter.base.provider.BaseItemProvider;
import com.chad.library.adapter.base.util.MultiTypeDelegate;
import com.chad.library.adapter.base.util.ProviderDelegate;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.PluginAgent;
import j.a.a.a;
import j.a.b.b.b;
import java.util.List;

public abstract class MultipleItemRvAdapter<T, V extends BaseViewHolder> extends BaseQuickAdapter<T, V> {
    private SparseArray<BaseItemProvider> mItemProviders;
    protected ProviderDelegate mProviderDelegate;

    public MultipleItemRvAdapter(List<T> list) {
        super(list);
    }

    private void bindClick(final V v, final T t, final int i2, final BaseItemProvider baseItemProvider) {
        BaseQuickAdapter.OnItemClickListener onItemClickListener = getOnItemClickListener();
        BaseQuickAdapter.OnItemLongClickListener onItemLongClickListener = getOnItemLongClickListener();
        if (onItemClickListener == null || onItemLongClickListener == null) {
            View view = v.itemView;
            if (onItemClickListener == null) {
                view.setOnClickListener(new View.OnClickListener() {
                    /* class com.chad.library.adapter.base.MultipleItemRvAdapter.AnonymousClass2 */
                    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_0 = null;

                    /* renamed from: com.chad.library.adapter.base.MultipleItemRvAdapter$2$AjcClosure1 */
                    public class AjcClosure1 extends j.a.b.a.a {
                        public AjcClosure1(Object[] objArr) {
                            super(objArr);
                        }

                        @Override // j.a.b.a.a
                        public Object run(Object[] objArr) {
                            Object[] objArr2 = this.state;
                            AnonymousClass2.onClick_aroundBody0((AnonymousClass2) objArr2[0], (View) objArr2[1], (a) objArr2[2]);
                            return null;
                        }
                    }

                    static {
                        ajc$preClinit();
                    }

                    private static /* synthetic */ void ajc$preClinit() {
                        b bVar = new b("MultipleItemRvAdapter.java", AnonymousClass2.class);
                        ajc$tjp_0 = bVar.a("method-execution", bVar.a(XmlyConstants$ClientOSType.IOS, "onClick", "com.chad.library.adapter.base.MultipleItemRvAdapter$2", "android.view.View", "v", "", "void"), 93);
                    }

                    /* JADX DEBUG: Multi-variable search result rejected for r2v1, resolved type: com.chad.library.adapter.base.provider.BaseItemProvider */
                    /* JADX WARN: Multi-variable type inference failed */
                    static final /* synthetic */ void onClick_aroundBody0(AnonymousClass2 r1, View view, a aVar) {
                        baseItemProvider.onClick(v, t, i2);
                    }

                    public void onClick(View view) {
                        a a2 = b.a(ajc$tjp_0, this, this, view);
                        PluginAgent.aspectOf().onClick(a2);
                        b.a.b().a(new AjcClosure1(new Object[]{this, view, a2}).linkClosureAndJoinPoint(69648));
                    }
                });
            }
            if (onItemLongClickListener == null) {
                view.setOnLongClickListener(new View.OnLongClickListener() {
                    /* class com.chad.library.adapter.base.MultipleItemRvAdapter.AnonymousClass3 */
                    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_0 = null;

                    static {
                        ajc$preClinit();
                    }

                    private static /* synthetic */ void ajc$preClinit() {
                        b bVar = new b("MultipleItemRvAdapter.java", AnonymousClass3.class);
                        ajc$tjp_0 = bVar.a("method-execution", bVar.a(XmlyConstants$ClientOSType.IOS, "onLongClick", "com.chad.library.adapter.base.MultipleItemRvAdapter$3", "android.view.View", "v", "", "boolean"), 104);
                    }

                    /* JADX DEBUG: Multi-variable search result rejected for r4v2, resolved type: com.chad.library.adapter.base.provider.BaseItemProvider */
                    /* JADX WARN: Multi-variable type inference failed */
                    public boolean onLongClick(View view) {
                        PluginAgent.aspectOf().onLongClick(b.a(ajc$tjp_0, this, this, view));
                        return baseItemProvider.onLongClick(v, t, i2);
                    }
                });
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(V v, T t) {
        BaseItemProvider baseItemProvider = this.mItemProviders.get(v.getItemViewType());
        baseItemProvider.mContext = v.itemView.getContext();
        int layoutPosition = v.getLayoutPosition() - getHeaderLayoutCount();
        baseItemProvider.convert(v, t, layoutPosition);
        bindClick(v, t, layoutPosition, baseItemProvider);
    }

    public void finishInitialize() {
        this.mProviderDelegate = new ProviderDelegate();
        setMultiTypeDelegate(new MultiTypeDelegate<T>() {
            /* class com.chad.library.adapter.base.MultipleItemRvAdapter.AnonymousClass1 */

            /* access modifiers changed from: protected */
            @Override // com.chad.library.adapter.base.util.MultiTypeDelegate
            public int getItemType(T t) {
                return MultipleItemRvAdapter.this.getViewType(t);
            }
        });
        registerItemProvider();
        this.mItemProviders = this.mProviderDelegate.getItemProviders();
        for (int i2 = 0; i2 < this.mItemProviders.size(); i2++) {
            int keyAt = this.mItemProviders.keyAt(i2);
            BaseItemProvider baseItemProvider = this.mItemProviders.get(keyAt);
            baseItemProvider.mData = this.mData;
            getMultiTypeDelegate().registerItemType(keyAt, baseItemProvider.layout());
        }
    }

    /* access modifiers changed from: protected */
    public abstract int getViewType(T t);

    public abstract void registerItemProvider();
}
