package com.google.android.material.bottomappbar;

import a.g.l.x;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.Toolbar;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.behavior.HideBottomViewOnScrollBehavior;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.google.android.material.internal.s;
import d.d.a.a.j;
import d.d.a.a.k;
import java.util.ArrayList;
import java.util.List;

public class BottomAppBar extends Toolbar implements CoordinatorLayout.b {
    private final int Q;
    private final d.d.a.a.t.c R;
    private final a S;
    private Animator T;
    private Animator U;
    private Animator V;
    private int W;
    private boolean a0;
    private boolean b0;
    AnimatorListenerAdapter c0;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        int fabAlignmentMode;
        boolean fabAttached;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.fabAlignmentMode);
            parcel.writeInt(this.fabAttached ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.fabAlignmentMode = parcel.readInt();
            this.fabAttached = parcel.readInt() != 0;
        }
    }

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.U = null;
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            BottomAppBar.this.S.e(((Float) valueAnimator.getAnimatedValue()).floatValue());
            BottomAppBar.this.R.invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {
        c() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.V = null;
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        public boolean f3373a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ ActionMenuView f3374b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ int f3375c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ boolean f3376d;

        d(ActionMenuView actionMenuView, int i2, boolean z) {
            this.f3374b = actionMenuView;
            this.f3375c = i2;
            this.f3376d = z;
        }

        public void onAnimationCancel(Animator animator) {
            this.f3373a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f3373a) {
                BottomAppBar.this.a((BottomAppBar) this.f3374b, (ActionMenuView) this.f3375c, (int) this.f3376d);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class e extends AnimatorListenerAdapter {
        e() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.T = null;
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements ValueAnimator.AnimatorUpdateListener {
        f() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            BottomAppBar.this.R.a(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    class g extends AnimatorListenerAdapter {
        g() {
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar bottomAppBar = BottomAppBar.this;
            bottomAppBar.b((BottomAppBar) bottomAppBar.b0);
            BottomAppBar bottomAppBar2 = BottomAppBar.this;
            bottomAppBar2.a((BottomAppBar) bottomAppBar2.W, (int) BottomAppBar.this.b0);
        }
    }

    public BottomAppBar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, d.d.a.a.b.bottomAppBarStyle);
    }

    private ActionMenuView getActionMenuView() {
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (childAt instanceof ActionMenuView) {
                return (ActionMenuView) childAt;
            }
        }
        return null;
    }

    private float getFabTranslationX() {
        return (float) a(this.W);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float getFabTranslationY() {
        return a(this.b0);
    }

    private void l() {
        Animator animator = this.T;
        if (animator != null) {
            animator.cancel();
        }
        Animator animator2 = this.V;
        if (animator2 != null) {
            animator2.cancel();
        }
        Animator animator3 = this.U;
        if (animator3 != null) {
            animator3.cancel();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private FloatingActionButton m() {
        if (!(getParent() instanceof CoordinatorLayout)) {
            return null;
        }
        for (View view : ((CoordinatorLayout) getParent()).c(this)) {
            if (view instanceof FloatingActionButton) {
                return (FloatingActionButton) view;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean n() {
        Animator animator;
        Animator animator2;
        Animator animator3 = this.T;
        return (animator3 != null && animator3.isRunning()) || ((animator = this.V) != null && animator.isRunning()) || ((animator2 = this.U) != null && animator2.isRunning());
    }

    private boolean o() {
        FloatingActionButton m = m();
        return m != null && m.a();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p() {
        this.S.e(getFabTranslationX());
        FloatingActionButton m = m();
        this.R.a((!this.b0 || !o()) ? 0.0f : 1.0f);
        if (m != null) {
            m.setTranslationY(getFabTranslationY());
            m.setTranslationX(getFabTranslationX());
        }
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null) {
            actionMenuView.setAlpha(1.0f);
            if (!o()) {
                a(actionMenuView, 0, false);
            } else {
                a(actionMenuView, this.W, this.b0);
            }
        }
    }

    public ColorStateList getBackgroundTint() {
        return this.R.b();
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.Behavior<BottomAppBar> getBehavior() {
        return new Behavior();
    }

    public float getCradleVerticalOffset() {
        return this.S.a();
    }

    public int getFabAlignmentMode() {
        return this.W;
    }

    public float getFabCradleMargin() {
        return this.S.b();
    }

    public float getFabCradleRoundedCornerRadius() {
        return this.S.c();
    }

    public boolean getHideOnScroll() {
        return this.a0;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        l();
        p();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.W = savedState.fabAlignmentMode;
        this.b0 = savedState.fabAttached;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.fabAlignmentMode = this.W;
        savedState.fabAttached = this.b0;
        return savedState;
    }

    public void setBackgroundTint(ColorStateList colorStateList) {
        androidx.core.graphics.drawable.a.a(this.R, colorStateList);
    }

    public void setCradleVerticalOffset(float f2) {
        if (f2 != getCradleVerticalOffset()) {
            this.S.a(f2);
            this.R.invalidateSelf();
        }
    }

    public void setFabAlignmentMode(int i2) {
        b(i2);
        a(i2, this.b0);
        this.W = i2;
    }

    public void setFabCradleMargin(float f2) {
        if (f2 != getFabCradleMargin()) {
            this.S.b(f2);
            this.R.invalidateSelf();
        }
    }

    public void setFabCradleRoundedCornerRadius(float f2) {
        if (f2 != getFabCradleRoundedCornerRadius()) {
            this.S.c(f2);
            this.R.invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public void setFabDiameter(int i2) {
        float f2 = (float) i2;
        if (f2 != this.S.d()) {
            this.S.d(f2);
            this.R.invalidateSelf();
        }
    }

    public void setHideOnScroll(boolean z) {
        this.a0 = z;
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setSubtitle(CharSequence charSequence) {
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setTitle(CharSequence charSequence) {
    }

    public static class Behavior extends HideBottomViewOnScrollBehavior<BottomAppBar> {

        /* renamed from: d  reason: collision with root package name */
        private final Rect f3369d = new Rect();

        public Behavior() {
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        private boolean a(FloatingActionButton floatingActionButton, BottomAppBar bottomAppBar) {
            ((CoordinatorLayout.e) floatingActionButton.getLayoutParams()).f1493d = 17;
            bottomAppBar.a((BottomAppBar) floatingActionButton);
            return true;
        }

        /* access modifiers changed from: protected */
        public void b(BottomAppBar bottomAppBar) {
            super.b((View) bottomAppBar);
            FloatingActionButton m = bottomAppBar.m();
            if (m != null) {
                m.clearAnimation();
                m.animate().translationY(bottomAppBar.getFabTranslationY()).setInterpolator(d.d.a.a.l.a.f6589d).setDuration(225);
            }
        }

        public boolean a(CoordinatorLayout coordinatorLayout, BottomAppBar bottomAppBar, int i2) {
            FloatingActionButton m = bottomAppBar.m();
            if (m != null) {
                a(m, bottomAppBar);
                m.b(this.f3369d);
                bottomAppBar.setFabDiameter(this.f3369d.height());
            }
            if (!bottomAppBar.n()) {
                bottomAppBar.p();
            }
            coordinatorLayout.c(bottomAppBar, i2);
            return super.a(coordinatorLayout, (View) bottomAppBar, i2);
        }

        /* renamed from: a */
        public boolean b(CoordinatorLayout coordinatorLayout, BottomAppBar bottomAppBar, View view, View view2, int i2, int i3) {
            return bottomAppBar.getHideOnScroll() && super.b(coordinatorLayout, bottomAppBar, view, view2, i2, i3);
        }

        /* access modifiers changed from: protected */
        public void a(BottomAppBar bottomAppBar) {
            super.a((View) bottomAppBar);
            FloatingActionButton m = bottomAppBar.m();
            if (m != null) {
                m.a(this.f3369d);
                m.clearAnimation();
                m.animate().translationY(((float) (-m.getPaddingBottom())) + ((float) (m.getMeasuredHeight() - this.f3369d.height()))).setInterpolator(d.d.a.a.l.a.f6588c).setDuration(175);
            }
        }
    }

    public BottomAppBar(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.b0 = true;
        this.c0 = new g();
        TypedArray c2 = s.c(context, attributeSet, k.BottomAppBar, i2, j.Widget_MaterialComponents_BottomAppBar, new int[0]);
        ColorStateList a2 = d.d.a.a.q.a.a(context, c2, k.BottomAppBar_backgroundTint);
        this.W = c2.getInt(k.BottomAppBar_fabAlignmentMode, 0);
        this.a0 = c2.getBoolean(k.BottomAppBar_hideOnScroll, false);
        c2.recycle();
        this.Q = getResources().getDimensionPixelOffset(d.d.a.a.d.mtrl_bottomappbar_fabOffsetEndMode);
        this.S = new a((float) c2.getDimensionPixelOffset(k.BottomAppBar_fabCradleMargin, 0), (float) c2.getDimensionPixelOffset(k.BottomAppBar_fabCradleRoundedCornerRadius, 0), (float) c2.getDimensionPixelOffset(k.BottomAppBar_fabCradleVerticalOffset, 0));
        d.d.a.a.t.e eVar = new d.d.a.a.t.e();
        eVar.a(this.S);
        this.R = new d.d.a.a.t.c(eVar);
        this.R.a(true);
        this.R.a(Paint.Style.FILL);
        androidx.core.graphics.drawable.a.a(this.R, a2);
        x.a(this, this.R);
    }

    private void b(int i2) {
        if (this.W != i2 && x.F(this)) {
            Animator animator = this.U;
            if (animator != null) {
                animator.cancel();
            }
            ArrayList arrayList = new ArrayList();
            a(i2, arrayList);
            b(i2, arrayList);
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(arrayList);
            this.U = animatorSet;
            this.U.addListener(new a());
            this.U.start();
        }
    }

    private void a(int i2, List<Animator> list) {
        if (this.b0) {
            ValueAnimator ofFloat = ValueAnimator.ofFloat(this.S.e(), (float) a(i2));
            ofFloat.addUpdateListener(new b());
            ofFloat.setDuration(300L);
            list.add(ofFloat);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, boolean z) {
        if (x.F(this)) {
            Animator animator = this.V;
            if (animator != null) {
                animator.cancel();
            }
            ArrayList arrayList = new ArrayList();
            if (!o()) {
                i2 = 0;
                z = false;
            }
            a(i2, z, arrayList);
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(arrayList);
            this.V = animatorSet;
            this.V.addListener(new c());
            this.V.start();
        }
    }

    private void b(int i2, List<Animator> list) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(m(), "translationX", (float) a(i2));
        ofFloat.setDuration(300L);
        list.add(ofFloat);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(boolean z) {
        if (x.F(this)) {
            Animator animator = this.T;
            if (animator != null) {
                animator.cancel();
            }
            ArrayList arrayList = new ArrayList();
            a(z && o(), arrayList);
            b(z, arrayList);
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(arrayList);
            this.T = animatorSet;
            this.T.addListener(new e());
            this.T.start();
        }
    }

    private void a(int i2, boolean z, List<Animator> list) {
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null) {
            Animator ofFloat = ObjectAnimator.ofFloat(actionMenuView, "alpha", 1.0f);
            if ((this.b0 || (z && o())) && (this.W == 1 || i2 == 1)) {
                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(actionMenuView, "alpha", 0.0f);
                ofFloat2.addListener(new d(actionMenuView, i2, z));
                AnimatorSet animatorSet = new AnimatorSet();
                animatorSet.setDuration(150L);
                animatorSet.playSequentially(ofFloat2, ofFloat);
                list.add(animatorSet);
            } else if (actionMenuView.getAlpha() < 1.0f) {
                list.add(ofFloat);
            }
        }
    }

    private void b(boolean z, List<Animator> list) {
        FloatingActionButton m = m();
        if (m != null) {
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(m, "translationY", a(z));
            ofFloat.setDuration(300L);
            list.add(ofFloat);
        }
    }

    private void b(FloatingActionButton floatingActionButton) {
        floatingActionButton.c(this.c0);
        floatingActionButton.d(this.c0);
    }

    private void a(boolean z, List<Animator> list) {
        if (z) {
            this.S.e(getFabTranslationX());
        }
        float[] fArr = new float[2];
        fArr[0] = this.R.a();
        fArr[1] = z ? 1.0f : 0.0f;
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.addUpdateListener(new f());
        ofFloat.setDuration(300L);
        list.add(ofFloat);
    }

    private float a(boolean z) {
        FloatingActionButton m = m();
        if (m == null) {
            return 0.0f;
        }
        Rect rect = new Rect();
        m.a(rect);
        float height = (float) rect.height();
        if (height == 0.0f) {
            height = (float) m.getMeasuredHeight();
        }
        float height2 = (float) (m.getHeight() - rect.height());
        float height3 = (-getCradleVerticalOffset()) + (height / 2.0f) + ((float) (m.getHeight() - rect.bottom));
        float paddingBottom = height2 - ((float) m.getPaddingBottom());
        float f2 = (float) (-getMeasuredHeight());
        if (z) {
            paddingBottom = height3;
        }
        return f2 + paddingBottom;
    }

    private int a(int i2) {
        int i3 = 1;
        boolean z = x.o(this) == 1;
        if (i2 != 1) {
            return 0;
        }
        int measuredWidth = (getMeasuredWidth() / 2) - this.Q;
        if (z) {
            i3 = -1;
        }
        return measuredWidth * i3;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(ActionMenuView actionMenuView, int i2, boolean z) {
        boolean z2 = x.o(this) == 1;
        int i3 = 0;
        for (int i4 = 0; i4 < getChildCount(); i4++) {
            View childAt = getChildAt(i4);
            if ((childAt.getLayoutParams() instanceof Toolbar.LayoutParams) && (((Toolbar.LayoutParams) childAt.getLayoutParams()).f693a & 8388615) == 8388611) {
                i3 = Math.max(i3, z2 ? childAt.getLeft() : childAt.getRight());
            }
        }
        actionMenuView.setTranslationX((i2 != 1 || !z) ? 0.0f : (float) (i3 - (z2 ? actionMenuView.getRight() : actionMenuView.getLeft())));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(FloatingActionButton floatingActionButton) {
        b(floatingActionButton);
        floatingActionButton.a(this.c0);
        floatingActionButton.b(this.c0);
    }
}
