package com.google.android.material.bottomnavigation;

import a.g.k.e;
import a.g.k.g;
import a.g.l.x;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.view.menu.e0;
import androidx.appcompat.view.menu.t;
import androidx.appcompat.view.menu.w;
import androidx.transition.AutoTransition;
import androidx.transition.TransitionSet;
import com.google.android.material.internal.r;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.PluginAgent;
import d.d.a.a.d;
import j.a.a.a;
import j.a.b.b.b;

public class BottomNavigationMenuView extends ViewGroup implements e0 {
    private static final int[] A = {-16842910};
    private static final int[] z = {16842912};

    /* renamed from: a  reason: collision with root package name */
    private final TransitionSet f3396a;

    /* renamed from: b  reason: collision with root package name */
    private final int f3397b;

    /* renamed from: c  reason: collision with root package name */
    private final int f3398c;

    /* renamed from: d  reason: collision with root package name */
    private final int f3399d;

    /* renamed from: e  reason: collision with root package name */
    private final int f3400e;

    /* renamed from: f  reason: collision with root package name */
    private final int f3401f;

    /* renamed from: g  reason: collision with root package name */
    private final View.OnClickListener f3402g;

    /* renamed from: h  reason: collision with root package name */
    private final e<BottomNavigationItemView> f3403h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f3404i;

    /* renamed from: j  reason: collision with root package name */
    private int f3405j;
    private BottomNavigationItemView[] k;
    private int l;
    private int m;
    private ColorStateList o;
    private int p;
    private ColorStateList q;
    private final ColorStateList r;
    private int s;
    private int t;
    private Drawable u;
    private int v;
    private int[] w;
    private BottomNavigationPresenter x;
    private t y;

    class a implements View.OnClickListener {

        /* renamed from: b  reason: collision with root package name */
        private static final /* synthetic */ a.AbstractC0243a f3406b = null;

        static {
            a();
        }

        a() {
        }

        private static /* synthetic */ void a() {
            b bVar = new b("BottomNavigationMenuView.java", a.class);
            f3406b = bVar.a("method-execution", bVar.a(XmlyConstants$ClientOSType.IOS, "onClick", "com.google.android.material.bottomnavigation.BottomNavigationMenuView$1", "android.view.View", "v", "", "void"), 113);
        }

        public void onClick(View view) {
            j.a.a.a a2 = b.a(f3406b, this, this, view);
            PluginAgent.aspectOf().onClick(a2);
            b.a.b().a(new c(new Object[]{this, view, a2}).linkClosureAndJoinPoint(69648));
        }

        static final /* synthetic */ void a(a aVar, View view, j.a.a.a aVar2) {
            w itemData = ((BottomNavigationItemView) view).getItemData();
            if (!BottomNavigationMenuView.this.y.a(itemData, BottomNavigationMenuView.this.x, 0)) {
                itemData.setChecked(true);
            }
        }
    }

    public BottomNavigationMenuView(Context context) {
        this(context, null);
    }

    private boolean a(int i2, int i3) {
        if (i2 == -1) {
            if (i3 > 3) {
                return true;
            }
        } else if (i2 == 0) {
            return true;
        }
        return false;
    }

    private BottomNavigationItemView getNewItem() {
        BottomNavigationItemView a2 = this.f3403h.a();
        return a2 == null ? new BottomNavigationItemView(getContext()) : a2;
    }

    public void c() {
        t tVar = this.y;
        if (!(tVar == null || this.k == null)) {
            int size = tVar.size();
            if (size != this.k.length) {
                a();
                return;
            }
            int i2 = this.l;
            for (int i3 = 0; i3 < size; i3++) {
                MenuItem item = this.y.getItem(i3);
                if (item.isChecked()) {
                    this.l = item.getItemId();
                    this.m = i3;
                }
            }
            if (i2 != this.l) {
                androidx.transition.t.a(this, this.f3396a);
            }
            boolean a2 = a(this.f3405j, this.y.n().size());
            for (int i4 = 0; i4 < size; i4++) {
                this.x.b(true);
                this.k[i4].setLabelVisibilityMode(this.f3405j);
                this.k[i4].setShifting(a2);
                this.k[i4].a((w) this.y.getItem(i4), 0);
                this.x.b(false);
            }
        }
    }

    public ColorStateList getIconTintList() {
        return this.o;
    }

    public Drawable getItemBackground() {
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr == null || bottomNavigationItemViewArr.length <= 0) {
            return this.u;
        }
        return bottomNavigationItemViewArr[0].getBackground();
    }

    @Deprecated
    public int getItemBackgroundRes() {
        return this.v;
    }

    public int getItemIconSize() {
        return this.p;
    }

    public int getItemTextAppearanceActive() {
        return this.t;
    }

    public int getItemTextAppearanceInactive() {
        return this.s;
    }

    public ColorStateList getItemTextColor() {
        return this.q;
    }

    public int getLabelVisibilityMode() {
        return this.f3405j;
    }

    public int getSelectedItemId() {
        return this.l;
    }

    public int getWindowAnimations() {
        return 0;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int childCount = getChildCount();
        int i6 = i4 - i2;
        int i7 = i5 - i3;
        int i8 = 0;
        for (int i9 = 0; i9 < childCount; i9++) {
            View childAt = getChildAt(i9);
            if (childAt.getVisibility() != 8) {
                if (x.o(this) == 1) {
                    int i10 = i6 - i8;
                    childAt.layout(i10 - childAt.getMeasuredWidth(), 0, i10, i7);
                } else {
                    childAt.layout(i8, 0, childAt.getMeasuredWidth() + i8, i7);
                }
                i8 += childAt.getMeasuredWidth();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int size = View.MeasureSpec.getSize(i2);
        int size2 = this.y.n().size();
        int childCount = getChildCount();
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.f3401f, 1073741824);
        if (!a(this.f3405j, size2) || !this.f3404i) {
            int min = Math.min(size / (size2 == 0 ? 1 : size2), this.f3399d);
            int i4 = size - (size2 * min);
            for (int i5 = 0; i5 < childCount; i5++) {
                if (getChildAt(i5).getVisibility() != 8) {
                    int[] iArr = this.w;
                    iArr[i5] = min;
                    if (i4 > 0) {
                        iArr[i5] = iArr[i5] + 1;
                        i4--;
                    }
                } else {
                    this.w[i5] = 0;
                }
            }
        } else {
            View childAt = getChildAt(this.m);
            int i6 = this.f3400e;
            if (childAt.getVisibility() != 8) {
                childAt.measure(View.MeasureSpec.makeMeasureSpec(this.f3399d, Integer.MIN_VALUE), makeMeasureSpec);
                i6 = Math.max(i6, childAt.getMeasuredWidth());
            }
            int i7 = size2 - (childAt.getVisibility() != 8 ? 1 : 0);
            int min2 = Math.min(size - (this.f3398c * i7), Math.min(i6, this.f3399d));
            int i8 = size - min2;
            int min3 = Math.min(i8 / (i7 == 0 ? 1 : i7), this.f3397b);
            int i9 = i8 - (i7 * min3);
            int i10 = 0;
            while (i10 < childCount) {
                if (getChildAt(i10).getVisibility() != 8) {
                    this.w[i10] = i10 == this.m ? min2 : min3;
                    if (i9 > 0) {
                        int[] iArr2 = this.w;
                        iArr2[i10] = iArr2[i10] + 1;
                        i9--;
                    }
                } else {
                    this.w[i10] = 0;
                }
                i10++;
            }
        }
        int i11 = 0;
        for (int i12 = 0; i12 < childCount; i12++) {
            View childAt2 = getChildAt(i12);
            if (childAt2.getVisibility() != 8) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec(this.w[i12], 1073741824), makeMeasureSpec);
                childAt2.getLayoutParams().width = childAt2.getMeasuredWidth();
                i11 += childAt2.getMeasuredWidth();
            }
        }
        setMeasuredDimension(View.resolveSizeAndState(i11, View.MeasureSpec.makeMeasureSpec(i11, 1073741824), 0), View.resolveSizeAndState(this.f3401f, makeMeasureSpec, 0));
    }

    public void setIconTintList(ColorStateList colorStateList) {
        this.o = colorStateList;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setIconTintList(colorStateList);
            }
        }
    }

    public void setItemBackground(Drawable drawable) {
        this.u = drawable;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setItemBackground(drawable);
            }
        }
    }

    public void setItemBackgroundRes(int i2) {
        this.v = i2;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setItemBackground(i2);
            }
        }
    }

    public void setItemHorizontalTranslationEnabled(boolean z2) {
        this.f3404i = z2;
    }

    public void setItemIconSize(int i2) {
        this.p = i2;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setIconSize(i2);
            }
        }
    }

    public void setItemTextAppearanceActive(int i2) {
        this.t = i2;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setTextAppearanceActive(i2);
                ColorStateList colorStateList = this.q;
                if (colorStateList != null) {
                    bottomNavigationItemView.setTextColor(colorStateList);
                }
            }
        }
    }

    public void setItemTextAppearanceInactive(int i2) {
        this.s = i2;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setTextAppearanceInactive(i2);
                ColorStateList colorStateList = this.q;
                if (colorStateList != null) {
                    bottomNavigationItemView.setTextColor(colorStateList);
                }
            }
        }
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.q = colorStateList;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setTextColor(colorStateList);
            }
        }
    }

    public void setLabelVisibilityMode(int i2) {
        this.f3405j = i2;
    }

    public void setPresenter(BottomNavigationPresenter bottomNavigationPresenter) {
        this.x = bottomNavigationPresenter;
    }

    public BottomNavigationMenuView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f3403h = new g(5);
        this.l = 0;
        this.m = 0;
        Resources resources = getResources();
        this.f3397b = resources.getDimensionPixelSize(d.design_bottom_navigation_item_max_width);
        this.f3398c = resources.getDimensionPixelSize(d.design_bottom_navigation_item_min_width);
        this.f3399d = resources.getDimensionPixelSize(d.design_bottom_navigation_active_item_max_width);
        this.f3400e = resources.getDimensionPixelSize(d.design_bottom_navigation_active_item_min_width);
        this.f3401f = resources.getDimensionPixelSize(d.design_bottom_navigation_height);
        this.r = a(16842808);
        this.f3396a = new AutoTransition();
        this.f3396a.b(0);
        this.f3396a.a(115L);
        this.f3396a.a((TimeInterpolator) new a.j.a.a.b());
        this.f3396a.a(new r());
        this.f3402g = new a();
        this.w = new int[5];
    }

    @Override // androidx.appcompat.view.menu.e0
    public void a(t tVar) {
        this.y = tVar;
    }

    public boolean b() {
        return this.f3404i;
    }

    public ColorStateList a(int i2) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i2, typedValue, true)) {
            return null;
        }
        ColorStateList b2 = a.a.k.a.a.b(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(a.a.a.colorPrimary, typedValue, true)) {
            return null;
        }
        int i3 = typedValue.data;
        int defaultColor = b2.getDefaultColor();
        return new ColorStateList(new int[][]{A, z, ViewGroup.EMPTY_STATE_SET}, new int[]{b2.getColorForState(A, defaultColor), i3, defaultColor});
    }

    /* access modifiers changed from: package-private */
    public void b(int i2) {
        int size = this.y.size();
        for (int i3 = 0; i3 < size; i3++) {
            MenuItem item = this.y.getItem(i3);
            if (i2 == item.getItemId()) {
                this.l = i2;
                this.m = i3;
                item.setChecked(true);
                return;
            }
        }
    }

    public void a() {
        removeAllViews();
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.k;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                if (bottomNavigationItemView != null) {
                    this.f3403h.a(bottomNavigationItemView);
                }
            }
        }
        if (this.y.size() == 0) {
            this.l = 0;
            this.m = 0;
            this.k = null;
            return;
        }
        this.k = new BottomNavigationItemView[this.y.size()];
        boolean a2 = a(this.f3405j, this.y.n().size());
        for (int i2 = 0; i2 < this.y.size(); i2++) {
            this.x.b(true);
            this.y.getItem(i2).setCheckable(true);
            this.x.b(false);
            BottomNavigationItemView newItem = getNewItem();
            this.k[i2] = newItem;
            newItem.setIconTintList(this.o);
            newItem.setIconSize(this.p);
            newItem.setTextColor(this.r);
            newItem.setTextAppearanceInactive(this.s);
            newItem.setTextAppearanceActive(this.t);
            newItem.setTextColor(this.q);
            Drawable drawable = this.u;
            if (drawable != null) {
                newItem.setItemBackground(drawable);
            } else {
                newItem.setItemBackground(this.v);
            }
            newItem.setShifting(a2);
            newItem.setLabelVisibilityMode(this.f3405j);
            newItem.a((w) this.y.getItem(i2), 0);
            newItem.setItemPosition(i2);
            newItem.setOnClickListener(this.f3402g);
            addView(newItem);
        }
        this.m = Math.min(this.y.size() - 1, this.m);
        this.y.getItem(this.m).setChecked(true);
    }
}
