package com.google.android.material.bottomnavigation;

import a.a.n.g;
import a.g.l.x;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.t;
import androidx.appcompat.widget.p0;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.internal.s;
import d.d.a.a.d;
import d.d.a.a.j;
import d.d.a.a.k;

public class BottomNavigationView extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private final t f3412a;

    /* renamed from: b  reason: collision with root package name */
    private final BottomNavigationMenuView f3413b;

    /* renamed from: c  reason: collision with root package name */
    private final BottomNavigationPresenter f3414c;

    /* renamed from: d  reason: collision with root package name */
    private MenuInflater f3415d;

    /* renamed from: e  reason: collision with root package name */
    private c f3416e;

    /* renamed from: f  reason: collision with root package name */
    private b f3417f;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        Bundle menuPresenterState;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private void readFromParcel(Parcel parcel, ClassLoader classLoader) {
            this.menuPresenterState = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeBundle(this.menuPresenterState);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            readFromParcel(parcel, classLoader);
        }
    }

    class a implements t.a {
        a() {
        }

        @Override // androidx.appcompat.view.menu.t.a
        public void a(t tVar) {
        }

        @Override // androidx.appcompat.view.menu.t.a
        public boolean a(t tVar, MenuItem menuItem) {
            if (BottomNavigationView.this.f3417f != null && menuItem.getItemId() == BottomNavigationView.this.getSelectedItemId()) {
                BottomNavigationView.this.f3417f.a(menuItem);
                return true;
            } else if (BottomNavigationView.this.f3416e == null || BottomNavigationView.this.f3416e.a(menuItem)) {
                return false;
            } else {
                return true;
            }
        }
    }

    public interface b {
        void a(MenuItem menuItem);
    }

    public interface c {
        boolean a(MenuItem menuItem);
    }

    public BottomNavigationView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, d.d.a.a.b.bottomNavigationStyle);
    }

    private MenuInflater getMenuInflater() {
        if (this.f3415d == null) {
            this.f3415d = new g(getContext());
        }
        return this.f3415d;
    }

    public Drawable getItemBackground() {
        return this.f3413b.getItemBackground();
    }

    @Deprecated
    public int getItemBackgroundResource() {
        return this.f3413b.getItemBackgroundRes();
    }

    public int getItemIconSize() {
        return this.f3413b.getItemIconSize();
    }

    public ColorStateList getItemIconTintList() {
        return this.f3413b.getIconTintList();
    }

    public int getItemTextAppearanceActive() {
        return this.f3413b.getItemTextAppearanceActive();
    }

    public int getItemTextAppearanceInactive() {
        return this.f3413b.getItemTextAppearanceInactive();
    }

    public ColorStateList getItemTextColor() {
        return this.f3413b.getItemTextColor();
    }

    public int getLabelVisibilityMode() {
        return this.f3413b.getLabelVisibilityMode();
    }

    public int getMaxItemCount() {
        return 5;
    }

    public Menu getMenu() {
        return this.f3412a;
    }

    public int getSelectedItemId() {
        return this.f3413b.getSelectedItemId();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f3412a.b(savedState.menuPresenterState);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.menuPresenterState = new Bundle();
        this.f3412a.d(savedState.menuPresenterState);
        return savedState;
    }

    public void setItemBackground(Drawable drawable) {
        this.f3413b.setItemBackground(drawable);
    }

    public void setItemBackgroundResource(int i2) {
        this.f3413b.setItemBackgroundRes(i2);
    }

    public void setItemHorizontalTranslationEnabled(boolean z) {
        if (this.f3413b.b() != z) {
            this.f3413b.setItemHorizontalTranslationEnabled(z);
            this.f3414c.a(false);
        }
    }

    public void setItemIconSize(int i2) {
        this.f3413b.setItemIconSize(i2);
    }

    public void setItemIconSizeRes(int i2) {
        setItemIconSize(getResources().getDimensionPixelSize(i2));
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        this.f3413b.setIconTintList(colorStateList);
    }

    public void setItemTextAppearanceActive(int i2) {
        this.f3413b.setItemTextAppearanceActive(i2);
    }

    public void setItemTextAppearanceInactive(int i2) {
        this.f3413b.setItemTextAppearanceInactive(i2);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.f3413b.setItemTextColor(colorStateList);
    }

    public void setLabelVisibilityMode(int i2) {
        if (this.f3413b.getLabelVisibilityMode() != i2) {
            this.f3413b.setLabelVisibilityMode(i2);
            this.f3414c.a(false);
        }
    }

    public void setOnNavigationItemReselectedListener(b bVar) {
        this.f3417f = bVar;
    }

    public void setOnNavigationItemSelectedListener(c cVar) {
        this.f3416e = cVar;
    }

    public void setSelectedItemId(int i2) {
        MenuItem findItem = this.f3412a.findItem(i2);
        if (findItem != null && !this.f3412a.a(findItem, this.f3414c, 0)) {
            findItem.setChecked(true);
        }
    }

    public BottomNavigationView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f3414c = new BottomNavigationPresenter();
        this.f3412a = new b(context);
        this.f3413b = new BottomNavigationMenuView(context);
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-2, -2);
        layoutParams.gravity = 17;
        this.f3413b.setLayoutParams(layoutParams);
        this.f3414c.a(this.f3413b);
        this.f3414c.a(1);
        this.f3413b.setPresenter(this.f3414c);
        this.f3412a.a(this.f3414c);
        this.f3414c.a(getContext(), this.f3412a);
        p0 d2 = s.d(context, attributeSet, k.BottomNavigationView, i2, j.Widget_Design_BottomNavigationView, k.BottomNavigationView_itemTextAppearanceInactive, k.BottomNavigationView_itemTextAppearanceActive);
        if (d2.g(k.BottomNavigationView_itemIconTint)) {
            this.f3413b.setIconTintList(d2.a(k.BottomNavigationView_itemIconTint));
        } else {
            BottomNavigationMenuView bottomNavigationMenuView = this.f3413b;
            bottomNavigationMenuView.setIconTintList(bottomNavigationMenuView.a(16842808));
        }
        setItemIconSize(d2.c(k.BottomNavigationView_itemIconSize, getResources().getDimensionPixelSize(d.design_bottom_navigation_icon_size)));
        if (d2.g(k.BottomNavigationView_itemTextAppearanceInactive)) {
            setItemTextAppearanceInactive(d2.g(k.BottomNavigationView_itemTextAppearanceInactive, 0));
        }
        if (d2.g(k.BottomNavigationView_itemTextAppearanceActive)) {
            setItemTextAppearanceActive(d2.g(k.BottomNavigationView_itemTextAppearanceActive, 0));
        }
        if (d2.g(k.BottomNavigationView_itemTextColor)) {
            setItemTextColor(d2.a(k.BottomNavigationView_itemTextColor));
        }
        if (d2.g(k.BottomNavigationView_elevation)) {
            x.a(this, (float) d2.c(k.BottomNavigationView_elevation, 0));
        }
        setLabelVisibilityMode(d2.e(k.BottomNavigationView_labelVisibilityMode, -1));
        setItemHorizontalTranslationEnabled(d2.a(k.BottomNavigationView_itemHorizontalTranslationEnabled, true));
        this.f3413b.setItemBackgroundRes(d2.g(k.BottomNavigationView_itemBackground, 0));
        if (d2.g(k.BottomNavigationView_menu)) {
            a(d2.g(k.BottomNavigationView_menu, 0));
        }
        d2.a();
        addView(this.f3413b, layoutParams);
        if (Build.VERSION.SDK_INT < 21) {
            a(context);
        }
        this.f3412a.a(new a());
    }

    public void a(int i2) {
        this.f3414c.b(true);
        getMenuInflater().inflate(i2, this.f3412a);
        this.f3414c.b(false);
        this.f3414c.a(true);
    }

    private void a(Context context) {
        View view = new View(context);
        view.setBackgroundColor(a.g.d.a.a(context, d.d.a.a.c.design_bottom_navigation_shadow_color));
        view.setLayoutParams(new FrameLayout.LayoutParams(-1, getResources().getDimensionPixelSize(d.design_bottom_navigation_shadow_height)));
        addView(view);
    }
}
