package com.google.android.material.bottomsheet;

import a.g.l.x;
import a.i.a.c;
import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.customview.view.AbsSavedState;
import d.d.a.a.d;
import d.d.a.a.k;
import java.lang.ref.WeakReference;
import java.util.HashMap;
import java.util.Map;

public class BottomSheetBehavior<V extends View> extends CoordinatorLayout.Behavior<V> {

    /* renamed from: a  reason: collision with root package name */
    private boolean f3419a = true;

    /* renamed from: b  reason: collision with root package name */
    private float f3420b;

    /* renamed from: c  reason: collision with root package name */
    private int f3421c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f3422d;

    /* renamed from: e  reason: collision with root package name */
    private int f3423e;

    /* renamed from: f  reason: collision with root package name */
    private int f3424f;

    /* renamed from: g  reason: collision with root package name */
    int f3425g;

    /* renamed from: h  reason: collision with root package name */
    int f3426h;

    /* renamed from: i  reason: collision with root package name */
    int f3427i;

    /* renamed from: j  reason: collision with root package name */
    boolean f3428j;
    private boolean k;
    int l = 4;
    a.i.a.c m;
    private boolean n;
    private int o;
    private boolean p;
    int q;
    WeakReference<V> r;
    WeakReference<View> s;
    private b t;
    private VelocityTracker u;
    int v;
    private int w;
    boolean x;
    private Map<View, Integer> y;
    private final c.AbstractC0022c z = new a();

    /* access modifiers changed from: protected */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        final int state;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, (ClassLoader) null);
            }
        }

        public SavedState(Parcel parcel) {
            this(parcel, (ClassLoader) null);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.state);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.state = parcel.readInt();
        }

        public SavedState(Parcelable parcelable, int i2) {
            super(parcelable);
            this.state = i2;
        }
    }

    class a extends c.AbstractC0022c {
        a() {
        }

        @Override // a.i.a.c.AbstractC0022c
        public void a(View view, int i2, int i3, int i4, int i5) {
            BottomSheetBehavior.this.a(i3);
        }

        @Override // a.i.a.c.AbstractC0022c
        public boolean b(View view, int i2) {
            WeakReference<V> weakReference;
            View view2;
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            int i3 = bottomSheetBehavior.l;
            if (i3 == 1 || bottomSheetBehavior.x) {
                return false;
            }
            if ((i3 != 3 || bottomSheetBehavior.v != i2 || (view2 = bottomSheetBehavior.s.get()) == null || !view2.canScrollVertically(-1)) && (weakReference = BottomSheetBehavior.this.r) != null && weakReference.get() == view) {
                return true;
            }
            return false;
        }

        @Override // a.i.a.c.AbstractC0022c
        public void c(int i2) {
            if (i2 == 1) {
                BottomSheetBehavior.this.c(1);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:44:0x00d5  */
        /* JADX WARNING: Removed duplicated region for block: B:45:0x00e6  */
        @Override // a.i.a.c.AbstractC0022c
        public void a(View view, float f2, float f3) {
            int i2;
            int i3;
            int i4;
            int i5 = 4;
            if (f3 >= 0.0f) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (bottomSheetBehavior.f3428j && bottomSheetBehavior.a(view, f3) && (view.getTop() > BottomSheetBehavior.this.f3427i || Math.abs(f2) < Math.abs(f3))) {
                    i2 = BottomSheetBehavior.this.q;
                    i5 = 5;
                    if (!BottomSheetBehavior.this.m.d(view.getLeft(), i2)) {
                    }
                } else if (f3 == 0.0f || Math.abs(f2) > Math.abs(f3)) {
                    int top = view.getTop();
                    if (!BottomSheetBehavior.this.f3419a) {
                        BottomSheetBehavior bottomSheetBehavior2 = BottomSheetBehavior.this;
                        int i6 = bottomSheetBehavior2.f3426h;
                        if (top < i6) {
                            if (top >= Math.abs(top - bottomSheetBehavior2.f3427i)) {
                                i3 = BottomSheetBehavior.this.f3426h;
                            }
                            i2 = 0;
                        } else if (Math.abs(top - i6) < Math.abs(top - BottomSheetBehavior.this.f3427i)) {
                            i3 = BottomSheetBehavior.this.f3426h;
                        } else {
                            i4 = BottomSheetBehavior.this.f3427i;
                        }
                        i2 = i3;
                        i5 = 6;
                        if (!BottomSheetBehavior.this.m.d(view.getLeft(), i2)) {
                        }
                    } else if (Math.abs(top - BottomSheetBehavior.this.f3425g) < Math.abs(top - BottomSheetBehavior.this.f3427i)) {
                        i2 = BottomSheetBehavior.this.f3425g;
                    } else {
                        i4 = BottomSheetBehavior.this.f3427i;
                    }
                    i2 = i4;
                    if (!BottomSheetBehavior.this.m.d(view.getLeft(), i2)) {
                    }
                } else {
                    i2 = BottomSheetBehavior.this.f3427i;
                    if (!BottomSheetBehavior.this.m.d(view.getLeft(), i2)) {
                    }
                }
            } else if (BottomSheetBehavior.this.f3419a) {
                i2 = BottomSheetBehavior.this.f3425g;
            } else {
                int top2 = view.getTop();
                int i7 = BottomSheetBehavior.this.f3426h;
                if (top2 > i7) {
                    i2 = i7;
                    i5 = 6;
                    if (!BottomSheetBehavior.this.m.d(view.getLeft(), i2)) {
                        BottomSheetBehavior.this.c(2);
                        x.a(view, new c(view, i5));
                        return;
                    }
                    BottomSheetBehavior.this.c(i5);
                    return;
                }
                i2 = 0;
            }
            i5 = 3;
            if (!BottomSheetBehavior.this.m.d(view.getLeft(), i2)) {
            }
        }

        @Override // a.i.a.c.AbstractC0022c
        public int b(View view, int i2, int i3) {
            int c2 = BottomSheetBehavior.this.c();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return a.g.g.a.a(i2, c2, bottomSheetBehavior.f3428j ? bottomSheetBehavior.q : bottomSheetBehavior.f3427i);
        }

        @Override // a.i.a.c.AbstractC0022c
        public int b(View view) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            if (bottomSheetBehavior.f3428j) {
                return bottomSheetBehavior.q;
            }
            return bottomSheetBehavior.f3427i;
        }

        @Override // a.i.a.c.AbstractC0022c
        public int a(View view, int i2, int i3) {
            return view.getLeft();
        }
    }

    public static abstract class b {
        public abstract void a(View view, float f2);

        public abstract void a(View view, int i2);
    }

    private class c implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private final View f3430a;

        /* renamed from: b  reason: collision with root package name */
        private final int f3431b;

        c(View view, int i2) {
            this.f3430a = view;
            this.f3431b = i2;
        }

        public void run() {
            a.i.a.c cVar = BottomSheetBehavior.this.m;
            if (cVar == null || !cVar.a(true)) {
                BottomSheetBehavior.this.c(this.f3431b);
            } else {
                x.a(this.f3430a, this);
            }
        }
    }

    public BottomSheetBehavior() {
    }

    private void e() {
        this.v = -1;
        VelocityTracker velocityTracker = this.u;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.u = null;
        }
    }

    public void c(boolean z2) {
        this.k = z2;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public Parcelable d(CoordinatorLayout coordinatorLayout, V v2) {
        return new SavedState(super.d(coordinatorLayout, v2), this.l);
    }

    private float d() {
        VelocityTracker velocityTracker = this.u;
        if (velocityTracker == null) {
            return 0.0f;
        }
        velocityTracker.computeCurrentVelocity(1000, this.f3420b);
        return this.u.getYVelocity(this.v);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void a(CoordinatorLayout coordinatorLayout, V v2, Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.a(coordinatorLayout, v2, savedState.getSuperState());
        int i2 = savedState.state;
        if (i2 == 1 || i2 == 2) {
            this.l = 4;
        } else {
            this.l = i2;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean b(CoordinatorLayout coordinatorLayout, V v2, MotionEvent motionEvent) {
        if (!v2.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.l == 1 && actionMasked == 0) {
            return true;
        }
        a.i.a.c cVar = this.m;
        if (cVar != null) {
            cVar.a(motionEvent);
        }
        if (actionMasked == 0) {
            e();
        }
        if (this.u == null) {
            this.u = VelocityTracker.obtain();
        }
        this.u.addMovement(motionEvent);
        if (actionMasked == 2 && !this.n && Math.abs(((float) this.w) - motionEvent.getY()) > ((float) this.m.e())) {
            this.m.a(v2, motionEvent.getPointerId(motionEvent.getActionIndex()));
        }
        return !this.n;
    }

    /* access modifiers changed from: package-private */
    public void c(int i2) {
        b bVar;
        if (this.l != i2) {
            this.l = i2;
            if (i2 == 6 || i2 == 3) {
                d(true);
            } else if (i2 == 5 || i2 == 4) {
                d(false);
            }
            V v2 = this.r.get();
            if (v2 != null && (bVar = this.t) != null) {
                bVar.a((View) v2, i2);
            }
        }
    }

    public BottomSheetBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        int i2;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.BottomSheetBehavior_Layout);
        TypedValue peekValue = obtainStyledAttributes.peekValue(k.BottomSheetBehavior_Layout_behavior_peekHeight);
        if (peekValue == null || (i2 = peekValue.data) != -1) {
            b(obtainStyledAttributes.getDimensionPixelSize(k.BottomSheetBehavior_Layout_behavior_peekHeight, -1));
        } else {
            b(i2);
        }
        b(obtainStyledAttributes.getBoolean(k.BottomSheetBehavior_Layout_behavior_hideable, false));
        a(obtainStyledAttributes.getBoolean(k.BottomSheetBehavior_Layout_behavior_fitToContents, true));
        c(obtainStyledAttributes.getBoolean(k.BottomSheetBehavior_Layout_behavior_skipCollapsed, false));
        obtainStyledAttributes.recycle();
        this.f3420b = (float) ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }

    private void d(boolean z2) {
        WeakReference<V> weakReference = this.r;
        if (weakReference != null) {
            ViewParent parent = weakReference.get().getParent();
            if (parent instanceof CoordinatorLayout) {
                CoordinatorLayout coordinatorLayout = (CoordinatorLayout) parent;
                int childCount = coordinatorLayout.getChildCount();
                if (Build.VERSION.SDK_INT >= 16 && z2) {
                    if (this.y == null) {
                        this.y = new HashMap(childCount);
                    } else {
                        return;
                    }
                }
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = coordinatorLayout.getChildAt(i2);
                    if (childAt != this.r.get()) {
                        if (!z2) {
                            Map<View, Integer> map = this.y;
                            if (map != null && map.containsKey(childAt)) {
                                x.i(childAt, this.y.get(childAt).intValue());
                            }
                        } else {
                            if (Build.VERSION.SDK_INT >= 16) {
                                this.y.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                            }
                            x.i(childAt, 4);
                        }
                    }
                }
                if (!z2) {
                    this.y = null;
                }
            }
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean a(CoordinatorLayout coordinatorLayout, V v2, int i2) {
        if (x.l(coordinatorLayout) && !x.l(v2)) {
            v2.setFitsSystemWindows(true);
        }
        int top = v2.getTop();
        coordinatorLayout.c(v2, i2);
        this.q = coordinatorLayout.getHeight();
        if (this.f3422d) {
            if (this.f3423e == 0) {
                this.f3423e = coordinatorLayout.getResources().getDimensionPixelSize(d.design_bottom_sheet_peek_height_min);
            }
            this.f3424f = Math.max(this.f3423e, this.q - ((coordinatorLayout.getWidth() * 9) / 16));
        } else {
            this.f3424f = this.f3421c;
        }
        this.f3425g = Math.max(0, this.q - v2.getHeight());
        this.f3426h = this.q / 2;
        b();
        int i3 = this.l;
        if (i3 == 3) {
            x.f(v2, c());
        } else if (i3 == 6) {
            x.f(v2, this.f3426h);
        } else if (!this.f3428j || i3 != 5) {
            int i4 = this.l;
            if (i4 == 4) {
                x.f(v2, this.f3427i);
            } else if (i4 == 1 || i4 == 2) {
                x.f(v2, top - v2.getTop());
            }
        } else {
            x.f(v2, this.q);
        }
        if (this.m == null) {
            this.m = a.i.a.c.a(coordinatorLayout, this.z);
        }
        this.r = new WeakReference<>(v2);
        this.s = new WeakReference<>(a(v2));
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int c() {
        if (this.f3419a) {
            return this.f3425g;
        }
        return 0;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean b(CoordinatorLayout coordinatorLayout, V v2, View view, View view2, int i2, int i3) {
        this.o = 0;
        this.p = false;
        if ((i2 & 2) != 0) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0026  */
    /* JADX WARNING: Removed duplicated region for block: B:20:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    public final void b(int i2) {
        WeakReference<V> weakReference;
        V v2;
        boolean z2 = true;
        if (i2 == -1) {
            if (!this.f3422d) {
                this.f3422d = true;
                if (!z2 && this.l == 4 && (weakReference = this.r) != null && (v2 = weakReference.get()) != null) {
                    v2.requestLayout();
                    return;
                }
                return;
            }
        } else if (this.f3422d || this.f3421c != i2) {
            this.f3422d = false;
            this.f3421c = Math.max(0, i2);
            this.f3427i = this.q - i2;
            if (!z2) {
                return;
            }
            return;
        }
        z2 = false;
        if (!z2) {
        }
    }

    public void b(boolean z2) {
        this.f3428j = z2;
    }

    private void b() {
        if (this.f3419a) {
            this.f3427i = Math.max(this.q - this.f3424f, this.f3425g);
        } else {
            this.f3427i = this.q - this.f3424f;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean a(CoordinatorLayout coordinatorLayout, V v2, MotionEvent motionEvent) {
        a.i.a.c cVar;
        if (!v2.isShown()) {
            this.n = true;
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            e();
        }
        if (this.u == null) {
            this.u = VelocityTracker.obtain();
        }
        this.u.addMovement(motionEvent);
        View view = null;
        if (actionMasked == 0) {
            int x2 = (int) motionEvent.getX();
            this.w = (int) motionEvent.getY();
            WeakReference<View> weakReference = this.s;
            View view2 = weakReference != null ? weakReference.get() : null;
            if (view2 != null && coordinatorLayout.a(view2, x2, this.w)) {
                this.v = motionEvent.getPointerId(motionEvent.getActionIndex());
                this.x = true;
            }
            this.n = this.v == -1 && !coordinatorLayout.a(v2, x2, this.w);
        } else if (actionMasked == 1 || actionMasked == 3) {
            this.x = false;
            this.v = -1;
            if (this.n) {
                this.n = false;
                return false;
            }
        }
        if (!this.n && (cVar = this.m) != null && cVar.b(motionEvent)) {
            return true;
        }
        WeakReference<View> weakReference2 = this.s;
        if (weakReference2 != null) {
            view = weakReference2.get();
        }
        if (actionMasked != 2 || view == null || this.n || this.l == 1 || coordinatorLayout.a(view, (int) motionEvent.getX(), (int) motionEvent.getY()) || this.m == null || Math.abs(((float) this.w) - motionEvent.getY()) <= ((float) this.m.e())) {
            return false;
        }
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void a(CoordinatorLayout coordinatorLayout, V v2, View view, int i2, int i3, int[] iArr, int i4) {
        if (i4 != 1 && view == this.s.get()) {
            int top = v2.getTop();
            int i5 = top - i3;
            if (i3 > 0) {
                if (i5 < c()) {
                    iArr[1] = top - c();
                    x.f(v2, -iArr[1]);
                    c(3);
                } else {
                    iArr[1] = i3;
                    x.f(v2, -i3);
                    c(1);
                }
            } else if (i3 < 0 && !view.canScrollVertically(-1)) {
                int i6 = this.f3427i;
                if (i5 <= i6 || this.f3428j) {
                    iArr[1] = i3;
                    x.f(v2, -i3);
                    c(1);
                } else {
                    iArr[1] = top - i6;
                    x.f(v2, -iArr[1]);
                    c(4);
                }
            }
            a(v2.getTop());
            this.o = i3;
            this.p = true;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void a(CoordinatorLayout coordinatorLayout, V v2, View view, int i2) {
        int i3;
        int i4 = 3;
        if (v2.getTop() == c()) {
            c(3);
        } else if (view == this.s.get() && this.p) {
            if (this.o > 0) {
                i3 = c();
            } else if (!this.f3428j || !a(v2, d())) {
                if (this.o == 0) {
                    int top = v2.getTop();
                    if (!this.f3419a) {
                        int i5 = this.f3426h;
                        if (top < i5) {
                            if (top < Math.abs(top - this.f3427i)) {
                                i3 = 0;
                            } else {
                                i3 = this.f3426h;
                            }
                        } else if (Math.abs(top - i5) < Math.abs(top - this.f3427i)) {
                            i3 = this.f3426h;
                        } else {
                            i3 = this.f3427i;
                        }
                        i4 = 6;
                    } else if (Math.abs(top - this.f3425g) < Math.abs(top - this.f3427i)) {
                        i3 = this.f3425g;
                    } else {
                        i3 = this.f3427i;
                    }
                } else {
                    i3 = this.f3427i;
                }
                i4 = 4;
            } else {
                i3 = this.q;
                i4 = 5;
            }
            if (this.m.b(v2, v2.getLeft(), i3)) {
                c(2);
                x.a(v2, new c(v2, i4));
            } else {
                c(i4);
            }
            this.p = false;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean a(CoordinatorLayout coordinatorLayout, V v2, View view, float f2, float f3) {
        return view == this.s.get() && (this.l != 3 || super.a(coordinatorLayout, v2, view, f2, f3));
    }

    public void a(boolean z2) {
        if (this.f3419a != z2) {
            this.f3419a = z2;
            if (this.r != null) {
                b();
            }
            c((!this.f3419a || this.l != 6) ? this.l : 3);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean a(View view, float f2) {
        if (this.k) {
            return true;
        }
        if (view.getTop() >= this.f3427i && Math.abs((((float) view.getTop()) + (f2 * 0.1f)) - ((float) this.f3427i)) / ((float) this.f3421c) > 0.5f) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public View a(View view) {
        if (x.G(view)) {
            return view;
        }
        if (!(view instanceof ViewGroup)) {
            return null;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View a2 = a(viewGroup.getChildAt(i2));
            if (a2 != null) {
                return a2;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void a(int i2) {
        b bVar;
        V v2 = this.r.get();
        if (v2 != null && (bVar = this.t) != null) {
            int i3 = this.f3427i;
            if (i2 > i3) {
                bVar.a(v2, ((float) (i3 - i2)) / ((float) (this.q - i3)));
            } else {
                bVar.a(v2, ((float) (i3 - i2)) / ((float) (i3 - c())));
            }
        }
    }
}
