package com.google.android.material.button;

import a.g.l.x;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import androidx.appcompat.widget.AppCompatButton;
import androidx.core.graphics.drawable.a;
import androidx.core.widget.i;
import com.google.android.material.internal.s;
import com.google.android.material.internal.t;
import d.d.a.a.b;
import d.d.a.a.j;
import d.d.a.a.k;

public class MaterialButton extends AppCompatButton {

    /* renamed from: c  reason: collision with root package name */
    private final b f3433c;

    /* renamed from: d  reason: collision with root package name */
    private int f3434d;

    /* renamed from: e  reason: collision with root package name */
    private PorterDuff.Mode f3435e;

    /* renamed from: f  reason: collision with root package name */
    private ColorStateList f3436f;

    /* renamed from: g  reason: collision with root package name */
    private Drawable f3437g;

    /* renamed from: h  reason: collision with root package name */
    private int f3438h;

    /* renamed from: i  reason: collision with root package name */
    private int f3439i;

    /* renamed from: j  reason: collision with root package name */
    private int f3440j;

    public MaterialButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, b.materialButtonStyle);
    }

    private boolean a() {
        return x.o(this) == 1;
    }

    private boolean b() {
        b bVar = this.f3433c;
        return bVar != null && !bVar.g();
    }

    private void c() {
        Drawable drawable = this.f3437g;
        if (drawable != null) {
            this.f3437g = drawable.mutate();
            a.a(this.f3437g, this.f3436f);
            PorterDuff.Mode mode = this.f3435e;
            if (mode != null) {
                a.a(this.f3437g, mode);
            }
            int i2 = this.f3438h;
            if (i2 == 0) {
                i2 = this.f3437g.getIntrinsicWidth();
            }
            int i3 = this.f3438h;
            if (i3 == 0) {
                i3 = this.f3437g.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f3437g;
            int i4 = this.f3439i;
            drawable2.setBounds(i4, 0, i2 + i4, i3);
        }
        i.a(this, this.f3437g, null, null, null);
    }

    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    public int getCornerRadius() {
        if (b()) {
            return this.f3433c.a();
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.f3437g;
    }

    public int getIconGravity() {
        return this.f3440j;
    }

    public int getIconPadding() {
        return this.f3434d;
    }

    public int getIconSize() {
        return this.f3438h;
    }

    public ColorStateList getIconTint() {
        return this.f3436f;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f3435e;
    }

    public ColorStateList getRippleColor() {
        if (b()) {
            return this.f3433c.b();
        }
        return null;
    }

    public ColorStateList getStrokeColor() {
        if (b()) {
            return this.f3433c.c();
        }
        return null;
    }

    public int getStrokeWidth() {
        if (b()) {
            return this.f3433c.d();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.AppCompatButton, a.g.l.v
    public ColorStateList getSupportBackgroundTintList() {
        if (b()) {
            return this.f3433c.e();
        }
        return super.getSupportBackgroundTintList();
    }

    @Override // androidx.appcompat.widget.AppCompatButton, a.g.l.v
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (b()) {
            return this.f3433c.f();
        }
        return super.getSupportBackgroundTintMode();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (Build.VERSION.SDK_INT < 21 && b()) {
            this.f3433c.a(canvas);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatButton
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        b bVar;
        super.onLayout(z, i2, i3, i4, i5);
        if (Build.VERSION.SDK_INT == 21 && (bVar = this.f3433c) != null) {
            bVar.a(i5 - i3, i4 - i2);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.f3437g != null && this.f3440j == 2) {
            int measureText = (int) getPaint().measureText(getText().toString());
            int i4 = this.f3438h;
            if (i4 == 0) {
                i4 = this.f3437g.getIntrinsicWidth();
            }
            int measuredWidth = (((((getMeasuredWidth() - measureText) - x.t(this)) - i4) - this.f3434d) - x.u(this)) / 2;
            if (a()) {
                measuredWidth = -measuredWidth;
            }
            if (this.f3439i != measuredWidth) {
                this.f3439i = measuredWidth;
                c();
            }
        }
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i2) {
        if (b()) {
            this.f3433c.a(i2);
        } else {
            super.setBackgroundColor(i2);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundDrawable(Drawable drawable) {
        if (!b()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.i("MaterialButton", "Setting a custom background is not supported.");
            this.f3433c.h();
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundResource(int i2) {
        setBackgroundDrawable(i2 != 0 ? a.a.k.a.a.c(getContext(), i2) : null);
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCornerRadius(int i2) {
        if (b()) {
            this.f3433c.b(i2);
        }
    }

    public void setCornerRadiusResource(int i2) {
        if (b()) {
            setCornerRadius(getResources().getDimensionPixelSize(i2));
        }
    }

    public void setIcon(Drawable drawable) {
        if (this.f3437g != drawable) {
            this.f3437g = drawable;
            c();
        }
    }

    public void setIconGravity(int i2) {
        this.f3440j = i2;
    }

    public void setIconPadding(int i2) {
        if (this.f3434d != i2) {
            this.f3434d = i2;
            setCompoundDrawablePadding(i2);
        }
    }

    public void setIconResource(int i2) {
        setIcon(i2 != 0 ? a.a.k.a.a.c(getContext(), i2) : null);
    }

    public void setIconSize(int i2) {
        if (i2 < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.f3438h != i2) {
            this.f3438h = i2;
            c();
        }
    }

    public void setIconTint(ColorStateList colorStateList) {
        if (this.f3436f != colorStateList) {
            this.f3436f = colorStateList;
            c();
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.f3435e != mode) {
            this.f3435e = mode;
            c();
        }
    }

    public void setIconTintResource(int i2) {
        setIconTint(a.a.k.a.a.b(getContext(), i2));
    }

    /* access modifiers changed from: package-private */
    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (b()) {
            this.f3433c.a(colorStateList);
        }
    }

    public void setRippleColorResource(int i2) {
        if (b()) {
            setRippleColor(a.a.k.a.a.b(getContext(), i2));
        }
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        if (b()) {
            this.f3433c.b(colorStateList);
        }
    }

    public void setStrokeColorResource(int i2) {
        if (b()) {
            setStrokeColor(a.a.k.a.a.b(getContext(), i2));
        }
    }

    public void setStrokeWidth(int i2) {
        if (b()) {
            this.f3433c.c(i2);
        }
    }

    public void setStrokeWidthResource(int i2) {
        if (b()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i2));
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton, a.g.l.v
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (b()) {
            this.f3433c.c(colorStateList);
        } else if (this.f3433c != null) {
            super.setSupportBackgroundTintList(colorStateList);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton, a.g.l.v
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        if (b()) {
            this.f3433c.a(mode);
        } else if (this.f3433c != null) {
            super.setSupportBackgroundTintMode(mode);
        }
    }

    public MaterialButton(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        TypedArray c2 = s.c(context, attributeSet, k.MaterialButton, i2, j.Widget_MaterialComponents_Button, new int[0]);
        this.f3434d = c2.getDimensionPixelSize(k.MaterialButton_iconPadding, 0);
        this.f3435e = t.a(c2.getInt(k.MaterialButton_iconTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.f3436f = d.d.a.a.q.a.a(getContext(), c2, k.MaterialButton_iconTint);
        this.f3437g = d.d.a.a.q.a.b(getContext(), c2, k.MaterialButton_icon);
        this.f3440j = c2.getInteger(k.MaterialButton_iconGravity, 1);
        this.f3438h = c2.getDimensionPixelSize(k.MaterialButton_iconSize, 0);
        this.f3433c = new b(this);
        this.f3433c.a(c2);
        c2.recycle();
        setCompoundDrawablePadding(this.f3434d);
        c();
    }
}
