package com.google.android.material.button;

import a.g.l.x;
import android.annotation.TargetApi;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import androidx.core.graphics.drawable.a;
import com.google.android.material.internal.t;
import d.d.a.a.k;

/* access modifiers changed from: package-private */
/* compiled from: MaterialButtonHelper */
public class b {
    private static final boolean w = (Build.VERSION.SDK_INT >= 21);

    /* renamed from: a  reason: collision with root package name */
    private final MaterialButton f3441a;

    /* renamed from: b  reason: collision with root package name */
    private int f3442b;

    /* renamed from: c  reason: collision with root package name */
    private int f3443c;

    /* renamed from: d  reason: collision with root package name */
    private int f3444d;

    /* renamed from: e  reason: collision with root package name */
    private int f3445e;

    /* renamed from: f  reason: collision with root package name */
    private int f3446f;

    /* renamed from: g  reason: collision with root package name */
    private int f3447g;

    /* renamed from: h  reason: collision with root package name */
    private PorterDuff.Mode f3448h;

    /* renamed from: i  reason: collision with root package name */
    private ColorStateList f3449i;

    /* renamed from: j  reason: collision with root package name */
    private ColorStateList f3450j;
    private ColorStateList k;
    private final Paint l = new Paint(1);
    private final Rect m = new Rect();
    private final RectF n = new RectF();
    private GradientDrawable o;
    private Drawable p;
    private GradientDrawable q;
    private Drawable r;
    private GradientDrawable s;
    private GradientDrawable t;
    private GradientDrawable u;
    private boolean v = false;

    public b(MaterialButton materialButton) {
        this.f3441a = materialButton;
    }

    private Drawable i() {
        this.o = new GradientDrawable();
        this.o.setCornerRadius(((float) this.f3446f) + 1.0E-5f);
        this.o.setColor(-1);
        this.p = a.i(this.o);
        a.a(this.p, this.f3449i);
        PorterDuff.Mode mode = this.f3448h;
        if (mode != null) {
            a.a(this.p, mode);
        }
        this.q = new GradientDrawable();
        this.q.setCornerRadius(((float) this.f3446f) + 1.0E-5f);
        this.q.setColor(-1);
        this.r = a.i(this.q);
        a.a(this.r, this.k);
        return a(new LayerDrawable(new Drawable[]{this.p, this.r}));
    }

    @TargetApi(21)
    private Drawable j() {
        this.s = new GradientDrawable();
        this.s.setCornerRadius(((float) this.f3446f) + 1.0E-5f);
        this.s.setColor(-1);
        n();
        this.t = new GradientDrawable();
        this.t.setCornerRadius(((float) this.f3446f) + 1.0E-5f);
        this.t.setColor(0);
        this.t.setStroke(this.f3447g, this.f3450j);
        InsetDrawable a2 = a(new LayerDrawable(new Drawable[]{this.s, this.t}));
        this.u = new GradientDrawable();
        this.u.setCornerRadius(((float) this.f3446f) + 1.0E-5f);
        this.u.setColor(-1);
        return new a(d.d.a.a.r.a.a(this.k), a2, this.u);
    }

    private GradientDrawable k() {
        if (!w || this.f3441a.getBackground() == null) {
            return null;
        }
        return (GradientDrawable) ((LayerDrawable) ((InsetDrawable) ((RippleDrawable) this.f3441a.getBackground()).getDrawable(0)).getDrawable()).getDrawable(0);
    }

    private GradientDrawable l() {
        if (!w || this.f3441a.getBackground() == null) {
            return null;
        }
        return (GradientDrawable) ((LayerDrawable) ((InsetDrawable) ((RippleDrawable) this.f3441a.getBackground()).getDrawable(0)).getDrawable()).getDrawable(1);
    }

    private void m() {
        if (w && this.t != null) {
            this.f3441a.setInternalBackground(j());
        } else if (!w) {
            this.f3441a.invalidate();
        }
    }

    private void n() {
        GradientDrawable gradientDrawable = this.s;
        if (gradientDrawable != null) {
            a.a(gradientDrawable, this.f3449i);
            PorterDuff.Mode mode = this.f3448h;
            if (mode != null) {
                a.a(this.s, mode);
            }
        }
    }

    public void a(TypedArray typedArray) {
        int i2 = 0;
        this.f3442b = typedArray.getDimensionPixelOffset(k.MaterialButton_android_insetLeft, 0);
        this.f3443c = typedArray.getDimensionPixelOffset(k.MaterialButton_android_insetRight, 0);
        this.f3444d = typedArray.getDimensionPixelOffset(k.MaterialButton_android_insetTop, 0);
        this.f3445e = typedArray.getDimensionPixelOffset(k.MaterialButton_android_insetBottom, 0);
        this.f3446f = typedArray.getDimensionPixelSize(k.MaterialButton_cornerRadius, 0);
        this.f3447g = typedArray.getDimensionPixelSize(k.MaterialButton_strokeWidth, 0);
        this.f3448h = t.a(typedArray.getInt(k.MaterialButton_backgroundTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.f3449i = d.d.a.a.q.a.a(this.f3441a.getContext(), typedArray, k.MaterialButton_backgroundTint);
        this.f3450j = d.d.a.a.q.a.a(this.f3441a.getContext(), typedArray, k.MaterialButton_strokeColor);
        this.k = d.d.a.a.q.a.a(this.f3441a.getContext(), typedArray, k.MaterialButton_rippleColor);
        this.l.setStyle(Paint.Style.STROKE);
        this.l.setStrokeWidth((float) this.f3447g);
        Paint paint = this.l;
        ColorStateList colorStateList = this.f3450j;
        if (colorStateList != null) {
            i2 = colorStateList.getColorForState(this.f3441a.getDrawableState(), 0);
        }
        paint.setColor(i2);
        int u2 = x.u(this.f3441a);
        int paddingTop = this.f3441a.getPaddingTop();
        int t2 = x.t(this.f3441a);
        int paddingBottom = this.f3441a.getPaddingBottom();
        this.f3441a.setInternalBackground(w ? j() : i());
        x.b(this.f3441a, u2 + this.f3442b, paddingTop + this.f3444d, t2 + this.f3443c, paddingBottom + this.f3445e);
    }

    /* access modifiers changed from: package-private */
    public ColorStateList b() {
        return this.k;
    }

    /* access modifiers changed from: package-private */
    public void c(ColorStateList colorStateList) {
        if (this.f3449i != colorStateList) {
            this.f3449i = colorStateList;
            if (w) {
                n();
                return;
            }
            Drawable drawable = this.p;
            if (drawable != null) {
                a.a(drawable, this.f3449i);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public int d() {
        return this.f3447g;
    }

    /* access modifiers changed from: package-private */
    public ColorStateList e() {
        return this.f3449i;
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode f() {
        return this.f3448h;
    }

    /* access modifiers changed from: package-private */
    public boolean g() {
        return this.v;
    }

    /* access modifiers changed from: package-private */
    public void h() {
        this.v = true;
        this.f3441a.setSupportBackgroundTintList(this.f3449i);
        this.f3441a.setSupportBackgroundTintMode(this.f3448h);
    }

    /* access modifiers changed from: package-private */
    public void b(ColorStateList colorStateList) {
        if (this.f3450j != colorStateList) {
            this.f3450j = colorStateList;
            Paint paint = this.l;
            int i2 = 0;
            if (colorStateList != null) {
                i2 = colorStateList.getColorForState(this.f3441a.getDrawableState(), 0);
            }
            paint.setColor(i2);
            m();
        }
    }

    /* access modifiers changed from: package-private */
    public ColorStateList c() {
        return this.f3450j;
    }

    /* access modifiers changed from: package-private */
    public void b(int i2) {
        GradientDrawable gradientDrawable;
        if (this.f3446f != i2) {
            this.f3446f = i2;
            if (w && this.s != null && this.t != null && this.u != null) {
                if (Build.VERSION.SDK_INT == 21) {
                    float f2 = ((float) i2) + 1.0E-5f;
                    k().setCornerRadius(f2);
                    l().setCornerRadius(f2);
                }
                float f3 = ((float) i2) + 1.0E-5f;
                this.s.setCornerRadius(f3);
                this.t.setCornerRadius(f3);
                this.u.setCornerRadius(f3);
            } else if (!w && (gradientDrawable = this.o) != null && this.q != null) {
                float f4 = ((float) i2) + 1.0E-5f;
                gradientDrawable.setCornerRadius(f4);
                this.q.setCornerRadius(f4);
                this.f3441a.invalidate();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void c(int i2) {
        if (this.f3447g != i2) {
            this.f3447g = i2;
            this.l.setStrokeWidth((float) i2);
            m();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Canvas canvas) {
        if (canvas != null && this.f3450j != null && this.f3447g > 0) {
            this.m.set(this.f3441a.getBackground().getBounds());
            RectF rectF = this.n;
            Rect rect = this.m;
            int i2 = this.f3447g;
            rectF.set(((float) rect.left) + (((float) i2) / 2.0f) + ((float) this.f3442b), ((float) rect.top) + (((float) i2) / 2.0f) + ((float) this.f3444d), (((float) rect.right) - (((float) i2) / 2.0f)) - ((float) this.f3443c), (((float) rect.bottom) - (((float) i2) / 2.0f)) - ((float) this.f3445e));
            float f2 = ((float) this.f3446f) - (((float) this.f3447g) / 2.0f);
            canvas.drawRoundRect(this.n, f2, f2, this.l);
        }
    }

    private InsetDrawable a(Drawable drawable) {
        return new InsetDrawable(drawable, this.f3442b, this.f3444d, this.f3443c, this.f3445e);
    }

    /* access modifiers changed from: package-private */
    public void a(PorterDuff.Mode mode) {
        PorterDuff.Mode mode2;
        if (this.f3448h != mode) {
            this.f3448h = mode;
            if (w) {
                n();
                return;
            }
            Drawable drawable = this.p;
            if (drawable != null && (mode2 = this.f3448h) != null) {
                a.a(drawable, mode2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3) {
        GradientDrawable gradientDrawable = this.u;
        if (gradientDrawable != null) {
            gradientDrawable.setBounds(this.f3442b, this.f3444d, i3 - this.f3443c, i2 - this.f3445e);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2) {
        GradientDrawable gradientDrawable;
        GradientDrawable gradientDrawable2;
        if (w && (gradientDrawable2 = this.s) != null) {
            gradientDrawable2.setColor(i2);
        } else if (!w && (gradientDrawable = this.o) != null) {
            gradientDrawable.setColor(i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(ColorStateList colorStateList) {
        Drawable drawable;
        if (this.k != colorStateList) {
            this.k = colorStateList;
            if (w && (this.f3441a.getBackground() instanceof RippleDrawable)) {
                ((RippleDrawable) this.f3441a.getBackground()).setColor(colorStateList);
            } else if (!w && (drawable = this.r) != null) {
                a.a(drawable, colorStateList);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public int a() {
        return this.f3446f;
    }
}
