package com.google.android.material.chip;

import a.g.d.c.f;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import com.google.android.material.internal.s;
import d.d.a.a.k;
import d.d.a.a.l.h;
import java.lang.ref.WeakReference;
import java.util.Arrays;

/* compiled from: ChipDrawable */
public class a extends Drawable implements androidx.core.graphics.drawable.b, Drawable.Callback {
    private static final int[] i0 = {16842910};
    private float A;
    private float B;
    private float C;
    private float D;
    private float E;
    private float F;
    private float G;
    private final Context H;
    private final TextPaint I = new TextPaint(1);
    private final Paint J = new Paint(1);
    private final Paint K;
    private final Paint.FontMetrics L = new Paint.FontMetrics();
    private final RectF M = new RectF();
    private final PointF N = new PointF();
    private int O;
    private int P;
    private int Q;
    private int R;
    private boolean S;
    private int T;
    private int U = 255;
    private ColorFilter V;
    private PorterDuffColorFilter W;
    private ColorStateList X;
    private PorterDuff.Mode Y = PorterDuff.Mode.SRC_IN;
    private int[] Z;

    /* renamed from: a  reason: collision with root package name */
    private ColorStateList f3477a;
    private boolean a0;

    /* renamed from: b  reason: collision with root package name */
    private float f3478b;
    private ColorStateList b0;

    /* renamed from: c  reason: collision with root package name */
    private float f3479c;
    private WeakReference<b> c0 = new WeakReference<>(null);

    /* renamed from: d  reason: collision with root package name */
    private ColorStateList f3480d;
    private boolean d0 = true;

    /* renamed from: e  reason: collision with root package name */
    private float f3481e;
    private float e0;

    /* renamed from: f  reason: collision with root package name */
    private ColorStateList f3482f;
    private TextUtils.TruncateAt f0;

    /* renamed from: g  reason: collision with root package name */
    private CharSequence f3483g;
    private boolean g0;

    /* renamed from: h  reason: collision with root package name */
    private CharSequence f3484h;
    private int h0;

    /* renamed from: i  reason: collision with root package name */
    private d.d.a.a.q.b f3485i;

    /* renamed from: j  reason: collision with root package name */
    private final f.a f3486j = new C0069a();
    private boolean k;
    private Drawable l;
    private ColorStateList m;
    private float o;
    private boolean p;
    private Drawable q;
    private ColorStateList r;
    private float s;
    private CharSequence t;
    private boolean u;
    private boolean v;
    private Drawable w;
    private h x;
    private h y;
    private float z;

    /* renamed from: com.google.android.material.chip.a$a  reason: collision with other inner class name */
    /* compiled from: ChipDrawable */
    class C0069a extends f.a {
        C0069a() {
        }

        @Override // a.g.d.c.f.a
        public void a(int i2) {
        }

        @Override // a.g.d.c.f.a
        public void a(Typeface typeface) {
            a.this.d0 = true;
            a.this.I();
            a.this.invalidateSelf();
        }
    }

    /* compiled from: ChipDrawable */
    public interface b {
        void a();
    }

    private a(Context context) {
        this.H = context;
        this.f3483g = "";
        this.I.density = context.getResources().getDisplayMetrics().density;
        this.K = null;
        Paint paint = this.K;
        if (paint != null) {
            paint.setStyle(Paint.Style.STROKE);
        }
        setState(i0);
        a(i0);
        this.g0 = true;
    }

    private float K() {
        if (R()) {
            return this.E + this.s + this.F;
        }
        return 0.0f;
    }

    private float L() {
        this.I.getFontMetrics(this.L);
        Paint.FontMetrics fontMetrics = this.L;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    private boolean M() {
        return this.v && this.w != null && this.u;
    }

    private float N() {
        if (!this.d0) {
            return this.e0;
        }
        this.e0 = c(this.f3484h);
        this.d0 = false;
        return this.e0;
    }

    private ColorFilter O() {
        ColorFilter colorFilter = this.V;
        return colorFilter != null ? colorFilter : this.W;
    }

    private boolean P() {
        return this.v && this.w != null && this.S;
    }

    private boolean Q() {
        return this.k && this.l != null;
    }

    private boolean R() {
        return this.p && this.q != null;
    }

    private void S() {
        this.b0 = this.a0 ? d.d.a.a.r.a.a(this.f3482f) : null;
    }

    private void b(Canvas canvas, Rect rect) {
        this.J.setColor(this.O);
        this.J.setStyle(Paint.Style.FILL);
        this.J.setColorFilter(O());
        this.M.set(rect);
        RectF rectF = this.M;
        float f2 = this.f3479c;
        canvas.drawRoundRect(rectF, f2, f2, this.J);
    }

    private float c(CharSequence charSequence) {
        if (charSequence == null) {
            return 0.0f;
        }
        return this.I.measureText(charSequence, 0, charSequence.length());
    }

    private void d(Canvas canvas, Rect rect) {
        if (this.f3481e > 0.0f) {
            this.J.setColor(this.P);
            this.J.setStyle(Paint.Style.STROKE);
            this.J.setColorFilter(O());
            RectF rectF = this.M;
            float f2 = this.f3481e;
            rectF.set(((float) rect.left) + (f2 / 2.0f), ((float) rect.top) + (f2 / 2.0f), ((float) rect.right) - (f2 / 2.0f), ((float) rect.bottom) - (f2 / 2.0f));
            float f3 = this.f3479c - (this.f3481e / 2.0f);
            canvas.drawRoundRect(this.M, f3, f3, this.J);
        }
    }

    private void e(Canvas canvas, Rect rect) {
        if (R()) {
            c(rect, this.M);
            RectF rectF = this.M;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.q.setBounds(0, 0, (int) this.M.width(), (int) this.M.height());
            this.q.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    private void g(Canvas canvas, Rect rect) {
        Paint paint = this.K;
        if (paint != null) {
            paint.setColor(a.g.e.a.c(-16777216, 127));
            canvas.drawRect(rect, this.K);
            if (Q() || P()) {
                a(rect, this.M);
                canvas.drawRect(this.M, this.K);
            }
            if (this.f3484h != null) {
                canvas.drawLine((float) rect.left, rect.exactCenterY(), (float) rect.right, rect.exactCenterY(), this.K);
            }
            if (R()) {
                c(rect, this.M);
                canvas.drawRect(this.M, this.K);
            }
            this.K.setColor(a.g.e.a.c(-65536, 127));
            b(rect, this.M);
            canvas.drawRect(this.M, this.K);
            this.K.setColor(a.g.e.a.c(-16711936, 127));
            d(rect, this.M);
            canvas.drawRect(this.M, this.K);
        }
    }

    private void h(Canvas canvas, Rect rect) {
        if (this.f3484h != null) {
            Paint.Align a2 = a(rect, this.N);
            e(rect, this.M);
            if (this.f3485i != null) {
                this.I.drawableState = getState();
                this.f3485i.b(this.H, this.I, this.f3486j);
            }
            this.I.setTextAlign(a2);
            int i2 = 0;
            boolean z2 = Math.round(N()) > Math.round(this.M.width());
            if (z2) {
                i2 = canvas.save();
                canvas.clipRect(this.M);
            }
            CharSequence charSequence = this.f3484h;
            if (z2 && this.f0 != null) {
                charSequence = TextUtils.ellipsize(charSequence, this.I, this.M.width(), this.f0);
            }
            int length = charSequence.length();
            PointF pointF = this.N;
            canvas.drawText(charSequence, 0, length, pointF.x, pointF.y, this.I);
            if (z2) {
                canvas.restoreToCount(i2);
            }
        }
    }

    public d.d.a.a.q.b A() {
        return this.f3485i;
    }

    public float B() {
        return this.D;
    }

    public float C() {
        return this.C;
    }

    public boolean D() {
        return this.u;
    }

    public boolean E() {
        return this.v;
    }

    public boolean F() {
        return this.k;
    }

    public boolean G() {
        return e(this.q);
    }

    public boolean H() {
        return this.p;
    }

    /* access modifiers changed from: protected */
    public void I() {
        b bVar = this.c0.get();
        if (bVar != null) {
            bVar.a();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean J() {
        return this.g0;
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i2 = 0;
            int i3 = this.U;
            if (i3 < 255) {
                i2 = d.d.a.a.m.a.a(canvas, (float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, i3);
            }
            b(canvas, bounds);
            d(canvas, bounds);
            f(canvas, bounds);
            c(canvas, bounds);
            a(canvas, bounds);
            if (this.g0) {
                h(canvas, bounds);
            }
            e(canvas, bounds);
            g(canvas, bounds);
            if (this.U < 255) {
                canvas.restoreToCount(i2);
            }
        }
    }

    public void f(boolean z2) {
        if (this.a0 != z2) {
            this.a0 = z2;
            S();
            onStateChange(getState());
        }
    }

    public int getAlpha() {
        return this.U;
    }

    public ColorFilter getColorFilter() {
        return this.V;
    }

    public int getIntrinsicHeight() {
        return (int) this.f3478b;
    }

    public int getIntrinsicWidth() {
        return Math.min(Math.round(this.z + a() + this.C + N() + this.D + K() + this.G), this.h0);
    }

    public int getOpacity() {
        return -3;
    }

    @TargetApi(21)
    public void getOutline(Outline outline) {
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.f3479c);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.f3479c);
        }
        outline.setAlpha(((float) getAlpha()) / 255.0f);
    }

    public float i() {
        return this.f3478b;
    }

    public void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    public boolean isStateful() {
        return f(this.f3477a) || f(this.f3480d) || (this.a0 && f(this.b0)) || b(this.f3485i) || M() || e(this.l) || e(this.w) || f(this.X);
    }

    public void j(int i2) {
        c(this.H.getResources().getBoolean(i2));
    }

    public void k(int i2) {
        d(this.H.getResources().getDimension(i2));
    }

    public float l() {
        return this.f3481e;
    }

    public void m(int i2) {
        c(a.a.k.a.a.b(this.H, i2));
    }

    public void n(int i2) {
        f(this.H.getResources().getDimension(i2));
    }

    public float o() {
        return this.F;
    }

    @TargetApi(23)
    public boolean onLayoutDirectionChanged(int i2) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i2);
        if (Q()) {
            onLayoutDirectionChanged |= this.l.setLayoutDirection(i2);
        }
        if (P()) {
            onLayoutDirectionChanged |= this.w.setLayoutDirection(i2);
        }
        if (R()) {
            onLayoutDirectionChanged |= this.q.setLayoutDirection(i2);
        }
        if (!onLayoutDirectionChanged) {
            return true;
        }
        invalidateSelf();
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i2) {
        boolean onLevelChange = super.onLevelChange(i2);
        if (Q()) {
            onLevelChange |= this.l.setLevel(i2);
        }
        if (P()) {
            onLevelChange |= this.w.setLevel(i2);
        }
        if (R()) {
            onLevelChange |= this.q.setLevel(i2);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        return a(iArr, r());
    }

    public void p(int i2) {
        c(a.a.k.a.a.c(this.H, i2));
    }

    public void q(int i2) {
        h(this.H.getResources().getDimension(i2));
    }

    public int[] r() {
        return this.Z;
    }

    public ColorStateList s() {
        return this.r;
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j2) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j2);
        }
    }

    public void setAlpha(int i2) {
        if (this.U != i2) {
            this.U = i2;
            invalidateSelf();
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        if (this.V != colorFilter) {
            this.V = colorFilter;
            invalidateSelf();
        }
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTintList(ColorStateList colorStateList) {
        if (this.X != colorStateList) {
            this.X = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // androidx.core.graphics.drawable.b
    public void setTintMode(PorterDuff.Mode mode) {
        if (this.Y != mode) {
            this.Y = mode;
            this.W = d.d.a.a.n.a.a(this, this.X, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z2, boolean z3) {
        boolean visible = super.setVisible(z2, z3);
        if (Q()) {
            visible |= this.l.setVisible(z2, z3);
        }
        if (P()) {
            visible |= this.w.setVisible(z2, z3);
        }
        if (R()) {
            visible |= this.q.setVisible(z2, z3);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    public TextUtils.TruncateAt t() {
        return this.f0;
    }

    public h u() {
        return this.y;
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    public float v() {
        return this.B;
    }

    public float w() {
        return this.A;
    }

    public ColorStateList x() {
        return this.f3482f;
    }

    public void y(int i2) {
        e(a.a.k.a.a.b(this.H, i2));
    }

    public CharSequence z() {
        return this.f3483g;
    }

    public static a a(Context context, AttributeSet attributeSet, int i2, int i3) {
        a aVar = new a(context);
        aVar.a(attributeSet, i2, i3);
        return aVar;
    }

    private void c(Canvas canvas, Rect rect) {
        if (Q()) {
            a(rect, this.M);
            RectF rectF = this.M;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.l.setBounds(0, 0, (int) this.M.width(), (int) this.M.height());
            this.l.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    public void A(int i2) {
        a(new d.d.a.a.q.b(this.H, i2));
    }

    public void B(int i2) {
        l(this.H.getResources().getDimension(i2));
    }

    public void C(int i2) {
        m(this.H.getResources().getDimension(i2));
    }

    public void i(int i2) {
        b(a.a.k.a.a.b(this.H, i2));
    }

    public float j() {
        return this.z;
    }

    public ColorStateList k() {
        return this.f3480d;
    }

    public void l(int i2) {
        e(this.H.getResources().getDimension(i2));
    }

    public Drawable m() {
        Drawable drawable = this.q;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.h(drawable);
        }
        return null;
    }

    public CharSequence n() {
        return this.t;
    }

    public void o(int i2) {
        g(this.H.getResources().getDimension(i2));
    }

    public float p() {
        return this.s;
    }

    public float q() {
        return this.E;
    }

    public void r(int i2) {
        i(this.H.getResources().getDimension(i2));
    }

    public void s(int i2) {
        d(a.a.k.a.a.b(this.H, i2));
    }

    public void t(int i2) {
        d(this.H.getResources().getBoolean(i2));
    }

    public void u(int i2) {
        a(h.a(this.H, i2));
    }

    public void v(int i2) {
        j(this.H.getResources().getDimension(i2));
    }

    public void w(int i2) {
        k(this.H.getResources().getDimension(i2));
    }

    public void x(int i2) {
        this.h0 = i2;
    }

    public h y() {
        return this.x;
    }

    public void z(int i2) {
        b(h.a(this.H, i2));
    }

    public void i(float f2) {
        if (this.E != f2) {
            this.E = f2;
            invalidateSelf();
            if (R()) {
                I();
            }
        }
    }

    public void j(float f2) {
        if (this.B != f2) {
            float a2 = a();
            this.B = f2;
            float a3 = a();
            invalidateSelf();
            if (a2 != a3) {
                I();
            }
        }
    }

    public void k(float f2) {
        if (this.A != f2) {
            float a2 = a();
            this.A = f2;
            float a3 = a();
            invalidateSelf();
            if (a2 != a3) {
                I();
            }
        }
    }

    public void l(float f2) {
        if (this.D != f2) {
            this.D = f2;
            invalidateSelf();
            I();
        }
    }

    public void m(float f2) {
        if (this.C != f2) {
            this.C = f2;
            invalidateSelf();
            I();
        }
    }

    private void a(AttributeSet attributeSet, int i2, int i3) {
        TypedArray c2 = s.c(this.H, attributeSet, k.Chip, i2, i3, new int[0]);
        a(d.d.a.a.q.a.a(this.H, c2, k.Chip_chipBackgroundColor));
        d(c2.getDimension(k.Chip_chipMinHeight, 0.0f));
        a(c2.getDimension(k.Chip_chipCornerRadius, 0.0f));
        c(d.d.a.a.q.a.a(this.H, c2, k.Chip_chipStrokeColor));
        f(c2.getDimension(k.Chip_chipStrokeWidth, 0.0f));
        e(d.d.a.a.q.a.a(this.H, c2, k.Chip_rippleColor));
        b(c2.getText(k.Chip_android_text));
        a(d.d.a.a.q.a.c(this.H, c2, k.Chip_android_textAppearance));
        int i4 = c2.getInt(k.Chip_android_ellipsize, 0);
        if (i4 == 1) {
            a(TextUtils.TruncateAt.START);
        } else if (i4 == 2) {
            a(TextUtils.TruncateAt.MIDDLE);
        } else if (i4 == 3) {
            a(TextUtils.TruncateAt.END);
        }
        c(c2.getBoolean(k.Chip_chipIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconVisible") != null)) {
            c(c2.getBoolean(k.Chip_chipIconEnabled, false));
        }
        b(d.d.a.a.q.a.b(this.H, c2, k.Chip_chipIcon));
        b(d.d.a.a.q.a.a(this.H, c2, k.Chip_chipIconTint));
        c(c2.getDimension(k.Chip_chipIconSize, 0.0f));
        d(c2.getBoolean(k.Chip_closeIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconVisible") != null)) {
            d(c2.getBoolean(k.Chip_closeIconEnabled, false));
        }
        c(d.d.a.a.q.a.b(this.H, c2, k.Chip_closeIcon));
        d(d.d.a.a.q.a.a(this.H, c2, k.Chip_closeIconTint));
        h(c2.getDimension(k.Chip_closeIconSize, 0.0f));
        a(c2.getBoolean(k.Chip_android_checkable, false));
        b(c2.getBoolean(k.Chip_checkedIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconVisible") != null)) {
            b(c2.getBoolean(k.Chip_checkedIconEnabled, false));
        }
        a(d.d.a.a.q.a.b(this.H, c2, k.Chip_checkedIcon));
        b(h.a(this.H, c2, k.Chip_showMotionSpec));
        a(h.a(this.H, c2, k.Chip_hideMotionSpec));
        e(c2.getDimension(k.Chip_chipStartPadding, 0.0f));
        k(c2.getDimension(k.Chip_iconStartPadding, 0.0f));
        j(c2.getDimension(k.Chip_iconEndPadding, 0.0f));
        m(c2.getDimension(k.Chip_textStartPadding, 0.0f));
        l(c2.getDimension(k.Chip_textEndPadding, 0.0f));
        i(c2.getDimension(k.Chip_closeIconStartPadding, 0.0f));
        g(c2.getDimension(k.Chip_closeIconEndPadding, 0.0f));
        b(c2.getDimension(k.Chip_chipEndPadding, 0.0f));
        x(c2.getDimensionPixelSize(k.Chip_android_maxWidth, Integer.MAX_VALUE));
        c2.recycle();
    }

    private void f(Canvas canvas, Rect rect) {
        this.J.setColor(this.Q);
        this.J.setStyle(Paint.Style.FILL);
        this.M.set(rect);
        RectF rectF = this.M;
        float f2 = this.f3479c;
        canvas.drawRoundRect(rectF, f2, f2, this.J);
    }

    private void b(Rect rect, RectF rectF) {
        rectF.set(rect);
        if (R()) {
            float f2 = this.G + this.F + this.s + this.E + this.D;
            if (androidx.core.graphics.drawable.a.e(this) == 0) {
                rectF.right = ((float) rect.right) - f2;
            } else {
                rectF.left = ((float) rect.left) + f2;
            }
        }
    }

    private void d(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (R()) {
            float f2 = this.G + this.F + this.s + this.E + this.D;
            if (androidx.core.graphics.drawable.a.e(this) == 0) {
                rectF.right = (float) rect.right;
                rectF.left = rectF.right - f2;
            } else {
                int i2 = rect.left;
                rectF.left = (float) i2;
                rectF.right = ((float) i2) + f2;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    private void e(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (this.f3484h != null) {
            float a2 = this.z + a() + this.C;
            float K2 = this.G + K() + this.D;
            if (androidx.core.graphics.drawable.a.e(this) == 0) {
                rectF.left = ((float) rect.left) + a2;
                rectF.right = ((float) rect.right) - K2;
            } else {
                rectF.left = ((float) rect.left) + K2;
                rectF.right = ((float) rect.right) - a2;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    private static boolean f(ColorStateList colorStateList) {
        return colorStateList != null && colorStateList.isStateful();
    }

    private void c(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (R()) {
            float f2 = this.G + this.F;
            if (androidx.core.graphics.drawable.a.e(this) == 0) {
                rectF.right = ((float) rect.right) - f2;
                rectF.left = rectF.right - this.s;
            } else {
                rectF.left = ((float) rect.left) + f2;
                rectF.right = rectF.left + this.s;
            }
            float exactCenterY = rect.exactCenterY();
            float f3 = this.s;
            rectF.top = exactCenterY - (f3 / 2.0f);
            rectF.bottom = rectF.top + f3;
        }
    }

    private void f(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    public void f(float f2) {
        if (this.f3481e != f2) {
            this.f3481e = f2;
            this.J.setStrokeWidth(f2);
            invalidateSelf();
        }
    }

    private static boolean b(d.d.a.a.q.b bVar) {
        ColorStateList colorStateList;
        return (bVar == null || (colorStateList = bVar.f6612b) == null || !colorStateList.isStateful()) ? false : true;
    }

    public void b(CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = "";
        }
        if (this.f3483g != charSequence) {
            this.f3483g = charSequence;
            this.f3484h = a.g.j.a.b().a(charSequence);
            this.d0 = true;
            invalidateSelf();
            I();
        }
    }

    public Drawable f() {
        Drawable drawable = this.l;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.h(drawable);
        }
        return null;
    }

    public void f(int i2) {
        b(this.H.getResources().getDimension(i2));
    }

    public ColorStateList h() {
        return this.m;
    }

    public void h(int i2) {
        c(this.H.getResources().getDimension(i2));
    }

    private void d(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(this);
            androidx.core.graphics.drawable.a.a(drawable, androidx.core.graphics.drawable.a.e(this));
            drawable.setLevel(getLevel());
            drawable.setVisible(isVisible(), false);
            if (drawable == this.q) {
                if (drawable.isStateful()) {
                    drawable.setState(r());
                }
                androidx.core.graphics.drawable.a.a(drawable, this.r);
            } else if (drawable.isStateful()) {
                drawable.setState(getState());
            }
        }
    }

    public void h(float f2) {
        if (this.s != f2) {
            this.s = f2;
            invalidateSelf();
            if (R()) {
                I();
            }
        }
    }

    private static boolean e(Drawable drawable) {
        return drawable != null && drawable.isStateful();
    }

    public void b(Drawable drawable) {
        Drawable f2 = f();
        if (f2 != drawable) {
            float a2 = a();
            this.l = drawable != null ? androidx.core.graphics.drawable.a.i(drawable).mutate() : null;
            float a3 = a();
            f(f2);
            if (Q()) {
                d(this.l);
            }
            invalidateSelf();
            if (a2 != a3) {
                I();
            }
        }
    }

    public ColorStateList c() {
        return this.f3477a;
    }

    public void g(int i2) {
        b(a.a.k.a.a.c(this.H, i2));
    }

    public void c(ColorStateList colorStateList) {
        if (this.f3480d != colorStateList) {
            this.f3480d = colorStateList;
            onStateChange(getState());
        }
    }

    public void e(int i2) {
        a(this.H.getResources().getDimension(i2));
    }

    public float g() {
        return this.o;
    }

    public void e(ColorStateList colorStateList) {
        if (this.f3482f != colorStateList) {
            this.f3482f = colorStateList;
            S();
            onStateChange(getState());
        }
    }

    public void g(float f2) {
        if (this.F != f2) {
            this.F = f2;
            invalidateSelf();
            if (R()) {
                I();
            }
        }
    }

    public void c(boolean z2) {
        if (this.k != z2) {
            boolean Q2 = Q();
            this.k = z2;
            boolean Q3 = Q();
            if (Q2 != Q3) {
                if (Q3) {
                    d(this.l);
                } else {
                    f(this.l);
                }
                invalidateSelf();
                I();
            }
        }
    }

    public void e(float f2) {
        if (this.z != f2) {
            this.z = f2;
            invalidateSelf();
            I();
        }
    }

    public void d(int i2) {
        a(a.a.k.a.a.b(this.H, i2));
    }

    public void b(ColorStateList colorStateList) {
        if (this.m != colorStateList) {
            this.m = colorStateList;
            if (Q()) {
                androidx.core.graphics.drawable.a.a(this.l, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void d(float f2) {
        if (this.f3478b != f2) {
            this.f3478b = f2;
            invalidateSelf();
            I();
        }
    }

    public float e() {
        return this.G;
    }

    /* access modifiers changed from: package-private */
    public void e(boolean z2) {
        this.g0 = z2;
    }

    public void c(float f2) {
        if (this.o != f2) {
            float a2 = a();
            this.o = f2;
            float a3 = a();
            invalidateSelf();
            if (a2 != a3) {
                I();
            }
        }
    }

    public float d() {
        return this.f3479c;
    }

    public void b(boolean z2) {
        if (this.v != z2) {
            boolean P2 = P();
            this.v = z2;
            boolean P3 = P();
            if (P2 != P3) {
                if (P3) {
                    d(this.w);
                } else {
                    f(this.w);
                }
                invalidateSelf();
                I();
            }
        }
    }

    public void d(boolean z2) {
        if (this.p != z2) {
            boolean R2 = R();
            this.p = z2;
            boolean R3 = R();
            if (R2 != R3) {
                if (R3) {
                    d(this.q);
                } else {
                    f(this.q);
                }
                invalidateSelf();
                I();
            }
        }
    }

    public void c(Drawable drawable) {
        Drawable m2 = m();
        if (m2 != drawable) {
            float K2 = K();
            this.q = drawable != null ? androidx.core.graphics.drawable.a.i(drawable).mutate() : null;
            float K3 = K();
            f(m2);
            if (R()) {
                d(this.q);
            }
            invalidateSelf();
            if (K2 != K3) {
                I();
            }
        }
    }

    public Drawable b() {
        return this.w;
    }

    public void d(ColorStateList colorStateList) {
        if (this.r != colorStateList) {
            this.r = colorStateList;
            if (R()) {
                androidx.core.graphics.drawable.a.a(this.q, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void b(int i2) {
        a(a.a.k.a.a.c(this.H, i2));
    }

    public void b(h hVar) {
        this.x = hVar;
    }

    public void b(float f2) {
        if (this.G != f2) {
            this.G = f2;
            invalidateSelf();
            I();
        }
    }

    public void c(int i2) {
        b(this.H.getResources().getBoolean(i2));
    }

    public void a(b bVar) {
        this.c0 = new WeakReference<>(bVar);
    }

    public void a(RectF rectF) {
        d(getBounds(), rectF);
    }

    /* access modifiers changed from: package-private */
    public float a() {
        if (Q() || P()) {
            return this.A + this.o + this.B;
        }
        return 0.0f;
    }

    private void a(Canvas canvas, Rect rect) {
        if (P()) {
            a(rect, this.M);
            RectF rectF = this.M;
            float f2 = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f2, f3);
            this.w.setBounds(0, 0, (int) this.M.width(), (int) this.M.height());
            this.w.draw(canvas);
            canvas.translate(-f2, -f3);
        }
    }

    private void a(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (Q() || P()) {
            float f2 = this.z + this.A;
            if (androidx.core.graphics.drawable.a.e(this) == 0) {
                rectF.left = ((float) rect.left) + f2;
                rectF.right = rectF.left + this.o;
            } else {
                rectF.right = ((float) rect.right) - f2;
                rectF.left = rectF.right - this.o;
            }
            float exactCenterY = rect.exactCenterY();
            float f3 = this.o;
            rectF.top = exactCenterY - (f3 / 2.0f);
            rectF.bottom = rectF.top + f3;
        }
    }

    /* access modifiers changed from: package-private */
    public Paint.Align a(Rect rect, PointF pointF) {
        pointF.set(0.0f, 0.0f);
        Paint.Align align = Paint.Align.LEFT;
        if (this.f3484h != null) {
            float a2 = this.z + a() + this.C;
            if (androidx.core.graphics.drawable.a.e(this) == 0) {
                pointF.x = ((float) rect.left) + a2;
                align = Paint.Align.LEFT;
            } else {
                pointF.x = ((float) rect.right) - a2;
                align = Paint.Align.RIGHT;
            }
            pointF.y = ((float) rect.centerY()) - L();
        }
        return align;
    }

    public boolean a(int[] iArr) {
        if (Arrays.equals(this.Z, iArr)) {
            return false;
        }
        this.Z = iArr;
        if (R()) {
            return a(getState(), iArr);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:49:0x008d  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00ac  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00bb  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x00d3  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00d8  */
    private boolean a(int[] iArr, int[] iArr2) {
        boolean z2;
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList3 = this.f3477a;
        int i2 = 0;
        int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(iArr, this.O) : 0;
        if (this.O != colorForState) {
            this.O = colorForState;
            onStateChange = true;
        }
        ColorStateList colorStateList4 = this.f3480d;
        int colorForState2 = colorStateList4 != null ? colorStateList4.getColorForState(iArr, this.P) : 0;
        if (this.P != colorForState2) {
            this.P = colorForState2;
            onStateChange = true;
        }
        ColorStateList colorStateList5 = this.b0;
        int colorForState3 = colorStateList5 != null ? colorStateList5.getColorForState(iArr, this.Q) : 0;
        if (this.Q != colorForState3) {
            this.Q = colorForState3;
            if (this.a0) {
                onStateChange = true;
            }
        }
        d.d.a.a.q.b bVar = this.f3485i;
        int colorForState4 = (bVar == null || (colorStateList2 = bVar.f6612b) == null) ? 0 : colorStateList2.getColorForState(iArr, this.R);
        if (this.R != colorForState4) {
            this.R = colorForState4;
            onStateChange = true;
        }
        boolean z3 = a(getState(), 16842912) && this.u;
        if (!(this.S == z3 || this.w == null)) {
            float a2 = a();
            this.S = z3;
            if (a2 != a()) {
                onStateChange = true;
                z2 = true;
                colorStateList = this.X;
                if (colorStateList != null) {
                    i2 = colorStateList.getColorForState(iArr, this.T);
                }
                if (this.T != i2) {
                    this.T = i2;
                    this.W = d.d.a.a.n.a.a(this, this.X, this.Y);
                    onStateChange = true;
                }
                if (e(this.l)) {
                    onStateChange |= this.l.setState(iArr);
                }
                if (e(this.w)) {
                    onStateChange |= this.w.setState(iArr);
                }
                if (e(this.q)) {
                    onStateChange |= this.q.setState(iArr2);
                }
                if (onStateChange) {
                    invalidateSelf();
                }
                if (z2) {
                    I();
                }
                return onStateChange;
            }
            onStateChange = true;
        }
        z2 = false;
        colorStateList = this.X;
        if (colorStateList != null) {
        }
        if (this.T != i2) {
        }
        if (e(this.l)) {
        }
        if (e(this.w)) {
        }
        if (e(this.q)) {
        }
        if (onStateChange) {
        }
        if (z2) {
        }
        return onStateChange;
    }

    private static boolean a(int[] iArr, int i2) {
        if (iArr == null) {
            return false;
        }
        for (int i3 : iArr) {
            if (i3 == i2) {
                return true;
            }
        }
        return false;
    }

    public void a(ColorStateList colorStateList) {
        if (this.f3477a != colorStateList) {
            this.f3477a = colorStateList;
            onStateChange(getState());
        }
    }

    public void a(float f2) {
        if (this.f3479c != f2) {
            this.f3479c = f2;
            invalidateSelf();
        }
    }

    public void a(d.d.a.a.q.b bVar) {
        if (this.f3485i != bVar) {
            this.f3485i = bVar;
            if (bVar != null) {
                bVar.c(this.H, this.I, this.f3486j);
                this.d0 = true;
            }
            onStateChange(getState());
            I();
        }
    }

    public void a(TextUtils.TruncateAt truncateAt) {
        this.f0 = truncateAt;
    }

    public void a(CharSequence charSequence) {
        if (this.t != charSequence) {
            this.t = a.g.j.a.b().a(charSequence);
            invalidateSelf();
        }
    }

    public void a(int i2) {
        a(this.H.getResources().getBoolean(i2));
    }

    public void a(boolean z2) {
        if (this.u != z2) {
            this.u = z2;
            float a2 = a();
            if (!z2 && this.S) {
                this.S = false;
            }
            float a3 = a();
            invalidateSelf();
            if (a2 != a3) {
                I();
            }
        }
    }

    public void a(Drawable drawable) {
        if (this.w != drawable) {
            float a2 = a();
            this.w = drawable;
            float a3 = a();
            f(this.w);
            d(this.w);
            invalidateSelf();
            if (a2 != a3) {
                I();
            }
        }
    }

    public void a(h hVar) {
        this.y = hVar;
    }
}
