package com.google.android.material.circularreveal;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.View;
import com.google.android.material.circularreveal.c;

/* compiled from: CircularRevealHelper */
public class b {

    /* renamed from: j  reason: collision with root package name */
    public static final int f3493j;

    /* renamed from: a  reason: collision with root package name */
    private final a f3494a;

    /* renamed from: b  reason: collision with root package name */
    private final View f3495b;

    /* renamed from: c  reason: collision with root package name */
    private final Path f3496c = new Path();

    /* renamed from: d  reason: collision with root package name */
    private final Paint f3497d = new Paint(7);

    /* renamed from: e  reason: collision with root package name */
    private final Paint f3498e = new Paint(1);

    /* renamed from: f  reason: collision with root package name */
    private c.e f3499f;

    /* renamed from: g  reason: collision with root package name */
    private Drawable f3500g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f3501h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f3502i;

    /* access modifiers changed from: package-private */
    /* compiled from: CircularRevealHelper */
    public interface a {
        void a(Canvas canvas);

        boolean c();
    }

    static {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 21) {
            f3493j = 2;
        } else if (i2 >= 18) {
            f3493j = 1;
        } else {
            f3493j = 0;
        }
    }

    public b(a aVar) {
        this.f3494a = aVar;
        this.f3495b = (View) aVar;
        this.f3495b.setWillNotDraw(false);
        this.f3498e.setColor(0);
    }

    private void g() {
        if (f3493j == 1) {
            this.f3496c.rewind();
            c.e eVar = this.f3499f;
            if (eVar != null) {
                this.f3496c.addCircle(eVar.f3507a, eVar.f3508b, eVar.f3509c, Path.Direction.CW);
            }
        }
        this.f3495b.invalidate();
    }

    private boolean h() {
        c.e eVar = this.f3499f;
        boolean z = eVar == null || eVar.a();
        if (f3493j != 0) {
            return !z;
        }
        if (z || !this.f3502i) {
            return false;
        }
        return true;
    }

    private boolean i() {
        return (this.f3501h || this.f3500g == null || this.f3499f == null) ? false : true;
    }

    private boolean j() {
        return !this.f3501h && Color.alpha(this.f3498e.getColor()) != 0;
    }

    public void a() {
        if (f3493j == 0) {
            this.f3501h = true;
            this.f3502i = false;
            this.f3495b.buildDrawingCache();
            Bitmap drawingCache = this.f3495b.getDrawingCache();
            if (!(drawingCache != null || this.f3495b.getWidth() == 0 || this.f3495b.getHeight() == 0)) {
                drawingCache = Bitmap.createBitmap(this.f3495b.getWidth(), this.f3495b.getHeight(), Bitmap.Config.ARGB_8888);
                this.f3495b.draw(new Canvas(drawingCache));
            }
            if (drawingCache != null) {
                Paint paint = this.f3497d;
                Shader.TileMode tileMode = Shader.TileMode.CLAMP;
                paint.setShader(new BitmapShader(drawingCache, tileMode, tileMode));
            }
            this.f3501h = false;
            this.f3502i = true;
        }
    }

    public void b() {
        if (f3493j == 0) {
            this.f3502i = false;
            this.f3495b.destroyDrawingCache();
            this.f3497d.setShader(null);
            this.f3495b.invalidate();
        }
    }

    public Drawable c() {
        return this.f3500g;
    }

    public int d() {
        return this.f3498e.getColor();
    }

    public c.e e() {
        c.e eVar = this.f3499f;
        if (eVar == null) {
            return null;
        }
        c.e eVar2 = new c.e(eVar);
        if (eVar2.a()) {
            eVar2.f3509c = b(eVar2);
        }
        return eVar2;
    }

    public boolean f() {
        return this.f3494a.c() && !h();
    }

    private float b(c.e eVar) {
        return d.d.a.a.p.a.a(eVar.f3507a, eVar.f3508b, 0.0f, 0.0f, (float) this.f3495b.getWidth(), (float) this.f3495b.getHeight());
    }

    private void b(Canvas canvas) {
        if (i()) {
            Rect bounds = this.f3500g.getBounds();
            float width = this.f3499f.f3507a - (((float) bounds.width()) / 2.0f);
            float height = this.f3499f.f3508b - (((float) bounds.height()) / 2.0f);
            canvas.translate(width, height);
            this.f3500g.draw(canvas);
            canvas.translate(-width, -height);
        }
    }

    public void a(c.e eVar) {
        if (eVar == null) {
            this.f3499f = null;
        } else {
            c.e eVar2 = this.f3499f;
            if (eVar2 == null) {
                this.f3499f = new c.e(eVar);
            } else {
                eVar2.a(eVar);
            }
            if (d.d.a.a.p.a.a(eVar.f3509c, b(eVar), 1.0E-4f)) {
                this.f3499f.f3509c = Float.MAX_VALUE;
            }
        }
        g();
    }

    public void a(int i2) {
        this.f3498e.setColor(i2);
        this.f3495b.invalidate();
    }

    public void a(Drawable drawable) {
        this.f3500g = drawable;
        this.f3495b.invalidate();
    }

    public void a(Canvas canvas) {
        if (h()) {
            int i2 = f3493j;
            if (i2 == 0) {
                c.e eVar = this.f3499f;
                canvas.drawCircle(eVar.f3507a, eVar.f3508b, eVar.f3509c, this.f3497d);
                if (j()) {
                    c.e eVar2 = this.f3499f;
                    canvas.drawCircle(eVar2.f3507a, eVar2.f3508b, eVar2.f3509c, this.f3498e);
                }
            } else if (i2 == 1) {
                int save = canvas.save();
                canvas.clipPath(this.f3496c);
                this.f3494a.a(canvas);
                if (j()) {
                    canvas.drawRect(0.0f, 0.0f, (float) this.f3495b.getWidth(), (float) this.f3495b.getHeight(), this.f3498e);
                }
                canvas.restoreToCount(save);
            } else if (i2 == 2) {
                this.f3494a.a(canvas);
                if (j()) {
                    canvas.drawRect(0.0f, 0.0f, (float) this.f3495b.getWidth(), (float) this.f3495b.getHeight(), this.f3498e);
                }
            } else {
                throw new IllegalStateException("Unsupported strategy " + f3493j);
            }
        } else {
            this.f3494a.a(canvas);
            if (j()) {
                canvas.drawRect(0.0f, 0.0f, (float) this.f3495b.getWidth(), (float) this.f3495b.getHeight(), this.f3498e);
            }
        }
        b(canvas);
    }
}
