package com.google.android.material.internal;

import a.g.l.g0.d;
import a.g.l.x;
import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.widget.Checkable;
import android.widget.ImageButton;
import androidx.appcompat.widget.AppCompatImageButton;
import com.ecarx.sdk.vehicle.VehicleZone;

public class CheckableImageButton extends AppCompatImageButton implements Checkable {

    /* renamed from: d  reason: collision with root package name */
    private static final int[] f3552d = {16842912};

    /* renamed from: c  reason: collision with root package name */
    private boolean f3553c;

    class a extends a.g.l.a {
        a() {
        }

        @Override // a.g.l.a
        public void a(View view, d dVar) {
            super.a(view, dVar);
            dVar.c(true);
            dVar.d(CheckableImageButton.this.isChecked());
        }

        @Override // a.g.l.a
        public void b(View view, AccessibilityEvent accessibilityEvent) {
            super.b(view, accessibilityEvent);
            accessibilityEvent.setChecked(CheckableImageButton.this.isChecked());
        }
    }

    public CheckableImageButton(Context context) {
        this(context, null);
    }

    public boolean isChecked() {
        return this.f3553c;
    }

    public int[] onCreateDrawableState(int i2) {
        if (this.f3553c) {
            return ImageButton.mergeDrawableStates(super.onCreateDrawableState(i2 + f3552d.length), f3552d);
        }
        return super.onCreateDrawableState(i2);
    }

    public void setChecked(boolean z) {
        if (this.f3553c != z) {
            this.f3553c = z;
            refreshDrawableState();
            sendAccessibilityEvent(VehicleZone.ZONE_ROW_3_ALL);
        }
    }

    public void toggle() {
        setChecked(!this.f3553c);
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.a.a.imageButtonStyle);
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        x.a(this, new a());
    }
}
