package com.google.android.material.internal;

import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;

/* compiled from: CircularBorderDrawable */
public class a extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    final Paint f3564a = new Paint(1);

    /* renamed from: b  reason: collision with root package name */
    final Rect f3565b = new Rect();

    /* renamed from: c  reason: collision with root package name */
    final RectF f3566c = new RectF();

    /* renamed from: d  reason: collision with root package name */
    final b f3567d = new b();

    /* renamed from: e  reason: collision with root package name */
    float f3568e;

    /* renamed from: f  reason: collision with root package name */
    private int f3569f;

    /* renamed from: g  reason: collision with root package name */
    private int f3570g;

    /* renamed from: h  reason: collision with root package name */
    private int f3571h;

    /* renamed from: i  reason: collision with root package name */
    private int f3572i;

    /* renamed from: j  reason: collision with root package name */
    private ColorStateList f3573j;
    private int k;
    private boolean l = true;
    private float m;

    /* compiled from: CircularBorderDrawable */
    private class b extends Drawable.ConstantState {
        private b() {
        }

        public int getChangingConfigurations() {
            return 0;
        }

        public Drawable newDrawable() {
            return a.this;
        }
    }

    public a() {
        this.f3564a.setStyle(Paint.Style.STROKE);
    }

    public void a(int i2, int i3, int i4, int i5) {
        this.f3569f = i2;
        this.f3570g = i3;
        this.f3571h = i4;
        this.f3572i = i5;
    }

    public final void b(float f2) {
        if (f2 != this.m) {
            this.m = f2;
            invalidateSelf();
        }
    }

    public void draw(Canvas canvas) {
        if (this.l) {
            this.f3564a.setShader(a());
            this.l = false;
        }
        float strokeWidth = this.f3564a.getStrokeWidth() / 2.0f;
        RectF rectF = this.f3566c;
        copyBounds(this.f3565b);
        rectF.set(this.f3565b);
        rectF.left += strokeWidth;
        rectF.top += strokeWidth;
        rectF.right -= strokeWidth;
        rectF.bottom -= strokeWidth;
        canvas.save();
        canvas.rotate(this.m, rectF.centerX(), rectF.centerY());
        canvas.drawOval(rectF, this.f3564a);
        canvas.restore();
    }

    public Drawable.ConstantState getConstantState() {
        return this.f3567d;
    }

    public int getOpacity() {
        return this.f3568e > 0.0f ? -3 : -2;
    }

    public boolean getPadding(Rect rect) {
        int round = Math.round(this.f3568e);
        rect.set(round, round, round, round);
        return true;
    }

    public boolean isStateful() {
        ColorStateList colorStateList = this.f3573j;
        return (colorStateList != null && colorStateList.isStateful()) || super.isStateful();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        this.l = true;
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        int colorForState;
        ColorStateList colorStateList = this.f3573j;
        if (!(colorStateList == null || (colorForState = colorStateList.getColorForState(iArr, this.k)) == this.k)) {
            this.l = true;
            this.k = colorForState;
        }
        if (this.l) {
            invalidateSelf();
        }
        return this.l;
    }

    public void setAlpha(int i2) {
        this.f3564a.setAlpha(i2);
        invalidateSelf();
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f3564a.setColorFilter(colorFilter);
        invalidateSelf();
    }

    public void a(float f2) {
        if (this.f3568e != f2) {
            this.f3568e = f2;
            this.f3564a.setStrokeWidth(f2 * 1.3333f);
            this.l = true;
            invalidateSelf();
        }
    }

    public void a(ColorStateList colorStateList) {
        if (colorStateList != null) {
            this.k = colorStateList.getColorForState(getState(), this.k);
        }
        this.f3573j = colorStateList;
        this.l = true;
        invalidateSelf();
    }

    private Shader a() {
        Rect rect = this.f3565b;
        copyBounds(rect);
        float height = this.f3568e / ((float) rect.height());
        return new LinearGradient(0.0f, (float) rect.top, 0.0f, (float) rect.bottom, new int[]{a.g.e.a.b(this.f3569f, this.k), a.g.e.a.b(this.f3570g, this.k), a.g.e.a.b(a.g.e.a.c(this.f3570g, 0), this.k), a.g.e.a.b(a.g.e.a.c(this.f3572i, 0), this.k), a.g.e.a.b(this.f3572i, this.k), a.g.e.a.b(this.f3571h, this.k)}, new float[]{0.0f, height, 0.5f, 0.5f, 1.0f - height, 1.0f}, Shader.TileMode.CLAMP);
    }
}
