package com.google.android.material.navigation;

import a.a.n.g;
import a.g.l.f0;
import a.g.l.x;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.t;
import androidx.appcompat.view.menu.w;
import androidx.appcompat.widget.p0;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.internal.ScrimInsetsFrameLayout;
import com.google.android.material.internal.f;
import com.google.android.material.internal.i;
import com.google.android.material.internal.s;
import d.d.a.a.j;
import d.d.a.a.k;

public class NavigationView extends ScrimInsetsFrameLayout {

    /* renamed from: i  reason: collision with root package name */
    private static final int[] f3622i = {16842912};

    /* renamed from: j  reason: collision with root package name */
    private static final int[] f3623j = {-16842910};

    /* renamed from: d  reason: collision with root package name */
    private final f f3624d;

    /* renamed from: e  reason: collision with root package name */
    private final i f3625e;

    /* renamed from: f  reason: collision with root package name */
    b f3626f;

    /* renamed from: g  reason: collision with root package name */
    private final int f3627g;

    /* renamed from: h  reason: collision with root package name */
    private MenuInflater f3628h;

    class a implements t.a {
        a() {
        }

        @Override // androidx.appcompat.view.menu.t.a
        public void a(t tVar) {
        }

        @Override // androidx.appcompat.view.menu.t.a
        public boolean a(t tVar, MenuItem menuItem) {
            b bVar = NavigationView.this.f3626f;
            return bVar != null && bVar.a(menuItem);
        }
    }

    public interface b {
        boolean a(MenuItem menuItem);
    }

    public NavigationView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, d.d.a.a.b.navigationViewStyle);
    }

    private ColorStateList c(int i2) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i2, typedValue, true)) {
            return null;
        }
        ColorStateList b2 = a.a.k.a.a.b(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(a.a.a.colorPrimary, typedValue, true)) {
            return null;
        }
        int i3 = typedValue.data;
        int defaultColor = b2.getDefaultColor();
        return new ColorStateList(new int[][]{f3623j, f3622i, FrameLayout.EMPTY_STATE_SET}, new int[]{b2.getColorForState(f3623j, defaultColor), i3, defaultColor});
    }

    private MenuInflater getMenuInflater() {
        if (this.f3628h == null) {
            this.f3628h = new g(getContext());
        }
        return this.f3628h;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    public void a(f0 f0Var) {
        this.f3625e.a(f0Var);
    }

    public void b(int i2) {
        this.f3625e.b(true);
        getMenuInflater().inflate(i2, this.f3624d);
        this.f3625e.b(false);
        this.f3625e.a(false);
    }

    public MenuItem getCheckedItem() {
        return this.f3625e.d();
    }

    public int getHeaderCount() {
        return this.f3625e.e();
    }

    public Drawable getItemBackground() {
        return this.f3625e.f();
    }

    public int getItemHorizontalPadding() {
        return this.f3625e.g();
    }

    public int getItemIconPadding() {
        return this.f3625e.h();
    }

    public ColorStateList getItemIconTintList() {
        return this.f3625e.j();
    }

    public ColorStateList getItemTextColor() {
        return this.f3625e.i();
    }

    public Menu getMenu() {
        return this.f3624d;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        if (mode == Integer.MIN_VALUE) {
            i2 = View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i2), this.f3627g), 1073741824);
        } else if (mode == 0) {
            i2 = View.MeasureSpec.makeMeasureSpec(this.f3627g, 1073741824);
        }
        super.onMeasure(i2, i3);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f3624d.b(savedState.menuState);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.menuState = new Bundle();
        this.f3624d.d(savedState.menuState);
        return savedState;
    }

    public void setCheckedItem(int i2) {
        MenuItem findItem = this.f3624d.findItem(i2);
        if (findItem != null) {
            this.f3625e.a((w) findItem);
        }
    }

    public void setItemBackground(Drawable drawable) {
        this.f3625e.a(drawable);
    }

    public void setItemBackgroundResource(int i2) {
        setItemBackground(a.g.d.a.c(getContext(), i2));
    }

    public void setItemHorizontalPadding(int i2) {
        this.f3625e.c(i2);
    }

    public void setItemHorizontalPaddingResource(int i2) {
        this.f3625e.c(getResources().getDimensionPixelSize(i2));
    }

    public void setItemIconPadding(int i2) {
        this.f3625e.d(i2);
    }

    public void setItemIconPaddingResource(int i2) {
        this.f3625e.d(getResources().getDimensionPixelSize(i2));
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        this.f3625e.a(colorStateList);
    }

    public void setItemTextAppearance(int i2) {
        this.f3625e.e(i2);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.f3625e.b(colorStateList);
    }

    public void setNavigationItemSelectedListener(b bVar) {
        this.f3626f = bVar;
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public Bundle menuState;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.menuState = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeBundle(this.menuState);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public NavigationView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        ColorStateList colorStateList;
        int i3;
        boolean z;
        this.f3625e = new i();
        this.f3624d = new f(context);
        p0 d2 = s.d(context, attributeSet, k.NavigationView, i2, j.Widget_Design_NavigationView, new int[0]);
        x.a(this, d2.b(k.NavigationView_android_background));
        if (d2.g(k.NavigationView_elevation)) {
            x.a(this, (float) d2.c(k.NavigationView_elevation, 0));
        }
        x.a(this, d2.a(k.NavigationView_android_fitsSystemWindows, false));
        this.f3627g = d2.c(k.NavigationView_android_maxWidth, 0);
        if (d2.g(k.NavigationView_itemIconTint)) {
            colorStateList = d2.a(k.NavigationView_itemIconTint);
        } else {
            colorStateList = c(16842808);
        }
        if (d2.g(k.NavigationView_itemTextAppearance)) {
            i3 = d2.g(k.NavigationView_itemTextAppearance, 0);
            z = true;
        } else {
            z = false;
            i3 = 0;
        }
        ColorStateList colorStateList2 = d2.g(k.NavigationView_itemTextColor) ? d2.a(k.NavigationView_itemTextColor) : null;
        if (!z && colorStateList2 == null) {
            colorStateList2 = c(16842806);
        }
        Drawable b2 = d2.b(k.NavigationView_itemBackground);
        if (d2.g(k.NavigationView_itemHorizontalPadding)) {
            this.f3625e.c(d2.c(k.NavigationView_itemHorizontalPadding, 0));
        }
        int c2 = d2.c(k.NavigationView_itemIconPadding, 0);
        this.f3624d.a(new a());
        this.f3625e.b(1);
        this.f3625e.a(context, this.f3624d);
        this.f3625e.a(colorStateList);
        if (z) {
            this.f3625e.e(i3);
        }
        this.f3625e.b(colorStateList2);
        this.f3625e.a(b2);
        this.f3625e.d(c2);
        this.f3624d.a(this.f3625e);
        addView((View) this.f3625e.a((ViewGroup) this));
        if (d2.g(k.NavigationView_menu)) {
            b(d2.g(k.NavigationView_menu, 0));
        }
        if (d2.g(k.NavigationView_headerLayout)) {
            a(d2.g(k.NavigationView_headerLayout, 0));
        }
        d2.a();
    }

    public View a(int i2) {
        return this.f3625e.a(i2);
    }

    public void setCheckedItem(MenuItem menuItem) {
        MenuItem findItem = this.f3624d.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.f3625e.a((w) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }
}
