package com.google.android.material.textfield;

import a.g.l.x;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.method.PasswordTransformationMethod;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.view.accessibility.AccessibilityEvent;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.n;
import androidx.appcompat.widget.p0;
import androidx.core.widget.i;
import androidx.customview.view.AbsSavedState;
import com.ecarx.sdk.vehicle.VehicleZone;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.internal.e;
import com.google.android.material.internal.s;
import com.google.android.material.internal.t;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.PluginAgent;
import com.ximalaya.ting.android.xmtrace.model.Event;
import d.d.a.a.f;
import d.d.a.a.h;
import d.d.a.a.j;
import d.d.a.a.k;
import j.a.a.a;

public class TextInputLayout extends LinearLayout {
    private static final /* synthetic */ a.AbstractC0243a h0 = null;
    private int A;
    private int B;
    private Drawable C;
    private final Rect D;
    private final RectF E;
    private Typeface F;
    private boolean G;
    private Drawable H;
    private CharSequence I;
    private CheckableImageButton J;
    private boolean K;
    private Drawable L;
    private Drawable M;
    private ColorStateList N;
    private boolean O;
    private PorterDuff.Mode P;
    private boolean Q;
    private ColorStateList R;
    private ColorStateList S;
    private final int T;
    private final int U;
    private int V;
    private final int W;

    /* renamed from: a  reason: collision with root package name */
    private final FrameLayout f3649a;
    private boolean a0;

    /* renamed from: b  reason: collision with root package name */
    EditText f3650b;
    final com.google.android.material.internal.c b0;

    /* renamed from: c  reason: collision with root package name */
    private CharSequence f3651c;
    private boolean c0;

    /* renamed from: d  reason: collision with root package name */
    private final b f3652d;
    private ValueAnimator d0;

    /* renamed from: e  reason: collision with root package name */
    boolean f3653e;
    private boolean e0;

    /* renamed from: f  reason: collision with root package name */
    private int f3654f;
    private boolean f0;

    /* renamed from: g  reason: collision with root package name */
    private boolean f3655g;
    private boolean g0;

    /* renamed from: h  reason: collision with root package name */
    private TextView f3656h;

    /* renamed from: i  reason: collision with root package name */
    private final int f3657i;

    /* renamed from: j  reason: collision with root package name */
    private final int f3658j;
    private boolean k;
    private CharSequence l;
    private boolean m;
    private GradientDrawable o;
    private final int p;
    private final int q;
    private int r;
    private final int s;
    private float t;
    private float u;
    private float v;
    private float w;
    private int x;
    private final int y;
    private final int z;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        CharSequence error;
        boolean isPasswordToggledVisible;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + ((Object) this.error) + "}";
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            TextUtils.writeToParcel(this.error, parcel, i2);
            parcel.writeInt(this.isPasswordToggledVisible ? 1 : 0);
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.error = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.isPasswordToggledVisible = parcel.readInt() != 1 ? false : true;
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements TextWatcher {
        a() {
        }

        public void afterTextChanged(Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.b(!textInputLayout.g0);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.f3653e) {
                textInputLayout2.a(editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements View.OnClickListener {

        /* renamed from: b  reason: collision with root package name */
        private static final /* synthetic */ a.AbstractC0243a f3660b = null;

        static {
            a();
        }

        b() {
        }

        private static /* synthetic */ void a() {
            j.a.b.b.b bVar = new j.a.b.b.b("TextInputLayout.java", b.class);
            f3660b = bVar.a("method-execution", bVar.a(XmlyConstants$ClientOSType.IOS, "onClick", "com.google.android.material.textfield.TextInputLayout$2", "android.view.View", "view", "", "void"), 1609);
        }

        public void onClick(View view) {
            j.a.a.a a2 = j.a.b.b.b.a(f3660b, this, this, view);
            PluginAgent.aspectOf().onClick(a2);
            b.a.b().a(new c(new Object[]{this, view, a2}).linkClosureAndJoinPoint(69648));
        }

        static final /* synthetic */ void a(b bVar, View view, j.a.a.a aVar) {
            TextInputLayout.this.a(false);
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        c() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TextInputLayout.this.b0.b(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public static class d extends a.g.l.a {

        /* renamed from: d  reason: collision with root package name */
        private final TextInputLayout f3663d;

        public d(TextInputLayout textInputLayout) {
            this.f3663d = textInputLayout;
        }

        @Override // a.g.l.a
        public void a(View view, a.g.l.g0.d dVar) {
            super.a(view, dVar);
            EditText editText = this.f3663d.getEditText();
            Editable text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f3663d.getHint();
            CharSequence error = this.f3663d.getError();
            CharSequence counterOverflowDescription = this.f3663d.getCounterOverflowDescription();
            boolean z = !TextUtils.isEmpty(text);
            boolean z2 = !TextUtils.isEmpty(hint);
            boolean z3 = !TextUtils.isEmpty(error);
            boolean z4 = false;
            boolean z5 = z3 || !TextUtils.isEmpty(counterOverflowDescription);
            if (z) {
                dVar.g(text);
            } else if (z2) {
                dVar.g(hint);
            }
            if (z2) {
                dVar.d(hint);
                if (!z && z2) {
                    z4 = true;
                }
                dVar.o(z4);
            }
            if (z5) {
                if (!z3) {
                    error = counterOverflowDescription;
                }
                dVar.c(error);
                dVar.f(true);
            }
        }

        @Override // a.g.l.a
        public void c(View view, AccessibilityEvent accessibilityEvent) {
            super.c(view, accessibilityEvent);
            EditText editText = this.f3663d.getEditText();
            CharSequence text = editText != null ? editText.getText() : null;
            if (TextUtils.isEmpty(text)) {
                text = this.f3663d.getHint();
            }
            if (!TextUtils.isEmpty(text)) {
                accessibilityEvent.getText().add(text);
            }
        }
    }

    static {
        e();
    }

    public TextInputLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, d.d.a.a.b.textInputStyle);
    }

    private static /* synthetic */ void e() {
        j.a.b.b.b bVar = new j.a.b.b.b("TextInputLayout.java", TextInputLayout.class);
        h0 = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "inflate", "android.view.LayoutInflater", "int:android.view.ViewGroup:boolean", "resource:root:attachToRoot", "", "android.view.View"), 1600);
    }

    private void f() {
        int i2;
        Drawable drawable;
        if (this.o != null) {
            r();
            EditText editText = this.f3650b;
            if (editText != null && this.r == 2) {
                if (editText.getBackground() != null) {
                    this.C = this.f3650b.getBackground();
                }
                x.a(this.f3650b, (Drawable) null);
            }
            EditText editText2 = this.f3650b;
            if (!(editText2 == null || this.r != 1 || (drawable = this.C) == null)) {
                x.a(editText2, drawable);
            }
            int i3 = this.x;
            if (i3 > -1 && (i2 = this.A) != 0) {
                this.o.setStroke(i3, i2);
            }
            this.o.setCornerRadii(getCornerRadiiAsArray());
            this.o.setColor(this.B);
            invalidate();
        }
    }

    private void g() {
        Drawable drawable;
        if (this.H == null) {
            return;
        }
        if (this.O || this.Q) {
            this.H = androidx.core.graphics.drawable.a.i(this.H).mutate();
            if (this.O) {
                androidx.core.graphics.drawable.a.a(this.H, this.N);
            }
            if (this.Q) {
                androidx.core.graphics.drawable.a.a(this.H, this.P);
            }
            CheckableImageButton checkableImageButton = this.J;
            if (checkableImageButton != null && checkableImageButton.getDrawable() != (drawable = this.H)) {
                this.J.setImageDrawable(drawable);
            }
        }
    }

    private Drawable getBoxBackground() {
        int i2 = this.r;
        if (i2 == 1 || i2 == 2) {
            return this.o;
        }
        throw new IllegalStateException();
    }

    private float[] getCornerRadiiAsArray() {
        if (!t.a(this)) {
            float f2 = this.t;
            float f3 = this.u;
            float f4 = this.v;
            float f5 = this.w;
            return new float[]{f2, f2, f3, f3, f4, f4, f5, f5};
        }
        float f6 = this.u;
        float f7 = this.t;
        float f8 = this.w;
        float f9 = this.v;
        return new float[]{f6, f6, f7, f7, f8, f8, f9, f9};
    }

    private void h() {
        int i2 = this.r;
        if (i2 == 0) {
            this.o = null;
        } else if (i2 == 2 && this.k && !(this.o instanceof a)) {
            this.o = new a();
        } else if (!(this.o instanceof GradientDrawable)) {
            this.o = new GradientDrawable();
        }
    }

    private int i() {
        EditText editText = this.f3650b;
        if (editText == null) {
            return 0;
        }
        int i2 = this.r;
        if (i2 == 1) {
            return editText.getTop();
        }
        if (i2 != 2) {
            return 0;
        }
        return editText.getTop() + k();
    }

    private int j() {
        int i2 = this.r;
        if (i2 == 1) {
            return getBoxBackground().getBounds().top + this.s;
        }
        if (i2 != 2) {
            return getPaddingTop();
        }
        return getBoxBackground().getBounds().top - k();
    }

    private int k() {
        float d2;
        if (!this.k) {
            return 0;
        }
        int i2 = this.r;
        if (i2 == 0 || i2 == 1) {
            d2 = this.b0.d();
        } else if (i2 != 2) {
            return 0;
        } else {
            d2 = this.b0.d() / 2.0f;
        }
        return (int) d2;
    }

    private void l() {
        if (m()) {
            ((a) this.o).b();
        }
    }

    private boolean m() {
        return this.k && !TextUtils.isEmpty(this.l) && (this.o instanceof a);
    }

    private void n() {
        Drawable background;
        int i2 = Build.VERSION.SDK_INT;
        if ((i2 == 21 || i2 == 22) && (background = this.f3650b.getBackground()) != null && !this.e0) {
            Drawable newDrawable = background.getConstantState().newDrawable();
            if (background instanceof DrawableContainer) {
                this.e0 = e.a((DrawableContainer) background, newDrawable.getConstantState());
            }
            if (!this.e0) {
                x.a(this.f3650b, newDrawable);
                this.e0 = true;
                p();
            }
        }
    }

    private boolean o() {
        EditText editText = this.f3650b;
        return editText != null && (editText.getTransformationMethod() instanceof PasswordTransformationMethod);
    }

    private void p() {
        h();
        if (this.r != 0) {
            u();
        }
        w();
    }

    private void q() {
        if (m()) {
            RectF rectF = this.E;
            this.b0.a(rectF);
            a(rectF);
            ((a) this.o).a(rectF);
        }
    }

    private void r() {
        int i2 = this.r;
        if (i2 == 1) {
            this.x = 0;
        } else if (i2 == 2 && this.V == 0) {
            this.V = this.S.getColorForState(getDrawableState(), this.S.getDefaultColor());
        }
    }

    private boolean s() {
        return this.G && (o() || this.K);
    }

    private void setEditText(EditText editText) {
        if (this.f3650b == null) {
            if (!(editText instanceof TextInputEditText)) {
                Log.i("TextInputLayout", "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.f3650b = editText;
            p();
            setTextInputAccessibilityDelegate(new d(this));
            if (!o()) {
                this.b0.c(this.f3650b.getTypeface());
            }
            this.b0.a(this.f3650b.getTextSize());
            int gravity = this.f3650b.getGravity();
            this.b0.b((gravity & -113) | 48);
            this.b0.d(gravity);
            this.f3650b.addTextChangedListener(new a());
            if (this.R == null) {
                this.R = this.f3650b.getHintTextColors();
            }
            if (this.k) {
                if (TextUtils.isEmpty(this.l)) {
                    this.f3651c = this.f3650b.getHint();
                    setHint(this.f3651c);
                    this.f3650b.setHint((CharSequence) null);
                }
                this.m = true;
            }
            if (this.f3656h != null) {
                a(this.f3650b.getText().length());
            }
            this.f3652d.a();
            v();
            a(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.l)) {
            this.l = charSequence;
            this.b0.a(charSequence);
            if (!this.a0) {
                q();
            }
        }
    }

    private void t() {
        Drawable background;
        EditText editText = this.f3650b;
        if (editText != null && (background = editText.getBackground()) != null) {
            if (androidx.appcompat.widget.x.a(background)) {
                background = background.mutate();
            }
            com.google.android.material.internal.d.a(this, this.f3650b, new Rect());
            Rect bounds = background.getBounds();
            if (bounds.left != bounds.right) {
                Rect rect = new Rect();
                background.getPadding(rect);
                background.setBounds(bounds.left - rect.left, bounds.top, bounds.right + (rect.right * 2), this.f3650b.getBottom());
            }
        }
    }

    private void u() {
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f3649a.getLayoutParams();
        int k2 = k();
        if (k2 != layoutParams.topMargin) {
            layoutParams.topMargin = k2;
            this.f3649a.requestLayout();
        }
    }

    private void v() {
        if (this.f3650b != null) {
            if (s()) {
                if (this.J == null) {
                    LayoutInflater from = LayoutInflater.from(getContext());
                    int i2 = h.design_text_input_password_icon;
                    FrameLayout frameLayout = this.f3649a;
                    j.a.a.a a2 = j.a.b.b.b.a(h0, (Object) this, (Object) from, new Object[]{j.a.b.a.b.a(i2), frameLayout, j.a.b.a.b.a(false)});
                    this.J = (CheckableImageButton) d.h.a.a.b().a(new d(new Object[]{this, from, j.a.b.a.b.a(i2), frameLayout, j.a.b.a.b.a(false), a2}).linkClosureAndJoinPoint(Event.PageShowStack.PageState.PAGE_SHOWING));
                    this.J.setImageDrawable(this.H);
                    this.J.setContentDescription(this.I);
                    this.f3649a.addView(this.J);
                    this.J.setOnClickListener(new b());
                }
                EditText editText = this.f3650b;
                if (editText != null && x.p(editText) <= 0) {
                    this.f3650b.setMinimumHeight(x.p(this.J));
                }
                this.J.setVisibility(0);
                this.J.setChecked(this.K);
                if (this.L == null) {
                    this.L = new ColorDrawable();
                }
                this.L.setBounds(0, 0, this.J.getMeasuredWidth(), 1);
                Drawable[] a3 = i.a(this.f3650b);
                if (a3[2] != this.L) {
                    this.M = a3[2];
                }
                i.a(this.f3650b, a3[0], a3[1], this.L, a3[3]);
                this.J.setPadding(this.f3650b.getPaddingLeft(), this.f3650b.getPaddingTop(), this.f3650b.getPaddingRight(), this.f3650b.getPaddingBottom());
                return;
            }
            CheckableImageButton checkableImageButton = this.J;
            if (checkableImageButton != null && checkableImageButton.getVisibility() == 0) {
                this.J.setVisibility(8);
            }
            if (this.L != null) {
                Drawable[] a4 = i.a(this.f3650b);
                if (a4[2] == this.L) {
                    i.a(this.f3650b, a4[0], a4[1], this.M, a4[3]);
                    this.L = null;
                }
            }
        }
    }

    private void w() {
        if (this.r != 0 && this.o != null && this.f3650b != null && getRight() != 0) {
            int left = this.f3650b.getLeft();
            int i2 = i();
            int right = this.f3650b.getRight();
            int bottom = this.f3650b.getBottom() + this.p;
            if (this.r == 2) {
                int i3 = this.z;
                left += i3 / 2;
                i2 -= i3 / 2;
                right -= i3 / 2;
                bottom += i3 / 2;
            }
            this.o.setBounds(left, i2, right, bottom);
            f();
            t();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.f3649a.addView(view, layoutParams2);
            this.f3649a.setLayoutParams(layoutParams);
            u();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i2, layoutParams);
    }

    /* access modifiers changed from: package-private */
    public void b(boolean z2) {
        a(z2, false);
    }

    /* access modifiers changed from: package-private */
    public void c() {
        Drawable background;
        TextView textView;
        EditText editText = this.f3650b;
        if (editText != null && (background = editText.getBackground()) != null) {
            n();
            if (androidx.appcompat.widget.x.a(background)) {
                background = background.mutate();
            }
            if (this.f3652d.c()) {
                background.setColorFilter(n.a(this.f3652d.e(), PorterDuff.Mode.SRC_IN));
            } else if (!this.f3655g || (textView = this.f3656h) == null) {
                androidx.core.graphics.drawable.a.b(background);
                this.f3650b.refreshDrawableState();
            } else {
                background.setColorFilter(n.a(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void d() {
        TextView textView;
        if (this.o != null && this.r != 0) {
            EditText editText = this.f3650b;
            boolean z2 = true;
            boolean z3 = editText != null && editText.hasFocus();
            EditText editText2 = this.f3650b;
            if (editText2 == null || !editText2.isHovered()) {
                z2 = false;
            }
            if (this.r == 2) {
                if (!isEnabled()) {
                    this.A = this.W;
                } else if (this.f3652d.c()) {
                    this.A = this.f3652d.e();
                } else if (this.f3655g && (textView = this.f3656h) != null) {
                    this.A = textView.getCurrentTextColor();
                } else if (z3) {
                    this.A = this.V;
                } else if (z2) {
                    this.A = this.U;
                } else {
                    this.A = this.T;
                }
                if ((z2 || z3) && isEnabled()) {
                    this.x = this.z;
                } else {
                    this.x = this.y;
                }
                f();
            }
        }
    }

    public void dispatchProvideAutofillStructure(ViewStructure viewStructure, int i2) {
        EditText editText;
        if (this.f3651c == null || (editText = this.f3650b) == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i2);
            return;
        }
        boolean z2 = this.m;
        this.m = false;
        CharSequence hint = editText.getHint();
        this.f3650b.setHint(this.f3651c);
        try {
            super.dispatchProvideAutofillStructure(viewStructure, i2);
        } finally {
            this.f3650b.setHint(hint);
            this.m = z2;
        }
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        this.g0 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.g0 = false;
    }

    public void draw(Canvas canvas) {
        GradientDrawable gradientDrawable = this.o;
        if (gradientDrawable != null) {
            gradientDrawable.draw(canvas);
        }
        super.draw(canvas);
        if (this.k) {
            this.b0.a(canvas);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        if (!this.f0) {
            boolean z2 = true;
            this.f0 = true;
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            if (!x.F(this) || !isEnabled()) {
                z2 = false;
            }
            b(z2);
            c();
            w();
            d();
            com.google.android.material.internal.c cVar = this.b0;
            if (cVar != null ? cVar.a(drawableState) | false : false) {
                invalidate();
            }
            this.f0 = false;
        }
    }

    public int getBoxBackgroundColor() {
        return this.B;
    }

    public float getBoxCornerRadiusBottomEnd() {
        return this.v;
    }

    public float getBoxCornerRadiusBottomStart() {
        return this.w;
    }

    public float getBoxCornerRadiusTopEnd() {
        return this.u;
    }

    public float getBoxCornerRadiusTopStart() {
        return this.t;
    }

    public int getBoxStrokeColor() {
        return this.V;
    }

    public int getCounterMaxLength() {
        return this.f3654f;
    }

    /* access modifiers changed from: package-private */
    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.f3653e || !this.f3655g || (textView = this.f3656h) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    public ColorStateList getDefaultHintTextColor() {
        return this.R;
    }

    public EditText getEditText() {
        return this.f3650b;
    }

    public CharSequence getError() {
        if (this.f3652d.k()) {
            return this.f3652d.d();
        }
        return null;
    }

    public int getErrorCurrentTextColors() {
        return this.f3652d.e();
    }

    /* access modifiers changed from: package-private */
    public final int getErrorTextCurrentColor() {
        return this.f3652d.e();
    }

    public CharSequence getHelperText() {
        if (this.f3652d.l()) {
            return this.f3652d.g();
        }
        return null;
    }

    public int getHelperTextCurrentTextColor() {
        return this.f3652d.h();
    }

    public CharSequence getHint() {
        if (this.k) {
            return this.l;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public final float getHintCollapsedTextHeight() {
        return this.b0.d();
    }

    /* access modifiers changed from: package-private */
    public final int getHintCurrentCollapsedTextColor() {
        return this.b0.f();
    }

    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.I;
    }

    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.H;
    }

    public Typeface getTypeface() {
        return this.F;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        EditText editText;
        super.onLayout(z2, i2, i3, i4, i5);
        if (this.o != null) {
            w();
        }
        if (this.k && (editText = this.f3650b) != null) {
            Rect rect = this.D;
            com.google.android.material.internal.d.a(this, editText, rect);
            int compoundPaddingLeft = rect.left + this.f3650b.getCompoundPaddingLeft();
            int compoundPaddingRight = rect.right - this.f3650b.getCompoundPaddingRight();
            int j2 = j();
            this.b0.b(compoundPaddingLeft, rect.top + this.f3650b.getCompoundPaddingTop(), compoundPaddingRight, rect.bottom - this.f3650b.getCompoundPaddingBottom());
            this.b0.a(compoundPaddingLeft, j2, compoundPaddingRight, (i5 - i3) - getPaddingBottom());
            this.b0.m();
            if (m() && !this.a0) {
                q();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        v();
        super.onMeasure(i2, i3);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        setError(savedState.error);
        if (savedState.isPasswordToggledVisible) {
            a(true);
        }
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        if (this.f3652d.c()) {
            savedState.error = getError();
        }
        savedState.isPasswordToggledVisible = this.K;
        return savedState;
    }

    public void setBoxBackgroundColor(int i2) {
        if (this.B != i2) {
            this.B = i2;
            f();
        }
    }

    public void setBoxBackgroundColorResource(int i2) {
        setBoxBackgroundColor(a.g.d.a.a(getContext(), i2));
    }

    public void setBoxBackgroundMode(int i2) {
        if (i2 != this.r) {
            this.r = i2;
            p();
        }
    }

    public void setBoxStrokeColor(int i2) {
        if (this.V != i2) {
            this.V = i2;
            d();
        }
    }

    public void setCounterEnabled(boolean z2) {
        if (this.f3653e != z2) {
            if (z2) {
                this.f3656h = new AppCompatTextView(getContext());
                this.f3656h.setId(f.textinput_counter);
                Typeface typeface = this.F;
                if (typeface != null) {
                    this.f3656h.setTypeface(typeface);
                }
                this.f3656h.setMaxLines(1);
                a(this.f3656h, this.f3658j);
                this.f3652d.a(this.f3656h, 2);
                EditText editText = this.f3650b;
                if (editText == null) {
                    a(0);
                } else {
                    a(editText.getText().length());
                }
            } else {
                this.f3652d.b(this.f3656h, 2);
                this.f3656h = null;
            }
            this.f3653e = z2;
        }
    }

    public void setCounterMaxLength(int i2) {
        if (this.f3654f != i2) {
            if (i2 > 0) {
                this.f3654f = i2;
            } else {
                this.f3654f = -1;
            }
            if (this.f3653e) {
                EditText editText = this.f3650b;
                a(editText == null ? 0 : editText.getText().length());
            }
        }
    }

    public void setDefaultHintTextColor(ColorStateList colorStateList) {
        this.R = colorStateList;
        this.S = colorStateList;
        if (this.f3650b != null) {
            b(false);
        }
    }

    public void setEnabled(boolean z2) {
        a(this, z2);
        super.setEnabled(z2);
    }

    public void setError(CharSequence charSequence) {
        if (!this.f3652d.k()) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(charSequence)) {
            this.f3652d.a(charSequence);
        } else {
            this.f3652d.i();
        }
    }

    public void setErrorEnabled(boolean z2) {
        this.f3652d.a(z2);
    }

    public void setErrorTextAppearance(int i2) {
        this.f3652d.b(i2);
    }

    public void setErrorTextColor(ColorStateList colorStateList) {
        this.f3652d.a(colorStateList);
    }

    public void setHelperText(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!a()) {
                setHelperTextEnabled(true);
            }
            this.f3652d.b(charSequence);
        } else if (a()) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(ColorStateList colorStateList) {
        this.f3652d.b(colorStateList);
    }

    public void setHelperTextEnabled(boolean z2) {
        this.f3652d.b(z2);
    }

    public void setHelperTextTextAppearance(int i2) {
        this.f3652d.c(i2);
    }

    public void setHint(CharSequence charSequence) {
        if (this.k) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(VehicleZone.ZONE_ROW_3_ALL);
        }
    }

    public void setHintAnimationEnabled(boolean z2) {
        this.c0 = z2;
    }

    public void setHintEnabled(boolean z2) {
        if (z2 != this.k) {
            this.k = z2;
            if (!this.k) {
                this.m = false;
                if (!TextUtils.isEmpty(this.l) && TextUtils.isEmpty(this.f3650b.getHint())) {
                    this.f3650b.setHint(this.l);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.f3650b.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.l)) {
                        setHint(hint);
                    }
                    this.f3650b.setHint((CharSequence) null);
                }
                this.m = true;
            }
            if (this.f3650b != null) {
                u();
            }
        }
    }

    public void setHintTextAppearance(int i2) {
        this.b0.a(i2);
        this.S = this.b0.b();
        if (this.f3650b != null) {
            b(false);
            u();
        }
    }

    public void setPasswordVisibilityToggleContentDescription(int i2) {
        setPasswordVisibilityToggleContentDescription(i2 != 0 ? getResources().getText(i2) : null);
    }

    public void setPasswordVisibilityToggleDrawable(int i2) {
        setPasswordVisibilityToggleDrawable(i2 != 0 ? a.a.k.a.a.c(getContext(), i2) : null);
    }

    public void setPasswordVisibilityToggleEnabled(boolean z2) {
        EditText editText;
        if (this.G != z2) {
            this.G = z2;
            if (!z2 && this.K && (editText = this.f3650b) != null) {
                editText.setTransformationMethod(PasswordTransformationMethod.getInstance());
            }
            this.K = false;
            v();
        }
    }

    public void setPasswordVisibilityToggleTintList(ColorStateList colorStateList) {
        this.N = colorStateList;
        this.O = true;
        g();
    }

    public void setPasswordVisibilityToggleTintMode(PorterDuff.Mode mode) {
        this.P = mode;
        this.Q = true;
        g();
    }

    public void setTextInputAccessibilityDelegate(d dVar) {
        EditText editText = this.f3650b;
        if (editText != null) {
            x.a(editText, dVar);
        }
    }

    public void setTypeface(Typeface typeface) {
        if (typeface != this.F) {
            this.F = typeface;
            this.b0.c(typeface);
            this.f3652d.a(typeface);
            TextView textView = this.f3656h;
            if (textView != null) {
                textView.setTypeface(typeface);
            }
        }
    }

    public TextInputLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f3652d = new b(this);
        this.D = new Rect();
        this.E = new RectF();
        this.b0 = new com.google.android.material.internal.c(this);
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        this.f3649a = new FrameLayout(context);
        this.f3649a.setAddStatesFromChildren(true);
        addView(this.f3649a);
        this.b0.b(d.d.a.a.l.a.f6586a);
        this.b0.a(d.d.a.a.l.a.f6586a);
        this.b0.b(8388659);
        p0 d2 = s.d(context, attributeSet, k.TextInputLayout, i2, j.Widget_Design_TextInputLayout, new int[0]);
        this.k = d2.a(k.TextInputLayout_hintEnabled, true);
        setHint(d2.e(k.TextInputLayout_android_hint));
        this.c0 = d2.a(k.TextInputLayout_hintAnimationEnabled, true);
        this.p = context.getResources().getDimensionPixelOffset(d.d.a.a.d.mtrl_textinput_box_bottom_offset);
        this.q = context.getResources().getDimensionPixelOffset(d.d.a.a.d.mtrl_textinput_box_label_cutout_padding);
        this.s = d2.b(k.TextInputLayout_boxCollapsedPaddingTop, 0);
        this.t = d2.a(k.TextInputLayout_boxCornerRadiusTopStart, 0.0f);
        this.u = d2.a(k.TextInputLayout_boxCornerRadiusTopEnd, 0.0f);
        this.v = d2.a(k.TextInputLayout_boxCornerRadiusBottomEnd, 0.0f);
        this.w = d2.a(k.TextInputLayout_boxCornerRadiusBottomStart, 0.0f);
        this.B = d2.a(k.TextInputLayout_boxBackgroundColor, 0);
        this.V = d2.a(k.TextInputLayout_boxStrokeColor, 0);
        this.y = context.getResources().getDimensionPixelSize(d.d.a.a.d.mtrl_textinput_box_stroke_width_default);
        this.z = context.getResources().getDimensionPixelSize(d.d.a.a.d.mtrl_textinput_box_stroke_width_focused);
        this.x = this.y;
        setBoxBackgroundMode(d2.d(k.TextInputLayout_boxBackgroundMode, 0));
        if (d2.g(k.TextInputLayout_android_textColorHint)) {
            ColorStateList a2 = d2.a(k.TextInputLayout_android_textColorHint);
            this.S = a2;
            this.R = a2;
        }
        this.T = a.g.d.a.a(context, d.d.a.a.c.mtrl_textinput_default_box_stroke_color);
        this.W = a.g.d.a.a(context, d.d.a.a.c.mtrl_textinput_disabled_color);
        this.U = a.g.d.a.a(context, d.d.a.a.c.mtrl_textinput_hovered_box_stroke_color);
        if (d2.g(k.TextInputLayout_hintTextAppearance, -1) != -1) {
            setHintTextAppearance(d2.g(k.TextInputLayout_hintTextAppearance, 0));
        }
        int g2 = d2.g(k.TextInputLayout_errorTextAppearance, 0);
        boolean a3 = d2.a(k.TextInputLayout_errorEnabled, false);
        int g3 = d2.g(k.TextInputLayout_helperTextTextAppearance, 0);
        boolean a4 = d2.a(k.TextInputLayout_helperTextEnabled, false);
        CharSequence e2 = d2.e(k.TextInputLayout_helperText);
        boolean a5 = d2.a(k.TextInputLayout_counterEnabled, false);
        setCounterMaxLength(d2.d(k.TextInputLayout_counterMaxLength, -1));
        this.f3658j = d2.g(k.TextInputLayout_counterTextAppearance, 0);
        this.f3657i = d2.g(k.TextInputLayout_counterOverflowTextAppearance, 0);
        this.G = d2.a(k.TextInputLayout_passwordToggleEnabled, false);
        this.H = d2.b(k.TextInputLayout_passwordToggleDrawable);
        this.I = d2.e(k.TextInputLayout_passwordToggleContentDescription);
        if (d2.g(k.TextInputLayout_passwordToggleTint)) {
            this.O = true;
            this.N = d2.a(k.TextInputLayout_passwordToggleTint);
        }
        if (d2.g(k.TextInputLayout_passwordToggleTintMode)) {
            this.Q = true;
            this.P = t.a(d2.d(k.TextInputLayout_passwordToggleTintMode, -1), null);
        }
        d2.a();
        setHelperTextEnabled(a4);
        setHelperText(e2);
        setHelperTextTextAppearance(g3);
        setErrorEnabled(a3);
        setErrorTextAppearance(g2);
        setCounterEnabled(a5);
        g();
        x.i(this, 2);
    }

    private void a(boolean z2, boolean z3) {
        ColorStateList colorStateList;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.f3650b;
        boolean z4 = true;
        boolean z5 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.f3650b;
        if (editText2 == null || !editText2.hasFocus()) {
            z4 = false;
        }
        boolean c2 = this.f3652d.c();
        ColorStateList colorStateList2 = this.R;
        if (colorStateList2 != null) {
            this.b0.a(colorStateList2);
            this.b0.b(this.R);
        }
        if (!isEnabled) {
            this.b0.a(ColorStateList.valueOf(this.W));
            this.b0.b(ColorStateList.valueOf(this.W));
        } else if (c2) {
            this.b0.a(this.f3652d.f());
        } else if (this.f3655g && (textView = this.f3656h) != null) {
            this.b0.a(textView.getTextColors());
        } else if (z4 && (colorStateList = this.S) != null) {
            this.b0.a(colorStateList);
        }
        if (z5 || (isEnabled() && (z4 || c2))) {
            if (z3 || this.a0) {
                c(z2);
            }
        } else if (z3 || !this.a0) {
            d(z2);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b() {
        return this.m;
    }

    public void setPasswordVisibilityToggleContentDescription(CharSequence charSequence) {
        this.I = charSequence;
        CheckableImageButton checkableImageButton = this.J;
        if (checkableImageButton != null) {
            checkableImageButton.setContentDescription(charSequence);
        }
    }

    public void setPasswordVisibilityToggleDrawable(Drawable drawable) {
        this.H = drawable;
        CheckableImageButton checkableImageButton = this.J;
        if (checkableImageButton != null) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    private void c(boolean z2) {
        ValueAnimator valueAnimator = this.d0;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.d0.cancel();
        }
        if (!z2 || !this.c0) {
            this.b0.b(1.0f);
        } else {
            a(1.0f);
        }
        this.a0 = false;
        if (m()) {
            q();
        }
    }

    private void d(boolean z2) {
        ValueAnimator valueAnimator = this.d0;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.d0.cancel();
        }
        if (!z2 || !this.c0) {
            this.b0.b(0.0f);
        } else {
            a(0.0f);
        }
        if (m() && ((a) this.o).a()) {
            l();
        }
        this.a0 = true;
    }

    public boolean a() {
        return this.f3652d.l();
    }

    private static void a(ViewGroup viewGroup, boolean z2) {
        int childCount = viewGroup.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = viewGroup.getChildAt(i2);
            childAt.setEnabled(z2);
            if (childAt instanceof ViewGroup) {
                a((ViewGroup) childAt, z2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2) {
        boolean z2 = this.f3655g;
        if (this.f3654f == -1) {
            this.f3656h.setText(String.valueOf(i2));
            this.f3656h.setContentDescription(null);
            this.f3655g = false;
        } else {
            if (x.d(this.f3656h) == 1) {
                x.h(this.f3656h, 0);
            }
            this.f3655g = i2 > this.f3654f;
            boolean z3 = this.f3655g;
            if (z2 != z3) {
                a(this.f3656h, z3 ? this.f3657i : this.f3658j);
                if (this.f3655g) {
                    x.h(this.f3656h, 1);
                }
            }
            this.f3656h.setText(getContext().getString(d.d.a.a.i.character_counter_pattern, Integer.valueOf(i2), Integer.valueOf(this.f3654f)));
            this.f3656h.setContentDescription(getContext().getString(d.d.a.a.i.character_counter_content_description, Integer.valueOf(i2), Integer.valueOf(this.f3654f)));
        }
        if (this.f3650b != null && z2 != this.f3655g) {
            b(false);
            d();
            c();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(TextView textView, int i2) {
        boolean z2 = true;
        try {
            i.d(textView, i2);
            if (Build.VERSION.SDK_INT < 23 || textView.getTextColors().getDefaultColor() != -65281) {
                z2 = false;
            }
        } catch (Exception unused) {
        }
        if (z2) {
            i.d(textView, j.TextAppearance_AppCompat_Caption);
            textView.setTextColor(a.g.d.a.a(getContext(), d.d.a.a.c.design_error));
        }
    }

    public void a(boolean z2) {
        if (this.G) {
            int selectionEnd = this.f3650b.getSelectionEnd();
            if (o()) {
                this.f3650b.setTransformationMethod(null);
                this.K = true;
            } else {
                this.f3650b.setTransformationMethod(PasswordTransformationMethod.getInstance());
                this.K = false;
            }
            this.J.setChecked(this.K);
            if (z2) {
                this.J.jumpDrawablesToCurrentState();
            }
            this.f3650b.setSelection(selectionEnd);
        }
    }

    private void a(RectF rectF) {
        float f2 = rectF.left;
        int i2 = this.q;
        rectF.left = f2 - ((float) i2);
        rectF.top -= (float) i2;
        rectF.right += (float) i2;
        rectF.bottom += (float) i2;
    }

    /* access modifiers changed from: package-private */
    public void a(float f2) {
        if (this.b0.i() != f2) {
            if (this.d0 == null) {
                this.d0 = new ValueAnimator();
                this.d0.setInterpolator(d.d.a.a.l.a.f6587b);
                this.d0.setDuration(167L);
                this.d0.addUpdateListener(new c());
            }
            this.d0.setFloatValues(this.b0.i(), f2);
            this.d0.start();
        }
    }
}
