package com.google.android.material.transformation;

import a.g.l.x;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.google.android.material.circularreveal.c;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import d.d.a.a.f;
import d.d.a.a.l.h;
import d.d.a.a.l.i;
import d.d.a.a.l.j;
import java.util.ArrayList;
import java.util.List;

public abstract class FabTransformationBehavior extends ExpandableTransformationBehavior {

    /* renamed from: c  reason: collision with root package name */
    private final Rect f3689c;

    /* renamed from: d  reason: collision with root package name */
    private final RectF f3690d;

    /* renamed from: e  reason: collision with root package name */
    private final RectF f3691e;

    /* renamed from: f  reason: collision with root package name */
    private final int[] f3692f;

    class a extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f3693a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f3694b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ View f3695c;

        a(FabTransformationBehavior fabTransformationBehavior, boolean z, View view, View view2) {
            this.f3693a = z;
            this.f3694b = view;
            this.f3695c = view2;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f3693a) {
                this.f3694b.setVisibility(4);
                this.f3695c.setAlpha(1.0f);
                this.f3695c.setVisibility(0);
            }
        }

        public void onAnimationStart(Animator animator) {
            if (this.f3693a) {
                this.f3694b.setVisibility(0);
                this.f3695c.setAlpha(0.0f);
                this.f3695c.setVisibility(4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f3696a;

        b(FabTransformationBehavior fabTransformationBehavior, View view) {
            this.f3696a = view;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f3696a.invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.android.material.circularreveal.c f3697a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Drawable f3698b;

        c(FabTransformationBehavior fabTransformationBehavior, com.google.android.material.circularreveal.c cVar, Drawable drawable) {
            this.f3697a = cVar;
            this.f3698b = drawable;
        }

        public void onAnimationEnd(Animator animator) {
            this.f3697a.setCircularRevealOverlayDrawable(null);
        }

        public void onAnimationStart(Animator animator) {
            this.f3697a.setCircularRevealOverlayDrawable(this.f3698b);
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.android.material.circularreveal.c f3699a;

        d(FabTransformationBehavior fabTransformationBehavior, com.google.android.material.circularreveal.c cVar) {
            this.f3699a = cVar;
        }

        public void onAnimationEnd(Animator animator) {
            c.e revealInfo = this.f3699a.getRevealInfo();
            revealInfo.f3509c = Float.MAX_VALUE;
            this.f3699a.setRevealInfo(revealInfo);
        }
    }

    /* access modifiers changed from: protected */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        public h f3700a;

        /* renamed from: b  reason: collision with root package name */
        public j f3701b;

        protected e() {
        }
    }

    public FabTransformationBehavior() {
        this.f3689c = new Rect();
        this.f3690d = new RectF();
        this.f3691e = new RectF();
        this.f3692f = new int[2];
    }

    @TargetApi(21)
    private void c(View view, View view2, boolean z, boolean z2, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        float k = x.k(view2) - x.k(view);
        if (z) {
            if (!z2) {
                view2.setTranslationZ(-k);
            }
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, 0.0f);
        } else {
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, -k);
        }
        eVar.f3700a.a("elevation").a((Animator) objectAnimator);
        list.add(objectAnimator);
    }

    private void d(View view, View view2, boolean z, boolean z2, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        if ((view2 instanceof com.google.android.material.circularreveal.c) && (view instanceof ImageView)) {
            com.google.android.material.circularreveal.c cVar = (com.google.android.material.circularreveal.c) view2;
            Drawable drawable = ((ImageView) view).getDrawable();
            if (drawable != null) {
                drawable.mutate();
                if (z) {
                    if (!z2) {
                        drawable.setAlpha(255);
                    }
                    objectAnimator = ObjectAnimator.ofInt(drawable, d.d.a.a.l.e.f6593b, 0);
                } else {
                    objectAnimator = ObjectAnimator.ofInt(drawable, d.d.a.a.l.e.f6593b, 255);
                }
                objectAnimator.addUpdateListener(new b(this, view2));
                eVar.f3700a.a("iconFade").a((Animator) objectAnimator);
                list.add(objectAnimator);
                list2.add(new c(this, cVar, drawable));
            }
        }
    }

    /* access modifiers changed from: protected */
    public abstract e a(Context context, boolean z);

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean a(CoordinatorLayout coordinatorLayout, View view, View view2) {
        if (view.getVisibility() == 8) {
            throw new IllegalStateException("This behavior cannot be attached to a GONE view. Set the view to INVISIBLE instead.");
        } else if (!(view2 instanceof FloatingActionButton)) {
            return false;
        } else {
            int expandedComponentIdHint = ((FloatingActionButton) view2).getExpandedComponentIdHint();
            if (expandedComponentIdHint == 0 || expandedComponentIdHint == view.getId()) {
                return true;
            }
            return false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.transformation.ExpandableTransformationBehavior
    public AnimatorSet b(View view, View view2, boolean z, boolean z2) {
        e a2 = a(view2.getContext(), z);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        if (Build.VERSION.SDK_INT >= 21) {
            c(view, view2, z, z2, a2, arrayList, arrayList2);
        }
        RectF rectF = this.f3690d;
        a(view, view2, z, z2, a2, arrayList, arrayList2, rectF);
        float width = rectF.width();
        float height = rectF.height();
        d(view, view2, z, z2, a2, arrayList, arrayList2);
        a(view, view2, z, z2, a2, width, height, arrayList, arrayList2);
        b(view, view2, z, z2, a2, arrayList, arrayList2);
        a(view, view2, z, z2, a2, arrayList, arrayList2);
        AnimatorSet animatorSet = new AnimatorSet();
        d.d.a.a.l.b.a(animatorSet, arrayList);
        animatorSet.addListener(new a(this, z, view2, view));
        int size = arrayList2.size();
        for (int i2 = 0; i2 < size; i2++) {
            animatorSet.addListener(arrayList2.get(i2));
        }
        return animatorSet;
    }

    public FabTransformationBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f3689c = new Rect();
        this.f3690d = new RectF();
        this.f3691e = new RectF();
        this.f3692f = new int[2];
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void a(CoordinatorLayout.e eVar) {
        if (eVar.f1497h == 0) {
            eVar.f1497h = 80;
        }
    }

    private float c(View view, View view2, j jVar) {
        float f2;
        float f3;
        float f4;
        RectF rectF = this.f3690d;
        RectF rectF2 = this.f3691e;
        a(view, rectF);
        a(view2, rectF2);
        int i2 = jVar.f6605a & 7;
        if (i2 == 1) {
            f4 = rectF2.centerX();
            f3 = rectF.centerX();
        } else if (i2 == 3) {
            f4 = rectF2.left;
            f3 = rectF.left;
        } else if (i2 != 5) {
            f2 = 0.0f;
            return f2 + jVar.f6606b;
        } else {
            f4 = rectF2.right;
            f3 = rectF.right;
        }
        f2 = f4 - f3;
        return f2 + jVar.f6606b;
    }

    private void a(View view, View view2, boolean z, boolean z2, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2, RectF rectF) {
        i iVar;
        i iVar2;
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2;
        int i2;
        float c2 = c(view, view2, eVar.f3701b);
        float d2 = d(view, view2, eVar.f3701b);
        if (c2 == 0.0f || d2 == 0.0f) {
            iVar2 = eVar.f3700a.a("translationXLinear");
            iVar = eVar.f3700a.a("translationYLinear");
        } else if ((!z || d2 >= 0.0f) && (z || i2 <= 0)) {
            iVar2 = eVar.f3700a.a("translationXCurveDownwards");
            iVar = eVar.f3700a.a("translationYCurveDownwards");
        } else {
            iVar2 = eVar.f3700a.a("translationXCurveUpwards");
            iVar = eVar.f3700a.a("translationYCurveUpwards");
        }
        if (z) {
            if (!z2) {
                view2.setTranslationX(-c2);
                view2.setTranslationY(-d2);
            }
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, 0.0f);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, 0.0f);
            a(view2, eVar, iVar2, iVar, -c2, -d2, 0.0f, 0.0f, rectF);
        } else {
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, -c2);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, -d2);
        }
        iVar2.a((Animator) objectAnimator2);
        iVar.a((Animator) objectAnimator);
        list.add(objectAnimator2);
        list.add(objectAnimator);
    }

    private float d(View view, View view2, j jVar) {
        float f2;
        float f3;
        float f4;
        RectF rectF = this.f3690d;
        RectF rectF2 = this.f3691e;
        a(view, rectF);
        a(view2, rectF2);
        int i2 = jVar.f6605a & 112;
        if (i2 == 16) {
            f4 = rectF2.centerY();
            f3 = rectF.centerY();
        } else if (i2 == 48) {
            f4 = rectF2.top;
            f3 = rectF.top;
        } else if (i2 != 80) {
            f2 = 0.0f;
            return f2 + jVar.f6607c;
        } else {
            f4 = rectF2.bottom;
            f3 = rectF.bottom;
        }
        f2 = f4 - f3;
        return f2 + jVar.f6607c;
    }

    private ViewGroup c(View view) {
        if (view instanceof ViewGroup) {
            return (ViewGroup) view;
        }
        return null;
    }

    private void b(View view, View view2, boolean z, boolean z2, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        if (view2 instanceof com.google.android.material.circularreveal.c) {
            com.google.android.material.circularreveal.c cVar = (com.google.android.material.circularreveal.c) view2;
            int b2 = b(view);
            int i2 = 16777215 & b2;
            if (z) {
                if (!z2) {
                    cVar.setCircularRevealScrimColor(b2);
                }
                objectAnimator = ObjectAnimator.ofInt(cVar, c.d.f3506a, i2);
            } else {
                objectAnimator = ObjectAnimator.ofInt(cVar, c.d.f3506a, b2);
            }
            objectAnimator.setEvaluator(d.d.a.a.l.c.a());
            eVar.f3700a.a("color").a((Animator) objectAnimator);
            list.add(objectAnimator);
        }
    }

    private void a(View view, View view2, boolean z, boolean z2, e eVar, float f2, float f3, List<Animator> list, List<Animator.AnimatorListener> list2) {
        Animator animator;
        if (view2 instanceof com.google.android.material.circularreveal.c) {
            com.google.android.material.circularreveal.c cVar = (com.google.android.material.circularreveal.c) view2;
            float a2 = a(view, view2, eVar.f3701b);
            float b2 = b(view, view2, eVar.f3701b);
            ((FloatingActionButton) view).a(this.f3689c);
            float width = ((float) this.f3689c.width()) / 2.0f;
            i a3 = eVar.f3700a.a("expansion");
            if (z) {
                if (!z2) {
                    cVar.setRevealInfo(new c.e(a2, b2, width));
                }
                if (z2) {
                    width = cVar.getRevealInfo().f3509c;
                }
                animator = com.google.android.material.circularreveal.a.a(cVar, a2, b2, d.d.a.a.p.a.a(a2, b2, 0.0f, 0.0f, f2, f3));
                animator.addListener(new d(this, cVar));
                a(view2, a3.a(), (int) a2, (int) b2, width, list);
            } else {
                float f4 = cVar.getRevealInfo().f3509c;
                Animator a4 = com.google.android.material.circularreveal.a.a(cVar, a2, b2, width);
                int i2 = (int) a2;
                int i3 = (int) b2;
                a(view2, a3.a(), i2, i3, f4, list);
                a(view2, a3.a(), a3.b(), eVar.f3700a.a(), i2, i3, width, list);
                animator = a4;
            }
            a3.a(animator);
            list.add(animator);
            list2.add(com.google.android.material.circularreveal.a.a(cVar));
        }
    }

    private float b(View view, View view2, j jVar) {
        RectF rectF = this.f3690d;
        RectF rectF2 = this.f3691e;
        a(view, rectF);
        a(view2, rectF2);
        rectF2.offset(0.0f, -d(view, view2, jVar));
        return rectF.centerY() - rectF2.top;
    }

    private int b(View view) {
        ColorStateList g2 = x.g(view);
        if (g2 != null) {
            return g2.getColorForState(view.getDrawableState(), g2.getDefaultColor());
        }
        return 0;
    }

    private void a(View view, View view2, boolean z, boolean z2, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ViewGroup a2;
        ObjectAnimator objectAnimator;
        if (view2 instanceof ViewGroup) {
            if ((!(view2 instanceof com.google.android.material.circularreveal.c) || com.google.android.material.circularreveal.b.f3493j != 0) && (a2 = a(view2)) != null) {
                if (z) {
                    if (!z2) {
                        d.d.a.a.l.d.f6592a.set(a2, Float.valueOf(0.0f));
                    }
                    objectAnimator = ObjectAnimator.ofFloat(a2, d.d.a.a.l.d.f6592a, 1.0f);
                } else {
                    objectAnimator = ObjectAnimator.ofFloat(a2, d.d.a.a.l.d.f6592a, 0.0f);
                }
                eVar.f3700a.a("contentFade").a((Animator) objectAnimator);
                list.add(objectAnimator);
            }
        }
    }

    private void a(View view, RectF rectF) {
        rectF.set(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        int[] iArr = this.f3692f;
        view.getLocationInWindow(iArr);
        rectF.offsetTo((float) iArr[0], (float) iArr[1]);
        rectF.offset((float) ((int) (-view.getTranslationX())), (float) ((int) (-view.getTranslationY())));
    }

    private float a(View view, View view2, j jVar) {
        RectF rectF = this.f3690d;
        RectF rectF2 = this.f3691e;
        a(view, rectF);
        a(view2, rectF2);
        rectF2.offset(-c(view, view2, jVar), 0.0f);
        return rectF.centerX() - rectF2.left;
    }

    private void a(View view, e eVar, i iVar, i iVar2, float f2, float f3, float f4, float f5, RectF rectF) {
        float a2 = a(eVar, iVar, f2, f4);
        float a3 = a(eVar, iVar2, f3, f5);
        Rect rect = this.f3689c;
        view.getWindowVisibleDisplayFrame(rect);
        RectF rectF2 = this.f3690d;
        rectF2.set(rect);
        RectF rectF3 = this.f3691e;
        a(view, rectF3);
        rectF3.offset(a2, a3);
        rectF3.intersect(rectF2);
        rectF.set(rectF3);
    }

    private float a(e eVar, i iVar, float f2, float f3) {
        long a2 = iVar.a();
        long b2 = iVar.b();
        i a3 = eVar.f3700a.a("expansion");
        return d.d.a.a.l.a.a(f2, f3, iVar.c().getInterpolation(((float) (((a3.a() + a3.b()) + 17) - a2)) / ((float) b2)));
    }

    private ViewGroup a(View view) {
        View findViewById = view.findViewById(f.mtrl_child_content_container);
        if (findViewById != null) {
            return c(findViewById);
        }
        if ((view instanceof TransformationChildLayout) || (view instanceof TransformationChildCard)) {
            return c(((ViewGroup) view).getChildAt(0));
        }
        return c(view);
    }

    private void a(View view, long j2, int i2, int i3, float f2, List<Animator> list) {
        if (Build.VERSION.SDK_INT >= 21 && j2 > 0) {
            Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i2, i3, f2, f2);
            createCircularReveal.setStartDelay(0);
            createCircularReveal.setDuration(j2);
            list.add(createCircularReveal);
        }
    }

    private void a(View view, long j2, long j3, long j4, int i2, int i3, float f2, List<Animator> list) {
        if (Build.VERSION.SDK_INT >= 21) {
            long j5 = j2 + j3;
            if (j5 < j4) {
                Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i2, i3, f2, f2);
                createCircularReveal.setStartDelay(j5);
                createCircularReveal.setDuration(j4 - j5);
                list.add(createCircularReveal);
            }
        }
    }
}
