package com.google.gson.internal.bind.util;

import java.text.ParseException;
import java.text.ParsePosition;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.TimeZone;

public class ISO8601Utils {
    private static final TimeZone TIMEZONE_UTC = TimeZone.getTimeZone(UTC_ID);
    private static final String UTC_ID = "UTC";

    private static boolean checkOffset(String str, int i2, char c2) {
        return i2 < str.length() && str.charAt(i2) == c2;
    }

    public static String format(Date date) {
        return format(date, false, TIMEZONE_UTC);
    }

    private static int indexOfNonDigit(String str, int i2) {
        while (i2 < str.length()) {
            char charAt = str.charAt(i2);
            if (charAt < '0' || charAt > '9') {
                return i2;
            }
            i2++;
        }
        return str.length();
    }

    private static void padInt(StringBuilder sb, int i2, int i3) {
        String num = Integer.toString(i2);
        for (int length = i3 - num.length(); length > 0; length--) {
            sb.append('0');
        }
        sb.append(num);
    }

    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ca A[Catch:{ IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException -> 0x01b7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01af A[Catch:{ IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException -> 0x01b7 }] */
    public static Date parse(String str, ParsePosition parsePosition) throws ParseException {
        String str2;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        TimeZone timeZone;
        char charAt;
        try {
            int index = parsePosition.getIndex();
            int i8 = index + 4;
            int parseInt = parseInt(str, index, i8);
            if (checkOffset(str, i8, '-')) {
                i8++;
            }
            int i9 = i8 + 2;
            int parseInt2 = parseInt(str, i8, i9);
            if (checkOffset(str, i9, '-')) {
                i9++;
            }
            int i10 = i9 + 2;
            int parseInt3 = parseInt(str, i9, i10);
            boolean checkOffset = checkOffset(str, i10, 'T');
            if (checkOffset || str.length() > i10) {
                if (checkOffset) {
                    int i11 = i10 + 1;
                    int i12 = i11 + 2;
                    i6 = parseInt(str, i11, i12);
                    if (checkOffset(str, i12, ':')) {
                        i12++;
                    }
                    i2 = i12 + 2;
                    i5 = parseInt(str, i12, i2);
                    if (checkOffset(str, i2, ':')) {
                        i2++;
                    }
                    if (!(str.length() <= i2 || (charAt = str.charAt(i2)) == 'Z' || charAt == '+' || charAt == '-')) {
                        int i13 = i2 + 2;
                        int parseInt4 = parseInt(str, i2, i13);
                        if (parseInt4 > 59 && parseInt4 < 63) {
                            parseInt4 = 59;
                        }
                        if (checkOffset(str, i13, '.')) {
                            int i14 = i13 + 1;
                            int indexOfNonDigit = indexOfNonDigit(str, i14 + 1);
                            int min = Math.min(indexOfNonDigit, i14 + 3);
                            int parseInt5 = parseInt(str, i14, min);
                            int i15 = min - i14;
                            if (i15 == 1) {
                                parseInt5 *= 100;
                            } else if (i15 == 2) {
                                parseInt5 *= 10;
                            }
                            i3 = parseInt5;
                            i4 = parseInt4;
                            i2 = indexOfNonDigit;
                            if (str.length() > i2) {
                                char charAt2 = str.charAt(i2);
                                if (charAt2 == 'Z') {
                                    timeZone = TIMEZONE_UTC;
                                    i7 = i2 + 1;
                                } else {
                                    if (charAt2 != '+') {
                                        if (charAt2 != '-') {
                                            throw new IndexOutOfBoundsException("Invalid time zone indicator '" + charAt2 + "'");
                                        }
                                    }
                                    String substring = str.substring(i2);
                                    if (substring.length() < 5) {
                                        substring = substring + "00";
                                    }
                                    i7 = i2 + substring.length();
                                    if (!"+0000".equals(substring)) {
                                        if (!"+00:00".equals(substring)) {
                                            String str3 = "GMT" + substring;
                                            TimeZone timeZone2 = TimeZone.getTimeZone(str3);
                                            String id = timeZone2.getID();
                                            if (!id.equals(str3)) {
                                                if (!id.replace(":", "").equals(str3)) {
                                                    throw new IndexOutOfBoundsException("Mismatching time zone indicator: " + str3 + " given, resolves to " + timeZone2.getID());
                                                }
                                            }
                                            timeZone = timeZone2;
                                        }
                                    }
                                    timeZone = TIMEZONE_UTC;
                                }
                                GregorianCalendar gregorianCalendar = new GregorianCalendar(timeZone);
                                gregorianCalendar.setLenient(false);
                                gregorianCalendar.set(1, parseInt);
                                gregorianCalendar.set(2, parseInt2 - 1);
                                gregorianCalendar.set(5, parseInt3);
                                gregorianCalendar.set(11, i6);
                                gregorianCalendar.set(12, i5);
                                gregorianCalendar.set(13, i4);
                                gregorianCalendar.set(14, i3);
                                parsePosition.setIndex(i7);
                                return gregorianCalendar.getTime();
                            }
                            throw new IllegalArgumentException("No time zone indicator");
                        }
                        i4 = parseInt4;
                        i2 = i13;
                        i3 = 0;
                        if (str.length() > i2) {
                        }
                    }
                } else {
                    i2 = i10;
                    i6 = 0;
                    i5 = 0;
                }
                i4 = 0;
                i3 = 0;
                if (str.length() > i2) {
                }
            } else {
                GregorianCalendar gregorianCalendar2 = new GregorianCalendar(parseInt, parseInt2 - 1, parseInt3);
                parsePosition.setIndex(i10);
                return gregorianCalendar2.getTime();
            }
        } catch (IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException e2) {
            if (str == null) {
                str2 = null;
            } else {
                str2 = '\"' + str + '\"';
            }
            String message = e2.getMessage();
            if (message == null || message.isEmpty()) {
                message = "(" + e2.getClass().getName() + ")";
            }
            ParseException parseException = new ParseException("Failed to parse date [" + str2 + "]: " + message, parsePosition.getIndex());
            parseException.initCause(e2);
            throw parseException;
        }
    }

    private static int parseInt(String str, int i2, int i3) throws NumberFormatException {
        int i4;
        int i5;
        if (i2 < 0 || i3 > str.length() || i2 > i3) {
            throw new NumberFormatException(str);
        }
        if (i2 < i3) {
            i5 = i2 + 1;
            int digit = Character.digit(str.charAt(i2), 10);
            if (digit >= 0) {
                i4 = -digit;
            } else {
                throw new NumberFormatException("Invalid number: " + str.substring(i2, i3));
            }
        } else {
            i5 = i2;
            i4 = 0;
        }
        while (i5 < i3) {
            int i6 = i5 + 1;
            int digit2 = Character.digit(str.charAt(i5), 10);
            if (digit2 >= 0) {
                i4 = (i4 * 10) - digit2;
                i5 = i6;
            } else {
                throw new NumberFormatException("Invalid number: " + str.substring(i2, i3));
            }
        }
        return -i4;
    }

    public static String format(Date date, boolean z) {
        return format(date, z, TIMEZONE_UTC);
    }

    public static String format(Date date, boolean z, TimeZone timeZone) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(timeZone, Locale.US);
        gregorianCalendar.setTime(date);
        StringBuilder sb = new StringBuilder(19 + (z ? 4 : 0) + (timeZone.getRawOffset() == 0 ? 1 : 6));
        padInt(sb, gregorianCalendar.get(1), 4);
        char c2 = '-';
        sb.append('-');
        padInt(sb, gregorianCalendar.get(2) + 1, 2);
        sb.append('-');
        padInt(sb, gregorianCalendar.get(5), 2);
        sb.append('T');
        padInt(sb, gregorianCalendar.get(11), 2);
        sb.append(':');
        padInt(sb, gregorianCalendar.get(12), 2);
        sb.append(':');
        padInt(sb, gregorianCalendar.get(13), 2);
        if (z) {
            sb.append('.');
            padInt(sb, gregorianCalendar.get(14), 3);
        }
        int offset = timeZone.getOffset(gregorianCalendar.getTimeInMillis());
        if (offset != 0) {
            int i2 = offset / 60000;
            int abs = Math.abs(i2 / 60);
            int abs2 = Math.abs(i2 % 60);
            if (offset >= 0) {
                c2 = '+';
            }
            sb.append(c2);
            padInt(sb, abs, 2);
            sb.append(':');
            padInt(sb, abs2, 2);
        } else {
            sb.append('Z');
        }
        return sb.toString();
    }
}
