package com.tencent.bugly;

import android.content.Context;
import android.text.TextUtils;
import com.tencent.bugly.BuglyStrategy;
import com.tencent.bugly.crashreport.CrashReport;
import com.tencent.bugly.crashreport.common.info.a;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.crash.BuglyBroadcastRecevier;
import com.tencent.bugly.crashreport.crash.c;
import com.tencent.bugly.crashreport.crash.d;
import com.tencent.bugly.proguard.n;
import com.tencent.bugly.proguard.o;
import com.tencent.bugly.proguard.x;

/* compiled from: BUGLY */
public class CrashModule extends a {
    public static final int MODULE_ID = 1004;

    /* renamed from: c  reason: collision with root package name */
    private static int f3770c = 0;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f3771d = false;

    /* renamed from: e  reason: collision with root package name */
    private static CrashModule f3772e = new CrashModule();

    /* renamed from: a  reason: collision with root package name */
    private long f3773a;

    /* renamed from: b  reason: collision with root package name */
    private BuglyStrategy.a f3774b;

    private synchronized void a(Context context, BuglyStrategy buglyStrategy) {
        if (buglyStrategy != null) {
            String libBuglySOFilePath = buglyStrategy.getLibBuglySOFilePath();
            if (!TextUtils.isEmpty(libBuglySOFilePath)) {
                a.a(context).m = libBuglySOFilePath;
                x.a("setted libBugly.so file path :%s", libBuglySOFilePath);
            }
            if (buglyStrategy.getCrashHandleCallback() != null) {
                this.f3774b = buglyStrategy.getCrashHandleCallback();
                x.a("setted CrashHanldeCallback", new Object[0]);
            }
            if (buglyStrategy.getAppReportDelay() > 0) {
                this.f3773a = buglyStrategy.getAppReportDelay();
                x.a("setted delay: %d", Long.valueOf(this.f3773a));
            }
        }
    }

    public static CrashModule getInstance() {
        CrashModule crashModule = f3772e;
        crashModule.id = MODULE_ID;
        return crashModule;
    }

    public static boolean hasInitialized() {
        return f3771d;
    }

    @Override // com.tencent.bugly.a
    public String[] getTables() {
        return new String[]{"t_cr"};
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0053  */
    @Override // com.tencent.bugly.a
    public synchronized void init(Context context, boolean z, BuglyStrategy buglyStrategy) {
        if (context != null) {
            if (!f3771d) {
                x.a("Initializing crash module.", new Object[0]);
                n a2 = n.a();
                int i2 = f3770c + 1;
                f3770c = i2;
                a2.a(MODULE_ID, i2);
                f3771d = true;
                CrashReport.setContext(context);
                a(context, buglyStrategy);
                c.a((int) MODULE_ID, context, z, this.f3774b, (o) null, (String) null);
                c a3 = c.a();
                a3.e();
                if (buglyStrategy != null) {
                    if (!buglyStrategy.isEnableNativeCrashMonitor()) {
                        x.a("[crash] Closed native crash monitor!", new Object[0]);
                        a3.f();
                        if (buglyStrategy != null) {
                            if (!buglyStrategy.isEnableANRCrashMonitor()) {
                                x.a("[crash] Closed ANR monitor!", new Object[0]);
                                a3.i();
                                d.a(context);
                                BuglyBroadcastRecevier instance = BuglyBroadcastRecevier.getInstance();
                                instance.addFilter("android.net.conn.CONNECTIVITY_CHANGE");
                                instance.register(context);
                                n a4 = n.a();
                                int i3 = f3770c - 1;
                                f3770c = i3;
                                a4.a(MODULE_ID, i3);
                            }
                        }
                        a3.h();
                        d.a(context);
                        BuglyBroadcastRecevier instance2 = BuglyBroadcastRecevier.getInstance();
                        instance2.addFilter("android.net.conn.CONNECTIVITY_CHANGE");
                        instance2.register(context);
                        n a42 = n.a();
                        int i32 = f3770c - 1;
                        f3770c = i32;
                        a42.a(MODULE_ID, i32);
                    }
                }
                a3.g();
                if (buglyStrategy != null) {
                }
                a3.h();
                d.a(context);
                BuglyBroadcastRecevier instance22 = BuglyBroadcastRecevier.getInstance();
                instance22.addFilter("android.net.conn.CONNECTIVITY_CHANGE");
                instance22.register(context);
                n a422 = n.a();
                int i322 = f3770c - 1;
                f3770c = i322;
                a422.a(MODULE_ID, i322);
            }
        }
    }

    @Override // com.tencent.bugly.a
    public void onServerStrategyChanged(StrategyBean strategyBean) {
        c a2;
        if (strategyBean != null && (a2 = c.a()) != null) {
            a2.a(strategyBean);
        }
    }
}
