package com.tencent.bugly.crashreport.crash.anr;

import android.content.Context;
import android.os.FileObserver;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.crashreport.crash.anr.TraceFileHelper;
import com.tencent.bugly.crashreport.crash.c;
import com.tencent.bugly.proguard.w;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.y;
import com.tencent.bugly.proguard.z;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: BUGLY */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private AtomicInteger f3891a = new AtomicInteger(0);

    /* renamed from: b  reason: collision with root package name */
    private long f3892b = -1;

    /* renamed from: c  reason: collision with root package name */
    private final Context f3893c;

    /* renamed from: d  reason: collision with root package name */
    private final com.tencent.bugly.crashreport.common.info.a f3894d;

    /* renamed from: e  reason: collision with root package name */
    private final w f3895e;

    /* renamed from: f  reason: collision with root package name */
    private final com.tencent.bugly.crashreport.common.strategy.a f3896f;

    /* renamed from: g  reason: collision with root package name */
    private final String f3897g;

    /* renamed from: h  reason: collision with root package name */
    private final com.tencent.bugly.crashreport.crash.b f3898h;

    /* renamed from: i  reason: collision with root package name */
    private FileObserver f3899i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f3900j = true;

    /* access modifiers changed from: package-private */
    /* compiled from: BUGLY */
    public class a extends FileObserver {
        a(String str, int i2) {
            super(str, 8);
        }

        public final void onEvent(int i2, String str) {
            if (str != null) {
                String str2 = "/data/anr/" + str;
                if (!str2.contains("trace")) {
                    x.d("not anr file %s", str2);
                    return;
                }
                b.this.a(str2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.tencent.bugly.crashreport.crash.anr.b$b  reason: collision with other inner class name */
    /* compiled from: BUGLY */
    public class RunnableC0079b implements Runnable {
        RunnableC0079b() {
        }

        public final void run() {
            b.this.b();
        }
    }

    public b(Context context, com.tencent.bugly.crashreport.common.strategy.a aVar, com.tencent.bugly.crashreport.common.info.a aVar2, w wVar, com.tencent.bugly.crashreport.crash.b bVar) {
        this.f3893c = z.a(context);
        this.f3897g = context.getDir("bugly", 0).getAbsolutePath();
        this.f3894d = aVar2;
        this.f3895e = wVar;
        this.f3896f = aVar;
        this.f3898h = bVar;
    }

    private CrashDetailBean a(a aVar) {
        CrashDetailBean crashDetailBean = new CrashDetailBean();
        try {
            crashDetailBean.B = com.tencent.bugly.crashreport.common.info.b.h();
            crashDetailBean.C = com.tencent.bugly.crashreport.common.info.b.f();
            crashDetailBean.D = com.tencent.bugly.crashreport.common.info.b.j();
            crashDetailBean.E = this.f3894d.p();
            crashDetailBean.F = this.f3894d.o();
            crashDetailBean.G = this.f3894d.q();
            crashDetailBean.w = z.a(this.f3893c, c.f3916e, (String) null);
            crashDetailBean.f3861b = 3;
            crashDetailBean.f3864e = this.f3894d.h();
            crashDetailBean.f3865f = this.f3894d.f3831j;
            crashDetailBean.f3866g = this.f3894d.w();
            crashDetailBean.m = this.f3894d.g();
            crashDetailBean.n = "ANR_EXCEPTION";
            crashDetailBean.o = aVar.f3889f;
            crashDetailBean.q = aVar.f3890g;
            crashDetailBean.N = new HashMap();
            crashDetailBean.N.put("BUGLY_CR_01", aVar.f3888e);
            int i2 = -1;
            if (crashDetailBean.q != null) {
                i2 = crashDetailBean.q.indexOf("\n");
            }
            crashDetailBean.p = i2 > 0 ? crashDetailBean.q.substring(0, i2) : "GET_FAIL";
            crashDetailBean.r = aVar.f3886c;
            if (crashDetailBean.q != null) {
                crashDetailBean.u = z.b(crashDetailBean.q.getBytes());
            }
            crashDetailBean.y = aVar.f3885b;
            crashDetailBean.z = this.f3894d.f3825d;
            crashDetailBean.A = "main(1)";
            crashDetailBean.H = this.f3894d.y();
            crashDetailBean.f3867h = this.f3894d.v();
            crashDetailBean.f3868i = this.f3894d.K();
            crashDetailBean.v = aVar.f3887d;
            crashDetailBean.K = this.f3894d.n;
            crashDetailBean.L = this.f3894d.f3822a;
            crashDetailBean.M = this.f3894d.a();
            crashDetailBean.O = this.f3894d.H();
            crashDetailBean.P = this.f3894d.I();
            crashDetailBean.Q = this.f3894d.B();
            crashDetailBean.R = this.f3894d.G();
            this.f3898h.c(crashDetailBean);
            crashDetailBean.x = y.a();
        } catch (Throwable th) {
            if (!x.a(th)) {
                th.printStackTrace();
            }
        }
        return crashDetailBean;
    }

    private synchronized void b(boolean z) {
        if (z) {
            c();
        } else {
            d();
        }
    }

    private synchronized void c() {
        if (e()) {
            x.d("start when started!", new Object[0]);
            return;
        }
        this.f3899i = new a("/data/anr/", 8);
        try {
            this.f3899i.startWatching();
            x.a("start anr monitor!", new Object[0]);
            this.f3895e.a(new RunnableC0079b());
        } catch (Throwable th) {
            this.f3899i = null;
            x.d("start anr monitor failed!", new Object[0]);
            if (!x.a(th)) {
                th.printStackTrace();
            }
        }
    }

    private synchronized void d() {
        if (!e()) {
            x.d("close when closed!", new Object[0]);
            return;
        }
        try {
            this.f3899i.stopWatching();
            this.f3899i = null;
            x.d("close anr monitor!", new Object[0]);
        } catch (Throwable th) {
            x.d("stop anr monitor failed!", new Object[0]);
            if (!x.a(th)) {
                th.printStackTrace();
            }
        }
    }

    private synchronized boolean e() {
        return this.f3899i != null;
    }

    private synchronized boolean f() {
        return this.f3900j;
    }

    /* access modifiers changed from: protected */
    public final void b() {
        File[] listFiles;
        long b2 = z.b() - c.f3918g;
        File file = new File(this.f3897g);
        if (file.exists() && file.isDirectory() && (listFiles = file.listFiles()) != null && listFiles.length != 0) {
            int i2 = 0;
            for (File file2 : listFiles) {
                String name = file2.getName();
                if (name.startsWith("bugly_trace_")) {
                    try {
                        int indexOf = name.indexOf(".txt");
                        if (indexOf > 0 && Long.parseLong(name.substring(12, indexOf)) >= b2) {
                        }
                    } catch (Throwable unused) {
                        x.e("tomb format error delete %s", name);
                    }
                    if (file2.delete()) {
                        i2++;
                    }
                }
            }
            x.c("clean tombs %d", Integer.valueOf(i2));
        }
    }

    private synchronized void c(boolean z) {
        if (this.f3900j != z) {
            x.a("user change anr %b", Boolean.valueOf(z));
            this.f3900j = z;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:56:0x0130 A[Catch:{ all -> 0x0125 }] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x015c A[SYNTHETIC, Splitter:B:59:0x015c] */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x016e A[SYNTHETIC, Splitter:B:67:0x016e] */
    private static boolean a(String str, String str2, String str3) {
        Map<String, String[]> map;
        IOException e2;
        TraceFileHelper.a readTargetDumpInfo = TraceFileHelper.readTargetDumpInfo(str3, str, true);
        if (readTargetDumpInfo == null || (map = readTargetDumpInfo.f3879d) == null || map.size() <= 0) {
            x.e("not found trace dump for %s", str3);
            return false;
        }
        File file = new File(str2);
        try {
            if (!file.exists()) {
                if (!file.getParentFile().exists()) {
                    file.getParentFile().mkdirs();
                }
                file.createNewFile();
            }
            if (!file.exists() || !file.canWrite()) {
                x.e("backup file create fail %s", str2);
                return false;
            }
            BufferedWriter bufferedWriter = null;
            try {
                BufferedWriter bufferedWriter2 = new BufferedWriter(new FileWriter(file, false));
                try {
                    String[] strArr = readTargetDumpInfo.f3879d.get("main");
                    int i2 = 3;
                    if (strArr != null && strArr.length >= 3) {
                        String str4 = strArr[0];
                        String str5 = strArr[1];
                        String str6 = strArr[2];
                        bufferedWriter2.write("\"main\" tid=" + str6 + " :\n" + str4 + "\n" + str5 + "\n\n");
                        bufferedWriter2.flush();
                    }
                    for (Map.Entry<String, String[]> entry : readTargetDumpInfo.f3879d.entrySet()) {
                        if (!entry.getKey().equals("main")) {
                            if (entry.getValue() != null && entry.getValue().length >= i2) {
                                String str7 = entry.getValue()[0];
                                String str8 = entry.getValue()[1];
                                String str9 = entry.getValue()[2];
                                bufferedWriter2.write("\"" + entry.getKey() + "\" tid=" + str9 + " :\n" + str7 + "\n" + str8 + "\n\n");
                                bufferedWriter2.flush();
                            }
                            i2 = 3;
                        }
                    }
                    try {
                        bufferedWriter2.close();
                    } catch (IOException e3) {
                        if (!x.a(e3)) {
                            e3.printStackTrace();
                        }
                    }
                    return true;
                } catch (IOException e4) {
                    e2 = e4;
                    bufferedWriter = bufferedWriter2;
                    try {
                        if (!x.a(e2)) {
                        }
                        x.e("dump trace fail %s", e2.getClass().getName() + ":" + e2.getMessage());
                        if (bufferedWriter != null) {
                        }
                        return false;
                    } catch (Throwable th) {
                        th = th;
                        bufferedWriter2 = bufferedWriter;
                        if (bufferedWriter2 != null) {
                            try {
                                bufferedWriter2.close();
                            } catch (IOException e5) {
                                if (!x.a(e5)) {
                                    e5.printStackTrace();
                                }
                            }
                        }
                        throw th;
                    }
                } catch (Throwable th2) {
                    th = th2;
                    if (bufferedWriter2 != null) {
                    }
                    throw th;
                }
            } catch (IOException e6) {
                e2 = e6;
                if (!x.a(e2)) {
                    e2.printStackTrace();
                }
                x.e("dump trace fail %s", e2.getClass().getName() + ":" + e2.getMessage());
                if (bufferedWriter != null) {
                    try {
                        bufferedWriter.close();
                    } catch (IOException e7) {
                        if (!x.a(e7)) {
                            e7.printStackTrace();
                        }
                    }
                }
                return false;
            }
        } catch (Exception e8) {
            if (!x.a(e8)) {
                e8.printStackTrace();
            }
            x.e("backup file create error! %s  %s", e8.getClass().getName() + ":" + e8.getMessage(), str2);
            return false;
        }
    }

    public final boolean a() {
        return this.f3891a.get() != 0;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:100:0x029c, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:101:0x029d, code lost:
        r16.f3891a.set(0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:102:0x02a2, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:?, code lost:
        com.tencent.bugly.proguard.x.c("read trace first dump for create time!", new java.lang.Object[0]);
        r2 = com.tencent.bugly.crashreport.crash.anr.TraceFileHelper.readFirstDumpInfo(r17, false);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x002b, code lost:
        if (r2 == null) goto L_0x0030;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x002d, code lost:
        r7 = r2.f3878c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0030, code lost:
        r7 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0033, code lost:
        if (r7 != -1) goto L_0x0040;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0035, code lost:
        com.tencent.bugly.proguard.x.d("trace dump fail could not get time!", new java.lang.Object[0]);
        r7 = java.lang.System.currentTimeMillis();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x004c, code lost:
        if (java.lang.Math.abs(r7 - r16.f3892b) >= 10000) goto L_0x0063;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x004e, code lost:
        com.tencent.bugly.proguard.x.d("should not process ANR too Fre in %d", 10000);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0063, code lost:
        r16.f3892b = r7;
        r16.f3891a.set(1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:?, code lost:
        r2 = com.tencent.bugly.proguard.z.a(com.tencent.bugly.crashreport.crash.c.f3917f, false);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x0070, code lost:
        if (r2 == null) goto L_0x0268;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0076, code lost:
        if (r2.size() > 0) goto L_0x007a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x007a, code lost:
        r5 = r16.f3893c;
        com.tencent.bugly.proguard.x.c("to find!", new java.lang.Object[0]);
        r5 = (android.app.ActivityManager) r5.getSystemService("activity");
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x008e, code lost:
        com.tencent.bugly.proguard.x.c("waiting!", new java.lang.Object[0]);
        r11 = r5.getProcessesInErrorState();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x009c, code lost:
        if (r11 == null) goto L_0x00bc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x009e, code lost:
        r11 = r11.iterator();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x00a6, code lost:
        if (r11.hasNext() == false) goto L_0x00bc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x00a8, code lost:
        r15 = r11.next();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x00b0, code lost:
        if (r15.condition != 2) goto L_0x00ba;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x00b2, code lost:
        com.tencent.bugly.proguard.x.c("found!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00bc, code lost:
        com.tencent.bugly.proguard.z.b(500);
        r4 = r6 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x00c4, code lost:
        if (((long) r6) < 20) goto L_0x0264;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00c6, code lost:
        com.tencent.bugly.proguard.x.c("end!", new java.lang.Object[0]);
        r15 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00ce, code lost:
        if (r15 != null) goto L_0x00d8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00d0, code lost:
        com.tencent.bugly.proguard.x.c("proc state is unvisiable!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00de, code lost:
        if (r15.pid == android.os.Process.myPid()) goto L_0x00ee;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00e0, code lost:
        com.tencent.bugly.proguard.x.c("not mind proc!", r15.processName);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00ee, code lost:
        com.tencent.bugly.proguard.x.a("found visiable anr , start to process!", new java.lang.Object[0]);
        r4 = r16.f3893c;
        r16.f3896f.c();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x0102, code lost:
        if (r16.f3896f.b() != false) goto L_0x011f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x0104, code lost:
        com.tencent.bugly.proguard.x.e("waiting for remote sync", new java.lang.Object[0]);
        r5 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x0112, code lost:
        if (r16.f3896f.b() != false) goto L_0x011f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x0114, code lost:
        com.tencent.bugly.proguard.z.b(500);
        r5 = r5 + 500;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x011d, code lost:
        if (r5 < 3000) goto L_0x010c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x011f, code lost:
        r5 = new java.io.File(r4.getFilesDir(), "bugly/bugly_trace_" + r7 + ".txt");
        r4 = new com.tencent.bugly.crashreport.crash.anr.a();
        r4.f3886c = r7;
        r4.f3887d = r5.getAbsolutePath();
        r4.f3884a = r15.processName;
        r4.f3889f = r15.shortMsg;
        r4.f3888e = r15.longMsg;
        r4.f3885b = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x0156, code lost:
        if (r2 == null) goto L_0x017d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x0158, code lost:
        r5 = r2.keySet().iterator();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x0164, code lost:
        if (r5.hasNext() == false) goto L_0x017d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x0166, code lost:
        r6 = r5.next();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x0172, code lost:
        if (r6.startsWith("main(") == false) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x0174, code lost:
        r4.f3890g = r2.get(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x017d, code lost:
        r5 = new java.lang.Object[6];
        r5[0] = java.lang.Long.valueOf(r4.f3886c);
        r5[1] = r4.f3887d;
        r5[2] = r4.f3884a;
        r5[3] = r4.f3889f;
        r5[4] = r4.f3888e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x01a1, code lost:
        if (r4.f3885b != null) goto L_0x01a5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x01a3, code lost:
        r8 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x01a5, code lost:
        r8 = r4.f3885b.size();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:67:0x01ab, code lost:
        r5[5] = java.lang.Integer.valueOf(r8);
        com.tencent.bugly.proguard.x.c("anr tm:%d\ntr:%s\nproc:%s\nsMsg:%s\n lMsg:%s\n threads:%d", r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x01ba, code lost:
        if (r16.f3896f.b() != false) goto L_0x01d4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:69:0x01bc, code lost:
        com.tencent.bugly.proguard.x.e("crash report sync remote fail, will not upload to Bugly , print local for helpful!", new java.lang.Object[0]);
        com.tencent.bugly.crashreport.crash.b.a("ANR", com.tencent.bugly.proguard.z.a(), r4.f3884a, null, r4.f3888e, null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:71:0x01dc, code lost:
        if (r16.f3896f.c().f3843j != false) goto L_0x01e7;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:72:0x01de, code lost:
        com.tencent.bugly.proguard.x.d("ANR Report is closed!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:73:0x01e7, code lost:
        com.tencent.bugly.proguard.x.a("found visiable anr , start to upload!", new java.lang.Object[0]);
        r2 = a(r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:74:0x01f2, code lost:
        if (r2 != null) goto L_0x01fd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:75:0x01f4, code lost:
        com.tencent.bugly.proguard.x.e("pack anr fail!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:76:0x01fd, code lost:
        com.tencent.bugly.crashreport.crash.c.a().a(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:77:0x020a, code lost:
        if (r2.f3860a < 0) goto L_0x0214;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:78:0x020c, code lost:
        com.tencent.bugly.proguard.x.a("backup anr record success!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:79:0x0214, code lost:
        com.tencent.bugly.proguard.x.d("backup anr record fail!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:80:0x021b, code lost:
        if (r17 == null) goto L_0x023e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x0226, code lost:
        if (new java.io.File(r17).exists() == false) goto L_0x023e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:83:0x0228, code lost:
        r16.f3891a.set(3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x0235, code lost:
        if (a(r17, r4.f3887d, r4.f3884a) == false) goto L_0x023e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:85:0x0237, code lost:
        com.tencent.bugly.proguard.x.a("backup trace success", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:86:0x023e, code lost:
        com.tencent.bugly.crashreport.crash.b.a("ANR", com.tencent.bugly.proguard.z.a(), r4.f3884a, null, r4.f3888e, r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:87:0x0253, code lost:
        if (r16.f3898h.a(r2) != false) goto L_0x025d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x0255, code lost:
        r16.f3898h.a(r2, 3000L, true);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:89:0x025d, code lost:
        r16.f3898h.b(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:90:0x0264, code lost:
        r6 = r4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x0268, code lost:
        com.tencent.bugly.proguard.x.d("can't get all thread skip this anr", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:92:0x0271, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:93:0x0272, code lost:
        com.tencent.bugly.proguard.x.a(r0);
        com.tencent.bugly.proguard.x.e("get all thread stack fail!", new java.lang.Object[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:94:0x027e, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:97:0x0283, code lost:
        if (com.tencent.bugly.proguard.x.a(r0) == false) goto L_0x0285;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:98:0x0285, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:99:0x0288, code lost:
        com.tencent.bugly.proguard.x.e("handle anr error %s", r0.getClass().toString());
     */
    public final void a(String str) {
        synchronized (this) {
            if (this.f3891a.get() != 0) {
                x.c("trace started return ", new Object[0]);
                return;
            }
            this.f3891a.set(1);
        }
        this.f3891a.set(0);
    }

    public final void a(boolean z) {
        c(z);
        boolean f2 = f();
        com.tencent.bugly.crashreport.common.strategy.a a2 = com.tencent.bugly.crashreport.common.strategy.a.a();
        if (a2 != null) {
            f2 = f2 && a2.c().f3840g;
        }
        if (f2 != e()) {
            x.a("anr changed to %b", Boolean.valueOf(f2));
            b(f2);
        }
    }

    public final synchronized void a(StrategyBean strategyBean) {
        if (strategyBean != null) {
            if (strategyBean.f3843j != e()) {
                x.d("server anr changed to %b", Boolean.valueOf(strategyBean.f3843j));
            }
            boolean z = strategyBean.f3843j && f();
            if (z != e()) {
                x.a("anr changed to %b", Boolean.valueOf(z));
                b(z);
            }
        }
    }
}
