package com.tencent.bugly.crashreport.crash;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.tencent.bugly.BuglyStrategy;
import com.tencent.bugly.crashreport.common.info.PlugInBean;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.proguard.ah;
import com.tencent.bugly.proguard.aj;
import com.tencent.bugly.proguard.ak;
import com.tencent.bugly.proguard.al;
import com.tencent.bugly.proguard.am;
import com.tencent.bugly.proguard.k;
import com.tencent.bugly.proguard.o;
import com.tencent.bugly.proguard.p;
import com.tencent.bugly.proguard.r;
import com.tencent.bugly.proguard.t;
import com.tencent.bugly.proguard.u;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.z;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

/* compiled from: BUGLY */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private static int f3903a;

    /* renamed from: b  reason: collision with root package name */
    private Context f3904b;

    /* renamed from: c  reason: collision with root package name */
    private u f3905c;

    /* renamed from: d  reason: collision with root package name */
    private p f3906d;

    /* renamed from: e  reason: collision with root package name */
    private com.tencent.bugly.crashreport.common.strategy.a f3907e;

    /* renamed from: f  reason: collision with root package name */
    private o f3908f;

    /* renamed from: g  reason: collision with root package name */
    private BuglyStrategy.a f3909g;

    /* access modifiers changed from: package-private */
    /* compiled from: BUGLY */
    public class a implements t {

        /* renamed from: a  reason: collision with root package name */
        private /* synthetic */ List f3910a;

        a(List list) {
            this.f3910a = list;
        }

        @Override // com.tencent.bugly.proguard.t
        public final void a(boolean z) {
            b.a(z, this.f3910a);
        }
    }

    public b(int i2, Context context, u uVar, p pVar, com.tencent.bugly.crashreport.common.strategy.a aVar, BuglyStrategy.a aVar2, o oVar) {
        f3903a = i2;
        this.f3904b = context;
        this.f3905c = uVar;
        this.f3906d = pVar;
        this.f3907e = aVar;
        this.f3909g = aVar2;
        this.f3908f = oVar;
    }

    private static List<a> a(List<a> list) {
        if (list == null || list.size() == 0) {
            return null;
        }
        long currentTimeMillis = System.currentTimeMillis();
        ArrayList arrayList = new ArrayList();
        for (a aVar : list) {
            if (aVar.f3873d && aVar.f3871b <= currentTimeMillis - 86400000) {
                arrayList.add(aVar);
            }
        }
        return arrayList;
    }

    private static ContentValues e(CrashDetailBean crashDetailBean) {
        if (crashDetailBean == null) {
            return null;
        }
        try {
            ContentValues contentValues = new ContentValues();
            if (crashDetailBean.f3860a > 0) {
                contentValues.put(FileDownloadModel.ID, Long.valueOf(crashDetailBean.f3860a));
            }
            contentValues.put("_tm", Long.valueOf(crashDetailBean.r));
            contentValues.put("_s1", crashDetailBean.u);
            int i2 = 1;
            contentValues.put("_up", Integer.valueOf(crashDetailBean.f3863d ? 1 : 0));
            if (!crashDetailBean.f3869j) {
                i2 = 0;
            }
            contentValues.put("_me", Integer.valueOf(i2));
            contentValues.put("_uc", Integer.valueOf(crashDetailBean.l));
            contentValues.put("_dt", z.a(crashDetailBean));
            return contentValues;
        } catch (Throwable th) {
            if (!x.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    public final void b(CrashDetailBean crashDetailBean) {
        if (this.f3908f != null) {
            int i2 = crashDetailBean.f3861b;
        }
    }

    public final void c(CrashDetailBean crashDetailBean) {
        int i2;
        Map<String, String> map;
        String str;
        HashMap hashMap;
        if (crashDetailBean != null) {
            if (this.f3909g != null || this.f3908f != null) {
                try {
                    x.a("[crash callback] start user's callback:onCrashHandleStart()", new Object[0]);
                    switch (crashDetailBean.f3861b) {
                        case 0:
                            i2 = 0;
                            break;
                        case 1:
                            i2 = 2;
                            break;
                        case 2:
                            i2 = 1;
                            break;
                        case 3:
                            i2 = 4;
                            break;
                        case 4:
                            i2 = 3;
                            break;
                        case 5:
                            i2 = 5;
                            break;
                        case 6:
                            i2 = 6;
                            break;
                        case 7:
                            i2 = 7;
                            break;
                        default:
                            return;
                    }
                    int i3 = crashDetailBean.f3861b;
                    String str2 = crashDetailBean.n;
                    String str3 = crashDetailBean.p;
                    String str4 = crashDetailBean.q;
                    long j2 = crashDetailBean.r;
                    byte[] bArr = null;
                    if (this.f3908f != null) {
                        String b2 = this.f3908f.b();
                        if (b2 != null) {
                            hashMap = new HashMap(1);
                            hashMap.put("userData", b2);
                        } else {
                            hashMap = null;
                        }
                        map = hashMap;
                    } else {
                        map = this.f3909g != null ? this.f3909g.onCrashHandleStart(i2, crashDetailBean.n, crashDetailBean.o, crashDetailBean.q) : null;
                    }
                    if (map != null && map.size() > 0) {
                        crashDetailBean.N = new LinkedHashMap(map.size());
                        for (Map.Entry<String, String> entry : map.entrySet()) {
                            if (!z.a(entry.getKey())) {
                                String key = entry.getKey();
                                if (key.length() > 100) {
                                    key = key.substring(0, 100);
                                    x.d("setted key length is over limit %d substring to %s", 100, key);
                                }
                                if (z.a(entry.getValue()) || entry.getValue().length() <= 30000) {
                                    str = entry.getValue();
                                } else {
                                    str = entry.getValue().substring(entry.getValue().length() - 30000);
                                    x.d("setted %s value length is over limit %d substring", key, 30000);
                                }
                                crashDetailBean.N.put(key, str);
                                x.a("add setted key %s value size:%d", key, Integer.valueOf(str.length()));
                            }
                        }
                    }
                    x.a("[crash callback] start user's callback:onCrashHandleStart2GetExtraDatas()", new Object[0]);
                    if (this.f3908f != null) {
                        bArr = this.f3908f.a();
                    } else if (this.f3909g != null) {
                        bArr = this.f3909g.onCrashHandleStart2GetExtraDatas(i2, crashDetailBean.n, crashDetailBean.o, crashDetailBean.q);
                    }
                    crashDetailBean.S = bArr;
                    if (crashDetailBean.S != null) {
                        if (crashDetailBean.S.length > 30000) {
                            x.d("extra bytes size %d is over limit %d will drop over part", Integer.valueOf(crashDetailBean.S.length), 30000);
                        }
                        x.a("add extra bytes %d ", Integer.valueOf(crashDetailBean.S.length));
                    }
                } catch (Throwable th) {
                    x.d("crash handle callback somthing wrong! %s", th.getClass().getName());
                    if (!x.a(th)) {
                        th.printStackTrace();
                    }
                }
            }
        }
    }

    public final void d(CrashDetailBean crashDetailBean) {
        ContentValues e2;
        if (crashDetailBean != null && (e2 = e(crashDetailBean)) != null) {
            long a2 = p.a().a("t_cr", e2, (o) null, true);
            if (a2 >= 0) {
                x.c("insert %s success!", "t_cr");
                crashDetailBean.f3860a = a2;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x00c9 A[Catch:{ all -> 0x00d2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00ce A[DONT_GENERATE] */
    private List<CrashDetailBean> b(List<a> list) {
        Throwable th;
        Cursor cursor;
        if (list == null || list.size() == 0) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (a aVar : list) {
            sb.append(" or _id");
            sb.append(" = ");
            sb.append(aVar.f3870a);
        }
        String sb2 = sb.toString();
        if (sb2.length() > 0) {
            sb2 = sb2.substring(4);
        }
        sb.setLength(0);
        try {
            cursor = p.a().a("t_cr", null, sb2, null, null, true);
            if (cursor == null) {
                if (cursor != null) {
                    cursor.close();
                }
                return null;
            }
            try {
                ArrayList arrayList = new ArrayList();
                while (cursor.moveToNext()) {
                    CrashDetailBean a2 = a(cursor);
                    if (a2 != null) {
                        arrayList.add(a2);
                    } else {
                        try {
                            long j2 = cursor.getLong(cursor.getColumnIndex(FileDownloadModel.ID));
                            sb.append(" or _id");
                            sb.append(" = ");
                            sb.append(j2);
                        } catch (Throwable unused) {
                            x.d("unknown id!", new Object[0]);
                        }
                    }
                }
                String sb3 = sb.toString();
                if (sb3.length() > 0) {
                    x.d("deleted %s illegle data %d", "t_cr", Integer.valueOf(p.a().a("t_cr", sb3.substring(4), (String[]) null, (o) null, true)));
                }
                if (cursor != null) {
                    cursor.close();
                }
                return arrayList;
            } catch (Throwable th2) {
                th = th2;
                try {
                    if (!x.a(th)) {
                    }
                    return null;
                } finally {
                    if (cursor != null) {
                        cursor.close();
                    }
                }
            }
        } catch (Throwable th3) {
            th = th3;
            cursor = null;
            if (!x.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    private static void d(List<CrashDetailBean> list) {
        if (list != null) {
            try {
                if (list.size() != 0) {
                    StringBuilder sb = new StringBuilder();
                    for (CrashDetailBean crashDetailBean : list) {
                        sb.append(" or _id");
                        sb.append(" = ");
                        sb.append(crashDetailBean.f3860a);
                    }
                    String sb2 = sb.toString();
                    if (sb2.length() > 0) {
                        sb2 = sb2.substring(4);
                    }
                    sb.setLength(0);
                    x.c("deleted %s data %d", "t_cr", Integer.valueOf(p.a().a("t_cr", sb2, (String[]) null, (o) null, true)));
                }
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
            }
        }
    }

    private CrashDetailBean a(List<a> list, CrashDetailBean crashDetailBean) {
        List<CrashDetailBean> b2;
        String[] split;
        if (list == null || list.size() == 0) {
            return crashDetailBean;
        }
        CrashDetailBean crashDetailBean2 = null;
        ArrayList arrayList = new ArrayList(10);
        for (a aVar : list) {
            if (aVar.f3874e) {
                arrayList.add(aVar);
            }
        }
        if (arrayList.size() > 0 && (b2 = b(arrayList)) != null && b2.size() > 0) {
            Collections.sort(b2);
            CrashDetailBean crashDetailBean3 = null;
            for (int i2 = 0; i2 < b2.size(); i2++) {
                CrashDetailBean crashDetailBean4 = b2.get(i2);
                if (i2 == 0) {
                    crashDetailBean3 = crashDetailBean4;
                } else {
                    String str = crashDetailBean4.s;
                    if (!(str == null || (split = str.split("\n")) == null)) {
                        for (String str2 : split) {
                            if (!crashDetailBean3.s.contains(str2)) {
                                crashDetailBean3.t++;
                                crashDetailBean3.s += str2 + "\n";
                            }
                        }
                    }
                }
            }
            crashDetailBean2 = crashDetailBean3;
        }
        if (crashDetailBean2 == null) {
            crashDetailBean.f3869j = true;
            crashDetailBean.t = 0;
            crashDetailBean.s = "";
            crashDetailBean2 = crashDetailBean;
        }
        for (a aVar2 : list) {
            if (!aVar2.f3874e && !aVar2.f3873d) {
                String str3 = crashDetailBean2.s;
                StringBuilder sb = new StringBuilder();
                sb.append(aVar2.f3871b);
                if (!str3.contains(sb.toString())) {
                    crashDetailBean2.t++;
                    crashDetailBean2.s += aVar2.f3871b + "\n";
                }
            }
        }
        if (crashDetailBean2.r != crashDetailBean.r) {
            String str4 = crashDetailBean2.s;
            StringBuilder sb2 = new StringBuilder();
            sb2.append(crashDetailBean.r);
            if (!str4.contains(sb2.toString())) {
                crashDetailBean2.t++;
                crashDetailBean2.s += crashDetailBean.r + "\n";
            }
        }
        return crashDetailBean2;
    }

    private static a b(Cursor cursor) {
        if (cursor == null) {
            return null;
        }
        try {
            a aVar = new a();
            aVar.f3870a = cursor.getLong(cursor.getColumnIndex(FileDownloadModel.ID));
            aVar.f3871b = cursor.getLong(cursor.getColumnIndex("_tm"));
            aVar.f3872c = cursor.getString(cursor.getColumnIndex("_s1"));
            boolean z = false;
            aVar.f3873d = cursor.getInt(cursor.getColumnIndex("_up")) == 1;
            if (cursor.getInt(cursor.getColumnIndex("_me")) == 1) {
                z = true;
            }
            aVar.f3874e = z;
            aVar.f3875f = cursor.getInt(cursor.getColumnIndex("_uc"));
            return aVar;
        } catch (Throwable th) {
            if (!x.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    public final boolean a(CrashDetailBean crashDetailBean) {
        return a(crashDetailBean, -123456789);
    }

    public final boolean a(CrashDetailBean crashDetailBean, int i2) {
        if (crashDetailBean == null) {
            return true;
        }
        String str = c.m;
        if (str != null && !str.isEmpty()) {
            x.c("Crash filter for crash stack is: %s", c.m);
            if (crashDetailBean.q.contains(c.m)) {
                x.d("This crash contains the filter string set. It will not be record and upload.", new Object[0]);
                return true;
            }
        }
        String str2 = c.n;
        if (str2 != null && !str2.isEmpty()) {
            x.c("Crash regular filter for crash stack is: %s", c.n);
            if (Pattern.compile(c.n).matcher(crashDetailBean.q).find()) {
                x.d("This crash matches the regular filter string set. It will not be record and upload.", new Object[0]);
                return true;
            }
        }
        int i3 = crashDetailBean.f3861b;
        String str3 = crashDetailBean.n;
        String str4 = crashDetailBean.p;
        String str5 = crashDetailBean.q;
        long j2 = crashDetailBean.r;
        String str6 = crashDetailBean.m;
        String str7 = crashDetailBean.f3864e;
        String str8 = crashDetailBean.f3862c;
        o oVar = this.f3908f;
        if (oVar != null) {
            String str9 = crashDetailBean.z;
            if (!oVar.c()) {
                x.d("Crash listener 'onCrashSaving' return 'false' thus will not handle this crash.", new Object[0]);
                return true;
            }
        }
        if (crashDetailBean.f3861b != 2) {
            r rVar = new r();
            rVar.f4124b = 1;
            rVar.f4125c = crashDetailBean.z;
            rVar.f4126d = crashDetailBean.A;
            rVar.f4127e = crashDetailBean.r;
            this.f3906d.b(1);
            this.f3906d.a(rVar);
            x.b("[crash] a crash occur, handling...", new Object[0]);
        } else {
            x.b("[crash] a caught exception occur, handling...", new Object[0]);
        }
        List<a> b2 = b();
        ArrayList arrayList = null;
        if (b2 != null && b2.size() > 0) {
            arrayList = new ArrayList(10);
            ArrayList arrayList2 = new ArrayList(10);
            arrayList.addAll(a(b2));
            b2.removeAll(arrayList);
            if (!com.tencent.bugly.b.f3777c && c.f3915d) {
                boolean z = false;
                for (a aVar : b2) {
                    if (crashDetailBean.u.equals(aVar.f3872c)) {
                        if (aVar.f3874e) {
                            z = true;
                        }
                        arrayList2.add(aVar);
                    }
                }
                if (z || arrayList2.size() >= c.f3914c) {
                    x.a("same crash occur too much do merged!", new Object[0]);
                    CrashDetailBean a2 = a(arrayList2, crashDetailBean);
                    for (a aVar2 : arrayList2) {
                        if (aVar2.f3870a != a2.f3860a) {
                            arrayList.add(aVar2);
                        }
                    }
                    d(a2);
                    c(arrayList);
                    x.b("[crash] save crash success. For this device crash many times, it will not upload crashes immediately", new Object[0]);
                    return true;
                }
            }
        }
        d(crashDetailBean);
        if (arrayList != null && !arrayList.isEmpty()) {
            c(arrayList);
        }
        x.b("[crash] save crash success", new Object[0]);
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x00a1 A[Catch:{ all -> 0x00aa }] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00a6 A[DONT_GENERATE] */
    private List<a> b() {
        Cursor cursor;
        Throwable th;
        ArrayList arrayList = new ArrayList();
        try {
            cursor = p.a().a("t_cr", new String[]{FileDownloadModel.ID, "_tm", "_s1", "_up", "_me", "_uc"}, null, null, null, true);
            if (cursor == null) {
                if (cursor != null) {
                    cursor.close();
                }
                return null;
            }
            try {
                StringBuilder sb = new StringBuilder();
                while (cursor.moveToNext()) {
                    a b2 = b(cursor);
                    if (b2 != null) {
                        arrayList.add(b2);
                    } else {
                        try {
                            long j2 = cursor.getLong(cursor.getColumnIndex(FileDownloadModel.ID));
                            sb.append(" or _id");
                            sb.append(" = ");
                            sb.append(j2);
                        } catch (Throwable unused) {
                            x.d("unknown id!", new Object[0]);
                        }
                    }
                }
                String sb2 = sb.toString();
                if (sb2.length() > 0) {
                    x.d("deleted %s illegle data %d", "t_cr", Integer.valueOf(p.a().a("t_cr", sb2.substring(4), (String[]) null, (o) null, true)));
                }
                if (cursor != null) {
                    cursor.close();
                }
                return arrayList;
            } catch (Throwable th2) {
                th = th2;
                try {
                    if (!x.a(th)) {
                        th.printStackTrace();
                    }
                    return arrayList;
                } finally {
                    if (cursor != null) {
                        cursor.close();
                    }
                }
            }
        } catch (Throwable th3) {
            th = th3;
            cursor = null;
            if (!x.a(th)) {
            }
            return arrayList;
        }
    }

    private static void c(List<a> list) {
        if (list != null && list.size() != 0) {
            StringBuilder sb = new StringBuilder();
            for (a aVar : list) {
                sb.append(" or _id");
                sb.append(" = ");
                sb.append(aVar.f3870a);
            }
            String sb2 = sb.toString();
            if (sb2.length() > 0) {
                sb2 = sb2.substring(4);
            }
            sb.setLength(0);
            try {
                x.c("deleted %s data %d", "t_cr", Integer.valueOf(p.a().a("t_cr", sb2, (String[]) null, (o) null, true)));
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
            }
        }
    }

    public final List<CrashDetailBean> a() {
        StrategyBean c2 = com.tencent.bugly.crashreport.common.strategy.a.a().c();
        if (c2 == null) {
            x.d("have not synced remote!", new Object[0]);
            return null;
        } else if (!c2.f3840g) {
            x.d("Crashreport remote closed, please check your APP ID correct and Version available, then uninstall and reinstall your app.", new Object[0]);
            x.b("[init] WARNING! Crashreport closed by server, please check your APP ID correct and Version available, then uninstall and reinstall your app.", new Object[0]);
            return null;
        } else {
            long currentTimeMillis = System.currentTimeMillis();
            long b2 = z.b();
            List<a> b3 = b();
            if (b3 == null || b3.size() <= 0) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            Iterator<a> it = b3.iterator();
            while (it.hasNext()) {
                a next = it.next();
                long j2 = next.f3871b;
                if (j2 < b2 - c.f3918g) {
                    it.remove();
                    arrayList.add(next);
                } else if (next.f3873d) {
                    if (j2 >= currentTimeMillis - 86400000) {
                        it.remove();
                    } else if (!next.f3874e) {
                        it.remove();
                        arrayList.add(next);
                    }
                } else if (((long) next.f3875f) >= 3 && j2 < currentTimeMillis - 86400000) {
                    it.remove();
                    arrayList.add(next);
                }
            }
            if (arrayList.size() > 0) {
                c(arrayList);
            }
            ArrayList arrayList2 = new ArrayList();
            List<CrashDetailBean> b4 = b(b3);
            if (b4 != null && b4.size() > 0) {
                String str = com.tencent.bugly.crashreport.common.info.a.b().f3831j;
                Iterator<CrashDetailBean> it2 = b4.iterator();
                while (it2.hasNext()) {
                    CrashDetailBean next2 = it2.next();
                    if (!str.equals(next2.f3865f)) {
                        it2.remove();
                        arrayList2.add(next2);
                    }
                }
            }
            if (arrayList2.size() > 0) {
                d(arrayList2);
            }
            return b4;
        }
    }

    public final void a(CrashDetailBean crashDetailBean, long j2, boolean z) {
        if (c.l) {
            x.a("try to upload right now", new Object[0]);
            ArrayList arrayList = new ArrayList();
            arrayList.add(crashDetailBean);
            a(arrayList, 3000, z, crashDetailBean.f3861b == 7, z);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x00a7 A[Catch:{ all -> 0x00e9 }] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00af A[Catch:{ all -> 0x00e9 }] */
    public final void a(List<CrashDetailBean> list, long j2, boolean z, boolean z2, boolean z3) {
        u uVar;
        al alVar;
        if (!com.tencent.bugly.crashreport.common.info.a.a(this.f3904b).f3826e || (uVar = this.f3905c) == null) {
            return;
        }
        if (z3 || uVar.b(c.f3912a)) {
            StrategyBean c2 = this.f3907e.c();
            if (!c2.f3840g) {
                x.d("remote report is disable!", new Object[0]);
                x.b("[crash] server closed bugly in this app. please check your appid if is correct, and re-install it", new Object[0]);
            } else if (list != null && list.size() != 0) {
                try {
                    String str = this.f3905c.f4134a ? c2.s : c2.t;
                    String str2 = this.f3905c.f4134a ? StrategyBean.f3836c : StrategyBean.f3834a;
                    int i2 = this.f3905c.f4134a ? 830 : 630;
                    Context context = this.f3904b;
                    com.tencent.bugly.crashreport.common.info.a b2 = com.tencent.bugly.crashreport.common.info.a.b();
                    if (!(context == null || list == null || list.size() == 0)) {
                        if (b2 != null) {
                            alVar = new al();
                            alVar.f4014a = new ArrayList<>();
                            for (CrashDetailBean crashDetailBean : list) {
                                alVar.f4014a.add(a(context, crashDetailBean, b2));
                            }
                            if (alVar != null) {
                                x.d("create eupPkg fail!", new Object[0]);
                                return;
                            }
                            byte[] a2 = com.tencent.bugly.proguard.a.a((k) alVar);
                            if (a2 == null) {
                                x.d("send encode fail!", new Object[0]);
                                return;
                            }
                            am a3 = com.tencent.bugly.proguard.a.a(this.f3904b, i2, a2);
                            if (a3 == null) {
                                x.d("request package is null.", new Object[0]);
                                return;
                            }
                            a aVar = new a(list);
                            if (z) {
                                this.f3905c.a(f3903a, a3, str, str2, aVar, j2, z2);
                                return;
                            } else {
                                this.f3905c.a(f3903a, a3, str, str2, aVar, false);
                                return;
                            }
                        }
                    }
                    x.d("enEXPPkg args == null!", new Object[0]);
                    alVar = null;
                    if (alVar != null) {
                    }
                } catch (Throwable th) {
                    x.e("req cr error %s", th.toString());
                    if (!x.b(th)) {
                        th.printStackTrace();
                    }
                }
            }
        }
    }

    public static void a(boolean z, List<CrashDetailBean> list) {
        if (list != null && list.size() > 0) {
            x.c("up finish update state %b", Boolean.valueOf(z));
            for (CrashDetailBean crashDetailBean : list) {
                x.c("pre uid:%s uc:%d re:%b me:%b", crashDetailBean.f3862c, Integer.valueOf(crashDetailBean.l), Boolean.valueOf(crashDetailBean.f3863d), Boolean.valueOf(crashDetailBean.f3869j));
                crashDetailBean.l++;
                crashDetailBean.f3863d = z;
                x.c("set uid:%s uc:%d re:%b me:%b", crashDetailBean.f3862c, Integer.valueOf(crashDetailBean.l), Boolean.valueOf(crashDetailBean.f3863d), Boolean.valueOf(crashDetailBean.f3869j));
            }
            for (CrashDetailBean crashDetailBean2 : list) {
                c.a().a(crashDetailBean2);
            }
            x.c("update state size %d", Integer.valueOf(list.size()));
        }
        if (!z) {
            x.b("[crash] upload fail.", new Object[0]);
        }
    }

    private static CrashDetailBean a(Cursor cursor) {
        if (cursor == null) {
            return null;
        }
        try {
            byte[] blob = cursor.getBlob(cursor.getColumnIndex("_dt"));
            if (blob == null) {
                return null;
            }
            long j2 = cursor.getLong(cursor.getColumnIndex(FileDownloadModel.ID));
            CrashDetailBean crashDetailBean = (CrashDetailBean) z.a(blob, CrashDetailBean.CREATOR);
            if (crashDetailBean != null) {
                crashDetailBean.f3860a = j2;
            }
            return crashDetailBean;
        } catch (Throwable th) {
            if (!x.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    private static ak a(Context context, CrashDetailBean crashDetailBean, com.tencent.bugly.crashreport.common.info.a aVar) {
        aj a2;
        aj a3;
        aj ajVar;
        boolean z = false;
        if (context == null || crashDetailBean == null || aVar == null) {
            x.d("enExp args == null", new Object[0]);
            return null;
        }
        ak akVar = new ak();
        int i2 = crashDetailBean.f3861b;
        switch (i2) {
            case 0:
                akVar.f4003a = crashDetailBean.f3869j ? "200" : "100";
                break;
            case 1:
                akVar.f4003a = crashDetailBean.f3869j ? "201" : "101";
                break;
            case 2:
                akVar.f4003a = crashDetailBean.f3869j ? "202" : "102";
                break;
            case 3:
                akVar.f4003a = crashDetailBean.f3869j ? "203" : "103";
                break;
            case 4:
                akVar.f4003a = crashDetailBean.f3869j ? "204" : "104";
                break;
            case 5:
                akVar.f4003a = crashDetailBean.f3869j ? "207" : "107";
                break;
            case 6:
                akVar.f4003a = crashDetailBean.f3869j ? "206" : "106";
                break;
            case 7:
                akVar.f4003a = crashDetailBean.f3869j ? "208" : "108";
                break;
            default:
                x.e("crash type error! %d", Integer.valueOf(i2));
                break;
        }
        akVar.f4004b = crashDetailBean.r;
        akVar.f4005c = crashDetailBean.n;
        akVar.f4006d = crashDetailBean.o;
        akVar.f4007e = crashDetailBean.p;
        akVar.f4009g = crashDetailBean.q;
        akVar.f4010h = crashDetailBean.y;
        akVar.f4011i = crashDetailBean.f3862c;
        akVar.f4012j = null;
        akVar.l = crashDetailBean.m;
        akVar.m = crashDetailBean.f3864e;
        akVar.f4008f = crashDetailBean.A;
        akVar.t = com.tencent.bugly.crashreport.common.info.a.b().i();
        akVar.n = null;
        Map<String, PlugInBean> map = crashDetailBean.f3868i;
        if (map != null && map.size() > 0) {
            akVar.o = new ArrayList<>();
            for (Map.Entry<String, PlugInBean> entry : crashDetailBean.f3868i.entrySet()) {
                ah ahVar = new ah();
                ahVar.f3991a = entry.getValue().f3819a;
                ahVar.f3993c = entry.getValue().f3821c;
                ahVar.f3994d = entry.getValue().f3820b;
                ahVar.f3992b = aVar.r();
                akVar.o.add(ahVar);
            }
        }
        Map<String, PlugInBean> map2 = crashDetailBean.f3867h;
        if (map2 != null && map2.size() > 0) {
            akVar.p = new ArrayList<>();
            for (Map.Entry<String, PlugInBean> entry2 : crashDetailBean.f3867h.entrySet()) {
                ah ahVar2 = new ah();
                ahVar2.f3991a = entry2.getValue().f3819a;
                ahVar2.f3993c = entry2.getValue().f3821c;
                ahVar2.f3994d = entry2.getValue().f3820b;
                akVar.p.add(ahVar2);
            }
        }
        if (crashDetailBean.f3869j) {
            akVar.k = crashDetailBean.t;
            String str = crashDetailBean.s;
            if (str != null && str.length() > 0) {
                if (akVar.q == null) {
                    akVar.q = new ArrayList<>();
                }
                try {
                    akVar.q.add(new aj((byte) 1, "alltimes.txt", crashDetailBean.s.getBytes("utf-8")));
                } catch (UnsupportedEncodingException e2) {
                    e2.printStackTrace();
                    akVar.q = null;
                }
            }
            Object[] objArr = new Object[2];
            objArr[0] = Integer.valueOf(akVar.k);
            ArrayList<aj> arrayList = akVar.q;
            objArr[1] = Integer.valueOf(arrayList != null ? arrayList.size() : 0);
            x.c("crashcount:%d sz:%d", objArr);
        }
        if (crashDetailBean.w != null) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            try {
                akVar.q.add(new aj((byte) 1, "log.txt", crashDetailBean.w.getBytes("utf-8")));
            } catch (UnsupportedEncodingException e3) {
                e3.printStackTrace();
                akVar.q = null;
            }
        }
        if (!z.a(crashDetailBean.T)) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            try {
                ajVar = new aj((byte) 1, "crashInfos.txt", crashDetailBean.T.getBytes("utf-8"));
            } catch (UnsupportedEncodingException e4) {
                e4.printStackTrace();
                ajVar = null;
            }
            if (ajVar != null) {
                x.c("attach crash infos", new Object[0]);
                akVar.q.add(ajVar);
            }
        }
        if (crashDetailBean.U != null) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            aj a4 = a("backupRecord.zip", context, crashDetailBean.U);
            if (a4 != null) {
                x.c("attach backup record", new Object[0]);
                akVar.q.add(a4);
            }
        }
        byte[] bArr = crashDetailBean.x;
        if (bArr != null && bArr.length > 0) {
            aj ajVar2 = new aj((byte) 2, "buglylog.zip", bArr);
            x.c("attach user log", new Object[0]);
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            akVar.q.add(ajVar2);
        }
        if (crashDetailBean.f3861b == 3) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            Map<String, String> map3 = crashDetailBean.N;
            if (map3 != null && map3.containsKey("BUGLY_CR_01")) {
                try {
                    akVar.q.add(new aj((byte) 1, "anrMessage.txt", crashDetailBean.N.get("BUGLY_CR_01").getBytes("utf-8")));
                    x.c("attach anr message", new Object[0]);
                } catch (UnsupportedEncodingException e5) {
                    e5.printStackTrace();
                    akVar.q = null;
                }
                crashDetailBean.N.remove("BUGLY_CR_01");
            }
            String str2 = crashDetailBean.v;
            if (!(str2 == null || (a3 = a("trace.zip", context, str2)) == null)) {
                x.c("attach traces", new Object[0]);
                akVar.q.add(a3);
            }
        }
        if (crashDetailBean.f3861b == 1) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            String str3 = crashDetailBean.v;
            if (!(str3 == null || (a2 = a("tomb.zip", context, str3)) == null)) {
                x.c("attach tombs", new Object[0]);
                akVar.q.add(a2);
            }
        }
        List<String> list = aVar.C;
        if (list != null && !list.isEmpty()) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            StringBuilder sb = new StringBuilder();
            for (String str4 : aVar.C) {
                sb.append(str4);
            }
            try {
                akVar.q.add(new aj((byte) 1, "martianlog.txt", sb.toString().getBytes("utf-8")));
                x.c("attach pageTracingList", new Object[0]);
            } catch (UnsupportedEncodingException e6) {
                e6.printStackTrace();
            }
        }
        byte[] bArr2 = crashDetailBean.S;
        if (bArr2 != null && bArr2.length > 0) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            akVar.q.add(new aj((byte) 1, "userExtraByteData", crashDetailBean.S));
            x.c("attach extraData", new Object[0]);
        }
        akVar.r = new HashMap();
        Map<String, String> map4 = akVar.r;
        StringBuilder sb2 = new StringBuilder();
        sb2.append(crashDetailBean.B);
        map4.put("A9", sb2.toString());
        Map<String, String> map5 = akVar.r;
        StringBuilder sb3 = new StringBuilder();
        sb3.append(crashDetailBean.C);
        map5.put("A11", sb3.toString());
        Map<String, String> map6 = akVar.r;
        StringBuilder sb4 = new StringBuilder();
        sb4.append(crashDetailBean.D);
        map6.put("A10", sb4.toString());
        akVar.r.put("A23", crashDetailBean.f3865f);
        akVar.r.put("A7", aVar.f3827f);
        akVar.r.put("A6", aVar.s());
        akVar.r.put("A5", aVar.r());
        akVar.r.put("A22", aVar.h());
        Map<String, String> map7 = akVar.r;
        StringBuilder sb5 = new StringBuilder();
        sb5.append(crashDetailBean.F);
        map7.put("A2", sb5.toString());
        Map<String, String> map8 = akVar.r;
        StringBuilder sb6 = new StringBuilder();
        sb6.append(crashDetailBean.E);
        map8.put("A1", sb6.toString());
        akVar.r.put("A24", aVar.f3829h);
        Map<String, String> map9 = akVar.r;
        StringBuilder sb7 = new StringBuilder();
        sb7.append(crashDetailBean.G);
        map9.put("A17", sb7.toString());
        akVar.r.put("A3", aVar.k());
        akVar.r.put("A16", aVar.m());
        akVar.r.put("A25", aVar.n());
        akVar.r.put("A14", aVar.l());
        akVar.r.put("A15", aVar.w());
        Map<String, String> map10 = akVar.r;
        StringBuilder sb8 = new StringBuilder();
        sb8.append(aVar.x());
        map10.put("A13", sb8.toString());
        akVar.r.put("A34", crashDetailBean.z);
        if (aVar.x != null) {
            akVar.r.put("productIdentify", aVar.x);
        }
        try {
            akVar.r.put("A26", URLEncoder.encode(crashDetailBean.H, "utf-8"));
        } catch (UnsupportedEncodingException e7) {
            e7.printStackTrace();
        }
        if (crashDetailBean.f3861b == 1) {
            akVar.r.put("A27", crashDetailBean.J);
            akVar.r.put("A28", crashDetailBean.I);
            Map<String, String> map11 = akVar.r;
            StringBuilder sb9 = new StringBuilder();
            sb9.append(crashDetailBean.k);
            map11.put("A29", sb9.toString());
        }
        akVar.r.put("A30", crashDetailBean.K);
        Map<String, String> map12 = akVar.r;
        StringBuilder sb10 = new StringBuilder();
        sb10.append(crashDetailBean.L);
        map12.put("A18", sb10.toString());
        Map<String, String> map13 = akVar.r;
        StringBuilder sb11 = new StringBuilder();
        sb11.append(!crashDetailBean.M);
        map13.put("A36", sb11.toString());
        Map<String, String> map14 = akVar.r;
        StringBuilder sb12 = new StringBuilder();
        sb12.append(aVar.q);
        map14.put("F02", sb12.toString());
        Map<String, String> map15 = akVar.r;
        StringBuilder sb13 = new StringBuilder();
        sb13.append(aVar.r);
        map15.put("F03", sb13.toString());
        akVar.r.put("F04", aVar.e());
        Map<String, String> map16 = akVar.r;
        StringBuilder sb14 = new StringBuilder();
        sb14.append(aVar.s);
        map16.put("F05", sb14.toString());
        akVar.r.put("F06", aVar.p);
        akVar.r.put("F08", aVar.v);
        akVar.r.put("F09", aVar.w);
        Map<String, String> map17 = akVar.r;
        StringBuilder sb15 = new StringBuilder();
        sb15.append(aVar.t);
        map17.put("F10", sb15.toString());
        if (crashDetailBean.O >= 0) {
            Map<String, String> map18 = akVar.r;
            StringBuilder sb16 = new StringBuilder();
            sb16.append(crashDetailBean.O);
            map18.put("C01", sb16.toString());
        }
        if (crashDetailBean.P >= 0) {
            Map<String, String> map19 = akVar.r;
            StringBuilder sb17 = new StringBuilder();
            sb17.append(crashDetailBean.P);
            map19.put("C02", sb17.toString());
        }
        Map<String, String> map20 = crashDetailBean.Q;
        if (map20 != null && map20.size() > 0) {
            for (Map.Entry<String, String> entry3 : crashDetailBean.Q.entrySet()) {
                akVar.r.put("C03_" + entry3.getKey(), entry3.getValue());
            }
        }
        Map<String, String> map21 = crashDetailBean.R;
        if (map21 != null && map21.size() > 0) {
            for (Map.Entry<String, String> entry4 : crashDetailBean.R.entrySet()) {
                akVar.r.put("C04_" + entry4.getKey(), entry4.getValue());
            }
        }
        akVar.s = null;
        Map<String, String> map22 = crashDetailBean.N;
        if (map22 != null && map22.size() > 0) {
            akVar.s = crashDetailBean.N;
            x.a("setted message size %d", Integer.valueOf(akVar.s.size()));
        }
        Object[] objArr2 = new Object[12];
        objArr2[0] = crashDetailBean.n;
        objArr2[1] = crashDetailBean.f3862c;
        objArr2[2] = aVar.e();
        objArr2[3] = Long.valueOf((crashDetailBean.r - crashDetailBean.L) / 1000);
        objArr2[4] = Boolean.valueOf(crashDetailBean.k);
        objArr2[5] = Boolean.valueOf(crashDetailBean.M);
        objArr2[6] = Boolean.valueOf(crashDetailBean.f3869j);
        if (crashDetailBean.f3861b == 1) {
            z = true;
        }
        objArr2[7] = Boolean.valueOf(z);
        objArr2[8] = Integer.valueOf(crashDetailBean.t);
        objArr2[9] = crashDetailBean.s;
        objArr2[10] = Boolean.valueOf(crashDetailBean.f3863d);
        objArr2[11] = Integer.valueOf(akVar.r.size());
        x.c("%s rid:%s sess:%s ls:%ds isR:%b isF:%b isM:%b isN:%b mc:%d ,%s ,isUp:%b ,vm:%d", objArr2);
        return akVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x0090 A[Catch:{ all -> 0x00b2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0095 A[SYNTHETIC, Splitter:B:35:0x0095] */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00a9  */
    private static aj a(String str, Context context, String str2) {
        FileInputStream fileInputStream;
        Throwable th;
        if (str2 == null || context == null) {
            x.d("rqdp{  createZipAttachment sourcePath == null || context == null ,pls check}", new Object[0]);
            return null;
        }
        x.c("zip %s", str2);
        File file = new File(str2);
        File file2 = new File(context.getCacheDir(), str);
        if (!z.a(file, file2, 5000)) {
            x.d("zip fail!", new Object[0]);
            return null;
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            fileInputStream = new FileInputStream(file2);
            try {
                byte[] bArr = new byte[4096];
                while (true) {
                    int read = fileInputStream.read(bArr);
                    if (read <= 0) {
                        break;
                    }
                    byteArrayOutputStream.write(bArr, 0, read);
                    byteArrayOutputStream.flush();
                }
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                x.c("read bytes :%d", Integer.valueOf(byteArray.length));
                aj ajVar = new aj((byte) 2, file2.getName(), byteArray);
                try {
                    fileInputStream.close();
                } catch (IOException e2) {
                    if (!x.a(e2)) {
                        e2.printStackTrace();
                    }
                }
                if (file2.exists()) {
                    x.c("del tmp", new Object[0]);
                    file2.delete();
                }
                return ajVar;
            } catch (Throwable th2) {
                th = th2;
                try {
                    if (!x.a(th)) {
                        th.printStackTrace();
                    }
                    if (fileInputStream != null) {
                        try {
                            fileInputStream.close();
                        } catch (IOException e3) {
                            if (!x.a(e3)) {
                                e3.printStackTrace();
                            }
                        }
                    }
                    if (file2.exists()) {
                        x.c("del tmp", new Object[0]);
                        file2.delete();
                    }
                    return null;
                } catch (Throwable th3) {
                    if (fileInputStream != null) {
                        try {
                            fileInputStream.close();
                        } catch (IOException e4) {
                            if (!x.a(e4)) {
                                e4.printStackTrace();
                            }
                        }
                    }
                    if (file2.exists()) {
                        x.c("del tmp", new Object[0]);
                        file2.delete();
                    }
                    throw th3;
                }
            }
        } catch (Throwable th4) {
            th = th4;
            fileInputStream = null;
            if (!x.a(th)) {
            }
            if (fileInputStream != null) {
            }
            if (file2.exists()) {
            }
            return null;
        }
    }

    public static void a(String str, String str2, String str3, Thread thread, String str4, CrashDetailBean crashDetailBean) {
        String str5;
        com.tencent.bugly.crashreport.common.info.a b2 = com.tencent.bugly.crashreport.common.info.a.b();
        if (b2 != null) {
            x.e("#++++++++++Record By Bugly++++++++++#", new Object[0]);
            x.e("# You can use Bugly(http:\\\\bugly.qq.com) to get more Crash Detail!", new Object[0]);
            x.e("# PKG NAME: %s", b2.f3824c);
            x.e("# APP VER: %s", b2.f3831j);
            x.e("# LAUNCH TIME: %s", z.a(new Date(com.tencent.bugly.crashreport.common.info.a.b().f3822a)));
            x.e("# CRASH TYPE: %s", str);
            x.e("# CRASH TIME: %s", str2);
            x.e("# CRASH PROCESS: %s", str3);
            if (thread != null) {
                x.e("# CRASH THREAD: %s", thread.getName());
            }
            if (crashDetailBean != null) {
                x.e("# REPORT ID: %s", crashDetailBean.f3862c);
                Object[] objArr = new Object[2];
                objArr[0] = b2.f3828g;
                objArr[1] = b2.x().booleanValue() ? "ROOTED" : "UNROOT";
                x.e("# CRASH DEVICE: %s %s", objArr);
                x.e("# RUNTIME AVAIL RAM:%d ROM:%d SD:%d", Long.valueOf(crashDetailBean.B), Long.valueOf(crashDetailBean.C), Long.valueOf(crashDetailBean.D));
                x.e("# RUNTIME TOTAL RAM:%d ROM:%d SD:%d", Long.valueOf(crashDetailBean.E), Long.valueOf(crashDetailBean.F), Long.valueOf(crashDetailBean.G));
                if (!z.a(crashDetailBean.J)) {
                    x.e("# EXCEPTION FIRED BY %s %s", crashDetailBean.J, crashDetailBean.I);
                } else if (crashDetailBean.f3861b == 3) {
                    Object[] objArr2 = new Object[1];
                    if (crashDetailBean.N == null) {
                        str5 = "null";
                    } else {
                        str5 = crashDetailBean.N.get("BUGLY_CR_01");
                    }
                    objArr2[0] = str5;
                    x.e("# EXCEPTION ANR MESSAGE:\n %s", objArr2);
                }
            }
            if (!z.a(str4)) {
                x.e("# CRASH STACK: ", new Object[0]);
                x.e(str4, new Object[0]);
            }
            x.e("#++++++++++++++++++++++++++++++++++++++++++#", new Object[0]);
        }
    }
}
