package com.tencent.bugly.crashreport.crash;

import android.content.Context;
import android.os.Process;
import com.tencent.bugly.crashreport.common.info.b;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.common.strategy.a;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.y;
import com.tencent.bugly.proguard.z;
import java.lang.Thread;
import java.util.HashMap;

/* compiled from: BUGLY */
public final class e implements Thread.UncaughtExceptionHandler {

    /* renamed from: h  reason: collision with root package name */
    private static String f3942h;

    /* renamed from: i  reason: collision with root package name */
    private static final Object f3943i = new Object();

    /* renamed from: a  reason: collision with root package name */
    private Context f3944a;

    /* renamed from: b  reason: collision with root package name */
    private b f3945b;

    /* renamed from: c  reason: collision with root package name */
    private a f3946c;

    /* renamed from: d  reason: collision with root package name */
    private com.tencent.bugly.crashreport.common.info.a f3947d;

    /* renamed from: e  reason: collision with root package name */
    private Thread.UncaughtExceptionHandler f3948e;

    /* renamed from: f  reason: collision with root package name */
    private Thread.UncaughtExceptionHandler f3949f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f3950g = false;

    /* renamed from: j  reason: collision with root package name */
    private int f3951j;

    public e(Context context, b bVar, a aVar, com.tencent.bugly.crashreport.common.info.a aVar2) {
        this.f3944a = context;
        this.f3945b = bVar;
        this.f3946c = aVar;
        this.f3947d = aVar2;
    }

    public final synchronized void a() {
        if (this.f3951j >= 10) {
            x.a("java crash handler over %d, no need set.", 10);
            return;
        }
        this.f3950g = true;
        Thread.UncaughtExceptionHandler defaultUncaughtExceptionHandler = Thread.getDefaultUncaughtExceptionHandler();
        if (defaultUncaughtExceptionHandler != null) {
            if (!getClass().getName().equals(defaultUncaughtExceptionHandler.getClass().getName())) {
                if ("com.android.internal.os.RuntimeInit$UncaughtHandler".equals(defaultUncaughtExceptionHandler.getClass().getName())) {
                    x.a("backup system java handler: %s", defaultUncaughtExceptionHandler.toString());
                    this.f3949f = defaultUncaughtExceptionHandler;
                    this.f3948e = defaultUncaughtExceptionHandler;
                } else {
                    x.a("backup java handler: %s", defaultUncaughtExceptionHandler.toString());
                    this.f3948e = defaultUncaughtExceptionHandler;
                }
            } else {
                return;
            }
        }
        Thread.setDefaultUncaughtExceptionHandler(this);
        this.f3951j++;
        x.a("registered java monitor: %s", toString());
    }

    public final synchronized void b() {
        this.f3950g = false;
        x.a("close java monitor!", new Object[0]);
        if (Thread.getDefaultUncaughtExceptionHandler().getClass().getName().contains("bugly")) {
            x.a("Java monitor to unregister: %s", toString());
            Thread.setDefaultUncaughtExceptionHandler(this.f3948e);
            this.f3951j--;
        }
    }

    public final void uncaughtException(Thread thread, Throwable th) {
        synchronized (f3943i) {
            a(thread, th, true, null, null);
        }
    }

    private CrashDetailBean b(Thread thread, Throwable th, boolean z, String str, byte[] bArr) {
        String str2;
        String str3;
        boolean z2 = false;
        if (th == null) {
            x.d("We can do nothing with a null throwable.", new Object[0]);
            return null;
        }
        boolean l = c.a().l();
        String str4 = (!l || !z) ? "" : " This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful![Bugly]";
        if (l && z) {
            x.e("This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful!", new Object[0]);
        }
        CrashDetailBean crashDetailBean = new CrashDetailBean();
        crashDetailBean.B = b.h();
        crashDetailBean.C = b.f();
        crashDetailBean.D = b.j();
        crashDetailBean.E = this.f3947d.p();
        crashDetailBean.F = this.f3947d.o();
        crashDetailBean.G = this.f3947d.q();
        crashDetailBean.w = z.a(this.f3944a, c.f3916e, (String) null);
        crashDetailBean.x = y.a();
        Object[] objArr = new Object[1];
        byte[] bArr2 = crashDetailBean.x;
        objArr[0] = Integer.valueOf(bArr2 == null ? 0 : bArr2.length);
        x.a("user log size:%d", objArr);
        crashDetailBean.f3861b = z ? 0 : 2;
        crashDetailBean.f3864e = this.f3947d.h();
        com.tencent.bugly.crashreport.common.info.a aVar = this.f3947d;
        crashDetailBean.f3865f = aVar.f3831j;
        crashDetailBean.f3866g = aVar.w();
        crashDetailBean.m = this.f3947d.g();
        String name = th.getClass().getName();
        String b2 = b(th, 1000);
        if (b2 == null) {
            b2 = "";
        }
        Object[] objArr2 = new Object[2];
        objArr2[0] = Integer.valueOf(th.getStackTrace().length);
        objArr2[1] = Boolean.valueOf(th.getCause() != null);
        x.e("stack frame :%d, has cause %b", objArr2);
        if (th.getStackTrace().length > 0) {
            str2 = th.getStackTrace()[0].toString();
        } else {
            str2 = "";
        }
        Throwable th2 = th;
        while (th2 != null && th2.getCause() != null) {
            th2 = th2.getCause();
        }
        if (th2 == null || th2 == th) {
            crashDetailBean.n = name;
            crashDetailBean.o = b2 + str4;
            if (crashDetailBean.o == null) {
                crashDetailBean.o = "";
            }
            crashDetailBean.p = str2;
            str3 = a(th, c.f3917f);
            crashDetailBean.q = str3;
        } else {
            crashDetailBean.n = th2.getClass().getName();
            crashDetailBean.o = b(th2, 1000);
            if (crashDetailBean.o == null) {
                crashDetailBean.o = "";
            }
            if (th2.getStackTrace().length > 0) {
                crashDetailBean.p = th2.getStackTrace()[0].toString();
            }
            StringBuilder sb = new StringBuilder();
            sb.append(name);
            sb.append(":");
            sb.append(b2);
            sb.append("\n");
            sb.append(str2);
            sb.append("\n......");
            sb.append("\nCaused by:\n");
            sb.append(crashDetailBean.n);
            sb.append(":");
            sb.append(crashDetailBean.o);
            sb.append("\n");
            str3 = a(th2, c.f3917f);
            sb.append(str3);
            crashDetailBean.q = sb.toString();
        }
        crashDetailBean.r = System.currentTimeMillis();
        crashDetailBean.u = z.b(crashDetailBean.q.getBytes());
        try {
            crashDetailBean.y = z.a(c.f3917f, false);
            crashDetailBean.z = this.f3947d.f3825d;
            crashDetailBean.A = thread.getName() + "(" + thread.getId() + ")";
            crashDetailBean.y.put(crashDetailBean.A, str3);
            crashDetailBean.H = this.f3947d.y();
            crashDetailBean.f3867h = this.f3947d.v();
            crashDetailBean.f3868i = this.f3947d.K();
            crashDetailBean.L = this.f3947d.f3822a;
            crashDetailBean.M = this.f3947d.a();
            crashDetailBean.O = this.f3947d.H();
            crashDetailBean.P = this.f3947d.I();
            crashDetailBean.Q = this.f3947d.B();
            crashDetailBean.R = this.f3947d.G();
        } catch (Throwable th3) {
            x.e("handle crash error %s", th3.toString());
        }
        if (z) {
            this.f3945b.c(crashDetailBean);
        } else {
            boolean z3 = str != null && str.length() > 0;
            if (bArr != null && bArr.length > 0) {
                z2 = true;
            }
            if (z3) {
                crashDetailBean.N = new HashMap(1);
                crashDetailBean.N.put("UserData", str);
            }
            if (z2) {
                crashDetailBean.S = bArr;
            }
        }
        return crashDetailBean;
    }

    private static boolean a(Thread thread) {
        synchronized (f3943i) {
            if (f3942h != null && thread.getName().equals(f3942h)) {
                return true;
            }
            f3942h = thread.getName();
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:112:0x027f A[Catch:{ all -> 0x02cc }] */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x0284  */
    /* JADX WARNING: Removed duplicated region for block: B:147:? A[RETURN, SYNTHETIC] */
    public final void a(Thread thread, Throwable th, boolean z, String str, byte[] bArr) {
        int i2;
        String str2;
        String str3;
        String str4;
        Throwable th2;
        String str5;
        String str6;
        if (z) {
            x.e("Java Crash Happen cause by %s(%d)", thread.getName(), Long.valueOf(thread.getId()));
            if (a(thread)) {
                x.a("this class has handled this exception", new Object[0]);
                if (this.f3949f != null) {
                    x.a("call system handler", new Object[0]);
                    this.f3949f.uncaughtException(thread, th);
                } else {
                    x.e("current process die", new Object[0]);
                    Process.killProcess(Process.myPid());
                    System.exit(1);
                }
            }
        } else {
            x.e("Java Catch Happen", new Object[0]);
        }
        try {
            if (!this.f3950g) {
                x.c("Java crash handler is disable. Just return.", new Object[0]);
                if (z) {
                    Thread.UncaughtExceptionHandler uncaughtExceptionHandler = this.f3948e;
                    if (uncaughtExceptionHandler != null && a(uncaughtExceptionHandler)) {
                        x.e("sys default last handle start!", new Object[0]);
                        this.f3948e.uncaughtException(thread, th);
                        x.e("sys default last handle end!", new Object[0]);
                    } else if (this.f3949f != null) {
                        x.e("system handle start!", new Object[0]);
                        this.f3949f.uncaughtException(thread, th);
                        x.e("system handle end!", new Object[0]);
                    } else {
                        x.e("crashreport last handle start!", new Object[0]);
                        x.e("current process die", new Object[0]);
                        Process.killProcess(Process.myPid());
                        System.exit(1);
                        x.e("crashreport last handle end!", new Object[0]);
                    }
                }
            } else {
                if (!this.f3946c.b()) {
                    x.e("waiting for remote sync", new Object[0]);
                    int i3 = 0;
                    while (!this.f3946c.b()) {
                        z.b(500);
                        i3 += 500;
                        if (i3 >= 3000) {
                            break;
                        }
                    }
                }
                if (!this.f3946c.b()) {
                    x.d("no remote but still store!", new Object[0]);
                }
                String str7 = "JAVA_CRASH";
                if (!this.f3946c.c().f3840g) {
                    try {
                        if (this.f3946c.b()) {
                            x.e("crash report was closed by remote , will not upload to Bugly , print local for helpful!", new Object[0]);
                            if (!z) {
                                str7 = "JAVA_CATCH";
                            }
                            try {
                                b.a(str7, z.a(), this.f3947d.f3825d, thread, z.a(th), null);
                                if (z) {
                                    Thread.UncaughtExceptionHandler uncaughtExceptionHandler2 = this.f3948e;
                                    if (uncaughtExceptionHandler2 != null && a(uncaughtExceptionHandler2)) {
                                        x.e("sys default last handle start!", new Object[0]);
                                        this.f3948e.uncaughtException(thread, th);
                                        x.e("sys default last handle end!", new Object[0]);
                                        return;
                                    } else if (this.f3949f != null) {
                                        x.e("system handle start!", new Object[0]);
                                        this.f3949f.uncaughtException(thread, th);
                                        x.e("system handle end!", new Object[0]);
                                        return;
                                    } else {
                                        x.e("crashreport last handle start!", new Object[0]);
                                        x.e("current process die", new Object[0]);
                                        Process.killProcess(Process.myPid());
                                        System.exit(1);
                                        x.e("crashreport last handle end!", new Object[0]);
                                        return;
                                    }
                                } else {
                                    return;
                                }
                            } catch (Throwable th3) {
                                th2 = th3;
                                str4 = "crashreport last handle start!";
                                str2 = "crashreport last handle end!";
                                str3 = "current process die";
                                i2 = 0;
                                try {
                                    if (!x.a(th2)) {
                                    }
                                    if (z) {
                                    }
                                } catch (Throwable th4) {
                                    if (z) {
                                        Thread.UncaughtExceptionHandler uncaughtExceptionHandler3 = this.f3948e;
                                        if (uncaughtExceptionHandler3 != null && a(uncaughtExceptionHandler3)) {
                                            x.e("sys default last handle start!", new Object[i2]);
                                            this.f3948e.uncaughtException(thread, th);
                                            x.e("sys default last handle end!", new Object[i2]);
                                        } else if (this.f3949f != null) {
                                            x.e("system handle start!", new Object[i2]);
                                            this.f3949f.uncaughtException(thread, th);
                                            x.e("system handle end!", new Object[i2]);
                                        } else {
                                            x.e(str4, new Object[i2]);
                                            x.e(str3, new Object[i2]);
                                            Process.killProcess(Process.myPid());
                                            System.exit(1);
                                            x.e(str2, new Object[i2]);
                                        }
                                    }
                                    throw th4;
                                }
                            }
                        }
                    } catch (Throwable th5) {
                        th2 = th5;
                        str6 = "crashreport last handle end!";
                        str5 = "crashreport last handle start!";
                        str2 = str6;
                        str3 = "current process die";
                        str4 = str5;
                        i2 = 0;
                        if (!x.a(th2)) {
                        }
                        if (z) {
                        }
                    }
                }
                str6 = "crashreport last handle end!";
                str5 = "crashreport last handle start!";
                try {
                    CrashDetailBean b2 = b(thread, th, z, str, bArr);
                    if (b2 == null) {
                        x.e("pkg crash datas fail!", new Object[0]);
                        if (z) {
                            Thread.UncaughtExceptionHandler uncaughtExceptionHandler4 = this.f3948e;
                            if (uncaughtExceptionHandler4 != null && a(uncaughtExceptionHandler4)) {
                                x.e("sys default last handle start!", new Object[0]);
                                this.f3948e.uncaughtException(thread, th);
                                x.e("sys default last handle end!", new Object[0]);
                            } else if (this.f3949f != null) {
                                x.e("system handle start!", new Object[0]);
                                this.f3949f.uncaughtException(thread, th);
                                x.e("system handle end!", new Object[0]);
                            } else {
                                x.e(str5, new Object[0]);
                                x.e("current process die", new Object[0]);
                                Process.killProcess(Process.myPid());
                                System.exit(1);
                                x.e(str6, new Object[0]);
                            }
                        }
                    } else {
                        if (!z) {
                            str7 = "JAVA_CATCH";
                        }
                        i2 = 0;
                        try {
                            b.a(str7, z.a(), this.f3947d.f3825d, thread, z.a(th), b2);
                            if (!this.f3945b.a(b2)) {
                                this.f3945b.a(b2, 3000, z);
                            }
                            this.f3945b.b(b2);
                            if (z) {
                                Thread.UncaughtExceptionHandler uncaughtExceptionHandler5 = this.f3948e;
                                if (uncaughtExceptionHandler5 != null && a(uncaughtExceptionHandler5)) {
                                    x.e("sys default last handle start!", new Object[0]);
                                    this.f3948e.uncaughtException(thread, th);
                                    x.e("sys default last handle end!", new Object[0]);
                                } else if (this.f3949f != null) {
                                    x.e("system handle start!", new Object[0]);
                                    this.f3949f.uncaughtException(thread, th);
                                    x.e("system handle end!", new Object[0]);
                                } else {
                                    x.e(str5, new Object[0]);
                                    x.e("current process die", new Object[0]);
                                    Process.killProcess(Process.myPid());
                                    System.exit(1);
                                    x.e(str6, new Object[0]);
                                }
                            }
                        } catch (Throwable th6) {
                            th2 = th6;
                            str4 = str5;
                            str2 = str6;
                            str3 = "current process die";
                            if (!x.a(th2)) {
                            }
                            if (z) {
                            }
                        }
                    }
                } catch (Throwable th7) {
                    th2 = th7;
                    str2 = str6;
                    str3 = "current process die";
                    str4 = str5;
                    i2 = 0;
                    if (!x.a(th2)) {
                    }
                    if (z) {
                    }
                }
            }
        } catch (Throwable th8) {
            th2 = th8;
            str3 = "current process die";
            str4 = "crashreport last handle start!";
            str2 = "crashreport last handle end!";
            i2 = 0;
            if (!x.a(th2)) {
                th2.printStackTrace();
            }
            if (z) {
                Thread.UncaughtExceptionHandler uncaughtExceptionHandler6 = this.f3948e;
                if (uncaughtExceptionHandler6 != null && a(uncaughtExceptionHandler6)) {
                    x.e("sys default last handle start!", new Object[i2]);
                    this.f3948e.uncaughtException(thread, th);
                    x.e("sys default last handle end!", new Object[i2]);
                } else if (this.f3949f != null) {
                    x.e("system handle start!", new Object[i2]);
                    this.f3949f.uncaughtException(thread, th);
                    x.e("system handle end!", new Object[i2]);
                } else {
                    x.e(str4, new Object[i2]);
                    x.e(str3, new Object[i2]);
                    Process.killProcess(Process.myPid());
                    System.exit(1);
                    x.e(str2, new Object[i2]);
                }
            }
        }
    }

    private static String b(Throwable th, int i2) {
        if (th.getMessage() == null) {
            return "";
        }
        if (th.getMessage().length() <= 1000) {
            return th.getMessage();
        }
        return th.getMessage().substring(0, 1000) + "\n[Message over limit size:1000" + ", has been cutted!]";
    }

    private static boolean a(Thread.UncaughtExceptionHandler uncaughtExceptionHandler) {
        if (uncaughtExceptionHandler == null) {
            return true;
        }
        String name = uncaughtExceptionHandler.getClass().getName();
        StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
        for (StackTraceElement stackTraceElement : stackTrace) {
            String className = stackTraceElement.getClassName();
            String methodName = stackTraceElement.getMethodName();
            if (name.equals(className) && "uncaughtException".equals(methodName)) {
                return false;
            }
        }
        return true;
    }

    public final synchronized void a(StrategyBean strategyBean) {
        if (strategyBean != null) {
            if (strategyBean.f3840g != this.f3950g) {
                x.a("java changed to %b", Boolean.valueOf(strategyBean.f3840g));
                if (strategyBean.f3840g) {
                    a();
                    return;
                }
                b();
            }
        }
    }

    private static String a(Throwable th, int i2) {
        if (th == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        try {
            if (th.getStackTrace() != null) {
                StackTraceElement[] stackTrace = th.getStackTrace();
                for (StackTraceElement stackTraceElement : stackTrace) {
                    if (i2 <= 0 || sb.length() < i2) {
                        sb.append(stackTraceElement.toString());
                        sb.append("\n");
                    } else {
                        sb.append("\n[Stack over limit size :" + i2 + " , has been cutted !]");
                        return sb.toString();
                    }
                }
            }
        } catch (Throwable th2) {
            x.e("gen stack error %s", th2.toString());
        }
        return sb.toString();
    }
}
