package com.tencent.bugly.crashreport.crash.h5;

import android.webkit.JavascriptInterface;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.tencent.bugly.crashreport.CrashReport;
import com.tencent.bugly.crashreport.inner.InnerApi;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.z;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedHashMap;
import java.util.Map;
import org.json.JSONObject;

/* compiled from: BUGLY */
public class H5JavaScriptInterface {

    /* renamed from: a  reason: collision with root package name */
    private static HashSet<Integer> f3952a = new HashSet<>();

    /* renamed from: b  reason: collision with root package name */
    private String f3953b = null;

    /* renamed from: c  reason: collision with root package name */
    private Thread f3954c = null;

    /* renamed from: d  reason: collision with root package name */
    private String f3955d = null;

    /* renamed from: e  reason: collision with root package name */
    private Map<String, String> f3956e = null;

    private H5JavaScriptInterface() {
    }

    private static a a(String str) {
        if (str != null && str.length() > 0) {
            try {
                JSONObject jSONObject = new JSONObject(str);
                a aVar = new a();
                aVar.f3957a = jSONObject.getString("projectRoot");
                if (aVar.f3957a == null) {
                    return null;
                }
                aVar.f3958b = jSONObject.getString("context");
                if (aVar.f3958b == null) {
                    return null;
                }
                aVar.f3959c = jSONObject.getString(FileDownloadModel.URL);
                if (aVar.f3959c == null) {
                    return null;
                }
                aVar.f3960d = jSONObject.getString("userAgent");
                if (aVar.f3960d == null) {
                    return null;
                }
                aVar.f3961e = jSONObject.getString("language");
                if (aVar.f3961e == null) {
                    return null;
                }
                aVar.f3962f = jSONObject.getString("name");
                if (aVar.f3962f != null) {
                    if (!aVar.f3962f.equals("null")) {
                        String string = jSONObject.getString("stacktrace");
                        if (string == null) {
                            return null;
                        }
                        int indexOf = string.indexOf("\n");
                        if (indexOf < 0) {
                            x.d("H5 crash stack's format is wrong!", new Object[0]);
                            return null;
                        }
                        aVar.f3964h = string.substring(indexOf + 1);
                        aVar.f3963g = string.substring(0, indexOf);
                        int indexOf2 = aVar.f3963g.indexOf(":");
                        if (indexOf2 > 0) {
                            aVar.f3963g = aVar.f3963g.substring(indexOf2 + 1);
                        }
                        aVar.f3965i = jSONObject.getString("file");
                        if (aVar.f3962f == null) {
                            return null;
                        }
                        aVar.f3966j = jSONObject.getLong("lineNumber");
                        if (aVar.f3966j < 0) {
                            return null;
                        }
                        aVar.k = jSONObject.getLong("columnNumber");
                        if (aVar.k < 0) {
                            return null;
                        }
                        x.a("H5 crash information is following: ", new Object[0]);
                        x.a("[projectRoot]: " + aVar.f3957a, new Object[0]);
                        x.a("[context]: " + aVar.f3958b, new Object[0]);
                        x.a("[url]: " + aVar.f3959c, new Object[0]);
                        x.a("[userAgent]: " + aVar.f3960d, new Object[0]);
                        x.a("[language]: " + aVar.f3961e, new Object[0]);
                        x.a("[name]: " + aVar.f3962f, new Object[0]);
                        x.a("[message]: " + aVar.f3963g, new Object[0]);
                        x.a("[stacktrace]: \n" + aVar.f3964h, new Object[0]);
                        x.a("[file]: " + aVar.f3965i, new Object[0]);
                        x.a("[lineNumber]: " + aVar.f3966j, new Object[0]);
                        x.a("[columnNumber]: " + aVar.k, new Object[0]);
                        return aVar;
                    }
                }
                return null;
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
            }
        }
        return null;
    }

    public static H5JavaScriptInterface getInstance(CrashReport.WebViewInterface webViewInterface) {
        String str = null;
        if (webViewInterface == null || f3952a.contains(Integer.valueOf(webViewInterface.hashCode()))) {
            return null;
        }
        H5JavaScriptInterface h5JavaScriptInterface = new H5JavaScriptInterface();
        f3952a.add(Integer.valueOf(webViewInterface.hashCode()));
        h5JavaScriptInterface.f3954c = Thread.currentThread();
        Thread thread = h5JavaScriptInterface.f3954c;
        if (thread != null) {
            StringBuilder sb = new StringBuilder();
            sb.append("\n");
            for (int i2 = 2; i2 < thread.getStackTrace().length; i2++) {
                StackTraceElement stackTraceElement = thread.getStackTrace()[i2];
                if (!stackTraceElement.toString().contains("crashreport")) {
                    sb.append(stackTraceElement.toString());
                    sb.append("\n");
                }
            }
            str = sb.toString();
        }
        h5JavaScriptInterface.f3955d = str;
        HashMap hashMap = new HashMap();
        StringBuilder sb2 = new StringBuilder();
        sb2.append((Object) webViewInterface.getContentDescription());
        hashMap.put("[WebView] ContentDescription", sb2.toString());
        h5JavaScriptInterface.f3956e = hashMap;
        return h5JavaScriptInterface;
    }

    @JavascriptInterface
    public void printLog(String str) {
        x.d("Log from js: %s", str);
    }

    @JavascriptInterface
    public void reportJSException(String str) {
        if (str == null) {
            x.d("Payload from JS is null.", new Object[0]);
            return;
        }
        String b2 = z.b(str.getBytes());
        String str2 = this.f3953b;
        if (str2 == null || !str2.equals(b2)) {
            this.f3953b = b2;
            x.d("Handling JS exception ...", new Object[0]);
            a a2 = a(str);
            if (a2 == null) {
                x.d("Failed to parse payload.", new Object[0]);
                return;
            }
            LinkedHashMap linkedHashMap = new LinkedHashMap();
            LinkedHashMap linkedHashMap2 = new LinkedHashMap();
            String str3 = a2.f3957a;
            if (str3 != null) {
                linkedHashMap2.put("[JS] projectRoot", str3);
            }
            String str4 = a2.f3958b;
            if (str4 != null) {
                linkedHashMap2.put("[JS] context", str4);
            }
            String str5 = a2.f3959c;
            if (str5 != null) {
                linkedHashMap2.put("[JS] url", str5);
            }
            String str6 = a2.f3960d;
            if (str6 != null) {
                linkedHashMap2.put("[JS] userAgent", str6);
            }
            String str7 = a2.f3965i;
            if (str7 != null) {
                linkedHashMap2.put("[JS] file", str7);
            }
            long j2 = a2.f3966j;
            if (j2 != 0) {
                linkedHashMap2.put("[JS] lineNumber", Long.toString(j2));
            }
            linkedHashMap.putAll(linkedHashMap2);
            linkedHashMap.putAll(this.f3956e);
            linkedHashMap.put("Java Stack", this.f3955d);
            Thread thread = this.f3954c;
            if (a2 != null) {
                InnerApi.postH5CrashAsync(thread, a2.f3962f, a2.f3963g, a2.f3964h, linkedHashMap);
                return;
            }
            return;
        }
        x.d("Same payload from js. Please check whether you've injected bugly.js more than one times.", new Object[0]);
    }
}
