package com.tencent.bugly.crashreport.crash.jni;

import android.annotation.SuppressLint;
import android.content.Context;
import com.tencent.bugly.Bugly;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.crashreport.crash.b;
import com.tencent.bugly.crashreport.crash.c;
import com.tencent.bugly.proguard.w;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.z;
import java.io.File;

/* compiled from: BUGLY */
public class NativeCrashHandler implements com.tencent.bugly.crashreport.a {

    /* renamed from: a  reason: collision with root package name */
    private static NativeCrashHandler f3969a = null;
    private static boolean l = false;
    private static boolean m = false;

    /* renamed from: b  reason: collision with root package name */
    private final Context f3970b;

    /* renamed from: c  reason: collision with root package name */
    private final com.tencent.bugly.crashreport.common.info.a f3971c;

    /* renamed from: d  reason: collision with root package name */
    private final w f3972d;

    /* renamed from: e  reason: collision with root package name */
    private NativeExceptionHandler f3973e;

    /* renamed from: f  reason: collision with root package name */
    private String f3974f;

    /* renamed from: g  reason: collision with root package name */
    private final boolean f3975g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f3976h = false;

    /* renamed from: i  reason: collision with root package name */
    private boolean f3977i = false;

    /* renamed from: j  reason: collision with root package name */
    private boolean f3978j = false;
    private boolean k = false;
    private b n;

    /* access modifiers changed from: package-private */
    /* compiled from: BUGLY */
    public class a implements Runnable {
        a() {
        }

        public final void run() {
            if (!z.a(NativeCrashHandler.this.f3970b, "native_record_lock", 10000)) {
                x.a("[Native] Failed to lock file for handling native crash record.", new Object[0]);
                return;
            }
            try {
                NativeCrashHandler.this.setNativeAppVersion(NativeCrashHandler.this.f3971c.f3831j);
                NativeCrashHandler.this.setNativeAppChannel(NativeCrashHandler.this.f3971c.l);
                NativeCrashHandler.this.setNativeAppPackage(NativeCrashHandler.this.f3971c.f3824c);
                NativeCrashHandler.this.setNativeUserId(NativeCrashHandler.this.f3971c.g());
                NativeCrashHandler.this.setNativeIsAppForeground(NativeCrashHandler.this.f3971c.a());
                NativeCrashHandler.this.setNativeLaunchTime(NativeCrashHandler.this.f3971c.f3822a);
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
            }
            CrashDetailBean a2 = b.a(NativeCrashHandler.this.f3970b, NativeCrashHandler.this.f3974f, NativeCrashHandler.this.f3973e);
            if (a2 != null) {
                x.a("[Native] Get crash from native record.", new Object[0]);
                if (!NativeCrashHandler.this.n.a(a2)) {
                    NativeCrashHandler.this.n.a(a2, 3000L, false);
                }
                b.a(false, NativeCrashHandler.this.f3974f);
            }
            NativeCrashHandler.this.a();
            z.b(NativeCrashHandler.this.f3970b, "native_record_lock");
        }
    }

    @SuppressLint({"SdCardPath"})
    private NativeCrashHandler(Context context, com.tencent.bugly.crashreport.common.info.a aVar, b bVar, w wVar, boolean z, String str) {
        this.f3970b = z.a(context);
        try {
            if (z.a(str)) {
                str = context.getDir("bugly", 0).getAbsolutePath();
            }
        } catch (Throwable unused) {
            str = "/data/data/" + com.tencent.bugly.crashreport.common.info.a.a(context).f3824c + "/app_bugly";
        }
        this.n = bVar;
        this.f3974f = str;
        this.f3971c = aVar;
        this.f3972d = wVar;
        this.f3975g = z;
        this.f3973e = new a(context, aVar, bVar, com.tencent.bugly.crashreport.common.strategy.a.a());
    }

    public static synchronized NativeCrashHandler getInstance(Context context, com.tencent.bugly.crashreport.common.info.a aVar, b bVar, com.tencent.bugly.crashreport.common.strategy.a aVar2, w wVar, boolean z, String str) {
        NativeCrashHandler nativeCrashHandler;
        synchronized (NativeCrashHandler.class) {
            if (f3969a == null) {
                f3969a = new NativeCrashHandler(context, aVar, bVar, wVar, z, str);
            }
            nativeCrashHandler = f3969a;
        }
        return nativeCrashHandler;
    }

    @Override // com.tencent.bugly.crashreport.a
    public boolean appendLogToNative(String str, String str2, String str3) {
        if (!((!this.f3976h && !this.f3977i) || !l || str == null || str2 == null || str3 == null)) {
            try {
                if (this.f3977i) {
                    return appendNativeLog(str, str2, str3);
                }
                Boolean bool = (Boolean) z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "appendNativeLog", null, new Class[]{String.class, String.class, String.class}, new Object[]{str, str2, str3});
                if (bool != null) {
                    return bool.booleanValue();
                }
                return false;
            } catch (UnsatisfiedLinkError unused) {
                l = false;
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
                return false;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public native boolean appendNativeLog(String str, String str2, String str3);

    /* access modifiers changed from: protected */
    public native boolean appendWholeNativeLog(String str);

    public boolean filterSigabrtSysLog() {
        return a(998, "true");
    }

    public synchronized String getDumpFilePath() {
        return this.f3974f;
    }

    public NativeExceptionHandler getNativeExceptionHandler() {
        return this.f3973e;
    }

    /* access modifiers changed from: protected */
    public native String getNativeKeyValueList();

    /* access modifiers changed from: protected */
    public native String getNativeLog();

    public synchronized boolean isUserOpened() {
        return this.k;
    }

    public synchronized void onStrategyChanged(StrategyBean strategyBean) {
        if (strategyBean != null) {
            if (strategyBean.f3840g != this.f3978j) {
                x.d("server native changed to %b", Boolean.valueOf(strategyBean.f3840g));
            }
        }
        boolean z = com.tencent.bugly.crashreport.common.strategy.a.a().c().f3840g && this.k;
        if (z != this.f3978j) {
            x.a("native changed to %b", Boolean.valueOf(z));
            b(z);
        }
    }

    public boolean putKeyValueToNative(String str, String str2) {
        if ((this.f3976h || this.f3977i) && l && str != null && str2 != null) {
            try {
                if (this.f3977i) {
                    return putNativeKeyValue(str, str2);
                }
                Boolean bool = (Boolean) z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "putNativeKeyValue", null, new Class[]{String.class, String.class}, new Object[]{str, str2});
                if (bool != null) {
                    return bool.booleanValue();
                }
                return false;
            } catch (UnsatisfiedLinkError unused) {
                l = false;
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
                return false;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public native boolean putNativeKeyValue(String str, String str2);

    /* access modifiers changed from: protected */
    public native String regist(String str, boolean z, int i2);

    /* access modifiers changed from: protected */
    public native String removeNativeKeyValue(String str);

    public synchronized void setDumpFilePath(String str) {
        this.f3974f = str;
    }

    public boolean setNativeAppChannel(String str) {
        return a(12, str);
    }

    public boolean setNativeAppPackage(String str) {
        return a(13, str);
    }

    public boolean setNativeAppVersion(String str) {
        return a(10, str);
    }

    /* access modifiers changed from: protected */
    public native void setNativeInfo(int i2, String str);

    @Override // com.tencent.bugly.crashreport.a
    public boolean setNativeIsAppForeground(boolean z) {
        return a(14, z ? "true" : Bugly.SDK_IS_DEV);
    }

    public boolean setNativeLaunchTime(long j2) {
        try {
            return a(15, String.valueOf(j2));
        } catch (NumberFormatException e2) {
            if (x.a(e2)) {
                return false;
            }
            e2.printStackTrace();
            return false;
        }
    }

    public boolean setNativeUserId(String str) {
        return a(11, str);
    }

    public synchronized void setUserOpened(boolean z) {
        c(z);
        boolean isUserOpened = isUserOpened();
        com.tencent.bugly.crashreport.common.strategy.a a2 = com.tencent.bugly.crashreport.common.strategy.a.a();
        if (a2 != null) {
            isUserOpened = isUserOpened && a2.c().f3840g;
        }
        if (isUserOpened != this.f3978j) {
            x.a("native changed to %b", Boolean.valueOf(isUserOpened));
            b(isUserOpened);
        }
    }

    public synchronized void startNativeMonitor() {
        if (!this.f3977i) {
            if (!this.f3976h) {
                String str = "Bugly";
                boolean z = !z.a(this.f3971c.m);
                String str2 = this.f3971c.m;
                if (!z) {
                    this.f3971c.getClass();
                } else {
                    str = str2;
                }
                this.f3977i = a(str, z);
                if (this.f3977i || this.f3976h) {
                    a(this.f3975g);
                    this.f3972d.a(new a());
                    return;
                }
                return;
            }
        }
        a(this.f3975g);
    }

    /* access modifiers changed from: protected */
    public native void testCrash();

    public void testNativeCrash() {
        if (!this.f3977i) {
            x.d("[Native] Bugly SO file has not been load.", new Object[0]);
        } else {
            testCrash();
        }
    }

    /* access modifiers changed from: protected */
    public native String unregist();

    /* JADX WARNING: Removed duplicated region for block: B:22:0x007c A[Catch:{ all -> 0x008a }] */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0088 A[Catch:{ all -> 0x008a }] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00a9  */
    private synchronized void a(boolean z) {
        StringBuilder sb;
        String str;
        if (this.f3978j) {
            x.d("[Native] Native crash report has already registered.", new Object[0]);
            return;
        }
        if (this.f3977i) {
            try {
                String regist = regist(this.f3974f, z, 1);
                if (regist != null) {
                    x.a("[Native] Native Crash Report enable.", new Object[0]);
                    x.c("[Native] Check extra jni for Bugly NDK v%s", regist);
                    String replace = "2.1.1".replace(".", "");
                    String replace2 = "2.3.0".replace(".", "");
                    String replace3 = regist.replace(".", "");
                    if (replace3.length() == 2) {
                        sb = new StringBuilder();
                        sb.append(replace3);
                        str = "0";
                    } else {
                        if (replace3.length() == 1) {
                            sb = new StringBuilder();
                            sb.append(replace3);
                            str = "00";
                        }
                        if (Integer.parseInt(replace3) >= Integer.parseInt(replace)) {
                            l = true;
                        }
                        if (Integer.parseInt(replace3) >= Integer.parseInt(replace2)) {
                            m = true;
                        }
                        if (!m) {
                            x.a("[Native] Info setting jni can be accessed.", new Object[0]);
                        } else {
                            x.d("[Native] Info setting jni can not be accessed.", new Object[0]);
                        }
                        if (!l) {
                            x.a("[Native] Extra jni can be accessed.", new Object[0]);
                        } else {
                            x.d("[Native] Extra jni can not be accessed.", new Object[0]);
                        }
                        this.f3971c.n = regist;
                        this.f3978j = true;
                        return;
                    }
                    sb.append(str);
                    replace3 = sb.toString();
                    try {
                        if (Integer.parseInt(replace3) >= Integer.parseInt(replace)) {
                        }
                        if (Integer.parseInt(replace3) >= Integer.parseInt(replace2)) {
                        }
                    } catch (Throwable unused) {
                    }
                    if (!m) {
                    }
                    if (!l) {
                    }
                    this.f3971c.n = regist;
                    this.f3978j = true;
                    return;
                }
            } catch (Throwable unused2) {
                x.c("[Native] Failed to load Bugly SO file.", new Object[0]);
            }
        } else if (this.f3976h) {
            try {
                Class[] clsArr = {String.class, String.class, Integer.TYPE, Integer.TYPE};
                Object[] objArr = new Object[4];
                objArr[0] = this.f3974f;
                objArr[1] = com.tencent.bugly.crashreport.common.info.b.a(false);
                int i2 = 5;
                objArr[2] = Integer.valueOf(z ? 1 : 5);
                objArr[3] = 1;
                String str2 = (String) z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "registNativeExceptionHandler2", null, clsArr, objArr);
                if (str2 == null) {
                    Class[] clsArr2 = {String.class, String.class, Integer.TYPE};
                    com.tencent.bugly.crashreport.common.info.a.b();
                    str2 = (String) z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "registNativeExceptionHandler", null, clsArr2, new Object[]{this.f3974f, com.tencent.bugly.crashreport.common.info.b.a(false), Integer.valueOf(com.tencent.bugly.crashreport.common.info.a.L())});
                }
                if (str2 != null) {
                    this.f3978j = true;
                    com.tencent.bugly.crashreport.common.info.a.b().n = str2;
                    Boolean bool = (Boolean) z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "checkExtraJni", null, new Class[]{String.class}, new Object[]{str2});
                    if (bool != null) {
                        l = bool.booleanValue();
                    }
                    z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "enableHandler", null, new Class[]{Boolean.TYPE}, new Object[]{true});
                    if (z) {
                        i2 = 1;
                    }
                    z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "setLogMode", null, new Class[]{Integer.TYPE}, new Object[]{Integer.valueOf(i2)});
                    return;
                }
            } catch (Throwable unused3) {
            }
        }
        this.f3977i = false;
        this.f3976h = false;
    }

    private synchronized void b() {
        if (!this.f3978j) {
            x.d("[Native] Native crash report has already unregistered.", new Object[0]);
            return;
        }
        try {
            if (unregist() != null) {
                x.a("[Native] Successfully closed native crash report.", new Object[0]);
                this.f3978j = false;
                return;
            }
        } catch (Throwable unused) {
            x.c("[Native] Failed to close native crash report.", new Object[0]);
        }
        try {
            z.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "enableHandler", null, new Class[]{Boolean.TYPE}, new Object[]{false});
            this.f3978j = false;
            x.a("[Native] Successfully closed native crash report.", new Object[0]);
        } catch (Throwable unused2) {
            x.c("[Native] Failed to close native crash report.", new Object[0]);
            this.f3977i = false;
            this.f3976h = false;
        }
    }

    private synchronized void c(boolean z) {
        if (this.k != z) {
            x.a("user change native %b", Boolean.valueOf(z));
            this.k = z;
        }
    }

    public static synchronized NativeCrashHandler getInstance() {
        NativeCrashHandler nativeCrashHandler;
        synchronized (NativeCrashHandler.class) {
            nativeCrashHandler = f3969a;
        }
        return nativeCrashHandler;
    }

    private synchronized void b(boolean z) {
        if (z) {
            startNativeMonitor();
        } else {
            b();
        }
    }

    private static boolean a(String str, boolean z) {
        Throwable th;
        boolean z2;
        try {
            x.a("[Native] Trying to load so: %s", str);
            if (z) {
                System.load(str);
            } else {
                System.loadLibrary(str);
            }
            try {
                x.a("[Native] Successfully loaded SO: %s", str);
                return true;
            } catch (Throwable th2) {
                th = th2;
                z2 = true;
            }
        } catch (Throwable th3) {
            th = th3;
            z2 = false;
            x.d(th.getMessage(), new Object[0]);
            x.d("[Native] Failed to load so: %s", str);
            return z2;
        }
    }

    /* access modifiers changed from: protected */
    public final void a() {
        File[] listFiles;
        long b2 = z.b() - c.f3918g;
        File file = new File(this.f3974f);
        if (file.exists() && file.isDirectory() && (listFiles = file.listFiles()) != null && listFiles.length != 0) {
            int i2 = 0;
            for (File file2 : listFiles) {
                String name = file2.getName();
                if (name.startsWith("tomb_")) {
                    try {
                        int indexOf = name.indexOf(".txt");
                        if (indexOf > 0 && Long.parseLong(name.substring(5, indexOf)) >= b2) {
                        }
                    } catch (Throwable unused) {
                        x.e("[Native] Tomb file format error, delete %s", name);
                    }
                    if (file2.delete()) {
                        i2++;
                    }
                }
            }
            x.c("[Native] Clean tombs %d", Integer.valueOf(i2));
        }
    }

    private boolean a(int i2, String str) {
        if (this.f3977i && m) {
            try {
                setNativeInfo(i2, str);
                return true;
            } catch (UnsatisfiedLinkError unused) {
                m = false;
            } catch (Throwable th) {
                if (!x.a(th)) {
                    th.printStackTrace();
                }
                return false;
            }
        }
        return false;
    }
}
