package com.tencent.bugly.crashreport.crash.jni;

import android.content.Context;
import com.ecarx.sdk.policy.IAudioAttributes;
import com.tencent.bugly.crashreport.common.info.AppInfo;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.crashreport.crash.b;
import com.tencent.bugly.crashreport.crash.c;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.y;
import com.tencent.bugly.proguard.z;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/* compiled from: BUGLY */
public final class a implements NativeExceptionHandler {

    /* renamed from: a  reason: collision with root package name */
    private final Context f3980a;

    /* renamed from: b  reason: collision with root package name */
    private final b f3981b;

    /* renamed from: c  reason: collision with root package name */
    private final com.tencent.bugly.crashreport.common.info.a f3982c;

    /* renamed from: d  reason: collision with root package name */
    private final com.tencent.bugly.crashreport.common.strategy.a f3983d;

    public a(Context context, com.tencent.bugly.crashreport.common.info.a aVar, b bVar, com.tencent.bugly.crashreport.common.strategy.a aVar2) {
        this.f3980a = context;
        this.f3981b = bVar;
        this.f3982c = aVar;
        this.f3983d = aVar2;
    }

    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    public final void handleNativeException(int i2, int i3, long j2, long j3, String str, String str2, String str3, String str4, int i4, String str5, int i5, int i6, int i7, String str6, String str7) {
        x.a("Native Crash Happen v1", new Object[0]);
        handleNativeException2(i2, i3, j2, j3, str, str2, str3, str4, i4, str5, i5, i6, i7, str6, str7, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:84:0x0286  */
    /* JADX WARNING: Removed duplicated region for block: B:93:? A[RETURN, SYNTHETIC] */
    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    public final void handleNativeException2(int i2, int i3, long j2, long j3, String str, String str2, String str3, String str4, int i4, String str5, int i5, int i6, int i7, String str6, String str7, String[] strArr) {
        Throwable th;
        String str8;
        String str9;
        String str10;
        String str11;
        boolean z;
        String[] strArr2 = strArr;
        x.a("Native Crash Happen v2", new Object[0]);
        try {
            if (!this.f3983d.b()) {
                x.e("waiting for remote sync", new Object[0]);
                int i8 = 0;
                while (!this.f3983d.b()) {
                    z.b(500);
                    i8 += 500;
                    if (i8 >= 3000) {
                        break;
                    }
                }
            }
            String a2 = b.a(str3);
            String str12 = IAudioAttributes.CONTENT_TYPE_MD_UNKNOWN;
            if (i4 > 0) {
                str8 = str + "(" + str5 + ")";
                str9 = str12;
                str10 = "KERNEL";
            } else {
                if (i5 > 0) {
                    str12 = AppInfo.a(i5);
                }
                str9 = !str12.equals(String.valueOf(i5)) ? str12 + "(" + i5 + ")" : str12;
                str8 = str;
                str10 = str5;
            }
            if (!this.f3983d.b()) {
                x.d("no remote but still store!", new Object[0]);
            }
            if (this.f3983d.c().f3840g || !this.f3983d.b()) {
                HashMap hashMap = new HashMap();
                if (strArr2 != null) {
                    int i9 = 0;
                    for (int length = strArr2.length; i9 < length; length = length) {
                        String str13 = strArr2[i9];
                        String[] split = str13.split("=");
                        if (split.length == 2) {
                            hashMap.put(split[0], split[1]);
                        } else {
                            x.d("bad extraMsg %s", str13);
                        }
                        i9++;
                        strArr2 = strArr;
                    }
                } else {
                    x.c("not found extraMsg", new Object[0]);
                }
                String str14 = (String) hashMap.get("ExceptionProcessName");
                if (str14 == null || str14.length() == 0) {
                    str14 = this.f3982c.f3825d;
                } else {
                    x.c("crash process name change to %s", str14);
                }
                String str15 = (String) hashMap.get("ExceptionThreadName");
                if (str15 != null && str15.length() != 0) {
                    x.c("crash thread name change to %s", str15);
                    Iterator<Thread> it = Thread.getAllStackTraces().keySet().iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            str11 = "\n";
                            break;
                        }
                        Thread next = it.next();
                        if (next.getName().equals(str15)) {
                            StringBuilder sb = new StringBuilder();
                            sb.append(str15);
                            sb.append("(");
                            str11 = "\n";
                            sb.append(next.getId());
                            sb.append(")");
                            str15 = sb.toString();
                            break;
                        }
                    }
                } else {
                    str11 = "\n";
                    Thread currentThread = Thread.currentThread();
                    str15 = currentThread.getName() + "(" + currentThread.getId() + ")";
                }
                try {
                    CrashDetailBean packageCrashDatas = packageCrashDatas(str14, str15, (j3 / 1000) + (j2 * 1000), str8, str2, a2, str10, str9, str4, (String) hashMap.get("SysLogPath"), str7, null, null, true);
                    if (packageCrashDatas == null) {
                        x.e("pkg crash datas fail!", new Object[0]);
                        return;
                    }
                    try {
                        b.a("NATIVE_CRASH", z.a(), this.f3982c.f3825d, Thread.currentThread(), str8 + str11 + str2 + str11 + a2, packageCrashDatas);
                        if (!this.f3981b.a(packageCrashDatas, i4)) {
                            z = true;
                            this.f3981b.a(packageCrashDatas, 3000L, true);
                        } else {
                            z = true;
                        }
                        this.f3981b.b(packageCrashDatas);
                        String str16 = null;
                        NativeCrashHandler instance = NativeCrashHandler.getInstance();
                        if (instance != null) {
                            str16 = instance.getDumpFilePath();
                        }
                        b.a(z, str16);
                    } catch (Throwable th2) {
                        th = th2;
                        if (!x.a(th)) {
                            th.printStackTrace();
                        }
                    }
                } catch (Throwable th3) {
                    th = th3;
                    if (!x.a(th)) {
                    }
                }
            } else {
                x.e("crash report was closed by remote , will not upload to Bugly , print local for helpful!", new Object[0]);
                b.a("NATIVE_CRASH", z.a(), this.f3982c.f3825d, Thread.currentThread(), str8 + "\n" + str2 + "\n" + a2, null);
                z.b(str4);
            }
        } catch (Throwable th4) {
            th = th4;
            if (!x.a(th)) {
            }
        }
    }

    @Override // com.tencent.bugly.crashreport.crash.jni.NativeExceptionHandler
    public final CrashDetailBean packageCrashDatas(String str, String str2, long j2, String str3, String str4, String str5, String str6, String str7, String str8, String str9, String str10, byte[] bArr, Map<String, String> map, boolean z) {
        int i2;
        String str11;
        int indexOf;
        boolean l = c.a().l();
        if (l) {
            x.e("This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful!", new Object[0]);
        }
        CrashDetailBean crashDetailBean = new CrashDetailBean();
        crashDetailBean.f3861b = 1;
        crashDetailBean.f3864e = this.f3982c.h();
        com.tencent.bugly.crashreport.common.info.a aVar = this.f3982c;
        crashDetailBean.f3865f = aVar.f3831j;
        crashDetailBean.f3866g = aVar.w();
        crashDetailBean.m = this.f3982c.g();
        crashDetailBean.n = str3;
        String str12 = "";
        crashDetailBean.o = l ? " This Crash Caused By ANR , PLS To Fix ANR , This Trace May Be Not Useful![Bugly]" : str12;
        crashDetailBean.p = str4;
        if (str5 != null) {
            str12 = str5;
        }
        crashDetailBean.q = str12;
        crashDetailBean.r = j2;
        crashDetailBean.u = z.b(crashDetailBean.q.getBytes());
        crashDetailBean.z = str;
        crashDetailBean.A = str2;
        crashDetailBean.H = this.f3982c.y();
        crashDetailBean.f3867h = this.f3982c.v();
        crashDetailBean.f3868i = this.f3982c.K();
        crashDetailBean.v = str8;
        NativeCrashHandler instance = NativeCrashHandler.getInstance();
        String dumpFilePath = instance != null ? instance.getDumpFilePath() : null;
        String a2 = b.a(dumpFilePath, str8);
        if (!z.a(a2)) {
            crashDetailBean.T = a2;
        }
        crashDetailBean.U = b.b(dumpFilePath);
        crashDetailBean.w = b.a(str9, c.f3916e, (String) null);
        crashDetailBean.I = str7;
        crashDetailBean.J = str6;
        crashDetailBean.K = str10;
        crashDetailBean.E = this.f3982c.p();
        crashDetailBean.F = this.f3982c.o();
        crashDetailBean.G = this.f3982c.q();
        if (z) {
            crashDetailBean.B = com.tencent.bugly.crashreport.common.info.b.h();
            crashDetailBean.C = com.tencent.bugly.crashreport.common.info.b.f();
            crashDetailBean.D = com.tencent.bugly.crashreport.common.info.b.j();
            if (crashDetailBean.w == null) {
                crashDetailBean.w = z.a(this.f3980a, c.f3916e, (String) null);
            }
            crashDetailBean.x = y.a();
            com.tencent.bugly.crashreport.common.info.a aVar2 = this.f3982c;
            crashDetailBean.L = aVar2.f3822a;
            crashDetailBean.M = aVar2.a();
            crashDetailBean.O = this.f3982c.H();
            crashDetailBean.P = this.f3982c.I();
            crashDetailBean.Q = this.f3982c.B();
            crashDetailBean.R = this.f3982c.G();
            crashDetailBean.y = z.a(c.f3917f, false);
            int indexOf2 = crashDetailBean.q.indexOf("java:\n");
            if (indexOf2 > 0 && (i2 = indexOf2 + 6) < crashDetailBean.q.length()) {
                String str13 = crashDetailBean.q;
                String substring = str13.substring(i2, str13.length() - 1);
                if (substring.length() > 0 && crashDetailBean.y.containsKey(crashDetailBean.A) && (indexOf = (str11 = crashDetailBean.y.get(crashDetailBean.A)).indexOf(substring)) > 0) {
                    String substring2 = str11.substring(indexOf);
                    crashDetailBean.y.put(crashDetailBean.A, substring2);
                    crashDetailBean.q = crashDetailBean.q.substring(0, i2);
                    crashDetailBean.q += substring2;
                }
            }
            if (str == null) {
                crashDetailBean.z = this.f3982c.f3825d;
            }
            this.f3981b.c(crashDetailBean);
        } else {
            crashDetailBean.B = -1;
            crashDetailBean.C = -1;
            crashDetailBean.D = -1;
            if (crashDetailBean.w == null) {
                crashDetailBean.w = "this crash is occurred at last process! Log is miss, when get an terrible ABRT Native Exception etc.";
            }
            crashDetailBean.L = -1;
            crashDetailBean.O = -1;
            crashDetailBean.P = -1;
            crashDetailBean.Q = map;
            crashDetailBean.R = this.f3982c.G();
            crashDetailBean.y = null;
            if (str == null) {
                crashDetailBean.z = "unknown(record)";
            }
            if (bArr != null) {
                crashDetailBean.x = bArr;
            }
        }
        return crashDetailBean;
    }
}
