package com.tencent.bugly.crashreport.crash.jni;

import android.content.Context;
import com.tencent.bugly.crashreport.common.info.a;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.proguard.x;
import com.tencent.bugly.proguard.z;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Pattern;

/* compiled from: BUGLY */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private static String f3984a;

    protected static String a(String str) {
        if (str == null) {
            return "";
        }
        String[] split = str.split("\n");
        if (split == null || split.length == 0) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        for (String str2 : split) {
            if (!str2.contains("java.lang.Thread.getStackTrace(")) {
                sb.append(str2);
                sb.append("\n");
            }
        }
        return sb.toString();
    }

    private static String b(String str, String str2) {
        BufferedReader a2 = z.a(str, "reg_record.txt");
        if (a2 == null) {
            return null;
        }
        try {
            StringBuilder sb = new StringBuilder();
            String readLine = a2.readLine();
            if (readLine != null) {
                if (readLine.startsWith(str2)) {
                    int i2 = 0;
                    int i3 = 18;
                    int i4 = 0;
                    while (true) {
                        String readLine2 = a2.readLine();
                        if (readLine2 == null) {
                            break;
                        }
                        if (i2 % 4 == 0) {
                            if (i2 > 0) {
                                sb.append("\n");
                            }
                            sb.append("  ");
                        } else {
                            if (readLine2.length() > 16) {
                                i3 = 28;
                            }
                            sb.append("                ".substring(0, i3 - i4));
                        }
                        i4 = readLine2.length();
                        sb.append(readLine2);
                        i2++;
                    }
                    sb.append("\n");
                    String sb2 = sb.toString();
                    if (a2 != null) {
                        try {
                            a2.close();
                        } catch (Exception e2) {
                            x.a(e2);
                        }
                    }
                    return sb2;
                }
            }
            if (a2 != null) {
                try {
                    a2.close();
                } catch (Exception e3) {
                    x.a(e3);
                }
            }
            return null;
        } catch (Throwable th) {
            if (a2 != null) {
                try {
                    a2.close();
                } catch (Exception e4) {
                    x.a(e4);
                }
            }
            throw th;
        }
    }

    private static Map<String, Integer> c(String str) {
        if (str == null) {
            return null;
        }
        try {
            HashMap hashMap = new HashMap();
            String[] split = str.split(",");
            for (String str2 : split) {
                String[] split2 = str2.split(":");
                if (split2.length != 2) {
                    x.e("error format at %s", str2);
                    return null;
                }
                hashMap.put(split2[0], Integer.valueOf(Integer.parseInt(split2[1])));
            }
            return hashMap;
        } catch (Exception e2) {
            x.e("error format intStateStr %s", str);
            e2.printStackTrace();
            return null;
        }
    }

    private static CrashDetailBean a(Context context, Map<String, String> map, NativeExceptionHandler nativeExceptionHandler) {
        String str;
        String str2;
        HashMap hashMap;
        if (map == null) {
            return null;
        }
        if (a.a(context) == null) {
            x.e("abnormal com info not created", new Object[0]);
            return null;
        }
        String str3 = map.get("intStateStr");
        if (str3 == null || str3.trim().length() <= 0) {
            x.e("no intStateStr", new Object[0]);
            return null;
        }
        Map<String, Integer> c2 = c(str3);
        if (c2 == null) {
            x.e("parse intSateMap fail", Integer.valueOf(map.size()));
            return null;
        }
        try {
            c2.get("sino").intValue();
            c2.get("sud").intValue();
            String str4 = map.get("soVersion");
            if (str4 == null) {
                x.e("error format at version", new Object[0]);
                return null;
            }
            String str5 = map.get("errorAddr");
            String str6 = "unknown";
            String str7 = str5 == null ? str6 : str5;
            String str8 = map.get("codeMsg");
            if (str8 == null) {
                str8 = str6;
            }
            String str9 = map.get("tombPath");
            String str10 = str9 == null ? str6 : str9;
            String str11 = map.get("signalName");
            if (str11 == null) {
                str11 = str6;
            }
            map.get("errnoMsg");
            String str12 = map.get("stack");
            if (str12 == null) {
                str12 = str6;
            }
            String str13 = map.get("jstack");
            if (str13 != null) {
                str12 = str12 + "java:\n" + str13;
            }
            Integer num = c2.get("sico");
            if (num == null || num.intValue() <= 0) {
                str = str8;
                str2 = str11;
            } else {
                str2 = str11 + "(" + str8 + ")";
                str = "KERNEL";
            }
            String str14 = map.get("nativeLog");
            byte[] a2 = (str14 == null || str14.isEmpty()) ? null : z.a((File) null, str14, "BuglyNativeLog.txt");
            String str15 = map.get("sendingProcess");
            if (str15 == null) {
                str15 = str6;
            }
            Integer num2 = c2.get("spd");
            if (num2 != null) {
                str15 = str15 + "(" + num2 + ")";
            }
            String str16 = map.get("threadName");
            if (str16 == null) {
                str16 = str6;
            }
            Integer num3 = c2.get("et");
            if (num3 != null) {
                str16 = str16 + "(" + num3 + ")";
            }
            String str17 = map.get("processName");
            if (str17 != null) {
                str6 = str17;
            }
            Integer num4 = c2.get("ep");
            if (num4 != null) {
                str6 = str6 + "(" + num4 + ")";
            }
            String str18 = map.get("key-value");
            if (str18 != null) {
                HashMap hashMap2 = new HashMap();
                String[] split = str18.split("\n");
                int length = split.length;
                int i2 = 0;
                while (i2 < length) {
                    String[] split2 = split[i2].split("=");
                    if (split2.length == 2) {
                        hashMap2.put(split2[0], split2[1]);
                    }
                    i2++;
                    split = split;
                }
                hashMap = hashMap2;
            } else {
                hashMap = null;
            }
            CrashDetailBean packageCrashDatas = nativeExceptionHandler.packageCrashDatas(str6, str16, (((long) c2.get("etms").intValue()) / 1000) + (((long) c2.get("ets").intValue()) * 1000), str2, str7, a(str12), str, str15, str10, map.get("sysLogPath"), str4, a2, hashMap, false);
            if (packageCrashDatas != null) {
                String str19 = map.get("userId");
                if (str19 != null) {
                    x.c("[Native record info] userId: %s", str19);
                    packageCrashDatas.m = str19;
                }
                String str20 = map.get("sysLog");
                if (str20 != null) {
                    packageCrashDatas.w = str20;
                }
                String str21 = map.get("appVersion");
                if (str21 != null) {
                    x.c("[Native record info] appVersion: %s", str21);
                    packageCrashDatas.f3865f = str21;
                }
                String str22 = map.get("isAppForeground");
                if (str22 != null) {
                    x.c("[Native record info] isAppForeground: %s", str22);
                    packageCrashDatas.M = str22.equalsIgnoreCase("true");
                }
                String str23 = map.get("launchTime");
                if (str23 != null) {
                    x.c("[Native record info] launchTime: %s", str23);
                    try {
                        packageCrashDatas.L = Long.parseLong(str23);
                    } catch (NumberFormatException e2) {
                        if (!x.a(e2)) {
                            e2.printStackTrace();
                        }
                    }
                }
                packageCrashDatas.y = null;
                packageCrashDatas.k = true;
            }
            return packageCrashDatas;
        } catch (Throwable th) {
            x.e("error format", new Object[0]);
            th.printStackTrace();
            return null;
        }
    }

    private static String c(String str, String str2) {
        BufferedReader a2 = z.a(str, "map_record.txt");
        if (a2 == null) {
            return null;
        }
        try {
            StringBuilder sb = new StringBuilder();
            String readLine = a2.readLine();
            if (readLine != null) {
                if (readLine.startsWith(str2)) {
                    while (true) {
                        String readLine2 = a2.readLine();
                        if (readLine2 == null) {
                            break;
                        }
                        sb.append("  ");
                        sb.append(readLine2);
                        sb.append("\n");
                    }
                    String sb2 = sb.toString();
                    if (a2 != null) {
                        try {
                            a2.close();
                        } catch (Exception e2) {
                            x.a(e2);
                        }
                    }
                    return sb2;
                }
            }
            if (a2 != null) {
                try {
                    a2.close();
                } catch (Exception e3) {
                    x.a(e3);
                }
            }
            return null;
        } catch (Throwable th) {
            if (a2 != null) {
                try {
                    a2.close();
                } catch (Exception e4) {
                    x.a(e4);
                }
            }
            throw th;
        }
    }

    public static String b(String str) {
        if (str == null) {
            return null;
        }
        File file = new File(str, "backup_record.txt");
        if (file.exists()) {
            return file.getAbsolutePath();
        }
        return null;
    }

    private static String a(BufferedInputStream bufferedInputStream) throws IOException {
        if (bufferedInputStream == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        while (true) {
            int read = bufferedInputStream.read();
            if (read == -1) {
                return null;
            }
            if (read == 0) {
                return sb.toString();
            }
            sb.append((char) read);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:50:0x008c A[SYNTHETIC, Splitter:B:50:0x008c] */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x0098 A[SYNTHETIC, Splitter:B:57:0x0098] */
    public static CrashDetailBean a(Context context, String str, NativeExceptionHandler nativeExceptionHandler) {
        BufferedInputStream bufferedInputStream;
        Throwable th;
        IOException e2;
        String str2;
        String a2;
        if (context == null || str == null || nativeExceptionHandler == null) {
            x.e("get eup record file args error", new Object[0]);
            return null;
        }
        File file = new File(str, "rqd_record.eup");
        if (!file.exists() || !file.canRead()) {
            return null;
        }
        try {
            bufferedInputStream = new BufferedInputStream(new FileInputStream(file));
            try {
                String a3 = a(bufferedInputStream);
                if (a3 != null) {
                    if (a3.equals("NATIVE_RQD_REPORT")) {
                        HashMap hashMap = new HashMap();
                        loop0:
                        while (true) {
                            str2 = null;
                            while (true) {
                                a2 = a(bufferedInputStream);
                                if (a2 != null) {
                                    if (str2 != null) {
                                        break;
                                    }
                                    str2 = a2;
                                } else {
                                    break loop0;
                                }
                            }
                            hashMap.put(str2, a2);
                        }
                        if (str2 != null) {
                            x.e("record not pair! drop! %s", str2);
                            try {
                                bufferedInputStream.close();
                            } catch (IOException e3) {
                                e3.printStackTrace();
                            }
                            return null;
                        }
                        CrashDetailBean a4 = a(context, hashMap, nativeExceptionHandler);
                        try {
                            bufferedInputStream.close();
                        } catch (IOException e4) {
                            e4.printStackTrace();
                        }
                        return a4;
                    }
                }
                x.e("record read fail! %s", a3);
                try {
                    bufferedInputStream.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
                return null;
            } catch (IOException e6) {
                e2 = e6;
                try {
                    e2.printStackTrace();
                    if (bufferedInputStream != null) {
                        try {
                            bufferedInputStream.close();
                        } catch (IOException e7) {
                            e7.printStackTrace();
                        }
                    }
                    return null;
                } catch (Throwable th2) {
                    th = th2;
                    if (bufferedInputStream != null) {
                        try {
                            bufferedInputStream.close();
                        } catch (IOException e8) {
                            e8.printStackTrace();
                        }
                    }
                    throw th;
                }
            }
        } catch (IOException e9) {
            e2 = e9;
            bufferedInputStream = null;
            e2.printStackTrace();
            if (bufferedInputStream != null) {
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            bufferedInputStream = null;
            if (bufferedInputStream != null) {
            }
            throw th;
        }
    }

    public static String a(String str, String str2) {
        if (str == null || str2 == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        String b2 = b(str, str2);
        if (b2 != null && !b2.isEmpty()) {
            sb.append("Register infos:\n");
            sb.append(b2);
        }
        String c2 = c(str, str2);
        if (c2 != null && !c2.isEmpty()) {
            if (sb.length() > 0) {
                sb.append("\n");
            }
            sb.append("System SO infos:\n");
            sb.append(c2);
        }
        return sb.toString();
    }

    public static void a(boolean z, String str) {
        File[] listFiles;
        if (str != null) {
            File file = new File(str, "rqd_record.eup");
            if (file.exists() && file.canWrite()) {
                file.delete();
                x.c("delete record file %s", file.getAbsoluteFile());
            }
            File file2 = new File(str, "reg_record.txt");
            if (file2.exists() && file2.canWrite()) {
                file2.delete();
                x.c("delete record file %s", file2.getAbsoluteFile());
            }
            File file3 = new File(str, "map_record.txt");
            if (file3.exists() && file3.canWrite()) {
                file3.delete();
                x.c("delete record file %s", file3.getAbsoluteFile());
            }
            File file4 = new File(str, "backup_record.txt");
            if (file4.exists() && file4.canWrite()) {
                file4.delete();
                x.c("delete record file %s", file4.getAbsoluteFile());
            }
            String str2 = f3984a;
            if (str2 != null) {
                File file5 = new File(str2);
                if (file5.exists() && file5.canWrite()) {
                    file5.delete();
                    x.c("delete record file %s", file5.getAbsoluteFile());
                }
            }
            if (z) {
                File file6 = new File(str);
                if (file6.canRead() && file6.isDirectory() && (listFiles = file6.listFiles()) != null) {
                    for (File file7 : listFiles) {
                        if (file7.canRead() && file7.canWrite() && file7.length() == 0) {
                            file7.delete();
                            x.c("delete invalid record file %s", file7.getAbsoluteFile());
                        }
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x00ad A[SYNTHETIC, Splitter:B:33:0x00ad] */
    public static String a(String str, int i2, String str2) {
        String str3;
        Throwable th;
        BufferedReader bufferedReader;
        if (str != null && i2 > 0) {
            File file = new File(str);
            if (file.exists() && file.canRead()) {
                f3984a = str;
                x.a("Read system log from native record file(length: %s bytes): %s", Long.valueOf(file.length()), file.getAbsolutePath());
                if (str2 == null) {
                    str3 = z.a(new File(str));
                } else {
                    try {
                        StringBuilder sb = new StringBuilder();
                        bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream(file), "utf-8"));
                        while (true) {
                            try {
                                String readLine = bufferedReader.readLine();
                                if (readLine == null) {
                                    break;
                                }
                                if (Pattern.compile(str2 + "[ ]*:").matcher(readLine).find()) {
                                    sb.append(readLine);
                                    sb.append("\n");
                                }
                            } catch (Throwable th2) {
                                th = th2;
                                try {
                                    x.a(th);
                                    return null;
                                } finally {
                                    if (bufferedReader != null) {
                                        try {
                                            bufferedReader.close();
                                        } catch (Exception e2) {
                                            x.a(e2);
                                        }
                                    }
                                }
                            }
                        }
                        str3 = sb.toString();
                        try {
                            bufferedReader.close();
                        } catch (Exception e3) {
                            x.a(e3);
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        bufferedReader = null;
                        x.a(th);
                        return null;
                    }
                }
                return (str3 == null || str3.length() <= i2) ? str3 : str3.substring(str3.length() - i2);
            }
        }
        return null;
    }
}
