package com.tencent.mmkv;

import android.content.Context;
import android.content.SharedPreferences;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public class MMKV implements SharedPreferences, SharedPreferences.Editor {

    /* renamed from: a  reason: collision with root package name */
    private static String f4184a = null;
    private long nativeHandle;

    static {
        System.loadLibrary("c++_shared");
        System.loadLibrary("mmkv");
    }

    private MMKV(long j2) {
        this.nativeHandle = j2;
    }

    public static String a(Context context) {
        f4184a = context.getFilesDir().getAbsolutePath() + "/mmkv";
        initialize(f4184a);
        return f4184a;
    }

    public static MMKV c(String str, int i2) {
        if (f4184a != null) {
            g(str);
            return new MMKV(getMMKVWithID(str, i2, null));
        }
        throw new IllegalStateException("You should Call MMKV.initialize() first.");
    }

    private native boolean containsKey(long j2, String str);

    private native long count(long j2);

    private native boolean decodeBool(long j2, String str, boolean z);

    private native byte[] decodeBytes(long j2, String str);

    private native double decodeDouble(long j2, String str, double d2);

    private native float decodeFloat(long j2, String str, float f2);

    private native int decodeInt(long j2, String str, int i2);

    private native long decodeLong(long j2, String str, long j3);

    private native String decodeString(long j2, String str, String str2);

    private native String[] decodeStringSet(long j2, String str);

    private native boolean encodeBool(long j2, String str, boolean z);

    private native boolean encodeBytes(long j2, String str, byte[] bArr);

    private native boolean encodeDouble(long j2, String str, double d2);

    private native boolean encodeFloat(long j2, String str, float f2);

    private native boolean encodeInt(long j2, String str, int i2);

    private native boolean encodeLong(long j2, String str, long j3);

    private native boolean encodeSet(long j2, String str, String[] strArr);

    private native boolean encodeString(long j2, String str, String str2);

    private static void g(String str) {
        if (str.indexOf(47) >= 0) {
            throw new IllegalArgumentException("\"/\" is not allowed inside mmapID");
        }
    }

    private static native long getDefaultMMKV(int i2, String str);

    private static native long getMMKVWithAshmemFD(String str, int i2, int i3, String str2);

    private static native long getMMKVWithID(String str, int i2, String str2);

    private static native long getMMKVWithIDAndSize(String str, int i2, int i3, String str2);

    private static native void initialize(String str);

    public static native boolean isFileValid(String str);

    public static native void onExit();

    public static native int pageSize();

    private native void removeValueForKey(long j2, String str);

    private native long totalSize(long j2);

    public native String[] allKeys();

    public void apply() {
    }

    public native int ashmemFD();

    public native int ashmemMetaFD();

    public boolean b(String str, boolean z) {
        return encodeBool(this.nativeHandle, str, z);
    }

    public native void checkReSetCryptKey(String str);

    public SharedPreferences.Editor clear() {
        clearAll();
        return this;
    }

    public native void clearAll();

    public native void clearMemoryCache();

    public boolean commit() {
        sync();
        return true;
    }

    public boolean contains(String str) {
        return a(str);
    }

    public native String cryptKey();

    public long d(String str) {
        return decodeLong(this.nativeHandle, str, 0);
    }

    public String e(String str) {
        return decodeString(this.nativeHandle, str, null);
    }

    public SharedPreferences.Editor edit() {
        return this;
    }

    public void f(String str) {
        removeValueForKey(this.nativeHandle, str);
    }

    @Override // android.content.SharedPreferences
    public Map<String, ?> getAll() {
        throw new UnsupportedOperationException("use allKeys() instead, getAll() not implement because type-erasure inside mmkv");
    }

    public boolean getBoolean(String str, boolean z) {
        return decodeBool(this.nativeHandle, str, z);
    }

    public float getFloat(String str, float f2) {
        return decodeFloat(this.nativeHandle, str, f2);
    }

    public int getInt(String str, int i2) {
        return decodeInt(this.nativeHandle, str, i2);
    }

    public long getLong(String str, long j2) {
        return decodeLong(this.nativeHandle, str, j2);
    }

    public String getString(String str, String str2) {
        return decodeString(this.nativeHandle, str, str2);
    }

    @Override // android.content.SharedPreferences
    public Set<String> getStringSet(String str, Set<String> set) {
        return a(str, set);
    }

    public native void lock();

    public native String mmapID();

    public SharedPreferences.Editor putBoolean(String str, boolean z) {
        encodeBool(this.nativeHandle, str, z);
        return this;
    }

    public SharedPreferences.Editor putFloat(String str, float f2) {
        encodeFloat(this.nativeHandle, str, f2);
        return this;
    }

    public SharedPreferences.Editor putInt(String str, int i2) {
        encodeInt(this.nativeHandle, str, i2);
        return this;
    }

    public SharedPreferences.Editor putLong(String str, long j2) {
        encodeLong(this.nativeHandle, str, j2);
        return this;
    }

    public SharedPreferences.Editor putString(String str, String str2) {
        encodeString(this.nativeHandle, str, str2);
        return this;
    }

    @Override // android.content.SharedPreferences.Editor
    public SharedPreferences.Editor putStringSet(String str, Set<String> set) {
        b(str, set);
        return this;
    }

    public native boolean reKey(String str);

    public void registerOnSharedPreferenceChangeListener(SharedPreferences.OnSharedPreferenceChangeListener onSharedPreferenceChangeListener) {
        throw new UnsupportedOperationException("Not implement in MMKV");
    }

    public SharedPreferences.Editor remove(String str) {
        f(str);
        return this;
    }

    public native void removeValuesForKeys(String[] strArr);

    public native void sync();

    public native boolean tryLock();

    public native void unlock();

    public void unregisterOnSharedPreferenceChangeListener(SharedPreferences.OnSharedPreferenceChangeListener onSharedPreferenceChangeListener) {
        throw new UnsupportedOperationException("Not implement in MMKV");
    }

    public boolean b(String str) {
        return decodeBool(this.nativeHandle, str, false);
    }

    public boolean b(String str, int i2) {
        return encodeInt(this.nativeHandle, str, i2);
    }

    public static MMKV a(String str, int i2, String str2) {
        if (f4184a != null) {
            g(str);
            return new MMKV(getMMKVWithID(str, i2, str2));
        }
        throw new IllegalStateException("You should Call MMKV.initialize() first.");
    }

    public boolean b(String str, long j2) {
        return encodeLong(this.nativeHandle, str, j2);
    }

    public boolean b(String str, String str2) {
        return encodeString(this.nativeHandle, str, str2);
    }

    public boolean b(String str, Set<String> set) {
        return encodeSet(this.nativeHandle, str, (String[]) set.toArray(new String[set.size()]));
    }

    public int c(String str) {
        return decodeInt(this.nativeHandle, str, 0);
    }

    public boolean a(String str, boolean z) {
        return decodeBool(this.nativeHandle, str, z);
    }

    public int a(String str, int i2) {
        return decodeInt(this.nativeHandle, str, i2);
    }

    public long a(String str, long j2) {
        return decodeLong(this.nativeHandle, str, j2);
    }

    public String a(String str, String str2) {
        return decodeString(this.nativeHandle, str, str2);
    }

    public Set<String> a(String str, Set<String> set) {
        String[] decodeStringSet = decodeStringSet(this.nativeHandle, str);
        if (decodeStringSet == null) {
            return set;
        }
        return new HashSet(Arrays.asList(decodeStringSet));
    }

    public boolean a(String str) {
        return containsKey(this.nativeHandle, str);
    }

    public static MMKV a(String str, int i2, int i3, String str2) {
        return new MMKV(getMMKVWithAshmemFD(str, i2, i3, str2));
    }
}
