package com.ximalaya.ting.android.carkids.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import androidx.appcompat.widget.AppCompatImageView;
import com.ximalaya.ting.android.carkids.R$styleable;

public class RoundImageView extends AppCompatImageView {

    /* renamed from: c  reason: collision with root package name */
    private boolean f5573c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f5574d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f5575e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f5576f;

    /* renamed from: g  reason: collision with root package name */
    private int f5577g;

    /* renamed from: h  reason: collision with root package name */
    private int f5578h;

    /* renamed from: i  reason: collision with root package name */
    private int f5579i;

    /* renamed from: j  reason: collision with root package name */
    private int f5580j;
    private int k;
    private Paint l;
    private RectF m;
    private Matrix o;
    private BitmapShader p;

    public RoundImageView(Context context) {
        super(context);
        this.f5573c = true;
        this.f5574d = true;
        this.f5575e = true;
        this.f5576f = true;
        this.f5577g = 0;
        this.f5578h = 0;
    }

    private void a() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            Bitmap a2 = a(drawable);
            Shader.TileMode tileMode = Shader.TileMode.CLAMP;
            this.p = new BitmapShader(a2, tileMode, tileMode);
            int i2 = this.f5577g;
            float f2 = 1.0f;
            if (i2 == 0) {
                float min = (((float) this.f5580j) * 1.0f) / ((float) Math.min(a2.getWidth(), a2.getHeight()));
                this.o.setScale(min, min);
            } else if (i2 == 1) {
                float width = (((float) getWidth()) * 1.0f) / ((float) a2.getWidth());
                float height = (((float) getHeight()) * 1.0f) / ((float) a2.getHeight());
                if (width != height) {
                    f2 = Math.max(width, height);
                }
                int i3 = this.f5578h;
                if (i3 == 0) {
                    this.o.setScale(f2, f2);
                } else if (i3 == 1) {
                    this.o.setScale(width, height);
                }
            }
            this.p.setLocalMatrix(this.o);
            this.l.setShader(this.p);
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        if (getDrawable() != null) {
            a();
            if (this.f5577g == 1) {
                RectF rectF = this.m;
                int i2 = this.f5579i;
                canvas.drawRoundRect(rectF, (float) i2, (float) i2, this.l);
                if (!this.f5573c) {
                    int i3 = this.f5579i;
                    canvas.drawRect(0.0f, 0.0f, (float) i3, (float) i3, this.l);
                }
                if (!this.f5574d) {
                    float f2 = this.m.right;
                    int i4 = this.f5579i;
                    canvas.drawRect(f2 - ((float) i4), 0.0f, f2, (float) i4, this.l);
                }
                if (!this.f5575e) {
                    float f3 = this.m.bottom;
                    int i5 = this.f5579i;
                    canvas.drawRect(0.0f, f3 - ((float) i5), (float) i5, f3, this.l);
                }
                if (!this.f5576f) {
                    RectF rectF2 = this.m;
                    float f4 = rectF2.right;
                    int i6 = this.f5579i;
                    float f5 = rectF2.bottom;
                    canvas.drawRect(f4 - ((float) i6), f5 - ((float) i6), f4, f5, this.l);
                    return;
                }
                return;
            }
            int i7 = this.k;
            canvas.drawCircle((float) i7, (float) i7, (float) i7, this.l);
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.f5577g == 0) {
            this.f5580j = Math.min(getMeasuredWidth(), getMeasuredHeight());
            int i4 = this.f5580j;
            this.k = i4 / 2;
            setMeasuredDimension(i4, i4);
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (this.f5577g == 1) {
            this.m = new RectF(0.0f, 0.0f, (float) i2, (float) i3);
        }
    }

    public RoundImageView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f5573c = true;
        this.f5574d = true;
        this.f5575e = true;
        this.f5576f = true;
        this.f5577g = 0;
        this.f5578h = 0;
        this.o = new Matrix();
        this.l = new Paint();
        this.l.setAntiAlias(true);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.RoundImageView);
        this.f5577g = obtainStyledAttributes.getInt(3, 0);
        this.f5578h = obtainStyledAttributes.getInt(4, 1);
        this.f5573c = obtainStyledAttributes.getBoolean(5, true);
        this.f5574d = obtainStyledAttributes.getBoolean(6, true);
        this.f5575e = obtainStyledAttributes.getBoolean(1, true);
        this.f5576f = obtainStyledAttributes.getBoolean(2, true);
        this.f5579i = obtainStyledAttributes.getDimensionPixelSize(0, (int) TypedValue.applyDimension(1, 10.0f, getResources().getDisplayMetrics()));
        obtainStyledAttributes.recycle();
    }

    private Bitmap a(Drawable drawable) {
        if (drawable instanceof BitmapDrawable) {
            return ((BitmapDrawable) drawable).getBitmap();
        }
        int intrinsicWidth = drawable.getIntrinsicWidth();
        int intrinsicHeight = drawable.getIntrinsicHeight();
        Bitmap createBitmap = Bitmap.createBitmap(intrinsicWidth, intrinsicHeight, Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        drawable.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
        drawable.draw(canvas);
        return createBitmap;
    }
}
