package com.ximalaya.ting.android.carkids.view.flowlayout;

import a.g.j.f;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import com.ximalaya.ting.android.carkids.R$styleable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Locale;

public class FlowLayout extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    private List<List<View>> f5633a;

    /* renamed from: b  reason: collision with root package name */
    private List<Integer> f5634b;

    /* renamed from: c  reason: collision with root package name */
    private List<Integer> f5635c;

    /* renamed from: d  reason: collision with root package name */
    private int f5636d;

    /* renamed from: e  reason: collision with root package name */
    private List<View> f5637e;

    public FlowLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f5633a = new ArrayList();
        this.f5634b = new ArrayList();
        this.f5635c = new ArrayList();
        this.f5637e = new ArrayList();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.TagFlowLayout);
        this.f5636d = obtainStyledAttributes.getInt(1, -1);
        if (f.b(Locale.getDefault()) == 1) {
            if (this.f5636d == -1) {
                this.f5636d = 1;
            } else {
                this.f5636d = -1;
            }
        }
        obtainStyledAttributes.recycle();
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new ViewGroup.MarginLayoutParams(-2, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new ViewGroup.MarginLayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        this.f5633a.clear();
        this.f5634b.clear();
        this.f5635c.clear();
        this.f5637e.clear();
        int width = getWidth();
        int childCount = getChildCount();
        int i6 = 0;
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                if (measuredWidth + i7 + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin > (width - getPaddingLeft()) - getPaddingRight()) {
                    this.f5634b.add(Integer.valueOf(i6));
                    this.f5633a.add(this.f5637e);
                    this.f5635c.add(Integer.valueOf(i7));
                    i6 = marginLayoutParams.topMargin + measuredHeight + marginLayoutParams.bottomMargin;
                    this.f5637e = new ArrayList();
                    i7 = 0;
                }
                i7 += measuredWidth + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin;
                i6 = Math.max(i6, measuredHeight + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin);
                this.f5637e.add(childAt);
            }
        }
        this.f5634b.add(Integer.valueOf(i6));
        this.f5635c.add(Integer.valueOf(i7));
        this.f5633a.add(this.f5637e);
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int size = this.f5633a.size();
        int i9 = paddingTop;
        int i10 = paddingLeft;
        int i11 = 0;
        while (i11 < size) {
            this.f5637e = this.f5633a.get(i11);
            int intValue = this.f5634b.get(i11).intValue();
            int intValue2 = this.f5635c.get(i11).intValue();
            int i12 = this.f5636d;
            if (i12 == -1) {
                i10 = getPaddingLeft();
            } else if (i12 == 0) {
                i10 = ((width - intValue2) / 2) + getPaddingLeft();
            } else if (i12 == 1) {
                i10 = (width - (intValue2 + getPaddingLeft())) - getPaddingRight();
                Collections.reverse(this.f5637e);
            }
            int i13 = i10;
            for (int i14 = 0; i14 < this.f5637e.size(); i14++) {
                View view = this.f5637e.get(i14);
                if (view.getVisibility() != 8) {
                    ViewGroup.MarginLayoutParams marginLayoutParams2 = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
                    int i15 = marginLayoutParams2.leftMargin + i13;
                    int i16 = marginLayoutParams2.topMargin + i9;
                    view.layout(i15, i16, view.getMeasuredWidth() + i15, view.getMeasuredHeight() + i16);
                    i13 += view.getMeasuredWidth() + marginLayoutParams2.leftMargin + marginLayoutParams2.rightMargin;
                }
            }
            i9 += intValue;
            i11++;
            i10 = i13;
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int size = View.MeasureSpec.getSize(i2);
        int mode = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        int mode2 = View.MeasureSpec.getMode(i3);
        int childCount = getChildCount();
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        while (i6 < childCount) {
            View childAt = getChildAt(i6);
            if (childAt != null) {
                if (childAt.getVisibility() == 8) {
                    if (i6 == childCount - 1) {
                        i7 = Math.max(i8, i7);
                        i9 += i10;
                    }
                    i5 = size2;
                } else {
                    measureChild(childAt, i2, i3);
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) childAt.getLayoutParams();
                    i5 = size2;
                    int measuredWidth = childAt.getMeasuredWidth() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin;
                    int measuredHeight = childAt.getMeasuredHeight() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
                    int i11 = i8 + measuredWidth;
                    if (i11 > (size - getPaddingLeft()) - getPaddingRight()) {
                        i7 = Math.max(i7, i8);
                        i9 += i10;
                    } else {
                        measuredHeight = Math.max(i10, measuredHeight);
                        measuredWidth = i11;
                    }
                    if (i6 == childCount - 1) {
                        i7 = Math.max(measuredWidth, i7);
                        i9 += measuredHeight;
                    }
                    i10 = measuredHeight;
                    i8 = measuredWidth;
                }
                i6++;
                size2 = i5;
            } else {
                return;
            }
        }
        if (mode != 1073741824) {
            size = getPaddingRight() + i7 + getPaddingLeft();
        }
        if (mode2 == 1073741824) {
            i4 = size2;
        } else {
            i4 = i9 + getPaddingTop() + getPaddingBottom();
        }
        setMeasuredDimension(size, i4);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new ViewGroup.MarginLayoutParams(layoutParams);
    }

    public FlowLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }
}
