package com.ximalaya.ting.android.opensdk.datatrasfer;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.ximalaya.ting.android.car.opensdk.model.extra.IOTPage;
import com.ximalaya.ting.android.car.opensdk.model.extra.IOTPlayInfo;
import com.ximalaya.ting.android.car.opensdk.model.track.IOTTrackFull;
import com.ximalaya.ting.android.opensdk.constants.PreferenceConstantsInOpenSdk;
import com.ximalaya.ting.android.opensdk.httputil.IHttpCallBack;
import com.ximalaya.ting.android.opensdk.model.PostResponse;
import com.ximalaya.ting.android.opensdk.model.RestResponse;
import com.ximalaya.ting.android.opensdk.model.SercretPubKey;
import com.ximalaya.ting.android.opensdk.model.album.Album;
import com.ximalaya.ting.android.opensdk.model.album.BatchAlbumList;
import com.ximalaya.ting.android.opensdk.model.search.SearchAll;
import com.ximalaya.ting.android.opensdk.model.track.CommonTrackList;
import com.ximalaya.ting.android.opensdk.model.track.LastPlayTrackList;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.model.track.TrackBaseInfo;
import i.a0;
import i.c0;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CommonRequest {

    /* renamed from: a  reason: collision with root package name */
    private static CommonRequest f5740a;

    /* renamed from: b  reason: collision with root package name */
    public static Handler f5741b = new Handler(Looper.getMainLooper());

    /* renamed from: c  reason: collision with root package name */
    public static com.ximalaya.ting.android.opensdk.httputil.c f5742c = new com.ximalaya.ting.android.opensdk.httputil.c(f5741b);

    /* renamed from: d  reason: collision with root package name */
    private static IRequestCallBack<TrackBaseInfo> f5743d = new b();

    /* renamed from: e  reason: collision with root package name */
    private static String f5744e;

    public interface IRequestCallBack<T> {
        T success(String str) throws Exception;
    }

    class a implements IRequestCallBack<IOTPlayInfo> {

        /* access modifiers changed from: package-private */
        /* renamed from: com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest$a$a  reason: collision with other inner class name */
        public class C0170a extends TypeToken<IOTPlayInfo> {
            C0170a(a aVar) {
            }
        }

        a() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public IOTPlayInfo success(String str) throws Exception {
            return (IOTPlayInfo) com.ximalaya.ting.android.opensdk.httputil.b.a(new C0170a(this).getType(), str);
        }
    }

    class b implements IRequestCallBack<TrackBaseInfo> {
        b() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public TrackBaseInfo success(String str) throws Exception {
            TrackBaseInfo trackBaseInfo = (TrackBaseInfo) new Gson().fromJson(str, TrackBaseInfo.class);
            com.ximalaya.ting.android.opensdk.httputil.i.c().a(trackBaseInfo, trackBaseInfo != null && trackBaseInfo.isFallback(), false);
            return trackBaseInfo;
        }
    }

    class c implements IRequestCallBack<SercretPubKey> {
        c() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public SercretPubKey success(String str) throws Exception {
            return (SercretPubKey) new Gson().fromJson(str, SercretPubKey.class);
        }
    }

    class d implements IRequestCallBack<RestResponse> {
        d() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public RestResponse success(String str) throws Exception {
            return (RestResponse) new Gson().fromJson(str, RestResponse.class);
        }
    }

    class e implements IRequestCallBack<CommonTrackList> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f5745a;

        /* access modifiers changed from: package-private */
        public class a extends TypeToken<IOTPage<IOTTrackFull>> {
            a(e eVar) {
            }
        }

        e(int i2) {
            this.f5745a = i2;
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public CommonTrackList success(String str) throws Exception {
            IOTPage iOTPage = (IOTPage) com.ximalaya.ting.android.opensdk.httputil.b.a(new a(this).getType(), str);
            CommonTrackList commonTrackList = new CommonTrackList();
            ArrayList arrayList = new ArrayList();
            for (IOTTrackFull iOTTrackFull : iOTPage.getItems()) {
                arrayList.add(iOTTrackFull.asTrack());
            }
            commonTrackList.setTracks(arrayList);
            commonTrackList.setTotalPage((iOTPage.getTotal() / this.f5745a) + (iOTPage.getTotal() % this.f5745a == 0 ? 0 : 1));
            return commonTrackList;
        }
    }

    class f implements IRequestCallBack<CommonTrackList> {

        /* access modifiers changed from: package-private */
        public class a extends TypeToken<CommonTrackList<Track>> {
            a(f fVar) {
            }
        }

        f() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public CommonTrackList success(String str) throws Exception {
            return (CommonTrackList) com.ximalaya.ting.android.opensdk.httputil.b.a(new a(this).getType(), str);
        }
    }

    class g implements IRequestCallBack<PostResponse> {
        g() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public PostResponse success(String str) throws Exception {
            return (PostResponse) new Gson().fromJson(str, PostResponse.class);
        }
    }

    /* access modifiers changed from: package-private */
    public class i extends TypeToken<Track> {
        i() {
        }
    }

    /* access modifiers changed from: package-private */
    public class j implements IHttpCallBack {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ IRequestCallBack f5747a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ IDataCallBack f5748b;

        j(IRequestCallBack iRequestCallBack, IDataCallBack iDataCallBack) {
            this.f5747a = iRequestCallBack;
            this.f5748b = iDataCallBack;
        }

        @Override // com.ximalaya.ting.android.opensdk.httputil.IHttpCallBack
        public void onFailure(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            CommonRequest.f5742c.a(fVar, this.f5748b);
        }

        @Override // com.ximalaya.ting.android.opensdk.httputil.IHttpCallBack
        public void onResponse(c0 c0Var) {
            try {
                String a2 = new com.ximalaya.ting.android.opensdk.httputil.b(c0Var).a();
                if (this.f5747a != null) {
                    CommonRequest.f5742c.a(this.f5748b, this.f5747a.success(a2));
                } else {
                    CommonRequest.f5742c.a(this.f5748b, (Object) null);
                }
            } catch (Exception e2) {
                if (!TextUtils.isEmpty(e2.getMessage())) {
                    CommonRequest.f5742c.a(new com.ximalaya.ting.android.opensdk.httputil.f(1007, e2.getMessage()), this.f5748b);
                } else {
                    CommonRequest.f5742c.a(new com.ximalaya.ting.android.opensdk.httputil.f(1007, "parse response json data error"), this.f5748b);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class k implements IHttpCallBack {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ IDataCallBack f5749a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ IRequestCallBack f5750b;

        k(IDataCallBack iDataCallBack, IRequestCallBack iRequestCallBack) {
            this.f5749a = iDataCallBack;
            this.f5750b = iRequestCallBack;
        }

        @Override // com.ximalaya.ting.android.opensdk.httputil.IHttpCallBack
        public void onFailure(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            CommonRequest.f5742c.a(fVar, this.f5749a);
        }

        @Override // com.ximalaya.ting.android.opensdk.httputil.IHttpCallBack
        public void onResponse(c0 c0Var) {
            try {
                String a2 = new com.ximalaya.ting.android.opensdk.httputil.b(c0Var).a();
                if (this.f5749a != null) {
                    CommonRequest.f5742c.a(this.f5749a, this.f5750b.success(a2));
                } else {
                    CommonRequest.f5742c.a(this.f5749a, (Object) null);
                }
            } catch (Exception e2) {
                if (!TextUtils.isEmpty(e2.getMessage())) {
                    CommonRequest.f5742c.a(new com.ximalaya.ting.android.opensdk.httputil.f(1007, e2.getMessage()), this.f5749a);
                } else {
                    CommonRequest.f5742c.a(new com.ximalaya.ting.android.opensdk.httputil.f(1007, "parse response json data error"), this.f5749a);
                }
            }
        }
    }

    class l implements IRequestCallBack<SearchAll> {

        /* access modifiers changed from: package-private */
        public class a extends TypeToken<SearchAll> {
            a(l lVar) {
            }
        }

        l() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public SearchAll success(String str) throws Exception {
            return (SearchAll) com.ximalaya.ting.android.opensdk.httputil.b.a(new a(this).getType(), str);
        }
    }

    class m implements IRequestCallBack<BatchAlbumList> {

        /* access modifiers changed from: package-private */
        public class a extends TypeToken<List<Album>> {
            a(m mVar) {
            }
        }

        m() {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public BatchAlbumList success(String str) throws Exception {
            BatchAlbumList batchAlbumList = new BatchAlbumList();
            batchAlbumList.setAlbums((List) com.ximalaya.ting.android.opensdk.httputil.b.a(new a(this).getType(), str));
            return batchAlbumList;
        }
    }

    class n implements IRequestCallBack<LastPlayTrackList> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Map f5751a;

        /* access modifiers changed from: package-private */
        public class a extends TypeToken<LastPlayTrackList> {
            a(n nVar) {
            }
        }

        n(Map map) {
            this.f5751a = map;
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public LastPlayTrackList success(String str) throws Exception {
            LastPlayTrackList lastPlayTrackList = (LastPlayTrackList) com.ximalaya.ting.android.opensdk.httputil.b.a(new a(this).getType(), str);
            this.f5751a.put("page", String.valueOf(lastPlayTrackList.getPageid()));
            this.f5751a.put("pre_page", String.valueOf(lastPlayTrackList.getPageid() - 1));
            this.f5751a.put("total_page", String.valueOf(lastPlayTrackList.getTotalPage()));
            lastPlayTrackList.setParams(this.f5751a);
            return lastPlayTrackList;
        }
    }

    public static class o {

        /* renamed from: a  reason: collision with root package name */
        public static String f5752a = "http://api.ximalaya.com/openapi-gateway-app/albums/browse";
    }

    public static CommonRequest a() {
        if (f5740a == null) {
            synchronized (CommonRequest.class) {
                if (f5740a == null) {
                    f5740a = new CommonRequest();
                }
            }
        }
        return f5740a;
    }

    public static <T> T b(String str, Map<String, String> map, IRequestCallBack<T> iRequestCallBack) throws Exception {
        try {
            try {
                String a2 = b.a(com.ximalaya.ting.android.opensdk.httputil.a.b(d.h.b.a.a.b.a.d.k().a(str), d.h.b.a.a.b.a.h.h().a(map), d.h.b.a.a.b.a.h.h().c()).a(), map, d.h.b.a.a.b.a.h.h().c(), str);
                if (iRequestCallBack == null) {
                    return null;
                }
                try {
                    return iRequestCallBack.success(a2);
                } catch (Exception e2) {
                    throw e2;
                }
            } catch (com.ximalaya.ting.android.opensdk.httputil.h e3) {
                throw e3;
            }
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e4) {
            throw e4;
        }
    }

    public static void c(Map<String, String> map, IDataCallBack<LastPlayTrackList> iDataCallBack) {
        HashMap hashMap = new HashMap();
        hashMap.put("track_base_url", o.f5752a);
        hashMap.putAll(map);
        hashMap.remove("pid");
        hashMap.remove("track_id");
        a().a(map);
        a("http://api.ximalaya.com/openapi-gateway-app/tracks/get_last_play_tracks", map, iDataCallBack, new n(hashMap));
    }

    public static void d(Map<String, String> map, IDataCallBack<SearchAll> iDataCallBack) {
        a().a(map);
        a("http://api.ximalaya.com/openapi-gateway-app/search/all", map, iDataCallBack, new l());
    }

    public static void e(Map<String, String> map, IDataCallBack<CommonTrackList> iDataCallBack) {
        Log.d("XiMaLaYaSDK", "CommonRequest/getTrackList: " + new Gson().toJson(map));
        HashMap hashMap = new HashMap();
        hashMap.putAll(map);
        String str = (String) hashMap.remove("track_base_url");
        hashMap.remove("total_page");
        hashMap.remove("pre_page");
        if (str.contains("iot")) {
            int intValue = Integer.valueOf(map.get("page")).intValue();
            int intValue2 = Integer.valueOf(map.get("count")).intValue();
            hashMap.put("offset", String.valueOf((intValue - 1) * intValue2));
            a(str, hashMap, iDataCallBack, new e(intValue2));
            return;
        }
        a(str, hashMap, iDataCallBack, new f());
    }

    public static void f(Map<String, String> map, IDataCallBack<RestResponse> iDataCallBack) {
        map.put("device_type", "android");
        map.put("sync_listen_time", "true");
        b("http://api.ximalaya.com/iot/openapi-smart-device-api/play-records", map, iDataCallBack, new d());
    }

    public static void g(Map<String, String> map, IDataCallBack<String> iDataCallBack) {
        map.put("timestamp", System.currentTimeMillis() + "");
        map.put("nonce", System.currentTimeMillis() + "");
        map.put("response_type", PreferenceConstantsInOpenSdk.XFramework_KEY_FREE_FLOW_TOKEN);
        try {
            map.put("client_id", d.h.b.a.a.b.a.h.h().b());
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            e2.printStackTrace();
        }
        a0.a aVar = null;
        try {
            aVar = com.ximalaya.ting.android.opensdk.httputil.a.b(d.h.b.a.a.b.a.d.k().a("http://api.ximalaya.com/oauth2/authorize"), d.h.b.a.a.b.a.h.h().a(map), d.h.b.a.a.b.a.h.h().c());
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e3) {
            e3.printStackTrace();
        }
        d.h.b.a.a.b.a.d.k().e().a(aVar.a()).a(new h(iDataCallBack));
    }

    public static SercretPubKey d(Map<String, String> map) {
        try {
            return (SercretPubKey) b("http://api.ximalaya.com/openapi-gateway-app/encrypt/exchange", map, new c());
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    class h implements i.f {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ IDataCallBack f5746a;

        h(IDataCallBack iDataCallBack) {
            this.f5746a = iDataCallBack;
        }

        @Override // i.f
        public void a(i.e eVar, c0 c0Var) throws IOException {
            int d2 = c0Var.d();
            if (d2 == 302) {
                String a2 = c0Var.f().a("Location");
                if (!TextUtils.isEmpty(a2)) {
                    CommonRequest.f5742c.a(this.f5746a, a2);
                    return;
                }
                return;
            }
            CommonRequest.f5742c.a(new com.ximalaya.ting.android.opensdk.httputil.f(d2, c0Var.a().e()), this.f5746a);
        }

        @Override // i.f
        public void a(i.e eVar, IOException iOException) {
            com.ximalaya.ting.android.opensdk.util.g.a("XiMaLaYaSDK", "authorize, request failed, error message = " + iOException.getMessage());
            if (this.f5746a != null) {
                String str = "网络请求失败";
                if (com.ximalaya.ting.android.opensdk.constants.a.f5737a) {
                    String message = iOException.getMessage();
                    if (!TextUtils.isEmpty(message)) {
                        str = message;
                    }
                }
                CommonRequest.f5742c.a(new com.ximalaya.ting.android.opensdk.httputil.f(604, str), this.f5746a);
            }
        }
    }

    public void a(Context context) {
        context.getApplicationContext();
    }

    public static <T> T a(String str, Map<String, String> map, IRequestCallBack<T> iRequestCallBack) throws Exception {
        try {
            try {
                String a2 = b.a(com.ximalaya.ting.android.opensdk.httputil.a.a(d.h.b.a.a.b.a.d.k().a(str), d.h.b.a.a.b.a.h.h().a(map), d.h.b.a.a.b.a.h.h().c()).a(), map, d.h.b.a.a.b.a.h.h().c(), str);
                if (iRequestCallBack == null) {
                    return null;
                }
                try {
                    return iRequestCallBack.success(a2);
                } catch (Exception e2) {
                    throw e2;
                }
            } catch (com.ximalaya.ting.android.opensdk.httputil.h e3) {
                throw e3;
            }
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e4) {
            throw e4;
        }
    }

    public static String c(Map<String, String> map) throws IOException {
        map.put("timestamp", System.currentTimeMillis() + "");
        map.put("nonce", System.currentTimeMillis() + "");
        map.put("response_type", PreferenceConstantsInOpenSdk.XFramework_KEY_FREE_FLOW_TOKEN);
        try {
            map.put("client_id", d.h.b.a.a.b.a.h.h().b());
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            e2.printStackTrace();
        }
        a0.a aVar = null;
        try {
            aVar = com.ximalaya.ting.android.opensdk.httputil.a.b(d.h.b.a.a.b.a.d.k().a("http://api.ximalaya.com/oauth2/authorize"), d.h.b.a.a.b.a.h.h().a(map), d.h.b.a.a.b.a.h.h().c());
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e3) {
            e3.printStackTrace();
        }
        c0 a2 = d.h.b.a.a.b.a.d.k().e().a(aVar.a()).a();
        int d2 = a2.d();
        Log.i("simpleLoginSync code", d2 + "");
        Log.i("simpleLoginSync result", a2.a().e());
        if (d2 == 302) {
            return a2.f().a("Location");
        }
        return "";
    }

    public static <T> void b(String str, Map<String, String> map, IDataCallBack<T> iDataCallBack, IRequestCallBack<T> iRequestCallBack) {
        try {
            b.a(com.ximalaya.ting.android.opensdk.httputil.a.b(d.h.b.a.a.b.a.d.k().a(str), d.h.b.a.a.b.a.h.h().a(map), d.h.b.a.a.b.a.h.h().c()).a(), new k(iDataCallBack, iRequestCallBack), map, d.h.b.a.a.b.a.h.h().c(), str);
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            iDataCallBack.onError(new com.ximalaya.ting.android.opensdk.httputil.f(e2.a(), e2.getMessage()));
        }
    }

    public static <T> void a(String str, Map<String, String> map, IDataCallBack<T> iDataCallBack, IRequestCallBack<T> iRequestCallBack) {
        try {
            b.a(com.ximalaya.ting.android.opensdk.httputil.a.a(d.h.b.a.a.b.a.d.k().a(str), d.h.b.a.a.b.a.h.h().a(map), d.h.b.a.a.b.a.h.h().c()).a(), new j(iRequestCallBack, iDataCallBack), map, d.h.b.a.a.b.a.h.h().c(), str);
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            iDataCallBack.onError(new com.ximalaya.ting.android.opensdk.httputil.f(e2.a(), e2.getMessage()));
        }
    }

    public static void b(Map<String, String> map, IDataCallBack<BatchAlbumList> iDataCallBack) {
        a("http://api.ximalaya.com/openapi-gateway-app/albums/get_batch", map, iDataCallBack, new m());
    }

    public static TrackBaseInfo b(Map<String, String> map) {
        try {
            return (TrackBaseInfo) a("http://api.ximalaya.com/openapi-gateway-app/tracks/get_play_info", map, f5743d);
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static String b() {
        if (TextUtils.isEmpty(f5744e)) {
            StringBuilder sb = new StringBuilder();
            sb.append("ting_");
            sb.append(d.h.b.a.a.b.a.h.h().g());
            sb.append("(");
            try {
                sb.append(URLEncoder.encode(Build.MODEL, "utf-8"));
            } catch (UnsupportedEncodingException unused) {
            }
            sb.append(",");
            sb.append("Android" + Build.VERSION.SDK_INT);
            sb.append(")");
            f5744e = sb.toString();
        }
        return f5744e;
    }

    public static void a(Track track, IDataCallBack<IOTPlayInfo> iDataCallBack) {
        String str = "https://api.ximalaya.com/iot/openapi-smart-device-api/xxm/tracks/" + track.getDataId() + "/play-info";
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("mac", d.h.b.a.a.b.a.h.h().e());
            hashMap.put("device_type", "android");
            d.h.b.a.a.b.a.h.b(hashMap);
            d.h.b.a.a.b.a.h.c(hashMap);
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            e2.printStackTrace();
        }
        a(str, hashMap, iDataCallBack, new a());
    }

    public d a(com.ximalaya.ting.android.opensdk.httputil.b bVar) {
        try {
            return (d) new Gson().fromJson(bVar.a(), d.class);
        } catch (Exception unused) {
            return null;
        }
    }

    public void a(Map<String, String> map) {
        if (!map.containsKey("count")) {
            map.put("count", String.valueOf(d.h.b.a.a.b.a.d.k().b()));
        }
    }

    public static void a(Map<String, String> map, IDataCallBack<PostResponse> iDataCallBack) {
        b("http://api.ximalaya.com/openapi-gateway-app/subscribe/add_or_delete", map, iDataCallBack, new g());
    }

    public static void a(String str, IDataCallBack<Track> iDataCallBack) {
        String str2 = "https://api.ximalaya.com/iot/openapi-smart-device-api/xxm/tracks/" + str;
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("mac", d.h.b.a.a.b.a.h.h().e());
            hashMap.put("device_type", "android");
            d.h.b.a.a.b.a.h.b(hashMap);
            d.h.b.a.a.b.a.h.c(hashMap);
        } catch (com.ximalaya.ting.android.opensdk.httputil.h e2) {
            e2.printStackTrace();
        }
        a(str2, hashMap, iDataCallBack, a.f5753a);
    }

    static /* synthetic */ Track a(String str) throws Exception {
        return (Track) com.ximalaya.ting.android.opensdk.httputil.b.a(new i().getType(), str);
    }
}
