package com.ximalaya.ting.android.opensdk.player;

import android.app.Notification;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Build;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import com.ximalaya.ting.android.opensdk.constants.PreferenceConstantsInOpenSdk;
import com.ximalaya.ting.android.opensdk.httputil.Config;
import com.ximalaya.ting.android.opensdk.model.PlayMode;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.advertis.Advertis;
import com.ximalaya.ting.android.opensdk.model.advertis.AdvertisList;
import com.ximalaya.ting.android.opensdk.model.token.AccessToken;
import com.ximalaya.ting.android.opensdk.model.track.CommonTrackList;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher;
import com.ximalaya.ting.android.opensdk.player.service.IXmAudioFocusChangeListener;
import com.ximalaya.ting.android.opensdk.player.service.IXmAudioFocusStatusListener;
import com.ximalaya.ting.android.opensdk.player.service.IXmCommonBusinessDispatcher;
import com.ximalaya.ting.android.opensdk.player.service.IXmCommonBusinessHandle;
import com.ximalaya.ting.android.opensdk.player.service.IXmDataCallback;
import com.ximalaya.ting.android.opensdk.player.service.IXmPlayer;
import com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher;
import com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener;
import com.ximalaya.ting.android.opensdk.player.service.IXmTokenInvalidForSDKCallBack;
import com.ximalaya.ting.android.opensdk.player.service.XmMediaPlaybackService;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerException;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerService;
import com.ximalaya.ting.android.opensdk.util.l;
import com.ximalaya.ting.android.player.XMediaPlayerConstants;
import d.h.b.a.a.b.a.d;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.CopyOnWriteArraySet;

public class XmPlayerManager {
    private static Config A = null;
    private static volatile XmPlayerManager x = null;
    private static byte[] y = new byte[0];
    private static int z = 20;

    /* renamed from: a  reason: collision with root package name */
    private IXmPlayer f5814a;

    /* renamed from: b  reason: collision with root package name */
    private Context f5815b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f5816c = false;

    /* renamed from: d  reason: collision with root package name */
    private boolean f5817d = false;

    /* renamed from: e  reason: collision with root package name */
    private h f5818e;

    /* renamed from: f  reason: collision with root package name */
    private int f5819f = 0;

    /* renamed from: g  reason: collision with root package name */
    private Notification f5820g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f5821h;

    /* renamed from: i  reason: collision with root package name */
    private List<IXmPlayerStatusListener> f5822i = new CopyOnWriteArrayList();

    /* renamed from: j  reason: collision with root package name */
    private List<IXmAudioFocusStatusListener> f5823j = new CopyOnWriteArrayList();
    private ServiceConnection k = new a();
    private Set<IConnectListener> l = new CopyOnWriteArraySet();
    private IConnectListener m;
    private IXmTokenInvalidForSDKCallBack.a n = new b(this);
    private IXmCommonBusinessDispatcher.a o = new c();
    private IXmCommonBusinessHandle p;
    private IXmAdsEventDispatcher.a q = new d();
    private IXmPlayerEventDispatcher.a r = new e();
    private IXmAudioFocusChangeListener.a s = new f();
    private IXmDataCallback t;
    private IXmDataCallback.a u = new g();
    private List<Track> v;
    private PlayableModel w;

    public interface IConnectAndDisConnectListener extends IConnectListener {
        void onDisconnected();
    }

    public interface IConnectListener {
        void onConnected();
    }

    class a implements ServiceConnection {
        a() {
        }

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            try {
                com.ximalaya.ting.android.opensdk.util.g.c("XmPlayerServiceManager", "onServiceConnected progress:" + Process.myPid());
                com.ximalaya.ting.android.opensdk.util.g.a("XmPlayerManager onServiceConnected progress: " + System.currentTimeMillis());
                XmPlayerManager.this.f5816c = true;
                XmPlayerManager.this.f5817d = true;
                XmPlayerManager.this.f5814a = IXmPlayer.a.a(iBinder);
                XmPlayerManager.this.f5814a.registePlayerListener(XmPlayerManager.this.r);
                XmPlayerManager.this.f5814a.registeAdsListener(XmPlayerManager.this.q);
                XmPlayerManager.this.f5814a.addAudioFocusChangeListener(XmPlayerManager.this.s);
                if (!com.ximalaya.ting.android.opensdk.util.c.b(XmPlayerManager.this.f5815b)) {
                    XmPlayerManager.this.f5814a.registeCommonBusinessListener(XmPlayerManager.this.o);
                    XmPlayerManager.this.f5814a.setPlayListChangeListener(XmPlayerManager.this.u);
                    if (XmPlayerManager.this.f5820g != null) {
                        XmPlayerManager.this.f5814a.setNotification(XmPlayerManager.this.f5819f, XmPlayerManager.this.f5820g);
                    }
                }
                if (!TextUtils.isEmpty(d.h.b.a.a.b.a.h.h().c()) && !com.ximalaya.ting.android.opensdk.util.c.b(XmPlayerManager.this.f5815b)) {
                    if (d.h.b.a.a.b.a.d.k().c() != null) {
                        XmPlayerManager.this.f5814a.setTokenInvalidForSDK(XmPlayerManager.this.n);
                    }
                    XmPlayerManager.this.f5814a.setTokenToPlayForSDK(com.ximalaya.ting.android.opensdk.datatrasfer.c.m().h());
                }
                if (!com.ximalaya.ting.android.opensdk.util.c.b(XmPlayerManager.this.f5815b)) {
                    XmPlayerManager.this.f5814a.setPlayStatisticClassName(com.ximalaya.ting.android.opensdk.player.statistic.a.class.getName());
                }
                XmPlayerManager.this.E();
                com.ximalaya.ting.android.opensdk.util.g.c("XmPlayerServiceManager", "onServiceConnected123");
                for (IConnectListener iConnectListener : XmPlayerManager.this.l) {
                    if (iConnectListener != null) {
                        iConnectListener.onConnected();
                    }
                }
                if (XmPlayerManager.this.m != null) {
                    XmPlayerManager.this.m.onConnected();
                }
                XmPlayerManager.this.w = XmPlayerManager.this.f5814a.getTrack(XmPlayerManager.this.f5814a.getCurrIndex());
                boolean z = XmPlayerManager.this.f5821h;
                if (com.ximalaya.ting.android.opensdk.constants.a.f5737a) {
                    z = l.a(XmPlayerManager.this.f5815b).a(PreferenceConstantsInOpenSdk.TINGMAIN_KEY_USE_CHECK_AD_CONTENT, true) && XmPlayerManager.this.f5821h;
                }
                XmPlayerManager.this.f5814a.setCheckAdContent(z);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            Log.d("XmPlayerServiceManager", "onServiceDisconnected");
            Log.d("XmPlayerServiceManager", "XmPlayerManager onServiceDisconnected  " + System.currentTimeMillis());
            XmPlayerManager.this.f5816c = false;
            XmPlayerManager.this.f5817d = false;
            for (IConnectListener iConnectListener : XmPlayerManager.this.l) {
                if (iConnectListener instanceof IConnectAndDisConnectListener) {
                    ((IConnectAndDisConnectListener) iConnectListener).onDisconnected();
                }
            }
            if (XmPlayerManager.this.m instanceof IConnectAndDisConnectListener) {
                ((IConnectAndDisConnectListener) XmPlayerManager.this.m).onDisconnected();
            }
            XmPlayerManager xmPlayerManager = XmPlayerManager.this;
            xmPlayerManager.a(xmPlayerManager.f5819f, XmPlayerManager.this.f5820g);
        }
    }

    class b extends IXmTokenInvalidForSDKCallBack.a {
        b(XmPlayerManager xmPlayerManager) {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmTokenInvalidForSDKCallBack
        public void tokenInvalid() throws RemoteException {
            d.f c2 = d.h.b.a.a.b.a.d.k().c();
            if (c2 == null) {
                com.ximalaya.ting.android.opensdk.datatrasfer.c.m().k();
            } else if (!c2.b()) {
                c2.a();
            }
        }
    }

    class c extends IXmCommonBusinessDispatcher.a {
        c() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmCommonBusinessDispatcher
        public void closeApp() throws RemoteException {
            XmPlayerManager.this.f5818e.removeCallbacksAndMessages(null);
            XmPlayerManager.this.f5818e.obtainMessage(20).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmCommonBusinessDispatcher
        public String getDownloadPlayPath(Track track) throws RemoteException {
            if (XmPlayerManager.this.p != null) {
                return XmPlayerManager.this.p.getDownloadPlayPath(track);
            }
            return null;
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmCommonBusinessDispatcher
        public void isOldTrackDownload(Track track) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(19);
            obtainMessage.obj = track;
            obtainMessage.sendToTarget();
        }
    }

    class d extends IXmAdsEventDispatcher.a {
        d() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onAdsStartBuffering() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(14).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onAdsStopBuffering() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(15).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onCompletePlayAds() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(17).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onError(int i2, int i3) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(18);
            obtainMessage.arg1 = i2;
            obtainMessage.arg2 = i3;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onGetAdsInfo(AdvertisList advertisList) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(13);
            obtainMessage.obj = advertisList;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onStartGetAdsInfo() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(12).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAdsEventDispatcher
        public void onStartPlayAds(Advertis advertis, int i2) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(16);
            obtainMessage.arg1 = i2;
            obtainMessage.obj = advertis;
            obtainMessage.sendToTarget();
        }
    }

    class e extends IXmPlayerEventDispatcher.a {
        e() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onBufferProgress(int i2) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(9);
            obtainMessage.arg1 = i2;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onBufferingStart() throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(6);
            obtainMessage.obj = true;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onBufferingStop() throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(6);
            obtainMessage.obj = false;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onError(XmPlayerException xmPlayerException) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(10);
            obtainMessage.obj = xmPlayerException;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onPlayPause() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(2).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onPlayProgress(int i2, int i3) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(7);
            obtainMessage.arg1 = i2;
            obtainMessage.arg2 = i3;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onPlayStart() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(1).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onPlayStop() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(3).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onSoundPlayComplete(boolean z) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(4);
            obtainMessage.arg1 = z ? 1 : 0;
            obtainMessage.sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onSoundPrepared() throws RemoteException {
            XmPlayerManager.this.f5818e.obtainMessage(5).sendToTarget();
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerEventDispatcher
        public void onSoundSwitch(Track track, Track track2) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(8);
            obtainMessage.obj = new Object[]{track, track2};
            obtainMessage.sendToTarget();
        }
    }

    class f extends IXmAudioFocusChangeListener.a {
        f() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmAudioFocusChangeListener
        public void onAudioFocusChange(int i2) throws RemoteException {
            Message obtainMessage = XmPlayerManager.this.f5818e.obtainMessage(21);
            obtainMessage.obj = Integer.valueOf(i2);
            obtainMessage.sendToTarget();
        }
    }

    class g extends IXmDataCallback.a {
        g() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmDataCallback
        public void onDataReady(List<Track> list, boolean z, boolean z2) throws RemoteException {
            if (XmPlayerManager.this.t != null) {
                XmPlayerManager.this.t.onDataReady(list, z, z2);
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmDataCallback
        public void onError(int i2, String str, boolean z) throws RemoteException {
            if (XmPlayerManager.this.t != null) {
                XmPlayerManager.this.t.onError(i2, str, z);
            }
        }
    }

    /* access modifiers changed from: private */
    public class h extends Handler {
        public h(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message message) {
            int i2 = message.what;
            boolean z = false;
            switch (i2) {
                case 1:
                    XmPlayerManager.this.y();
                    return;
                case 2:
                    XmPlayerManager.this.x();
                    return;
                case 3:
                    XmPlayerManager.this.z();
                    return;
                case 4:
                    XmPlayerManager xmPlayerManager = XmPlayerManager.this;
                    if (message.arg1 == 1) {
                        z = true;
                    }
                    xmPlayerManager.e((XmPlayerManager) z);
                    return;
                case 5:
                    XmPlayerManager.this.A();
                    return;
                case 6:
                    Object obj = message.obj;
                    if (obj instanceof Boolean) {
                        XmPlayerManager.this.d((XmPlayerManager) ((Boolean) obj).booleanValue());
                        return;
                    }
                    return;
                case 7:
                    XmPlayerManager.this.a((XmPlayerManager) message.arg1, message.arg2);
                    return;
                case 8:
                    Object[] objArr = (Object[]) message.obj;
                    XmPlayerManager.this.a((XmPlayerManager) ((PlayableModel) objArr[0]), (PlayableModel) objArr[1]);
                    return;
                case 9:
                    XmPlayerManager.this.e((XmPlayerManager) message.arg1);
                    return;
                case 10:
                    XmPlayerManager.this.a((XmPlayerManager) ((XmPlayerException) message.obj));
                    return;
                default:
                    switch (i2) {
                        case 19:
                            XmPlayerManager.this.b((XmPlayerManager) ((Track) message.obj));
                            return;
                        case 20:
                            XmPlayerManager.this.w();
                            return;
                        case 21:
                            XmPlayerManager.this.d((XmPlayerManager) ((Integer) message.obj).intValue());
                            return;
                        default:
                            return;
                    }
            }
        }
    }

    private XmPlayerManager(Context context) {
        this.f5815b = context.getApplicationContext();
        this.f5818e = new h(Looper.getMainLooper());
        XMediaPlayerConstants.resetCacheDir(this.f5815b);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void A() {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onSoundPrepared();
        }
    }

    private boolean B() {
        IXmPlayer iXmPlayer;
        if (this.f5816c && (iXmPlayer = this.f5814a) != null && iXmPlayer.asBinder() != null && this.f5814a.asBinder().isBinderAlive()) {
            return true;
        }
        v();
        return false;
    }

    public static void C() {
        com.ximalaya.ting.android.opensdk.util.g.c("XmPlayerServiceManager", "release");
        if (x != null) {
            x.o();
            x.u();
            if (x.f5817d || !(x.f5814a == null || x.f5814a.asBinder() == null || !x.f5814a.asBinder().isBinderAlive())) {
                x.f5815b.unbindService(x.k);
                x.f5817d = false;
            }
            x.f5815b.stopService(XmPlayerService.a(x.f5815b));
            x.f5820g = null;
            x.f5822i.clear();
            x.l.clear();
            x.m = null;
            x.w = null;
            x.f5816c = false;
            x.f5814a = null;
        }
    }

    private void D() throws RemoteException {
        IXmPlayer iXmPlayer;
        if (v() && (iXmPlayer = this.f5814a) != null) {
            iXmPlayer.setPageSize(z);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void E() throws RemoteException {
        IXmPlayer iXmPlayer = this.f5814a;
        if (iXmPlayer != null) {
            iXmPlayer.setProxyNew(A);
        }
    }

    public static void F() {
        com.ximalaya.ting.android.opensdk.util.g.c("XmPlayerServiceManager", "unBind release");
        if (x != null) {
            if (x.f5817d || !(x.f5814a == null || x.f5814a.asBinder() == null || !x.f5814a.asBinder().isBinderAlive())) {
                x.f5815b.unbindService(x.k);
                x.f5817d = false;
            }
            x.f5820g = null;
            x.f5822i.clear();
            x.l.clear();
            x.m = null;
            x.w = null;
            x.f5816c = false;
            x.f5814a = null;
            x = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w() {
        IXmCommonBusinessHandle iXmCommonBusinessHandle = this.p;
        if (iXmCommonBusinessHandle != null) {
            iXmCommonBusinessHandle.closeApp();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void x() {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onPlayPause();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void y() {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onPlayStart();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void z() {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onPlayStop();
        }
    }

    private boolean v() {
        IXmPlayer iXmPlayer;
        if (this.f5816c && (iXmPlayer = this.f5814a) != null && iXmPlayer.asBinder() != null && this.f5814a.asBinder().isBinderAlive()) {
            return true;
        }
        Log.w("XmPlayerServiceManager", "checkConnectionStatus disconnected");
        a(this.f5819f, this.f5820g);
        return false;
    }

    public int e() {
        if (!B()) {
            return 0;
        }
        try {
            return this.f5814a.getPlayCurrPosition();
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0;
        }
    }

    public List<Track> f() {
        if (!B()) {
            return null;
        }
        this.v = new ArrayList();
        int i2 = 0;
        while (true) {
            try {
                List<Track> playList = this.f5814a.getPlayList(i2);
                if (playList == null) {
                    return this.v;
                }
                this.v.addAll(playList);
                if (playList.size() < 30) {
                    return this.v;
                }
                i2++;
            } catch (Exception e2) {
                e2.printStackTrace();
                return this.v;
            }
        }
    }

    public Map<String, String> g() {
        if (!v()) {
            return null;
        }
        try {
            return this.f5814a.getParam();
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return null;
        } catch (Exception e3) {
            e3.printStackTrace();
            return null;
        }
    }

    public int h() {
        if (!B()) {
            return 0;
        }
        try {
            return this.f5814a.getPlayListSize();
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0;
        }
    }

    public PlayMode i() {
        if (!B()) {
            return PlayMode.PLAY_MODEL_LIST;
        }
        try {
            return PlayMode.valueOf(this.f5814a.getPlayMode());
        } catch (Exception e2) {
            e2.printStackTrace();
            return PlayMode.PLAY_MODEL_LIST;
        }
    }

    public boolean j() {
        if (!B()) {
            return false;
        }
        try {
            return this.f5814a.hasNextSound();
        } catch (Exception e2) {
            e2.printStackTrace();
            return true;
        }
    }

    public boolean k() {
        if (!B()) {
            return false;
        }
        try {
            return this.f5814a.hasPreSound();
        } catch (Exception e2) {
            e2.printStackTrace();
            return true;
        }
    }

    public boolean l() {
        if (!B()) {
            return false;
        }
        try {
            return this.f5814a.isBuffering();
        } catch (RemoteException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean m() {
        return this.f5816c;
    }

    public boolean n() {
        if (!B()) {
            return false;
        }
        try {
            return this.f5814a.isPlaying();
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean o() {
        if (!v()) {
            return false;
        }
        try {
            return this.f5814a.pausePlay();
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean p() {
        if (!v()) {
            return false;
        }
        try {
            boolean startPlay = this.f5814a.startPlay();
            return !startPlay ? this.f5814a.startPlay() : startPlay;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean q() {
        if (!v()) {
            return false;
        }
        try {
            return this.f5814a.playNext();
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean r() {
        if (!v()) {
            return false;
        }
        try {
            return this.f5814a.playPre();
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public void s() {
        if (B()) {
            try {
                this.f5814a.resetPlayList();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void t() {
        if (v()) {
            try {
                this.f5814a.resetPlayer();
            } catch (RemoteException e2) {
                e2.printStackTrace();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
        }
    }

    public void u() {
        if (v()) {
            try {
                this.f5814a.stopPlay();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void c(boolean z2) {
        a(z2, 1);
    }

    public int d() {
        if (!B()) {
            return -1;
        }
        try {
            return this.f5814a.getCurrIndex();
        } catch (Exception e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    private PlayableModel c(Track track) {
        if (!v()) {
            return null;
        }
        int i2 = -1;
        try {
            i2 = this.f5814a.getPlaySourceType();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (track == null || i2 != 2) {
            return null;
        }
        return track;
    }

    public void b(IConnectListener iConnectListener) {
        this.l.remove(iConnectListener);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e(boolean z2) {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onSoundPlayComplete(z2);
        }
    }

    public void b(IXmPlayerStatusListener iXmPlayerStatusListener) {
        List<IXmPlayerStatusListener> list;
        if (iXmPlayerStatusListener != null && (list = this.f5822i) != null) {
            list.remove(iXmPlayerStatusListener);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d(int i2) {
        for (IXmAudioFocusStatusListener iXmAudioFocusStatusListener : this.f5823j) {
            iXmAudioFocusStatusListener.onAudioFocusChange(i2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e(int i2) {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onBufferProgress(i2);
        }
    }

    public Track b(boolean z2) {
        if (!B()) {
            return null;
        }
        PlayableModel playableModel = this.w;
        if (playableModel != null && z2) {
            return (Track) playableModel;
        }
        try {
            return this.f5814a.getTrack(this.f5814a.getCurrIndex());
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public PlayableModel c() {
        return a(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d(boolean z2) {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            if (z2) {
                iXmPlayerStatusListener.onBufferingStart();
            } else {
                iXmPlayerStatusListener.onBufferingStop();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0029 A[Catch:{ Exception -> 0x002d }] */
    /* JADX WARNING: Removed duplicated region for block: B:21:? A[RETURN, SYNTHETIC] */
    public void c(int i2) {
        boolean z2;
        if (z != i2) {
            z = i2;
            try {
                if (!(!this.f5816c || this.f5814a == null || this.f5814a.asBinder() == null)) {
                    if (this.f5814a.asBinder().isBinderAlive()) {
                        z2 = false;
                        if (z2) {
                            D();
                            return;
                        }
                        return;
                    }
                }
                z2 = true;
                if (z2) {
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void a(IConnectListener iConnectListener) {
        this.l.add(iConnectListener);
    }

    public static XmPlayerManager a(Context context) {
        if (x == null) {
            synchronized (y) {
                if (x == null) {
                    x = new XmPlayerManager(context);
                }
            }
        }
        return x;
    }

    public void b(List<Track> list, int i2) {
        if (v() && list != null && list.size() != 0) {
            a(null, list, i2, false);
        }
    }

    public void b(CommonTrackList commonTrackList, int i2) {
        if (v() && commonTrackList != null && commonTrackList.getTracks() != null && commonTrackList.getTracks().size() != 0) {
            a(commonTrackList.getParams(), commonTrackList.getTracks(), i2, false);
        }
    }

    public void a(IXmAudioFocusStatusListener iXmAudioFocusStatusListener) {
        if (iXmAudioFocusStatusListener != null && !this.f5823j.contains(iXmAudioFocusStatusListener)) {
            this.f5823j.add(iXmAudioFocusStatusListener);
        }
    }

    public void a(IXmPlayerStatusListener iXmPlayerStatusListener) {
        if (iXmPlayerStatusListener != null && !this.f5822i.contains(iXmPlayerStatusListener)) {
            this.f5822i.add(iXmPlayerStatusListener);
        }
    }

    public CommonTrackList b() {
        if (!B()) {
            return null;
        }
        try {
            CommonTrackList commonTrackList = new CommonTrackList();
            commonTrackList.setParams(this.f5814a.getParam());
            commonTrackList.setTracks(f());
            return commonTrackList;
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public void a(boolean z2, int i2) {
        try {
            if (Build.VERSION.SDK_INT >= 26) {
                try {
                    Log.v("YuCollect", "startForegroundService");
                    Intent a2 = XmPlayerService.a(this.f5815b);
                    a2.putExtra("flag_must_to_show_notification", z2);
                    a2.putExtra("flag_media_button_type", i2);
                    this.f5815b.startForegroundService(a2);
                    if (com.ximalaya.ting.android.car.base.i.c.f4230b) {
                        this.f5815b.startService(new Intent(this.f5815b, XmMediaPlaybackService.class));
                    }
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            } else {
                Intent a3 = XmPlayerService.a(this.f5815b);
                a3.putExtra("flag_must_to_show_notification", z2);
                a3.putExtra("flag_media_button_type", i2);
                this.f5815b.startService(a3);
                if (com.ximalaya.ting.android.car.base.i.c.f4230b) {
                    this.f5815b.startService(new Intent(this.f5815b, XmMediaPlaybackService.class));
                }
            }
            this.f5817d = this.f5815b.bindService(XmPlayerService.a(this.f5815b), this.k, 1);
            com.ximalaya.ting.android.opensdk.util.g.c("XmPlayerServiceManager", "Bind ret " + this.f5817d);
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }

    public boolean b(int i2) {
        if (!v()) {
            return false;
        }
        try {
            return this.f5814a.seekTo(i2);
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(Track track) {
        IXmCommonBusinessHandle iXmCommonBusinessHandle = this.p;
        if (iXmCommonBusinessHandle != null) {
            iXmCommonBusinessHandle.isOldTrackDownload(track);
        }
    }

    public void a(int i2, Notification notification) {
        IXmPlayer iXmPlayer;
        this.f5819f = i2;
        this.f5820g = notification;
        c(true);
        if (this.f5816c && (iXmPlayer = this.f5814a) != null && iXmPlayer.asBinder() != null && this.f5814a.asBinder().isBinderAlive()) {
            try {
                this.f5814a.setNotification(this.f5819f, this.f5820g);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public PlayableModel a(boolean z2) {
        if (!B()) {
            return null;
        }
        PlayableModel playableModel = this.w;
        if (playableModel != null && z2) {
            return c((Track) playableModel);
        }
        try {
            return c(this.f5814a.getTrack(this.f5814a.getCurrIndex()));
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public boolean a(int i2) {
        if (!v()) {
            return false;
        }
        try {
            return this.f5814a.play(i2);
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public void a(PlayMode playMode) {
        if (v()) {
            try {
                this.f5814a.setPlayMode(playMode.toString());
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void a(List<Track> list, int i2) {
        if (v()) {
            if (list == null || list.size() == 0) {
                com.ximalaya.ting.android.opensdk.util.g.c("XmPlayerServiceManager", "Empty TrackList");
            } else {
                a(null, list, i2, true);
            }
        }
    }

    public void a(CommonTrackList commonTrackList, int i2) {
        if (v() && commonTrackList != null && commonTrackList.getTracks() != null && commonTrackList.getTracks().size() != 0) {
            a(commonTrackList.getParams(), commonTrackList.getTracks(), i2, true);
        }
    }

    public void a(Map<String, String> map, List<Track> list, int i2, boolean z2) {
        if (v() && list != null) {
            try {
                int size = list.size();
                if (size < 30) {
                    this.f5814a.setPlayList(map, list);
                } else {
                    for (int i3 = 0; i3 < size / 30; i3++) {
                        if (i3 == 0) {
                            this.f5814a.setPlayList(map, list.subList(i3 * 30, (i3 + 1) * 30));
                        } else {
                            this.f5814a.addPlayList(list.subList(i3 * 30, (i3 + 1) * 30));
                        }
                    }
                    int i4 = size % 30;
                    if (i4 != 0) {
                        int i5 = 30 * (size / 30);
                        this.f5814a.addPlayList(list.subList(i5, i4 + i5));
                    }
                }
                if (z2) {
                    this.f5814a.play(i2);
                } else {
                    this.f5814a.setPlayIndex(i2);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void a() {
        if (B()) {
            try {
                this.f5814a.clearPlayCache();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void a(Track track) {
        if (B()) {
            try {
                if (this.f5814a.updateTrackInPlayList(track)) {
                    this.w = null;
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(PlayableModel playableModel, PlayableModel playableModel2) {
        this.w = playableModel2;
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onSoundSwitch(playableModel, playableModel2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, int i3) {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onPlayProgress(i2, i3);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(XmPlayerException xmPlayerException) {
        for (IXmPlayerStatusListener iXmPlayerStatusListener : this.f5822i) {
            iXmPlayerStatusListener.onError(xmPlayerException);
        }
    }

    public void a(AccessToken accessToken) {
        if (v()) {
            try {
                this.f5814a.setTokenToPlayForSDK(accessToken);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    public int a(long j2) {
        if (!B()) {
            return -1;
        }
        try {
            String historyPos = this.f5814a.getHistoryPos(String.valueOf(j2));
            if (TextUtils.isEmpty(historyPos)) {
                return -1;
            }
            com.ximalaya.ting.android.opensdk.util.g.a((Object) ("XmPlayerManager HistoryPos result:" + historyPos));
            return Integer.parseInt(historyPos);
        } catch (Exception e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    public void a(long j2, int i2) {
        if (B()) {
            try {
                this.f5814a.setHistoryPosById(j2, i2);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void a(String str) {
        if (B()) {
            try {
                this.f5814a.playAssetFile(str);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }
}
