package com.ximalaya.ting.android.opensdk.player.service;

import android.annotation.SuppressLint;
import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import com.google.gson.GsonBuilder;
import com.ximalaya.ting.android.car.opensdk.model.extra.IOTPlayInfo;
import com.ximalaya.ting.android.car.opensdk.model.extra.IOTResources;
import com.ximalaya.ting.android.opensdk.constants.PreferenceConstantsInOpenSdk;
import com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest;
import com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack;
import com.ximalaya.ting.android.opensdk.httputil.Config;
import com.ximalaya.ting.android.opensdk.httputil.i;
import com.ximalaya.ting.android.opensdk.model.PlayMode;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.model.xdcs.StatToServerFactoryImplForOpen;
import com.ximalaya.ting.android.opensdk.player.XmPlayerManager;
import com.ximalaya.ting.android.opensdk.player.XmPlayerManagerForPlayer;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerControl;
import com.ximalaya.ting.android.opensdk.util.FileUtilBase;
import com.ximalaya.ting.android.opensdk.util.j;
import com.ximalaya.ting.android.opensdk.util.k;
import com.ximalaya.ting.android.opensdk.util.l;
import com.ximalaya.ting.android.opensdk.util.m;
import com.ximalaya.ting.android.player.DownloadThread;
import com.ximalaya.ting.android.player.IDomainServerIpCallback;
import com.ximalaya.ting.android.player.Logger;
import com.ximalaya.ting.android.player.MediadataCrytoUtil;
import com.ximalaya.ting.android.player.PlayCacheByLRU;
import com.ximalaya.ting.android.player.StaticConfig;
import com.ximalaya.ting.android.player.XMediaPlayer;
import com.ximalaya.ting.android.player.cdn.CdnConstants;
import com.ximalaya.ting.android.player.cdn.CdnUtil;
import com.ximalaya.ting.android.player.xdcs.IStatToServerFactory;
import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class XmPlayerService extends Service {
    private static Service O = null;
    private static boolean P = true;
    private static boolean Q = false;
    private BroadcastReceiver A;
    private Notification B;
    private int C = 1;
    private Handler D;
    private Runnable E;
    private long F = 0;
    private boolean G = false;
    private volatile int H = 0;
    private volatile int I = 0;
    private int J = 0;
    private boolean K = false;
    private IXmPlayerStatusListener L = null;
    private XmPlayerControl.IPlaySeekListener M = new a();
    private IXmPlayerStatusListener N = new b();

    /* renamed from: a  reason: collision with root package name */
    private long f5894a = -813934592;

    /* renamed from: b  reason: collision with root package name */
    private String f5895b = "__xm__";

    /* renamed from: c  reason: collision with root package name */
    private Context f5896c;

    /* renamed from: d  reason: collision with root package name */
    private RemoteCallbackList<IXmPlayerEventDispatcher> f5897d = new c();

    /* renamed from: e  reason: collision with root package name */
    private RemoteCallbackList<IXmCustomDataCallBack> f5898e = new c();

    /* renamed from: f  reason: collision with root package name */
    private RemoteCallbackList<IXmAdsEventDispatcher> f5899f = new c();

    /* renamed from: g  reason: collision with root package name */
    private RemoteCallbackList<IXmMainDataSupportDataCallback> f5900g = new c();

    /* renamed from: h  reason: collision with root package name */
    RemoteCallbackList<IXmAudioFocusChangeListener> f5901h = new c();

    /* renamed from: i  reason: collision with root package name */
    private XMediaPlayer.OnPlayDataOutputListener f5902i;

    /* renamed from: j  reason: collision with root package name */
    private IXmCommonBusinessDispatcher f5903j;
    private IDomainServerIpCallback k;
    private SharedPreferences l;
    private SharedPreferences m;
    private h o;
    private XmPlayerControl p;
    protected e q;
    private f r;
    private g s;
    private Map<String, List<IDataCallBack<String>>> t = new ConcurrentHashMap();
    private com.ximalaya.ting.android.opensdk.player.statistic.b u;
    private PlayableModel v;
    private boolean w = false;
    public boolean x = false;
    private com.ximalaya.ting.android.opensdk.player.c.a y;
    private IStatToServerFactory z;

    class a implements XmPlayerControl.IPlaySeekListener {
        a() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.XmPlayerControl.IPlaySeekListener
        public void onSeekComplete(int i2) {
            if (XmPlayerService.this.u != null) {
                XmPlayerService.this.u.a(i2);
            }
        }
    }

    class b implements IXmPlayerStatusListener {
        b() {
        }

        private void a(int i2, boolean z) {
            if (i2 >= 0) {
                XmPlayerService.this.a((XmPlayerService) i2, (int) z, true);
                return;
            }
            if (PlayMode.PLAY_MODEL_SINGLE.equals(XmPlayerService.this.q.g())) {
                XmPlayerService.this.q.a(PlayMode.PLAY_MODEL_LIST);
            }
            if (XmPlayerService.this.N != null) {
                XmPlayerService.this.N.onSoundSwitch(XmPlayerService.this.v, null);
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onBufferProgress(int i2) {
            if (i2 >= XmPlayerService.this.I) {
                XmPlayerService.this.I = i2;
                synchronized (XmPlayerService.class) {
                    int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                    for (int i3 = 0; i3 < beginBroadcast; i3++) {
                        try {
                            ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i3)).onBufferProgress(i2);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                    }
                    XmPlayerService.this.f5897d.finishBroadcast();
                    XmPlayerService.this.u.a(i2, XmPlayerService.this.p.c(), XmPlayerService.this.p.b());
                    if (XmPlayerService.this.L != null) {
                        XmPlayerService.this.L.onBufferProgress(i2);
                    }
                }
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onBufferingStart() {
            XmPlayerService.this.M();
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onBufferingStart();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onBufferingStop() {
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onBufferingStop();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
                if (XmPlayerService.this.L != null) {
                    XmPlayerService.this.L.onBufferingStop();
                }
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public boolean onError(XmPlayerException xmPlayerException) {
            Logger.log("onError XmPlayerService 475:" + System.currentTimeMillis());
            if (!k.a(xmPlayerException)) {
                synchronized (XmPlayerService.class) {
                    int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                    for (int i2 = 0; i2 < beginBroadcast; i2++) {
                        try {
                            ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onError(xmPlayerException);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                    }
                    XmPlayerService.this.f5897d.finishBroadcast();
                }
                XmPlayerService.this.K();
                if (XmPlayerService.this.y != null) {
                    XmPlayerService.this.y.f();
                }
                if (XmPlayerService.this.p != null) {
                    XmPlayerService.this.p.m();
                }
                if (XmPlayerService.this.L != null) {
                    XmPlayerService.this.L.onError(xmPlayerException);
                }
            }
            return false;
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onPlayPause() {
            Logger.log("onPlayPause XmPlayerService 393:" + System.currentTimeMillis());
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onPlayPause();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
            }
            Logger.log("xmplayerservice onPlayPause" + new Date());
            XmPlayerService.this.K();
            if (XmPlayerService.this.y != null) {
                XmPlayerService.this.y.b();
            }
            if (XmPlayerService.this.L != null) {
                XmPlayerService.this.L.onPlayPause();
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onPlayProgress(int i2, int i3) {
            synchronized (XmPlayerService.class) {
                if (i2 != XmPlayerService.this.H) {
                    XmPlayerService.this.H = i2;
                    PlayableModel c2 = XmPlayerService.this.q.c();
                    PlayableModel e2 = XmPlayerService.this.p.e();
                    int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                    for (int i4 = 0; i4 < beginBroadcast; i4++) {
                        try {
                            ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i4)).onPlayProgress(i2, i3);
                        } catch (Exception e3) {
                            e3.printStackTrace();
                        }
                    }
                    XmPlayerService.this.f5897d.finishBroadcast();
                    StringBuilder sb = new StringBuilder();
                    sb.append("onPlayProgress XmPlayerService 336: currPos ==");
                    sb.append(i2);
                    sb.append(" duration=");
                    sb.append(i3);
                    sb.append("  currIsNull =");
                    boolean z = true;
                    sb.append(c2 == null);
                    sb.append("   currRealIsNull=");
                    if (e2 != null) {
                        z = false;
                    }
                    sb.append(z);
                    sb.append("  ");
                    sb.append(System.currentTimeMillis());
                    Logger.log(sb.toString());
                    if (!(c2 == null || e2 == null)) {
                        if (c2.equals(e2)) {
                            Track track = (Track) c2;
                            if (i2 > 0 && i2 < i3 - 1000) {
                                track.setLastPlayedMills(i2);
                                if (track.needSaveHistory()) {
                                    XmPlayerService.this.a(c2.getDataId(), i2);
                                }
                            } else if (i2 >= i3 - 1000) {
                                track.setLastPlayedMills(0);
                                if (track.needSaveHistory()) {
                                    XmPlayerService.this.a(c2.getDataId(), 0);
                                }
                            }
                        }
                        XmPlayerService.this.u.a(i2, i3);
                        if (XmPlayerService.this.p != null) {
                            XmPlayerService.this.u.a(i2, i3, XmPlayerService.this.p.i());
                        }
                        XmPlayerService.this.D();
                        if (PlayableModel.isTrackKind(c2.getKind())) {
                            PlayableModel.isTrackKind(e2.getKind());
                        }
                        XmPlayerService.this.a((XmPlayerService) i2, i3);
                        if (XmPlayerService.this.L != null) {
                            XmPlayerService.this.L.onPlayProgress(i2, i3);
                        }
                    }
                }
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onPlayStart() {
            Logger.log("onPlayStart XmPlayerService 294:" + System.currentTimeMillis());
            if (XmPlayerService.this.G) {
                XmPlayerService.this.G = false;
                XmPlayerService.this.w();
                return;
            }
            XmPlayerService xmPlayerService = XmPlayerService.this;
            if (xmPlayerService.x) {
                xmPlayerService.w();
                return;
            }
            xmPlayerService.I();
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onPlayStart();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    if (XmPlayerService.this.L != null) {
                        XmPlayerService.this.L.onPlayStart();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
            }
            XmPlayerService.this.L();
            Track track = (Track) XmPlayerService.this.q.c();
            int b2 = XmPlayerService.this.p.b();
            XmPlayerService.this.u.a(track, XmPlayerService.this.p.h(), b2, XmPlayerService.this.d());
            XmPlayerService.this.u.a(b2, XmPlayerService.this.p.i());
            if (XmPlayerService.this.y != null) {
                XmPlayerService.this.y.e();
            }
            XmPlayerService.this.c((XmPlayerService) track);
            k.b();
            Log.i("liuyangceShi", "e" + XmPlayerService.Q);
            if (XmPlayerService.H()) {
                XmPlayerService.this.a(g.a(com.ximalaya.ting.android.car.base.i.d.b()).a(), g.a(com.ximalaya.ting.android.car.base.i.d.b()).a());
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onPlayStop() {
            Logger.log("onPlayStop XmPlayerService 271:" + System.currentTimeMillis());
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onPlayStop();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
            }
            XmPlayerService.this.K();
            int b2 = XmPlayerService.this.p.b();
            XmPlayerService.this.u.a((Track) XmPlayerService.this.q.c(), b2);
            XmPlayerService.this.u.a();
            if (XmPlayerService.this.y != null) {
                XmPlayerService.this.y.f();
            }
            if (XmPlayerService.this.L != null) {
                XmPlayerService.this.L.onPlayStop();
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onSoundPlayComplete(boolean z) {
            boolean z2;
            Logger.log("onSoundPlayComplete XmPlayerService 417:" + System.currentTimeMillis());
            synchronized (XmPlayerService.class) {
                PlayableModel c2 = XmPlayerService.this.q.c();
                if (c2 != null) {
                    XmPlayerService.this.a(c2.getDataId(), 0);
                }
                if (XmPlayerService.this.F == -1) {
                    XmPlayerService.this.F = 0;
                    z2 = false;
                } else {
                    z2 = true;
                }
                int a2 = XmPlayerService.this.q.a(false);
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onSoundPlayComplete(z);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
                XmPlayerService.this.J();
                Track track = (Track) XmPlayerService.this.v;
                if (a2 >= 0) {
                    track = (Track) XmPlayerService.this.q.a(a2);
                }
                if (XmPlayerService.this.w || track == null || PlayableModel.KIND_SCHEDULE.equals(track.getKind()) || PlayableModel.KIND_RADIO.equals(track.getKind()) || PlayableModel.KIND_LIVE_FLV.equals(track.getKind()) || "cn.sh.changxing.htcu20.onlineradio".equals(XmPlayerService.this.getPackageName())) {
                    Logger.log("play 11:" + System.currentTimeMillis());
                    a(a2, z2);
                } else {
                    a(a2, z2);
                }
                if (XmPlayerService.this.L != null) {
                    XmPlayerService.this.L.onSoundPlayComplete(z);
                }
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onSoundPrepared() {
            Logger.log("onSoundPrepared XmPlayerService 192:" + System.currentTimeMillis());
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onSoundPrepared();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
            }
            if (XmPlayerService.this.L != null) {
                XmPlayerService.this.L.onSoundPrepared();
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayerStatusListener
        public void onSoundSwitch(PlayableModel playableModel, PlayableModel playableModel2) {
            Logger.log(Log.getStackTraceString(new Throwable()));
            XmPlayerService.this.I = 0;
            if (XmPlayerService.this.p() != null) {
                XmPlayerService.this.p().a(System.currentTimeMillis());
            }
            XmPlayerService.this.G = false;
            l a2 = l.a(XmPlayerService.this.f5896c);
            a2.a("downloadedSize", "" + DownloadThread.downloadedSize);
            DownloadThread.downloadedSize = 0;
            synchronized (XmPlayerService.class) {
                int beginBroadcast = XmPlayerService.this.f5897d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        ((IXmPlayerEventDispatcher) XmPlayerService.this.f5897d.getBroadcastItem(i2)).onSoundSwitch(m.a(playableModel), m.a(playableModel2));
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                XmPlayerService.this.f5897d.finishBroadcast();
            }
            if (playableModel != null && (playableModel instanceof Track)) {
                int b2 = XmPlayerService.this.p.b();
                XmPlayerService.this.u.a((Track) playableModel, b2);
            }
            if (XmPlayerService.this.u != null) {
                XmPlayerService.this.u.b();
            }
            if (XmPlayerService.this.L != null) {
                XmPlayerService.this.L.onSoundSwitch(playableModel, playableModel2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements IDataCallBack<IOTPlayInfo> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f5906a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f5907b;

        c(boolean z, int i2) {
            this.f5906a = z;
            this.f5907b = i2;
        }

        /* renamed from: a */
        public void onSuccess(IOTPlayInfo iOTPlayInfo) {
            Logger.logToSd("playTrack 14: onSuccess");
            if (iOTPlayInfo != null) {
                String a2 = XmPlayerService.this.a(iOTPlayInfo);
                Logger.logToSd("playTrack 14: url:" + a2);
                if (TextUtils.isEmpty(a2)) {
                    if (XmPlayerService.this.N != null) {
                        XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_NO_PLAY_URL, 0));
                    }
                    Log.v("YuCollectMMM", "playTrack GetUrlWithIotRequest:XmPlayerException.ERROR_NO_PLAY_URL");
                    return;
                }
                XmPlayerService.this.a((XmPlayerService) a2, (String) this.f5906a, (boolean) this.f5907b);
                Log.v("YuCollectMMM", "playTrack GetUrlWithIotRequest:" + a2);
            } else if (XmPlayerService.this.N != null) {
                XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_NO_PLAY_URL, 0));
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            if (XmPlayerService.this.N != null && fVar != null) {
                String a2 = fVar.a();
                if (TextUtils.equals(a2, "5003")) {
                    XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_USER_TOKEN_INVALID, a2));
                } else {
                    XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_NO_PLAY_URL, a2));
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements IDataCallBack<String> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Track f5909a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ boolean f5910b;

        d(Track track, boolean z) {
            this.f5909a = track;
            this.f5910b = z;
        }

        /* renamed from: a */
        public void onSuccess(String str) {
            XmPlayerService.this.a((XmPlayerService) str, (String) this.f5909a, (Track) this.f5910b);
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            XmPlayerService.this.a((XmPlayerService) null, (String) this.f5909a, (Track) this.f5910b);
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements IDataCallBack<IOTPlayInfo> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f5912a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f5913b;

        e(boolean z, int i2) {
            this.f5912a = z;
            this.f5913b = i2;
        }

        /* renamed from: a */
        public void onSuccess(IOTPlayInfo iOTPlayInfo) {
            if (iOTPlayInfo != null) {
                String a2 = XmPlayerService.this.a(iOTPlayInfo);
                if (!TextUtils.isEmpty(a2)) {
                    XmPlayerService.this.a((XmPlayerService) a2, (String) this.f5912a, (boolean) this.f5913b);
                    Log.v("YuCollectMMM", "playTrackInner GetUrlWithIotRequest:" + a2);
                } else if (XmPlayerService.this.N != null) {
                    XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_NO_PLAY_URL, 0));
                }
            } else if (XmPlayerService.this.N != null) {
                XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_NO_PLAY_URL, 0));
                Log.v("YuCollectMMM", "playTrackInner GetUrlWithIotRequest Error");
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            if (XmPlayerService.this.N != null) {
                Log.v("YuCollectMMM", "playTrackInner GetUrlWithIotRequest Error");
                String a2 = fVar.a();
                if (TextUtils.equals(a2, "5003")) {
                    XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_USER_TOKEN_INVALID, a2));
                } else {
                    XmPlayerService.this.N.onError(new XmPlayerException((int) XmPlayerException.ERROR_NO_PLAY_URL, a2));
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements Runnable {
        f() {
        }

        public void run() {
            XmPlayerService.this.D();
            XmPlayerService.this.q().postDelayed(XmPlayerService.this.E, 500);
        }
    }

    public class g extends BroadcastReceiver {
        public g() {
        }

        public void onReceive(Context context, Intent intent) {
            StringBuilder sb = new StringBuilder();
            sb.append("MediaControlerReceiver/onReceive: mediacontrolmanager == null ? ");
            sb.append(XmPlayerService.this.y == null);
            Log.i("MediaControlerReceiver", sb.toString());
            XmPlayerService.this.z();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void D() {
        long currentTimeMillis = this.F - System.currentTimeMillis();
        if (this.F > 0 && currentTimeMillis <= 0) {
            this.F = 0;
            try {
                if (p().getPlayerStatus() == 4) {
                    w();
                } else {
                    this.G = true;
                }
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    public static XmPlayerService E() {
        return (XmPlayerService) O;
    }

    private void F() {
        StringBuilder sb = new StringBuilder();
        sb.append("XmPlayerService/initMediaControler: mMediaControlManager == null ？ ");
        sb.append(this.y == null);
        Log.i("XmPlayerService", sb.toString());
        Log.i("XmPlayerService", "XmPlayerService/initMediaControler: mediaButtonType = " + this.C);
        if (this.y == null) {
            this.y = new com.ximalaya.ting.android.opensdk.player.c.a(this, this.C, P);
            this.y.a();
        }
    }

    private void G() {
        Logger.log("XmPlayerService/initPlayerService: ");
        O = this;
        l.b(this);
        if (this.k == null) {
            this.k = com.ximalaya.ting.android.opensdk.httputil.d.a(this);
            StaticConfig.setDomainServerIpCallback(this.k);
        }
        StaticConfig.setUseragent(CommonRequest.b());
        if (this.f5896c == null) {
            this.f5896c = getApplicationContext();
        }
        if (this.s == null) {
            this.s = g.a(this.f5896c);
        }
        if (this.p == null) {
            this.p = new XmPlayerControl(this.f5896c);
            this.p.a(this.N);
            this.p.a(this.f5902i);
            this.p.a(this.M);
        }
        if (this.q == null) {
            this.q = new e();
        }
        if (this.l == null) {
            this.l = getSharedPreferences(PreferenceConstantsInOpenSdk.OPENSDK_FILENAME_PLAY_HISTORY_RECORD, 0);
        }
        if (this.m == null) {
            this.m = getSharedPreferences(PreferenceConstantsInOpenSdk.OPENSDK_FILENAME_PLAY_TRACK_HISTORY_RECORD, 0);
        }
        if (this.r == null) {
            this.r = new f(this.f5896c);
        }
        this.u = com.ximalaya.ting.android.opensdk.player.statistic.b.d();
        this.u.a(this);
        if (this.o == null) {
            this.o = new h(this);
        }
        Log.i("XmPlayerService", "XmPlayerService/initPlayerService: initMediaControler();");
        F();
        if (this.z == null) {
            this.z = new StatToServerFactoryImplForOpen();
            StaticConfig.setIStatToServerFactory(this.z);
        }
        i.c().a(O.getApplicationContext());
        k.a(this);
        d.h.b.a.a.b.a.d.k().a(getApplicationContext(), com.ximalaya.ting.android.car.base.i.b.d(), false);
        if (com.ximalaya.ting.android.car.base.i.c.f4230b) {
            XmMediaPlaybackService.c("initPlayerService" + hashCode());
        }
    }

    public static boolean H() {
        return Q;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void I() {
        if (q() != null && this.E != null) {
            q().removeCallbacks(this.E);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void J() {
        this.f5896c.sendBroadcast(new Intent("com.ximalaya.ting.android.ACTION_COMPLETE"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void K() {
        this.f5896c.sendBroadcast(new Intent("com.ximalaya.ting.android.ACTION_PLAY_PAUSE"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void L() {
        this.f5896c.sendBroadcast(new Intent("com.ximalaya.ting.android.ACTION_PLAY_START"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void M() {
        if (this.F > 0) {
            if (this.E == null) {
                this.E = new f();
            }
            q().postDelayed(this.E, 500);
        }
    }

    private void N() {
        NotificationChannel notificationChannel = new NotificationChannel("com.ximalaya.android.sdk", "Player Service", 2);
        notificationChannel.setSound(null, null);
        NotificationManager notificationManager = (NotificationManager) getSystemService("notification");
        if (notificationManager != null) {
            notificationManager.createNotificationChannel(notificationChannel);
        }
        startForeground(1, new Notification.Builder(getApplicationContext(), "com.ximalaya.android.sdk").setSmallIcon(a("ting", "drawable")).setContentTitle("正在后台收听").build());
    }

    public boolean A() {
        return a(true);
    }

    public boolean B() {
        Logger.logToSd("stopPlay:" + Arrays.toString(Thread.currentThread().getStackTrace()) + ":stopPlay");
        f fVar = this.r;
        if (fVar != null) {
            fVar.d();
            this.r.c(true);
        }
        return this.p.n();
    }

    public void a(Config config) {
    }

    public void c(boolean z2) {
    }

    public IBinder onBind(Intent intent) {
        G();
        Logger.log("onBind " + this.o.hashCode());
        return this.o;
    }

    @SuppressLint({"NewApi"})
    public void onCreate() {
        super.onCreate();
        G();
        if (Build.VERSION.SDK_INT >= 26) {
            N();
        }
        this.A = new g();
        registerReceiver(this.A, new IntentFilter("release_media_controler_manager"));
    }

    public void onDestroy() {
        Log.e("XmPlayerService", "onDestroy: ");
        b();
        K();
        B();
        stopForeground(true);
        com.ximalaya.ting.android.opensdk.player.c.a aVar = this.y;
        if (aVar != null) {
            aVar.d();
        }
        this.p.l();
        this.u.c();
        com.ximalaya.ting.android.opensdk.player.a.a.a();
        O = null;
        this.f5897d.kill();
        this.f5898e.kill();
        this.f5901h.kill();
        this.f5899f.kill();
        StaticConfig.release();
        this.k = null;
        FileUtilBase.d();
        PlayCacheByLRU.release();
        d.h.b.a.a.b.a.d.m();
        MediadataCrytoUtil.release();
        XmPlayerManagerForPlayer.a();
        unregisterReceiver(this.A);
        k.b(this);
        super.onDestroy();
    }

    public int onStartCommand(Intent intent, int i2, int i3) {
        if (intent != null) {
            intent.getBooleanExtra("flag_must_to_show_notification", true);
            this.C = intent.getIntExtra("flag_media_button_type", 1);
        }
        G();
        return 1;
    }

    public boolean u() {
        XmPlayerControl xmPlayerControl = this.p;
        if (!(xmPlayerControl != null && (xmPlayerControl.d() == 4 || this.p.d() == 7))) {
            return false;
        }
        return true;
    }

    public void v() {
        f fVar = this.r;
        if (fVar != null) {
            fVar.a();
        }
    }

    public boolean w() {
        Logger.logToSd("pausePlay0:" + Arrays.toString(Thread.currentThread().getStackTrace()) + ":0pausePlay");
        f fVar = this.r;
        if (fVar != null) {
            fVar.c(true);
        }
        return this.p.j();
    }

    public boolean x() {
        int a2 = this.q.a(true);
        Logger.logToSd("playNext index:" + a2);
        if (a2 >= 0) {
            return a(a2, true, 2);
        }
        return false;
    }

    public boolean y() {
        Logger.log("playPre:" + Arrays.toString(Thread.currentThread().getStackTrace()) + ":playPre");
        int i2 = this.q.i();
        if (i2 >= 0) {
            return a(i2, true, 2);
        }
        return false;
    }

    public void z() {
        com.ximalaya.ting.android.opensdk.player.c.a aVar = this.y;
        if (aVar != null) {
            aVar.d();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(Track track) {
        if (!(track == null || !PlayableModel.isTrackKind(track.getKind()) || track.getAlbum() == null)) {
            SharedPreferences.Editor edit = this.m.edit();
            Map<String, ?> all = this.m.getAll();
            if (all != null && all.size() > 500) {
                for (Map.Entry<String, ?> entry : all.entrySet()) {
                    Object value = entry.getValue();
                    if (value != null) {
                        if (System.currentTimeMillis() - Long.parseLong(value.toString().split(this.f5895b)[1]) > this.f5894a) {
                            edit.remove(entry.getKey());
                        }
                    }
                }
            }
            if (track.getAlbum() != null) {
                edit.putString("" + track.getAlbum().getAlbumId(), new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(track) + this.f5895b + System.currentTimeMillis());
                edit.apply();
            }
        }
    }

    public static void h(boolean z2) {
        Q = z2;
    }

    public String d() {
        XmPlayerControl xmPlayerControl = this.p;
        if (xmPlayerControl != null) {
            return xmPlayerControl.a();
        }
        return null;
    }

    public synchronized void e(boolean z2) {
        Log.v("YuCollectMMM", "setLossAudioFocus is = " + z2);
        this.x = z2;
    }

    public RemoteCallbackList<IXmCustomDataCallBack> f() {
        return this.f5898e;
    }

    public RemoteCallbackList<IXmAudioFocusChangeListener> g() {
        return this.f5901h;
    }

    public PlayableModel i() {
        return this.v;
    }

    public XmPlayerControl j() {
        return this.p;
    }

    public e k() {
        return this.q;
    }

    public int l() {
        List<Track> e2 = this.q.e();
        if (e2 == null) {
            return 0;
        }
        return e2.size();
    }

    public PlayableModel m() {
        return this.q.c();
    }

    public f n() {
        return this.r;
    }

    public RemoteCallbackList<IXmPlayerEventDispatcher> o() {
        return this.f5897d;
    }

    public h p() {
        return this.o;
    }

    public Handler q() {
        if (this.D == null) {
            this.D = new Handler(Looper.getMainLooper());
        }
        return this.D;
    }

    public RemoteCallbackList<IXmMainDataSupportDataCallback> r() {
        return this.f5900g;
    }

    public PlayMode s() {
        if (k() != null) {
            try {
                return k().g();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return PlayMode.PLAY_MODEL_LIST;
    }

    public synchronized boolean t() {
        return this.x;
    }

    public void b() {
        if (this.B != null) {
            stopForeground(true);
        }
    }

    public void f(boolean z2) {
        XmMediaPlaybackService.a(z2);
    }

    /* renamed from: g */
    public boolean a(boolean z2) {
        if (this.p == null) {
            Logger.logToSd("startPlay 3");
            return false;
        } else if (this.J != 1) {
            b(false);
            new Handler(Looper.getMainLooper()).postDelayed(new b(this, z2), 100);
            return false;
        } else if (z2) {
            Log.v("YuCollectMMM", "startPlay 4");
            if (this.p.d() == 2) {
                this.p.c(true);
                return false;
            }
            boolean b2 = this.p.b(false);
            Log.v("YuCollectMMM", "startPlay 5 ret:" + b2);
            if (b2) {
                return b2;
            }
            int a2 = this.q.a();
            Log.v("YuCollectMMM", "startPlay 6 index:" + a2);
            if (a2 < 0) {
                return b2;
            }
            Log.v("YuCollectMMM", "startPlay 7");
            return a(a2);
        } else {
            Log.d("XmPlayerService", "startPlay:  autoPlay is false,play state is :" + this.p.d());
            return false;
        }
    }

    public boolean h() {
        return this.K;
    }

    public void d(boolean z2) {
        this.K = z2;
    }

    private int b(long j2) {
        if (!this.s.c() || j2 == 0) {
            return -1;
        }
        try {
            SharedPreferences sharedPreferences = this.l;
            return sharedPreferences.getInt("" + j2, -1);
        } catch (Exception unused) {
            SharedPreferences sharedPreferences2 = this.l;
            return (int) sharedPreferences2.getLong("" + j2, -1);
        }
    }

    public PlayableModel e() {
        e eVar = this.q;
        if (eVar != null) {
            return eVar.c();
        }
        return null;
    }

    public String b(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            String[] split = str.split(",");
            for (int i2 = 0; i2 < split.length; i2++) {
                split[i2] = String.valueOf(b(Long.valueOf(split[i2]).longValue()));
            }
            return TextUtils.join(",", split);
        } catch (Exception unused) {
            return null;
        }
    }

    public static final Intent a(Context context) {
        return new Intent(context, XmPlayerService.class);
    }

    private int a(String str, String str2) {
        return this.f5896c.getResources().getIdentifier(str, str2, this.f5896c.getPackageName());
    }

    public void a(IXmCommonBusinessDispatcher iXmCommonBusinessDispatcher) {
        this.f5903j = iXmCommonBusinessDispatcher;
    }

    public void a(long j2) {
        this.F = j2;
    }

    public void a(PlayableModel playableModel) {
        this.v = playableModel;
    }

    public void b(boolean z2) {
        if (!com.ximalaya.ting.android.car.base.i.c.f4229a || !this.r.c() || !this.K) {
            this.r.a(z2, false);
        } else {
            this.r.a(z2, true);
        }
    }

    public void a(float f2, float f3) {
        XmPlayerControl xmPlayerControl = this.p;
        if (xmPlayerControl != null) {
            xmPlayerControl.a(f2, f3);
        }
    }

    public String a(Track track) {
        String str;
        String str2;
        String a2 = com.ximalaya.ting.android.opensdk.util.f.a(this.f5903j, track);
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        boolean b2 = j.b(this.f5896c);
        if (b2) {
            b2 = !this.s.h();
        }
        if (this.q.h() != 2 || (!PlayableModel.isTrackKind(track.getKind()) && !PlayableModel.KIND_LIVE_FLV.equals(track.getKind()))) {
            if (track.getKind().equals(PlayableModel.KIND_SCHEDULE)) {
                if (b2) {
                    if (TextUtils.isEmpty(track.getPlayPathHq())) {
                        str = track.getPlayUrl24M4a();
                    } else {
                        str = track.getPlayUrl64M4a();
                    }
                    if (TextUtils.isEmpty(str)) {
                        str = track.getPlayUrl24M4a();
                        if (TextUtils.isEmpty(str)) {
                            str = track.getPlayUrl64M4a();
                            if (TextUtils.isEmpty(str)) {
                                str = track.getPlayPathHq();
                                if (TextUtils.isEmpty(str)) {
                                    str = track.getPlayUrl32();
                                    if (TextUtils.isEmpty(str)) {
                                        str = track.getPlayUrl64();
                                    }
                                }
                            }
                        }
                    }
                } else {
                    str = track.getPlayPathHq();
                    if (TextUtils.isEmpty(str)) {
                        str = track.getPlayUrl64M4a();
                        if (TextUtils.isEmpty(str)) {
                            str = track.getPlayUrl24M4a();
                            if (TextUtils.isEmpty(str)) {
                                str = track.getPlayUrl64();
                                if (TextUtils.isEmpty(str)) {
                                    str = track.getPlayUrl32();
                                }
                            }
                        }
                    }
                }
                if (!TextUtils.isEmpty(str)) {
                    return str;
                }
                if (b2) {
                    String radioRate24AacUrl = track.getRadioRate24AacUrl();
                    if (TextUtils.isEmpty(radioRate24AacUrl)) {
                        return track.getRadioRate64AacUrl();
                    }
                    return radioRate24AacUrl;
                }
                String radioRate64AacUrl = track.getRadioRate64AacUrl();
                if (TextUtils.isEmpty(radioRate64AacUrl)) {
                    return track.getRadioRate24AacUrl();
                }
                return radioRate64AacUrl;
            } else if (this.q.h() != 3) {
                return a2;
            } else {
                if (b2) {
                    String radioRate24AacUrl2 = track.getRadioRate24AacUrl();
                    if (TextUtils.isEmpty(radioRate24AacUrl2)) {
                        return track.getRadioRate64AacUrl();
                    }
                    return radioRate24AacUrl2;
                }
                String radioRate64AacUrl2 = track.getRadioRate64AacUrl();
                return TextUtils.isEmpty(radioRate64AacUrl2) ? track.getRadioRate24AacUrl() : radioRate64AacUrl2;
            }
        } else if (b2) {
            if (TextUtils.isEmpty(track.getPlayPathHq())) {
                str2 = track.getPlayUrl24M4a();
            } else {
                str2 = track.getPlayUrl64M4a();
            }
            if (!TextUtils.isEmpty(str2)) {
                return str2;
            }
            String playUrl24M4a = track.getPlayUrl24M4a();
            if (!TextUtils.isEmpty(playUrl24M4a)) {
                return playUrl24M4a;
            }
            String playUrl64M4a = track.getPlayUrl64M4a();
            if (!TextUtils.isEmpty(playUrl64M4a)) {
                return playUrl64M4a;
            }
            String playPathHq = track.getPlayPathHq();
            if (!TextUtils.isEmpty(playPathHq)) {
                return playPathHq;
            }
            String playUrl32 = track.getPlayUrl32();
            if (TextUtils.isEmpty(playUrl32)) {
                return track.getPlayUrl64();
            }
            return playUrl32;
        } else {
            String playPathHq2 = track.getPlayPathHq();
            if (!TextUtils.isEmpty(playPathHq2)) {
                return playPathHq2;
            }
            String playUrl64M4a2 = track.getPlayUrl64M4a();
            if (!TextUtils.isEmpty(playUrl64M4a2)) {
                return playUrl64M4a2;
            }
            String playUrl24M4a2 = track.getPlayUrl24M4a();
            if (!TextUtils.isEmpty(playUrl24M4a2)) {
                return playUrl24M4a2;
            }
            String playUrl64 = track.getPlayUrl64();
            if (TextUtils.isEmpty(playUrl64)) {
                return track.getPlayUrl32();
            }
            return playUrl64;
        }
    }

    private void b(Track track) {
        Logger.logToSd("play 7:" + System.currentTimeMillis());
        try {
            if (t()) {
                e(false);
                a(track, false);
                if (this.N != null) {
                    this.N.onPlayPause();
                    return;
                }
                return;
            }
            a(track, true);
        } catch (Exception e2) {
            e2.printStackTrace();
            Logger.log("play 8:" + System.currentTimeMillis());
            CdnUtil.statToXDCSError(CdnConstants.PLAY_INFO, "playAdsCallback:" + e2.toString());
        }
    }

    public RemoteCallbackList<IXmAdsEventDispatcher> c() {
        return this.f5899f;
    }

    public void c(int i2) {
        this.J = i2;
    }

    private void b(String str, int i2, long j2) {
        RemoteCallbackList<IXmMainDataSupportDataCallback> remoteCallbackList = this.f5900g;
        if (remoteCallbackList != null) {
            int beginBroadcast = remoteCallbackList.beginBroadcast();
            for (int i3 = 0; i3 < beginBroadcast; i3++) {
                try {
                    this.f5900g.getBroadcastItem(i3).onSuccess(str, i2, j2);
                } catch (RemoteException e2) {
                    e2.printStackTrace();
                }
            }
            this.f5900g.finishBroadcast();
        }
    }

    private void b(String str, long j2) {
        RemoteCallbackList<IXmMainDataSupportDataCallback> remoteCallbackList = this.f5900g;
        if (remoteCallbackList != null) {
            int beginBroadcast = remoteCallbackList.beginBroadcast();
            for (int i2 = 0; i2 < beginBroadcast; i2++) {
                try {
                    this.f5900g.getBroadcastItem(i2).onError(str, j2);
                } catch (RemoteException e2) {
                    e2.printStackTrace();
                }
            }
            this.f5900g.finishBroadcast();
        }
    }

    public void b(int i2) {
        if (p() != null) {
            try {
                p().seekTo(i2);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    @SuppressLint({"NewApi"})
    public void a(long j2, int i2) {
        if (j2 != 0) {
            SharedPreferences.Editor edit = this.l.edit();
            edit.putInt("" + j2, i2);
            edit.apply();
        }
    }

    public String a(String str) {
        try {
            String string = this.m.getString(str, null);
            if (TextUtils.isEmpty(string)) {
                return null;
            }
            return string.split(this.f5895b)[0];
        } catch (Exception unused) {
            return null;
        }
    }

    private void a(Track track, boolean z2) {
        Log.v("YuCollectMMM", "enter into playTrack");
        Logger.logToSd("playTrack 13:" + System.currentTimeMillis());
        track.getDataId();
        String a2 = com.ximalaya.ting.android.opensdk.util.f.a(this.f5903j, track);
        boolean z3 = true;
        if ((!track.isPaid() || track.isFree()) && track.getVip_first_status() != 1) {
            z3 = false;
        }
        if (!z3 || !TextUtils.isEmpty(a2)) {
            Logger.logToSd("playTrack 16:" + System.currentTimeMillis());
            String a3 = a(track);
            if (TextUtils.isEmpty(a3) || !a3.startsWith("http")) {
                a3 = null;
            }
            if (TextUtils.isEmpty(a3) && ((track.getType() != 4 || !track.isVideo()) && track.getType() != 2147483547)) {
                a((String) null, track, z2);
            } else if (track.getType() == 2147483547) {
                com.ximalaya.ting.android.opensdk.util.f.a(this.f5896c, this.t, a3, new d(track, z2));
            } else {
                a(a3, track, z2);
            }
        } else {
            IXmPlayerStatusListener iXmPlayerStatusListener = this.N;
            if (iXmPlayerStatusListener != null) {
                iXmPlayerStatusListener.onBufferingStart();
            }
            CommonRequest.a(track, new c(z2, b(track.getDataId())));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str, Track track, boolean z2) {
        Log.v("YuCollectMMM", "enter into playTrackInner");
        int b2 = b(track.getDataId());
        if (b2 < 0 || track.isAudition() || (track.getDataId() > 0 && b2 > track.getDuration() * 1000)) {
            b2 = 0;
        }
        if (TextUtils.isEmpty(str)) {
            str = a(track);
        }
        if (TextUtils.isEmpty(str) || !str.startsWith("http")) {
            CommonRequest.a(track, new e(z2, b2));
        } else {
            a(str, z2, b2);
        }
    }

    public String a(IOTPlayInfo iOTPlayInfo) {
        IOTResources play64Aac = iOTPlayInfo.getPlay64Aac();
        if (play64Aac != null && !TextUtils.isEmpty(play64Aac.getUrl())) {
            return play64Aac.getUrl();
        }
        IOTResources play24Aac = iOTPlayInfo.getPlay24Aac();
        if (play24Aac != null && !TextUtils.isEmpty(play24Aac.getUrl())) {
            return play24Aac.getUrl();
        }
        IOTResources play64M4a = iOTPlayInfo.getPlay64M4a();
        if (play64M4a != null && !TextUtils.isEmpty(play64M4a.getUrl())) {
            return play64M4a.getUrl();
        }
        IOTResources play64 = iOTPlayInfo.getPlay64();
        if (play64 == null || TextUtils.isEmpty(play64.getUrl())) {
            return null;
        }
        return play64.getUrl();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str, boolean z2, int i2) {
        if (z2) {
            this.p.c(com.ximalaya.ting.android.car.base.f.a.a(str), i2);
        } else {
            this.p.b(com.ximalaya.ting.android.car.base.f.a.a(str), i2);
        }
    }

    public void a(float f2, float f3, float f4) {
        XmPlayerControl xmPlayerControl = this.p;
        if (xmPlayerControl != null) {
            xmPlayerControl.a(f2, f3, f4);
        }
    }

    public boolean a(int i2) {
        return a(i2, true);
    }

    public boolean a(int i2, boolean z2) {
        return a(i2, z2, 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00c4 A[Catch:{ Exception -> 0x0163 }] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00c5 A[Catch:{ Exception -> 0x0163 }] */
    private boolean a(int i2, boolean z2, int i3) {
        boolean z3;
        Log.v("YuCollectMMM", "play 0:" + System.currentTimeMillis());
        if (i2 < 0 || i2 >= this.q.b()) {
            Logger.log("Index Out Of Bound, index:" + i2 + ", total:" + this.q.b());
        } else {
            try {
                this.q.c(i2);
                Track track = (Track) this.q.a(i2);
                Track track2 = null;
                if (track == null) {
                    this.v = null;
                    Log.v("YuCollectMMM", "play 1:" + System.currentTimeMillis());
                    return false;
                }
                int indexOf = this.q.e().indexOf(this.v);
                if (indexOf >= 0) {
                    track2 = this.q.e().get(indexOf);
                }
                if (track2 == null) {
                    track2 = this.v;
                }
                if ((track2 instanceof Track) && ((Track) track2).getAlbum() != null) {
                    Logger.log("Test statistic track" + ((Track) track2).getAlbum().getRecSrc());
                }
                if (this.v != null) {
                    if (track.equals(this.v)) {
                        z3 = false;
                        if (this.v != null && track.equals(this.v)) {
                            if (track.isAuthorized() != ((Track) this.v).isAuthorized()) {
                                if (!(this.v == null || track.getAlbum() == null || ((Track) this.v).getAlbum() == null || track.getAlbum().getAlbumId() == ((Track) this.v).getAlbum().getAlbumId())) {
                                    this.N.onSoundSwitch(track2, track);
                                }
                                Log.v("YuCollectMMM", "play 3:" + System.currentTimeMillis());
                                this.v = track;
                                if (!z2) {
                                    Log.v("YuCollectMMM", "play 5:" + System.currentTimeMillis());
                                    return false;
                                }
                                boolean b2 = this.p.b(false);
                                return !b2 ? a(this.v, z2, i3, z3) : b2;
                            }
                        }
                        this.p.a(false);
                        this.N.onSoundSwitch(track2, track);
                        this.v = track;
                        Log.v("YuCollectMMM", "play 2:" + System.currentTimeMillis());
                        return a(track, z2, i3, z3);
                    }
                }
                z3 = true;
                if (track.isAuthorized() != ((Track) this.v).isAuthorized()) {
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                CdnUtil.statToXDCSError(CdnConstants.PLAY_INFO, "play(0):" + e2.toString());
            }
        }
        return false;
    }

    public void a(Map<String, String> map, List<Track> list) {
        this.q.a(map, list);
    }

    private boolean a(PlayableModel playableModel, boolean z2, int i2, boolean z3) throws Exception {
        Log.v("YuCollectMMM", "enter into playTrackPrivate");
        if (z2 || this.J != 1) {
            b(false);
        }
        e(false);
        Logger.log("play 6_0 mPlayerControl.resetMediaPlayer:" + System.currentTimeMillis());
        this.p.m();
        if (!(playableModel instanceof Track)) {
            return false;
        }
        Track track = (Track) playableModel;
        if (z2) {
            Logger.log("play 6:" + System.currentTimeMillis());
            if (this.w || PlayableModel.KIND_SCHEDULE.equals(playableModel.getKind()) || PlayableModel.KIND_RADIO.equals(playableModel.getKind()) || PlayableModel.KIND_LIVE_FLV.equals(playableModel.getKind()) || !z3 || "cn.sh.changxing.htcu20.onlineradio".equals(getPackageName())) {
                Logger.log("play 11:" + System.currentTimeMillis());
                b(track);
            } else {
                Logger.log("play 12:" + System.currentTimeMillis());
                b(track);
            }
        } else {
            Logger.log("play 9:" + System.currentTimeMillis());
            try {
                a(track, false);
            } catch (Exception e2) {
                Logger.log("play 10:" + System.currentTimeMillis());
                e2.printStackTrace();
                CdnUtil.statToXDCSError(CdnConstants.PLAY_INFO, "playTrack:" + e2.toString());
            }
        }
        return true;
    }

    public void a(String str, int i2, long j2) {
        b(str, i2, j2);
        RemoteCallbackList<IXmCustomDataCallBack> remoteCallbackList = this.f5898e;
        if (remoteCallbackList != null) {
            int beginBroadcast = remoteCallbackList.beginBroadcast();
            for (int i3 = 0; i3 < beginBroadcast; i3++) {
                try {
                    this.f5898e.getBroadcastItem(i3).onSuccess(str, i2);
                } catch (RemoteException e2) {
                    e2.printStackTrace();
                }
            }
            this.f5898e.finishBroadcast();
        }
    }

    public void a(String str, long j2) {
        b(str, j2);
        RemoteCallbackList<IXmCustomDataCallBack> remoteCallbackList = this.f5898e;
        if (remoteCallbackList != null) {
            int beginBroadcast = remoteCallbackList.beginBroadcast();
            for (int i2 = 0; i2 < beginBroadcast; i2++) {
                try {
                    this.f5898e.getBroadcastItem(i2).onError(str);
                } catch (RemoteException e2) {
                    e2.printStackTrace();
                }
            }
            this.f5898e.finishBroadcast();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, int i3) {
        Intent intent = new Intent("com.ximalaya.ting.android.ACTION_PROGRESS_CHANGED");
        intent.putExtra("position", i2);
        intent.putExtra("duration", i3);
        this.f5896c.sendBroadcast(intent);
    }

    public void a() {
        try {
            if (this.f5903j != null) {
                this.f5903j.closeApp();
            }
        } catch (RemoteException e2) {
            Logger.i("XmPlayerService", "close app " + e2.toString());
        }
        try {
            XmPlayerManager.F();
            XmPlayerManagerForPlayer.b();
            stopSelf();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
        if (O != null && !com.ximalaya.ting.android.opensdk.util.c.a(this, "com.ximalaya.ting.android")) {
            Logger.i("XmPlayerService", "close app use stopself");
            try {
                stopSelf();
            } catch (Exception e4) {
                e4.printStackTrace();
            }
        }
    }

    public void a(IXmPlayerStatusListener iXmPlayerStatusListener) {
        this.L = iXmPlayerStatusListener;
    }
}
