package com.ximalaya.ting.android.opensdk.player.service;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.AudioAttributes;
import android.media.AudioDeviceCallback;
import android.media.AudioDeviceInfo;
import android.media.AudioFocusRequest;
import android.media.AudioManager;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import android.telephony.PhoneStateListener;
import android.telephony.TelephonyManager;
import android.util.Log;
import com.ecarx.sdk.openapi.ECarXApiClient;
import com.ecarx.sdk.policy.IAudioAttributes;
import com.ecarx.sdk.policy.PolicyAPI;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ResponseParams;
import java.util.Timer;
import java.util.TimerTask;

/* compiled from: XmPlayerAudioFocusControl */
public class f {

    /* renamed from: a  reason: collision with root package name */
    private Context f5935a;

    /* renamed from: b  reason: collision with root package name */
    private AudioManager f5936b;

    /* renamed from: c  reason: collision with root package name */
    private TelephonyManager f5937c;

    /* renamed from: d  reason: collision with root package name */
    private TelephonyManager f5938d;

    /* renamed from: e  reason: collision with root package name */
    private TelephonyManager f5939e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f5940f = false;

    /* renamed from: g  reason: collision with root package name */
    private boolean f5941g = false;

    /* renamed from: h  reason: collision with root package name */
    private String f5942h = "XmPlayerAudioFocusControl";

    /* renamed from: i  reason: collision with root package name */
    private IXmAudioFocusStatusListener f5943i;

    /* renamed from: j  reason: collision with root package name */
    private AudioFocusRequest f5944j;
    private AudioDeviceCallback k;
    private boolean l = false;
    private PolicyAPI m;
    private boolean n = false;
    private boolean o = true;
    private PhoneStateListener p = new a();
    private BroadcastReceiver q = new b();
    private ECarXApiClient.Callback r = new a(this);
    private BroadcastReceiver s = new d();
    private boolean t;
    private i u = new i(new C0184f());

    /* compiled from: XmPlayerAudioFocusControl */
    class a extends PhoneStateListener {
        a() {
        }

        public void onCallStateChanged(int i2, String str) {
            super.onCallStateChanged(i2, str);
            if (i2 == 0) {
                f.this.f();
            } else if (i2 == 1) {
                f.this.g();
            } else if (i2 == 2) {
                f.this.g();
            }
        }
    }

    /* compiled from: XmPlayerAudioFocusControl */
    class b extends BroadcastReceiver {

        /* compiled from: XmPlayerAudioFocusControl */
        class a extends TimerTask {
            a() {
            }

            public void run() {
                f.this.f5941g = false;
            }
        }

        b() {
        }

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if (!action.equals("com.ximalaya.ting.android.action.ACTION_NOTIFICATION_EXIT")) {
                if (action.equals("android.intent.action.HEADSET_PLUG") || "android.media.AUDIO_BECOMING_NOISY".equals(action)) {
                    if (intent.getIntExtra(XmlyConstants$ResponseParams.BUNDLE_KEY_STATE, 0) != 1) {
                        if (f.this.f5941g) {
                            new Timer().schedule(new a(), 3000);
                            return;
                        }
                        XmPlayerService E = XmPlayerService.E();
                        if (E != null && E.u()) {
                            E.w();
                        }
                    }
                } else if (!action.equals("android.net.conn.CONNECTIVITY_CHANGE") && !action.equals("com.ximalaya.ting.android.action.ACTION_NOTIFICATION_SWITCH_PLAY_PAUSE") && !action.equals("com.ximalaya.ting.android.action.ACTION_NOTIFICATION_NEXT")) {
                    action.equals("com.ximalaya.ting.android.action.ACTION_NOTIFICATION_PRE");
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: XmPlayerAudioFocusControl */
    public class c extends AudioDeviceCallback {
        c() {
        }

        public void onAudioDevicesAdded(AudioDeviceInfo[] audioDeviceInfoArr) {
            super.onAudioDevicesAdded(audioDeviceInfoArr);
            f.this.l = true;
            Log.w(f.this.f5942h, "onAudioDevicesAdded: ");
            XmPlayerService E = XmPlayerService.E();
            if (E != null && E.h()) {
                Log.w(f.this.f5942h, "onAudioDevicesAdded: pausePlay()");
                E.w();
            }
        }

        public void onAudioDevicesRemoved(AudioDeviceInfo[] audioDeviceInfoArr) {
            super.onAudioDevicesRemoved(audioDeviceInfoArr);
            f.this.l = false;
            XmPlayerService E = XmPlayerService.E();
            if (E != null && E.h()) {
                Log.w(f.this.f5942h, "onAudioDevicesRemoved: pausePlay()");
                E.w();
            }
        }
    }

    /* compiled from: XmPlayerAudioFocusControl */
    class d extends BroadcastReceiver {
        d() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("android.intent.action.NEW_OUTGOING_CALL")) {
                f.this.g();
                return;
            }
            int callState = ((TelephonyManager) context.getSystemService("phone")).getCallState();
            if (callState == 0) {
                f.this.f();
            } else if (callState == 1) {
                f.this.g();
            } else if (callState == 2) {
                f.this.g();
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: XmPlayerAudioFocusControl */
    public class e implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f5950a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ boolean f5951b;

        e(boolean z, boolean z2) {
            this.f5950a = z;
            this.f5951b = z2;
        }

        public void run() {
            if (g.a(f.this.f5935a).d() && !g.j()) {
                try {
                    Log.d("xm-player", "requestAudioFocus start , jpcc.music=unmute");
                    ((AudioManager) com.ximalaya.ting.android.car.base.i.d.b().getSystemService("audio")).setParameters("jpcc.music=unmute");
                    XmPlayerService E = XmPlayerService.E();
                    String str = f.this.f5942h;
                    Log.w(str, "setAudioFocusAtStartState:  isLossAudioFocus = " + E.x);
                    int b2 = f.this.b((f) this.f5950a, this.f5951b);
                    Log.d("xm-player", "requestAudioFocus end , focusResult = " + b2);
                    if (E != null) {
                        String str2 = f.this.f5942h;
                        Log.w(str2, "setAudioFocusAtStartState: " + b2);
                        if (b2 == 1) {
                            E.c(1);
                            E.e(false);
                            f.this.a((f) E, (XmPlayerService) b2);
                            return;
                        }
                        E.e(true);
                        if (f.this.o) {
                            f.this.o = false;
                            Thread.sleep(100);
                            Log.w(f.this.f5942h, "try again request focus");
                            f.this.a(this.f5950a, this.f5951b);
                        }
                    }
                } catch (Exception unused) {
                    Log.w(f.this.f5942h, "setAudioFocusAtStartState:  failed");
                }
            }
        }
    }

    /* renamed from: com.ximalaya.ting.android.opensdk.player.service.f$f  reason: collision with other inner class name */
    /* compiled from: XmPlayerAudioFocusControl */
    class C0184f implements AudioManager.OnAudioFocusChangeListener {
        C0184f() {
        }

        public void onAudioFocusChange(int i2) {
            XmPlayerService E = XmPlayerService.E();
            if (E != null) {
                E.c(i2);
            }
            String str = f.this.f5942h;
            StringBuilder sb = new StringBuilder();
            sb.append("onAudioFocusChange: ");
            sb.append(i2);
            sb.append("   isContinuePlay = ");
            sb.append(f.this.f5941g ? XmlyConstants$ClientOSType.IOS : "0");
            sb.append("   service = ");
            sb.append(E);
            Log.w(str, sb.toString());
            f.this.a((f) E, (XmPlayerService) i2);
            boolean z = false;
            if (i2 == -1) {
                String str2 = f.this.f5942h;
                Log.w(str2, "onAudioFocusChange: " + i2 + "   isContinuePlay = " + f.this.f5941g + "   service = " + E);
                if (f.this.f5941g) {
                    f.this.f5941g = false;
                    return;
                }
                if (E != null && E.u()) {
                    z = true;
                }
                if (E != null) {
                    E.e(true);
                    E.w();
                    String str3 = f.this.f5942h;
                    Log.w(str3, "onAudioFocusChange service.getPlayControl().getPlayerState(): " + E.j().d());
                }
                f.this.d((f) z);
            } else if (i2 == -2) {
                if (E != null) {
                    E.e(true);
                    if (E.u()) {
                        E.w();
                        f.this.t = true;
                    } else if (E.j() != null && E.j().d() == 2) {
                        f.this.t = true;
                    }
                }
            } else if (i2 != 2) {
                if (i2 == 1) {
                    if (E != null) {
                        E.e(false);
                        String str4 = f.this.f5942h;
                        Log.w(str4, "onAudioFocusChange: mIsStopAudioByFocus:" + f.this.t);
                        E.a(1.0f, 1.0f);
                        if (f.this.t) {
                            Log.w(f.this.f5942h, "onAudioFocusChange: startPlay");
                            f.this.t = false;
                            E.A();
                        }
                    }
                } else if (i2 == -3) {
                    if (E != null) {
                        E.a(g.a(f.this.f5935a).a(), g.a(f.this.f5935a).a());
                    }
                } else if (i2 == 3 && E != null) {
                    E.a(g.a(f.this.f5935a).a(), g.a(f.this.f5935a).a());
                }
            }
        }
    }

    public f(Context context) {
        this.f5935a = context.getApplicationContext();
        h();
    }

    private void h() {
        Context context = this.f5935a;
        if (context != null) {
            this.f5936b = (AudioManager) context.getSystemService("audio");
            if (g.a(this.f5935a).e()) {
                IntentFilter intentFilter = new IntentFilter();
                intentFilter.addAction("android.intent.action.HEADSET_PLUG");
                intentFilter.addAction("android.media.AUDIO_BECOMING_NOISY");
                intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
                this.f5935a.registerReceiver(this.q, intentFilter);
            }
            if (g.a(this.f5935a).f()) {
                i();
                this.f5935a.registerReceiver(this.s, new IntentFilter());
            }
            if (com.ximalaya.ting.android.car.base.i.c.f4229a && Build.VERSION.SDK_INT >= 23) {
                this.f5936b.registerAudioDeviceCallback(b(), new Handler(Looper.getMainLooper()));
                try {
                    this.m = PolicyAPI.get(this.f5935a);
                    this.m.init(this.f5935a, this.r);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
    /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
        return;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0028 */
    @SuppressLint({"WrongConstant"})
    private void i() {
        this.f5937c = (TelephonyManager) this.f5935a.getSystemService("phone");
        this.f5937c.listen(this.p, 32);
        this.f5938d = (TelephonyManager) this.f5935a.getSystemService("phone1");
        this.f5938d.listen(this.p, 32);
        this.f5939e = (TelephonyManager) this.f5935a.getSystemService("phone2");
        this.f5939e.listen(this.p, 32);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f() {
        XmPlayerService E = XmPlayerService.E();
        if (E != null && this.f5940f) {
            E.A();
        }
        this.f5940f = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void g() {
        XmPlayerService E = XmPlayerService.E();
        if (E != null && E.u()) {
            this.f5940f = true;
            E.w();
        }
    }

    private void e() {
        i iVar;
        AudioFocusRequest audioFocusRequest;
        if (Build.VERSION.SDK_INT >= 26) {
            AudioManager audioManager = this.f5936b;
            if (audioManager != null && (audioFocusRequest = this.f5944j) != null) {
                audioManager.abandonAudioFocusRequest(audioFocusRequest);
                return;
            }
            return;
        }
        AudioManager audioManager2 = this.f5936b;
        if (audioManager2 != null && (iVar = this.u) != null) {
            audioManager2.abandonAudioFocus(iVar);
        }
    }

    public AudioDeviceCallback b() {
        if (this.k == null) {
            this.k = new c();
        }
        return this.k;
    }

    public void c(boolean z) {
        this.t = !z;
    }

    public void d() {
        if (g.a(this.f5935a).d()) {
            e();
        }
    }

    public boolean c() {
        return this.l;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d(boolean z) {
        if (g.a(this.f5935a).b()) {
            e();
        } else if (z) {
            this.t = true;
        }
    }

    public /* synthetic */ void a(boolean z) {
        if (z) {
            this.n = true;
        }
    }

    public void a(boolean z, boolean z2) {
        new Handler(Looper.getMainLooper()).post(new e(z, z2));
    }

    public void b(boolean z) {
        this.f5941g = z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int b(boolean z, boolean z2) {
        AudioAttributes audioAttributes;
        int i2 = 3;
        int i3 = 1;
        if (Build.VERSION.SDK_INT >= 26) {
            if (this.f5944j == null) {
                if (!z2 || !this.n) {
                    audioAttributes = new AudioAttributes.Builder().setContentType(2).setUsage(1).build();
                } else {
                    IAudioAttributes audioAttributes2 = this.m.getAudioAttributes();
                    audioAttributes = new AudioAttributes.Builder().setContentType(audioAttributes2.getAudioAttributesContentType("BT_AUDIO")).setUsage(audioAttributes2.getAudioAttributesUsage("BT_AUDIO")).build();
                }
                if (!z) {
                    i2 = 1;
                }
                this.f5944j = new AudioFocusRequest.Builder(i2).setAudioAttributes(audioAttributes).setAcceptsDelayedFocusGain(true).setOnAudioFocusChangeListener(this.u).build();
            }
            return this.f5936b.requestAudioFocus(this.f5944j);
        }
        AudioManager audioManager = this.f5936b;
        i iVar = this.u;
        if (z) {
            i3 = 3;
        }
        return audioManager.requestAudioFocus(iVar, 3, i3);
    }

    public void a(IXmAudioFocusStatusListener iXmAudioFocusStatusListener) {
        this.f5943i = iXmAudioFocusStatusListener;
    }

    public void a() {
        this.t = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void a(XmPlayerService xmPlayerService, int i2) {
        if (this.f5943i != null) {
            this.f5943i.onAudioFocusChange(i2);
        }
        if (xmPlayerService != null) {
            RemoteCallbackList<IXmAudioFocusChangeListener> g2 = xmPlayerService.g();
            if (g2 != null) {
                int beginBroadcast = g2.beginBroadcast();
                for (int i3 = 0; i3 < beginBroadcast; i3++) {
                    try {
                        g2.getBroadcastItem(i3).onAudioFocusChange(i2);
                    } catch (RemoteException e2) {
                        e2.printStackTrace();
                    }
                }
                g2.finishBroadcast();
            }
        }
    }
}
