package com.ximalaya.ting.android.opensdk.player.service;

import android.app.Notification;
import android.os.Binder;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.reflect.TypeToken;
import com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest;
import com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack;
import com.ximalaya.ting.android.opensdk.httputil.Config;
import com.ximalaya.ting.android.opensdk.model.PlayMode;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.PostResponse;
import com.ximalaya.ting.android.opensdk.model.album.BatchAlbumList;
import com.ximalaya.ting.android.opensdk.model.search.SearchAll;
import com.ximalaya.ting.android.opensdk.model.token.AccessToken;
import com.ximalaya.ting.android.opensdk.model.track.CommonTrackList;
import com.ximalaya.ting.android.opensdk.model.track.LastPlayTrackList;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.player.advertis.MiniPlayer;
import com.ximalaya.ting.android.opensdk.player.service.IXmPlayer;
import com.ximalaya.ting.android.opensdk.player.service.c;
import com.ximalaya.ting.android.opensdk.util.FileUtilBase;
import com.ximalaya.ting.android.player.Logger;
import com.ximalaya.ting.android.player.PlayerUtil;
import com.ximalaya.ting.android.player.cdn.CdnConstants;
import com.ximalaya.ting.android.player.cdn.CdnUtil;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* compiled from: XmPlayerImpl */
public class h extends IXmPlayer.a {

    /* renamed from: a  reason: collision with root package name */
    private MiniPlayer f5961a;

    /* renamed from: b  reason: collision with root package name */
    private long f5962b;

    /* renamed from: c  reason: collision with root package name */
    private XmPlayerService f5963c;

    /* renamed from: d  reason: collision with root package name */
    private e f5964d;

    /* renamed from: e  reason: collision with root package name */
    private XmPlayerControl f5965e;

    /* renamed from: f  reason: collision with root package name */
    private RemoteCallbackList<IXmMainDataSupportDataCallback> f5966f;

    /* renamed from: g  reason: collision with root package name */
    private f f5967g;

    /* renamed from: h  reason: collision with root package name */
    private RemoteCallbackList<IXmPlayerEventDispatcher> f5968h;

    /* renamed from: i  reason: collision with root package name */
    private RemoteCallbackList<IXmAdsEventDispatcher> f5969i;

    /* renamed from: j  reason: collision with root package name */
    private RemoteCallbackList<IXmAudioFocusChangeListener> f5970j;
    private RemoteCallbackList<IXmCustomDataCallBack> k;
    private MiniPlayer.PlayerStatusListener l = new C0185h();

    /* compiled from: XmPlayerImpl */
    class a extends TypeToken<CommonTrackList<Track>> {
        a(h hVar) {
        }
    }

    /* compiled from: XmPlayerImpl */
    class b implements IDataCallBack<LastPlayTrackList> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ long f5971a;

        b(long j2) {
            this.f5971a = j2;
        }

        /* renamed from: a */
        public void onSuccess(LastPlayTrackList lastPlayTrackList) {
            h.this.f5963c.a(new Gson().toJson(lastPlayTrackList), 8, this.f5971a);
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            h.this.f5963c.a(fVar.b(), this.f5971a);
        }
    }

    /* compiled from: XmPlayerImpl */
    class c implements IDataCallBack<SearchAll> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ long f5973a;

        c(long j2) {
            this.f5973a = j2;
        }

        /* renamed from: a */
        public void onSuccess(SearchAll searchAll) {
            h.this.f5963c.a(new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(searchAll), 17, this.f5973a);
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            h.this.f5963c.a(fVar.b(), this.f5973a);
        }
    }

    /* compiled from: XmPlayerImpl */
    class d implements IDataCallBack<PostResponse> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ long f5975a;

        d(long j2) {
            this.f5975a = j2;
        }

        /* renamed from: a */
        public void onSuccess(PostResponse postResponse) {
            h.this.f5963c.a(new Gson().toJson(postResponse), 19, this.f5975a);
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            h.this.f5963c.a(fVar.b(), this.f5975a);
        }
    }

    /* compiled from: XmPlayerImpl */
    class e implements IDataCallBack<Map<String, Boolean>> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ long f5977a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ long f5978b;

        e(long j2, long j3) {
            this.f5977a = j2;
            this.f5978b = j3;
        }

        /* renamed from: a */
        public void onSuccess(Map<String, Boolean> map) {
            h.this.f5963c.a(new Gson().toJson(Boolean.valueOf(map.get(String.valueOf(this.f5977a)).booleanValue())), 18, this.f5978b);
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            h.this.f5963c.a(fVar.b(), this.f5978b);
        }
    }

    /* compiled from: XmPlayerImpl */
    class f implements CommonRequest.IRequestCallBack<Map<String, Boolean>> {

        /* access modifiers changed from: package-private */
        /* compiled from: XmPlayerImpl */
        public class a extends TypeToken<Map<String, Boolean>> {
            a(f fVar) {
            }
        }

        f(h hVar) {
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest.IRequestCallBack
        public Map<String, Boolean> success(String str) throws Exception {
            return (Map) com.ximalaya.ting.android.opensdk.httputil.b.a(new a(this).getType(), str);
        }
    }

    /* compiled from: XmPlayerImpl */
    class g implements IDataCallBack<BatchAlbumList> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ long f5980a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f5981b;

        g(long j2, int i2) {
            this.f5980a = j2;
            this.f5981b = i2;
        }

        /* renamed from: a */
        public void onSuccess(BatchAlbumList batchAlbumList) {
            if (batchAlbumList == null) {
                h.this.f5963c.a("can't find the album", this.f5980a);
            } else if (batchAlbumList.getAlbums() == null || batchAlbumList.getAlbums().size() == 0) {
                h.this.f5963c.a("can't find the album", this.f5980a);
            } else {
                h.this.f5963c.a(new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(batchAlbumList.getAlbums().get(0)), this.f5981b, this.f5980a);
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(com.ximalaya.ting.android.opensdk.httputil.f fVar) {
            h.this.f5963c.a(fVar.b(), this.f5980a);
        }
    }

    /* renamed from: com.ximalaya.ting.android.opensdk.player.service.h$h  reason: collision with other inner class name */
    /* compiled from: XmPlayerImpl */
    class C0185h implements MiniPlayer.PlayerStatusListener {
        C0185h() {
        }

        @Override // com.ximalaya.ting.android.opensdk.player.advertis.MiniPlayer.PlayerStatusListener
        public void onComplete() {
            if (h.this.f5963c != null) {
                XmPlayerService.E().a(1.0f, 1.0f);
                XmPlayerService unused = h.this.f5963c;
                XmPlayerService.h(false);
            }
        }

        @Override // com.ximalaya.ting.android.opensdk.player.advertis.MiniPlayer.PlayerStatusListener
        public boolean onError(Exception exc, int i2, int i3) {
            return false;
        }

        @Override // com.ximalaya.ting.android.opensdk.player.advertis.MiniPlayer.PlayerStatusListener
        public void onPause() {
            XmPlayerService.E().a(1.0f, 1.0f);
            XmPlayerService unused = h.this.f5963c;
            XmPlayerService.h(false);
        }

        @Override // com.ximalaya.ting.android.opensdk.player.advertis.MiniPlayer.PlayerStatusListener
        public void onStart() {
            XmPlayerService.E().a(g.a(com.ximalaya.ting.android.car.base.i.d.b()).a(), g.a(com.ximalaya.ting.android.car.base.i.d.b()).a());
            XmPlayerService.h(true);
        }

        @Override // com.ximalaya.ting.android.opensdk.player.advertis.MiniPlayer.PlayerStatusListener
        public void onStop() {
            if (h.this.f5963c != null) {
                XmPlayerService.E().a(1.0f, 1.0f);
                XmPlayerService unused = h.this.f5963c;
                XmPlayerService.h(false);
                if (!com.ximalaya.ting.android.car.base.i.c.f4229a || !h.this.f5967g.c() || !h.this.f5963c.h()) {
                    h.this.f5963c.n().a(false, false);
                } else {
                    h.this.f5963c.n().a(false, true);
                }
            }
        }
    }

    public h(XmPlayerService xmPlayerService) {
        this.f5963c = xmPlayerService;
        this.f5964d = this.f5963c.k();
        this.f5965e = this.f5963c.j();
        this.f5966f = this.f5963c.r();
        this.f5967g = this.f5963c.n();
        this.f5968h = this.f5963c.o();
        this.f5969i = this.f5963c.c();
        this.f5970j = this.f5963c.g();
        this.k = this.f5963c.f();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void addAudioFocusChangeListener(IXmAudioFocusChangeListener iXmAudioFocusChangeListener) throws RemoteException {
        if (iXmAudioFocusChangeListener != null) {
            this.f5970j.register(iXmAudioFocusChangeListener, new c.a(Binder.getCallingPid(), Binder.getCallingUid()));
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void addPlayList(List<Track> list) throws RemoteException {
        e eVar = this.f5964d;
        if (eVar != null) {
            eVar.a(list);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void clearPlayCache() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl != null) {
            PlayerUtil.cleanUpCacheSound(xmPlayerControl.a());
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void collectAlbum(long j2, boolean z, long j3) throws RemoteException {
        String i2 = com.ximalaya.ting.android.opensdk.datatrasfer.c.m().i();
        if (TextUtils.isEmpty(i2)) {
            this.f5963c.a("请登录", j3);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("uid", String.valueOf(i2));
        hashMap.put("operation_type", String.valueOf(!z ? 1 : 0));
        hashMap.put("album_id", String.valueOf(j2));
        CommonRequest.a(hashMap, new d(j3));
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void exitSoundAd() throws RemoteException {
        String[] packagesForUid = this.f5963c.getPackageManager().getPackagesForUid(Binder.getCallingUid());
        if (packagesForUid != null && packagesForUid.length > 0) {
            String str = packagesForUid[0];
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void getAlbumById(long j2, int i2, long j3) {
        HashMap hashMap = new HashMap();
        hashMap.put("ids", j2 + "");
        CommonRequest.b(hashMap, new g(j3, i2));
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void getCollectState(long j2, long j3) throws RemoteException {
        if (TextUtils.isEmpty(com.ximalaya.ting.android.opensdk.datatrasfer.c.m().i())) {
            this.f5963c.a("请登录", j3);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("ids", String.valueOf(j2));
        CommonRequest.a("http://api.ximalaya.com/openapi-gateway-app/subscribe/is_subscribed", hashMap, new e(j2, j3), new f(this));
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public String getCurPlayUrl() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl != null) {
            return xmPlayerControl.a();
        }
        return null;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public int getCurrIndex() throws RemoteException {
        e eVar = this.f5964d;
        if (eVar != null) {
            return eVar.a();
        }
        return -1;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public long getCurrentTrackPlayedDuration() {
        return XmPlayerControl.x;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public int getDuration() throws RemoteException {
        return this.f5965e.c();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public String getHistoryPos(String str) throws RemoteException {
        return this.f5963c.b(str);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public String getLastPlayTrackInAlbum(String str) throws RemoteException {
        return this.f5963c.a(str);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void getNextPlayList() throws RemoteException {
        this.f5964d.b(false);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public Map<String, String> getParam() throws RemoteException {
        return this.f5964d.d();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public int getPlayCurrPosition() throws RemoteException {
        return this.f5965e.b();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public List<Track> getPlayList(int i2) throws RemoteException {
        List<Track> e2 = this.f5964d.e();
        if (e2 == null || e2.size() < 30) {
            return e2;
        }
        int size = e2.size();
        int i3 = i2 * 30;
        int i4 = i3 + 30;
        if (size <= i3) {
            return null;
        }
        if (i4 > size) {
            i4 = i3 + (size % 30);
        }
        return e2.subList(i3, i4);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean getPlayListOrder() throws RemoteException {
        return this.f5964d.f();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public int getPlayListSize() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return 0;
        }
        return xmPlayerService.l();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public String getPlayMode() throws RemoteException {
        e eVar = this.f5964d;
        return eVar != null ? eVar.g().toString() : "";
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public int getPlaySourceType() throws RemoteException {
        return this.f5964d.h();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public int getPlayerStatus() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl != null) {
            return xmPlayerControl.d();
        }
        return 7;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void getPrePlayList() throws RemoteException {
        this.f5964d.c(false);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public float getTempo() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl != null) {
            return xmPlayerControl.f();
        }
        return 0.0f;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public Track getTrack(int i2) throws RemoteException {
        return (Track) this.f5964d.a(i2);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void getTrackListByLastTrack(long j2, long j3, int i2, long j4) throws RemoteException {
        HashMap hashMap = new HashMap();
        hashMap.put("album_id", j2 + "");
        hashMap.put("track_id", j3 + "");
        hashMap.put("count", i2 + "");
        CommonRequest.c(hashMap, new b(j4));
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean hasNextSound() throws RemoteException {
        return this.f5964d.b() > 1 && this.f5964d.a(true) != -1;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean hasPreSound() throws RemoteException {
        int a2;
        return this.f5964d.b() > 1 && (a2 = this.f5964d.a()) > 0 && a2 + -1 >= 0;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean haveNextPlayList() throws RemoteException {
        e eVar = this.f5964d;
        if (eVar == null) {
            return false;
        }
        eVar.j();
        return false;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean havePrePlayList() throws RemoteException {
        e eVar = this.f5964d;
        if (eVar == null) {
            return false;
        }
        eVar.k();
        return false;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void insertPlayListHead(List<Track> list) throws RemoteException {
        e eVar = this.f5964d;
        if (eVar != null) {
            eVar.b(list);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean isAdPlaying() throws RemoteException {
        return false;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean isAdsActive() throws RemoteException {
        return false;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean isBuffering() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl == null) {
            return false;
        }
        if (xmPlayerControl.g() || getPlayerStatus() == 2) {
            return true;
        }
        return false;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean isLoading() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        return xmPlayerControl != null && xmPlayerControl.d() == 2;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean isOnlineSource() throws RemoteException {
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl != null) {
            return xmPlayerControl.h();
        }
        return false;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean isPlaying() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.u();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void needContinuePlay(boolean z) throws RemoteException {
        this.f5963c.c(z);
        f fVar = this.f5967g;
        if (fVar != null) {
            fVar.b(z);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean pausePlay() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.w();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void pausePlayInMillis(long j2) throws RemoteException {
        this.f5963c.a(j2);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean permutePlayList() throws RemoteException {
        return this.f5964d.l();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean play(int i2) throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.a(i2);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void playAssetFile(String str) throws RemoteException {
        MiniPlayer miniPlayer = this.f5961a;
        if (miniPlayer == null || miniPlayer.a() != 2) {
            try {
                if (this.f5961a == null) {
                    this.f5961a = new MiniPlayer();
                }
                this.f5961a.d();
                this.f5961a.b(this.f5963c, str);
                this.f5961a.a(this.l);
                this.f5961a.c();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void playLocalFile(String str) throws RemoteException {
        MiniPlayer miniPlayer = this.f5961a;
        if (miniPlayer == null || miniPlayer.a() != 2) {
            try {
                this.f5961a = new MiniPlayer();
                this.f5961a.a(this.f5963c, str);
                this.f5961a.c();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean playNext() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.x();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean playPre() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.y();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void registeAdsListener(IXmAdsEventDispatcher iXmAdsEventDispatcher) throws RemoteException {
        Logger.log("Process " + Binder.getCallingPid() + "has register AdsListener");
        if (iXmAdsEventDispatcher != null) {
            this.f5969i.register(iXmAdsEventDispatcher, new c.a(Binder.getCallingPid(), Binder.getCallingUid()));
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void registeCommonBusinessListener(IXmCommonBusinessDispatcher iXmCommonBusinessDispatcher) throws RemoteException {
        this.f5963c.a(iXmCommonBusinessDispatcher);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void registeCustomDataCallBack(IXmCustomDataCallBack iXmCustomDataCallBack) throws RemoteException {
        Logger.log("Process " + Binder.getCallingPid() + "has register CustomDataCallBack");
        if (iXmCustomDataCallBack != null) {
            this.k.register(iXmCustomDataCallBack, new c.a(Binder.getCallingPid(), Binder.getCallingUid()));
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void registeMainDataSupportCallBack(IXmMainDataSupportDataCallback iXmMainDataSupportDataCallback) throws RemoteException {
        if (iXmMainDataSupportDataCallback != null) {
            this.f5966f.register(iXmMainDataSupportDataCallback, new c.a(Binder.getCallingPid(), Binder.getCallingUid()));
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void registePlayerListener(IXmPlayerEventDispatcher iXmPlayerEventDispatcher) throws RemoteException {
        RemoteCallbackList<IXmPlayerEventDispatcher> remoteCallbackList;
        if (iXmPlayerEventDispatcher != null && (remoteCallbackList = this.f5968h) != null) {
            remoteCallbackList.register(iXmPlayerEventDispatcher, new c.a(Binder.getCallingPid(), Binder.getCallingUid()));
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void removeAudioFocusChangeListener(IXmAudioFocusChangeListener iXmAudioFocusChangeListener) throws RemoteException {
        if (iXmAudioFocusChangeListener != null) {
            this.f5970j.unregister(iXmAudioFocusChangeListener);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void removeListByIndex(int i2) throws RemoteException {
        e eVar = this.f5964d;
        if (eVar != null) {
            eVar.b(i2);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void requestSoundAd() throws RemoteException {
        Logger.log("requestSoundAd");
        PlayableModel i2 = this.f5963c.i();
        if (!isAdsActive() && (i2 instanceof Track) && System.currentTimeMillis() - this.f5962b > 3000) {
            this.f5962b = System.currentTimeMillis();
            Logger.log("requestSoundAd playAds");
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void resetPlayList() throws RemoteException {
        e eVar = this.f5964d;
        if (eVar != null) {
            eVar.m();
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void resetPlayer() throws RemoteException {
        this.f5963c.a((PlayableModel) null);
        XmPlayerControl xmPlayerControl = this.f5965e;
        if (xmPlayerControl != null) {
            xmPlayerControl.m();
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void searchAll(int i2, int i3, String str, long j2) throws RemoteException {
        HashMap hashMap = new HashMap();
        hashMap.put("count", i2 + "");
        hashMap.put("page", i3 + "");
        hashMap.put("q", str);
        CommonRequest.d(hashMap, new c(j2));
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean seekTo(int i2) throws RemoteException {
        if (this.f5964d.h() == 3) {
            return false;
        }
        return this.f5965e.a(i2);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setAdsDataHandlerClassName(String str) throws RemoteException {
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setBreakpointResume(boolean z) throws RemoteException {
        g.a(this.f5963c).b(z);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setCheckAdContent(boolean z) throws RemoteException {
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setHistoryPosById(long j2, int i2) throws RemoteException {
        this.f5963c.a(j2, i2);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setIsPsd(boolean z) throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService != null) {
            xmPlayerService.d(z);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setNotification(int i2, Notification notification) throws RemoteException {
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPageSize(int i2) throws RemoteException {
        if (d.h.b.a.a.b.a.d.k().b() != i2) {
            d.h.b.a.a.b.a.d.k().a(i2);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x004e, code lost:
        if (com.ximalaya.ting.android.opensdk.player.service.XmPlayerService.E().a(r7) == false) goto L_0x0071;
     */
    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPlayByAlbumTracks(String str, int i2, long j2) throws RemoteException {
        boolean z = true;
        boolean z2 = TextUtils.isEmpty(str) || i2 < 0;
        if (!z2) {
            try {
                CommonTrackList commonTrackList = (CommonTrackList) new Gson().fromJson(str, new a(this).getType());
                if (commonTrackList.getTracks() == null || commonTrackList.getTracks().size() == 0) {
                    z2 = true;
                }
                if (!z2) {
                    XmPlayerService.E().a(commonTrackList.getParams(), commonTrackList.getTracks());
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                CdnUtil.statToXDCSError(CdnConstants.PLAY_INFO, "setPlayByAlbumTracks:" + e2.toString());
            }
        }
        z = z2;
        if (z) {
            this.f5963c.a("播放失败", j2);
        } else {
            this.f5963c.a("播放成功", 0, j2);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0034, code lost:
        if (com.ximalaya.ting.android.opensdk.player.service.XmPlayerService.E().a(0) == false) goto L_0x0055;
     */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0058  */
    /* JADX WARNING: Removed duplicated region for block: B:14:? A[RETURN, SYNTHETIC] */
    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPlayByTrack(String str, long j2) throws RemoteException {
        boolean isEmpty = TextUtils.isEmpty(str);
        if (XmPlayerService.E() != null) {
            if (!isEmpty) {
                try {
                    XmPlayerService.E().a((Map<String, String>) null, Arrays.asList((Track) new Gson().fromJson(str, Track.class)));
                } catch (Exception e2) {
                    e2.printStackTrace();
                    CdnUtil.statToXDCSError(CdnConstants.PLAY_INFO, "setPlayByTrack:" + e2.toString());
                }
            }
            if (!isEmpty) {
                this.f5963c.a("播放失败", j2);
                return;
            }
            return;
        }
        return;
        isEmpty = true;
        if (!isEmpty) {
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean setPlayIndex(int i2) throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.a(i2, false);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPlayList(Map map, List<Track> list) throws RemoteException {
        if (XmPlayerService.E() != null) {
            XmPlayerService.E().a(map, list);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPlayListChangeListener(IXmDataCallback iXmDataCallback) throws RemoteException {
        this.f5964d.a(iXmDataCallback);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPlayMode(String str) throws RemoteException {
        e eVar = this.f5964d;
        if (eVar != null) {
            eVar.a(PlayMode.valueOf(str));
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setPlayStatisticClassName(String str) throws RemoteException {
        com.ximalaya.ting.android.opensdk.player.statistic.b.d().a(str);
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setProxyNew(Config config) throws RemoteException {
        Logger.log("代理 setProxyNew " + config);
        this.f5963c.a(config);
        this.f5965e.a(config);
        d.h.b.a.a.b.a.d.k().a(config);
        FileUtilBase.a(this.f5963c, config);
        com.ximalaya.ting.android.opensdk.httputil.e.f5784a = config;
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setSessionState(boolean z) throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService != null && com.ximalaya.ting.android.car.base.i.c.f4230b) {
            xmPlayerService.f(z);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setSoundTouchAllParams(float f2, float f3, float f4) throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService != null) {
            xmPlayerService.a(f2, f3, f4);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setTokenInvalidForSDK(IXmTokenInvalidForSDKCallBack iXmTokenInvalidForSDKCallBack) throws RemoteException {
        if (com.ximalaya.ting.android.opensdk.util.c.b(this.f5963c) && iXmTokenInvalidForSDKCallBack != null) {
            Log.v("YuCollect", "setITokenStateChange");
            d.h.b.a.a.b.a.d.k().a(this.f5963c);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void setTokenToPlayForSDK(AccessToken accessToken) throws RemoteException {
        e eVar;
        List<Track> e2;
        com.ximalaya.ting.android.opensdk.datatrasfer.c.m().b(this.f5963c);
        com.ximalaya.ting.android.opensdk.datatrasfer.c.m().a(accessToken);
        if ((accessToken == null || TextUtils.isEmpty(accessToken.getUid())) && (eVar = this.f5964d) != null && (e2 = eVar.e()) != null && !e2.isEmpty()) {
            for (int i2 = 0; i2 < e2.size(); i2++) {
                Track track = e2.get(i2);
                if (track != null) {
                    track.setAuthorized(false);
                }
            }
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean startPlay() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.A();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean stopPlay() throws RemoteException {
        XmPlayerService xmPlayerService = this.f5963c;
        if (xmPlayerService == null) {
            return false;
        }
        return xmPlayerService.B();
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void unregisteAdsListener(IXmAdsEventDispatcher iXmAdsEventDispatcher) throws RemoteException {
        if (iXmAdsEventDispatcher != null) {
            this.f5969i.unregister(iXmAdsEventDispatcher);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void unregisteCustomDataCallBack(IXmCustomDataCallBack iXmCustomDataCallBack) throws RemoteException {
        if (iXmCustomDataCallBack != null) {
            this.k.unregister(iXmCustomDataCallBack);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void unregisteMainDataSupportCallBack(IXmMainDataSupportDataCallback iXmMainDataSupportDataCallback) throws RemoteException {
        if (iXmMainDataSupportDataCallback != null) {
            this.f5966f.unregister(iXmMainDataSupportDataCallback);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void unregistePlayerListener(IXmPlayerEventDispatcher iXmPlayerEventDispatcher) throws RemoteException {
        RemoteCallbackList<IXmPlayerEventDispatcher> remoteCallbackList;
        if (iXmPlayerEventDispatcher != null && (remoteCallbackList = this.f5968h) != null) {
            remoteCallbackList.unregister(iXmPlayerEventDispatcher);
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public void updateTrackDownloadUrlInPlayList(Track track) throws RemoteException {
        int indexOf = this.f5964d.e().indexOf(track);
        if (indexOf >= 0) {
            this.f5964d.e().get(indexOf).setDownloadedSaveFilePath(track.getDownloadedSaveFilePath());
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.service.IXmPlayer
    public boolean updateTrackInPlayList(Track track) throws RemoteException {
        int indexOf;
        if (track == null || (indexOf = this.f5964d.e().indexOf(track)) < 0) {
            return false;
        }
        this.f5964d.a(indexOf, track);
        return true;
    }

    public void a(long j2) {
        this.f5962b = j2;
    }
}
