package com.ximalaya.ting.android.opensdk.player.service.j;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.ResultReceiver;
import android.os.SystemClock;
import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.media.session.PlaybackStateCompat;
import android.text.TextUtils;
import android.util.Log;
import com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest;
import com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack;
import com.ximalaya.ting.android.opensdk.httputil.f;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerService;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/* compiled from: MediaPlaybackHelper */
public class a {

    /* renamed from: a  reason: collision with root package name */
    public static boolean f5985a = false;

    /* renamed from: b  reason: collision with root package name */
    private static Bundle f5986b = new Bundle();

    /* access modifiers changed from: package-private */
    /* renamed from: com.ximalaya.ting.android.opensdk.player.service.j.a$a  reason: collision with other inner class name */
    /* compiled from: MediaPlaybackHelper */
    public class C0186a implements IDataCallBack<Track> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ XmPlayerService f5987a;

        /* access modifiers changed from: package-private */
        /* renamed from: com.ximalaya.ting.android.opensdk.player.service.j.a$a$a  reason: collision with other inner class name */
        /* compiled from: MediaPlaybackHelper */
        public class C0187a extends ArrayList<Track> {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Track f5988a;

            C0187a(C0186a aVar, Track track) {
                this.f5988a = track;
                add(this.f5988a);
            }
        }

        C0186a(XmPlayerService xmPlayerService) {
            this.f5987a = xmPlayerService;
        }

        /* renamed from: a */
        public void onSuccess(Track track) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId onSuccess: ");
            if (track == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId onSuccess: object == null");
                return;
            }
            XmPlayerService xmPlayerService = this.f5987a;
            if (xmPlayerService == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/onSuccess: service == null");
                return;
            }
            xmPlayerService.a((Map<String, String>) null, new C0187a(this, track));
            this.f5987a.a(0);
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(f fVar) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId onError: " + fVar.a());
        }
    }

    /* compiled from: MediaPlaybackHelper */
    public static class b extends MediaSessionCompat.Callback {

        /* renamed from: a  reason: collision with root package name */
        private XmPlayerService f5989a;

        /* renamed from: b  reason: collision with root package name */
        private MediaSessionCompat f5990b;

        public b(Context context, XmPlayerService xmPlayerService, MediaSessionCompat mediaSessionCompat) {
            this.f5989a = xmPlayerService;
            this.f5990b = mediaSessionCompat;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onCommand(String str, Bundle bundle, ResultReceiver resultReceiver) {
            super.onCommand(str, bundle, resultReceiver);
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onCommand: command = " + str);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onCustomAction(String str, Bundle bundle) {
            super.onCustomAction(str, bundle);
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onCustomAction: ");
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public boolean onMediaButtonEvent(Intent intent) {
            Log.i("ximalaya-session", "SessionCallback/onMediaButtonEvent: ");
            return super.onMediaButtonEvent(intent);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onPause() {
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onPause: ");
            super.onPause();
            XmPlayerService xmPlayerService = this.f5989a;
            if (xmPlayerService == null || this.f5990b == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onPause: service == null || session == null");
            } else {
                xmPlayerService.w();
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onPlay() {
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onPlay: ");
            super.onPlay();
            XmPlayerService xmPlayerService = this.f5989a;
            if (xmPlayerService == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onPlay: service == null");
            } else {
                xmPlayerService.A();
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onPlayFromMediaId(String str, Bundle bundle) {
            MediaSessionCompat mediaSessionCompat;
            super.onPlayFromMediaId(str, bundle);
            XmPlayerService xmPlayerService = this.f5989a;
            if (xmPlayerService == null || (mediaSessionCompat = this.f5990b) == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onPlayFromMediaId: service == null || session == null");
                return;
            }
            a.c(mediaSessionCompat, xmPlayerService, str);
            a.d(this.f5990b, this.f5989a, "playFromMediaId");
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onSeekTo(long j2) {
            super.onSeekTo(j2);
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onSeekTo: pos = " + j2);
            if (this.f5989a == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onSeekTo: service == null");
            } else {
                XmPlayerService.E().b(((int) j2) * 1000);
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onSkipToNext() {
            super.onSkipToNext();
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onSkipToNext: ");
            XmPlayerService xmPlayerService = this.f5989a;
            if (xmPlayerService == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onSkipToNext: service == null");
            } else {
                xmPlayerService.x();
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.Callback
        public void onSkipToPrevious() {
            super.onSkipToPrevious();
            Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onSkipToPrevious: ");
            XmPlayerService xmPlayerService = this.f5989a;
            if (xmPlayerService == null) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/SessionCallback/onSkipToPrevious: service == null");
            } else {
                xmPlayerService.y();
            }
        }
    }

    private static long a() {
        return 3958;
    }

    public static void b(MediaSessionCompat mediaSessionCompat, XmPlayerService xmPlayerService, String str) {
        Log.i("ximalaya-session", "MediaPlaybackHelper/initSound: ");
        if (mediaSessionCompat == null || xmPlayerService == null) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/initSound: mSession == null || service == null");
            return;
        }
        Track track = (Track) xmPlayerService.e();
        List<Track> e2 = xmPlayerService.k().e();
        if (e2 != null) {
            ArrayList arrayList = new ArrayList();
            for (Track track2 : e2) {
                MediaMetadataCompat a2 = a(track2, "");
                arrayList.add(new MediaSessionCompat.QueueItem(a2.getDescription(), (long) a2.hashCode()));
            }
            mediaSessionCompat.setQueue(arrayList);
        }
        mediaSessionCompat.setMetadata(a(track, str));
        a(mediaSessionCompat, xmPlayerService, track, str);
        if (!b()) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/initSound: 没有source！！！session设置不可用");
        }
        mediaSessionCompat.setActive(b());
    }

    private static boolean b() {
        return true;
    }

    /* access modifiers changed from: private */
    public static void c(MediaSessionCompat mediaSessionCompat, XmPlayerService xmPlayerService, String str) {
        Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId: " + str);
        if (TextUtils.isEmpty(str) || "0".equals(str)) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId: no media id return");
        } else if (mediaSessionCompat == null || xmPlayerService == null) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId: mSession == null || service == null");
        } else {
            List<Track> e2 = xmPlayerService.k().e();
            if (e2 == null || e2.size() == 0) {
                Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId: list is null return");
                return;
            }
            for (int i2 = 0; i2 < e2.size(); i2++) {
                if (str.equals(e2.get(i2).getDataId() + "")) {
                    Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId: select " + i2 + " now play");
                    xmPlayerService.a(i2);
                    return;
                }
            }
            Log.i("ximalaya-session", "MediaPlaybackHelper/playFromMediaId: no found " + str);
            CommonRequest.a();
            CommonRequest.a(str, new C0186a(xmPlayerService));
        }
    }

    public static void d(MediaSessionCompat mediaSessionCompat, XmPlayerService xmPlayerService, String str) {
        if (mediaSessionCompat == null || xmPlayerService == null) {
            StringBuilder sb = new StringBuilder();
            sb.append("MediaPlaybackHelper/refreshSound: mSession is null ? ");
            boolean z = true;
            sb.append(mediaSessionCompat == null);
            sb.append(",playerservce == null?");
            if (xmPlayerService != null) {
                z = false;
            }
            sb.append(z);
            sb.append(".from = ");
            sb.append(str);
            Log.i("ximalaya-session", sb.toString());
            return;
        }
        Log.i("ximalaya-session", "MediaPlaybackHelper/refreshSound: " + str);
        Track track = (Track) xmPlayerService.e();
        List<Track> e2 = xmPlayerService.k().e();
        if (e2 != null) {
            ArrayList arrayList = new ArrayList();
            for (Track track2 : e2) {
                MediaMetadataCompat a2 = a(track2, "");
                arrayList.add(new MediaSessionCompat.QueueItem(a2.getDescription(), (long) a2.hashCode()));
            }
            mediaSessionCompat.setQueue(arrayList);
        }
        mediaSessionCompat.setMetadata(a(track, "refreshSound"));
        a(mediaSessionCompat, xmPlayerService, track, str);
    }

    public static MediaMetadataCompat a(Track track, String str) {
        if (track == null) {
            return a("0", "暂无播放", "", "", 0, str);
        }
        String nickname = track.getAnnouncer() != null ? track.getAnnouncer().getNickname() : null;
        return a("" + track.getDataId(), track.getTrackTitle(), nickname, track.getCoverUrlLarge(), (long) track.getDuration(), str);
    }

    private static MediaMetadataCompat a(String str, String str2, String str3, String str4, long j2, String str5) {
        if (!TextUtils.isEmpty(str5)) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/createMetadataCompat: mediaId = " + str + "\ntitle = " + str2 + "\nartist = " + str3 + "\ncover = " + str4 + "\nduration = " + (j2 * 1000) + "\nfrom = " + str5);
        }
        MediaMetadataCompat.Builder builder = new MediaMetadataCompat.Builder();
        long j3 = j2 * 1000;
        MediaMetadataCompat.Builder putString = builder.putString(MediaMetadataCompat.METADATA_KEY_MEDIA_ID, str).putString(MediaMetadataCompat.METADATA_KEY_ALBUM, str2).putLong(MediaMetadataCompat.METADATA_KEY_DURATION, j3).putString(MediaMetadataCompat.METADATA_KEY_TITLE, str2).putString("METADATA_KEY_START_TIME", "0").putString(MediaMetadataCompat.METADATA_KEY_ALBUM_ART_URI, str4).putString(MediaMetadataCompat.METADATA_KEY_DISPLAY_ICON_URI, str4);
        putString.putString("METADATA_KEY_END_TIME", "" + j3);
        if (!TextUtils.isEmpty(str3)) {
            builder.putString(MediaMetadataCompat.METADATA_KEY_ARTIST, str3);
        }
        return builder.build();
    }

    private static void a(MediaSessionCompat mediaSessionCompat, XmPlayerService xmPlayerService, Track track, String str) {
        if (mediaSessionCompat == null || xmPlayerService == null) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/refreshPlaybackState: mSession == null");
            return;
        }
        PlaybackStateCompat.Builder builder = new PlaybackStateCompat.Builder();
        builder.setActions(a());
        boolean u = xmPlayerService.u();
        builder.setState(u ? 3 : 2, 0, 1.0f, SystemClock.elapsedRealtime());
        Log.i("ximalaya-session", "MediaPlaybackHelper/refreshProgress: progress change refreshPlaybackState from = " + str + ",curpos = " + 0);
        StringBuilder sb = new StringBuilder();
        sb.append("MediaPlaybackHelper/refreshPlaybackState: 当前播放状态");
        sb.append(u ? "播放中" : "暂停");
        Log.i("ximalaya-session", sb.toString());
        if (!b()) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/refreshPlaybackState: 没有source！！！session不可用");
        }
        mediaSessionCompat.setActive(b());
        mediaSessionCompat.setPlaybackState(builder.build());
    }

    public static void a(MediaSessionCompat mediaSessionCompat, int i2, String str) {
        if (mediaSessionCompat == null) {
            Log.i("ximalaya-session", "MediaPlaybackHelper/refreshProgress: mSession == null");
            return;
        }
        PlaybackStateCompat.Builder builder = new PlaybackStateCompat.Builder();
        builder.setActions(a());
        Log.i("ximalaya-session", "MediaPlaybackHelper/refreshProgress: progress change refreshProgress curpos = " + i2);
        builder.setExtras(f5986b);
        builder.setState(3, (long) i2, 1.0f, SystemClock.elapsedRealtime());
        mediaSessionCompat.setPlaybackState(builder.build());
        mediaSessionCompat.setActive(b());
    }
}
