package com.ximalaya.ting.android.opensdk.player.statistic;

import android.annotation.SuppressLint;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import android.text.TextUtils;
import com.google.gson.reflect.TypeToken;
import com.ximalaya.ting.android.opensdk.datatrasfer.CommonRequest;
import com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack;
import com.ximalaya.ting.android.opensdk.httputil.f;
import com.ximalaya.ting.android.opensdk.model.RestResponse;
import com.ximalaya.ting.android.opensdk.model.history.IotXmPlayTrackRecord;
import com.ximalaya.ting.android.opensdk.model.history.XmPlayRecord;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerService;
import com.ximalaya.ting.android.opensdk.util.AsyncGson;
import com.ximalaya.ting.android.opensdk.util.g;
import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;

/* compiled from: OpenSdkPlayStatisticUpload */
public class a implements IXmPlayStatisticUpload {

    /* renamed from: d  reason: collision with root package name */
    private static a f5991d;

    /* renamed from: e  reason: collision with root package name */
    public static final int f5992e = (Build.VERSION.SDK_INT >= 24 ? 4 : 7);

    /* renamed from: a  reason: collision with root package name */
    private HandlerThread f5993a = new HandlerThread("statistics-manager");

    /* renamed from: b  reason: collision with root package name */
    private Handler f5994b;

    /* renamed from: c  reason: collision with root package name */
    private LinkedList<IotXmPlayTrackRecord> f5995c = new LinkedList<>();

    /* access modifiers changed from: package-private */
    /* renamed from: com.ximalaya.ting.android.opensdk.player.statistic.a$a  reason: collision with other inner class name */
    /* compiled from: OpenSdkPlayStatisticUpload */
    public class C0188a implements IDataCallBack<RestResponse> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String f5996a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ String f5997b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ String f5998c;

        C0188a(String str, String str2, String str3) {
            this.f5996a = str;
            this.f5997b = str2;
            this.f5998c = str3;
        }

        /* renamed from: a */
        public void onSuccess(RestResponse restResponse) {
            if (restResponse == null || !restResponse.isSuccess()) {
                if (!TextUtils.isEmpty(this.f5996a)) {
                    a.this.a((a) this.f5996a, (String) XmPlayRecord.TYPE_TRACK);
                }
                if (!TextUtils.isEmpty(this.f5997b)) {
                    a.this.a((a) this.f5997b, (String) XmPlayRecord.TYPE_RADIO_SCHEDULE);
                }
                if (!TextUtils.isEmpty(this.f5998c)) {
                    a.this.a((a) this.f5998c, (String) XmPlayRecord.TYPE_LIVE);
                    return;
                }
                return;
            }
            a.this.a(XmPlayerService.E().getSharedPreferences("errorMsg_trace", a.f5992e).edit().remove("mTrackRecords"));
            SharedPreferences sharedPreferences = XmPlayerService.E().getSharedPreferences("errorMsg_radio", a.f5992e);
            a.this.a(sharedPreferences.edit().remove("mRadioRecords"));
            XmPlayerService.E().getSharedPreferences("errorMsg_live", a.f5992e);
            a.this.a(sharedPreferences.edit().remove("mLiveRecords"));
        }

        @Override // com.ximalaya.ting.android.opensdk.datatrasfer.IDataCallBack
        public void onError(f fVar) {
            g.a((Object) ("postBatchRecord onError  " + fVar.b()));
            if (!TextUtils.isEmpty(this.f5996a)) {
                a.this.a((a) this.f5996a, (String) XmPlayRecord.TYPE_TRACK);
            }
            if (!TextUtils.isEmpty(this.f5997b)) {
                a.this.a((a) this.f5997b, (String) XmPlayRecord.TYPE_RADIO_SCHEDULE);
            }
            if (!TextUtils.isEmpty(this.f5998c)) {
                a.this.a((a) this.f5998c, (String) XmPlayRecord.TYPE_LIVE);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: OpenSdkPlayStatisticUpload */
    public class b extends TypeToken<LinkedList<Map<String, String>>> {
        b(a aVar) {
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: OpenSdkPlayStatisticUpload */
    public class c implements AsyncGson.IResult<LinkedList<IotXmPlayTrackRecord>> {
        c() {
        }

        /* renamed from: a */
        public void postResult(LinkedList<IotXmPlayTrackRecord> linkedList) {
            a.this.f5995c = linkedList;
        }

        @Override // com.ximalaya.ting.android.opensdk.util.AsyncGson.IResult
        public void postException(Exception exc) {
            a.this.a(XmPlayerService.E().getSharedPreferences("errorMsg_trace", a.f5992e).edit().remove("mTrackRecords"));
        }
    }

    private a() {
        this.f5993a.start();
        this.f5994b = new Handler(this.f5993a.getLooper());
        b();
    }

    private void b() {
        if (XmPlayerService.E() != null) {
            String string = XmPlayerService.E().getSharedPreferences("errorMsg_trace", f5992e).getString("mTrackRecords", "");
            String string2 = XmPlayerService.E().getSharedPreferences("errorMsg_radio", f5992e).getString("mRadioRecords", "");
            String string3 = XmPlayerService.E().getSharedPreferences("errorMsg_live", f5992e).getString("mLiveRecords", "");
            if (!TextUtils.isEmpty(string2) || !TextUtils.isEmpty(string) || !TextUtils.isEmpty(string3)) {
                HashMap hashMap = new HashMap();
                if (!TextUtils.isEmpty(string)) {
                    hashMap.put("track_records", string);
                }
                if (!TextUtils.isEmpty(string2)) {
                    hashMap.put("radio_records", string2);
                }
                if (!TextUtils.isEmpty(string3)) {
                    hashMap.put("live_records", string3);
                }
                CommonRequest.f(hashMap, new C0188a(string, string2, string3));
            }
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.statistic.IXmPlayStatisticUpload
    public void release() {
        synchronized (a.class) {
            this.f5994b.removeCallbacksAndMessages(null);
            this.f5993a.quit();
            f5991d = null;
        }
    }

    @Override // com.ximalaya.ting.android.opensdk.player.statistic.IXmPlayStatisticUpload
    public void upLoadData(XmPlayRecord xmPlayRecord) {
        if (xmPlayRecord.isPlayTrack()) {
            this.f5995c.addLast(new IotXmPlayTrackRecord(xmPlayRecord.getId(), (double) xmPlayRecord.getDuration(), (double) xmPlayRecord.getPlayedSecs(), xmPlayRecord.getStartTime(), 0, xmPlayRecord.getRecSrc(), xmPlayRecord.getRecTrack(), xmPlayRecord.getPlaySource()));
            while (this.f5995c.size() > 200) {
                this.f5995c.removeFirst();
            }
        }
    }

    public static a a() {
        if (f5991d == null) {
            synchronized (a.class) {
                if (f5991d == null) {
                    f5991d = new a();
                }
            }
        }
        return f5991d;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str, int i2) {
        Type type = new b(this).getType();
        if (i2 == XmPlayRecord.TYPE_TRACK) {
            new AsyncGson().a(str, type, new c());
        }
    }

    @SuppressLint({"NewApi"})
    public void a(SharedPreferences.Editor editor) {
        if (Build.VERSION.SDK_INT >= 9) {
            editor.apply();
        } else {
            editor.commit();
        }
    }
}
