package com.ximalaya.ting.android.opensdk.player.statistic;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.ximalaya.ting.android.opensdk.constants.PreferenceConstantsInOpenSdk;
import com.ximalaya.ting.android.opensdk.model.PlayMode;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.history.XmPlayRecord;
import com.ximalaya.ting.android.opensdk.model.statistic.RecordModel;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerControl;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerService;
import com.ximalaya.ting.android.opensdk.util.c;
import com.ximalaya.ting.android.opensdk.util.g;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.Map;

/* compiled from: XmStatisticsManager */
public class b {
    private static volatile b r;
    private static byte[] s = new byte[0];

    /* renamed from: a  reason: collision with root package name */
    private IXmPlayStatisticUpload f6001a;

    /* renamed from: b  reason: collision with root package name */
    private IXmUserOneDateListener f6002b;

    /* renamed from: c  reason: collision with root package name */
    private XmPlayRecord f6003c;

    /* renamed from: d  reason: collision with root package name */
    private RecordModel f6004d = null;

    /* renamed from: e  reason: collision with root package name */
    private boolean f6005e = false;

    /* renamed from: f  reason: collision with root package name */
    private boolean f6006f;

    /* renamed from: g  reason: collision with root package name */
    private Context f6007g;

    /* renamed from: h  reason: collision with root package name */
    public String f6008h;

    /* renamed from: i  reason: collision with root package name */
    public String f6009i;

    /* renamed from: j  reason: collision with root package name */
    public Map<String, String> f6010j;
    int k = 0;
    private long l;
    private long m;
    private boolean n;
    private int o;
    private long p;
    private long q = 0;

    private b() {
        e();
    }

    private boolean b(Track track) {
        return track != null && PlayableModel.KIND_SCHEDULE.equals(track.getKind());
    }

    public static b d() {
        if (r == null) {
            synchronized (s) {
                if (r == null) {
                    r = new b();
                }
            }
        }
        return r;
    }

    private void e() {
        this.f6003c = new XmPlayRecord();
        XmPlayerControl.x = 0;
    }

    private void f() {
        if (!TextUtils.equals(this.f6008h, this.f6009i) && !TextUtils.isEmpty(this.f6008h)) {
            this.f6009i = this.f6008h;
        }
    }

    private void g() {
        Map<String, String> map = this.f6010j;
        if (map != null && this.f6003c != null && map.containsKey("tid")) {
            this.f6003c.setTid(this.f6010j.get("tid"));
        }
    }

    public void a(Context context) {
        this.f6007g = context;
    }

    public void c() {
        synchronized (s) {
            XmPlayerControl.x = 0;
            XmPlayerControl.y = 0;
            if (this.f6002b != null) {
                this.f6002b.release();
            }
        }
    }

    public void a(String str) {
        if (!TextUtils.isEmpty(str)) {
            try {
                this.f6001a = (IXmPlayStatisticUpload) Class.forName(str).getDeclaredMethod("getInstance", new Class[0]).invoke(null, new Object[0]);
            } catch (Exception unused) {
            }
        }
    }

    public void b() {
        IXmUserOneDateListener iXmUserOneDateListener = this.f6002b;
        if (iXmUserOneDateListener != null) {
            iXmUserOneDateListener.onSoundSwitch();
        }
    }

    public boolean a(int i2, int i3) {
        this.k = i2;
        if (Math.abs(i2 - this.k) > 1200) {
            this.f6006f = true;
        } else {
            this.f6006f = false;
        }
        return this.f6006f;
    }

    private boolean c(Track track) {
        if (track != null) {
            return PlayableModel.isTrackKind(track.getKind()) || PlayableModel.KIND_TTS.equals(track.getKind());
        }
        return false;
    }

    public void a(int i2, int i3, int i4) {
        int i5 = i2 != 0 ? (i2 * i3) / 100 : 0;
        if (i4 > 15000 && i4 < i3 - 15000 && i2 > 5) {
            if (i4 >= i5) {
                this.n = true;
                if (this.n && !this.f6006f) {
                    this.o++;
                    this.l = System.currentTimeMillis();
                }
            } else if (i4 < i5 + 3000 && this.n) {
                this.m = System.currentTimeMillis();
                long j2 = this.l;
                if (j2 != 0) {
                    this.p += this.m - j2;
                    this.n = false;
                }
            }
        }
    }

    public void a(Track track, boolean z, int i2, String str) {
        if (track != null && this.f6003c != null) {
            this.f6005e = true;
            long currentTimeMillis = System.currentTimeMillis();
            if (track.getDataId() != this.f6003c.getId() || (track.getDataId() == this.f6003c.getId() && XmPlayerService.E() != null && XmPlayerService.E().s() == PlayMode.PLAY_MODEL_SINGLE_LOOP)) {
                this.p = 0;
                this.n = false;
                this.o = 0;
                this.l = 0;
                this.m = 0;
                this.f6003c.setDuration(0);
                XmPlayerControl.x = 0;
                this.f6003c.setStartTime(currentTimeMillis);
                if (!TextUtils.isEmpty(str)) {
                    this.f6003c.setTrack_url(str);
                }
                if (PlayableModel.KIND_SCHEDULE.equals(track.getKind()) || PlayableModel.KIND_RADIO.equals(track.getKind())) {
                    if (track.isExtraa()) {
                        this.f6003c.setId(track.getDataId());
                        this.f6003c.setActivityId(track.getTrackActivityId());
                        this.f6003c.setType(XmPlayRecord.TYPE_RADIO_SCHEDULE);
                        this.f6003c.setIfPlayActivity(true);
                    } else {
                        if (c.a(track.getStartTime() + "-" + track.getEndTime()) != 0) {
                            this.f6003c.setType(XmPlayRecord.TYPE_TRACK);
                            this.f6003c.setId(track.getDataId());
                            g.c("StatisticsManager", "object :track" + this.f6003c.getId());
                        } else {
                            if (PlayableModel.KIND_SCHEDULE.equals(track.getKind())) {
                                this.f6003c.setId(track.getRadioId());
                            } else if (PlayableModel.KIND_RADIO.equals(track.getKind())) {
                                this.f6003c.setId(track.getDataId());
                            }
                            this.f6003c.setType(XmPlayRecord.TYPE_RADIO_SCHEDULE);
                            this.f6003c.setIfPlayActivity(false);
                        }
                    }
                    g.c("StatisticsManager", "object :radio" + this.f6003c.getId() + " isPlayTrack:" + this.f6003c.isPlayTrack() + " isActivity:" + this.f6003c.isActivity());
                } else if (PlayableModel.isTrackKind(track.getKind()) || PlayableModel.KIND_TTS.equals(track.getKind())) {
                    this.f6003c.setType(XmPlayRecord.TYPE_TRACK);
                    this.f6003c.setId(track.getDataId());
                    this.f6003c.setRecordKind(1);
                    if (track.getAlbum() != null) {
                        this.f6003c.setAlbumId(track.getAlbum().getAlbumId());
                    }
                    this.f6003c.setRecSrc(track.getRecSrc());
                    this.f6003c.setRecTrack(track.getRecTrack());
                    this.f6003c.setPlaySource(track.getPlaySource());
                    g.c("StatisticsManager", "object :track" + this.f6003c.getId());
                } else if (PlayableModel.KIND_LIVE_FLV.equals(track.getKind())) {
                    this.f6003c.setType(XmPlayRecord.TYPE_LIVE);
                    this.f6003c.setId(track.getDataId());
                    this.f6003c.setLiveRoomId(track.getLiveRoomId());
                    if (track.getAnnouncer() != null) {
                        this.f6003c.setAnchorId(track.getAnnouncer().getAnnouncerId());
                    }
                    this.f6003c.setRecordKind(4);
                }
                this.f6003c.setPlayType(!z ? 1 : 0);
                if (this.f6001a != null && c(track)) {
                    this.f6003c.setStatType(1);
                } else if (this.f6001a != null && b(track)) {
                    this.f6003c.setStatType(2);
                } else if (this.f6001a != null && a(track)) {
                    this.f6003c.setStatType(3);
                }
            }
            if (!this.f6003c.isPlayTrack()) {
                XmPlayerControl.y = System.currentTimeMillis();
            } else {
                XmPlayerControl.y = (long) i2;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x0106 A[SYNTHETIC, Splitter:B:40:0x0106] */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012f  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x013c  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0179  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x018c  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x01d5  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x01fe  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x0230  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0253  */
    public void a(Track track, int i2) {
        XmPlayRecord xmPlayRecord;
        long j2;
        long j3;
        SharedPreferences sharedPreferences;
        int i3;
        RecordModel recordModel;
        if (track != null && (xmPlayRecord = this.f6003c) != null && this.f6005e) {
            this.f6005e = false;
            if (xmPlayRecord instanceof XmPlayRecord) {
                if (xmPlayRecord.isPlayTrack()) {
                    this.f6003c.setPlayedSecs((long) i2);
                    j3 = 0;
                    j2 = 0;
                } else {
                    SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yy:MM:dd:HH:mm", Locale.getDefault());
                    if (TextUtils.isEmpty(track.getStartTime()) || TextUtils.isEmpty(track.getEndTime())) {
                        this.f6003c.setPlayedSecs(0);
                        j3 = 0;
                        j2 = 0;
                    } else {
                        try {
                            j3 = simpleDateFormat.parse(track.getStartTime()).getTime();
                            try {
                                j2 = System.currentTimeMillis();
                                try {
                                    this.f6003c.setPlayedSecs(simpleDateFormat.parse(simpleDateFormat.format(new Date(System.currentTimeMillis()))).getTime() - j3);
                                } catch (ParseException unused) {
                                }
                            } catch (ParseException unused2) {
                                j2 = 0;
                                this.f6003c.setPlayedSecs(0);
                                this.f6003c.setProgramId(track.getProgramId());
                                this.f6003c.setProgramScheduleId(track.getScheduleId());
                                int i4 = (int) XmPlayerControl.x;
                                long j4 = (long) i4;
                                this.q += j4;
                                sharedPreferences = this.f6007g.getSharedPreferences(PreferenceConstantsInOpenSdk.OPENSDK_FILENAME_TOTAL_PLAY_SEC, 4);
                                long j5 = sharedPreferences.getLong(PreferenceConstantsInOpenSdk.OPENSDK_KEY_LISTENED_TIME_BEFORE_APPRAISED, 0) * 1000;
                                g.c("fjsdoifj", j5 + "    " + this.q);
                                sharedPreferences.edit().putBoolean(PreferenceConstantsInOpenSdk.OPENSDK_KEY_IS_TIME_TO_APPRAISED, true).apply();
                                this.f6003c.setDuration(j4);
                                this.f6003c.setSendDataTime(System.currentTimeMillis());
                                if (j2 == 0) {
                                }
                                this.f6003c.setEndTime(j2);
                                if (!this.f6003c.isPlayTrack()) {
                                }
                                i3 = 0;
                                this.f6003c.setClientTraffic((((long) i3) * track.getDownloadSize()) / 1000);
                                g.a((Object) ("Test statistic track onStopTrack old" + this.f6003c.getRecSrc()));
                                if (!TextUtils.isEmpty(track.getRecSrc())) {
                                }
                                this.f6003c.setPlaySource(track.getPlaySource());
                                recordModel = this.f6004d;
                                if (recordModel != null) {
                                }
                                boolean z = false;
                                this.f6003c.setStatType(0);
                                if (this.f6001a == null) {
                                }
                                g.c("StatisticsManager", "stop:position=" + i2 + "durtion=" + this.f6003c.getDuration());
                                if (TextUtils.isEmpty(this.f6009i)) {
                                }
                                this.f6003c.setBlockCount(this.o);
                                this.f6003c.setBlockDuration(this.p);
                                this.f6003c.setXmUploadPlayResource(this.f6009i);
                                this.f6003c.setStartedPosition(i2);
                                g();
                                if (track != null) {
                                }
                                this.f6001a.upLoadData(this.f6003c);
                                f();
                                XmPlayerControl.x = 0;
                            }
                        } catch (ParseException unused3) {
                            j3 = 0;
                            j2 = 0;
                            this.f6003c.setPlayedSecs(0);
                            this.f6003c.setProgramId(track.getProgramId());
                            this.f6003c.setProgramScheduleId(track.getScheduleId());
                            int i42 = (int) XmPlayerControl.x;
                            long j42 = (long) i42;
                            this.q += j42;
                            sharedPreferences = this.f6007g.getSharedPreferences(PreferenceConstantsInOpenSdk.OPENSDK_FILENAME_TOTAL_PLAY_SEC, 4);
                            long j52 = sharedPreferences.getLong(PreferenceConstantsInOpenSdk.OPENSDK_KEY_LISTENED_TIME_BEFORE_APPRAISED, 0) * 1000;
                            g.c("fjsdoifj", j52 + "    " + this.q);
                            sharedPreferences.edit().putBoolean(PreferenceConstantsInOpenSdk.OPENSDK_KEY_IS_TIME_TO_APPRAISED, true).apply();
                            this.f6003c.setDuration(j42);
                            this.f6003c.setSendDataTime(System.currentTimeMillis());
                            if (j2 == 0) {
                            }
                            this.f6003c.setEndTime(j2);
                            if (!this.f6003c.isPlayTrack()) {
                            }
                            i3 = 0;
                            this.f6003c.setClientTraffic((((long) i3) * track.getDownloadSize()) / 1000);
                            g.a((Object) ("Test statistic track onStopTrack old" + this.f6003c.getRecSrc()));
                            if (!TextUtils.isEmpty(track.getRecSrc())) {
                            }
                            this.f6003c.setPlaySource(track.getPlaySource());
                            recordModel = this.f6004d;
                            if (recordModel != null) {
                            }
                            boolean z2 = false;
                            this.f6003c.setStatType(0);
                            if (this.f6001a == null) {
                            }
                            g.c("StatisticsManager", "stop:position=" + i2 + "durtion=" + this.f6003c.getDuration());
                            if (TextUtils.isEmpty(this.f6009i)) {
                            }
                            this.f6003c.setBlockCount(this.o);
                            this.f6003c.setBlockDuration(this.p);
                            this.f6003c.setXmUploadPlayResource(this.f6009i);
                            this.f6003c.setStartedPosition(i2);
                            g();
                            if (track != null) {
                            }
                            this.f6001a.upLoadData(this.f6003c);
                            f();
                            XmPlayerControl.x = 0;
                        }
                    }
                    this.f6003c.setProgramId(track.getProgramId());
                    this.f6003c.setProgramScheduleId(track.getScheduleId());
                }
                int i422 = (int) XmPlayerControl.x;
                long j422 = (long) i422;
                this.q += j422;
                sharedPreferences = this.f6007g.getSharedPreferences(PreferenceConstantsInOpenSdk.OPENSDK_FILENAME_TOTAL_PLAY_SEC, 4);
                long j522 = sharedPreferences.getLong(PreferenceConstantsInOpenSdk.OPENSDK_KEY_LISTENED_TIME_BEFORE_APPRAISED, 0) * 1000;
                g.c("fjsdoifj", j522 + "    " + this.q);
                if (this.q > j522 && this.f6007g != null && !sharedPreferences.getBoolean(PreferenceConstantsInOpenSdk.OPENSDK_KEY_IS_TIME_TO_APPRAISED, false)) {
                    sharedPreferences.edit().putBoolean(PreferenceConstantsInOpenSdk.OPENSDK_KEY_IS_TIME_TO_APPRAISED, true).apply();
                }
                this.f6003c.setDuration(j422);
                this.f6003c.setSendDataTime(System.currentTimeMillis());
                if (j2 == 0) {
                    try {
                        j2 = new SimpleDateFormat("yy:MM:dd:HH:mm", Locale.getDefault()).parse(track.getEndTime()).getTime();
                    } catch (Exception unused4) {
                        j2 = System.currentTimeMillis();
                    }
                }
                this.f6003c.setEndTime(j2);
                if (!this.f6003c.isPlayTrack()) {
                    long j6 = j2 - j3;
                    if (j6 != 0) {
                        i3 = (int) (j422 / j6);
                        this.f6003c.setClientTraffic((((long) i3) * track.getDownloadSize()) / 1000);
                        g.a((Object) ("Test statistic track onStopTrack old" + this.f6003c.getRecSrc()));
                        if (!TextUtils.isEmpty(track.getRecSrc())) {
                        }
                        this.f6003c.setPlaySource(track.getPlaySource());
                        recordModel = this.f6004d;
                        if (recordModel != null) {
                        }
                        boolean z22 = false;
                        this.f6003c.setStatType(0);
                        if (this.f6001a == null) {
                        }
                        g.c("StatisticsManager", "stop:position=" + i2 + "durtion=" + this.f6003c.getDuration());
                        if (TextUtils.isEmpty(this.f6009i)) {
                        }
                        this.f6003c.setBlockCount(this.o);
                        this.f6003c.setBlockDuration(this.p);
                        this.f6003c.setXmUploadPlayResource(this.f6009i);
                        this.f6003c.setStartedPosition(i2);
                        g();
                        if (track != null) {
                        }
                        this.f6001a.upLoadData(this.f6003c);
                        f();
                        XmPlayerControl.x = 0;
                    }
                } else if (track.getDuration() != 0) {
                    i3 = i422 / track.getDuration();
                    this.f6003c.setClientTraffic((((long) i3) * track.getDownloadSize()) / 1000);
                    g.a((Object) ("Test statistic track onStopTrack old" + this.f6003c.getRecSrc()));
                    if (!TextUtils.isEmpty(track.getRecSrc())) {
                        this.f6003c.setRecSrc(track.getRecSrc());
                        this.f6003c.setRecTrack(track.getRecTrack());
                    } else if (track.getAlbum() != null) {
                        this.f6003c.setRecSrc(track.getAlbum().getRecSrc());
                        this.f6003c.setRecTrack(track.getAlbum().getRecTrack());
                        g.a((Object) ("Test statistic track onStopTrack new" + track.getAlbum().getRecSrc()));
                    }
                    this.f6003c.setPlaySource(track.getPlaySource());
                    recordModel = this.f6004d;
                    if (recordModel != null) {
                        this.f6003c.setConnect_type(recordModel.getType());
                        this.f6003c.setConnect_device(this.f6004d.getDevice());
                        this.f6003c.setConnect_deviceName(this.f6004d.getDeviceName());
                    }
                    boolean z222 = false;
                    this.f6003c.setStatType(0);
                    if (this.f6001a == null) {
                        this.f6001a = a.a();
                    }
                    g.c("StatisticsManager", "stop:position=" + i2 + "durtion=" + this.f6003c.getDuration());
                    if (TextUtils.isEmpty(this.f6009i)) {
                        this.f6009i = this.f6008h;
                    }
                    this.f6003c.setBlockCount(this.o);
                    this.f6003c.setBlockDuration(this.p);
                    this.f6003c.setXmUploadPlayResource(this.f6009i);
                    this.f6003c.setStartedPosition(i2);
                    g();
                    if (track != null) {
                        XmPlayRecord xmPlayRecord2 = this.f6003c;
                        if (track.getType() == 2147483547) {
                            z222 = true;
                        }
                        xmPlayRecord2.setLocalWifi(z222);
                    }
                    this.f6001a.upLoadData(this.f6003c);
                    f();
                    XmPlayerControl.x = 0;
                }
                i3 = 0;
                this.f6003c.setClientTraffic((((long) i3) * track.getDownloadSize()) / 1000);
                g.a((Object) ("Test statistic track onStopTrack old" + this.f6003c.getRecSrc()));
                if (!TextUtils.isEmpty(track.getRecSrc())) {
                }
                this.f6003c.setPlaySource(track.getPlaySource());
                recordModel = this.f6004d;
                if (recordModel != null) {
                }
                boolean z2222 = false;
                this.f6003c.setStatType(0);
                if (this.f6001a == null) {
                }
                g.c("StatisticsManager", "stop:position=" + i2 + "durtion=" + this.f6003c.getDuration());
                if (TextUtils.isEmpty(this.f6009i)) {
                }
                this.f6003c.setBlockCount(this.o);
                this.f6003c.setBlockDuration(this.p);
                this.f6003c.setXmUploadPlayResource(this.f6009i);
                this.f6003c.setStartedPosition(i2);
                g();
                if (track != null) {
                }
                this.f6001a.upLoadData(this.f6003c);
                f();
                XmPlayerControl.x = 0;
            }
        }
    }

    private boolean a(Track track) {
        return track != null && PlayableModel.KIND_RADIO.equals(track.getKind()) && track.isExtraa();
    }

    public void a(int i2) {
        IXmUserOneDateListener iXmUserOneDateListener = this.f6002b;
        if (iXmUserOneDateListener != null) {
            iXmUserOneDateListener.onSeekComplete(i2);
        }
    }

    public void a(int i2, boolean z) {
        IXmUserOneDateListener iXmUserOneDateListener = this.f6002b;
        if (iXmUserOneDateListener != null) {
            iXmUserOneDateListener.onPlayStart(i2, z);
        }
    }

    public void a(int i2, int i3, boolean z) {
        IXmUserOneDateListener iXmUserOneDateListener = this.f6002b;
        if (iXmUserOneDateListener != null) {
            iXmUserOneDateListener.onPlayProgress(i2, i3, z);
        }
    }

    public void a() {
        IXmUserOneDateListener iXmUserOneDateListener = this.f6002b;
        if (iXmUserOneDateListener != null) {
            iXmUserOneDateListener.onPlayStop();
        }
    }
}
