package com.ximalaya.ting.android.opensdk.util;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.media.ExifInterface;
import android.media.ThumbnailUtils;
import android.os.Handler;
import android.os.Looper;
import android.os.StatFs;
import android.text.TextUtils;
import com.ximalaya.ting.android.opensdk.httputil.Config;
import com.ximalaya.ting.android.opensdk.httputil.h;
import com.ximalaya.ting.android.opensdk.httputil.util.freeflow.FreeFlowServiceUtil;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.player.MD5;
import d.h.b.a.a.b.a.d;
import i.a0;
import i.c0;
import i.d;
import i.h0.e;
import i.x;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArraySet;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class FileUtilBase {

    /* renamed from: a  reason: collision with root package name */
    private static String f6014a;

    /* renamed from: b  reason: collision with root package name */
    private static String f6015b;

    /* renamed from: c  reason: collision with root package name */
    private static String f6016c;

    /* renamed from: d  reason: collision with root package name */
    private static ExecutorService f6017d = Executors.newCachedThreadPool();

    /* renamed from: e  reason: collision with root package name */
    private static Bitmap f6018e;

    /* renamed from: f  reason: collision with root package name */
    private static Map<String, Set<c>> f6019f = new ConcurrentHashMap();

    /* renamed from: g  reason: collision with root package name */
    private static x f6020g;

    /* renamed from: h  reason: collision with root package name */
    private static i.c f6021h;

    public interface IBitmapDownOkCallBack {
        void onSuccess(Bitmap bitmap);
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ IBitmapDownOkCallBack f6022a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Bitmap f6023b;

        a(IBitmapDownOkCallBack iBitmapDownOkCallBack, Bitmap bitmap) {
            this.f6022a = iBitmapDownOkCallBack;
            this.f6023b = bitmap;
        }

        public void run() {
            if (this.f6022a != null) {
                Bitmap bitmap = this.f6023b;
                if (bitmap == null || bitmap.isRecycled()) {
                    this.f6022a.onSuccess(null);
                    return;
                }
                try {
                    this.f6022a.onSuccess(this.f6023b);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        IBitmapDownOkCallBack f6031a;

        /* renamed from: b  reason: collision with root package name */
        public int f6032b;

        /* renamed from: c  reason: collision with root package name */
        public int f6033c;

        c(IBitmapDownOkCallBack iBitmapDownOkCallBack, int i2, int i3) {
            this.f6031a = iBitmapDownOkCallBack;
            this.f6032b = i2;
            this.f6033c = i3;
        }
    }

    private static int a(int i2) {
        if (i2 == 6) {
            return 90;
        }
        if (i2 == 3) {
            return 180;
        }
        return i2 == 8 ? 270 : 0;
    }

    private static int d(Context context) {
        Resources resources;
        if (context == null || (resources = context.getResources()) == null) {
            return 1;
        }
        int i2 = resources.getDisplayMetrics().widthPixels;
        int i3 = resources.getDisplayMetrics().heightPixels;
        return i2 > i3 ? i2 : i3;
    }

    private static int e(Context context) {
        Resources resources;
        if (context == null || (resources = context.getResources()) == null) {
            return 1;
        }
        int i2 = resources.getDisplayMetrics().widthPixels;
        int i3 = resources.getDisplayMetrics().heightPixels;
        return i2 < i3 ? i2 : i3;
    }

    private static String b(Track track) {
        return c(track);
    }

    /* access modifiers changed from: private */
    public static String c(Track track) {
        if (track != null) {
            if (!TextUtils.isEmpty(track.getCoverUrlMiddle())) {
                return track.getCoverUrlMiddle();
            }
            if (!TextUtils.isEmpty(track.getCoverUrlSmall())) {
                return track.getCoverUrlSmall();
            }
            if (!TextUtils.isEmpty(track.getCoverUrlLarge())) {
                return track.getCoverUrlLarge();
            }
        }
        return "";
    }

    /* access modifiers changed from: private */
    public static void b(Bitmap bitmap, String str) {
        int i2;
        Set<c> set = f6019f.get(str);
        if (set != null) {
            for (c cVar : set) {
                if (cVar != null && cVar.f6031a != null && (bitmap == null || (bitmap != null && !bitmap.isRecycled()))) {
                    int i3 = cVar.f6032b;
                    if (i3 <= 0 || (i2 = cVar.f6033c) <= 0) {
                        a(cVar.f6031a, bitmap);
                    } else {
                        a(cVar.f6031a, ThumbnailUtils.extractThumbnail(bitmap, i3, i2));
                    }
                } else if (cVar != null) {
                    a(cVar.f6031a, (Bitmap) null);
                }
            }
            f6019f.remove(str);
        }
    }

    /* access modifiers changed from: package-private */
    public static class b implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private Context f6024a;

        /* renamed from: b  reason: collision with root package name */
        private String f6025b;

        /* renamed from: c  reason: collision with root package name */
        int f6026c;

        /* renamed from: d  reason: collision with root package name */
        int f6027d;

        /* renamed from: e  reason: collision with root package name */
        IBitmapDownOkCallBack f6028e;

        /* renamed from: f  reason: collision with root package name */
        private Track f6029f;

        /* renamed from: g  reason: collision with root package name */
        private long f6030g;

        b(Context context, String str, int i2, int i3, IBitmapDownOkCallBack iBitmapDownOkCallBack, Track track) {
            this(context, str, track);
            this.f6026c = i2;
            this.f6027d = i3;
            this.f6028e = iBitmapDownOkCallBack;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:21:0x0071, code lost:
            if ((r7.f6030g + "").equals(com.ximalaya.ting.android.opensdk.util.FileUtilBase.f6014a) != false) goto L_0x007e;
         */
        /* JADX WARNING: Removed duplicated region for block: B:10:0x0031 A[Catch:{ Exception -> 0x003e }] */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0046  */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x004a  */
        public void run() {
            boolean z;
            IBitmapDownOkCallBack iBitmapDownOkCallBack;
            String str = this.f6025b;
            if (str != null) {
                if (str.equals(this.f6030g + "")) {
                    this.f6025b = FileUtilBase.c(this.f6029f);
                    z = true;
                    Bitmap bitmap = null;
                    if (!TextUtils.isEmpty(this.f6025b)) {
                        bitmap = FileUtilBase.a(this.f6024a, this.f6025b, this.f6026c, this.f6027d);
                    }
                    iBitmapDownOkCallBack = this.f6028e;
                    if (iBitmapDownOkCallBack == null) {
                        FileUtilBase.a(iBitmapDownOkCallBack, bitmap);
                        return;
                    }
                    if (!this.f6025b.equals(FileUtilBase.f6014a)) {
                        if (z) {
                        }
                        FileUtilBase.f6019f.remove(this.f6025b);
                        return;
                    }
                    Bitmap unused = FileUtilBase.f6018e = bitmap;
                    FileUtilBase.b(FileUtilBase.f6018e, FileUtilBase.f6014a);
                    return;
                }
            }
            z = false;
            Bitmap bitmap2 = null;
            try {
                if (!TextUtils.isEmpty(this.f6025b)) {
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            iBitmapDownOkCallBack = this.f6028e;
            if (iBitmapDownOkCallBack == null) {
            }
        }

        b(Context context, String str, Track track) {
            this.f6024a = context;
            this.f6025b = str;
            this.f6029f = track;
            if (track != null) {
                this.f6030g = track.getDataId();
            }
        }
    }

    public static void d() {
        f6014a = null;
        f6015b = null;
        f6018e = null;
        f6019f.clear();
        f6020g = null;
        f6021h = null;
    }

    public static void a(Context context, Track track, int i2, int i3, IBitmapDownOkCallBack iBitmapDownOkCallBack) {
        a(context, track, b(track), i2, i3, iBitmapDownOkCallBack, false);
    }

    private static void a(Context context, Track track, String str, int i2, int i3, IBitmapDownOkCallBack iBitmapDownOkCallBack, boolean z) {
        if (TextUtils.isEmpty(str) || "null".equals(str)) {
            if (iBitmapDownOkCallBack != null) {
                iBitmapDownOkCallBack.onSuccess(null);
            }
        } else if (context != null) {
            synchronized (FileUtilBase.class) {
                if (z) {
                    if (f6017d == null || f6017d.isShutdown()) {
                        f6017d = Executors.newCachedThreadPool();
                    }
                    try {
                        f6017d.execute(new b(context, str, i2, i3, iBitmapDownOkCallBack, track));
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    return;
                }
                boolean z2 = false;
                if (!str.equals(f6014a)) {
                    f6014a = str;
                    f6019f.clear();
                    f6018e = null;
                } else if (!(f6018e == null || f6018e.isRecycled() || iBitmapDownOkCallBack == null)) {
                    iBitmapDownOkCallBack.onSuccess(f6018e);
                    return;
                }
                Set<c> set = f6019f.get(str);
                if (set == null) {
                    set = new CopyOnWriteArraySet<>();
                    z2 = true;
                }
                set.add(new c(iBitmapDownOkCallBack, 640, 640));
                f6019f.put(str, set);
                if (z2) {
                    if (f6017d == null || f6017d.isShutdown()) {
                        f6017d = Executors.newCachedThreadPool();
                    }
                    try {
                        f6017d.execute(new b(context, str, track));
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                }
            }
        } else if (iBitmapDownOkCallBack != null) {
            iBitmapDownOkCallBack.onSuccess(null);
        }
    }

    private static x c(Context context) {
        if (f6020g == null) {
            synchronized (FileUtilBase.class) {
                if (f6020g == null) {
                    f6020g = d.k().d();
                    x.b s = f6020g.s();
                    s.a(b(context));
                    f6020g = s.a();
                }
            }
        }
        return f6020g;
    }

    public static i.c b(Context context) {
        if (f6021h == null) {
            synchronized (FileUtilBase.class) {
                if (f6021h == null) {
                    File a2 = a(context);
                    f6021h = new i.c(a2, a(a2));
                }
            }
        }
        return f6021h;
    }

    private static String b(String str) {
        int lastIndexOf = str.lastIndexOf(46);
        if (lastIndexOf == -1) {
            return null;
        }
        return MD5.md5(str) + str.substring(lastIndexOf + 1);
    }

    private static byte[] b(InputStream inputStream) throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        byte[] bArr = new byte[4096];
        while (true) {
            int read = inputStream.read(bArr);
            if (-1 == read) {
                return byteArrayOutputStream.toByteArray();
            }
            byteArrayOutputStream.write(bArr, 0, read);
        }
    }

    static void a(IBitmapDownOkCallBack iBitmapDownOkCallBack, Bitmap bitmap) {
        new Handler(Looper.getMainLooper()).post(new a(iBitmapDownOkCallBack, bitmap));
    }

    static Bitmap a(Context context, String str, int i2, int i3) {
        boolean z;
        i.d dVar;
        Bitmap bitmap;
        if (context == null) {
            return null;
        }
        if (i3 <= 0) {
            i3 = d(context);
        }
        if (i2 <= 0) {
            i2 = e(context);
        }
        f6015b = context.getCacheDir().getAbsolutePath() + File.separator + "picasso-cache";
        File externalFilesDir = context.getExternalFilesDir("images");
        if (externalFilesDir == null || !externalFilesDir.exists()) {
            f6016c = f6015b;
        } else {
            f6016c = externalFilesDir.getAbsolutePath() + File.separator + "images";
        }
        String str2 = f6015b + File.separator + MD5.md5(str) + ".1";
        boolean exists = new File(str2).exists();
        if (!exists) {
            String str3 = f6016c + File.separator + b(str);
            z = new File(str3).exists();
            if (z) {
                str2 = str3;
            }
        } else {
            z = exists;
        }
        if (z) {
            return a(str2, i2, i3);
        }
        if (!j.c(context)) {
            dVar = i.d.n;
        } else {
            dVar = new d.a().a();
        }
        try {
            f.c(context, str);
            a0.a a2 = com.ximalaya.ting.android.opensdk.httputil.a.a(str);
            a2.a((Object) str);
            if (dVar != null) {
                a2.a(dVar);
            }
            try {
                c0 a3 = c(context).a(a2.a()).a();
                if (a3 != null && a3.d() == 200) {
                    if (new File(str2).exists()) {
                        a3.a().close();
                        return a(str2, i2, i3);
                    } else if (a3.a().b() > 31457280) {
                        return null;
                    } else {
                        InputStream a4 = a3.a().a();
                        try {
                            bitmap = a(a4, i2, i3);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                            bitmap = BitmapFactory.decodeStream(a4);
                        }
                        e.a(a4);
                        return bitmap;
                    }
                }
            } catch (Exception e3) {
                e3.printStackTrace();
            }
        } catch (h | Exception unused) {
        }
        return null;
    }

    public static void a(Context context, Config config) {
        x xVar = f6020g;
        if (xVar != null) {
            x.b s = xVar.s();
            FreeFlowServiceUtil.a(context, config, s, false);
            f6020g = s.a();
        }
    }

    public static File a(Context context) {
        File file = new File(context.getApplicationContext().getCacheDir(), "picasso-cache");
        if (!file.exists()) {
            file.mkdirs();
        }
        return file;
    }

    private static long a(File file) {
        long j2;
        try {
            StatFs statFs = new StatFs(file.getAbsolutePath());
            j2 = (((long) statFs.getBlockCount()) * ((long) statFs.getBlockSize())) / 50;
        } catch (IllegalArgumentException unused) {
            j2 = 5242880;
        }
        return Math.max(Math.min(j2, 52428800L), 5242880L);
    }

    public static Bitmap a(String str, int i2, int i3) {
        Bitmap bitmap;
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        if (i2 > 0 || i3 > 0) {
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeFile(str, options);
            options.inSampleSize = a(options, i2, i3);
            options.inJustDecodeBounds = false;
            bitmap = BitmapFactory.decodeFile(str, options);
        } else {
            try {
                bitmap = BitmapFactory.decodeFile(str);
            } catch (Exception e2) {
                e2.printStackTrace();
                return null;
            }
        }
        ExifInterface a2 = a(str);
        return a2 != null ? a(bitmap, a(a2.getAttributeInt("Orientation", 1))) : bitmap;
    }

    private static Bitmap a(Bitmap bitmap, int i2) {
        if (bitmap == null || i2 == 0) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        matrix.setRotate((float) i2, ((float) bitmap.getWidth()) / 2.0f, ((float) bitmap.getHeight()) / 2.0f);
        Bitmap createBitmap = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
        return bitmap != createBitmap ? createBitmap : bitmap;
    }

    private static int a(BitmapFactory.Options options, int i2, int i3) {
        int i4 = options.outHeight;
        int i5 = options.outWidth;
        int i6 = 1;
        if (i4 > i3 || i5 > i2) {
            while (true) {
                if (i4 / i6 <= i3 && i5 / i6 <= i2) {
                    break;
                }
                i6 *= 2;
            }
        }
        return i6;
    }

    private static ExifInterface a(String str) {
        try {
            return new ExifInterface(str);
        } catch (IOException unused) {
            return null;
        }
    }

    private static Bitmap a(InputStream inputStream, int i2, int i3) throws IOException {
        h hVar = new h(inputStream);
        hVar.a(false);
        long a2 = hVar.a(1024);
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inJustDecodeBounds = true;
        boolean a3 = a(hVar);
        hVar.a(a2);
        if (!a3) {
            BitmapFactory.decodeStream(hVar, null, options);
            options.inSampleSize = a(options, i2, i3);
            options.inJustDecodeBounds = false;
            hVar.a(a2);
            hVar.a(true);
            Bitmap decodeStream = BitmapFactory.decodeStream(hVar, null, options);
            if (decodeStream != null) {
                return decodeStream;
            }
            throw new IOException("Failed to decode stream.");
        }
        byte[] b2 = b(hVar);
        BitmapFactory.decodeByteArray(b2, 0, b2.length, options);
        options.inSampleSize = a(options, i2, i3);
        options.inJustDecodeBounds = false;
        return BitmapFactory.decodeByteArray(b2, 0, b2.length, options);
    }

    private static boolean a(InputStream inputStream) throws IOException {
        byte[] bArr = new byte[12];
        if (inputStream.read(bArr, 0, 12) != 12 || !"RIFF".equals(new String(bArr, 0, 4, "US-ASCII")) || !"WEBP".equals(new String(bArr, 8, 4, "US-ASCII"))) {
            return false;
        }
        return true;
    }
}
