package com.ximalaya.ting.android.player;

import android.net.Uri;
import android.text.TextUtils;
import com.ximalaya.ting.android.player.cdn.CdnCollectDataForPlay;
import com.ximalaya.ting.android.player.cdn.CdnConstants;
import com.ximalaya.ting.android.player.cdn.CdnUtil;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.util.ArrayList;
import java.util.BitSet;
import java.util.Iterator;
import java.util.UUID;

public class FileDesc {
    private static final String TAG = "dl_mp3";
    public volatile BitSet chunkExist;
    private int chunkNum;
    public volatile ArrayList<Integer> chunkOffset;
    private int comChunkNum;
    private long comFileLen;
    private String dirPath;
    public volatile ArrayList<Integer> downloadedChunks;
    private String eTag;
    public volatile int statusCode;
    private String url;
    public volatile boolean valid = false;

    /* JADX WARNING: Removed duplicated region for block: B:41:0x0120  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012d  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0132  */
    /* JADX WARNING: Removed duplicated region for block: B:54:? A[RETURN, SYNTHETIC] */
    public FileDesc(String str, String str2) throws IOException {
        Throwable th;
        FileInputStream fileInputStream;
        DataInputStream dataInputStream;
        Logger.log(XMediaplayerJNI.Tag, "======================FileDesc Constructor()");
        this.dirPath = str;
        this.url = str2;
        createCacheDir();
        String fileNameMd5 = MD5.getFileNameMd5(str2);
        String str3 = str + "/" + fileNameMd5 + ".index";
        File file = new File(str3);
        File file2 = new File(str + "/" + fileNameMd5 + ".chunk");
        if (file.exists() != file2.exists()) {
            file.delete();
            file2.delete();
        }
        if (!file.exists()) {
            initFileDescFormNet(str, str2);
            return;
        }
        FileInputStream fileInputStream2 = null;
        try {
            fileInputStream = new FileInputStream(str3);
            try {
                dataInputStream = new DataInputStream(fileInputStream);
            } catch (Exception unused) {
                dataInputStream = null;
                fileInputStream2 = fileInputStream;
                try {
                    file.delete();
                    file2.delete();
                    initFileDescFormNet(str, str2);
                    if (fileInputStream2 != null) {
                    }
                    if (dataInputStream == null) {
                    }
                    dataInputStream.close();
                } catch (Throwable th2) {
                    th = th2;
                    fileInputStream = fileInputStream2;
                    if (fileInputStream != null) {
                    }
                    if (dataInputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                dataInputStream = null;
                if (fileInputStream != null) {
                }
                if (dataInputStream != null) {
                }
                throw th;
            }
            try {
                this.url = dataInputStream.readUTF();
                if (this.url != null) {
                    if (MD5.getFileNameMd5(this.url).equals(MD5.getFileNameMd5(str2))) {
                        this.comFileLen = dataInputStream.readLong();
                        this.eTag = dataInputStream.readUTF();
                        int ceil = (int) Math.ceil((double) (((float) this.comFileLen) / 65536.0f));
                        Logger.log(XMediaplayerJNI.Tag, "calc002==comChunkNum==:" + this.comFileLen + ", " + ceil);
                        this.comChunkNum = ceil;
                        this.chunkNum = dataInputStream.readInt();
                        ArrayList<Integer> arrayList = new ArrayList<>();
                        for (int i2 = 0; i2 < this.chunkNum; i2++) {
                            arrayList.add(Integer.valueOf(dataInputStream.readInt()));
                        }
                        if (this.comChunkNum > 0) {
                            this.valid = true;
                            initFromArray(arrayList, ceil);
                        }
                        fileInputStream.close();
                        dataInputStream.close();
                    }
                }
                file.delete();
                file2.delete();
                initFileDescFormNet(str, str2);
                fileInputStream.close();
                dataInputStream.close();
            } catch (Exception unused2) {
                fileInputStream2 = fileInputStream;
                file.delete();
                file2.delete();
                initFileDescFormNet(str, str2);
                if (fileInputStream2 != null) {
                    fileInputStream2.close();
                }
                if (dataInputStream == null) {
                    return;
                }
                dataInputStream.close();
            } catch (Throwable th4) {
                th = th4;
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
                if (dataInputStream != null) {
                    dataInputStream.close();
                }
                throw th;
            }
        } catch (Exception unused3) {
            dataInputStream = null;
            file.delete();
            file2.delete();
            initFileDescFormNet(str, str2);
            if (fileInputStream2 != null) {
            }
            if (dataInputStream == null) {
            }
            dataInputStream.close();
        } catch (Throwable th5) {
            th = th5;
            dataInputStream = null;
            fileInputStream = null;
            if (fileInputStream != null) {
            }
            if (dataInputStream != null) {
            }
            throw th;
        }
    }

    private boolean createCacheDir() {
        File file = new File(XMediaPlayerConstants.INCOM_AUDIO_FILE_DIRECTORY);
        if (file.exists() || file.mkdirs()) {
            return true;
        }
        String str = XMediaplayerJNI.Tag;
        Logger.log(str, "目录不存在，创建失败！" + XMediaPlayerConstants.INCOM_AUDIO_FILE_DIRECTORY);
        return false;
    }

    private void initFromArray(ArrayList<Integer> arrayList, int i2) {
        this.chunkExist = new BitSet(i2);
        this.chunkOffset = new ArrayList<>(i2);
        for (int i3 = 0; i3 < i2; i3++) {
            this.chunkOffset.add(i3, -1);
        }
        this.downloadedChunks = arrayList;
        for (int i4 = 0; i4 < arrayList.size(); i4++) {
            this.chunkExist.set(arrayList.get(i4).intValue());
            this.chunkOffset.set(arrayList.get(i4).intValue(), Integer.valueOf(i4));
        }
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof FileDesc)) {
            return false;
        }
        FileDesc fileDesc = (FileDesc) obj;
        String url2 = getUrl();
        if (url2 == null) {
            return false;
        }
        return url2.equals(fileDesc.getUrl());
    }

    public int getComChunkNum() {
        return this.comChunkNum;
    }

    public int getComFileLen() {
        return (int) this.comFileLen;
    }

    public synchronized int getDownloadedChunks() {
        if (this.downloadedChunks == null) {
            return 0;
        }
        return this.downloadedChunks.size();
    }

    public String getETag() {
        return this.eTag;
    }

    public int getErrorCode() {
        return this.statusCode;
    }

    public String getUrl() {
        return this.url;
    }

    public int hashCode() {
        String str = this.url;
        if (str == null) {
            return 0;
        }
        return str.hashCode();
    }

    public void initFileDescFormNet(String str, String str2) throws IOException {
        int i2;
        String uuid = UUID.randomUUID().toString();
        int i3 = 3;
        while (true) {
            int i4 = i3 - 1;
            if (i3 <= 0) {
                break;
            }
            CdnCollectDataForPlay cdnCollectDataForPlay = new CdnCollectDataForPlay();
            HttpURLConnection httpURLConnection = null;
            try {
                String[] strArr = {str2};
                String host = TextUtils.isEmpty(str2) ? "" : Uri.parse(str2).getHost();
                Logger.log(XMediaplayerJNI.Tag, "begin to connectUseDnsCache");
                HttpURLConnection connectionUseDnsCache = PlayerUtil.getConnectionUseDnsCache(strArr, null, 1, false, "HEAD");
                str2 = strArr[0];
                if (connectionUseDnsCache == null) {
                    if (connectionUseDnsCache != null) {
                        connectionUseDnsCache.disconnect();
                    }
                    CdnUtil.statToXDCSError(CdnConstants.CDN_HEAD_INFO_KEY, cdnCollectDataForPlay.toString());
                    if (!this.valid) {
                        if (!TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType())) {
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                            }
                            CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, CdnUtil.getCdnConfigModel());
                        }
                    }
                    i3 = i4;
                } else {
                    this.statusCode = connectionUseDnsCache.getResponseCode();
                    cdnCollectDataForPlay.setType("play_head_fail");
                    String url2 = connectionUseDnsCache.getURL().toString();
                    cdnCollectDataForPlay.setAudioUrl(url2);
                    cdnCollectDataForPlay.setCdnIP(CdnUtil.getUrlIp(url2));
                    cdnCollectDataForPlay.setViaInfo(connectionUseDnsCache.getHeaderField("via"));
                    cdnCollectDataForPlay.setStatusCode(this.statusCode + "");
                    cdnCollectDataForPlay.setCdnDomain(host);
                    cdnCollectDataForPlay.setRequestUUID(uuid);
                    if (this.statusCode < 400) {
                        this.valid = true;
                        if (this.statusCode == 301 || this.statusCode == 302) {
                            str2 = connectionUseDnsCache.getHeaderField("Location");
                            if (connectionUseDnsCache != null) {
                                connectionUseDnsCache.disconnect();
                            }
                            CdnUtil.statToXDCSError(CdnConstants.CDN_HEAD_INFO_KEY, cdnCollectDataForPlay.toString());
                            if (!this.valid) {
                                if (!TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType())) {
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                                    }
                                    CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, CdnUtil.getCdnConfigModel());
                                }
                            }
                            i3 = i4;
                        } else {
                            this.comFileLen = (long) connectionUseDnsCache.getContentLength();
                            cdnCollectDataForPlay.setAudioBytes(this.comFileLen);
                            Logger.log(XMediaplayerJNI.Tag, "conn.getContentLength():" + this.comFileLen);
                            if (this.comFileLen <= 0) {
                                cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_UNKNOWN_EXCEPTION);
                                cdnCollectDataForPlay.setExceptionReason("head request comFileLen<=0");
                                this.valid = false;
                            }
                            this.eTag = connectionUseDnsCache.getHeaderField("ETag");
                            if (this.valid) {
                                if (connectionUseDnsCache != null) {
                                    connectionUseDnsCache.disconnect();
                                }
                                CdnUtil.statToXDCSError(CdnConstants.CDN_HEAD_INFO_KEY, cdnCollectDataForPlay.toString());
                                if (!this.valid && !TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType()) && !TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                                    CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, CdnUtil.getCdnConfigModel());
                                }
                            } else {
                                if (connectionUseDnsCache != null) {
                                    connectionUseDnsCache.disconnect();
                                }
                                CdnUtil.statToXDCSError(CdnConstants.CDN_HEAD_INFO_KEY, cdnCollectDataForPlay.toString());
                                if (!this.valid) {
                                    if (!TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType())) {
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                                        }
                                        CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, CdnUtil.getCdnConfigModel());
                                    }
                                }
                                i3 = i4;
                            }
                        }
                    } else {
                        Logger.log(XMediaplayerJNI.Tag, "Error response code for get head for url: " + str2 + ",status code is: " + this.statusCode + " in handler thread");
                        throw new IOException("http response status code is: " + this.statusCode);
                    }
                }
            } catch (Exception e2) {
                this.valid = false;
                cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                Logger.log(XMediaplayerJNI.Tag, "initFileDescFormNet Exception:" + e2.toString());
                if (0 != 0) {
                    httpURLConnection.disconnect();
                }
                CdnUtil.statToXDCSError(CdnConstants.CDN_HEAD_INFO_KEY, cdnCollectDataForPlay.toString());
                if (!this.valid) {
                    if (!TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType())) {
                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                        }
                    }
                }
            } catch (Throwable th) {
                if (0 != 0) {
                    httpURLConnection.disconnect();
                }
                CdnUtil.statToXDCSError(CdnConstants.CDN_HEAD_INFO_KEY, cdnCollectDataForPlay.toString());
                if (!this.valid && !TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType()) && !TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                    CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, CdnUtil.getCdnConfigModel());
                }
                throw th;
            }
        }
        if (!this.valid) {
            Logger.log(XMediaplayerJNI.Tag, "valid0:" + this.valid + "comFileLen:" + this.comFileLen + "statusCode:" + this.statusCode);
            return;
        }
        Logger.log(XMediaplayerJNI.Tag, "valid1:" + this.valid + "comFileLen:" + this.comFileLen + "statusCode:" + this.statusCode);
        this.comChunkNum = (int) Math.ceil((double) (((float) this.comFileLen) / 65536.0f));
        Logger.log(XMediaplayerJNI.Tag, "calc001==comFileLen==:" + this.comFileLen + ",comChunkNum:" + this.comChunkNum + "statusCode:" + this.statusCode);
        this.chunkNum = 0;
        this.chunkExist = new BitSet(this.comChunkNum);
        int i5 = this.comChunkNum;
        if (i5 > 0) {
            this.chunkOffset = new ArrayList<>(i5);
            for (i2 = 0; i2 < this.comChunkNum; i2++) {
                this.chunkOffset.add(i2, -1);
            }
            this.downloadedChunks = new ArrayList<>();
            saveDescHeadToDisk(str, MD5.getFileNameMd5(str2));
            this.valid = true;
            return;
        }
        this.valid = false;
        this.statusCode = 408;
    }

    public synchronized boolean isChunkDownloaded(int i2) {
        boolean z;
        z = false;
        if (this.chunkExist != null && i2 >= 0 && i2 < this.chunkExist.length()) {
            z = this.chunkExist.get(i2);
        }
        return z;
    }

    public boolean isIndexAvaliable(int i2) {
        return this.chunkExist != null && i2 >= 0 && i2 < this.chunkExist.length();
    }

    public boolean isValid() {
        return this.valid && this.comChunkNum > 0;
    }

    public synchronized void saveDescHeadToDisk(String str, String str2) {
        String str3;
        String str4 = XMediaplayerJNI.Tag;
        Logger.log(str4, "saveDescHeadToDisk(" + str + ", " + str2 + ", " + this.comFileLen + ")");
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(str + "/" + str2 + ".index", false);
            DataOutputStream dataOutputStream = new DataOutputStream(fileOutputStream);
            dataOutputStream.writeUTF(this.url);
            dataOutputStream.writeLong(this.comFileLen);
            if (this.eTag == null) {
                str3 = "";
            } else {
                str3 = this.eTag;
            }
            dataOutputStream.writeUTF(str3);
            dataOutputStream.writeInt(0);
            dataOutputStream.flush();
            dataOutputStream.close();
            fileOutputStream.close();
        } catch (Exception e2) {
            String str5 = XMediaplayerJNI.Tag;
            Logger.log(str5, "exception: saveDescHeadToDisk" + e2.getMessage());
        }
        return;
    }

    public synchronized boolean saveDescToDisk(String str, String str2) {
        String str3;
        Logger.log(XMediaplayerJNI.Tag, "======================saveDescToDisk(" + str + ", " + str2 + ")");
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(str + "/" + str2 + ".index", false);
            DataOutputStream dataOutputStream = new DataOutputStream(fileOutputStream);
            dataOutputStream.writeUTF(this.url);
            dataOutputStream.writeLong(this.comFileLen);
            if (this.eTag == null) {
                str3 = "\"\"";
            } else {
                str3 = "\"" + this.eTag + "\"";
            }
            dataOutputStream.writeUTF(str3);
            dataOutputStream.writeInt(this.chunkNum);
            Iterator<Integer> it = this.downloadedChunks.iterator();
            while (it.hasNext()) {
                dataOutputStream.writeInt(it.next().intValue());
            }
            dataOutputStream.flush();
            dataOutputStream.close();
            fileOutputStream.close();
        } catch (Exception unused) {
            return false;
        }
        return true;
    }

    public synchronized void update(int i2) {
        if (this.chunkExist != null) {
            int size = this.downloadedChunks.size();
            this.chunkExist.set(i2);
            this.chunkOffset.set(i2, Integer.valueOf(size));
            this.downloadedChunks.add(Integer.valueOf(i2));
            this.chunkNum++;
            saveDescToDisk(this.dirPath, MD5.getFileNameMd5(this.url));
        }
    }
}
