package com.ximalaya.ting.android.player;

import android.content.Context;
import android.os.Environment;
import android.util.Log;
import com.ximalaya.ting.android.xlogger.XLoggerJNI;
import java.io.File;
import java.io.FileWriter;
import java.io.PrintStream;
import java.io.PrintWriter;
import java.text.SimpleDateFormat;

public class Logger {
    public static final String JSON_ERROR = "解析json异常";
    private static final int LOG_LEVEL = 0;
    private static SimpleDateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    public static boolean isJavaLog = false;
    private static volatile Logger sInstance;
    private static byte[] sLock = new byte[0];
    static String sPath = Environment.getDataDirectory().getPath();
    static XLoggerJNI xLogerJNI;
    static XLoggerJNI.a xLoggerInfo = new XLoggerJNI.a();
    public Context mContext;

    private Logger(Context context) {
        this.mContext = context.getApplicationContext();
        sPath = this.mContext.getApplicationContext().getFilesDir().toString();
    }

    public static void d(String str, String str2) {
        if (isJavaLog) {
            printJava(str, str2);
        } else if (str2 != null && isLoggable(str, 3)) {
            Log.d(str, str2);
        }
    }

    public static void e(Exception exc) {
        e("解析json异常", "解析json异常" + exc.getMessage() + getLineInfo());
    }

    public static Logger getInstance(Context context) {
        if (sInstance == null) {
            synchronized (sLock) {
                if (sInstance == null) {
                    sInstance = new Logger(context);
                }
            }
        }
        return sInstance;
    }

    public static String getLineInfo() {
        if (!XMediaPlayerConstants.isDebug) {
            return "";
        }
        StackTraceElement stackTraceElement = new Throwable().getStackTrace()[1];
        return "@" + stackTraceElement.getFileName() + ": Line " + stackTraceElement.getLineNumber();
    }

    public static File getLogFilePath() {
        if (!Environment.getExternalStorageState().equals("mounted")) {
            return null;
        }
        File file = new File("/sdcard/ting/errorLog/infor.log");
        if (!file.getParentFile().getParentFile().exists()) {
            file.getParentFile().getParentFile().mkdir();
        }
        if (!file.getParentFile().exists()) {
            file.getParentFile().mkdir();
        }
        return file;
    }

    public static void i(String str, String str2) {
        if (str2 != null && isLoggable(str, 4)) {
            Log.i(str, str2);
        }
    }

    public static boolean isLoggable(String str, int i2) {
        return XMediaPlayerConstants.isDebug && i2 >= 0;
    }

    public static void log(Object obj) {
        if (isJavaLog) {
            System.out.println(obj);
        } else if (XMediaPlayerConstants.isDebug) {
            Log.i("ting", obj + "");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x005b  */
    /* JADX WARNING: Removed duplicated region for block: B:19:? A[RETURN, SYNTHETIC] */
    public static void logToSd(String str) {
        if (XMediaPlayerConstants.isDebug) {
            Log.i("ting", str + "");
            File logFilePath = getLogFilePath();
            if (logFilePath != null) {
                PrintWriter printWriter = null;
                try {
                    String format = dateformat.format(Long.valueOf(System.currentTimeMillis()));
                    PrintWriter printWriter2 = new PrintWriter(new FileWriter(logFilePath, true));
                    try {
                        printWriter2.println(str + " time:" + format);
                        printWriter2.close();
                    } catch (Throwable unused) {
                        printWriter = printWriter2;
                        if (printWriter == null) {
                            printWriter.close();
                        }
                    }
                } catch (Throwable unused2) {
                    if (printWriter == null) {
                    }
                }
            }
        }
    }

    public static void printJava(String str, String str2) {
        PrintStream printStream = System.out;
        printStream.println(str + "  " + str2);
    }

    public static void setLogPath(Context context) {
        if (context != null) {
            sPath = context.getApplicationContext().getFilesDir().toString();
            xLogerJNI = new XLoggerJNI();
            xLogerJNI.appenderOpen(1, 0, sPath + "/ximalayacache", sPath + "/ximalayalog", "y-log", 0);
        }
    }

    public static void throwRuntimeException(Object obj) {
        if (XMediaPlayerConstants.isDebug) {
            throw new RuntimeException("出现异常：" + obj);
        }
    }

    public static void v(String str, String str2) {
        if (str2 != null && isLoggable(str, 2)) {
            Log.v(str, str2);
        }
    }

    public static void w(String str, String str2) {
        if (str2 != null && isLoggable(str, 5)) {
            Log.w(str, str2);
        }
    }

    public static void i(String str, String str2, Throwable th) {
        if (str2 != null && isLoggable(str, 4)) {
            Log.i(str, str2, th);
        }
    }

    public static void v(String str, String str2, Throwable th) {
        if (str2 != null && isLoggable(str, 2)) {
            Log.v(str, str2, th);
        }
    }

    public static void w(String str, String str2, Throwable th) {
        if (str2 != null && isLoggable(str, 5)) {
            Log.w(str, str2, th);
        }
    }

    public static void e(String str, String str2) {
        if (str2 != null && isLoggable(str, 6)) {
            Log.e(str, str2);
        }
    }

    public static void d(String str, String str2, Throwable th) {
        if (str2 != null && isLoggable(str, 3)) {
            Log.d(str, str2, th);
        }
    }

    public static void log(String str, Object obj) {
        if (XMediaPlayerConstants.isDebug) {
            Log.v("XMPlay", obj.toString());
        }
    }

    public static void w(String str, Throwable th) {
        if (th != null && isLoggable(str, 5)) {
            Log.w(str, th);
        }
    }

    public static void e(String str, String str2, Throwable th) {
        if (str2 != null && isLoggable(str, 6)) {
            Log.e(str, str2, th);
        }
    }
}
