package com.ximalaya.ting.android.player;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Process;
import android.text.TextUtils;
import android.util.Log;
import com.ximalaya.ting.android.player.XMediaPlayer;
import com.ximalaya.ting.android.player.liveflv.FlvLiveAudioFile;
import com.ximalaya.ting.android.player.model.JNIDataModel;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.nio.ByteBuffer;

public abstract class XMediaplayerJNI implements XMediaplayerImpl {
    public static String Tag = "XMPLAY";
    private int chargeDataRealLength = 0;
    private volatile boolean hasRelease = false;
    private boolean isAfterSetDataSourceStart = false;
    public volatile boolean isBuffing = false;
    private boolean isRelease = true;
    private volatile boolean isReseting = false;
    private boolean isSeeking = false;
    private AudioFileRequestHandler mAudioFileRequestHandler;
    private AudioTrackPlayThread mAudioTrackPlayThread;
    private AudioType mAudioType = AudioType.NORMAL_FILE;
    public Context mContext;
    private long mCurFileSize;
    public String mCurrentDataDecodeUrl = this.mPlayUrl;
    private int mCurrentSeekPosition = -1;
    private int mCurrentSeekPositionState = 0;
    private FlvLiveAudioFile mFlvLiveAudioFile;
    private boolean mHasSeek = true;
    private HlsAudioFile mHlsAudioFile;
    private long mJniHandler;
    XMediaPlayer.OnPlayDataOutputListener mOnPlayDataOutputListener;
    private float mPitch = 0.0f;
    public String mPlayUrl;
    private float mRate = 1.0f;
    private float mTempo = 1.0f;
    public byte[] tmepBuf;

    /* access modifiers changed from: package-private */
    /* renamed from: com.ximalaya.ting.android.player.XMediaplayerJNI$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType = new int[NativeErrorType.values().length];

        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|(3:15|16|18)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(18:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|18) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0040 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x004b */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0056 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0014 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0035 */
        static {
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_DECODEDATA_FILLIO_FAIL.ordinal()] = 1;
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_DECODE_NOT_SUPPORT.ordinal()] = 2;
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_FILE_MANAGER_INNER_ERR.ordinal()] = 3;
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_M3U8STREAM_FILLIO_FAIL.ordinal()] = 4;
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_M3U8_FILE_CONTENT_INVALID.ordinal()] = 5;
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_NOTOK.ordinal()] = 6;
            $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.NO_ERR.ordinal()] = 7;
            try {
                $SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[NativeErrorType.ERR_ARCH_NOT_SUPPORT.ordinal()] = 8;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public enum AudioType {
        NORMAL_FILE(0),
        M3U8_STATIC_FILE(1),
        HLS_FILE(2),
        M3U8_FILE(3),
        XMLY_FORMAT(4),
        FLV_FILE(5);
        
        private int value = 0;

        private AudioType(int i2) {
            this.value = i2;
        }

        public int value() {
            return this.value;
        }

        public static AudioType valueOf(int i2) {
            if (i2 == 0) {
                return NORMAL_FILE;
            }
            if (i2 == 1) {
                return M3U8_STATIC_FILE;
            }
            if (i2 == 2) {
                return HLS_FILE;
            }
            if (i2 == 3) {
                return M3U8_FILE;
            }
            if (i2 == 4) {
                return XMLY_FORMAT;
            }
            if (i2 != 5) {
                return null;
            }
            return FLV_FILE;
        }
    }

    public enum NativeErrorType {
        NO_ERR(0),
        ERR_NOTOK(-1),
        ERR_DECODE_NOT_SUPPORT(-2),
        ERR_M3U8_FILE_CONTENT_INVALID(-3),
        ERR_FILE_MANAGER_INNER_ERR(-4),
        ERR_DECODEDATA_FILLIO_FAIL(-5),
        ERR_M3U8STREAM_FILLIO_FAIL(-6),
        ERR_ARCH_NOT_SUPPORT(-7),
        ERR_LIB_NOT_LOADED(-8),
        ERR_XMLY_DEC_ERR(-9),
        ERR_FLV_DEC_ERR(-10);
        
        private int value = 0;

        private NativeErrorType(int i2) {
            this.value = i2;
        }

        public int value() {
            return this.value;
        }

        public static NativeErrorType valueOf(int i2) {
            switch (i2) {
                case -10:
                    return ERR_FLV_DEC_ERR;
                case -9:
                    return ERR_XMLY_DEC_ERR;
                case -8:
                    return ERR_LIB_NOT_LOADED;
                case -7:
                    return ERR_ARCH_NOT_SUPPORT;
                case -6:
                    return ERR_M3U8STREAM_FILLIO_FAIL;
                case -5:
                    return ERR_DECODEDATA_FILLIO_FAIL;
                case -4:
                    return ERR_FILE_MANAGER_INNER_ERR;
                case -3:
                    return ERR_M3U8_FILE_CONTENT_INVALID;
                case -2:
                    return ERR_DECODE_NOT_SUPPORT;
                case -1:
                    return ERR_NOTOK;
                case 0:
                    return NO_ERR;
                default:
                    return ERR_NOTOK;
            }
        }
    }

    static {
        if (PlayerUtil.isX86Arch()) {
            System.loadLibrary("xmediaplayer_x");
            return;
        }
        boolean isArmV7Plus = PlayerUtil.isArmV7Plus();
        String str = Tag;
        Logger.log(str, "loadLibrary xmediaplayer isArmV7Plus:" + isArmV7Plus);
        if (isArmV7Plus) {
            Log.i("loadLibrary", "xmediaplayerv7");
            System.loadLibrary("xmediaplayerv7");
            return;
        }
        Log.i("loadLibrary", "xmediaplayer");
        System.loadLibrary("xmediaplayer");
    }

    public XMediaplayerJNI(Context context, boolean z) {
        this.mContext = context.getApplicationContext();
        Logger.setLogPath(this.mContext);
        this.hasRelease = false;
        this.isRelease = z;
        int MediaplayerFrameworkInit = MediaplayerFrameworkInit(context, z);
        String str = Tag;
        Logger.log(str, "MediaplayerFrameworkInit result:" + MediaplayerFrameworkInit);
        if (MediaplayerFrameworkInit < 0) {
            handlePlayerStatus(NativeErrorType.ERR_ARCH_NOT_SUPPORT.value());
        }
    }

    private String getCurPlayUrl() {
        AudioType audioType = this.mAudioType;
        if (audioType != AudioType.M3U8_STATIC_FILE && audioType != AudioType.HLS_FILE && audioType != AudioType.M3U8_FILE) {
            return this.mPlayUrl;
        }
        HlsAudioFile hlsAudioFile = this.mHlsAudioFile;
        if (hlsAudioFile != null) {
            return hlsAudioFile.getPlayUrl();
        }
        throw new RuntimeException("getCurPlayUrl 错误！");
    }

    private void handleSmallBufRequest(JNIDataModel jNIDataModel) {
        byte[] bArr = jNIDataModel.buf;
        if (bArr.length > jNIDataModel.bufSize) {
            ByteBuffer wrap = ByteBuffer.wrap(bArr);
            wrap.clear();
            wrap.position(jNIDataModel.bufSize).limit(jNIDataModel.buf.length);
            ByteBuffer slice = wrap.slice();
            this.tmepBuf = new byte[slice.remaining()];
            slice.get(this.tmepBuf);
            String str = Tag;
            Logger.log(str, "dataStreamInputFuncCallBackT length diff tJNIDataModel.bufSize:" + jNIDataModel.bufSize + " tJNIDataModel.buf:" + jNIDataModel.buf.length);
            if (this.tmepBuf != null) {
                String str2 = Tag;
                Logger.log(str2, "dataStreamInputFuncCallBackT length diff tmepBuf:" + this.tmepBuf.length);
            }
            wrap.clear();
            wrap.position(0).limit(jNIDataModel.bufSize);
            ByteBuffer slice2 = wrap.slice();
            jNIDataModel.buf = new byte[slice2.remaining()];
            slice2.get(jNIDataModel.buf);
            String str3 = Tag;
            Logger.log(str3, "dataStreamInputFuncCallBackT length diff tJNIDataModel.buf:" + jNIDataModel.buf.length);
            if (this.tmepBuf != null) {
                String str4 = Tag;
                Logger.log(str4, "dataStreamInputFuncCallBackT length diff all1:" + (jNIDataModel.buf.length + this.tmepBuf.length));
            }
        }
    }

    public static boolean isNetworkAvailable(Context context) {
        NetworkInfo activeNetworkInfo;
        ConnectivityManager connectivityManager = (ConnectivityManager) context.getApplicationContext().getSystemService("connectivity");
        if (connectivityManager == null || (activeNetworkInfo = connectivityManager.getActiveNetworkInfo()) == null || !activeNetworkInfo.isAvailable()) {
            return false;
        }
        return true;
    }

    private void relaseAudioFile() {
        AudioFileRequestHandler audioFileRequestHandler = this.mAudioFileRequestHandler;
        if (audioFileRequestHandler != null) {
            audioFileRequestHandler.release(AudioFileRequestHandler.RELEASE_TYPE_RESET);
        }
        HlsAudioFile hlsAudioFile = this.mHlsAudioFile;
        if (hlsAudioFile != null) {
            hlsAudioFile.release();
        }
        FlvLiveAudioFile flvLiveAudioFile = this.mFlvLiveAudioFile;
        if (flvLiveAudioFile != null) {
            flvLiveAudioFile.release();
        }
    }

    private synchronized void releaseAudioTrackPlayThread() {
        if (this.mAudioTrackPlayThread != null) {
            this.mAudioTrackPlayThread.releasePlay();
            this.mAudioTrackPlayThread = null;
        }
        Logger.log(Tag, "releaseAudioTrackPlayThread releasePlay");
    }

    public native int MediaplayerComplete(long j2);

    public native int MediaplayerDestroy(long j2);

    public native int MediaplayerFrameworkInit(Context context, boolean z);

    public native int MediaplayerGetCurPlayingFileType(long j2);

    public native long MediaplayerGetCurrentDecodedDataTime(long j2);

    public native long MediaplayerGetCurrentTime(long j2);

    public native int MediaplayerGetMainCtlStatus(long j2);

    public native long MediaplayerGetMediaDuration(long j2);

    public native int MediaplayerGetOutputData(byte[] bArr, int i2, long j2);

    public native long MediaplayerInit(Context context, boolean z, int i2, int i3, int i4, int i5);

    public native int MediaplayerOutputDataAppointment(long j2);

    public native int MediaplayerPause(long j2);

    public native int MediaplayerPlay(long j2);

    public native int MediaplayerPrepareAsync(long j2);

    public native int MediaplayerReset(long j2);

    public native int MediaplayerSeek(long j2, long j3);

    public native int MediaplayerSetDataSourceInfo(String str, int i2, long j2, double d2, double d3);

    public native int MediaplayerStop(long j2);

    public int bufferedDataReachThresholdCallBackT(int i2) {
        if (!NativeErrorType.NO_ERR.equals(NativeErrorType.valueOf(i2))) {
            handlePlayerStatus(i2);
            return -1;
        }
        getAudioTrackPlayThread().dataReady();
        Logger.log(Tag, "dataStreamInputFuncCallBackT bufferedDataReachThresholdCallBackT");
        return 1;
    }

    public int dataStreamInputFunCallBackT(JNIDataModel jNIDataModel) {
        byte[] bArr;
        int i2;
        if (!NativeErrorType.NO_ERR.equals(NativeErrorType.valueOf(jNIDataModel.status))) {
            if (jNIDataModel.status != -1 || (!isHttpFlv() && !isHls())) {
                Logger.log(Tag, "dataStreamInputFuncCallBackT readData start error:");
                handlePlayerStatus(jNIDataModel.status);
            } else {
                if (this.isBuffing) {
                    onInfoInner(XMediaplayerImpl.MEDIA_INFO_BUFFERING_END, 0);
                }
                onCompletionInner();
            }
            return -1;
        } else if (this.isReseting) {
            return -2;
        } else {
            Process.setThreadPriority(-19);
            long currentTimeMillis = System.currentTimeMillis();
            Logger.log(Tag, "dataStreamInputFuncCallBackT readData start:" + currentTimeMillis);
            if (jNIDataModel.filePath != null) {
                Logger.log(Tag, "dataStreamInputFuncCallBackT fill io start");
                if (!jNIDataModel.filePath.equals(getCurPlayUrl())) {
                    this.mCurrentSeekPosition = -1;
                    this.mCurFileSize = 0;
                    this.mCurrentSeekPositionState = 0;
                    this.mHasSeek = true;
                    this.tmepBuf = null;
                    Logger.log(Tag, "dataStreamInputFuncCallBackT 重置");
                }
                Logger.log(Tag, "dataStreamInputFuncCallBackT filePath:" + jNIDataModel.filePath + " mCurrentSeekPositionState:" + this.mCurrentSeekPositionState + " mCurrentSeekPosition:" + this.mCurrentSeekPosition);
                if (!this.mHasSeek || this.mCurrentSeekPosition == (i2 = this.mCurrentSeekPositionState)) {
                    this.mHasSeek = false;
                } else {
                    this.mCurrentSeekPosition = i2;
                    Logger.log(Tag, "dataStreamInputFuncCallBackT 4 seekParaTimeStampMs true mCurrentSeekPosition:" + this.mCurrentSeekPosition);
                }
                Logger.log(Tag, "dataStreamInputFuncCallBackT 5 mCurFileSize:" + this.mCurFileSize + "mCurrentSeekPosition:" + this.mCurrentSeekPosition);
                long j2 = this.mCurFileSize;
                if (j2 <= 0 || ((long) this.mCurrentSeekPosition) < j2 || isHttpFlv()) {
                    if (isHls()) {
                        if (this.mHlsAudioFile != null) {
                            if (this.mHasSeek || (bArr = this.tmepBuf) == null) {
                                this.tmepBuf = null;
                                Logger.log(Tag, "dataStreamInputFuncCallBackT M3U8_FILE");
                                if (this.mHlsAudioFile.readData(jNIDataModel) < 0) {
                                    return -1;
                                }
                                this.mCurFileSize = jNIDataModel.fileSize;
                            } else {
                                jNIDataModel.buf = bArr;
                                this.tmepBuf = null;
                                jNIDataModel.fileSize = this.mCurFileSize;
                                Logger.log(Tag, "dataStreamInputFuncCallBackT read temp buf");
                            }
                            this.mHasSeek = false;
                        } else if (!XMediaPlayerConstants.isDebug) {
                            Logger.log(Tag, "dataStreamInputFuncCallBackT xx 21");
                            return 0;
                        } else {
                            throw new RuntimeException("mHlsAudioFile==null");
                        }
                    } else if (isHttpFlv()) {
                        FlvLiveAudioFile flvLiveAudioFile = this.mFlvLiveAudioFile;
                        if (flvLiveAudioFile != null) {
                            int readData = flvLiveAudioFile.readData(jNIDataModel);
                            if (readData < 0) {
                                Logger.log(Tag, "dataStreamInputFuncCallBackT mFlvLiveAudioFile result < 0");
                                return readData;
                            } else if (readData == 0) {
                                Logger.log(Tag, "dataStreamInputFuncCallBackT mFlvLiveAudioFile result == 0");
                                return 0;
                            }
                        } else if (!XMediaPlayerConstants.isDebug) {
                            return 0;
                        } else {
                            throw new RuntimeException("mFlvLiveAudioFile==null");
                        }
                    } else {
                        Logger.log(Tag, "dataStreamInputFuncCallBackT NORMAL_FILE");
                        AudioFileRequestHandler audioFileRequestHandler = this.mAudioFileRequestHandler;
                        if (audioFileRequestHandler != null) {
                            int i3 = this.mCurrentSeekPosition;
                            if (i3 < 0) {
                                return -2;
                            }
                            int readData2 = audioFileRequestHandler.readData(jNIDataModel, this.mHasSeek, i3);
                            if (readData2 > 0) {
                                Logger.log(Tag, "dataStreamInputFuncCallBackT NORMAL_FILE result > 0");
                                this.mHasSeek = false;
                            } else {
                                Logger.log(Tag, "dataStreamInputFuncCallBackT NORMAL_FILE result == " + readData2);
                                return readData2;
                            }
                        } else if (!XMediaPlayerConstants.isDebug) {
                            Logger.log(Tag, "dataStreamInputFuncCallBackT xx 19 return 0 over");
                            return 0;
                        } else {
                            throw new RuntimeException("mAudioFileRequestHandler==null");
                        }
                    }
                    if (jNIDataModel.buf == null) {
                        Logger.log(Tag, "dataStreamInputFuncCallBackT xx tJNIDataModel.buf==null");
                        return -1;
                    }
                    Logger.log(Tag, "dataStreamInputFuncCallBackT mCurFileSize:" + this.mCurFileSize + " buf.length:" + jNIDataModel.buf.length + " bufSize:" + jNIDataModel.bufSize);
                    handleSmallBufRequest(jNIDataModel);
                    byte[] bArr2 = jNIDataModel.buf;
                    if (bArr2 != null) {
                        this.mCurrentSeekPosition += bArr2.length;
                        Logger.log(Tag, "dataStreamInputFuncCallBackT tJNIDataModel.buf.length:" + jNIDataModel.buf.length);
                    }
                    Logger.log(Tag, "dataStreamInputFuncCallBackT mCurFileSize2:" + this.mCurFileSize + " filesize:" + jNIDataModel.fileSize + " readData end:" + (System.currentTimeMillis() - currentTimeMillis));
                    return jNIDataModel.buf.length;
                }
                Log.v("YuCollect", "dataStreamInputFuncCallBackT xx return 0");
                return 0;
            }
            Logger.log(Tag, "dataStreamInputFuncCallBackT tJNIDataModel.filePath==null 异常！！！");
            throw new RuntimeException("dataStreamInputFuncCallBackT tJNIDataModel.filePath==null 异常！！！");
        }
    }

    public int dataStreamOutReadyFuncCallBackT(int i2, int i3) {
        Logger.log(Tag, "dataStreamOutReadyFuncCallBackT");
        if (!NativeErrorType.NO_ERR.equals(NativeErrorType.valueOf(i3))) {
            handlePlayerStatus(i3);
            return -1;
        }
        onInfoInner(XMediaplayerImpl.MEDIA_INFO_PREPARED, 0);
        return 0;
    }

    public int dataStreamSeekFuncCallBackT(String str, long j2, int i2) {
        String str2 = Tag;
        Logger.log(str2, "dataStreamSeekFuncCallBackT 0 offset:" + j2);
        if (!NativeErrorType.NO_ERR.equals(NativeErrorType.valueOf(i2))) {
            handlePlayerStatus(i2);
            return -1;
        }
        if (!TextUtils.isEmpty(str)) {
            this.mCurrentDataDecodeUrl = str;
        }
        this.mHasSeek = true;
        this.mCurrentSeekPositionState = (int) j2;
        String str3 = Tag;
        Logger.log(str3, "dataStreamInputFuncCallBackT seekParaTimeStampMs true offset:" + j2);
        return 0;
    }

    public synchronized AudioTrackPlayThread getAudioTrackPlayThread() {
        if (this.mAudioTrackPlayThread != null && this.mAudioTrackPlayThread.isRelease()) {
            this.mAudioTrackPlayThread = null;
        }
        if (this.mAudioTrackPlayThread == null) {
            Logger.log(Tag, "dataStreamInputFuncCallBackT getAudioTrackPlayThread new");
            this.mAudioTrackPlayThread = new AudioTrackPlayThread(this);
            this.mAudioTrackPlayThread.setSoundTouchAllParams(this.mTempo, this.mPitch, this.mRate);
        }
        return this.mAudioTrackPlayThread;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public AudioType getAudioType() {
        return this.mAudioType;
    }

    public int getCachePercent() {
        if (isHttpFlv()) {
            return 0;
        }
        if (isHls()) {
            HlsAudioFile hlsAudioFile = this.mHlsAudioFile;
            if (hlsAudioFile == null) {
                return 0;
            }
            return hlsAudioFile.getCachePercent();
        }
        AudioFileRequestHandler audioFileRequestHandler = this.mAudioFileRequestHandler;
        if (audioFileRequestHandler == null) {
            return 0;
        }
        return audioFileRequestHandler.getCachePercent();
    }

    public int getChargeDataRealLength() {
        return this.chargeDataRealLength;
    }

    public long getCurFileSize() {
        return this.mCurFileSize;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public int getCurrentPosition() {
        return (int) MediaplayerGetCurrentTime(this.mJniHandler);
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public int getDuration() {
        return (int) MediaplayerGetMediaDuration(this.mJniHandler);
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public int getMainCtrlStatus() {
        long j2 = this.mJniHandler;
        if (j2 > 0) {
            return MediaplayerGetMainCtlStatus(j2);
        }
        return 0;
    }

    public int getOutputData(byte[] bArr, int i2) {
        if (this.mAudioTrackPlayThread == null || this.hasRelease) {
            return -1;
        }
        return MediaplayerGetOutputData(bArr, i2, this.mJniHandler);
    }

    public String getPlayUrl() {
        return this.mPlayUrl;
    }

    public void handlePlayerStatus(int i2) {
        NativeErrorType valueOf = NativeErrorType.valueOf(i2);
        String str = Tag;
        Logger.log(str, "handlePlayerStatus status:" + i2 + "error stack:" + Log.getStackTraceString(new Throwable()));
        if (valueOf != null) {
            switch (AnonymousClass1.$SwitchMap$com$ximalaya$ting$android$player$XMediaplayerJNI$NativeErrorType[valueOf.ordinal()]) {
                case 1:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_IO");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_IO);
                    return;
                case 2:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_UNSUPPORTED");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_UNSUPPORTED);
                    return;
                case 3:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_SERVER_DIED");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_SERVER_DIED);
                    return;
                case 4:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_IO");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_IO);
                    return;
                case 5:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_IO");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_IO);
                    return;
                case 6:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_UNKNOWN");
                    onErrorInner(11, -1000);
                    return;
                case 7:
                    return;
                case 8:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_ARCH_UNSUPPORTED");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_ARCH_UNSUPPORTED);
                    return;
                default:
                    Logger.log(Tag, "XMediaPlayer.MEDIA_ERROR_IO");
                    onErrorInner(11, XMediaplayerImpl.MEDIA_ERROR_IO);
                    return;
            }
        }
    }

    public boolean isHls() {
        return this.mAudioType.value() > 0 && this.mAudioType.value() < 4;
    }

    public boolean isHttpFlv() {
        return this.mAudioType == AudioType.FLV_FILE;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public boolean isPlaying() {
        Logger.log(Tag, "dataStreamInputFuncCallBackT isPlaying");
        return getAudioTrackPlayThread().isPlaying();
    }

    public boolean isSeeking() {
        return this.isSeeking;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:61:0x015d, code lost:
        if (r9 != null) goto L_0x01bb;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x018b, code lost:
        if (r9 != null) goto L_0x01bb;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:75:0x01b9, code lost:
        if (r9 != null) goto L_0x01bb;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:76:0x01bb, code lost:
        r9.close();
     */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0107  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0111 A[SYNTHETIC, Splitter:B:42:0x0111] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0155  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0183  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x01b1  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01e2  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x01ec A[SYNTHETIC, Splitter:B:91:0x01ec] */
    public int m3u8FileStreamInputFuncCallBackT(JNIDataModel jNIDataModel) {
        HttpURLConnection httpURLConnection;
        Throwable th;
        InputStream inputStream;
        MalformedURLException e2;
        IOException e3;
        Exception e4;
        int read;
        if (!NativeErrorType.NO_ERR.equals(NativeErrorType.valueOf(jNIDataModel.status))) {
            handlePlayerStatus(jNIDataModel.status);
            return -1;
        } else if (jNIDataModel == null || jNIDataModel.bufSize <= 0) {
            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tJNIDataModel null");
            return -1;
        } else {
            Logger.log(Tag, "HlsReadThread downUrl0  m3u8FileStreamInputFuncCallBackT");
            int i2 = 3;
            while (true) {
                int i3 = i2 - 1;
                if (i2 <= 0) {
                    break;
                }
                HttpURLConnection httpURLConnection2 = null;
                InputStream inputStream2 = null;
                r8 = null;
                InputStream inputStream3 = null;
                HttpURLConnection httpURLConnection3 = null;
                HttpURLConnection httpURLConnection4 = null;
                try {
                    httpURLConnection = PlayerUtil.getConnectionUseDnsCache(new String[]{this.mPlayUrl}, null, 2, false, "GET");
                    if (httpURLConnection != null) {
                        try {
                            int responseCode = httpURLConnection.getResponseCode();
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT 0 responseCode:" + responseCode);
                            if (responseCode != 200) {
                                if (responseCode != 206) {
                                    if (responseCode >= 400) {
                                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT HTTP_BAD_REQUEST responseCode:" + responseCode);
                                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                                        if (httpURLConnection != null) {
                                            httpURLConnection.disconnect();
                                        }
                                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                                        return -1;
                                    }
                                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                                    if (httpURLConnection != null) {
                                        httpURLConnection.disconnect();
                                    }
                                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                                    if (inputStream2 != null) {
                                        try {
                                            inputStream2.close();
                                        } catch (IOException unused) {
                                        }
                                    }
                                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                                    byte[] bArr = jNIDataModel.buf;
                                    if (bArr != null && bArr.length > 0) {
                                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 3");
                                        break;
                                    }
                                    i2 = i3;
                                }
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT 1");
                            inputStream2 = httpURLConnection.getInputStream();
                            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                            byte[] bArr2 = new byte[1024];
                            while (true) {
                                read = inputStream2.read(bArr2);
                                if (read == -1) {
                                    break;
                                }
                                byteArrayOutputStream.write(bArr2, 0, read);
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT len:" + read);
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT len000:" + read);
                            jNIDataModel.buf = byteArrayOutputStream.toByteArray();
                            byteArrayOutputStream.close();
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                            if (httpURLConnection != null) {
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                            if (inputStream2 != null) {
                            }
                        } catch (MalformedURLException e5) {
                            e2 = e5;
                            inputStream = null;
                            httpURLConnection2 = httpURLConnection;
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT MalformedURLException:" + e2.toString());
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                            if (httpURLConnection2 != null) {
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                        } catch (IOException e6) {
                            e3 = e6;
                            inputStream = null;
                            httpURLConnection4 = httpURLConnection;
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT IOException:" + e3.toString());
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                            if (httpURLConnection4 != null) {
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                        } catch (Exception e7) {
                            e4 = e7;
                            inputStream = null;
                            httpURLConnection3 = httpURLConnection;
                            try {
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT Exception:" + e4.toString());
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                                if (httpURLConnection3 != null) {
                                }
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                            } catch (Throwable th2) {
                                th = th2;
                                httpURLConnection = httpURLConnection3;
                                inputStream3 = inputStream;
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                                if (httpURLConnection != null) {
                                }
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                                if (inputStream3 != null) {
                                }
                                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                                throw th;
                            }
                        } catch (Throwable th3) {
                            th = th3;
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                            if (httpURLConnection != null) {
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                            if (inputStream3 != null) {
                            }
                            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                            throw th;
                        }
                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                        byte[] bArr3 = jNIDataModel.buf;
                        Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 3");
                        break;
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                    if (httpURLConnection != null) {
                        httpURLConnection.disconnect();
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                    i2 = i3;
                } catch (MalformedURLException e8) {
                    e2 = e8;
                    inputStream = null;
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT MalformedURLException:" + e2.toString());
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                    if (httpURLConnection2 != null) {
                        httpURLConnection2.disconnect();
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                } catch (IOException e9) {
                    e3 = e9;
                    inputStream = null;
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT IOException:" + e3.toString());
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                    if (httpURLConnection4 != null) {
                        httpURLConnection4.disconnect();
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                } catch (Exception e10) {
                    e4 = e10;
                    inputStream = null;
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT Exception:" + e4.toString());
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                    if (httpURLConnection3 != null) {
                        httpURLConnection3.disconnect();
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                } catch (Throwable th4) {
                    th = th4;
                    httpURLConnection = null;
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 0");
                    if (httpURLConnection != null) {
                        httpURLConnection.disconnect();
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 1");
                    if (inputStream3 != null) {
                        try {
                            inputStream3.close();
                        } catch (IOException unused2) {
                        }
                    }
                    Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 2");
                    throw th;
                }
            }
            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT tt 4");
            byte[] bArr4 = jNIDataModel.buf;
            if (bArr4 == null || bArr4.length > jNIDataModel.bufSize || bArr4.length == 0) {
                Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT null end 4");
                return -1;
            }
            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT contentLength 5:" + jNIDataModel.buf.length);
            Logger.log(Tag, "m3u8FileStreamInputFuncCallBackT buf:" + new String(jNIDataModel.buf));
            return jNIDataModel.buf.length;
        }
    }

    public int m3u8ParsedNewMediaItemInfoFuncCallBackT(String[] strArr, int i2, int i3) {
        if (!NativeErrorType.NO_ERR.equals(NativeErrorType.valueOf(i3))) {
            Logger.log(Tag, "m3u8ParsedNewMediaItemInfoFuncCallBackT onErrorInner");
            handlePlayerStatus(i3);
            return -1;
        }
        Logger.log(Tag, "m3u8Parsed hls readData" + i2 + System.currentTimeMillis());
        for (String str : strArr) {
            Logger.log(Tag, "m3u8Parsed hls readData:" + str);
        }
        if (this.mHlsAudioFile == null) {
            return -1;
        }
        Logger.log(Tag, "HlsReadThread downUrl0 m3u8ParsedNewMediaItemInfoFuncCallBackT length:" + strArr.length);
        int MediaplayerGetCurPlayingFileType = MediaplayerGetCurPlayingFileType(this.mJniHandler);
        if (MediaplayerGetCurPlayingFileType >= 0) {
            this.mAudioType = AudioType.valueOf(MediaplayerGetCurPlayingFileType);
            Logger.log(Tag, "m3u8ParsedNewMediaItemInfoFuncCallBackT mAudioType0:" + this.mAudioType.value());
        } else {
            onErrorInner(11, -1000);
            Logger.log(Tag, "m3u8ParsedNewMediaItemInfoFuncCallBackT mAudioType0 error");
        }
        this.mHlsAudioFile.addPlayUrls(strArr);
        return 0;
    }

    public void onCompletionInner() {
        resetAllData();
        MediaplayerComplete(this.mJniHandler);
        Logger.log(Tag, "flushAllDataInSoundTouch dataStreamInputFuncCallBackT onCompletionInner");
        releaseAudioTrackPlayThread();
    }

    public void onErrorInner(int i2, int i3) {
        Logger.log(Tag, "onErrorInner");
        if (this.mAudioFileRequestHandler == null) {
            return;
        }
        if (i3 == -1000 || i3 == -1005 || i3 == -1004) {
            this.mAudioFileRequestHandler.cleanAudioFileCache();
        }
    }

    public abstract void onInfoInner(int i2, int i3);

    public void onPreparedInner() {
        if (this.isBuffing) {
            onInfoInner(XMediaplayerImpl.MEDIA_INFO_BUFFERING_END, 0);
        }
        if (MediaplayerGetCurPlayingFileType(this.mJniHandler) >= 0) {
            String str = Tag;
            Logger.log(str, "onPreparedInner mAudioType:" + this.mAudioType.value());
            return;
        }
        onErrorInner(11, -1000);
        Logger.log(Tag, "onPreparedInner mAudioType error");
    }

    public int outputDataAppointment() {
        return MediaplayerOutputDataAppointment(this.mJniHandler);
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void pause() {
        Logger.log(Tag, "dataStreamInputFuncCallBackT pause");
        this.isAfterSetDataSourceStart = false;
        getAudioTrackPlayThread().pausePlay();
        if (MediaplayerPause(this.mJniHandler) == 0) {
            onInfoInner(XMediaplayerImpl.MEDIA_INFO_PLAY_PAUSE, 0);
        }
        FlvLiveAudioFile flvLiveAudioFile = this.mFlvLiveAudioFile;
        if (flvLiveAudioFile != null) {
            flvLiveAudioFile.release();
        }
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void prepareAsync() {
        AudioFileRequestHandler audioFileRequestHandler = this.mAudioFileRequestHandler;
        if (audioFileRequestHandler != null && audioFileRequestHandler.isRelease()) {
            this.mAudioFileRequestHandler.restart();
        }
        Logger.log(Tag, "prepareAsync");
        if (!this.isBuffing) {
            onInfoInner(XMediaplayerImpl.MEDIA_INFO_BUFFERING_START, 0);
        }
        MediaplayerPrepareAsync(this.mJniHandler);
        Logger.log(Tag, "prepareAsync2");
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void release() {
        this.hasRelease = true;
        Logger.log(Tag, "dataStreamInputFuncCallBackT release");
        releaseAudioTrackPlayThread();
        resetAllData();
        MediaplayerDestroy(this.mJniHandler);
        this.tmepBuf = null;
        this.mTempo = 1.0f;
        this.mPitch = 0.0f;
        this.mRate = 1.0f;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void reset() {
        getAudioTrackPlayThread().flushPlayDataAndPause();
        Logger.log(Tag, "reset start");
        this.isReseting = true;
        int MediaplayerReset = MediaplayerReset(this.mJniHandler);
        this.isReseting = false;
        if (MediaplayerReset < 0) {
            onErrorInner(XMediaplayerImpl.MEDIA_ERROR, XMediaplayerImpl.MEDIA_INFO_RESET_ERROR);
            Log.v("MediaPlayerFrm", "reset error");
            return;
        }
        Logger.log(Tag, "reset end");
        resetAllData();
    }

    public void resetAllData() {
        this.isAfterSetDataSourceStart = false;
        this.chargeDataRealLength = 0;
        this.mHasSeek = true;
        this.tmepBuf = null;
        this.mCurrentSeekPosition = -1;
        this.mCurrentSeekPositionState = 0;
        this.mCurFileSize = 0;
        relaseAudioFile();
        Logger.log(Tag, "dataStreamInputFuncCallBackT initAllData 重置0");
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void seekTo(int i2) {
        if (!isHttpFlv()) {
            String str = Tag;
            Logger.log(str, "seekParaTimeStampMs msec:" + i2);
            this.isSeeking = true;
            int MediaplayerSeek = MediaplayerSeek((long) i2, this.mJniHandler);
            this.isSeeking = false;
            onInfoInner(XMediaplayerImpl.MEDIA_INFO_SEEK_COMPLETED, 0);
            onInfoInner(XMediaplayerImpl.MEDIA_INFO_PLAY_PROGRESS, 0);
            if (MediaplayerSeek == -1) {
                onErrorInner(XMediaplayerImpl.MEDIA_ERROR, XMediaplayerImpl.MEDIA_INFO_NOT_SEEKABLE);
            }
            String str2 = Tag;
            Logger.log(str2, "ttseek2:" + System.currentTimeMillis());
        }
    }

    public void setCurFileSize(long j2) {
        this.mCurFileSize = j2;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void setDataSource(String str) {
        setDataSource(str, (String) null);
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void setOnPlayDataOutputListener(XMediaPlayer.OnPlayDataOutputListener onPlayDataOutputListener) {
        this.mOnPlayDataOutputListener = onPlayDataOutputListener;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void setPreBufferUrl(String str) {
        AudioFileRequestHandler audioFileRequestHandler = this.mAudioFileRequestHandler;
        if (audioFileRequestHandler != null) {
            audioFileRequestHandler.setPreBufferUrl(str);
        }
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void setSoundTouchAllParams(float f2, float f3, float f4) {
        this.mTempo = f2;
        this.mPitch = f3;
        this.mRate = f4;
        AudioTrackPlayThread audioTrackPlayThread = this.mAudioTrackPlayThread;
        if (audioTrackPlayThread != null) {
            audioTrackPlayThread.setSoundTouchAllParams(f2, f3, f4);
        }
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void setTempo(float f2) {
        this.mTempo = f2;
        AudioTrackPlayThread audioTrackPlayThread = this.mAudioTrackPlayThread;
        if (audioTrackPlayThread != null) {
            audioTrackPlayThread.setTempo(f2);
        }
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void setVolume(float f2, float f3) {
        AudioTrackPlayThread audioTrackPlayThread = getAudioTrackPlayThread();
        if (audioTrackPlayThread != null) {
            audioTrackPlayThread.setVolume(f2);
        }
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public synchronized void start() {
        String str = Tag;
        Logger.log(str, "dataStreamInputFuncCallBackT start mAudioType" + this.mAudioType);
        if (this.mAudioType != AudioType.FLV_FILE || this.isAfterSetDataSourceStart) {
            if (this.mAudioFileRequestHandler != null && this.mAudioFileRequestHandler.isRelease()) {
                this.mAudioFileRequestHandler.restart();
            }
            getAudioTrackPlayThread().startPlay();
            Logger.log(Tag, "AudioTrackPlayThread startPlay");
            MediaplayerPlay(this.mJniHandler);
        } else {
            Logger.log(Tag, "FLV_FILE start reset");
            reset();
            setDataSource(this.mPlayUrl);
            prepareAsync();
        }
        this.isAfterSetDataSourceStart = false;
    }

    @Override // com.ximalaya.ting.android.player.XMediaplayerImpl
    public void stop() {
        Logger.log(Tag, "dataStreamInputFuncCallBackT stop");
        getAudioTrackPlayThread().stopPlay();
        if (MediaplayerStop(this.mJniHandler) == 0) {
            onInfoInner(XMediaplayerImpl.MEDIA_INFO_PLAY_STOP, 0);
        }
        resetAllData();
    }

    public void xmediaplayerInit() {
        this.hasRelease = false;
        String str = Tag;
        Logger.log(str, "Mediaplayer Init 0000000000:" + this.mJniHandler);
        this.mJniHandler = MediaplayerInit(this.mContext, this.isRelease, 524288, XMediaPlayerConstants.DEFAULT_CHUNK_SIZE, 1048576, 1048576);
        String str2 = Tag;
        Logger.log(str2, "Mediaplayer Init 1:" + this.mJniHandler);
        if (this.mJniHandler == 0) {
            handlePlayerStatus(NativeErrorType.ERR_ARCH_NOT_SUPPORT.value());
        }
        PlayCacheByLRU.getInstance().init();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:24:0x00e4, code lost:
        r14 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x00e5, code lost:
        r0 = r1;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x00e4 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:17:0x00d3] */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00ed A[SYNTHETIC, Splitter:B:32:0x00ed] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00f9 A[SYNTHETIC, Splitter:B:40:0x00f9] */
    public void setDataSource(String str, String str2) {
        double d2;
        IOException e2;
        RandomAccessFile randomAccessFile = null;
        this.mAudioFileRequestHandler = null;
        this.mHlsAudioFile = null;
        this.mFlvLiveAudioFile = null;
        this.isAfterSetDataSourceStart = true;
        Logger.log(Tag, "flushAllDataInSoundTouch setDataSource src:" + str);
        this.chargeDataRealLength = 0;
        releaseAudioTrackPlayThread();
        if (str.contains("totalLength")) {
            String queryParameter = Uri.parse(str).getQueryParameter("totalLength");
            if (!TextUtils.isEmpty(queryParameter)) {
                this.chargeDataRealLength = Integer.parseInt(queryParameter);
                Logger.log(Tag, "chargeDataRealLength:" + this.chargeDataRealLength);
            }
        }
        this.mPlayUrl = str;
        if (this.mPlayUrl.contains(".flv")) {
            this.mFlvLiveAudioFile = new FlvLiveAudioFile(this);
            this.mAudioType = AudioType.FLV_FILE;
            MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, 0.0d, 0.0d);
        } else if (this.mPlayUrl.contains("m3u8")) {
            this.mHlsAudioFile = new HlsAudioFile(this.mPlayUrl, this);
            this.mAudioType = AudioType.M3U8_FILE;
            MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, 0.0d, 0.0d);
        } else if (this.mPlayUrl.endsWith(XMediaPlayerConstants.XM_SUFFIX)) {
            this.mAudioFileRequestHandler = new AudioFileRequestHandler(this);
            this.mAudioType = AudioType.XMLY_FORMAT;
            double d3 = 0.0d;
            try {
                RandomAccessFile randomAccessFile2 = new RandomAccessFile(this.mPlayUrl, "r");
                try {
                    randomAccessFile2.seek((long) 24);
                    d2 = randomAccessFile2.readDouble();
                    d3 = randomAccessFile2.readDouble();
                    try {
                        randomAccessFile2.close();
                    } catch (IOException e3) {
                        e2 = e3;
                    }
                } catch (IOException unused) {
                    d2 = 0.0d;
                    randomAccessFile = randomAccessFile2;
                    if (randomAccessFile != null) {
                    }
                    MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, d2, d3);
                    Logger.log(Tag, "setDataSource mAudioType:" + this.mAudioType.value());
                    PlayCacheByLRU.getInstance().putPlayUrl(this.mPlayUrl);
                } catch (Throwable th) {
                }
            } catch (IOException unused2) {
                d2 = 0.0d;
                if (randomAccessFile != null) {
                    try {
                        randomAccessFile.close();
                    } catch (IOException e4) {
                        e2 = e4;
                    }
                }
                MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, d2, d3);
                Logger.log(Tag, "setDataSource mAudioType:" + this.mAudioType.value());
                PlayCacheByLRU.getInstance().putPlayUrl(this.mPlayUrl);
            } catch (Throwable th2) {
                Throwable th3 = th2;
                if (randomAccessFile != null) {
                    try {
                        randomAccessFile.close();
                    } catch (IOException e5) {
                        e5.printStackTrace();
                    }
                }
                throw th3;
            }
            MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, d2, d3);
        } else {
            if (str2 == null) {
                this.mAudioFileRequestHandler = new AudioFileRequestHandler(this);
            } else {
                this.mAudioFileRequestHandler = new AudioFileRequestHandler(this, str2);
            }
            this.mAudioType = AudioType.NORMAL_FILE;
            MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, 0.0d, 0.0d);
        }
        Logger.log(Tag, "setDataSource mAudioType:" + this.mAudioType.value());
        PlayCacheByLRU.getInstance().putPlayUrl(this.mPlayUrl);
        e2.printStackTrace();
        MediaplayerSetDataSourceInfo(this.mPlayUrl, this.mAudioType.value(), this.mJniHandler, d2, d3);
        Logger.log(Tag, "setDataSource mAudioType:" + this.mAudioType.value());
        PlayCacheByLRU.getInstance().putPlayUrl(this.mPlayUrl);
    }
}
