package com.ximalaya.ting.android.player.liveflv;

import android.net.Uri;
import android.os.Process;
import android.text.TextUtils;
import com.ximalaya.ting.android.opensdk.model.xdcs.CdnConfigModel;
import com.ximalaya.ting.android.player.BufferItem;
import com.ximalaya.ting.android.player.Logger;
import com.ximalaya.ting.android.player.MD5;
import com.ximalaya.ting.android.player.PlayerUtil;
import com.ximalaya.ting.android.player.XMediaplayerJNI;
import com.ximalaya.ting.android.player.cdn.CdnCollectDataForPlay;
import com.ximalaya.ting.android.player.cdn.CdnConstants;
import com.ximalaya.ting.android.player.cdn.CdnUtil;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.util.UUID;
import java.util.concurrent.LinkedBlockingQueue;

public class FlvLiveReadThread extends Thread {
    private static final String TAG = "dl_hls";
    private volatile LinkedBlockingQueue<BufferItem> buffItemQueue;
    private boolean isFlvDataCallbackEnable = true;
    private boolean isLiveDelay = false;
    private volatile boolean isStop = false;
    private FlvAacParser mFlvStream;
    long mLimitConnectTime;
    long mLimitDownloadSpeed;
    private String mSourceUrl;
    private XMediaplayerJNI mXMediaplayerJNI;

    public FlvLiveReadThread(XMediaplayerJNI xMediaplayerJNI, String str, LinkedBlockingQueue<BufferItem> linkedBlockingQueue) {
        super("FlvLiveReadThreadForPlayer");
        this.mXMediaplayerJNI = xMediaplayerJNI;
        this.mSourceUrl = str;
        this.buffItemQueue = linkedBlockingQueue;
        this.isStop = false;
        setPriority(10);
    }

    private void putItem(BufferItem bufferItem) {
        Logger.log(TAG, "putItem buffItemQueue.size()0:" + this.buffItemQueue.size());
        if (this.buffItemQueue.remainingCapacity() < 5) {
            this.isLiveDelay = true;
        } else {
            this.isLiveDelay = false;
        }
        try {
            this.buffItemQueue.put(bufferItem);
        } catch (InterruptedException e2) {
            e2.printStackTrace();
        }
        Logger.log(TAG, "putItem buffItemQueue.size()1:" + this.buffItemQueue.size());
    }

    public void close() {
        this.isStop = true;
        if (this.buffItemQueue != null) {
            this.buffItemQueue.clear();
        }
        interrupt();
        Logger.log(XMediaplayerJNI.Tag, "HlsReadThread hls readData close");
    }

    public boolean isClose() {
        return this.isStop;
    }

    public boolean isLiveDelay() {
        return this.isLiveDelay;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:102:0x02a3, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:103:0x02a4, code lost:
        r27 = r5;
        r2 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:104:0x02a9, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:153:0x0423, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:154:0x0424, code lost:
        r27 = r5;
        r31 = "connected_time=";
        r26 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r29 = "s";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:156:0x0430, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:157:0x0432, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:158:0x0433, code lost:
        r28 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:159:0x0435, code lost:
        r27 = r5;
        r2 = "connected_time=";
        r12 = r17;
        r6 = "s";
        r5 = r5;
        r3 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r19 = r3;
        r4 = r13;
        r13 = r12;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:160:0x0449, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:161:0x044a, code lost:
        r28 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:175:0x04bb, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:176:0x04bd, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:177:0x04be, code lost:
        r31 = r2;
        r26 = r3;
        r30 = r5;
        r29 = r6;
        r25 = r12;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:180:0x04ce, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:181:0x04cf, code lost:
        r28 = r2;
        r31 = "connected_time=";
        r26 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r29 = "s";
        r3 = r3;
        r30 = r5;
        r5 = false;
        r13 = 0.0f;
        r27 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:183:0x04ed, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:184:0x04ee, code lost:
        r28 = r2;
        r2 = "connected_time=";
        r13 = r12;
        r12 = r17;
        r6 = "s";
        r5 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:185:0x04f9, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:186:0x04fa, code lost:
        r28 = r2;
        r2 = "connected_time=";
        r13 = r12;
        r12 = r17;
        r6 = "s";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:187:0x0502, code lost:
        r3 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r19 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:189:0x050a, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:190:0x050b, code lost:
        r28 = r2;
        r19 = r3;
        r31 = "connected_time=";
        r26 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r30 = r5;
        r29 = "s";
        r25 = r17;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:191:0x0520, code lost:
        r3 = r19;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:204:0x0567, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:205:0x0568, code lost:
        r28 = r2;
        r31 = "connected_time=";
        r30 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:210:0x057f, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:211:0x0580, code lost:
        r28 = r2;
        r2 = "connected_time=";
        r12 = r17;
        r3 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r6 = "s";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:228:0x05c0, code lost:
        r12 = java.lang.System.currentTimeMillis() - 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:229:0x05c6, code lost:
        if (r12 != 0) goto L_0x05c8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:230:0x05c8, code lost:
        r29 = r6;
        r3 = ((((float) r4) + 0.0f) / 1024.0f) / ((((float) r12) + 0.0f) / 1000.0f);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:231:0x05dc, code lost:
        r29 = r6;
        r3 = r17;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:233:?, code lost:
        r6 = new java.lang.StringBuilder();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:234:0x05e5, code lost:
        r31 = r2;
        r30 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:236:?, code lost:
        r6.append(com.ximalaya.ting.android.player.cdn.CdnUtil.oneDecimal(r3, true));
        r6.append("");
        r14.setDownloadSpeed(r6.toString());
        r14.setDownloaded(r4 + "");
        r14.setDownloadTime(r12 + "");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:237:0x061f, code lost:
        r13 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:238:0x0621, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:239:0x0623, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:240:0x0624, code lost:
        r31 = r2;
        r30 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:241:0x0628, code lost:
        r2 = r0;
        r13 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:242:0x062c, code lost:
        r31 = r2;
        r30 = r5;
        r29 = r6;
        r13 = r17;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:247:0x0641, code lost:
        r2 = java.lang.System.currentTimeMillis() - 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:249:?, code lost:
        r14.setConnectedTime(com.ximalaya.ting.android.player.cdn.CdnUtil.oneDecimal((float) r2, false));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:250:0x064d, code lost:
        r3 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:251:0x064f, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:252:0x0650, code lost:
        r3 = r2;
        r5 = true;
        r2 = r0;
        r0 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:253:0x0656, code lost:
        r3 = r19;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:261:0x0676, code lost:
        r14.setDownloaded("0");
        r14.setDownloadTime("0");
        r14.setErrorType(com.ximalaya.ting.android.player.cdn.CdnConstants.SYSTEM_EXCEPTION);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:276:0x06ba, code lost:
        r14.setViaInfo(null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:279:0x06c8, code lost:
        r14.setStatusCode("");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:287:?, code lost:
        r27.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:288:0x06eb, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:289:0x06ec, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:291:0x06f2, code lost:
        r28.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:311:0x0740, code lost:
        r14.setViaInfo(null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:314:0x074e, code lost:
        r14.setStatusCode("");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:321:0x076d, code lost:
        r0 = r10.getNetType();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:322:0x0772, code lost:
        if (r0 == -1) goto L_0x0774;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:323:0x0774, code lost:
        r18 = r5;
        r15 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:324:0x0779, code lost:
        if (r0 == 0) goto L_0x077b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:325:0x077b, code lost:
        r35.mLimitConnectTime = (long) r10.getCdnNotWifiConnectTimeout();
        r35.mLimitDownloadSpeed = (long) r10.getCdnNotWifiAlertRate();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:326:0x0791, code lost:
        if (r3 > (r35.mLimitConnectTime * 1000)) goto L_0x0793;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:327:0x0793, code lost:
        r14.setErrorType(com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_CONNECTED_TOO_SLOW);
        r14.setExceptionReason(r31 + com.ximalaya.ting.android.player.cdn.CdnUtil.oneDecimal((float) r3, false) + r30 + r35.mLimitConnectTime + r29);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:328:0x07bf, code lost:
        r18 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:330:0x07c8, code lost:
        if (((float) r35.mLimitDownloadSpeed) > r13) goto L_0x07ca;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:331:0x07ca, code lost:
        r14.setErrorType(r26);
        r14.setExceptionReason(r25 + com.ximalaya.ting.android.player.cdn.CdnUtil.oneDecimal(r13, true) + "KB/s, download_speed_threshold=" + r35.mLimitDownloadSpeed + "KB/s");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:332:0x07f8, code lost:
        r16 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:333:0x0805, code lost:
        if (r0 == 1) goto L_0x0807;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:334:0x0807, code lost:
        r35.mLimitConnectTime = (long) r10.getCdnWifiConnectTimeout();
        r35.mLimitDownloadSpeed = (long) r10.getCdnWifiAlertRate();
        r35.mLimitConnectTime = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:335:0x0825, code lost:
        if (r3 > (r35.mLimitConnectTime * 1000)) goto L_0x0827;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:336:0x0827, code lost:
        r14.setErrorType(com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_CONNECTED_TOO_SLOW);
        r14.setExceptionReason(r31 + com.ximalaya.ting.android.player.cdn.CdnUtil.oneDecimal((float) r3, false) + r30 + r35.mLimitConnectTime + r29);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:338:0x0854, code lost:
        if (((float) r35.mLimitDownloadSpeed) > r13) goto L_0x0856;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:339:0x0856, code lost:
        r14.setErrorType(r26);
        r14.setExceptionReason(r25 + com.ximalaya.ting.android.player.cdn.CdnUtil.oneDecimal(r13, true) + "KB/s, download_speed_threshold=" + r35.mLimitDownloadSpeed + "KB/s");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:344:?, code lost:
        r27.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:345:0x088f, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:346:0x0890, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:348:0x0896, code lost:
        r28.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:369:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:67:0x01ae, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:69:0x01b2, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x01b3, code lost:
        r28 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:72:0x01ce, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:73:0x01cf, code lost:
        r28 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:74:0x01d1, code lost:
        r2 = r0;
        r27 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:75:0x01d4, code lost:
        r31 = "connected_time=";
        r26 = com.ximalaya.ting.android.player.cdn.CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
        r29 = "s";
        r30 = r5;
        r0 = false;
        r5 = false;
        r13 = 0.0f;
        r25 = r17;
     */
    /* JADX WARNING: Exception block dominator not found, dom blocks: [B:87:0x0217, B:89:0x021b] */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:104:0x02a9 A[ExcHandler: IOException (e java.io.IOException), Splitter:B:87:0x0217] */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x03f9 A[SYNTHETIC, Splitter:B:140:0x03f9] */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x0404  */
    /* JADX WARNING: Removed duplicated region for block: B:156:0x0430 A[ExcHandler: IOException (e java.io.IOException), Splitter:B:80:0x01fe] */
    /* JADX WARNING: Removed duplicated region for block: B:160:0x0449 A[ExcHandler: all (th java.lang.Throwable), PHI: r2 
      PHI: (r2v57 java.net.HttpURLConnection) = (r2v2 java.net.HttpURLConnection), (r2v2 java.net.HttpURLConnection), (r2v58 java.net.HttpURLConnection), (r2v58 java.net.HttpURLConnection) binds: [B:52:0x0165, B:53:?, B:55:0x0177, B:56:?] A[DONT_GENERATE, DONT_INLINE], Splitter:B:52:0x0165] */
    /* JADX WARNING: Removed duplicated region for block: B:176:0x04bd A[ExcHandler: all (th java.lang.Throwable), Splitter:B:169:0x04a2] */
    /* JADX WARNING: Removed duplicated region for block: B:180:0x04ce A[ExcHandler: all (th java.lang.Throwable), Splitter:B:46:0x0150] */
    /* JADX WARNING: Removed duplicated region for block: B:189:0x050a A[ExcHandler: all (th java.lang.Throwable), PHI: r3 
      PHI: (r3v52 long) = (r3v48 long), (r3v48 long), (r3v54 long), (r3v54 long) binds: [B:34:0x00f4, B:35:?, B:43:0x0145, B:44:?] A[DONT_GENERATE, DONT_INLINE], Splitter:B:34:0x00f4] */
    /* JADX WARNING: Removed duplicated region for block: B:210:0x057f A[ExcHandler: IOException (e java.io.IOException), Splitter:B:13:0x0088] */
    /* JADX WARNING: Removed duplicated region for block: B:227:0x05bc A[Catch:{ all -> 0x069c }] */
    /* JADX WARNING: Removed duplicated region for block: B:242:0x062c  */
    /* JADX WARNING: Removed duplicated region for block: B:246:0x063d A[Catch:{ all -> 0x0699 }] */
    /* JADX WARNING: Removed duplicated region for block: B:253:0x0656  */
    /* JADX WARNING: Removed duplicated region for block: B:257:0x065e A[Catch:{ all -> 0x0696 }] */
    /* JADX WARNING: Removed duplicated region for block: B:276:0x06ba  */
    /* JADX WARNING: Removed duplicated region for block: B:279:0x06c8  */
    /* JADX WARNING: Removed duplicated region for block: B:286:0x06e7 A[SYNTHETIC, Splitter:B:286:0x06e7] */
    /* JADX WARNING: Removed duplicated region for block: B:291:0x06f2  */
    /* JADX WARNING: Removed duplicated region for block: B:311:0x0740  */
    /* JADX WARNING: Removed duplicated region for block: B:314:0x074e  */
    /* JADX WARNING: Removed duplicated region for block: B:321:0x076d  */
    /* JADX WARNING: Removed duplicated region for block: B:343:0x088b A[SYNTHETIC, Splitter:B:343:0x088b] */
    /* JADX WARNING: Removed duplicated region for block: B:348:0x0896  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x01ae A[ExcHandler: all (th java.lang.Throwable), PHI: r28 
      PHI: (r28v35 java.net.HttpURLConnection) = (r28v31 java.net.HttpURLConnection), (r28v31 java.net.HttpURLConnection), (r28v40 java.net.HttpURLConnection), (r28v40 java.net.HttpURLConnection) binds: [B:87:0x0217, B:88:?, B:64:0x019b, B:65:?] A[DONT_GENERATE, DONT_INLINE], Splitter:B:64:0x019b] */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x01ce A[ExcHandler: all (th java.lang.Throwable), Splitter:B:58:0x017b] */
    public void run() {
        boolean z;
        CdnCollectDataForPlay cdnCollectDataForPlay;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        HttpURLConnection httpURLConnection;
        InputStream inputStream;
        String str6;
        String str7;
        float f2;
        boolean z2;
        long j2;
        Throwable th;
        boolean z3;
        long j3;
        float f3;
        int i2;
        String str8;
        String str9;
        int i3;
        String str10;
        String str11;
        IOException e2;
        Throwable th2;
        Throwable th3;
        int responseCode;
        String str12;
        StringBuilder sb;
        Throwable th4;
        int i4;
        float f4;
        boolean z4;
        String str13 = "s, connected_time_threshold=";
        Process.setThreadPriority(-19);
        if (!this.isStop && MD5.getFileNameMd5(this.mXMediaplayerJNI.getPlayUrl()).equals(MD5.getFileNameMd5(this.mSourceUrl))) {
            CdnConfigModel cdnConfigModel = CdnUtil.getCdnConfigModel();
            if (cdnConfigModel == null) {
                cdnCollectDataForPlay = null;
                z = true;
            } else {
                CdnCollectDataForPlay cdnCollectDataForPlay2 = new CdnCollectDataForPlay();
                cdnCollectDataForPlay2.setType("play_flv_live");
                cdnCollectDataForPlay2.setRequestUUID(UUID.randomUUID().toString());
                cdnCollectDataForPlay = cdnCollectDataForPlay2;
                z = false;
            }
            Logger.log(XMediaplayerJNI.Tag, "flv start run");
            if (TextUtils.isEmpty(this.mSourceUrl)) {
                str = "download_speed=";
                str2 = "";
            } else {
                str2 = Uri.parse(this.mSourceUrl).getHost();
                str = "download_speed=";
            }
            HttpURLConnection connectionUseDnsCache = PlayerUtil.getConnectionUseDnsCache(new String[]{this.mSourceUrl}, null, 3, false, "GET");
            try {
                if (!this.isStop) {
                    Logger.log(XMediaplayerJNI.Tag, "flv getConnectionUseDnsCache return httpUrlConnection");
                    if (connectionUseDnsCache != null) {
                        if (cdnCollectDataForPlay != null) {
                            long currentTimeMillis = System.currentTimeMillis() - 0;
                            try {
                                cdnCollectDataForPlay.setConnectedTime(CdnUtil.oneDecimal((float) currentTimeMillis, false));
                                String url = connectionUseDnsCache.getURL().toString();
                                cdnCollectDataForPlay.setAudioUrl(url);
                                cdnCollectDataForPlay.setCdnDomain(str2);
                                cdnCollectDataForPlay.setCdnIP(CdnUtil.getUrlIp(url));
                                cdnCollectDataForPlay.setViaInfo(connectionUseDnsCache.getHeaderField("via"));
                                j2 = currentTimeMillis;
                            } catch (IOException e3) {
                                e2 = e3;
                                httpURLConnection = connectionUseDnsCache;
                                str11 = "connected_time=";
                                str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                str9 = "s";
                                i3 = 0;
                                inputStream = null;
                                j3 = currentTimeMillis;
                                str8 = str;
                                i2 = 0;
                                f3 = 0.0f;
                                try {
                                    e2.printStackTrace();
                                    str7 = str8;
                                    try {
                                        str6 = str10;
                                        try {
                                            Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                                            BufferItem bufferItem = new BufferItem();
                                            bufferItem.fails = true;
                                            bufferItem.errorCode = i2;
                                            putItem(bufferItem);
                                            this.isStop = true;
                                        } catch (Throwable th5) {
                                            th2 = th5;
                                            str3 = str11;
                                            str4 = str13;
                                            str5 = str9;
                                            th = th2;
                                            f2 = f3;
                                            j2 = j3;
                                            z3 = false;
                                            z2 = false;
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                            }
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                            }
                                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                            if (!z3) {
                                            }
                                            boolean z5 = z2;
                                            boolean z6 = z5;
                                            if (inputStream != null) {
                                            }
                                            if (httpURLConnection != null) {
                                            }
                                            CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                            throw th;
                                        }
                                    } catch (Throwable th6) {
                                        th2 = th6;
                                        str3 = str11;
                                        str6 = str10;
                                        str4 = str13;
                                        str5 = str9;
                                        th = th2;
                                        f2 = f3;
                                        j2 = j3;
                                        z3 = false;
                                        z2 = false;
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                        }
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                        }
                                        cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                        cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                        if (!z3) {
                                        }
                                        boolean z52 = z2;
                                        boolean z62 = z52;
                                        if (inputStream != null) {
                                        }
                                        if (httpURLConnection != null) {
                                        }
                                        CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                        throw th;
                                    }
                                    try {
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                                        }
                                        try {
                                            if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                                            }
                                            try {
                                                if (e2.getMessage() != null) {
                                                }
                                                cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                                                cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                                }
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                                }
                                                cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                                if (inputStream != null) {
                                                }
                                                if (httpURLConnection != null) {
                                                }
                                            } catch (Throwable th7) {
                                                th = th7;
                                                z3 = true;
                                                z2 = true;
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                                }
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                                }
                                                cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                                if (!z3) {
                                                }
                                                boolean z522 = z2;
                                                boolean z622 = z522;
                                                if (inputStream != null) {
                                                }
                                                if (httpURLConnection != null) {
                                                }
                                                CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                                throw th;
                                            }
                                        } catch (Throwable th8) {
                                            th = th8;
                                            j2 = j3;
                                            z3 = true;
                                            z2 = true;
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                            }
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                            }
                                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                            if (!z3) {
                                            }
                                            boolean z5222 = z2;
                                            boolean z6222 = z5222;
                                            if (inputStream != null) {
                                            }
                                            if (httpURLConnection != null) {
                                            }
                                            CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                            throw th;
                                        }
                                    } catch (Throwable th9) {
                                        str3 = str11;
                                        str4 = str13;
                                        str5 = str9;
                                        th = th9;
                                        f2 = f3;
                                        j2 = j3;
                                        z3 = true;
                                        z2 = true;
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                        }
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                        }
                                        cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                        cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                        if (!z3) {
                                        }
                                        boolean z52222 = z2;
                                        boolean z62222 = z52222;
                                        if (inputStream != null) {
                                        }
                                        if (httpURLConnection != null) {
                                        }
                                        CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                        throw th;
                                    }
                                } catch (Throwable th10) {
                                    th2 = th10;
                                    str3 = str11;
                                    str6 = str10;
                                    str4 = str13;
                                    str5 = str9;
                                    str7 = str8;
                                    th = th2;
                                    f2 = f3;
                                    j2 = j3;
                                    z3 = false;
                                    z2 = false;
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                    }
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                    }
                                    cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                    cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                    if (!z3) {
                                    }
                                    boolean z522222 = z2;
                                    boolean z622222 = z522222;
                                    if (inputStream != null) {
                                    }
                                    if (httpURLConnection != null) {
                                    }
                                    CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                    throw th;
                                }
                            } catch (Throwable th11) {
                                th3 = th11;
                                httpURLConnection = connectionUseDnsCache;
                                str4 = str13;
                                str3 = "connected_time=";
                                j2 = currentTimeMillis;
                                str7 = str;
                                str6 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                str5 = "s";
                                z2 = false;
                                f2 = 0.0f;
                                inputStream = null;
                                th = th3;
                                z3 = false;
                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                }
                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                }
                                cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                if (!z3) {
                                }
                                boolean z5222222 = z2;
                                boolean z6222222 = z5222222;
                                if (inputStream != null) {
                                }
                                if (httpURLConnection != null) {
                                }
                                CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                throw th;
                            }
                        } else {
                            j2 = 0;
                        }
                        try {
                            responseCode = connectionUseDnsCache.getResponseCode();
                            if (cdnCollectDataForPlay != null) {
                                try {
                                    j2 = System.currentTimeMillis() - 0;
                                    cdnCollectDataForPlay.setConnectedTime(CdnUtil.oneDecimal((float) j2, false));
                                    cdnCollectDataForPlay.setViaInfo(connectionUseDnsCache.getHeaderField("via"));
                                    cdnCollectDataForPlay.setStatusCode(responseCode + "");
                                } catch (IOException e4) {
                                    e2 = e4;
                                    httpURLConnection = connectionUseDnsCache;
                                    str11 = "connected_time=";
                                    i2 = responseCode;
                                    str8 = str;
                                    str9 = "s";
                                    f3 = 0.0f;
                                    inputStream = null;
                                    str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                    j3 = j2;
                                    i3 = 0;
                                } catch (Throwable th12) {
                                    th3 = th12;
                                    httpURLConnection = connectionUseDnsCache;
                                    str4 = str13;
                                    str3 = "connected_time=";
                                    str7 = str;
                                    str6 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                    str5 = "s";
                                    z2 = false;
                                    f2 = 0.0f;
                                    inputStream = null;
                                    th = th3;
                                    z3 = false;
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                    }
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                    }
                                    cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                    cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                    if (!z3) {
                                    }
                                    boolean z52222222 = z2;
                                    boolean z62222222 = z52222222;
                                    if (inputStream != null) {
                                    }
                                    if (httpURLConnection != null) {
                                    }
                                    CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                    throw th;
                                }
                            }
                            str12 = XMediaplayerJNI.Tag;
                            sb = new StringBuilder();
                        } catch (IOException e5) {
                            e2 = e5;
                            httpURLConnection = connectionUseDnsCache;
                            str11 = "connected_time=";
                            str8 = str;
                            str9 = "s";
                            str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                            j3 = j2;
                            i3 = 0;
                            i2 = 0;
                            f3 = 0.0f;
                            inputStream = null;
                            e2.printStackTrace();
                            str7 = str8;
                            str6 = str10;
                            Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                            BufferItem bufferItem2 = new BufferItem();
                            bufferItem2.fails = true;
                            bufferItem2.errorCode = i2;
                            putItem(bufferItem2);
                            this.isStop = true;
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                            }
                            if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                            }
                            if (e2.getMessage() != null) {
                            }
                            cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                            cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                            }
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                            }
                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (inputStream != null) {
                            }
                            if (httpURLConnection != null) {
                            }
                        } catch (Throwable th13) {
                        }
                        try {
                            sb.append("flv responseCode:");
                            sb.append(responseCode);
                            Logger.log(str12, sb.toString());
                            if (responseCode == 200) {
                                InputStream inputStream2 = connectionUseDnsCache.getInputStream();
                                try {
                                    this.mFlvStream = new FlvAacParser(inputStream2);
                                    this.mFlvStream.setFlvDataCallbackIsEnable(this.isFlvDataCallbackEnable);
                                    int i5 = 0;
                                    int i6 = 0;
                                    while (!this.isStop) {
                                        try {
                                            byte[] readFrame = this.mFlvStream.readFrame(i5);
                                            int length = readFrame.length;
                                            int i7 = i6 + length;
                                            BufferItem bufferItem3 = new BufferItem();
                                            bufferItem3.setBuffer(readFrame);
                                            putItem(bufferItem3);
                                            String str14 = XMediaplayerJNI.Tag;
                                            StringBuilder sb2 = new StringBuilder();
                                            httpURLConnection = connectionUseDnsCache;
                                            try {
                                                sb2.append("flv read buf len:");
                                                sb2.append(length);
                                                Logger.log(str14, sb2.toString());
                                                i5 = length;
                                                i6 = i7;
                                                connectionUseDnsCache = httpURLConnection;
                                            } catch (IOException e6) {
                                                e2 = e6;
                                                str11 = "connected_time=";
                                                str8 = str;
                                                str9 = "s";
                                                i2 = responseCode;
                                                f3 = 0.0f;
                                                inputStream = inputStream2;
                                                str13 = str13;
                                                str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                                j3 = j2;
                                                i3 = i7;
                                                e2.printStackTrace();
                                                str7 = str8;
                                                str6 = str10;
                                                Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                                                BufferItem bufferItem22 = new BufferItem();
                                                bufferItem22.fails = true;
                                                bufferItem22.errorCode = i2;
                                                putItem(bufferItem22);
                                                this.isStop = true;
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                                                }
                                                if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                                                }
                                                if (e2.getMessage() != null) {
                                                }
                                                cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                                                cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                                }
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                                }
                                                cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                                if (inputStream != null) {
                                                }
                                                if (httpURLConnection != null) {
                                                }
                                            } catch (Throwable th14) {
                                            }
                                        } catch (IOException e7) {
                                            e2 = e7;
                                            httpURLConnection = connectionUseDnsCache;
                                            inputStream = inputStream2;
                                            str11 = "connected_time=";
                                            str8 = str;
                                            str9 = "s";
                                            str13 = str13;
                                            f3 = 0.0f;
                                            i3 = i6;
                                            str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                            i2 = responseCode;
                                            j3 = j2;
                                            e2.printStackTrace();
                                            str7 = str8;
                                            str6 = str10;
                                            Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                                            BufferItem bufferItem222 = new BufferItem();
                                            bufferItem222.fails = true;
                                            bufferItem222.errorCode = i2;
                                            putItem(bufferItem222);
                                            this.isStop = true;
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                                            }
                                            if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                                            }
                                            if (e2.getMessage() != null) {
                                            }
                                            cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                                            cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                            }
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                            }
                                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                            if (inputStream != null) {
                                            }
                                            if (httpURLConnection != null) {
                                            }
                                        } catch (Throwable th15) {
                                        }
                                    }
                                    httpURLConnection = connectionUseDnsCache;
                                    try {
                                        Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last");
                                        BufferItem bufferItem4 = new BufferItem();
                                        bufferItem4.setLastChunk();
                                        putItem(bufferItem4);
                                        this.isStop = true;
                                        if (cdnCollectDataForPlay != null) {
                                            if (i6 > 0) {
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_SUCCESS);
                                            } else {
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                            }
                                            str11 = "connected_time=";
                                            long currentTimeMillis2 = System.currentTimeMillis() - 0;
                                            if (currentTimeMillis2 != 0) {
                                                inputStream = inputStream2;
                                                f4 = ((((float) i6) + 0.0f) / 1024.0f) / ((((float) currentTimeMillis2) + 0.0f) / 1000.0f);
                                            } else {
                                                inputStream = inputStream2;
                                                f4 = 0.0f;
                                            }
                                            try {
                                                cdnCollectDataForPlay.setDownloaded(i6 + "");
                                                cdnCollectDataForPlay.setDownloadTime(currentTimeMillis2 + "");
                                                cdnCollectDataForPlay.setDownloadSpeed(CdnUtil.oneDecimal(f4, true) + "");
                                            } catch (IOException e8) {
                                                e2 = e8;
                                                str9 = "s";
                                                str13 = str13;
                                                f3 = f4;
                                                str8 = str;
                                                i3 = i6;
                                                str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                                i2 = responseCode;
                                                j3 = j2;
                                            } catch (Throwable th16) {
                                                th4 = th16;
                                                str3 = str11;
                                                f2 = f4;
                                                str6 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                                str5 = "s";
                                                str4 = str13;
                                                z2 = false;
                                                th = th4;
                                                str7 = str;
                                                z3 = false;
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                                }
                                                if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                                }
                                                cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                                if (!z3) {
                                                }
                                                boolean z522222222 = z2;
                                                boolean z622222222 = z522222222;
                                                if (inputStream != null) {
                                                }
                                                if (httpURLConnection != null) {
                                                }
                                                CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                                throw th;
                                            }
                                        } else {
                                            inputStream = inputStream2;
                                            str11 = "connected_time=";
                                            f4 = 0.0f;
                                        }
                                        if (!z && cdnCollectDataForPlay != null) {
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                                cdnCollectDataForPlay.setViaInfo(null);
                                            }
                                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                                cdnCollectDataForPlay.setStatusCode("");
                                            }
                                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                            if (cdnCollectDataForPlay.getDownloadResult() == null || !cdnCollectDataForPlay.getDownloadResult().contains(CdnConstants.DOWNLOAD_SUCCESS)) {
                                                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                            }
                                            int netType = cdnConfigModel.getNetType();
                                            if (netType == -1) {
                                                z = true;
                                            } else {
                                                if (netType == 0) {
                                                    this.mLimitConnectTime = (long) cdnConfigModel.getCdnNotWifiConnectTimeout();
                                                    this.mLimitDownloadSpeed = (long) cdnConfigModel.getCdnNotWifiAlertRate();
                                                    if (j2 > this.mLimitConnectTime * 1000) {
                                                        cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_CONNECTED_TOO_SLOW);
                                                        cdnCollectDataForPlay.setExceptionReason(str11 + CdnUtil.oneDecimal((float) j2, false) + str13 + this.mLimitConnectTime + "s");
                                                    } else if (((float) this.mLimitDownloadSpeed) > f4) {
                                                        cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_DOWNLOAD_TOO_SLOW);
                                                        cdnCollectDataForPlay.setExceptionReason(str + CdnUtil.oneDecimal(f4, true) + "KB/s, download_speed_threshold=" + this.mLimitDownloadSpeed + "KB/s");
                                                    }
                                                } else if (netType == 1) {
                                                    this.mLimitConnectTime = (long) cdnConfigModel.getCdnWifiConnectTimeout();
                                                    this.mLimitDownloadSpeed = (long) cdnConfigModel.getCdnWifiAlertRate();
                                                    this.mLimitConnectTime = 0;
                                                    if (j2 > this.mLimitConnectTime * 1000) {
                                                        cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_CONNECTED_TOO_SLOW);
                                                        cdnCollectDataForPlay.setExceptionReason(str11 + CdnUtil.oneDecimal((float) j2, false) + str13 + this.mLimitConnectTime + "s");
                                                    } else if (((float) this.mLimitDownloadSpeed) > f4) {
                                                        cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_DOWNLOAD_TOO_SLOW);
                                                        cdnCollectDataForPlay.setExceptionReason(str + CdnUtil.oneDecimal(f4, true) + "KB/s, download_speed_threshold=" + this.mLimitDownloadSpeed + "KB/s");
                                                    }
                                                }
                                                z4 = true;
                                                if (inputStream != null) {
                                                    try {
                                                        inputStream.close();
                                                    } catch (IOException e9) {
                                                        e9.printStackTrace();
                                                    }
                                                }
                                                if (httpURLConnection != null) {
                                                    httpURLConnection.disconnect();
                                                }
                                                if (cdnCollectDataForPlay == null || !z4 || z || TextUtils.isEmpty(cdnCollectDataForPlay.getErrorType()) || TextUtils.isEmpty(cdnCollectDataForPlay.getExceptionReason())) {
                                                    return;
                                                }
                                                CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                                return;
                                            }
                                        }
                                        z4 = false;
                                        if (inputStream != null) {
                                        }
                                        if (httpURLConnection != null) {
                                        }
                                    } catch (IOException e10) {
                                    } catch (Throwable th17) {
                                        th4 = th17;
                                        inputStream = inputStream2;
                                        str3 = "connected_time=";
                                        str6 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                        str5 = "s";
                                        j2 = j2;
                                        str4 = str13;
                                        z2 = false;
                                        f2 = 0.0f;
                                        th = th4;
                                        str7 = str;
                                        z3 = false;
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                        }
                                        if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                        }
                                        cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                        cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                        if (!z3) {
                                        }
                                        boolean z5222222222 = z2;
                                        boolean z6222222222 = z5222222222;
                                        if (inputStream != null) {
                                        }
                                        if (httpURLConnection != null) {
                                        }
                                        CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                                        throw th;
                                    }
                                } catch (IOException e11) {
                                    e2 = e11;
                                    httpURLConnection = connectionUseDnsCache;
                                    inputStream = inputStream2;
                                    str11 = "connected_time=";
                                    str8 = str;
                                    str9 = "s";
                                    str13 = str13;
                                    str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                    j3 = j2;
                                    i2 = responseCode;
                                    i3 = 0;
                                    f3 = 0.0f;
                                    e2.printStackTrace();
                                    str7 = str8;
                                    str6 = str10;
                                    Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                                    BufferItem bufferItem2222 = new BufferItem();
                                    bufferItem2222.fails = true;
                                    bufferItem2222.errorCode = i2;
                                    putItem(bufferItem2222);
                                    this.isStop = true;
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                                    }
                                    if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                                    }
                                    if (e2.getMessage() != null) {
                                    }
                                    cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                                    cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                                    cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                    }
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                    }
                                    cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                    cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                    if (inputStream != null) {
                                    }
                                    if (httpURLConnection != null) {
                                    }
                                } catch (Throwable th18) {
                                }
                            } else {
                                httpURLConnection = connectionUseDnsCache;
                                str11 = "connected_time=";
                                i4 = responseCode;
                                str8 = str;
                                str9 = "s";
                                str13 = str13;
                                str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                                j3 = j2;
                                try {
                                    StringBuilder sb3 = new StringBuilder();
                                    sb3.append("httpCode");
                                    i2 = i4;
                                    sb3.append(i2);
                                    throw new IOException(sb3.toString());
                                } catch (IOException e12) {
                                    e2 = e12;
                                    i2 = i4;
                                    i3 = 0;
                                    f3 = 0.0f;
                                    inputStream = null;
                                    e2.printStackTrace();
                                    str7 = str8;
                                    str6 = str10;
                                    Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                                    BufferItem bufferItem22222 = new BufferItem();
                                    bufferItem22222.fails = true;
                                    bufferItem22222.errorCode = i2;
                                    putItem(bufferItem22222);
                                    this.isStop = true;
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                                    }
                                    if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                                    }
                                    if (e2.getMessage() != null) {
                                    }
                                    cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                                    cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                                    cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                                    }
                                    if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                                    }
                                    cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                                    cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                                    if (inputStream != null) {
                                    }
                                    if (httpURLConnection != null) {
                                    }
                                } catch (Throwable th19) {
                                }
                            }
                        } catch (IOException e13) {
                            e2 = e13;
                            httpURLConnection = connectionUseDnsCache;
                            str11 = "connected_time=";
                            i4 = responseCode;
                            str8 = str;
                            str9 = "s";
                            str13 = str13;
                            str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                            j3 = j2;
                            i2 = i4;
                            i3 = 0;
                            f3 = 0.0f;
                            inputStream = null;
                            e2.printStackTrace();
                            str7 = str8;
                            str6 = str10;
                            Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                            BufferItem bufferItem222222 = new BufferItem();
                            bufferItem222222.fails = true;
                            bufferItem222222.errorCode = i2;
                            putItem(bufferItem222222);
                            this.isStop = true;
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                            }
                            if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                            }
                            if (e2.getMessage() != null) {
                            }
                            cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                            cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                            }
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                            }
                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (inputStream != null) {
                            }
                            if (httpURLConnection != null) {
                            }
                        } catch (Throwable th20) {
                        }
                    } else {
                        httpURLConnection = connectionUseDnsCache;
                        str11 = "connected_time=";
                        str8 = str;
                        str10 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                        str9 = "s";
                        try {
                            throw new IOException("httpUrlConnection is null");
                        } catch (IOException e14) {
                            e2 = e14;
                            i3 = 0;
                            i2 = 0;
                            f3 = 0.0f;
                            j3 = 0;
                            inputStream = null;
                            e2.printStackTrace();
                            str7 = str8;
                            str6 = str10;
                            Logger.log(XMediaplayerJNI.Tag, "flv read BufferItem last exception");
                            BufferItem bufferItem2222222 = new BufferItem();
                            bufferItem2222222.fails = true;
                            bufferItem2222222.errorCode = i2;
                            putItem(bufferItem2222222);
                            this.isStop = true;
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getDownloadSpeed())) {
                            }
                            if (cdnCollectDataForPlay.getConnectedTime() <= 0.0f) {
                            }
                            if (e2.getMessage() != null) {
                            }
                            cdnCollectDataForPlay.setErrorType(CdnConstants.CDN_IO_EXCEPTION);
                            cdnCollectDataForPlay.setExceptionReason(CdnUtil.exception2String(e2));
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                            }
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                            }
                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (inputStream != null) {
                            }
                            if (httpURLConnection != null) {
                            }
                        } catch (Throwable th21) {
                            th3 = th21;
                            str3 = str11;
                            str6 = str10;
                            str4 = str13;
                            str5 = str9;
                            str7 = str8;
                            j2 = 0;
                            z2 = false;
                            f2 = 0.0f;
                            inputStream = null;
                            th = th3;
                            z3 = false;
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                            }
                            if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                            }
                            cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                            cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                            if (!z3) {
                            }
                            boolean z52222222222 = z2;
                            boolean z62222222222 = z52222222222;
                            if (inputStream != null) {
                            }
                            if (httpURLConnection != null) {
                            }
                            CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                            throw th;
                        }
                    }
                } else {
                    throw new IOException("Connection timeout flv has stop");
                }
            } catch (IOException e15) {
            } catch (Throwable th22) {
                th3 = th22;
                httpURLConnection = connectionUseDnsCache;
                str4 = str13;
                str3 = "connected_time=";
                str7 = str;
                str6 = CdnConstants.CDN_DOWNLOAD_TOO_SLOW;
                str5 = "s";
                j2 = 0;
                z2 = false;
                f2 = 0.0f;
                inputStream = null;
                th = th3;
                z3 = false;
                if (TextUtils.isEmpty(cdnCollectDataForPlay.getViaInfo())) {
                }
                if (TextUtils.isEmpty(cdnCollectDataForPlay.getStatusCode())) {
                }
                cdnCollectDataForPlay.setTimestamp(System.currentTimeMillis());
                cdnCollectDataForPlay.setDownloadResult(CdnConstants.DOWNLOAD_FAILED);
                if (!z3) {
                }
                boolean z522222222222 = z2;
                boolean z622222222222 = z522222222222;
                if (inputStream != null) {
                }
                if (httpURLConnection != null) {
                }
                CdnUtil.statDownLoadCDN(cdnCollectDataForPlay, cdnConfigModel);
                throw th;
            }
        }
    }

    public void setFlvDataCallbackIsEnable(boolean z) {
        this.isFlvDataCallbackEnable = z;
        FlvAacParser flvAacParser = this.mFlvStream;
        if (flvAacParser != null) {
            flvAacParser.setFlvDataCallbackIsEnable(z);
        }
    }
}
