package com.ximalaya.ting.android.xmtrace;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Rect;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.LruCache;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.CompoundButton;
import android.widget.ExpandableListView;
import android.widget.HorizontalScrollView;
import android.widget.PopupWindow;
import android.widget.RadioGroup;
import android.widget.RatingBar;
import android.widget.SeekBar;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.f;
import androidx.viewpager.widget.ViewPager;
import com.ximalaya.ting.android.xmtrace.AutoTraceHelper;
import com.ximalaya.ting.android.xmtrace.m;
import com.ximalaya.ting.android.xmtrace.model.Event;
import com.ximalaya.ting.android.xmtrace.model.SpecialProperty;
import com.ximalaya.ting.android.xmtrace.q.i;
import com.ximalaya.ting.android.xmtrace.q.j;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

public class PluginAgent {
    public static final String SUB_WINDOW_PAGE_NAME = "sub_window";
    private static final String TAG = "PluginAgent";
    private static /* synthetic */ Throwable ajc$initFailureCause;
    public static final /* synthetic */ PluginAgent ajc$perSingletonInstance = null;
    private static LruCache<String, f> debounces = new LruCache<>(10);
    private static long latestTime = 0;
    private static List<Event> nonInitCacheEventes = new ArrayList();
    private static g puppetEvent;
    public static int screenHeight;
    public static int screenWidth;
    static Integer seekBarStartValue = null;
    static Integer seekBarStopValue = null;
    private static long seq = 0;
    static WeakReference<SeekBar> wSeekBar = null;
    private static WeakReference<View> weakView;
    private f.b fragmentLifecycleCallbacks = new a();

    class a extends f.b {
        a() {
        }

        @Override // androidx.fragment.app.f.b
        public void a(androidx.fragment.app.f fVar, Fragment fragment, Bundle bundle) {
            super.a(fVar, fragment, bundle);
            if (fragment instanceof DialogFragment) {
                View view = fragment.getView();
                String dialogClassName = PluginAgent.this.getDialogClassName(fragment);
                if (view != null) {
                    view = view.getRootView();
                    view.setTag(g.trace_id_key_pop_class_name, dialogClassName);
                }
                PluginAgent.createDialogShowEvent(fragment, view, dialogClassName);
            }
        }

        @Override // androidx.fragment.app.f.b
        public void g(androidx.fragment.app.f fVar, Fragment fragment) {
            super.g(fVar, fragment);
            fVar.unregisterFragmentLifecycleCallbacks(PluginAgent.this.fragmentLifecycleCallbacks);
        }
    }

    /* access modifiers changed from: package-private */
    public static class b implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String f6093a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Event f6094b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Object f6095c;

        b(String str, Event event, Object obj) {
            this.f6093a = str;
            this.f6094b = event;
            this.f6095c = obj;
        }

        public void run() {
            String str = this.f6093a;
            String pageTitle = this.f6094b.getPageTitle();
            com.ximalaya.ting.android.xmtrace.n.a.a(str, pageTitle, "" + this.f6095c.hashCode());
            PluginAgent.sendEvent(this.f6094b);
        }
    }

    /* access modifiers changed from: package-private */
    public static class c implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f6096a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ String f6097b;

        c(View view, String str) {
            this.f6096a = view;
            this.f6097b = str;
        }

        public void run() {
            Object[] a2 = i.a(this.f6096a, this.f6097b);
            String str = (String) a2[0];
            if (!TextUtils.isEmpty(str)) {
                PluginAgent.sendEvent(Event.createDialogExposureEvent(a2[1], str, 4, PluginAgent.getSeq()));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class d implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ WeakReference f6098a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Event f6099b;

        d(WeakReference weakReference, Event event) {
            this.f6098a = weakReference;
            this.f6099b = event;
        }

        public void run() {
            WeakReference weakReference = this.f6098a;
            if (weakReference != null && weakReference.get() != null) {
                Event event = this.f6099b;
                event.addViewIndex("" + i.l((View) this.f6098a.get()));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class e implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ WeakReference f6100a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Event f6101b;

        e(WeakReference weakReference, Event event) {
            this.f6100a = weakReference;
            this.f6101b = event;
        }

        public void run() {
            WeakReference weakReference = this.f6100a;
            if (weakReference != null && weakReference.get() != null) {
                Event event = this.f6101b;
                event.addViewIndex("" + i.l((View) this.f6100a.get()));
            }
        }
    }

    private static class f {

        /* renamed from: a  reason: collision with root package name */
        public String f6102a;

        /* renamed from: b  reason: collision with root package name */
        public int f6103b;

        public f(String str, int i2) {
            d.h.b.a.d.a.c();
            this.f6102a = str;
            this.f6103b = i2;
        }
    }

    /* access modifiers changed from: private */
    public static class g {

        /* renamed from: a  reason: collision with root package name */
        WeakReference<View> f6104a;

        /* renamed from: b  reason: collision with root package name */
        Event f6105b;

        public g(View view, Event event) {
            this.f6104a = new WeakReference<>(view);
            this.f6105b = event;
        }
    }

    static {
        try {
            ajc$postClinit();
        } catch (Throwable th) {
            ajc$initFailureCause = th;
        }
    }

    private static void addNonInitCache(Event event) {
        if (nonInitCacheEventes.size() < 500) {
            nonInitCacheEventes.add(event);
        }
    }

    private static /* synthetic */ void ajc$postClinit() {
        ajc$perSingletonInstance = new PluginAgent();
    }

    public static PluginAgent aspectOf() {
        PluginAgent pluginAgent = ajc$perSingletonInstance;
        if (pluginAgent != null) {
            return pluginAgent;
        }
        throw new j.a.a.b("com.ximalaya.ting.android.xmtrace.PluginAgent", ajc$initFailureCause);
    }

    private static boolean checkFragment(android.app.Fragment fragment) {
        return true;
    }

    private static boolean checkFragment(Fragment fragment) {
        return true;
    }

    private static boolean checkIfRepeat(View view) {
        WeakReference<View> weakReference = weakView;
        if (!(weakReference == null || weakReference.get() == null || weakView.get() != view)) {
            weakView = null;
            if (d.h.b.a.d.a.c() - latestTime <= 500) {
                return true;
            }
        }
        weakView = new WeakReference<>(view);
        latestTime = d.h.b.a.d.a.c();
        return false;
    }

    private static boolean checkIsAutoTrace() {
        return !m.v().l() || m.v().n();
    }

    public static void checkedChanged(Object obj, RadioGroup radioGroup, int i2) {
        CompoundButton compoundButton = (CompoundButton) radioGroup.findViewById(i2);
        if (compoundButton == null || (compoundButton.isChecked() && compoundButton.getGlobalVisibleRect(new Rect()) && !compoundButton.hasOnClickListeners())) {
            getViewIdAndWrapEvent(compoundButton, false);
        } else {
            getViewIdAndWrapEvent(compoundButton, true);
        }
    }

    public static void childClick(Object obj, ExpandableListView expandableListView, View view, int i2, int i3, long j2) {
    }

    public static void click(View view) {
        b.b().a(view);
        getViewIdAndWrapEvent(view, false);
    }

    public static void click(Object obj, DialogInterface dialogInterface, int i2) {
    }

    private static void createAndCacheADebounce(String str, int i2) {
        try {
            f fVar = new f(str, i2);
            if (debounces == null) {
                debounces = new LruCache<>(10);
            }
            debounces.put(str, fVar);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    public static void createDialogShowEvent(Object obj, View view, String str) {
        if (view != null) {
            view.postDelayed(new c(view, str), 600);
        }
    }

    private static void createPageHideEvent(Object obj) {
        String str;
        String str2;
        String str3;
        Bundle bundle;
        View view;
        Object data;
        if (obj != null) {
            String canonicalName = obj.getClass().getCanonicalName();
            AutoTraceHelper.IDataProvider iDataProvider = null;
            if (obj instanceof Fragment) {
                Fragment fragment = (Fragment) obj;
                Bundle arguments = fragment.getArguments();
                String a2 = i.a(fragment);
                view = fragment.getView();
                String i2 = i.i(view);
                str3 = i.b(canonicalName, i2);
                bundle = arguments;
                str = a2;
                str2 = i2;
                iDataProvider = i.a(view);
            } else {
                str3 = canonicalName;
                view = null;
                bundle = null;
                str2 = null;
                str = null;
            }
            Event createPageEvent = Event.createPageEvent(i.a(obj), bundle, str3, str2, str, getFragmentSP(view), 1, getSeq(), 1);
            createPageEvent.setServiceId("pageExit");
            if (!(iDataProvider == null || (data = iDataProvider.getData()) == null)) {
                createPageEvent.setPageAppendData(data);
            }
            sendEvent(createPageEvent);
        }
    }

    private static void createPageShowEvent(Object obj) {
        AutoTraceHelper.IDataProvider iDataProvider;
        String str;
        String str2;
        View view;
        String canonicalName = obj.getClass().getCanonicalName();
        j.a(TAG, "createPageShow------- \npageName: " + canonicalName);
        Bundle bundle = null;
        if (obj instanceof Fragment) {
            Fragment fragment = (Fragment) obj;
            bundle = fragment.getArguments();
            String a2 = i.a(fragment);
            view = fragment.getView();
            str2 = i.i(view);
            iDataProvider = i.a(view);
            str = a2;
        } else if (obj instanceof Activity) {
            Activity activity = (Activity) obj;
            AutoTraceHelper.IDataProvider b2 = i.b(activity.getWindow().getDecorView());
            Intent intent = activity.getIntent();
            str2 = null;
            str = null;
            iDataProvider = b2;
            bundle = intent != null ? intent.getExtras() : null;
            view = null;
        } else {
            view = null;
            str2 = null;
            str = null;
            iDataProvider = null;
        }
        Event createPageEvent = Event.createPageEvent(i.a(obj), bundle, canonicalName, str2, str, getFragmentSP(view), 1, getSeq(), 0);
        createPageEvent.setServiceId("pageview");
        if (iDataProvider != null) {
            Object data = iDataProvider.getData();
            if (data == null) {
                createPageEvent.setDataProvider(iDataProvider);
            } else {
                createPageEvent.setPageAppendData(data);
            }
        }
        com.ximalaya.ting.android.xmtrace.q.a.a(new b(canonicalName, createPageEvent, obj), 100);
    }

    private static View findNearestPageView(View view) {
        if (view == null) {
            return null;
        }
        Object tag = view.getTag(g.trace_mark_view_is_page_root_view);
        ViewGroup viewGroup = view;
        if (tag != null) {
            return view;
        }
        while (viewGroup != null) {
            ViewGroup viewGroup2 = (viewGroup.getParent() == null || !(viewGroup.getParent() instanceof ViewGroup)) ? null : (ViewGroup) viewGroup.getParent();
            if (viewGroup2 == null) {
                return null;
            }
            Object tag2 = viewGroup2.getTag(g.trace_mark_view_is_page_root_view);
            viewGroup = viewGroup2;
            if (tag2 != null) {
                return viewGroup2;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getDialogClassName(Object obj) {
        String simpleName = obj.getClass().getSimpleName();
        if (!TextUtils.isEmpty(simpleName)) {
            return simpleName;
        }
        if (obj.getClass().getSuperclass() != null) {
            String simpleName2 = obj.getClass().getSuperclass().getSimpleName();
            if (!TextUtils.isEmpty(simpleName2)) {
                return simpleName2;
            }
        }
        return "pop";
    }

    private static SpecialProperty getFragmentSP(View view) {
        SpecialProperty specialProperty = new SpecialProperty();
        if (view == null) {
            return specialProperty;
        }
        while (true) {
            if (view.getParent() == null || !(view.getParent() instanceof ViewGroup)) {
                break;
            } else if (view.getParent() instanceof ViewPager) {
                specialProperty.vpIndex = ((ViewPager) view.getParent()).getCurrentItem() + "";
                break;
            } else {
                view = (View) view.getParent();
            }
        }
        return specialProperty;
    }

    private static String getResourceEntryName(Context context, int i2) {
        try {
            return context.getResources().getResourceEntryName(i2);
        } catch (Exception e2) {
            e2.printStackTrace();
            return "";
        }
    }

    public static long getSeq() {
        long j2;
        synchronized (PluginAgent.class) {
            j2 = seq;
            seq = 1 + j2;
        }
        return j2;
    }

    private static String getViewIdAndWrapEvent(View view, boolean z) {
        if (view == null) {
            return null;
        }
        if (!z && checkIfRepeat(view)) {
            return null;
        }
        Map<String, String> g2 = i.g(view);
        if (g2 != null) {
            HashMap hashMap = new HashMap();
            for (Map.Entry<String, String> entry : g2.entrySet()) {
                hashMap.put(entry.getKey(), entry.getValue());
            }
            hashMap.put("step", "getId" + String.valueOf(checkIsAutoTrace()));
            hashMap.put("time", d.h.b.a.d.a.c() + "");
            m.v().a("clickEvent", "click", hashMap);
        }
        SpecialProperty specialProperty = new SpecialProperty();
        if (!(!(view instanceof SeekBar) || seekBarStopValue == null || seekBarStartValue == null)) {
            specialProperty.dragStartValue = seekBarStartValue + "";
            specialProperty.dragStopValue = seekBarStopValue + "";
            seekBarStartValue = null;
            seekBarStopValue = null;
        }
        try {
            i.a a2 = i.a(view, i.j(view), specialProperty);
            if (!a2.f6336h) {
                wrapEvent(view, a2, specialProperty, 0, null, null, z);
            } else {
                wrapEvent(view, a2, specialProperty, 3, null, null, z);
            }
            return a2.f6329a;
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static void groupClick(Object obj, ExpandableListView expandableListView, View view, int i2, long j2) {
    }

    public static boolean hasAspect() {
        return ajc$perSingletonInstance != null;
    }

    public static void initScreenValue(Context context) {
        Resources resources;
        if (context != null && (resources = context.getResources()) != null) {
            DisplayMetrics displayMetrics = resources.getDisplayMetrics();
            screenWidth = displayMetrics.widthPixels;
            screenHeight = displayMetrics.heightPixels;
        }
    }

    public static boolean isFromOnClick() {
        int length;
        try {
            StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
            if (stackTrace == null || (length = stackTrace.length) < 7) {
                return false;
            }
            for (int i2 = 0; i2 < length; i2++) {
                StackTraceElement stackTraceElement = stackTrace[i2];
                if (!TextUtils.isEmpty(stackTraceElement.getMethodName())) {
                    if (stackTraceElement.getMethodName().startsWith("lambda$")) {
                        if (i2 >= length - 2) {
                            continue;
                        } else if (TextUtils.equals(stackTrace[i2 + 1].getMethodName(), "onClick")) {
                            StackTraceElement stackTraceElement2 = stackTrace[i2 + 2];
                            if (TextUtils.equals(stackTraceElement2.getClassName(), "android.view.View") && TextUtils.equals(stackTraceElement2.getMethodName(), "performClick")) {
                                return true;
                            }
                        }
                    }
                }
            }
            return false;
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static boolean isFromOnItemClick() {
        int length;
        try {
            StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
            if (stackTrace == null || (length = stackTrace.length) < 7) {
                return false;
            }
            for (int i2 = 0; i2 < length; i2++) {
                StackTraceElement stackTraceElement = stackTrace[i2];
                if (!TextUtils.isEmpty(stackTraceElement.getMethodName())) {
                    if (stackTraceElement.getMethodName().startsWith("lambda$")) {
                        if (i2 >= length - 2) {
                            continue;
                        } else if (TextUtils.equals(stackTrace[i2 + 1].getMethodName(), "onItemClick")) {
                            StackTraceElement stackTraceElement2 = stackTrace[i2 + 2];
                            if (TextUtils.equals(stackTraceElement2.getClassName(), "android.widget.AdapterView") && TextUtils.equals(stackTraceElement2.getMethodName(), "performItemClick")) {
                                return true;
                            }
                        }
                    }
                }
            }
            return false;
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private static boolean isParentFraVisible(Fragment fragment) {
        Fragment parentFragment = fragment.getParentFragment();
        while (true) {
            boolean z = true;
            if (parentFragment == null) {
                return true;
            }
            if (!parentFragment.isAdded() || parentFragment.isHidden() || parentFragment.getView() == null || parentFragment.getView() == null || parentFragment.getView().getVisibility() != 0) {
                z = false;
            }
            if (parentFragment.isHidden() || !parentFragment.getUserVisibleHint() || !z) {
                return false;
            }
            parentFragment = parentFragment.getParentFragment();
        }
    }

    private static boolean isRepeatEvent(String str, int i2) {
        LruCache<String, f> lruCache = debounces;
        if (lruCache == null) {
            return false;
        }
        try {
            f fVar = lruCache.get(str);
            if (fVar != null && fVar.f6102a.equals(str) && i2 == fVar.f6103b) {
                return true;
            }
            return false;
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static void itemClick(Object obj, AdapterView adapterView, View view, int i2, long j2) {
        getViewIdAndWrapEvent(view, false);
    }

    public static void itemSelected(Object obj, AdapterView adapterView, View view, int i2, long j2) {
        itemClick(obj, adapterView, view, i2, j2);
    }

    public static void longClick(View view) {
        b.b().b(view);
        getViewIdAndWrapEvent(view, false);
    }

    public static void onActivityDestroy(Object obj) {
        if (obj != null) {
            Event.removeSrcModule(obj.getClass().getCanonicalName());
            Event.removePageShowInfo(i.a(obj));
        }
    }

    public static void onActivityPause(Activity activity) {
        createPageHideEvent(activity);
    }

    public static void onActivityResume(Activity activity) {
        m v = m.v();
        if (v == null || !v.m()) {
            createPageShowEvent(activity);
        } else {
            sendCheckEvent(activity.getClass().getCanonicalName());
        }
        onPageShow(activity);
    }

    public static void onFragmentDestroy(Object obj) {
        if (obj != null) {
            Event.removeSrcModule(obj.getClass().getCanonicalName());
            Event.removePageShowInfo(i.a(obj));
        }
    }

    public static void onFragmentDetach(Object obj) {
        if (obj != null) {
            Event.removeSrcModule(obj.getClass().getCanonicalName());
            Event.removePageShowInfo(i.a(obj));
        }
    }

    public static void onFragmentHiddenChanged(Object obj, boolean z) {
        if (obj instanceof Fragment) {
            Fragment fragment = (Fragment) obj;
            if (!z) {
                realVisible(fragment);
            } else {
                realHidden(fragment);
            }
        }
    }

    public static void onFragmentPause(Object obj) {
        if (obj instanceof Fragment) {
            Fragment fragment = (Fragment) obj;
            if (fragment.getUserVisibleHint() && !fragment.isHidden()) {
                realHidden(fragment);
            }
        }
    }

    public static void onFragmentResume(Object obj) {
        if (obj instanceof Fragment) {
            Fragment fragment = (Fragment) obj;
            if (!fragment.isHidden() && isParentFraVisible(fragment)) {
                realVisible(fragment);
            }
        }
    }

    private static void onPageShow(Object obj) {
        e n;
        if (obj != null) {
            if (!(m.v().i() == null || (n = m.v().i().n()) == null)) {
                n.a(d.h.b.a.d.a.c(), obj.getClass().getName());
            }
            if (m.v().c() != null && (obj instanceof Fragment)) {
                m.v().c().a(5, obj);
            }
        }
    }

    public static void onTabScroll(HorizontalScrollView horizontalScrollView, int i2) {
        View childAt;
        if (horizontalScrollView.getChildCount() != 0) {
            View childAt2 = horizontalScrollView.getChildAt(0);
            if (childAt2 instanceof ViewGroup) {
                ViewGroup viewGroup = (ViewGroup) childAt2;
                while (true) {
                    if (viewGroup == null || viewGroup.getChildCount() <= 0) {
                        viewGroup = null;
                    } else if (viewGroup.getChildCount() > i2) {
                        break;
                    } else {
                        viewGroup = viewGroup.getChildAt(0) instanceof ViewGroup ? (ViewGroup) viewGroup.getChildAt(0) : null;
                    }
                }
                viewGroup = null;
                if (viewGroup != null && (childAt = viewGroup.getChildAt(i2)) != null) {
                    if (i.o(childAt)) {
                        getViewIdAndWrapEvent(childAt, false);
                    } else if (childAt instanceof ViewGroup) {
                        LinkedList linkedList = new LinkedList();
                        i.a(linkedList, (ViewGroup) childAt);
                        while (true) {
                            View view = (View) linkedList.poll();
                            if (view == null) {
                                return;
                            }
                            if (i.o(view)) {
                                getViewIdAndWrapEvent(view, false);
                                return;
                            }
                            i.a(linkedList, view);
                        }
                    }
                }
            }
        }
    }

    public static void ratingChanged(Object obj, RatingBar ratingBar, float f2, boolean z) {
    }

    private static void realHidden(Fragment fragment) {
        if (checkIsAutoTrace()) {
            createPageHideEvent(fragment);
        }
    }

    private static void realVisible(Fragment fragment) {
        if (checkIsAutoTrace()) {
            if (fragment.getUserVisibleHint() && fragment.isResumed() && isParentFraVisible(fragment)) {
                m v = m.v();
                if (v == null || !v.m()) {
                    createPageShowEvent(fragment);
                    k.a(fragment);
                } else {
                    sendCheckEvent(fragment.getClass().getCanonicalName());
                }
                onPageShow(fragment);
            }
        }
    }

    private static void removeExitEvent(String str) {
        LruCache<String, f> lruCache = debounces;
        if (lruCache != null) {
            try {
                lruCache.remove(str);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    private static void sendCheckEvent(String str) {
        m v = m.v();
        if (v.d() != null) {
            v.d().sendMessage(v.d().obtainMessage(16, str));
        }
    }

    public static void sendEvent(Event event) {
        m v = m.v();
        if (!v.l()) {
            addNonInitCache(event);
        } else {
            if (checkIsAutoTrace() && v.f() != null && nonInitCacheEventes.size() > 0) {
                for (int i2 = 0; i2 < nonInitCacheEventes.size(); i2++) {
                    v.f().sendMessage(v.f().obtainMessage(4, nonInitCacheEventes.get(i2)));
                }
            }
            nonInitCacheEventes.clear();
        }
        if (checkIsAutoTrace() && v.f() != null) {
            v.f().sendMessage(v.f().obtainMessage(4, event));
            if (event.logTag != null) {
                HashMap hashMap = new HashMap();
                for (Map.Entry<String, String> entry : event.logTag.entrySet()) {
                    hashMap.put(entry.getKey(), entry.getValue());
                }
                hashMap.put("step", "sendEvent");
                hashMap.put("viewId", event.getViewId());
                hashMap.put("time", d.h.b.a.d.a.c() + "");
                m.v().a("clickEvent", "click", hashMap);
            }
        }
    }

    public static void setBuryPageAndLayoutTag(Object obj, Context context, View view, int i2) {
        if (obj != null && context != null && view != null && i2 > 0) {
            view.setTag(g.trace_record_layout_file_id, getResourceEntryName(context, i2));
            view.setTag(g.trace_mark_view_is_page_root_view, true);
            view.setTag(g.trace_record_page_class_current, obj.getClass().getCanonicalName());
            if (obj instanceof Fragment) {
                String a2 = i.a((Fragment) obj);
                int i3 = g.trace_record_fragment_id;
                if (a2 == null) {
                    a2 = "";
                }
                view.setTag(i3, a2);
            }
        }
    }

    public static void setFragmentTitle(View view, String str) {
        if (view != null && !TextUtils.isEmpty(str)) {
            int i2 = g.trace_record_fragment_title;
            if (str == null) {
                str = "";
            }
            view.setTag(i2, str);
        }
    }

    public static void setFragmentUserVisibleHint(Object obj, boolean z) {
        if (obj instanceof Fragment) {
            Fragment fragment = (Fragment) obj;
            if (z) {
                realVisible(fragment);
            } else {
                realHidden(fragment);
            }
        }
    }

    public static void startTrackingTouch(SeekBar seekBar) {
        seekBarStartValue = Integer.valueOf(seekBar.getProgress());
        wSeekBar = new WeakReference<>(seekBar);
    }

    public static void stopTrackingTouch(SeekBar seekBar) {
        WeakReference<SeekBar> weakReference = wSeekBar;
        if (weakReference != null && weakReference.get() == seekBar) {
            seekBarStopValue = Integer.valueOf(seekBar.getProgress());
            wSeekBar = null;
            getViewIdAndWrapEvent(seekBar, false);
        }
    }

    public static void stopTrackingTouch(Object obj, SeekBar seekBar) {
    }

    public static String wrapEvent(View view, i.a aVar, SpecialProperty specialProperty, int i2, String str, String str2, boolean z) {
        Event event;
        Object data;
        m v = m.v();
        if (v.n() && v.f() != null) {
            try {
                Object k = i.k(view);
                if (i2 == 0) {
                    if (puppetEvent == null || puppetEvent.f6104a.get() != view) {
                        event = Event.createViewEvent(0, aVar.f6332d, aVar.f6329a, aVar.f6331c, aVar.f6330b, k, specialProperty, i2, getSeq());
                        event.setServiceId("click");
                        if (!(aVar.f6335g == null || (data = aVar.f6335g.getData()) == null)) {
                            event.setPageAppendData(data);
                        }
                    } else {
                        event = Event.createViewEvent(puppetEvent.f6105b.getClientTime(), aVar.f6332d, aVar.f6329a, aVar.f6331c, aVar.f6330b, k, specialProperty, i2, puppetEvent.f6105b.getSeq());
                        event.setPageDataObj(puppetEvent.f6105b.getPageDataObj());
                        event.setPageAppendData(puppetEvent.f6105b.getPageAppendData());
                        event.setCurrPage(puppetEvent.f6105b.getCurrPage());
                        event.setServiceId("click");
                        puppetEvent = null;
                    }
                    m.h f2 = m.v().f();
                    if (f2 != null) {
                        f2.post(new d(new WeakReference(view), event));
                    }
                } else if (i2 == 7) {
                    event = Event.createViewEvent(0, aVar.f6332d, aVar.f6329a, aVar.f6331c, aVar.f6330b, k, specialProperty, i2, getSeq());
                } else if (i2 == 2) {
                    event = Event.createScrollEvent(aVar.f6332d, aVar.f6329a, aVar.f6331c, aVar.f6330b, str2, k, specialProperty, i2, getSeq());
                    event.setServiceId("pageview");
                    m.h f3 = m.v().f();
                    if (f3 != null) {
                        f3.post(new e(new WeakReference(view), event));
                    }
                } else if (i2 != 3) {
                    event = null;
                } else {
                    event = Event.createDialogTraceEvent(aVar.f6332d, aVar.f6329a, k, specialProperty, i2, getSeq());
                    event.setServiceId("dialogClick");
                    if (aVar.f6337i != null) {
                        event.setDialogData(aVar.f6337i);
                    }
                }
                if (event == null) {
                    return null;
                }
                event.setWrapViewData(aVar);
                event.setViewPath(aVar.f6334f);
                event.addHeatMapIndex(i.d(view));
                if (i.g(view) != null) {
                    event.logTag = i.g(view);
                }
                if (z) {
                    puppetEvent = new g(view, event);
                } else {
                    sendEvent(event);
                }
                return aVar.f6329a;
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    static Event wrapEvents(View view, i.a aVar, SpecialProperty specialProperty, int i2, String str, String str2) {
        m v = m.v();
        if (v.n() && v.f() != null) {
            try {
                Event createScrollEvent = Event.createScrollEvent(str, aVar.f6329a, aVar.f6331c, aVar.f6330b, str2, i.k(view), specialProperty, i2, getSeq());
                createScrollEvent.setWrapViewData(aVar);
                createScrollEvent.addViewIndex("" + i.l(view));
                createScrollEvent.setViewPath(aVar.f6334f);
                if (i.g(view) != null) {
                    createScrollEvent.logTag = i.g(view);
                }
                return createScrollEvent;
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    public void afterDFShow(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if ((aVar.a() instanceof DialogFragment) && (aVar.b()[0] instanceof androidx.fragment.app.f)) {
            ((androidx.fragment.app.f) aVar.b()[0]).registerFragmentLifecycleCallbacks(this.fragmentLifecycleCallbacks, false);
        }
    }

    public void afterDFShowNow(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if ((aVar.a() instanceof DialogFragment) && (aVar.b()[0] instanceof androidx.fragment.app.f)) {
            ((androidx.fragment.app.f) aVar.b()[0]).registerFragmentLifecycleCallbacks(this.fragmentLifecycleCallbacks, false);
        }
    }

    public void afterDFShowT(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if (aVar.a() instanceof DialogFragment) {
            DialogFragment dialogFragment = (DialogFragment) aVar.a();
            if (dialogFragment.getFragmentManager() != null) {
                dialogFragment.getFragmentManager().registerFragmentLifecycleCallbacks(this.fragmentLifecycleCallbacks, false);
            }
        }
    }

    public void afterDialogShow(j.a.a.a aVar) {
        Dialog dialog;
        Window window;
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if ((aVar.a() instanceof Dialog) && (window = (dialog = (Dialog) aVar.a()).getWindow()) != null) {
            View decorView = window.getDecorView();
            String dialogClassName = getDialogClassName(dialog);
            if (decorView != null) {
                decorView.setTag(g.trace_id_key_pop_class_name, dialogClassName);
            }
            createDialogShowEvent(dialog, decorView, dialogClassName);
        }
    }

    public void afterShowAsDrop1Args(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if (aVar.a() instanceof PopupWindow) {
            PopupWindow popupWindow = (PopupWindow) aVar.a();
            View contentView = popupWindow.getContentView();
            String dialogClassName = getDialogClassName(popupWindow);
            if (contentView != null) {
                contentView = contentView.getRootView();
                contentView.setTag(g.trace_id_key_pop_class_name, dialogClassName);
            }
            createDialogShowEvent(popupWindow, contentView, dialogClassName);
        }
    }

    public void afterShowAtLocation(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if (aVar.a() instanceof PopupWindow) {
            PopupWindow popupWindow = (PopupWindow) aVar.a();
            View contentView = popupWindow.getContentView();
            String dialogClassName = getDialogClassName(popupWindow);
            if (contentView != null) {
                contentView = contentView.getRootView();
                contentView.setTag(g.trace_id_key_pop_class_name, dialogClassName);
            }
            createDialogShowEvent(popupWindow, contentView, dialogClassName);
        }
    }

    public void onCheckedChanged(j.a.a.a aVar) {
        checkedChanged(aVar.a(), (CompoundButton) aVar.b()[0], ((Boolean) aVar.b()[1]).booleanValue());
    }

    public void onClick(j.a.a.a aVar) {
        click((View) aVar.b()[0]);
    }

    public void onClickLambda(j.a.a.a aVar) {
        Object[] b2 = aVar.b();
        if (isFromOnClick() && b2 != null && b2.length != 0 && (b2[b2.length - 1] instanceof View)) {
            View view = (View) b2[b2.length - 1];
            if (view.isClickable() && view.hasOnClickListeners()) {
                click(view);
            }
        }
    }

    public void onItemLick(j.a.a.a aVar) {
        itemClick(aVar.a(), (AdapterView) aVar.b()[0], (View) aVar.b()[1], ((Integer) aVar.b()[2]).intValue(), ((Long) aVar.b()[3]).longValue());
    }

    public void onItemLickLambda(j.a.a.a aVar) {
        Object[] b2 = aVar.b();
        if (isFromOnItemClick() && b2 != null && b2.length >= 4 && (b2[b2.length - 4] instanceof AdapterView) && (b2[b2.length - 3] instanceof View)) {
            itemClick(aVar.a(), (AdapterView) aVar.b()[b2.length - 4], (View) aVar.b()[b2.length - 3], ((Integer) aVar.b()[b2.length - 2]).intValue(), ((Long) aVar.b()[b2.length - 1]).longValue());
        }
    }

    public void onLongClick(j.a.a.a aVar) {
        longClick((View) aVar.b()[0]);
    }

    public void popShowAsDrop(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if (aVar.a() instanceof PopupWindow) {
            PopupWindow popupWindow = (PopupWindow) aVar.a();
            View contentView = popupWindow.getContentView();
            String dialogClassName = getDialogClassName(popupWindow);
            if (contentView != null) {
                contentView = contentView.getRootView();
                contentView.setTag(g.trace_id_key_pop_class_name, dialogClassName);
            }
            createDialogShowEvent(popupWindow, contentView, dialogClassName);
        }
    }

    public void popShowAsDrop4Args(j.a.a.a aVar) {
        j.b(TAG, " " + aVar.d() + "  " + aVar.a());
        if (aVar.a() instanceof PopupWindow) {
            PopupWindow popupWindow = (PopupWindow) aVar.a();
            View contentView = popupWindow.getContentView();
            String dialogClassName = getDialogClassName(popupWindow);
            if (contentView != null) {
                contentView = contentView.getRootView();
                contentView.setTag(g.trace_id_key_pop_class_name, dialogClassName);
            }
            createDialogShowEvent(popupWindow, contentView, dialogClassName);
        }
    }

    public void rGOnCheckedChanged(j.a.a.a aVar) {
        checkedChanged(aVar.a(), (RadioGroup) aVar.b()[0], ((Integer) aVar.b()[1]).intValue());
    }

    public void seekBarStartTrack(j.a.a.a aVar) {
        if (aVar.b().length == 1 && (aVar.b()[0] instanceof SeekBar)) {
            startTrackingTouch((SeekBar) aVar.b()[0]);
        }
    }

    public void seekBarStopTrack(j.a.a.a aVar) {
        if (aVar.b().length == 1 && (aVar.b()[0] instanceof SeekBar)) {
            stopTrackingTouch((SeekBar) aVar.b()[0]);
        }
    }

    private static void addNonInitCache(List<Event> list) {
        if (nonInitCacheEventes.size() < 500) {
            nonInitCacheEventes.addAll(list);
        }
    }

    public static void checkedChanged(Object obj, CompoundButton compoundButton, boolean z) {
        if (!z || !compoundButton.getGlobalVisibleRect(new Rect()) || compoundButton.hasOnClickListeners()) {
            getViewIdAndWrapEvent(compoundButton, true);
        } else {
            getViewIdAndWrapEvent(compoundButton, false);
        }
    }
}
