package com.ximalaya.ting.android.xmtrace.n;

import android.text.TextUtils;
import com.ximalaya.ting.android.xmtrace.m;
import com.ximalaya.ting.android.xmtrace.model.BaseModel;
import com.ximalaya.ting.android.xmtrace.model.ConfigDataModel;
import com.ximalaya.ting.android.xmtrace.model.ConfigModel;
import com.ximalaya.ting.android.xmtrace.model.SpecialProperty;
import com.ximalaya.ting.android.xmtrace.q.i;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;

/* compiled from: ConfigParseModel */
public class b<T extends BaseModel> {

    /* renamed from: a  reason: collision with root package name */
    public Map<String, Map<String, List<T>>> f6286a = new ConcurrentHashMap();

    /* compiled from: ConfigParseModel */
    public static class a<T extends BaseModel> {

        /* renamed from: a  reason: collision with root package name */
        public String f6287a;

        /* renamed from: b  reason: collision with root package name */
        public String f6288b;

        /* renamed from: c  reason: collision with root package name */
        public String f6289c;

        /* renamed from: d  reason: collision with root package name */
        public String f6290d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f6291e;

        /* renamed from: f  reason: collision with root package name */
        private List<T> f6292f;
    }

    private Map<String, List<T>> b(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        return this.f6286a.get(str);
    }

    public static String c(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        return str.substring(str.lastIndexOf(".") + 1);
    }

    public void a() {
        this.f6286a.clear();
    }

    public void a(List<T> list, String str) {
        if (!(list == null || list.isEmpty() || TextUtils.isEmpty(str))) {
            Map<String, List<T>> map = this.f6286a.get(str);
            if (map == null) {
                map = new ConcurrentHashMap<>();
                this.f6286a.put(str, map);
            }
            if (str.contains(".")) {
                str = str.substring(str.lastIndexOf(".") + 1);
            }
            for (T t : list) {
                if (!TextUtils.isEmpty(t.viewId)) {
                    if (t.viewId.startsWith(str)) {
                        a(map, t);
                    } else if (t.viewId.indexOf("-") != -1) {
                        String str2 = t.viewId;
                        String substring = str2.substring(0, str2.indexOf("-"));
                        Map<String, List<T>> map2 = this.f6286a.get(substring);
                        if (map2 == null) {
                            map2 = new ConcurrentHashMap<>();
                            this.f6286a.put(substring, map2);
                        }
                        a(map2, t);
                    }
                }
            }
        }
    }

    public static String b(String str, String str2) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        String substring = str.substring(str.lastIndexOf(".") + 1);
        if (TextUtils.isEmpty(str2) || substring.endsWith("#")) {
            return substring;
        }
        if (str2.endsWith("#")) {
            return substring + str2;
        }
        return substring + ":" + str2 + "#";
    }

    public boolean a(String str) {
        return this.f6286a.containsKey(str);
    }

    private void a(Map<String, List<T>> map, T t) {
        List<T> list = map.get(t.viewId);
        if (list == null) {
            list = new CopyOnWriteArrayList<>();
            map.put(t.viewId, list);
        }
        list.add(t);
    }

    private Map<String, List<T>> a(i.a aVar, a<T> aVar2) {
        Iterator<i.b> it = aVar.f6333e.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            i.b next = it.next();
            String str = next.f6339a;
            String str2 = next.f6340b;
            Map<String, ConfigModel> map = ConfigDataModel.pageConfigModels;
            ConfigModel configModel = map.get(str + str2);
            if (configModel == null) {
                configModel = ConfigDataModel.pageConfigModels.get(str);
            }
            if (configModel != null && configModel.isCommon != 1) {
                aVar2.f6287a = configModel.pageName;
                break;
            }
        }
        if (TextUtils.isEmpty(aVar2.f6287a)) {
            aVar2.f6287a = a.a();
        }
        String str3 = aVar.f6332d;
        String str4 = aVar.f6331c;
        aVar2.f6290d = str4;
        String a2 = a(str3, str4);
        Map<String, List<T>> b2 = b(a2);
        if (b2 == null || b2.isEmpty()) {
            Map<String, List<T>> b3 = b(str3);
            if (b3 == null || b3.isEmpty()) {
                String b4 = b(str3, str4);
                Map<String, List<T>> b5 = b(b4);
                if (b5 == null || b5.isEmpty()) {
                    String c2 = c(str3);
                    Map<String, List<T>> b6 = b(c2);
                    if (b6 == null || b6.isEmpty()) {
                        return null;
                    }
                    aVar2.f6289c = c2;
                    return b6;
                }
                aVar2.f6289c = b4;
                return b5;
            }
            aVar2.f6289c = str3;
            return b3;
        }
        aVar2.f6289c = a2;
        return b2;
    }

    private boolean a(T t, Object obj, SpecialProperty specialProperty) {
        List<Map<String, String>> list = t.keyProperties;
        if (list == null || list.isEmpty()) {
            return false;
        }
        for (Map<String, String> map : t.keyProperties) {
            String str = map.get("name");
            String str2 = map.get("value");
            if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
                if (str.contains("special.")) {
                    Object a2 = i.a(specialProperty, str.substring(str.lastIndexOf(".") + 1));
                    if (a2 == null || !(a2 instanceof String) || !TextUtils.equals(str2, (String) a2)) {
                        return false;
                    }
                } else if (str.contains("datas.")) {
                    String[] split = str.split("datas.");
                    if (split.length > 1 && TextUtils.equals(str2, a(obj, split[1]))) {
                    }
                } else {
                    continue;
                }
            }
            return false;
        }
        return true;
    }

    private static String a(Object obj, String str) {
        String[] split = str.split("\\.");
        if (split == null || split.length == 0) {
            return null;
        }
        for (String str2 : split) {
            if (obj instanceof Map) {
                obj = ((Map) obj).get(str2);
            } else {
                obj = i.a(obj, str2);
            }
        }
        if (obj == null) {
            return null;
        }
        return String.valueOf(obj);
    }

    public T a(i.a aVar, SpecialProperty specialProperty) {
        return a(aVar, specialProperty, new a<>());
    }

    public T a(i.a aVar, SpecialProperty specialProperty, a<T> aVar2) {
        T t;
        T t2;
        T t3;
        List list;
        Iterator<Map.Entry<String, List<T>>> it;
        List list2 = null;
        if (TextUtils.isEmpty(aVar.f6332d) || TextUtils.isEmpty(aVar.f6329a)) {
            return null;
        }
        Map<String, List<T>> a2 = a(aVar, aVar2);
        if (a2 == null) {
            return null;
        }
        if (!TextUtils.isEmpty(aVar2.f6287a) && specialProperty != null) {
            specialProperty.currPage = aVar2.f6287a;
        }
        char c2 = 0;
        String str = aVar.f6329a.split("-")[0];
        if (!TextUtils.isEmpty(aVar2.f6290d)) {
            String str2 = str + aVar2.f6290d + aVar.f6329a.substring(str.length());
            aVar2.f6288b = str2;
            t = a(a2.get(str2), aVar.f6338j, specialProperty, aVar2);
        } else {
            t = null;
        }
        if (t == null) {
            String str3 = aVar.f6329a;
            aVar2.f6288b = str3;
            t = a(a2.get(str3), aVar.f6338j, specialProperty, aVar2);
        }
        if (((a) aVar2).f6291e) {
            return t;
        }
        if (((a) aVar2).f6292f != null && !((a) aVar2).f6292f.isEmpty()) {
            t = (T) ((BaseModel) ((a) aVar2).f6292f.get(0));
        }
        if (m.v().k() && t == null && !TextUtils.isEmpty(aVar.f6334f) && aVar.f6329a.contains("/")) {
            String str4 = aVar.f6332d;
            String substring = str4.substring(str4.lastIndexOf(".") + 1);
            String str5 = aVar.f6332d;
            String substring2 = str5.substring(str5.lastIndexOf(".") + 1);
            if (!TextUtils.isEmpty(aVar.k)) {
                aVar.f6334f += "-" + aVar.k;
            }
            String[] split = aVar.f6334f.split("/");
            if (!TextUtils.isEmpty(aVar.f6331c)) {
                substring = substring + aVar.f6331c;
            }
            String a3 = a(aVar, substring);
            String a4 = a(aVar, substring2);
            Iterator<Map.Entry<String, List<T>>> it2 = a2.entrySet().iterator();
            t2 = t;
            t3 = null;
            while (true) {
                if (!it2.hasNext()) {
                    list = list2;
                    break;
                }
                Map.Entry<String, List<T>> next = it2.next();
                String key = next.getKey();
                List<T> value = next.getValue();
                String[] split2 = key.split("/");
                if (split2 == null || split2.length == 0 || ((!TextUtils.isEmpty(aVar.k) && !key.endsWith(aVar.k)) || (!split2[c2].startsWith(a3) && !split2[c2].startsWith(a4)))) {
                    it = it2;
                } else if (split == null || split2 == null || split.length != split2.length) {
                    it = it2;
                } else {
                    int length = split2.length - 1;
                    boolean z = true;
                    while (length > 0) {
                        String str6 = split[length];
                        String str7 = split2[length];
                        if (str7.contains("[*]")) {
                            str7 = str7.split("\\[")[0];
                            str6 = str6.split("\\[")[0];
                        }
                        if (!TextUtils.equals(str6, str7)) {
                            z = false;
                        }
                        length--;
                        it2 = it2;
                    }
                    it = it2;
                    if (z && value != null && !value.isEmpty()) {
                        T a5 = a(value, aVar.f6338j, specialProperty, aVar2);
                        if (a5 != null) {
                            t2 = a5;
                            list = null;
                            break;
                        }
                        if (t3 == null && !((a) aVar2).f6291e) {
                            t3 = value.get(0);
                        }
                        t2 = a5;
                        it2 = it;
                        list2 = null;
                        c2 = 0;
                    }
                }
                it2 = it;
                list2 = null;
                c2 = 0;
            }
        } else {
            t2 = t;
            list = null;
            t3 = null;
        }
        ((a) aVar2).f6292f = list;
        return t2 == null ? t3 : t2;
    }

    private T a(List<T> list, Object obj, SpecialProperty specialProperty, a<T> aVar) {
        T t = null;
        if (list != null && !list.isEmpty()) {
            Iterator<T> it = list.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                T next = it.next();
                List<Map<String, String>> list2 = next.keyProperties;
                if (list2 != null && !list2.isEmpty()) {
                    ((a) aVar).f6291e = true;
                    if (a(next, obj, specialProperty)) {
                        t = next;
                        break;
                    }
                }
            }
            if (!((a) aVar).f6291e) {
                ((a) aVar).f6292f = list;
            }
        }
        return t;
    }

    public static String a(String str, String str2) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        if (TextUtils.isEmpty(str2) || str.endsWith("#")) {
            return str;
        }
        if (str2.endsWith("#")) {
            return str + str2;
        }
        return str + ":" + str2 + "#";
    }

    private static String a(i.a aVar, String str) {
        StringBuilder sb = new StringBuilder(str);
        if (!TextUtils.isEmpty(aVar.l)) {
            sb.append("-");
            sb.append(aVar.l);
        }
        return sb.toString();
    }
}
