package com.ximalaya.ting.android.xmtrace.q;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.view.WindowManager;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;

/* compiled from: DeviceUtils */
public class b {

    /* renamed from: a  reason: collision with root package name */
    public static final String f6310a = Build.MODEL;

    /* renamed from: b  reason: collision with root package name */
    public static final String f6311b = Build.MANUFACTURER;

    /* renamed from: c  reason: collision with root package name */
    public static final String f6312c = Build.VERSION.RELEASE;

    /* renamed from: d  reason: collision with root package name */
    public static final String f6313d = a();

    /* JADX WARNING: Removed duplicated region for block: B:31:0x005a A[Catch:{ Exception -> 0x0041 }] */
    public static String a() {
        InetAddress inetAddress;
        byte[] hardwareAddress;
        int i2;
        SocketException e2;
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            inetAddress = null;
            do {
                try {
                    if (!networkInterfaces.hasMoreElements()) {
                        break;
                    }
                    Enumeration<InetAddress> inetAddresses = networkInterfaces.nextElement().getInetAddresses();
                    while (true) {
                        if (!inetAddresses.hasMoreElements()) {
                            break;
                        }
                        InetAddress nextElement = inetAddresses.nextElement();
                        try {
                            if (!nextElement.isLoopbackAddress() && nextElement.getHostAddress().indexOf(":") == -1) {
                                inetAddress = nextElement;
                                continue;
                                break;
                            }
                            inetAddress = null;
                        } catch (SocketException e3) {
                            e2 = e3;
                            inetAddress = nextElement;
                            try {
                                e2.printStackTrace();
                                hardwareAddress = NetworkInterface.getByInetAddress(inetAddress).getHardwareAddress();
                                StringBuffer stringBuffer = new StringBuffer();
                                while (i2 < hardwareAddress.length) {
                                }
                                return stringBuffer.toString().toUpperCase();
                            } catch (Exception e4) {
                                e4.printStackTrace();
                                return null;
                            }
                        }
                    }
                } catch (SocketException e5) {
                    e2 = e5;
                    e2.printStackTrace();
                    hardwareAddress = NetworkInterface.getByInetAddress(inetAddress).getHardwareAddress();
                    StringBuffer stringBuffer2 = new StringBuffer();
                    while (i2 < hardwareAddress.length) {
                    }
                    return stringBuffer2.toString().toUpperCase();
                }
            } while (inetAddress == null);
        } catch (SocketException e6) {
            e2 = e6;
            inetAddress = null;
            e2.printStackTrace();
            hardwareAddress = NetworkInterface.getByInetAddress(inetAddress).getHardwareAddress();
            StringBuffer stringBuffer22 = new StringBuffer();
            while (i2 < hardwareAddress.length) {
            }
            return stringBuffer22.toString().toUpperCase();
        }
        hardwareAddress = NetworkInterface.getByInetAddress(inetAddress).getHardwareAddress();
        StringBuffer stringBuffer222 = new StringBuffer();
        for (i2 = 0; i2 < hardwareAddress.length; i2++) {
            if (i2 != 0) {
                stringBuffer222.append(':');
            }
            String hexString = Integer.toHexString(hardwareAddress[i2] & 255);
            if (hexString.length() == 1) {
                hexString = 0 + hexString;
            }
            stringBuffer222.append(hexString);
        }
        return stringBuffer222.toString().toUpperCase();
    }

    public static String b(Context context) {
        WifiManager wifiManager = (WifiManager) context.getApplicationContext().getSystemService("wifi");
        if (wifiManager == null) {
            return "0";
        }
        try {
            return a(wifiManager.getConnectionInfo().getIpAddress());
        } catch (Exception e2) {
            e2.printStackTrace();
            return "0";
        }
    }

    public static String c(Context context) {
        try {
            ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
            if (connectivityManager == null || !i.a("android.permission.ACCESS_NETWORK_STATE")) {
                return "NETWORK_TYPE_UNKNOWN";
            }
            NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
            if (activeNetworkInfo == null || !activeNetworkInfo.isAvailable() || !activeNetworkInfo.isConnected()) {
                return "NETWORK_TYPE_UNCONNECTED";
            }
            if (activeNetworkInfo.getType() == 1) {
                return "NETWORK_TYPE_WIFI";
            }
            if (activeNetworkInfo.getType() == 0) {
                switch (activeNetworkInfo.getSubtype()) {
                    case 1:
                    case 2:
                    case 4:
                    case 7:
                    case 11:
                        return "NETWORK_TYPE_2G";
                    case 3:
                    case 5:
                    case 6:
                    case 8:
                    case 9:
                    case 10:
                    case 15:
                        return "NETWORK_TYPE_3G";
                    case 13:
                        return "NETWORK_TYPE_4G";
                }
            }
            return "NETWORK_TYPE_UNKNOWN";
        } catch (Exception e2) {
            e2.printStackTrace();
            return "NETWORK_TYPE_UNCONNECTED";
        }
    }

    public static int[] d(Context context) {
        int[] iArr = new int[2];
        WindowManager windowManager = (WindowManager) context.getSystemService("window");
        DisplayMetrics displayMetrics = new DisplayMetrics();
        try {
            windowManager.getDefaultDisplay().getMetrics(displayMetrics);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        int i2 = displayMetrics.widthPixels;
        int i3 = displayMetrics.heightPixels;
        iArr[0] = i2;
        iArr[1] = i3;
        return iArr;
    }

    public static String a(int i2) {
        return (i2 & 255) + "." + ((i2 >> 8) & 255) + "." + ((i2 >> 16) & 255) + "." + ((i2 >> 24) & 255);
    }

    public static String a(Context context) {
        try {
            String simOperator = ((TelephonyManager) context.getSystemService("phone")).getSimOperator();
            if (TextUtils.isEmpty(simOperator)) {
                return "None";
            }
            if (!simOperator.equals("46000")) {
                if (!simOperator.equals("46002")) {
                    if (simOperator.equals("46001")) {
                        return "Unicom";
                    }
                    return simOperator.equals("46003") ? "Telecom" : "";
                }
            }
            return "Mobile";
        } catch (Exception e2) {
            e2.printStackTrace();
            return "None";
        }
    }
}
