package com.ximalaya.ting.android.xmtrace.q;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.GridView;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.f;
import androidx.recyclerview.widget.RecyclerView;
import com.ximalaya.ting.android.xmtrace.AutoTraceHelper;
import com.ximalaya.ting.android.xmtrace.model.ConfigDataModel;
import com.ximalaya.ting.android.xmtrace.model.ConfigModel;
import com.ximalaya.ting.android.xmtrace.model.Event;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/* compiled from: PageUtils */
public class g {

    /* renamed from: a  reason: collision with root package name */
    private static WeakReference<Method> f6316a;

    /* compiled from: PageUtils */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public String f6317a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f6318b;

        /* renamed from: c  reason: collision with root package name */
        public String f6319c;

        /* renamed from: d  reason: collision with root package name */
        public String f6320d;

        /* renamed from: e  reason: collision with root package name */
        public String f6321e;

        /* renamed from: f  reason: collision with root package name */
        public boolean f6322f;

        /* renamed from: g  reason: collision with root package name */
        public WeakReference<View> f6323g;

        /* renamed from: h  reason: collision with root package name */
        public Bundle f6324h;

        /* renamed from: i  reason: collision with root package name */
        public Object f6325i;

        /* renamed from: j  reason: collision with root package name */
        public Map f6326j;
    }

    private static boolean a(Fragment fragment) {
        int backStackEntryCount = fragment.getFragmentManager().getBackStackEntryCount();
        if (backStackEntryCount == 0) {
            return true;
        }
        for (int i2 = 0; i2 < backStackEntryCount; i2++) {
            f.a backStackEntryAt = fragment.getFragmentManager().getBackStackEntryAt(i2);
            if ((backStackEntryAt.a() != null && backStackEntryAt.a().equals(fragment.getTag())) || (backStackEntryAt.a() == null && fragment.getTag() == null)) {
                break;
            } else if (i2 == backStackEntryCount - 1) {
                return true;
            }
        }
        return false;
    }

    @SuppressLint({"RestrictedApi"})
    public static boolean a(Fragment fragment, List<Fragment> list, Map<String, Fragment> map) {
        if (fragment == null || fragment.getChildFragmentManager() == null || fragment.getChildFragmentManager().getFragments() == null) {
            return true;
        }
        List<Fragment> fragments = fragment.getChildFragmentManager().getFragments();
        if (fragments.isEmpty()) {
            return true;
        }
        for (Fragment fragment2 : fragments) {
            if (fragment2 != null && fragment2.isAdded() && !fragment2.isHidden() && fragment2.getUserVisibleHint() && fragment2.getView() != null) {
                if (a(fragment2)) {
                    list.add(fragment2);
                    map.put(fragment2.getClass().getName(), fragment2);
                }
                a(fragment2, list, map);
            }
        }
        return false;
    }

    public static List<Fragment> a(Activity activity, Map<String, Fragment> map) {
        List<Fragment> fragments;
        LinkedList linkedList = new LinkedList();
        if (!(activity instanceof FragmentActivity)) {
            return linkedList;
        }
        FragmentActivity fragmentActivity = (FragmentActivity) activity;
        if (!(fragmentActivity.d() == null || (fragments = fragmentActivity.d().getFragments()) == null || fragments.isEmpty())) {
            for (Fragment fragment : fragments) {
                if (fragment != null && fragment.isAdded() && !fragment.isHidden() && fragment.getUserVisibleHint() && fragment.getView() != null) {
                    if (a(fragment)) {
                        linkedList.add(fragment);
                        map.put(fragment.getClass().getName(), fragment);
                    }
                    a(fragment, linkedList, map);
                }
            }
        }
        return linkedList;
    }

    public static Fragment a(List<Fragment> list) {
        Fragment fragment;
        ConfigModel configModel;
        ConfigModel configModel2;
        if (list == null || list.isEmpty()) {
            return null;
        }
        boolean equals = TextUtils.equals(list.get(0).getClass().getSimpleName(), "ManageFragment");
        int i2 = com.ximalaya.ting.android.xmtrace.n.a.f6279b / 4;
        int i3 = com.ximalaya.ting.android.xmtrace.n.a.f6278a / 2;
        if (!equals || !((fragment = a((Object) list.get(0))) == null || (configModel2 = ConfigDataModel.pageConfigModels.get(fragment.getClass().getCanonicalName())) == null || configModel2.isCommon != 1)) {
            fragment = null;
        }
        for (int size = list.size() - 1; size >= 0; size--) {
            Fragment fragment2 = list.get(size);
            View view = fragment2.getView();
            if (view != null) {
                String canonicalName = fragment2.getClass().getCanonicalName();
                if (!canonicalName.endsWith(".WelcomeFragment") && (((configModel = ConfigDataModel.pageConfigModels.get(canonicalName)) == null || configModel.isCommon != 1) && ((!equals || fragment == null || fragment == fragment2) && view.getMeasuredHeight() > i2 && view.getMeasuredWidth() > i3))) {
                    return fragment2;
                }
            }
        }
        return null;
    }

    private static Fragment a(Object obj) {
        Class<?> cls = obj.getClass();
        try {
            Method method = f6316a != null ? f6316a.get() : null;
            if (method == null) {
                method = cls.getDeclaredMethod("getCurrentFragment", new Class[0]);
                method.setAccessible(true);
                f6316a = new WeakReference<>(method);
            }
            return (Fragment) method.invoke(obj, new Object[0]);
        } catch (Exception unused) {
            return null;
        }
    }

    public static String a() {
        View view;
        Activity f2 = a.f();
        if (f2 == null) {
            return null;
        }
        HashMap hashMap = new HashMap();
        List<Fragment> a2 = a(f2, hashMap);
        if (hashMap.containsKey("com.ximalaya.ting.android.main.playModule.PlayFragment")) {
            return ((Fragment) hashMap.get("com.ximalaya.ting.android.main.playModule.PlayFragment")).getClass().getCanonicalName();
        }
        if (hashMap.containsKey("com.ximalaya.ting.android.main.playpage.fragment.AudioPlayFragment")) {
            return ((Fragment) hashMap.get("com.ximalaya.ting.android.main.playpage.fragment.AudioPlayFragment")).getClass().getCanonicalName();
        }
        Fragment a3 = a(a2);
        if (a3 != null) {
            return a3.getClass().getCanonicalName();
        }
        View findViewById = f2.getWindow().getDecorView().findViewById(16908290);
        ArrayList arrayList = new ArrayList();
        a aVar = new a();
        aVar.f6323g = new WeakReference<>(findViewById);
        LinkedList linkedList = new LinkedList();
        linkedList.add(aVar);
        Intent intent = f2.getIntent();
        while (!linkedList.isEmpty()) {
            a aVar2 = (a) linkedList.poll();
            if (!(aVar2 == null || (view = aVar2.f6323g.get()) == null)) {
                a(intent, a2, aVar2, view, false);
                if (aVar2.f6322f) {
                    if (aVar2.f6318b) {
                        arrayList.add(aVar2);
                    }
                    a(view, aVar2, linkedList);
                }
            }
        }
        if (!arrayList.isEmpty()) {
            int i2 = com.ximalaya.ting.android.xmtrace.n.a.f6279b / 4;
            int i3 = com.ximalaya.ting.android.xmtrace.n.a.f6278a / 2;
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                a aVar3 = (a) arrayList.get(size);
                WeakReference<View> weakReference = aVar3.f6323g;
                if (!(weakReference == null || weakReference.get() == null)) {
                    View view2 = aVar3.f6323g.get();
                    if (view2.getMeasuredHeight() > i2 && view2.getMeasuredWidth() > i3) {
                        return aVar3.f6319c;
                    }
                }
            }
        }
        return null;
    }

    public static String a(View view) {
        int id = view.getId();
        if (-1 == id) {
            return null;
        }
        return i.a(view.getContext(), id);
    }

    public static Fragment a(List<Fragment> list, String str, View view) {
        if (list != null && !list.isEmpty()) {
            for (Fragment fragment : list) {
                if (fragment.getClass().getCanonicalName().equals(str) && fragment.getView() == view) {
                    return fragment;
                }
            }
        }
        return null;
    }

    private static void a(Intent intent, List<Fragment> list, a aVar, View view, boolean z) {
        Fragment fragment;
        String str;
        Object obj;
        String str2;
        String a2 = a(view);
        aVar.f6321e = a2;
        aVar.f6317a = view.getClass().getCanonicalName();
        Object tag = view.getTag(com.ximalaya.ting.android.xmtrace.g.trace_mark_view_is_page_root_view);
        boolean booleanValue = tag != null ? ((Boolean) tag).booleanValue() : false;
        boolean z2 = true;
        aVar.f6322f = true;
        Bundle bundle = null;
        Object obj2 = null;
        bundle = null;
        bundle = null;
        if (booleanValue) {
            Object tag2 = view.getTag(com.ximalaya.ting.android.xmtrace.g.trace_record_page_class_current);
            str = tag2 != null ? (String) tag2 : null;
            if (str == null || "content".equals(a2)) {
                fragment = null;
            } else {
                fragment = a(list, str, view);
                if (fragment == null || !fragment.isAdded() || !fragment.isVisible() || fragment.isHidden() || !fragment.getUserVisibleHint()) {
                    z2 = false;
                }
                booleanValue = z2;
            }
            if (!booleanValue) {
                aVar.f6322f = false;
                return;
            } else if ((view instanceof ViewGroup) && ((ViewGroup) view).getChildCount() == 0) {
                booleanValue = false;
            }
        } else {
            fragment = null;
            str = null;
        }
        aVar.f6318b = booleanValue;
        aVar.f6319c = str;
        if (booleanValue && fragment != null) {
            str2 = i.i(fragment.getView());
            if (z) {
                Bundle arguments = fragment.getArguments();
                AutoTraceHelper.IDataProvider a3 = i.a(fragment.getView());
                if (a3 != null) {
                    obj2 = a3.getData();
                }
                obj = obj2;
                if (!(arguments == null && obj2 == null)) {
                    aVar.f6326j = a(arguments, obj2);
                }
                bundle = arguments;
            } else {
                obj = null;
            }
        } else if (z && booleanValue && "content".equals(a2)) {
            aVar.f6326j = a(intent, view);
            Bundle extras = intent != null ? intent.getExtras() : null;
            AutoTraceHelper.IDataProvider b2 = i.b(view);
            obj = b2 != null ? b2.getData() : null;
            bundle = extras;
            str2 = null;
        } else if (z) {
            obj = i.k(view);
            str2 = null;
        } else {
            str2 = null;
            obj = null;
        }
        aVar.f6324h = bundle;
        aVar.f6325i = obj;
        aVar.f6320d = str2;
    }

    private static void a(View view, a aVar, LinkedList<a> linkedList) {
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            if (viewGroup.getChildCount() != 0) {
                for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
                    View childAt = viewGroup.getChildAt(i2);
                    if (childAt.getVisibility() == 0 && !(childAt instanceof AbsListView) && !(childAt instanceof RecyclerView) && !(childAt instanceof GridView) && (childAt instanceof ViewGroup)) {
                        a aVar2 = new a();
                        aVar2.f6319c = aVar.f6319c;
                        aVar2.f6323g = new WeakReference<>(childAt);
                        linkedList.add(aVar2);
                    }
                }
            }
        }
    }

    public static Map a(Bundle bundle, Object obj) {
        HashMap hashMap = new HashMap();
        if (bundle == null && obj == null) {
            return hashMap;
        }
        Object obj2 = null;
        if (bundle != null) {
            try {
                if (Build.VERSION.SDK_INT <= 20) {
                    Field declaredField = bundle.getClass().getDeclaredField("mMap");
                    declaredField.setAccessible(true);
                    obj2 = declaredField.get(bundle);
                } else if (Build.VERSION.SDK_INT >= 21) {
                    Field declaredField2 = bundle.getClass().getSuperclass().getDeclaredField("mMap");
                    declaredField2.setAccessible(true);
                    obj2 = declaredField2.get(bundle);
                }
            } catch (NoSuchFieldException e2) {
                e2.printStackTrace();
            } catch (IllegalAccessException e3) {
                e3.printStackTrace();
            } catch (Exception e4) {
                e4.printStackTrace();
            }
        }
        if (obj2 == null) {
            obj2 = new HashMap();
        }
        if (obj2 instanceof Map) {
            Map map = (Map) obj2;
            if (obj != null) {
                map.put(Event.DATA_PRE_PAGE, obj);
            }
            if (map.size() == 0) {
                return hashMap;
            }
            return (Map) obj2;
        }
        return hashMap;
    }

    public static Map a(Intent intent, View view) {
        AutoTraceHelper.IDataProvider b2 = i.b(view);
        Bundle extras = intent != null ? intent.getExtras() : null;
        Object data = b2 != null ? b2.getData() : null;
        if (extras == null && data == null) {
            return null;
        }
        return a(extras, data);
    }
}
