package com.ximalaya.ting.android.xmtrace.q;

import android.graphics.Rect;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.ximalaya.ting.android.xmtrace.PluginAgent;
import com.ximalaya.ting.android.xmtrace.m;
import com.ximalaya.ting.android.xmtrace.model.ConfigDataModel;
import com.ximalaya.ting.android.xmtrace.model.ConfigModel;
import com.ximalaya.ting.android.xmtrace.model.SpecialProperty;
import com.ximalaya.ting.android.xmtrace.q.i;
import java.util.HashMap;
import java.util.Map;
import java.util.Queue;

/* compiled from: ScrollViewUtil */
public class h {

    /* renamed from: a  reason: collision with root package name */
    private static Map<String, Map<String, Integer>> f6327a = new HashMap();

    public static void a(AbsListView absListView) {
        int childCount;
        if (!(absListView == null || (childCount = absListView.getChildCount()) == 0)) {
            String str = "" + absListView.hashCode();
            Map<String, Integer> map = f6327a.get(str);
            if (map == null) {
                map = new HashMap<>();
                f6327a.put(str, map);
            }
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = absListView.getChildAt(i2);
                map.put("" + absListView.getPositionForView(childAt), Integer.valueOf(childAt.getMeasuredHeight()));
            }
        }
    }

    public static boolean b(RecyclerView recyclerView) {
        return recyclerView.getLayoutManager().getLayoutDirection() == 1;
    }

    public static boolean c(View view) throws Exception {
        int i2;
        int i3;
        if (!((PluginAgent.screenHeight != 0 && PluginAgent.screenWidth != 0) || m.v().b() == null || m.v().b().getResources() == null)) {
            PluginAgent.initScreenValue(m.v().b());
        }
        if (view == null || view.getVisibility() != 0) {
            return false;
        }
        Rect rect = new Rect();
        if (!view.getLocalVisibleRect(rect)) {
            return false;
        }
        view.getGlobalVisibleRect(rect);
        if (rect.right > 0 && rect.left < PluginAgent.screenWidth && (i2 = rect.bottom) > 0 && (i3 = rect.top) < PluginAgent.screenHeight) {
            int abs = Math.abs(i2 - i3);
            int abs2 = Math.abs(rect.right - rect.left);
            if (abs <= 0 || abs2 <= 0) {
                return false;
            }
            return true;
        }
        return false;
    }

    public static int b(AbsListView absListView) {
        int i2 = 0;
        View childAt = absListView.getChildAt(0);
        if (childAt == null) {
            return 0;
        }
        int firstVisiblePosition = absListView.getFirstVisiblePosition();
        int left = childAt.getLeft();
        if (firstVisiblePosition >= 1) {
            i2 = absListView.getWidth();
        }
        return (-left) + (firstVisiblePosition * childAt.getWidth()) + i2;
    }

    public static boolean b(View view) {
        boolean z;
        int i2;
        int i3;
        Rect rect = new Rect();
        if (view.getLocalVisibleRect(rect)) {
            view.getGlobalVisibleRect(rect);
            if (rect.right > 0 && rect.left < PluginAgent.screenWidth && (i2 = rect.bottom) > 0 && (i3 = rect.top) < PluginAgent.screenHeight && Math.abs(i2 - i3) >= a.d() / 2) {
                z = true;
                if (z && view.getMeasuredHeight() > a.d() / 2) {
                    return true;
                }
            }
        }
        z = false;
        return z ? z : z;
    }

    public static int a(AbsListView absListView, int i2) {
        if (absListView.getChildCount() == 0) {
            return 0;
        }
        Map<String, Integer> map = f6327a.get("" + absListView.hashCode());
        if (map == null) {
            return 0;
        }
        int i3 = 0;
        for (int i4 = 0; i4 < i2; i4++) {
            Integer num = map.get("" + i4);
            if (num != null) {
                i3 += num.intValue();
            }
        }
        return i3 + Math.abs(absListView.getChildAt(0).getTop());
    }

    public static void a(Queue<View> queue, View view) {
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
                View childAt = viewGroup.getChildAt(i2);
                if (childAt instanceof ViewGroup) {
                    queue.offer(childAt);
                }
            }
        }
    }

    public static int a(RecyclerView recyclerView) {
        int[] a2;
        RecyclerView.o layoutManager = recyclerView.getLayoutManager();
        if (layoutManager instanceof LinearLayoutManager) {
            return ((LinearLayoutManager) layoutManager).c();
        }
        if (!(layoutManager instanceof StaggeredGridLayoutManager) || (a2 = ((StaggeredGridLayoutManager) layoutManager).a((int[]) null)) == null || a2.length <= 0) {
            return 0;
        }
        return a2[0];
    }

    public static boolean a(String str, String str2) {
        if (!TextUtils.isEmpty(str2)) {
            String b2 = i.b(str, str2);
            if (ConfigDataModel.scrollDepthConfigs.a(b2) || ConfigDataModel.pageScrollConfigs.a(b2)) {
                return true;
            }
        }
        if (ConfigDataModel.scrollDepthConfigs.a(str) || ConfigDataModel.pageScrollConfigs.a(str)) {
            return true;
        }
        return false;
    }

    public static boolean a(View view) {
        SpecialProperty specialProperty = new SpecialProperty();
        try {
            if (ConfigDataModel.scrollDepthConfigs.a(i.a(view, i.j(view), specialProperty), specialProperty) != null) {
                return true;
            }
            return false;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v5, resolved type: boolean */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x01c5 A[Catch:{ Exception -> 0x01d2 }] */
    public static void a(View view, String str, int i2, int i3) {
        String str2;
        String str3;
        int i4;
        ConfigModel configModel;
        String str4;
        String str5 = view.getMeasuredWidth() + "," + view.getMeasuredHeight();
        if (view instanceof AbsListView) {
            AbsListView absListView = (AbsListView) view;
            if (i2 == 1) {
                int a2 = a(absListView, absListView.getFirstVisiblePosition());
                str3 = "0," + a.a(a2);
                str5 = a.a(view.getLeft() + view.getMeasuredWidth()) + "," + a.a(a2 + view.getMeasuredHeight());
            } else {
                int b2 = b(absListView);
                str3 = a.a(b2) + "," + a.a(view.getTop());
                str5 = a.a(b2 + view.getMeasuredWidth()) + "," + a.a(view.getTop() + view.getMeasuredHeight());
            }
        } else if (view instanceof RecyclerView) {
            RecyclerView recyclerView = (RecyclerView) view;
            boolean b3 = b(recyclerView);
            if (b3 == 1) {
                int computeVerticalScrollOffset = recyclerView.computeVerticalScrollOffset();
                str4 = a.a(recyclerView.getLeft()) + "," + a.a(computeVerticalScrollOffset);
                str2 = a.a(recyclerView.getLeft() + recyclerView.getMeasuredWidth()) + "," + a.a(computeVerticalScrollOffset + recyclerView.getMeasuredHeight());
            } else {
                int computeHorizontalScrollOffset = recyclerView.computeHorizontalScrollOffset();
                str4 = a.a(computeHorizontalScrollOffset) + "," + a.a(recyclerView.getTop());
                str2 = a.a(computeHorizontalScrollOffset + recyclerView.getMeasuredWidth()) + "," + a.a(recyclerView.getTop() + recyclerView.getMeasuredHeight());
            }
            str3 = str4;
            i4 = b3;
            SpecialProperty specialProperty = new SpecialProperty();
            specialProperty.topLeftPosition = "" + str3;
            specialProperty.lowerRightPosition = "" + str2;
            StringBuilder sb = new StringBuilder();
            sb.append("");
            int i5 = i4 == 1 ? 1 : 0;
            int i6 = i4 == 1 ? 1 : 0;
            int i7 = i4 == 1 ? 1 : 0;
            sb.append(i5);
            specialProperty.dimension = sb.toString();
            specialProperty.direction = "" + i3;
            i.a a3 = i.a(view, i.j(view), specialProperty);
            String b4 = i.b(str, a3.f6331c);
            configModel = ConfigDataModel.pageConfigModels.get(b4);
            if (configModel != null) {
                specialProperty.currPage = configModel.pageName;
            }
            PluginAgent.wrapEvent(view, a3, specialProperty, 7, b4, a3.f6329a, false);
        } else {
            str3 = "0,0";
        }
        i4 = i2;
        str2 = str5;
        SpecialProperty specialProperty2 = new SpecialProperty();
        specialProperty2.topLeftPosition = "" + str3;
        specialProperty2.lowerRightPosition = "" + str2;
        StringBuilder sb2 = new StringBuilder();
        sb2.append("");
        int i52 = i4 == 1 ? 1 : 0;
        int i62 = i4 == 1 ? 1 : 0;
        int i72 = i4 == 1 ? 1 : 0;
        sb2.append(i52);
        specialProperty2.dimension = sb2.toString();
        specialProperty2.direction = "" + i3;
        try {
            i.a a32 = i.a(view, i.j(view), specialProperty2);
            String b42 = i.b(str, a32.f6331c);
            configModel = ConfigDataModel.pageConfigModels.get(b42);
            if (configModel != null) {
            }
            PluginAgent.wrapEvent(view, a32, specialProperty2, 7, b42, a32.f6329a, false);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }
}
