package d.e.a.p;

import android.app.ActivityManager;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Process;
import android.os.StatFs;
import android.text.TextUtils;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import d.e.a.i.b;
import d.e.a.k.c;
import d.e.a.o.a;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLDecoder;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: FileDownloadUtils */
public class e {

    /* renamed from: a  reason: collision with root package name */
    private static int f6921a = 65536;

    /* renamed from: b  reason: collision with root package name */
    private static long f6922b = 2000;

    /* renamed from: c  reason: collision with root package name */
    private static Boolean f6923c;

    /* renamed from: d  reason: collision with root package name */
    private static final Pattern f6924d = Pattern.compile("attachment;\\s*filename\\*\\s*=\\s*\"*([^\"]*)'\\S*'([^\"]*)\"*");

    /* renamed from: e  reason: collision with root package name */
    private static final Pattern f6925e = Pattern.compile("attachment;\\s*filename\\s*=\\s*\"*([^\"\\n]*)\"*");

    public static void a(int i2) throws IllegalAccessException {
        if (b(b.a())) {
            f6921a = i2;
            return;
        }
        throw new IllegalAccessException("This value is used in the :filedownloader process, so set this value in your process is without effect. You can add 'process.non-separate=true' in 'filedownloader.properties' to share the main process to FileDownloadService. Or you can configure this value in 'filedownloader.properties' by 'download.min-progress-step'.");
    }

    public static int b() {
        return f6921a;
    }

    public static long c() {
        return f6922b;
    }

    public static boolean d() {
        ConnectivityManager connectivityManager = (ConnectivityManager) b.a().getSystemService("connectivity");
        if (connectivityManager == null) {
            c.e(e.class, "failed to get connectivity manager!", new Object[0]);
            return true;
        }
        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
        if (activeNetworkInfo == null || activeNetworkInfo.getType() != 1) {
            return true;
        }
        return false;
    }

    public static void e(String str) {
        if (str != null) {
            File file = new File(str);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    static String f(String str) {
        if (str != null && !str.isEmpty()) {
            try {
                String path = new URL(str).getPath();
                String substring = path.substring(path.lastIndexOf(47) + 1);
                if (substring.isEmpty()) {
                    return null;
                }
                return substring;
            } catch (MalformedURLException unused) {
            }
        }
        return null;
    }

    public static String g(String str) {
        return m(str);
    }

    public static long h(String str) {
        StatFs statFs = new StatFs(str);
        if (Build.VERSION.SDK_INT >= 18) {
            return statFs.getAvailableBytes();
        }
        return ((long) statFs.getAvailableBlocks()) * ((long) statFs.getBlockSize());
    }

    public static String i(String str) {
        char c2;
        int length = str.length();
        int i2 = 2;
        int i3 = (File.separatorChar == '\\' && length > 2 && str.charAt(1) == ':') ? 2 : 0;
        int lastIndexOf = str.lastIndexOf(File.separatorChar);
        if (lastIndexOf != -1 || i3 <= 0) {
            i2 = lastIndexOf;
        }
        if (i2 == -1 || str.charAt(length - 1) == (c2 = File.separatorChar)) {
            return null;
        }
        if (str.indexOf(c2) == i2 && str.charAt(i3) == File.separatorChar) {
            return str.substring(0, i2 + 1);
        }
        return str.substring(0, i2);
    }

    public static String j(String str) {
        return a("%s.temp", str);
    }

    public static String k(String str) {
        return "FileDownloader-" + str;
    }

    public static boolean l(String str) {
        return true;
    }

    public static String m(String str) {
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes("UTF-8"));
            StringBuilder sb = new StringBuilder(digest.length * 2);
            for (byte b2 : digest) {
                int i2 = b2 & 255;
                if (i2 < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(i2));
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e2) {
            throw new RuntimeException("Huh, MD5 should be supported?", e2);
        } catch (UnsupportedEncodingException e3) {
            throw new RuntimeException("Huh, UTF-8 should be supported?", e3);
        }
    }

    public static String n(String str) {
        if (str == null) {
            return null;
        }
        try {
            Matcher matcher = f6924d.matcher(str);
            if (matcher.find()) {
                return URLDecoder.decode(matcher.group(2), matcher.group(1));
            }
            Matcher matcher2 = f6925e.matcher(str);
            if (matcher2.find()) {
                return matcher2.group(1);
            }
            return null;
        } catch (UnsupportedEncodingException | IllegalStateException unused) {
        }
    }

    public static long o(String str) {
        if (!(str == null || str.length() == 0)) {
            try {
                Matcher matcher = Pattern.compile("bytes (\\d+)-(\\d+)/\\d+").matcher(str);
                if (matcher.find()) {
                    return (Long.parseLong(matcher.group(2)) - Long.parseLong(matcher.group(1))) + 1;
                }
            } catch (Exception e2) {
                c.a(e.class, e2, "parse content length from content range error", new Object[0]);
            }
        }
        return -1;
    }

    public static long p(String str) {
        if (str == null) {
            return -1;
        }
        String[] split = str.split("/");
        if (split.length >= 2) {
            try {
                return Long.parseLong(split[1]);
            } catch (NumberFormatException unused) {
                c.e(e.class, "parse instance length failed with %s", str);
            }
        }
        return -1;
    }

    public static String b(String str, String str2) {
        if (str2 == null) {
            throw new IllegalStateException("can't generate real path, the file name is null");
        } else if (str != null) {
            return a("%s%s%s", str, File.separator, str2);
        } else {
            throw new IllegalStateException("can't generate real path, the directory is null");
        }
    }

    public static int c(String str, String str2) {
        return c.i().c().a(str, str2, false);
    }

    public static void a(long j2) throws IllegalAccessException {
        if (b(b.a())) {
            f6922b = j2;
            return;
        }
        throw new IllegalAccessException("This value is used in the :filedownloader process, so set this value in your process is without effect. You can add 'process.non-separate=true' in 'filedownloader.properties' to share the main process to FileDownloadService. Or you can configure this value in 'filedownloader.properties' by 'download.min-progress-time'.");
    }

    public static void c(Context context) {
        File a2 = a(context);
        try {
            a2.getParentFile().mkdirs();
            a2.createNewFile();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    public static boolean b(Context context) {
        Boolean bool = f6923c;
        if (bool != null) {
            return bool.booleanValue();
        }
        boolean z = false;
        if (!d.a().f6915d) {
            int myPid = Process.myPid();
            ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
            if (activityManager != null) {
                List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = activityManager.getRunningAppProcesses();
                if (runningAppProcesses != null && !runningAppProcesses.isEmpty()) {
                    Iterator<ActivityManager.RunningAppProcessInfo> it = runningAppProcesses.iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            break;
                        }
                        ActivityManager.RunningAppProcessInfo next = it.next();
                        if (next.pid == myPid) {
                            z = next.processName.endsWith(":filedownloader");
                            break;
                        }
                    }
                } else {
                    c.e(e.class, "The running app process info list from ActivityManager is null or empty, maybe current App is not running.", new Object[0]);
                    return false;
                }
            } else {
                c.e(e.class, "fail to get the activity manager!", new Object[0]);
                return false;
            }
        } else {
            z = true;
        }
        f6923c = Boolean.valueOf(z);
        return f6923c.booleanValue();
    }

    private static String d(b bVar) {
        return bVar.a("Content-Range");
    }

    public static int a(String str, String str2, boolean z) {
        return c.i().c().a(str, str2, z);
    }

    public static void d(String str) {
        if (str != null) {
            File file = new File(str);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    public static boolean c(int i2, b bVar) {
        if (i2 == 206 || i2 == 1) {
            return true;
        }
        return "bytes".equals(bVar.a("Accept-Ranges"));
    }

    public static String a(String str, Object... objArr) {
        return String.format(Locale.ENGLISH, str, objArr);
    }

    public static File a(Context context) {
        return new File(context.getFilesDir().getAbsolutePath() + File.separator + "filedownloader", ".old_file_converted");
    }

    public static long c(b bVar) {
        return p(d(bVar));
    }

    public static String a(String str, boolean z, String str2) {
        if (str == null) {
            return null;
        }
        if (!z) {
            return str;
        }
        if (str2 == null) {
            return null;
        }
        return b(str, str2);
    }

    public static a c(String str) throws IOException {
        if (TextUtils.isEmpty(str)) {
            throw new RuntimeException("found invalid internal destination path, empty");
        } else if (l(str)) {
            File file = new File(str);
            if (file.exists() && file.isDirectory()) {
                throw new RuntimeException(a("found invalid internal destination path[%s], & path is directory[%B]", str, Boolean.valueOf(file.isDirectory())));
            } else if (file.exists() || file.createNewFile()) {
                return c.i().a(file);
            } else {
                throw new IOException(a("create new file error  %s", file.getAbsolutePath()));
            }
        } else {
            throw new RuntimeException(a("found invalid internal destination filename %s", str));
        }
    }

    public static boolean a(String str) {
        return b.a().checkCallingOrSelfPermission(str) == 0;
    }

    public static long a(int i2, b bVar) {
        long b2 = b(bVar.a("Content-Length"));
        String a2 = bVar.a("Transfer-Encoding");
        if (b2 >= 0) {
            return b2;
        }
        if (a2 != null && a2.equals("chunked")) {
            return -1;
        }
        if (!d.a().f6914c) {
            throw new d.e.a.m.a("can't know the size of the download file, and its Transfer-Encoding is not Chunked either.\nyou can ignore such exception by add http.lenient=true to the filedownloader.properties");
        } else if (!c.f6911a) {
            return -1;
        } else {
            c.a(e.class, "%d response header is not legal but HTTP lenient is true, so handle as the case of transfer encoding chunk", Integer.valueOf(i2));
            return -1;
        }
    }

    public static long b(String str) {
        if (str == null) {
            return -1;
        }
        try {
            return Long.parseLong(str);
        } catch (NumberFormatException unused) {
            return -1;
        }
    }

    public static String b(int i2, b bVar) {
        if (bVar != null) {
            String a2 = bVar.a("Etag");
            if (c.f6911a) {
                c.a(e.class, "etag find %s for task(%d)", a2, Integer.valueOf(i2));
            }
            return a2;
        }
        throw new RuntimeException("connection is null when findEtag");
    }

    public static long a(b bVar) {
        long o = o(d(bVar));
        if (o < 0) {
            return -1;
        }
        return o;
    }

    public static long b(b bVar) {
        long c2 = c(bVar);
        if (c2 < 0) {
            c.e(e.class, "don't get instance length fromContent-Range header", new Object[0]);
            c2 = -1;
        }
        if (c2 != 0 || !d.a().f6919h) {
            return c2;
        }
        return -1;
    }

    public static String a(b bVar, String str) throws d.e.a.m.e {
        String n = n(bVar.a("Content-Disposition"));
        if (TextUtils.isEmpty(n)) {
            n = f(str);
        }
        if (TextUtils.isEmpty(n)) {
            return g(str);
        }
        if (!n.contains("../")) {
            return n;
        }
        throw new d.e.a.m.e(a("The filename [%s] from the response is not allowable, because it contains '../', which can raise the directory traversal vulnerability", n));
    }

    public static boolean a(int i2, FileDownloadModel fileDownloadModel) {
        return a(i2, fileDownloadModel, (Boolean) null);
    }

    public static boolean a(int i2, FileDownloadModel fileDownloadModel, Boolean bool) {
        if (fileDownloadModel == null) {
            if (c.f6911a) {
                c.a(e.class, "can't continue %d model == null", Integer.valueOf(i2));
            }
            return false;
        } else if (fileDownloadModel.getTempFilePath() != null) {
            return a(i2, fileDownloadModel, fileDownloadModel.getTempFilePath(), bool);
        } else {
            if (c.f6911a) {
                c.a(e.class, "can't continue %d temp path == null", Integer.valueOf(i2));
            }
            return false;
        }
    }

    public static boolean a(int i2, FileDownloadModel fileDownloadModel, String str, Boolean bool) {
        if (str != null) {
            File file = new File(str);
            boolean exists = file.exists();
            boolean isDirectory = file.isDirectory();
            if (exists && !isDirectory) {
                long length = file.length();
                long soFar = fileDownloadModel.getSoFar();
                if (fileDownloadModel.getConnectionCount() > 1 || soFar != 0) {
                    long total = fileDownloadModel.getTotal();
                    if (length < soFar || (total != -1 && (length > total || soFar >= total))) {
                        if (!c.f6911a) {
                            return false;
                        }
                        c.a(e.class, "can't continue %d dirty data fileLength[%d] sofar[%d] total[%d]", Integer.valueOf(i2), Long.valueOf(length), Long.valueOf(soFar), Long.valueOf(total));
                        return false;
                    } else if (bool == null || bool.booleanValue() || total != length) {
                        return true;
                    } else {
                        if (!c.f6911a) {
                            return false;
                        }
                        c.a(e.class, "can't continue %d, because of the output stream doesn't support seek, but the task has already pre-allocated, so we only can download it from the very beginning.", Integer.valueOf(i2));
                        return false;
                    }
                } else if (!c.f6911a) {
                    return false;
                } else {
                    c.a(e.class, "can't continue %d the downloaded-record is zero.", Integer.valueOf(i2));
                    return false;
                }
            } else if (!c.f6911a) {
                return false;
            } else {
                c.a(e.class, "can't continue %d file not suit, exists[%B], directory[%B]", Integer.valueOf(i2), Boolean.valueOf(exists), Boolean.valueOf(isDirectory));
                return false;
            }
        } else if (!c.f6911a) {
            return false;
        } else {
            c.a(e.class, "can't continue %d path = null", Integer.valueOf(i2));
            return false;
        }
    }

    public static void a(String str, String str2) {
        e(str2);
        d(str);
    }

    public static boolean a(long j2, long j3) {
        return j2 > ((long) b()) && j3 > c();
    }

    public static String a() {
        return a("FileDownloader/%s", "1.7.7");
    }
}
