package i;

import i.h0.e;
import i.h0.p.c;
import java.security.cert.Certificate;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;
import javax.net.ssl.SSLPeerUnverifiedException;
import okio.ByteString;

/* compiled from: CertificatePinner */
public final class g {

    /* renamed from: c  reason: collision with root package name */
    public static final g f7394c = new a().a();

    /* renamed from: a  reason: collision with root package name */
    private final Set<b> f7395a;

    /* renamed from: b  reason: collision with root package name */
    private final c f7396b;

    /* compiled from: CertificatePinner */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private final List<b> f7397a = new ArrayList();

        public g a() {
            return new g(new LinkedHashSet(this.f7397a), null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CertificatePinner */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        final String f7398a;

        /* renamed from: b  reason: collision with root package name */
        final String f7399b;

        /* renamed from: c  reason: collision with root package name */
        final String f7400c;

        /* renamed from: d  reason: collision with root package name */
        final ByteString f7401d;

        /* access modifiers changed from: package-private */
        public boolean a(String str) {
            if (!this.f7398a.startsWith("*.")) {
                return str.equals(this.f7399b);
            }
            int indexOf = str.indexOf(46);
            if ((str.length() - indexOf) - 1 == this.f7399b.length()) {
                String str2 = this.f7399b;
                if (str.regionMatches(false, indexOf + 1, str2, 0, str2.length())) {
                    return true;
                }
            }
            return false;
        }

        public boolean equals(Object obj) {
            if (obj instanceof b) {
                b bVar = (b) obj;
                return this.f7398a.equals(bVar.f7398a) && this.f7400c.equals(bVar.f7400c) && this.f7401d.equals(bVar.f7401d);
            }
        }

        public int hashCode() {
            return ((((527 + this.f7398a.hashCode()) * 31) + this.f7400c.hashCode()) * 31) + this.f7401d.hashCode();
        }

        public String toString() {
            return this.f7400c + this.f7401d.base64();
        }
    }

    g(Set<b> set, c cVar) {
        this.f7395a = set;
        this.f7396b = cVar;
    }

    static ByteString b(X509Certificate x509Certificate) {
        return ByteString.of(x509Certificate.getPublicKey().getEncoded()).sha256();
    }

    public void a(String str, List<Certificate> list) throws SSLPeerUnverifiedException {
        List<b> a2 = a(str);
        if (!a2.isEmpty()) {
            c cVar = this.f7396b;
            if (cVar != null) {
                list = cVar.a(list, str);
            }
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                X509Certificate x509Certificate = (X509Certificate) list.get(i2);
                int size2 = a2.size();
                ByteString byteString = null;
                ByteString byteString2 = null;
                for (int i3 = 0; i3 < size2; i3++) {
                    b bVar = a2.get(i3);
                    if (bVar.f7400c.equals("sha256/")) {
                        if (byteString == null) {
                            byteString = b(x509Certificate);
                        }
                        if (bVar.f7401d.equals(byteString)) {
                            return;
                        }
                    } else if (bVar.f7400c.equals("sha1/")) {
                        if (byteString2 == null) {
                            byteString2 = a(x509Certificate);
                        }
                        if (bVar.f7401d.equals(byteString2)) {
                            return;
                        }
                    } else {
                        throw new AssertionError("unsupported hashAlgorithm: " + bVar.f7400c);
                    }
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("Certificate pinning failure!");
            sb.append("\n  Peer certificate chain:");
            int size3 = list.size();
            for (int i4 = 0; i4 < size3; i4++) {
                X509Certificate x509Certificate2 = (X509Certificate) list.get(i4);
                sb.append("\n    ");
                sb.append(a((Certificate) x509Certificate2));
                sb.append(": ");
                sb.append(x509Certificate2.getSubjectDN().getName());
            }
            sb.append("\n  Pinned certificates for ");
            sb.append(str);
            sb.append(":");
            int size4 = a2.size();
            for (int i5 = 0; i5 < size4; i5++) {
                sb.append("\n    ");
                sb.append(a2.get(i5));
            }
            throw new SSLPeerUnverifiedException(sb.toString());
        }
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof g) {
            g gVar = (g) obj;
            if (!e.a(this.f7396b, gVar.f7396b) || !this.f7395a.equals(gVar.f7395a)) {
                return false;
            }
            return true;
        }
        return false;
    }

    public int hashCode() {
        c cVar = this.f7396b;
        return ((cVar != null ? cVar.hashCode() : 0) * 31) + this.f7395a.hashCode();
    }

    /* access modifiers changed from: package-private */
    public List<b> a(String str) {
        List<b> emptyList = Collections.emptyList();
        for (b bVar : this.f7395a) {
            if (bVar.a(str)) {
                if (emptyList.isEmpty()) {
                    emptyList = new ArrayList<>();
                }
                emptyList.add(bVar);
            }
        }
        return emptyList;
    }

    /* access modifiers changed from: package-private */
    public g a(c cVar) {
        return e.a(this.f7396b, cVar) ? this : new g(this.f7395a, cVar);
    }

    public static String a(Certificate certificate) {
        if (certificate instanceof X509Certificate) {
            return "sha256/" + b((X509Certificate) certificate).base64();
        }
        throw new IllegalArgumentException("Certificate pinning requires X509 certificates");
    }

    static ByteString a(X509Certificate x509Certificate) {
        return ByteString.of(x509Certificate.getPublicKey().getEncoded()).sha1();
    }
}
